# !!!!!!!   DO NOT EDIT THIS FILE   !!!!!!!
# This file is machine-generated by lib/unicore/mktables from the Unicode
# database, Version 5.2.0.  Any changes made here will be lost!

use strict;
use warnings;

# Test qr/\X/ and the \p{} regular expression constructs.  This file is
# constructed by mktables from the tables it generates, so if mktables is
# buggy, this won't necessarily catch those bugs.  Tests are generated for all
# feasible properties; a few aren't currently feasible; see
# is_code_point_usable() in mktables for details.

# Standard test packages are not used because this manipulates SIG_WARN.  It
# exits 0 if every non-skipped test succeeded; -1 if any failed.

my $Tests = 0;
my $Fails = 0;

my $non_ASCII = (ord('A') != 65);

# The 256 8-bit characters in ASCII ordinal order, with the ones that don't
# have Perl names replaced by -1
my @ascii_ordered_chars = (
    "\0",
    (-1) x 6,
    "\a", "\b", "\t", "\n",
    -1,   # No Vt
    "\f", "\r",
    (-1) x 18,
    " ", "!", "\"", "#", '$', "%", "&", "'",
    "(", ")", "*", "+", ",", "-", ".", "/",
    "0", "1", "2", "3", "4", "5", "6", "7", "8", "9",
    ":", ";", "<", "=", ">", "?", "@",
    "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M",
    "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z",
    "[", "\\", "]", "^", "_", "`",
    "a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m",
    "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z",
    "{", "|", "}", "~",
    (-1) x 129
);

sub ASCII_ord_to_native ($) {
    # Converts input ordinal number to the native one, if can be done easily.
    # Returns -1 otherwise.

    my $ord = shift;

    return $ord if $ord > 255 || ! $non_ASCII;
    my $result = $ascii_ordered_chars[$ord];
    return $result if $result eq '-1';
    return ord($result);
}

sub Expect($$$$) {
    my $expected = shift;
    my $ord = shift;
    my $regex  = shift;
    my $warning_type = shift;   # Type of warning message, like 'deprecated'
                                # or empty if none
    my $line   = (caller)[2];

    # Convert the non-ASCII code points expressible as characters to their
    # ASCII equivalents, and skip the others.
    $ord = ASCII_ord_to_native($ord);
    if ($ord < 0) {
        $Tests++;
        print "ok $Tests - "
              . sprintf("\"\\x{%04X}\"", $ord)
              . " =~ $regex # Skipped: non-ASCII\n";
        return;
    }

    # Convert the code point to hex form
    my $string = sprintf "\"\\x{%04X}\"", $ord;

    my @tests = "";

    # The first time through, use all warnings.  If the input should generate
    # a warning, add another time through with them turned off
    push @tests, "no warnings '$warning_type';" if $warning_type;

    foreach my $no_warnings (@tests) {

        # Store any warning messages instead of outputting them
        local $SIG{__WARN__} = $SIG{__WARN__};
        my $warning_message;
        $SIG{__WARN__} = sub { $warning_message = $_[0] };

        $Tests++;

        # A string eval is needed because of the 'no warnings'.
        # Assumes no parens in the regular expression
        my $result = eval "$no_warnings
                            my \$RegObj = qr($regex);
                            $string =~ \$RegObj ? 1 : 0";
        if (not defined $result) {
            print "not ok $Tests - couldn't compile /$regex/; line $line: $@\n";
            $Fails++;
        }
        elsif ($result ^ $expected) {
            print "not ok $Tests - expected $expected but got $result for $string =~ qr/$regex/; line $line\n";
            $Fails++;
        }
        elsif ($warning_message) {
            if (! $warning_type || ($warning_type && $no_warnings)) {
                print "not ok $Tests - for qr/$regex/ did not expect warning message '$warning_message'; line $line\n";
                $Fails++;
            }
            else {
                print "ok $Tests - expected and got a warning message for qr/$regex/; line $line\n";
            }
        }
        elsif ($warning_type && ! $no_warnings) {
            print "not ok $Tests - for qr/$regex/ expected a $warning_type warning message, but got none; line $line\n";
            $Fails++;
        }
        else {
            print "ok $Tests - got $result for $string =~ qr/$regex/; line $line\n";
        }
    }
    return;
}

sub Error($) {
    my $regex  = shift;
    $Tests++;
    if (eval { 'x' =~ qr/$regex/; 1 }) {
        $Fails++;
        my $line = (caller)[2];
        print "not ok $Tests - re compiled ok, but expected error for qr/$regex/; line $line: $@\n";
    }
    else {
        my $line = (caller)[2];
        print "ok $Tests - got and expected error for qr/$regex/; line $line\n";
    }
    return;
}

# GCBTest.txt character that separates grapheme clusters
my $breakable_utf8 = my $breakable = chr(0xF7);
utf8::upgrade($breakable_utf8);

# GCBTest.txt character that indicates that the adjoining code points are part
# of the same grapheme cluster
my $nobreak_utf8 = my $nobreak = chr(0xD7);
utf8::upgrade($nobreak_utf8);

sub Test_X($) {
    # Test qr/\X/ matches.  The input is a line from auxiliary/GCBTest.txt
    # Each such line is a sequence of code points given by their hex numbers,
    # separated by the two characters defined just before this subroutine that
    # indicate that either there can or cannot be a break between the adjacent
    # code points.  If there isn't a break, that means the sequence forms an
    # extended grapheme cluster, which means that \X should match the whole
    # thing.  If there is a break, \X should stop there.  This is all
    # converted by this routine into a match:
    #   $string =~ /(\X)/,
    # Each \X should match the next cluster; and that is what is checked.

    my $template = shift;

    my $line   = (caller)[2];

    # The line contains characters above the ASCII range, but in Latin1.  It
    # may or may not be in utf8, and if it is, it may or may not know it.  So,
    # convert these characters to 8 bits.  If knows is in utf8, simply
    # downgrade.
    if (utf8::is_utf8($template)) {
        utf8::downgrade($template);
    } else {

        # Otherwise, if it is in utf8, but doesn't know it, the next lines
        # convert the two problematic characters to their 8-bit equivalents.
        # If it isn't in utf8, they don't harm anything.
        use bytes;
        $template =~ s/$nobreak_utf8/$nobreak/g;
        $template =~ s/$breakable_utf8/$breakable/g;
    }

    # Get rid of the leading and trailing breakables
    $template =~ s/^ \s* $breakable \s* //x;
    $template =~ s/ \s* $breakable \s* $ //x;

    # And no-breaks become just a space.
    $template =~ s/ \s* $nobreak \s* / /xg;

    # Split the input into segments that are breakable between them.
    my @segments = split /\s*$breakable\s*/, $template;

    my $string = "";
    my $display_string = "";
    my @should_match;
    my @should_display;

    # Convert the code point sequence in each segment into a Perl string of
    # characters
    foreach my $segment (@segments) {
        my @code_points = split /\s+/, $segment;
        my $this_string = "";
        my $this_display = "";
        foreach my $code_point (@code_points) {
            my $ord = ASCII_ord_to_native(hex $code_point);
            if ($ord < 0) {
                $Tests++;
                print "ok $Tests - String containing $code_point =~ /(\\X)/g # Skipped: non-ASCII\n";
                return;
            }
            $this_string .= chr $ord;
            $this_display .= "\\x{$code_point}";
        }

        # The next cluster should match the string in this segment.
        push @should_match, $this_string;
        push @should_display, $this_display;
        $string .= $this_string;
        $display_string .= $this_display;
    }

    # If a string can be represented in both non-ut8 and utf8, test both cases
    UPGRADE:
    for my $to_upgrade (0 .. 1) {

        if ($to_upgrade) {

            # If already in utf8, would just be a repeat
            next UPGRADE if utf8::is_utf8($string);

            utf8::upgrade($string);
        }

        # Finally, do the \X match.
        my @matches = $string =~ /(\X)/g;

        # Look through each matched cluster to verify that it matches what we
        # expect.
        my $min = (@matches < @should_match) ? @matches : @should_match;
        for my $i (0 .. $min - 1) {
            $Tests++;
            if ($matches[$i] eq $should_match[$i]) {
                print "ok $Tests - ";
                if ($i == 0) {
                    print "In \"$display_string\" =~ /(\\X)/g, \\X #1";
                } else {
                    print "And \\X #", $i + 1,
                }
                print " correctly matched $should_display[$i]; line $line\n";
            } else {
                $matches[$i] = join("", map { sprintf "\\x{%04X}", $_ }
                                                    unpack("U*", $matches[$i]));
                print "not ok $Tests - In \"$display_string\" =~ /(\\X)/g, \\X #",
                    $i + 1,
                    " should have matched $should_display[$i]",
                    " but instead matched $matches[$i]",
                    ".  Abandoning rest of line $line\n";
                next UPGRADE;
            }
        }

        # And the number of matches should equal the number of expected matches.
        $Tests++;
        if (@matches == @should_match) {
            print "ok $Tests - Nothing was left over; line $line\n";
        } else {
            print "not ok $Tests - There were ", scalar @should_match, " \\X matches expected, but got ", scalar @matches, " instead; line $line\n";
        }
    }

    return;
}

sub Finished() {
    print "1..$Tests\n";
    exit($Fails ? -1 : 0);
}

Error('\p{Script=InGreek}');    # Bug #69018
Test_X("1100 $nobreak 1161");  # Bug #70940
Expect(0, 0x2028, '\p{Print}', ""); # Bug # 71722
Expect(0, 0x2029, '\p{Print}', ""); # Bug # 71722
Expect(1, 0xFF10, '\p{XDigit}', ""); # Bug # 71726
Error('\p{Other_Lowercase=- Yes/a/}');
Error('\P{Other_Lowercase=- Yes/a/}');
Expect(1, 696, '\p{Other_Lowercase=yes}', 'deprecated');
Expect(0, 696, '\p{^Other_Lowercase=yes}', 'deprecated');
Expect(0, 696, '\P{Other_Lowercase=yes}', 'deprecated');
Expect(1, 696, '\P{^Other_Lowercase=yes}', 'deprecated');
Expect(0, 687, '\p{Other_Lowercase=yes}', 'deprecated');
Expect(1, 687, '\p{^Other_Lowercase=yes}', 'deprecated');
Expect(1, 687, '\P{Other_Lowercase=yes}', 'deprecated');
Expect(0, 687, '\P{^Other_Lowercase=yes}', 'deprecated');
Expect(1, 696, '\p{Other_Lowercase= _Yes}', 'deprecated');
Expect(0, 696, '\p{^Other_Lowercase= _Yes}', 'deprecated');
Expect(0, 696, '\P{Other_Lowercase= _Yes}', 'deprecated');
Expect(1, 696, '\P{^Other_Lowercase= _Yes}', 'deprecated');
Expect(0, 687, '\p{Other_Lowercase= _Yes}', 'deprecated');
Expect(1, 687, '\p{^Other_Lowercase= _Yes}', 'deprecated');
Expect(1, 687, '\P{Other_Lowercase= _Yes}', 'deprecated');
Expect(0, 687, '\P{^Other_Lowercase= _Yes}', 'deprecated');
Error('\p{OLower=:=-	Y}');
Error('\P{OLower=:=-	Y}');
Expect(1, 696, '\p{OLower=y}', 'deprecated');
Expect(0, 696, '\p{^OLower=y}', 'deprecated');
Expect(0, 696, '\P{OLower=y}', 'deprecated');
Expect(1, 696, '\P{^OLower=y}', 'deprecated');
Expect(0, 687, '\p{OLower=y}', 'deprecated');
Expect(1, 687, '\p{^OLower=y}', 'deprecated');
Expect(1, 687, '\P{OLower=y}', 'deprecated');
Expect(0, 687, '\P{^OLower=y}', 'deprecated');
Expect(1, 696, '\p{OLower:    Y}', 'deprecated');
Expect(0, 696, '\p{^OLower:    Y}', 'deprecated');
Expect(0, 696, '\P{OLower:    Y}', 'deprecated');
Expect(1, 696, '\P{^OLower:    Y}', 'deprecated');
Expect(0, 687, '\p{OLower:    Y}', 'deprecated');
Expect(1, 687, '\p{^OLower:    Y}', 'deprecated');
Expect(1, 687, '\P{OLower:    Y}', 'deprecated');
Expect(0, 687, '\P{^OLower:    Y}', 'deprecated');
Error('\p{Is_Other_Lowercase:- t:=}');
Error('\P{Is_Other_Lowercase:- t:=}');
Expect(1, 696, '\p{Is_Other_Lowercase=t}', 'deprecated');
Expect(0, 696, '\p{^Is_Other_Lowercase=t}', 'deprecated');
Expect(0, 696, '\P{Is_Other_Lowercase=t}', 'deprecated');
Expect(1, 696, '\P{^Is_Other_Lowercase=t}', 'deprecated');
Expect(0, 687, '\p{Is_Other_Lowercase=t}', 'deprecated');
Expect(1, 687, '\p{^Is_Other_Lowercase=t}', 'deprecated');
Expect(1, 687, '\P{Is_Other_Lowercase=t}', 'deprecated');
Expect(0, 687, '\P{^Is_Other_Lowercase=t}', 'deprecated');
Expect(1, 696, '\p{Is_Other_Lowercase=T}', 'deprecated');
Expect(0, 696, '\p{^Is_Other_Lowercase=T}', 'deprecated');
Expect(0, 696, '\P{Is_Other_Lowercase=T}', 'deprecated');
Expect(1, 696, '\P{^Is_Other_Lowercase=T}', 'deprecated');
Expect(0, 687, '\p{Is_Other_Lowercase=T}', 'deprecated');
Expect(1, 687, '\p{^Is_Other_Lowercase=T}', 'deprecated');
Expect(1, 687, '\P{Is_Other_Lowercase=T}', 'deprecated');
Expect(0, 687, '\P{^Is_Other_Lowercase=T}', 'deprecated');
Error('\p{Is_OLower=	:=true}');
Error('\P{Is_OLower=	:=true}');
Expect(1, 696, '\p{Is_OLower:	true}', 'deprecated');
Expect(0, 696, '\p{^Is_OLower:	true}', 'deprecated');
Expect(0, 696, '\P{Is_OLower:	true}', 'deprecated');
Expect(1, 696, '\P{^Is_OLower:	true}', 'deprecated');
Expect(0, 687, '\p{Is_OLower:	true}', 'deprecated');
Expect(1, 687, '\p{^Is_OLower:	true}', 'deprecated');
Expect(1, 687, '\P{Is_OLower:	true}', 'deprecated');
Expect(0, 687, '\P{^Is_OLower:	true}', 'deprecated');
Expect(1, 696, '\p{Is_OLower: 	-True}', 'deprecated');
Expect(0, 696, '\p{^Is_OLower: 	-True}', 'deprecated');
Expect(0, 696, '\P{Is_OLower: 	-True}', 'deprecated');
Expect(1, 696, '\P{^Is_OLower: 	-True}', 'deprecated');
Expect(0, 687, '\p{Is_OLower: 	-True}', 'deprecated');
Expect(1, 687, '\p{^Is_OLower: 	-True}', 'deprecated');
Expect(1, 687, '\P{Is_OLower: 	-True}', 'deprecated');
Expect(0, 687, '\P{^Is_OLower: 	-True}', 'deprecated');
Error('\p{Other_Lowercase=:=_	No}');
Error('\P{Other_Lowercase=:=_	No}');
Expect(1, 687, '\p{Other_Lowercase=no}', 'deprecated');
Expect(0, 687, '\p{^Other_Lowercase=no}', 'deprecated');
Expect(0, 687, '\P{Other_Lowercase=no}', 'deprecated');
Expect(1, 687, '\P{^Other_Lowercase=no}', 'deprecated');
Expect(0, 696, '\p{Other_Lowercase=no}', 'deprecated');
Expect(1, 696, '\p{^Other_Lowercase=no}', 'deprecated');
Expect(1, 696, '\P{Other_Lowercase=no}', 'deprecated');
Expect(0, 696, '\P{^Other_Lowercase=no}', 'deprecated');
Expect(1, 687, '\p{Other_Lowercase=	No}', 'deprecated');
Expect(0, 687, '\p{^Other_Lowercase=	No}', 'deprecated');
Expect(0, 687, '\P{Other_Lowercase=	No}', 'deprecated');
Expect(1, 687, '\P{^Other_Lowercase=	No}', 'deprecated');
Expect(0, 696, '\p{Other_Lowercase=	No}', 'deprecated');
Expect(1, 696, '\p{^Other_Lowercase=	No}', 'deprecated');
Expect(1, 696, '\P{Other_Lowercase=	No}', 'deprecated');
Expect(0, 696, '\P{^Other_Lowercase=	No}', 'deprecated');
Error('\p{OLower=/a/--N}');
Error('\P{OLower=/a/--N}');
Expect(1, 687, '\p{OLower=n}', 'deprecated');
Expect(0, 687, '\p{^OLower=n}', 'deprecated');
Expect(0, 687, '\P{OLower=n}', 'deprecated');
Expect(1, 687, '\P{^OLower=n}', 'deprecated');
Expect(0, 696, '\p{OLower=n}', 'deprecated');
Expect(1, 696, '\p{^OLower=n}', 'deprecated');
Expect(1, 696, '\P{OLower=n}', 'deprecated');
Expect(0, 696, '\P{^OLower=n}', 'deprecated');
Expect(1, 687, '\p{OLower=	 N}', 'deprecated');
Expect(0, 687, '\p{^OLower=	 N}', 'deprecated');
Expect(0, 687, '\P{OLower=	 N}', 'deprecated');
Expect(1, 687, '\P{^OLower=	 N}', 'deprecated');
Expect(0, 696, '\p{OLower=	 N}', 'deprecated');
Expect(1, 696, '\p{^OLower=	 N}', 'deprecated');
Expect(1, 696, '\P{OLower=	 N}', 'deprecated');
Expect(0, 696, '\P{^OLower=	 N}', 'deprecated');
Error('\p{Is_Other_Lowercase=:=  F}');
Error('\P{Is_Other_Lowercase=:=  F}');
Expect(1, 687, '\p{Is_Other_Lowercase=f}', 'deprecated');
Expect(0, 687, '\p{^Is_Other_Lowercase=f}', 'deprecated');
Expect(0, 687, '\P{Is_Other_Lowercase=f}', 'deprecated');
Expect(1, 687, '\P{^Is_Other_Lowercase=f}', 'deprecated');
Expect(0, 696, '\p{Is_Other_Lowercase=f}', 'deprecated');
Expect(1, 696, '\p{^Is_Other_Lowercase=f}', 'deprecated');
Expect(1, 696, '\P{Is_Other_Lowercase=f}', 'deprecated');
Expect(0, 696, '\P{^Is_Other_Lowercase=f}', 'deprecated');
Expect(1, 687, '\p{Is_Other_Lowercase=_-F}', 'deprecated');
Expect(0, 687, '\p{^Is_Other_Lowercase=_-F}', 'deprecated');
Expect(0, 687, '\P{Is_Other_Lowercase=_-F}', 'deprecated');
Expect(1, 687, '\P{^Is_Other_Lowercase=_-F}', 'deprecated');
Expect(0, 696, '\p{Is_Other_Lowercase=_-F}', 'deprecated');
Expect(1, 696, '\p{^Is_Other_Lowercase=_-F}', 'deprecated');
Expect(1, 696, '\P{Is_Other_Lowercase=_-F}', 'deprecated');
Expect(0, 696, '\P{^Is_Other_Lowercase=_-F}', 'deprecated');
Error('\p{Is_OLower=-False:=}');
Error('\P{Is_OLower=-False:=}');
Expect(1, 687, '\p{Is_OLower=false}', 'deprecated');
Expect(0, 687, '\p{^Is_OLower=false}', 'deprecated');
Expect(0, 687, '\P{Is_OLower=false}', 'deprecated');
Expect(1, 687, '\P{^Is_OLower=false}', 'deprecated');
Expect(0, 696, '\p{Is_OLower=false}', 'deprecated');
Expect(1, 696, '\p{^Is_OLower=false}', 'deprecated');
Expect(1, 696, '\P{Is_OLower=false}', 'deprecated');
Expect(0, 696, '\P{^Is_OLower=false}', 'deprecated');
Expect(1, 687, '\p{Is_OLower=	_false}', 'deprecated');
Expect(0, 687, '\p{^Is_OLower=	_false}', 'deprecated');
Expect(0, 687, '\P{Is_OLower=	_false}', 'deprecated');
Expect(1, 687, '\P{^Is_OLower=	_false}', 'deprecated');
Expect(0, 696, '\p{Is_OLower=	_false}', 'deprecated');
Expect(1, 696, '\p{^Is_OLower=	_false}', 'deprecated');
Expect(1, 696, '\P{Is_OLower=	_false}', 'deprecated');
Expect(0, 696, '\P{^Is_OLower=	_false}', 'deprecated');
Error('\p{Variation_Selector= :=Yes}');
Error('\P{Variation_Selector= :=Yes}');
Expect(1, 6157, '\p{Variation_Selector=yes}', "");
Expect(0, 6157, '\p{^Variation_Selector=yes}', "");
Expect(0, 6157, '\P{Variation_Selector=yes}', "");
Expect(1, 6157, '\P{^Variation_Selector=yes}', "");
Expect(0, 6154, '\p{Variation_Selector=yes}', "");
Expect(1, 6154, '\p{^Variation_Selector=yes}', "");
Expect(1, 6154, '\P{Variation_Selector=yes}', "");
Expect(0, 6154, '\P{^Variation_Selector=yes}', "");
Expect(1, 6157, '\p{Variation_Selector=_	Yes}', "");
Expect(0, 6157, '\p{^Variation_Selector=_	Yes}', "");
Expect(0, 6157, '\P{Variation_Selector=_	Yes}', "");
Expect(1, 6157, '\P{^Variation_Selector=_	Yes}', "");
Expect(0, 6154, '\p{Variation_Selector=_	Yes}', "");
Expect(1, 6154, '\p{^Variation_Selector=_	Yes}', "");
Expect(1, 6154, '\P{Variation_Selector=_	Yes}', "");
Expect(0, 6154, '\P{^Variation_Selector=_	Yes}', "");
Error('\p{VS=	Y:=}');
Error('\P{VS=	Y:=}');
Expect(1, 6157, '\p{VS=y}', "");
Expect(0, 6157, '\p{^VS=y}', "");
Expect(0, 6157, '\P{VS=y}', "");
Expect(1, 6157, '\P{^VS=y}', "");
Expect(0, 6154, '\p{VS=y}', "");
Expect(1, 6154, '\p{^VS=y}', "");
Expect(1, 6154, '\P{VS=y}', "");
Expect(0, 6154, '\P{^VS=y}', "");
Expect(1, 6157, '\p{VS:   _y}', "");
Expect(0, 6157, '\p{^VS:   _y}', "");
Expect(0, 6157, '\P{VS:   _y}', "");
Expect(1, 6157, '\P{^VS:   _y}', "");
Expect(0, 6154, '\p{VS:   _y}', "");
Expect(1, 6154, '\p{^VS:   _y}', "");
Expect(1, 6154, '\P{VS:   _y}', "");
Expect(0, 6154, '\P{^VS:   _y}', "");
Error('\p{Is_Variation_Selector::=T}');
Error('\P{Is_Variation_Selector::=T}');
Expect(1, 6157, '\p{Is_Variation_Selector=t}', "");
Expect(0, 6157, '\p{^Is_Variation_Selector=t}', "");
Expect(0, 6157, '\P{Is_Variation_Selector=t}', "");
Expect(1, 6157, '\P{^Is_Variation_Selector=t}', "");
Expect(0, 6154, '\p{Is_Variation_Selector=t}', "");
Expect(1, 6154, '\p{^Is_Variation_Selector=t}', "");
Expect(1, 6154, '\P{Is_Variation_Selector=t}', "");
Expect(0, 6154, '\P{^Is_Variation_Selector=t}', "");
Expect(1, 6157, '\p{Is_Variation_Selector=_	T}', "");
Expect(0, 6157, '\p{^Is_Variation_Selector=_	T}', "");
Expect(0, 6157, '\P{Is_Variation_Selector=_	T}', "");
Expect(1, 6157, '\P{^Is_Variation_Selector=_	T}', "");
Expect(0, 6154, '\p{Is_Variation_Selector=_	T}', "");
Expect(1, 6154, '\p{^Is_Variation_Selector=_	T}', "");
Expect(1, 6154, '\P{Is_Variation_Selector=_	T}', "");
Expect(0, 6154, '\P{^Is_Variation_Selector=_	T}', "");
Error('\p{Is_VS=:=_	True}');
Error('\P{Is_VS=:=_	True}');
Expect(1, 6157, '\p{Is_VS=true}', "");
Expect(0, 6157, '\p{^Is_VS=true}', "");
Expect(0, 6157, '\P{Is_VS=true}', "");
Expect(1, 6157, '\P{^Is_VS=true}', "");
Expect(0, 6154, '\p{Is_VS=true}', "");
Expect(1, 6154, '\p{^Is_VS=true}', "");
Expect(1, 6154, '\P{Is_VS=true}', "");
Expect(0, 6154, '\P{^Is_VS=true}', "");
Expect(1, 6157, '\p{Is_VS=	true}', "");
Expect(0, 6157, '\p{^Is_VS=	true}', "");
Expect(0, 6157, '\P{Is_VS=	true}', "");
Expect(1, 6157, '\P{^Is_VS=	true}', "");
Expect(0, 6154, '\p{Is_VS=	true}', "");
Expect(1, 6154, '\p{^Is_VS=	true}', "");
Expect(1, 6154, '\P{Is_VS=	true}', "");
Expect(0, 6154, '\P{^Is_VS=	true}', "");
Error('\p{Variation_Selector=:=_	No}');
Error('\P{Variation_Selector=:=_	No}');
Expect(1, 6154, '\p{Variation_Selector=no}', "");
Expect(0, 6154, '\p{^Variation_Selector=no}', "");
Expect(0, 6154, '\P{Variation_Selector=no}', "");
Expect(1, 6154, '\P{^Variation_Selector=no}', "");
Expect(0, 6157, '\p{Variation_Selector=no}', "");
Expect(1, 6157, '\p{^Variation_Selector=no}', "");
Expect(1, 6157, '\P{Variation_Selector=no}', "");
Expect(0, 6157, '\P{^Variation_Selector=no}', "");
Expect(1, 6154, '\p{Variation_Selector= NO}', "");
Expect(0, 6154, '\p{^Variation_Selector= NO}', "");
Expect(0, 6154, '\P{Variation_Selector= NO}', "");
Expect(1, 6154, '\P{^Variation_Selector= NO}', "");
Expect(0, 6157, '\p{Variation_Selector= NO}', "");
Expect(1, 6157, '\p{^Variation_Selector= NO}', "");
Expect(1, 6157, '\P{Variation_Selector= NO}', "");
Expect(0, 6157, '\P{^Variation_Selector= NO}', "");
Error('\p{VS=/a/  N}');
Error('\P{VS=/a/  N}');
Expect(1, 6154, '\p{VS=n}', "");
Expect(0, 6154, '\p{^VS=n}', "");
Expect(0, 6154, '\P{VS=n}', "");
Expect(1, 6154, '\P{^VS=n}', "");
Expect(0, 6157, '\p{VS=n}', "");
Expect(1, 6157, '\p{^VS=n}', "");
Expect(1, 6157, '\P{VS=n}', "");
Expect(0, 6157, '\P{^VS=n}', "");
Expect(1, 6154, '\p{VS:		N}', "");
Expect(0, 6154, '\p{^VS:		N}', "");
Expect(0, 6154, '\P{VS:		N}', "");
Expect(1, 6154, '\P{^VS:		N}', "");
Expect(0, 6157, '\p{VS:		N}', "");
Expect(1, 6157, '\p{^VS:		N}', "");
Expect(1, 6157, '\P{VS:		N}', "");
Expect(0, 6157, '\P{^VS:		N}', "");
Error('\p{Is_Variation_Selector:  :=F}');
Error('\P{Is_Variation_Selector:  :=F}');
Expect(1, 6154, '\p{Is_Variation_Selector=f}', "");
Expect(0, 6154, '\p{^Is_Variation_Selector=f}', "");
Expect(0, 6154, '\P{Is_Variation_Selector=f}', "");
Expect(1, 6154, '\P{^Is_Variation_Selector=f}', "");
Expect(0, 6157, '\p{Is_Variation_Selector=f}', "");
Expect(1, 6157, '\p{^Is_Variation_Selector=f}', "");
Expect(1, 6157, '\P{Is_Variation_Selector=f}', "");
Expect(0, 6157, '\P{^Is_Variation_Selector=f}', "");
Expect(1, 6154, '\p{Is_Variation_Selector=_-F}', "");
Expect(0, 6154, '\p{^Is_Variation_Selector=_-F}', "");
Expect(0, 6154, '\P{Is_Variation_Selector=_-F}', "");
Expect(1, 6154, '\P{^Is_Variation_Selector=_-F}', "");
Expect(0, 6157, '\p{Is_Variation_Selector=_-F}', "");
Expect(1, 6157, '\p{^Is_Variation_Selector=_-F}', "");
Expect(1, 6157, '\P{Is_Variation_Selector=_-F}', "");
Expect(0, 6157, '\P{^Is_Variation_Selector=_-F}', "");
Error('\p{Is_VS=_/a/False}');
Error('\P{Is_VS=_/a/False}');
Expect(1, 6154, '\p{Is_VS=false}', "");
Expect(0, 6154, '\p{^Is_VS=false}', "");
Expect(0, 6154, '\P{Is_VS=false}', "");
Expect(1, 6154, '\P{^Is_VS=false}', "");
Expect(0, 6157, '\p{Is_VS=false}', "");
Expect(1, 6157, '\p{^Is_VS=false}', "");
Expect(1, 6157, '\P{Is_VS=false}', "");
Expect(0, 6157, '\P{^Is_VS=false}', "");
Expect(1, 6154, '\p{Is_VS=-False}', "");
Expect(0, 6154, '\p{^Is_VS=-False}', "");
Expect(0, 6154, '\P{Is_VS=-False}', "");
Expect(1, 6154, '\P{^Is_VS=-False}', "");
Expect(0, 6157, '\p{Is_VS=-False}', "");
Expect(1, 6157, '\p{^Is_VS=-False}', "");
Expect(1, 6157, '\P{Is_VS=-False}', "");
Expect(0, 6157, '\P{^Is_VS=-False}', "");
Error('\p{Full_Composition_Exclusion=	-Yes/a/}');
Error('\P{Full_Composition_Exclusion=	-Yes/a/}');
Expect(1, 833, '\p{Full_Composition_Exclusion:	yes}', "");
Expect(0, 833, '\p{^Full_Composition_Exclusion:	yes}', "");
Expect(0, 833, '\P{Full_Composition_Exclusion:	yes}', "");
Expect(1, 833, '\P{^Full_Composition_Exclusion:	yes}', "");
Expect(0, 831, '\p{Full_Composition_Exclusion:	yes}', "");
Expect(1, 831, '\p{^Full_Composition_Exclusion:	yes}', "");
Expect(1, 831, '\P{Full_Composition_Exclusion:	yes}', "");
Expect(0, 831, '\P{^Full_Composition_Exclusion:	yes}', "");
Expect(1, 833, '\p{Full_Composition_Exclusion=-yes}', "");
Expect(0, 833, '\p{^Full_Composition_Exclusion=-yes}', "");
Expect(0, 833, '\P{Full_Composition_Exclusion=-yes}', "");
Expect(1, 833, '\P{^Full_Composition_Exclusion=-yes}', "");
Expect(0, 831, '\p{Full_Composition_Exclusion=-yes}', "");
Expect(1, 831, '\p{^Full_Composition_Exclusion=-yes}', "");
Expect(1, 831, '\P{Full_Composition_Exclusion=-yes}', "");
Expect(0, 831, '\P{^Full_Composition_Exclusion=-yes}', "");
Error('\p{Comp_Ex=-:=Y}');
Error('\P{Comp_Ex=-:=Y}');
Expect(1, 833, '\p{Comp_Ex=y}', "");
Expect(0, 833, '\p{^Comp_Ex=y}', "");
Expect(0, 833, '\P{Comp_Ex=y}', "");
Expect(1, 833, '\P{^Comp_Ex=y}', "");
Expect(0, 831, '\p{Comp_Ex=y}', "");
Expect(1, 831, '\p{^Comp_Ex=y}', "");
Expect(1, 831, '\P{Comp_Ex=y}', "");
Expect(0, 831, '\P{^Comp_Ex=y}', "");
Expect(1, 833, '\p{Comp_Ex=	Y}', "");
Expect(0, 833, '\p{^Comp_Ex=	Y}', "");
Expect(0, 833, '\P{Comp_Ex=	Y}', "");
Expect(1, 833, '\P{^Comp_Ex=	Y}', "");
Expect(0, 831, '\p{Comp_Ex=	Y}', "");
Expect(1, 831, '\p{^Comp_Ex=	Y}', "");
Expect(1, 831, '\P{Comp_Ex=	Y}', "");
Expect(0, 831, '\P{^Comp_Ex=	Y}', "");
Error('\p{Is_Full_Composition_Exclusion=_T:=}');
Error('\P{Is_Full_Composition_Exclusion=_T:=}');
Expect(1, 833, '\p{Is_Full_Composition_Exclusion=t}', "");
Expect(0, 833, '\p{^Is_Full_Composition_Exclusion=t}', "");
Expect(0, 833, '\P{Is_Full_Composition_Exclusion=t}', "");
Expect(1, 833, '\P{^Is_Full_Composition_Exclusion=t}', "");
Expect(0, 831, '\p{Is_Full_Composition_Exclusion=t}', "");
Expect(1, 831, '\p{^Is_Full_Composition_Exclusion=t}', "");
Expect(1, 831, '\P{Is_Full_Composition_Exclusion=t}', "");
Expect(0, 831, '\P{^Is_Full_Composition_Exclusion=t}', "");
Expect(1, 833, '\p{Is_Full_Composition_Exclusion= t}', "");
Expect(0, 833, '\p{^Is_Full_Composition_Exclusion= t}', "");
Expect(0, 833, '\P{Is_Full_Composition_Exclusion= t}', "");
Expect(1, 833, '\P{^Is_Full_Composition_Exclusion= t}', "");
Expect(0, 831, '\p{Is_Full_Composition_Exclusion= t}', "");
Expect(1, 831, '\p{^Is_Full_Composition_Exclusion= t}', "");
Expect(1, 831, '\P{Is_Full_Composition_Exclusion= t}', "");
Expect(0, 831, '\P{^Is_Full_Composition_Exclusion= t}', "");
Error('\p{Is_Comp_Ex:	_/a/True}');
Error('\P{Is_Comp_Ex:	_/a/True}');
Expect(1, 833, '\p{Is_Comp_Ex=true}', "");
Expect(0, 833, '\p{^Is_Comp_Ex=true}', "");
Expect(0, 833, '\P{Is_Comp_Ex=true}', "");
Expect(1, 833, '\P{^Is_Comp_Ex=true}', "");
Expect(0, 831, '\p{Is_Comp_Ex=true}', "");
Expect(1, 831, '\p{^Is_Comp_Ex=true}', "");
Expect(1, 831, '\P{Is_Comp_Ex=true}', "");
Expect(0, 831, '\P{^Is_Comp_Ex=true}', "");
Expect(1, 833, '\p{Is_Comp_Ex=-_True}', "");
Expect(0, 833, '\p{^Is_Comp_Ex=-_True}', "");
Expect(0, 833, '\P{Is_Comp_Ex=-_True}', "");
Expect(1, 833, '\P{^Is_Comp_Ex=-_True}', "");
Expect(0, 831, '\p{Is_Comp_Ex=-_True}', "");
Expect(1, 831, '\p{^Is_Comp_Ex=-_True}', "");
Expect(1, 831, '\P{Is_Comp_Ex=-_True}', "");
Expect(0, 831, '\P{^Is_Comp_Ex=-_True}', "");
Error('\p{Full_Composition_Exclusion=-:=no}');
Error('\P{Full_Composition_Exclusion=-:=no}');
Expect(1, 831, '\p{Full_Composition_Exclusion=no}', "");
Expect(0, 831, '\p{^Full_Composition_Exclusion=no}', "");
Expect(0, 831, '\P{Full_Composition_Exclusion=no}', "");
Expect(1, 831, '\P{^Full_Composition_Exclusion=no}', "");
Expect(0, 833, '\p{Full_Composition_Exclusion=no}', "");
Expect(1, 833, '\p{^Full_Composition_Exclusion=no}', "");
Expect(1, 833, '\P{Full_Composition_Exclusion=no}', "");
Expect(0, 833, '\P{^Full_Composition_Exclusion=no}', "");
Expect(1, 831, '\p{Full_Composition_Exclusion=_No}', "");
Expect(0, 831, '\p{^Full_Composition_Exclusion=_No}', "");
Expect(0, 831, '\P{Full_Composition_Exclusion=_No}', "");
Expect(1, 831, '\P{^Full_Composition_Exclusion=_No}', "");
Expect(0, 833, '\p{Full_Composition_Exclusion=_No}', "");
Expect(1, 833, '\p{^Full_Composition_Exclusion=_No}', "");
Expect(1, 833, '\P{Full_Composition_Exclusion=_No}', "");
Expect(0, 833, '\P{^Full_Composition_Exclusion=_No}', "");
Error('\p{Comp_Ex=_:=N}');
Error('\P{Comp_Ex=_:=N}');
Expect(1, 831, '\p{Comp_Ex:   n}', "");
Expect(0, 831, '\p{^Comp_Ex:   n}', "");
Expect(0, 831, '\P{Comp_Ex:   n}', "");
Expect(1, 831, '\P{^Comp_Ex:   n}', "");
Expect(0, 833, '\p{Comp_Ex:   n}', "");
Expect(1, 833, '\p{^Comp_Ex:   n}', "");
Expect(1, 833, '\P{Comp_Ex:   n}', "");
Expect(0, 833, '\P{^Comp_Ex:   n}', "");
Expect(1, 831, '\p{Comp_Ex=--N}', "");
Expect(0, 831, '\p{^Comp_Ex=--N}', "");
Expect(0, 831, '\P{Comp_Ex=--N}', "");
Expect(1, 831, '\P{^Comp_Ex=--N}', "");
Expect(0, 833, '\p{Comp_Ex=--N}', "");
Expect(1, 833, '\p{^Comp_Ex=--N}', "");
Expect(1, 833, '\P{Comp_Ex=--N}', "");
Expect(0, 833, '\P{^Comp_Ex=--N}', "");
Error('\p{Is_Full_Composition_Exclusion=/a/F}');
Error('\P{Is_Full_Composition_Exclusion=/a/F}');
Expect(1, 831, '\p{Is_Full_Composition_Exclusion=f}', "");
Expect(0, 831, '\p{^Is_Full_Composition_Exclusion=f}', "");
Expect(0, 831, '\P{Is_Full_Composition_Exclusion=f}', "");
Expect(1, 831, '\P{^Is_Full_Composition_Exclusion=f}', "");
Expect(0, 833, '\p{Is_Full_Composition_Exclusion=f}', "");
Expect(1, 833, '\p{^Is_Full_Composition_Exclusion=f}', "");
Expect(1, 833, '\P{Is_Full_Composition_Exclusion=f}', "");
Expect(0, 833, '\P{^Is_Full_Composition_Exclusion=f}', "");
Expect(1, 831, '\p{Is_Full_Composition_Exclusion=_F}', "");
Expect(0, 831, '\p{^Is_Full_Composition_Exclusion=_F}', "");
Expect(0, 831, '\P{Is_Full_Composition_Exclusion=_F}', "");
Expect(1, 831, '\P{^Is_Full_Composition_Exclusion=_F}', "");
Expect(0, 833, '\p{Is_Full_Composition_Exclusion=_F}', "");
Expect(1, 833, '\p{^Is_Full_Composition_Exclusion=_F}', "");
Expect(1, 833, '\P{Is_Full_Composition_Exclusion=_F}', "");
Expect(0, 833, '\P{^Is_Full_Composition_Exclusion=_F}', "");
Error('\p{Is_Comp_Ex=-/a/False}');
Error('\P{Is_Comp_Ex=-/a/False}');
Expect(1, 831, '\p{Is_Comp_Ex:   false}', "");
Expect(0, 831, '\p{^Is_Comp_Ex:   false}', "");
Expect(0, 831, '\P{Is_Comp_Ex:   false}', "");
Expect(1, 831, '\P{^Is_Comp_Ex:   false}', "");
Expect(0, 833, '\p{Is_Comp_Ex:   false}', "");
Expect(1, 833, '\p{^Is_Comp_Ex:   false}', "");
Expect(1, 833, '\P{Is_Comp_Ex:   false}', "");
Expect(0, 833, '\P{^Is_Comp_Ex:   false}', "");
Expect(1, 831, '\p{Is_Comp_Ex=- False}', "");
Expect(0, 831, '\p{^Is_Comp_Ex=- False}', "");
Expect(0, 831, '\P{Is_Comp_Ex=- False}', "");
Expect(1, 831, '\P{^Is_Comp_Ex=- False}', "");
Expect(0, 833, '\p{Is_Comp_Ex=- False}', "");
Expect(1, 833, '\p{^Is_Comp_Ex=- False}', "");
Expect(1, 833, '\P{Is_Comp_Ex=- False}', "");
Expect(0, 833, '\P{^Is_Comp_Ex=- False}', "");
Error('\p{Changes_When_NFKC_Casefolded=:=yes}');
Error('\P{Changes_When_NFKC_Casefolded=:=yes}');
Expect(1, 90, '\p{Changes_When_NFKC_Casefolded=yes}', "");
Expect(0, 90, '\p{^Changes_When_NFKC_Casefolded=yes}', "");
Expect(0, 90, '\P{Changes_When_NFKC_Casefolded=yes}', "");
Expect(1, 90, '\P{^Changes_When_NFKC_Casefolded=yes}', "");
Expect(0, 64, '\p{Changes_When_NFKC_Casefolded=yes}', "");
Expect(1, 64, '\p{^Changes_When_NFKC_Casefolded=yes}', "");
Expect(1, 64, '\P{Changes_When_NFKC_Casefolded=yes}', "");
Expect(0, 64, '\P{^Changes_When_NFKC_Casefolded=yes}', "");
Expect(1, 90, '\p{Changes_When_NFKC_Casefolded=_	Yes}', "");
Expect(0, 90, '\p{^Changes_When_NFKC_Casefolded=_	Yes}', "");
Expect(0, 90, '\P{Changes_When_NFKC_Casefolded=_	Yes}', "");
Expect(1, 90, '\P{^Changes_When_NFKC_Casefolded=_	Yes}', "");
Expect(0, 64, '\p{Changes_When_NFKC_Casefolded=_	Yes}', "");
Expect(1, 64, '\p{^Changes_When_NFKC_Casefolded=_	Yes}', "");
Expect(1, 64, '\P{Changes_When_NFKC_Casefolded=_	Yes}', "");
Expect(0, 64, '\P{^Changes_When_NFKC_Casefolded=_	Yes}', "");
Error('\p{CWKCF=/a/y}');
Error('\P{CWKCF=/a/y}');
Expect(1, 90, '\p{CWKCF=y}', "");
Expect(0, 90, '\p{^CWKCF=y}', "");
Expect(0, 90, '\P{CWKCF=y}', "");
Expect(1, 90, '\P{^CWKCF=y}', "");
Expect(0, 64, '\p{CWKCF=y}', "");
Expect(1, 64, '\p{^CWKCF=y}', "");
Expect(1, 64, '\P{CWKCF=y}', "");
Expect(0, 64, '\P{^CWKCF=y}', "");
Expect(1, 90, '\p{CWKCF= Y}', "");
Expect(0, 90, '\p{^CWKCF= Y}', "");
Expect(0, 90, '\P{CWKCF= Y}', "");
Expect(1, 90, '\P{^CWKCF= Y}', "");
Expect(0, 64, '\p{CWKCF= Y}', "");
Expect(1, 64, '\p{^CWKCF= Y}', "");
Expect(1, 64, '\P{CWKCF= Y}', "");
Expect(0, 64, '\P{^CWKCF= Y}', "");
Error('\p{Is_Changes_When_NFKC_Casefolded= /a/T}');
Error('\P{Is_Changes_When_NFKC_Casefolded= /a/T}');
Expect(1, 90, '\p{Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(0, 90, '\p{^Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(0, 90, '\P{Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(1, 90, '\P{^Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(0, 64, '\p{Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(1, 64, '\p{^Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(1, 64, '\P{Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(0, 64, '\P{^Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(1, 90, '\p{Is_Changes_When_NFKC_Casefolded=  t}', "");
Expect(0, 90, '\p{^Is_Changes_When_NFKC_Casefolded=  t}', "");
Expect(0, 90, '\P{Is_Changes_When_NFKC_Casefolded=  t}', "");
Expect(1, 90, '\P{^Is_Changes_When_NFKC_Casefolded=  t}', "");
Expect(0, 64, '\p{Is_Changes_When_NFKC_Casefolded=  t}', "");
Expect(1, 64, '\p{^Is_Changes_When_NFKC_Casefolded=  t}', "");
Expect(1, 64, '\P{Is_Changes_When_NFKC_Casefolded=  t}', "");
Expect(0, 64, '\P{^Is_Changes_When_NFKC_Casefolded=  t}', "");
Error('\p{Is_CWKCF=_/a/true}');
Error('\P{Is_CWKCF=_/a/true}');
Expect(1, 90, '\p{Is_CWKCF=true}', "");
Expect(0, 90, '\p{^Is_CWKCF=true}', "");
Expect(0, 90, '\P{Is_CWKCF=true}', "");
Expect(1, 90, '\P{^Is_CWKCF=true}', "");
Expect(0, 64, '\p{Is_CWKCF=true}', "");
Expect(1, 64, '\p{^Is_CWKCF=true}', "");
Expect(1, 64, '\P{Is_CWKCF=true}', "");
Expect(0, 64, '\P{^Is_CWKCF=true}', "");
Expect(1, 90, '\p{Is_CWKCF=-TRUE}', "");
Expect(0, 90, '\p{^Is_CWKCF=-TRUE}', "");
Expect(0, 90, '\P{Is_CWKCF=-TRUE}', "");
Expect(1, 90, '\P{^Is_CWKCF=-TRUE}', "");
Expect(0, 64, '\p{Is_CWKCF=-TRUE}', "");
Expect(1, 64, '\p{^Is_CWKCF=-TRUE}', "");
Expect(1, 64, '\P{Is_CWKCF=-TRUE}', "");
Expect(0, 64, '\P{^Is_CWKCF=-TRUE}', "");
Error('\p{Changes_When_NFKC_Casefolded=	_No/a/}');
Error('\P{Changes_When_NFKC_Casefolded=	_No/a/}');
Expect(1, 64, '\p{Changes_When_NFKC_Casefolded=no}', "");
Expect(0, 64, '\p{^Changes_When_NFKC_Casefolded=no}', "");
Expect(0, 64, '\P{Changes_When_NFKC_Casefolded=no}', "");
Expect(1, 64, '\P{^Changes_When_NFKC_Casefolded=no}', "");
Expect(0, 90, '\p{Changes_When_NFKC_Casefolded=no}', "");
Expect(1, 90, '\p{^Changes_When_NFKC_Casefolded=no}', "");
Expect(1, 90, '\P{Changes_When_NFKC_Casefolded=no}', "");
Expect(0, 90, '\P{^Changes_When_NFKC_Casefolded=no}', "");
Expect(1, 64, '\p{Changes_When_NFKC_Casefolded= -no}', "");
Expect(0, 64, '\p{^Changes_When_NFKC_Casefolded= -no}', "");
Expect(0, 64, '\P{Changes_When_NFKC_Casefolded= -no}', "");
Expect(1, 64, '\P{^Changes_When_NFKC_Casefolded= -no}', "");
Expect(0, 90, '\p{Changes_When_NFKC_Casefolded= -no}', "");
Expect(1, 90, '\p{^Changes_When_NFKC_Casefolded= -no}', "");
Expect(1, 90, '\P{Changes_When_NFKC_Casefolded= -no}', "");
Expect(0, 90, '\P{^Changes_When_NFKC_Casefolded= -no}', "");
Error('\p{CWKCF=  N:=}');
Error('\P{CWKCF=  N:=}');
Expect(1, 64, '\p{CWKCF=n}', "");
Expect(0, 64, '\p{^CWKCF=n}', "");
Expect(0, 64, '\P{CWKCF=n}', "");
Expect(1, 64, '\P{^CWKCF=n}', "");
Expect(0, 90, '\p{CWKCF=n}', "");
Expect(1, 90, '\p{^CWKCF=n}', "");
Expect(1, 90, '\P{CWKCF=n}', "");
Expect(0, 90, '\P{^CWKCF=n}', "");
Expect(1, 64, '\p{CWKCF: 		N}', "");
Expect(0, 64, '\p{^CWKCF: 		N}', "");
Expect(0, 64, '\P{CWKCF: 		N}', "");
Expect(1, 64, '\P{^CWKCF: 		N}', "");
Expect(0, 90, '\p{CWKCF: 		N}', "");
Expect(1, 90, '\p{^CWKCF: 		N}', "");
Expect(1, 90, '\P{CWKCF: 		N}', "");
Expect(0, 90, '\P{^CWKCF: 		N}', "");
Error('\p{Is_Changes_When_NFKC_Casefolded=:=	F}');
Error('\P{Is_Changes_When_NFKC_Casefolded=:=	F}');
Expect(1, 64, '\p{Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(0, 64, '\p{^Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(0, 64, '\P{Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(1, 64, '\P{^Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(0, 90, '\p{Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(1, 90, '\p{^Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(1, 90, '\P{Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(0, 90, '\P{^Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(1, 64, '\p{Is_Changes_When_NFKC_Casefolded=- F}', "");
Expect(0, 64, '\p{^Is_Changes_When_NFKC_Casefolded=- F}', "");
Expect(0, 64, '\P{Is_Changes_When_NFKC_Casefolded=- F}', "");
Expect(1, 64, '\P{^Is_Changes_When_NFKC_Casefolded=- F}', "");
Expect(0, 90, '\p{Is_Changes_When_NFKC_Casefolded=- F}', "");
Expect(1, 90, '\p{^Is_Changes_When_NFKC_Casefolded=- F}', "");
Expect(1, 90, '\P{Is_Changes_When_NFKC_Casefolded=- F}', "");
Expect(0, 90, '\P{^Is_Changes_When_NFKC_Casefolded=- F}', "");
Error('\p{Is_CWKCF=/a/		FALSE}');
Error('\P{Is_CWKCF=/a/		FALSE}');
Expect(1, 64, '\p{Is_CWKCF:	false}', "");
Expect(0, 64, '\p{^Is_CWKCF:	false}', "");
Expect(0, 64, '\P{Is_CWKCF:	false}', "");
Expect(1, 64, '\P{^Is_CWKCF:	false}', "");
Expect(0, 90, '\p{Is_CWKCF:	false}', "");
Expect(1, 90, '\p{^Is_CWKCF:	false}', "");
Expect(1, 90, '\P{Is_CWKCF:	false}', "");
Expect(0, 90, '\P{^Is_CWKCF:	false}', "");
Expect(1, 64, '\p{Is_CWKCF=- False}', "");
Expect(0, 64, '\p{^Is_CWKCF=- False}', "");
Expect(0, 64, '\P{Is_CWKCF=- False}', "");
Expect(1, 64, '\P{^Is_CWKCF=- False}', "");
Expect(0, 90, '\p{Is_CWKCF=- False}', "");
Expect(1, 90, '\p{^Is_CWKCF=- False}', "");
Expect(1, 90, '\P{Is_CWKCF=- False}', "");
Expect(0, 90, '\P{^Is_CWKCF=- False}', "");
Error('\p{NFKC_Quick_Check=	 Yes/a/}');
Error('\P{NFKC_Quick_Check=	 Yes/a/}');
Expect(1, 159, '\p{NFKC_Quick_Check=yes}', "");
Expect(0, 159, '\p{^NFKC_Quick_Check=yes}', "");
Expect(0, 159, '\P{NFKC_Quick_Check=yes}', "");
Expect(1, 159, '\P{^NFKC_Quick_Check=yes}', "");
Expect(0, 160, '\p{NFKC_Quick_Check=yes}', "");
Expect(1, 160, '\p{^NFKC_Quick_Check=yes}', "");
Expect(1, 160, '\P{NFKC_Quick_Check=yes}', "");
Expect(0, 160, '\P{^NFKC_Quick_Check=yes}', "");
Expect(1, 159, '\p{NFKC_Quick_Check=- Yes}', "");
Expect(0, 159, '\p{^NFKC_Quick_Check=- Yes}', "");
Expect(0, 159, '\P{NFKC_Quick_Check=- Yes}', "");
Expect(1, 159, '\P{^NFKC_Quick_Check=- Yes}', "");
Expect(0, 160, '\p{NFKC_Quick_Check=- Yes}', "");
Expect(1, 160, '\p{^NFKC_Quick_Check=- Yes}', "");
Expect(1, 160, '\P{NFKC_Quick_Check=- Yes}', "");
Expect(0, 160, '\P{^NFKC_Quick_Check=- Yes}', "");
Error('\p{NFKC_QC=-:=Y}');
Error('\P{NFKC_QC=-:=Y}');
Expect(1, 159, '\p{NFKC_QC=y}', "");
Expect(0, 159, '\p{^NFKC_QC=y}', "");
Expect(0, 159, '\P{NFKC_QC=y}', "");
Expect(1, 159, '\P{^NFKC_QC=y}', "");
Expect(0, 160, '\p{NFKC_QC=y}', "");
Expect(1, 160, '\p{^NFKC_QC=y}', "");
Expect(1, 160, '\P{NFKC_QC=y}', "");
Expect(0, 160, '\P{^NFKC_QC=y}', "");
Error('\p{Is_NFKC_Quick_Check=-	yes:=}');
Error('\P{Is_NFKC_Quick_Check=-	yes:=}');
Expect(1, 159, '\p{Is_NFKC_Quick_Check=yes}', "");
Expect(0, 159, '\p{^Is_NFKC_Quick_Check=yes}', "");
Expect(0, 159, '\P{Is_NFKC_Quick_Check=yes}', "");
Expect(1, 159, '\P{^Is_NFKC_Quick_Check=yes}', "");
Expect(0, 160, '\p{Is_NFKC_Quick_Check=yes}', "");
Expect(1, 160, '\p{^Is_NFKC_Quick_Check=yes}', "");
Expect(1, 160, '\P{Is_NFKC_Quick_Check=yes}', "");
Expect(0, 160, '\P{^Is_NFKC_Quick_Check=yes}', "");
Expect(1, 159, '\p{Is_NFKC_Quick_Check=_	Yes}', "");
Expect(0, 159, '\p{^Is_NFKC_Quick_Check=_	Yes}', "");
Expect(0, 159, '\P{Is_NFKC_Quick_Check=_	Yes}', "");
Expect(1, 159, '\P{^Is_NFKC_Quick_Check=_	Yes}', "");
Expect(0, 160, '\p{Is_NFKC_Quick_Check=_	Yes}', "");
Expect(1, 160, '\p{^Is_NFKC_Quick_Check=_	Yes}', "");
Expect(1, 160, '\P{Is_NFKC_Quick_Check=_	Yes}', "");
Expect(0, 160, '\P{^Is_NFKC_Quick_Check=_	Yes}', "");
Error('\p{Is_NFKC_QC=  Y/a/}');
Error('\P{Is_NFKC_QC=  Y/a/}');
Expect(1, 159, '\p{Is_NFKC_QC=y}', "");
Expect(0, 159, '\p{^Is_NFKC_QC=y}', "");
Expect(0, 159, '\P{Is_NFKC_QC=y}', "");
Expect(1, 159, '\P{^Is_NFKC_QC=y}', "");
Expect(0, 160, '\p{Is_NFKC_QC=y}', "");
Expect(1, 160, '\p{^Is_NFKC_QC=y}', "");
Expect(1, 160, '\P{Is_NFKC_QC=y}', "");
Expect(0, 160, '\P{^Is_NFKC_QC=y}', "");
Expect(1, 159, '\p{Is_NFKC_QC=	 Y}', "");
Expect(0, 159, '\p{^Is_NFKC_QC=	 Y}', "");
Expect(0, 159, '\P{Is_NFKC_QC=	 Y}', "");
Expect(1, 159, '\P{^Is_NFKC_QC=	 Y}', "");
Expect(0, 160, '\p{Is_NFKC_QC=	 Y}', "");
Expect(1, 160, '\p{^Is_NFKC_QC=	 Y}', "");
Expect(1, 160, '\P{Is_NFKC_QC=	 Y}', "");
Expect(0, 160, '\P{^Is_NFKC_QC=	 Y}', "");
Error('\p{NFKC_Quick_Check=	_No/a/}');
Error('\P{NFKC_Quick_Check=	_No/a/}');
Expect(1, 160, '\p{NFKC_Quick_Check=no}', "");
Expect(0, 160, '\p{^NFKC_Quick_Check=no}', "");
Expect(0, 160, '\P{NFKC_Quick_Check=no}', "");
Expect(1, 160, '\P{^NFKC_Quick_Check=no}', "");
Expect(0, 159, '\p{NFKC_Quick_Check=no}', "");
Expect(1, 159, '\p{^NFKC_Quick_Check=no}', "");
Expect(1, 159, '\P{NFKC_Quick_Check=no}', "");
Expect(0, 159, '\P{^NFKC_Quick_Check=no}', "");
Expect(1, 160, '\p{NFKC_Quick_Check=		no}', "");
Expect(0, 160, '\p{^NFKC_Quick_Check=		no}', "");
Expect(0, 160, '\P{NFKC_Quick_Check=		no}', "");
Expect(1, 160, '\P{^NFKC_Quick_Check=		no}', "");
Expect(0, 159, '\p{NFKC_Quick_Check=		no}', "");
Expect(1, 159, '\p{^NFKC_Quick_Check=		no}', "");
Expect(1, 159, '\P{NFKC_Quick_Check=		no}', "");
Expect(0, 159, '\P{^NFKC_Quick_Check=		no}', "");
Error('\p{NFKC_QC=  N/a/}');
Error('\P{NFKC_QC=  N/a/}');
Expect(1, 160, '\p{NFKC_QC=n}', "");
Expect(0, 160, '\p{^NFKC_QC=n}', "");
Expect(0, 160, '\P{NFKC_QC=n}', "");
Expect(1, 160, '\P{^NFKC_QC=n}', "");
Expect(0, 159, '\p{NFKC_QC=n}', "");
Expect(1, 159, '\p{^NFKC_QC=n}', "");
Expect(1, 159, '\P{NFKC_QC=n}', "");
Expect(0, 159, '\P{^NFKC_QC=n}', "");
Expect(1, 160, '\p{NFKC_QC=-n}', "");
Expect(0, 160, '\p{^NFKC_QC=-n}', "");
Expect(0, 160, '\P{NFKC_QC=-n}', "");
Expect(1, 160, '\P{^NFKC_QC=-n}', "");
Expect(0, 159, '\p{NFKC_QC=-n}', "");
Expect(1, 159, '\p{^NFKC_QC=-n}', "");
Expect(1, 159, '\P{NFKC_QC=-n}', "");
Expect(0, 159, '\P{^NFKC_QC=-n}', "");
Error('\p{Is_NFKC_Quick_Check=	no:=}');
Error('\P{Is_NFKC_Quick_Check=	no:=}');
Expect(1, 160, '\p{Is_NFKC_Quick_Check:	no}', "");
Expect(0, 160, '\p{^Is_NFKC_Quick_Check:	no}', "");
Expect(0, 160, '\P{Is_NFKC_Quick_Check:	no}', "");
Expect(1, 160, '\P{^Is_NFKC_Quick_Check:	no}', "");
Expect(0, 159, '\p{Is_NFKC_Quick_Check:	no}', "");
Expect(1, 159, '\p{^Is_NFKC_Quick_Check:	no}', "");
Expect(1, 159, '\P{Is_NFKC_Quick_Check:	no}', "");
Expect(0, 159, '\P{^Is_NFKC_Quick_Check:	no}', "");
Expect(1, 160, '\p{Is_NFKC_Quick_Check=-_No}', "");
Expect(0, 160, '\p{^Is_NFKC_Quick_Check=-_No}', "");
Expect(0, 160, '\P{Is_NFKC_Quick_Check=-_No}', "");
Expect(1, 160, '\P{^Is_NFKC_Quick_Check=-_No}', "");
Expect(0, 159, '\p{Is_NFKC_Quick_Check=-_No}', "");
Expect(1, 159, '\p{^Is_NFKC_Quick_Check=-_No}', "");
Expect(1, 159, '\P{Is_NFKC_Quick_Check=-_No}', "");
Expect(0, 159, '\P{^Is_NFKC_Quick_Check=-_No}', "");
Error('\p{Is_NFKC_QC=- N:=}');
Error('\P{Is_NFKC_QC=- N:=}');
Expect(1, 160, '\p{Is_NFKC_QC=n}', "");
Expect(0, 160, '\p{^Is_NFKC_QC=n}', "");
Expect(0, 160, '\P{Is_NFKC_QC=n}', "");
Expect(1, 160, '\P{^Is_NFKC_QC=n}', "");
Expect(0, 159, '\p{Is_NFKC_QC=n}', "");
Expect(1, 159, '\p{^Is_NFKC_QC=n}', "");
Expect(1, 159, '\P{Is_NFKC_QC=n}', "");
Expect(0, 159, '\P{^Is_NFKC_QC=n}', "");
Expect(1, 160, '\p{Is_NFKC_QC= _n}', "");
Expect(0, 160, '\p{^Is_NFKC_QC= _n}', "");
Expect(0, 160, '\P{Is_NFKC_QC= _n}', "");
Expect(1, 160, '\P{^Is_NFKC_QC= _n}', "");
Expect(0, 159, '\p{Is_NFKC_QC= _n}', "");
Expect(1, 159, '\p{^Is_NFKC_QC= _n}', "");
Expect(1, 159, '\P{Is_NFKC_QC= _n}', "");
Expect(0, 159, '\P{^Is_NFKC_QC= _n}', "");
Error('\p{NFKC_Quick_Check=:=MAYBE}');
Error('\P{NFKC_Quick_Check=:=MAYBE}');
Expect(1, 772, '\p{NFKC_Quick_Check=maybe}', "");
Expect(0, 772, '\p{^NFKC_Quick_Check=maybe}', "");
Expect(0, 772, '\P{NFKC_Quick_Check=maybe}', "");
Expect(1, 772, '\P{^NFKC_Quick_Check=maybe}', "");
Expect(0, 767, '\p{NFKC_Quick_Check=maybe}', "");
Expect(1, 767, '\p{^NFKC_Quick_Check=maybe}', "");
Expect(1, 767, '\P{NFKC_Quick_Check=maybe}', "");
Expect(0, 767, '\P{^NFKC_Quick_Check=maybe}', "");
Expect(1, 772, '\p{NFKC_Quick_Check=_Maybe}', "");
Expect(0, 772, '\p{^NFKC_Quick_Check=_Maybe}', "");
Expect(0, 772, '\P{NFKC_Quick_Check=_Maybe}', "");
Expect(1, 772, '\P{^NFKC_Quick_Check=_Maybe}', "");
Expect(0, 767, '\p{NFKC_Quick_Check=_Maybe}', "");
Expect(1, 767, '\p{^NFKC_Quick_Check=_Maybe}', "");
Expect(1, 767, '\P{NFKC_Quick_Check=_Maybe}', "");
Expect(0, 767, '\P{^NFKC_Quick_Check=_Maybe}', "");
Error('\p{NFKC_QC=	-M/a/}');
Error('\P{NFKC_QC=	-M/a/}');
Expect(1, 772, '\p{NFKC_QC=m}', "");
Expect(0, 772, '\p{^NFKC_QC=m}', "");
Expect(0, 772, '\P{NFKC_QC=m}', "");
Expect(1, 772, '\P{^NFKC_QC=m}', "");
Expect(0, 767, '\p{NFKC_QC=m}', "");
Expect(1, 767, '\p{^NFKC_QC=m}', "");
Expect(1, 767, '\P{NFKC_QC=m}', "");
Expect(0, 767, '\P{^NFKC_QC=m}', "");
Expect(1, 772, '\p{NFKC_QC= -M}', "");
Expect(0, 772, '\p{^NFKC_QC= -M}', "");
Expect(0, 772, '\P{NFKC_QC= -M}', "");
Expect(1, 772, '\P{^NFKC_QC= -M}', "");
Expect(0, 767, '\p{NFKC_QC= -M}', "");
Expect(1, 767, '\p{^NFKC_QC= -M}', "");
Expect(1, 767, '\P{NFKC_QC= -M}', "");
Expect(0, 767, '\P{^NFKC_QC= -M}', "");
Error('\p{Is_NFKC_Quick_Check= /a/maybe}');
Error('\P{Is_NFKC_Quick_Check= /a/maybe}');
Expect(1, 772, '\p{Is_NFKC_Quick_Check=maybe}', "");
Expect(0, 772, '\p{^Is_NFKC_Quick_Check=maybe}', "");
Expect(0, 772, '\P{Is_NFKC_Quick_Check=maybe}', "");
Expect(1, 772, '\P{^Is_NFKC_Quick_Check=maybe}', "");
Expect(0, 767, '\p{Is_NFKC_Quick_Check=maybe}', "");
Expect(1, 767, '\p{^Is_NFKC_Quick_Check=maybe}', "");
Expect(1, 767, '\P{Is_NFKC_Quick_Check=maybe}', "");
Expect(0, 767, '\P{^Is_NFKC_Quick_Check=maybe}', "");
Expect(1, 772, '\p{Is_NFKC_Quick_Check:-	Maybe}', "");
Expect(0, 772, '\p{^Is_NFKC_Quick_Check:-	Maybe}', "");
Expect(0, 772, '\P{Is_NFKC_Quick_Check:-	Maybe}', "");
Expect(1, 772, '\P{^Is_NFKC_Quick_Check:-	Maybe}', "");
Expect(0, 767, '\p{Is_NFKC_Quick_Check:-	Maybe}', "");
Expect(1, 767, '\p{^Is_NFKC_Quick_Check:-	Maybe}', "");
Expect(1, 767, '\P{Is_NFKC_Quick_Check:-	Maybe}', "");
Expect(0, 767, '\P{^Is_NFKC_Quick_Check:-	Maybe}', "");
Error('\p{Is_NFKC_QC=	:=M}');
Error('\P{Is_NFKC_QC=	:=M}');
Expect(1, 772, '\p{Is_NFKC_QC=m}', "");
Expect(0, 772, '\p{^Is_NFKC_QC=m}', "");
Expect(0, 772, '\P{Is_NFKC_QC=m}', "");
Expect(1, 772, '\P{^Is_NFKC_QC=m}', "");
Expect(0, 767, '\p{Is_NFKC_QC=m}', "");
Expect(1, 767, '\p{^Is_NFKC_QC=m}', "");
Expect(1, 767, '\P{Is_NFKC_QC=m}', "");
Expect(0, 767, '\P{^Is_NFKC_QC=m}', "");
Expect(1, 772, '\p{Is_NFKC_QC=_	M}', "");
Expect(0, 772, '\p{^Is_NFKC_QC=_	M}', "");
Expect(0, 772, '\P{Is_NFKC_QC=_	M}', "");
Expect(1, 772, '\P{^Is_NFKC_QC=_	M}', "");
Expect(0, 767, '\p{Is_NFKC_QC=_	M}', "");
Expect(1, 767, '\p{^Is_NFKC_QC=_	M}', "");
Expect(1, 767, '\P{Is_NFKC_QC=_	M}', "");
Expect(0, 767, '\P{^Is_NFKC_QC=_	M}', "");
Error('\p{Jamo_Short_Name:}');
Error('\P{Jamo_Short_Name:}');
Error('\p{JSN=}');
Error('\P{JSN=}');
Error('\p{Is_Jamo_Short_Name=}');
Error('\P{Is_Jamo_Short_Name=}');
Error('\p{Is_JSN=}');
Error('\P{Is_JSN=}');
Error('\p{Jamo_Short_Name=S}');
Error('\P{Jamo_Short_Name=S}');
Error('\p{JSN=S}');
Error('\P{JSN=S}');
Error('\p{Is_Jamo_Short_Name=S}');
Error('\P{Is_Jamo_Short_Name=S}');
Error('\p{Is_JSN=S}');
Error('\P{Is_JSN=S}');
Error('\p{Jamo_Short_Name=GG}');
Error('\P{Jamo_Short_Name=GG}');
Error('\p{JSN=GG}');
Error('\P{JSN=GG}');
Error('\p{Is_Jamo_Short_Name=GG}');
Error('\P{Is_Jamo_Short_Name=GG}');
Error('\p{Is_JSN=GG}');
Error('\P{Is_JSN=GG}');
Error('\p{Jamo_Short_Name=YU}');
Error('\P{Jamo_Short_Name=YU}');
Error('\p{JSN=YU}');
Error('\P{JSN=YU}');
Error('\p{Is_Jamo_Short_Name=YU}');
Error('\P{Is_Jamo_Short_Name=YU}');
Error('\p{Is_JSN:YU}');
Error('\P{Is_JSN:YU}');
Error('\p{Jamo_Short_Name=WE}');
Error('\P{Jamo_Short_Name=WE}');
Error('\p{JSN=WE}');
Error('\P{JSN=WE}');
Error('\p{Is_Jamo_Short_Name=WE}');
Error('\P{Is_Jamo_Short_Name=WE}');
Error('\p{Is_JSN=WE}');
Error('\P{Is_JSN=WE}');
Error('\p{Jamo_Short_Name=LM}');
Error('\P{Jamo_Short_Name=LM}');
Error('\p{JSN=LM}');
Error('\P{JSN=LM}');
Error('\p{Is_Jamo_Short_Name=LM}');
Error('\P{Is_Jamo_Short_Name=LM}');
Error('\p{Is_JSN=LM}');
Error('\P{Is_JSN=LM}');
Error('\p{Jamo_Short_Name=K}');
Error('\P{Jamo_Short_Name=K}');
Error('\p{JSN=K}');
Error('\P{JSN=K}');
Error('\p{Is_Jamo_Short_Name=K}');
Error('\P{Is_Jamo_Short_Name=K}');
Error('\p{Is_JSN=K}');
Error('\P{Is_JSN=K}');
Error('\p{Jamo_Short_Name=BB}');
Error('\P{Jamo_Short_Name=BB}');
Error('\p{JSN=BB}');
Error('\P{JSN=BB}');
Error('\p{Is_Jamo_Short_Name=BB}');
Error('\P{Is_Jamo_Short_Name=BB}');
Error('\p{Is_JSN=BB}');
Error('\P{Is_JSN=BB}');
Error('\p{Jamo_Short_Name=D}');
Error('\P{Jamo_Short_Name=D}');
Error('\p{JSN=D}');
Error('\P{JSN=D}');
Error('\p{Is_Jamo_Short_Name=D}');
Error('\P{Is_Jamo_Short_Name=D}');
Error('\p{Is_JSN=D}');
Error('\P{Is_JSN=D}');
Error('\p{Jamo_Short_Name=E}');
Error('\P{Jamo_Short_Name=E}');
Error('\p{JSN:	E}');
Error('\P{JSN:	E}');
Error('\p{Is_Jamo_Short_Name=E}');
Error('\P{Is_Jamo_Short_Name=E}');
Error('\p{Is_JSN=E}');
Error('\P{Is_JSN=E}');
Error('\p{Jamo_Short_Name=JJ}');
Error('\P{Jamo_Short_Name=JJ}');
Error('\p{JSN=JJ}');
Error('\P{JSN=JJ}');
Error('\p{Is_Jamo_Short_Name=JJ}');
Error('\P{Is_Jamo_Short_Name=JJ}');
Error('\p{Is_JSN=JJ}');
Error('\P{Is_JSN=JJ}');
Error('\p{Jamo_Short_Name:G}');
Error('\P{Jamo_Short_Name:G}');
Error('\p{JSN=G}');
Error('\P{JSN=G}');
Error('\p{Is_Jamo_Short_Name=G}');
Error('\P{Is_Jamo_Short_Name=G}');
Error('\p{Is_JSN=G}');
Error('\P{Is_JSN=G}');
Error('\p{Jamo_Short_Name=YA}');
Error('\P{Jamo_Short_Name=YA}');
Error('\p{JSN=YA}');
Error('\P{JSN=YA}');
Error('\p{Is_Jamo_Short_Name=YA}');
Error('\P{Is_Jamo_Short_Name=YA}');
Error('\p{Is_JSN=YA}');
Error('\P{Is_JSN=YA}');
Error('\p{Jamo_Short_Name=SS}');
Error('\P{Jamo_Short_Name=SS}');
Error('\p{JSN: SS}');
Error('\P{JSN: SS}');
Error('\p{Is_Jamo_Short_Name=SS}');
Error('\P{Is_Jamo_Short_Name=SS}');
Error('\p{Is_JSN=SS}');
Error('\P{Is_JSN=SS}');
Error('\p{Jamo_Short_Name=LB}');
Error('\P{Jamo_Short_Name=LB}');
Error('\p{JSN=LB}');
Error('\P{JSN=LB}');
Error('\p{Is_Jamo_Short_Name=LB}');
Error('\P{Is_Jamo_Short_Name=LB}');
Error('\p{Is_JSN=LB}');
Error('\P{Is_JSN=LB}');
Error('\p{Jamo_Short_Name:   J}');
Error('\P{Jamo_Short_Name:   J}');
Error('\p{JSN=J}');
Error('\P{JSN=J}');
Error('\p{Is_Jamo_Short_Name=J}');
Error('\P{Is_Jamo_Short_Name=J}');
Error('\p{Is_JSN=J}');
Error('\P{Is_JSN=J}');
Error('\p{Jamo_Short_Name=NH}');
Error('\P{Jamo_Short_Name=NH}');
Error('\p{JSN=NH}');
Error('\P{JSN=NH}');
Error('\p{Is_Jamo_Short_Name=NH}');
Error('\P{Is_Jamo_Short_Name=NH}');
Error('\p{Is_JSN=NH}');
Error('\P{Is_JSN=NH}');
Error('\p{Jamo_Short_Name=YEO}');
Error('\P{Jamo_Short_Name=YEO}');
Error('\p{JSN=YEO}');
Error('\P{JSN=YEO}');
Error('\p{Is_Jamo_Short_Name=YEO}');
Error('\P{Is_Jamo_Short_Name=YEO}');
Error('\p{Is_JSN=YEO}');
Error('\P{Is_JSN=YEO}');
Error('\p{Jamo_Short_Name=LP}');
Error('\P{Jamo_Short_Name=LP}');
Error('\p{JSN=LP}');
Error('\P{JSN=LP}');
Error('\p{Is_Jamo_Short_Name=LP}');
Error('\P{Is_Jamo_Short_Name=LP}');
Error('\p{Is_JSN=LP}');
Error('\P{Is_JSN=LP}');
Error('\p{Jamo_Short_Name=NJ}');
Error('\P{Jamo_Short_Name=NJ}');
Error('\p{JSN=NJ}');
Error('\P{JSN=NJ}');
Error('\p{Is_Jamo_Short_Name:NJ}');
Error('\P{Is_Jamo_Short_Name:NJ}');
Error('\p{Is_JSN=NJ}');
Error('\P{Is_JSN=NJ}');
Error('\p{Jamo_Short_Name=B}');
Error('\P{Jamo_Short_Name=B}');
Error('\p{JSN=B}');
Error('\P{JSN=B}');
Error('\p{Is_Jamo_Short_Name=B}');
Error('\P{Is_Jamo_Short_Name=B}');
Error('\p{Is_JSN:   B}');
Error('\P{Is_JSN:   B}');
Error('\p{Jamo_Short_Name=WA}');
Error('\P{Jamo_Short_Name=WA}');
Error('\p{JSN:	WA}');
Error('\P{JSN:	WA}');
Error('\p{Is_Jamo_Short_Name=WA}');
Error('\P{Is_Jamo_Short_Name=WA}');
Error('\p{Is_JSN: WA}');
Error('\P{Is_JSN: WA}');
Error('\p{Jamo_Short_Name=LH}');
Error('\P{Jamo_Short_Name=LH}');
Error('\p{JSN=LH}');
Error('\P{JSN=LH}');
Error('\p{Is_Jamo_Short_Name=LH}');
Error('\P{Is_Jamo_Short_Name=LH}');
Error('\p{Is_JSN=LH}');
Error('\P{Is_JSN=LH}');
Error('\p{Jamo_Short_Name=YI}');
Error('\P{Jamo_Short_Name=YI}');
Error('\p{JSN:YI}');
Error('\P{JSN:YI}');
Error('\p{Is_Jamo_Short_Name=YI}');
Error('\P{Is_Jamo_Short_Name=YI}');
Error('\p{Is_JSN=YI}');
Error('\P{Is_JSN=YI}');
Error('\p{Jamo_Short_Name=WEO}');
Error('\P{Jamo_Short_Name=WEO}');
Error('\p{JSN=WEO}');
Error('\P{JSN=WEO}');
Error('\p{Is_Jamo_Short_Name=WEO}');
Error('\P{Is_Jamo_Short_Name=WEO}');
Error('\p{Is_JSN=WEO}');
Error('\P{Is_JSN=WEO}');
Error('\p{Jamo_Short_Name=LS}');
Error('\P{Jamo_Short_Name=LS}');
Error('\p{JSN: LS}');
Error('\P{JSN: LS}');
Error('\p{Is_Jamo_Short_Name:   LS}');
Error('\P{Is_Jamo_Short_Name:   LS}');
Error('\p{Is_JSN:   LS}');
Error('\P{Is_JSN:   LS}');
Error('\p{Jamo_Short_Name=BS}');
Error('\P{Jamo_Short_Name=BS}');
Error('\p{JSN:   BS}');
Error('\P{JSN:   BS}');
Error('\p{Is_Jamo_Short_Name=BS}');
Error('\P{Is_Jamo_Short_Name=BS}');
Error('\p{Is_JSN=BS}');
Error('\P{Is_JSN=BS}');
Error('\p{Jamo_Short_Name=YO}');
Error('\P{Jamo_Short_Name=YO}');
Error('\p{JSN=YO}');
Error('\P{JSN=YO}');
Error('\p{Is_Jamo_Short_Name=YO}');
Error('\P{Is_Jamo_Short_Name=YO}');
Error('\p{Is_JSN=YO}');
Error('\P{Is_JSN=YO}');
Error('\p{Jamo_Short_Name=OE}');
Error('\P{Jamo_Short_Name=OE}');
Error('\p{JSN=OE}');
Error('\P{JSN=OE}');
Error('\p{Is_Jamo_Short_Name=OE}');
Error('\P{Is_Jamo_Short_Name=OE}');
Error('\p{Is_JSN=OE}');
Error('\P{Is_JSN=OE}');
Error('\p{Jamo_Short_Name=M}');
Error('\P{Jamo_Short_Name=M}');
Error('\p{JSN=M}');
Error('\P{JSN=M}');
Error('\p{Is_Jamo_Short_Name=M}');
Error('\P{Is_Jamo_Short_Name=M}');
Error('\p{Is_JSN: M}');
Error('\P{Is_JSN: M}');
Error('\p{Jamo_Short_Name=EO}');
Error('\P{Jamo_Short_Name=EO}');
Error('\p{JSN:EO}');
Error('\P{JSN:EO}');
Error('\p{Is_Jamo_Short_Name=EO}');
Error('\P{Is_Jamo_Short_Name=EO}');
Error('\p{Is_JSN=EO}');
Error('\P{Is_JSN=EO}');
Error('\p{Jamo_Short_Name=C}');
Error('\P{Jamo_Short_Name=C}');
Error('\p{JSN=C}');
Error('\P{JSN=C}');
Error('\p{Is_Jamo_Short_Name=C}');
Error('\P{Is_Jamo_Short_Name=C}');
Error('\p{Is_JSN=C}');
Error('\P{Is_JSN=C}');
Error('\p{Jamo_Short_Name=WI}');
Error('\P{Jamo_Short_Name=WI}');
Error('\p{JSN=WI}');
Error('\P{JSN=WI}');
Error('\p{Is_Jamo_Short_Name=WI}');
Error('\P{Is_Jamo_Short_Name=WI}');
Error('\p{Is_JSN:   WI}');
Error('\P{Is_JSN:   WI}');
Error('\p{Jamo_Short_Name=EU}');
Error('\P{Jamo_Short_Name=EU}');
Error('\p{JSN=EU}');
Error('\P{JSN=EU}');
Error('\p{Is_Jamo_Short_Name=EU}');
Error('\P{Is_Jamo_Short_Name=EU}');
Error('\p{Is_JSN=EU}');
Error('\P{Is_JSN=EU}');
Error('\p{Jamo_Short_Name=LG}');
Error('\P{Jamo_Short_Name=LG}');
Error('\p{JSN=LG}');
Error('\P{JSN=LG}');
Error('\p{Is_Jamo_Short_Name=LG}');
Error('\P{Is_Jamo_Short_Name=LG}');
Error('\p{Is_JSN=LG}');
Error('\P{Is_JSN=LG}');
Error('\p{Jamo_Short_Name=L}');
Error('\P{Jamo_Short_Name=L}');
Error('\p{JSN=L}');
Error('\P{JSN=L}');
Error('\p{Is_Jamo_Short_Name=L}');
Error('\P{Is_Jamo_Short_Name=L}');
Error('\p{Is_JSN=L}');
Error('\P{Is_JSN=L}');
Error('\p{Jamo_Short_Name=P}');
Error('\P{Jamo_Short_Name=P}');
Error('\p{JSN=P}');
Error('\P{JSN=P}');
Error('\p{Is_Jamo_Short_Name=P}');
Error('\P{Is_Jamo_Short_Name=P}');
Error('\p{Is_JSN=P}');
Error('\P{Is_JSN=P}');
Error('\p{Jamo_Short_Name=DD}');
Error('\P{Jamo_Short_Name=DD}');
Error('\p{JSN=DD}');
Error('\P{JSN=DD}');
Error('\p{Is_Jamo_Short_Name=DD}');
Error('\P{Is_Jamo_Short_Name=DD}');
Error('\p{Is_JSN=DD}');
Error('\P{Is_JSN=DD}');
Error('\p{Jamo_Short_Name=NG}');
Error('\P{Jamo_Short_Name=NG}');
Error('\p{JSN:NG}');
Error('\P{JSN:NG}');
Error('\p{Is_Jamo_Short_Name=NG}');
Error('\P{Is_Jamo_Short_Name=NG}');
Error('\p{Is_JSN=NG}');
Error('\P{Is_JSN=NG}');
Error('\p{Jamo_Short_Name=AE}');
Error('\P{Jamo_Short_Name=AE}');
Error('\p{JSN=AE}');
Error('\P{JSN=AE}');
Error('\p{Is_Jamo_Short_Name=AE}');
Error('\P{Is_Jamo_Short_Name=AE}');
Error('\p{Is_JSN=AE}');
Error('\P{Is_JSN=AE}');
Error('\p{Jamo_Short_Name=T}');
Error('\P{Jamo_Short_Name=T}');
Error('\p{JSN=T}');
Error('\P{JSN=T}');
Error('\p{Is_Jamo_Short_Name:   T}');
Error('\P{Is_Jamo_Short_Name:   T}');
Error('\p{Is_JSN=T}');
Error('\P{Is_JSN=T}');
Error('\p{Jamo_Short_Name=A}');
Error('\P{Jamo_Short_Name=A}');
Error('\p{JSN=A}');
Error('\P{JSN=A}');
Error('\p{Is_Jamo_Short_Name:A}');
Error('\P{Is_Jamo_Short_Name:A}');
Error('\p{Is_JSN=A}');
Error('\P{Is_JSN=A}');
Error('\p{Jamo_Short_Name=N}');
Error('\P{Jamo_Short_Name=N}');
Error('\p{JSN=N}');
Error('\P{JSN=N}');
Error('\p{Is_Jamo_Short_Name=N}');
Error('\P{Is_Jamo_Short_Name=N}');
Error('\p{Is_JSN=N}');
Error('\P{Is_JSN=N}');
Error('\p{Jamo_Short_Name=YAE}');
Error('\P{Jamo_Short_Name=YAE}');
Error('\p{JSN=YAE}');
Error('\P{JSN=YAE}');
Error('\p{Is_Jamo_Short_Name=YAE}');
Error('\P{Is_Jamo_Short_Name=YAE}');
Error('\p{Is_JSN=YAE}');
Error('\P{Is_JSN=YAE}');
Error('\p{Jamo_Short_Name=U}');
Error('\P{Jamo_Short_Name=U}');
Error('\p{JSN=U}');
Error('\P{JSN=U}');
Error('\p{Is_Jamo_Short_Name=U}');
Error('\P{Is_Jamo_Short_Name=U}');
Error('\p{Is_JSN=U}');
Error('\P{Is_JSN=U}');
Error('\p{Jamo_Short_Name=WAE}');
Error('\P{Jamo_Short_Name=WAE}');
Error('\p{JSN=WAE}');
Error('\P{JSN=WAE}');
Error('\p{Is_Jamo_Short_Name:	WAE}');
Error('\P{Is_Jamo_Short_Name:	WAE}');
Error('\p{Is_JSN=WAE}');
Error('\P{Is_JSN=WAE}');
Error('\p{Jamo_Short_Name=GS}');
Error('\P{Jamo_Short_Name=GS}');
Error('\p{JSN=GS}');
Error('\P{JSN=GS}');
Error('\p{Is_Jamo_Short_Name=GS}');
Error('\P{Is_Jamo_Short_Name=GS}');
Error('\p{Is_JSN=GS}');
Error('\P{Is_JSN=GS}');
Error('\p{Jamo_Short_Name=H}');
Error('\P{Jamo_Short_Name=H}');
Error('\p{JSN=H}');
Error('\P{JSN=H}');
Error('\p{Is_Jamo_Short_Name=H}');
Error('\P{Is_Jamo_Short_Name=H}');
Error('\p{Is_JSN=H}');
Error('\P{Is_JSN=H}');
Error('\p{Jamo_Short_Name=LT}');
Error('\P{Jamo_Short_Name=LT}');
Error('\p{JSN=LT}');
Error('\P{JSN=LT}');
Error('\p{Is_Jamo_Short_Name=LT}');
Error('\P{Is_Jamo_Short_Name=LT}');
Error('\p{Is_JSN=LT}');
Error('\P{Is_JSN=LT}');
Error('\p{Jamo_Short_Name: YE}');
Error('\P{Jamo_Short_Name: YE}');
Error('\p{JSN=YE}');
Error('\P{JSN=YE}');
Error('\p{Is_Jamo_Short_Name=YE}');
Error('\P{Is_Jamo_Short_Name=YE}');
Error('\p{Is_JSN=YE}');
Error('\P{Is_JSN=YE}');
Error('\p{Jamo_Short_Name:I}');
Error('\P{Jamo_Short_Name:I}');
Error('\p{JSN=I}');
Error('\P{JSN=I}');
Error('\p{Is_Jamo_Short_Name:   I}');
Error('\P{Is_Jamo_Short_Name:   I}');
Error('\p{Is_JSN=I}');
Error('\P{Is_JSN=I}');
Error('\p{Jamo_Short_Name=R}');
Error('\P{Jamo_Short_Name=R}');
Error('\p{JSN:	R}');
Error('\P{JSN:	R}');
Error('\p{Is_Jamo_Short_Name=R}');
Error('\P{Is_Jamo_Short_Name=R}');
Error('\p{Is_JSN=R}');
Error('\P{Is_JSN=R}');
Error('\p{Jamo_Short_Name=O}');
Error('\P{Jamo_Short_Name=O}');
Error('\p{JSN=O}');
Error('\P{JSN=O}');
Error('\p{Is_Jamo_Short_Name=O}');
Error('\P{Is_Jamo_Short_Name=O}');
Error('\p{Is_JSN=O}');
Error('\P{Is_JSN=O}');
Error('\p{Age:		_+00000003.2/a/}');
Error('\P{Age:		_+00000003.2/a/}');
Expect(1, 544, '\p{Age=3.2}', "");
Expect(0, 544, '\p{^Age=3.2}', "");
Expect(0, 544, '\P{Age=3.2}', "");
Expect(1, 544, '\P{^Age=3.2}', "");
Expect(0, 543, '\p{Age=3.2}', "");
Expect(1, 543, '\p{^Age=3.2}', "");
Expect(1, 543, '\P{Age=3.2}', "");
Expect(0, 543, '\P{^Age=3.2}', "");
Error('\p{Is_Age=:= _+000003.2}');
Error('\P{Is_Age=:= _+000003.2}');
Expect(1, 544, '\p{Is_Age:   0_0_0_0_0_0003.2}', "");
Expect(0, 544, '\p{^Is_Age:   0_0_0_0_0_0003.2}', "");
Expect(0, 544, '\P{Is_Age:   0_0_0_0_0_0003.2}', "");
Expect(1, 544, '\P{^Is_Age:   0_0_0_0_0_0003.2}', "");
Expect(0, 543, '\p{Is_Age:   0_0_0_0_0_0003.2}', "");
Expect(1, 543, '\p{^Is_Age:   0_0_0_0_0_0003.2}', "");
Expect(1, 543, '\P{Is_Age:   0_0_0_0_0_0003.2}', "");
Expect(0, 543, '\P{^Is_Age:   0_0_0_0_0_0003.2}', "");
Error('\p{Age=	-2.0:=}');
Error('\P{Age=	-2.0:=}');
Expect(1, 1441, '\p{Age=0000002.0}', "");
Expect(0, 1441, '\p{^Age=0000002.0}', "");
Expect(0, 1441, '\P{Age=0000002.0}', "");
Expect(1, 1441, '\P{^Age=0000002.0}', "");
Expect(0, 1424, '\p{Age=0000002.0}', "");
Expect(1, 1424, '\p{^Age=0000002.0}', "");
Expect(1, 1424, '\P{Age=0000002.0}', "");
Expect(0, 1424, '\P{^Age=0000002.0}', "");
Error('\p{Is_Age=  +000000002.0:=}');
Error('\P{Is_Age=  +000000002.0:=}');
Expect(1, 1441, '\p{Is_Age=+00_2.0}', "");
Expect(0, 1441, '\p{^Is_Age=+00_2.0}', "");
Expect(0, 1441, '\P{Is_Age=+00_2.0}', "");
Expect(1, 1441, '\P{^Is_Age=+00_2.0}', "");
Expect(0, 1424, '\p{Is_Age=+00_2.0}', "");
Expect(1, 1424, '\p{^Is_Age=+00_2.0}', "");
Expect(1, 1424, '\P{Is_Age=+00_2.0}', "");
Expect(0, 1424, '\P{^Is_Age=+00_2.0}', "");
Error('\p{Age=/a/000001.1}');
Error('\P{Age=/a/000001.1}');
Expect(1, 501, '\p{Age=0_0_0_0_0_00001.1}', "");
Expect(0, 501, '\p{^Age=0_0_0_0_0_00001.1}', "");
Expect(0, 501, '\P{Age=0_0_0_0_0_00001.1}', "");
Expect(1, 501, '\P{^Age=0_0_0_0_0_00001.1}', "");
Expect(0, 505, '\p{Age=0_0_0_0_0_00001.1}', "");
Expect(1, 505, '\p{^Age=0_0_0_0_0_00001.1}', "");
Expect(1, 505, '\P{Age=0_0_0_0_0_00001.1}', "");
Expect(0, 505, '\P{^Age=0_0_0_0_0_00001.1}', "");
Error('\p{Is_Age=-_000:=1.1}');
Error('\P{Is_Age=-_000:=1.1}');
Expect(1, 501, '\p{Is_Age=0_0_0_01.1}', "");
Expect(0, 501, '\p{^Is_Age=0_0_0_01.1}', "");
Expect(0, 501, '\P{Is_Age=0_0_0_01.1}', "");
Expect(1, 501, '\P{^Is_Age=0_0_0_01.1}', "");
Expect(0, 505, '\p{Is_Age=0_0_0_01.1}', "");
Expect(1, 505, '\p{^Is_Age=0_0_0_01.1}', "");
Expect(1, 505, '\P{Is_Age=0_0_0_01.1}', "");
Expect(0, 505, '\P{^Is_Age=0_0_0_01.1}', "");
Error('\p{Age=:=+00005.0}');
Error('\P{Age=:=+00005.0}');
Expect(1, 591, '\p{Age=0000005.0}', "");
Expect(0, 591, '\p{^Age=0000005.0}', "");
Expect(0, 591, '\P{Age=0000005.0}', "");
Expect(1, 591, '\P{^Age=0000005.0}', "");
Expect(0, 577, '\p{Age=0000005.0}', "");
Expect(1, 577, '\p{^Age=0000005.0}', "");
Expect(1, 577, '\P{Age=0000005.0}', "");
Expect(0, 577, '\P{^Age=0000005.0}', "");
Error('\p{Is_Age=	/a/00005.0}');
Error('\P{Is_Age=	/a/00005.0}');
Expect(1, 591, '\p{Is_Age=00005.0}', "");
Expect(0, 591, '\p{^Is_Age=00005.0}', "");
Expect(0, 591, '\P{Is_Age=00005.0}', "");
Expect(1, 591, '\P{^Is_Age=00005.0}', "");
Expect(0, 577, '\p{Is_Age=00005.0}', "");
Expect(1, 577, '\p{^Is_Age=00005.0}', "");
Expect(1, 577, '\P{Is_Age=00005.0}', "");
Expect(0, 577, '\P{^Is_Age=00005.0}', "");
Error('\p{Age=/a/- 03.0}');
Error('\P{Age=/a/- 03.0}');
Expect(1, 505, '\p{Age:	003.0}', "");
Expect(0, 505, '\p{^Age:	003.0}', "");
Expect(0, 505, '\P{Age:	003.0}', "");
Expect(1, 505, '\P{^Age:	003.0}', "");
Expect(0, 501, '\p{Age:	003.0}', "");
Expect(1, 501, '\p{^Age:	003.0}', "");
Expect(1, 501, '\P{Age:	003.0}', "");
Expect(0, 501, '\P{^Age:	003.0}', "");
Error('\p{Is_Age=_/a/00_0-03.0}');
Error('\P{Is_Age=_/a/00_0-03.0}');
Expect(1, 505, '\p{Is_Age=003.0}', "");
Expect(0, 505, '\p{^Is_Age=003.0}', "");
Expect(0, 505, '\P{Is_Age=003.0}', "");
Expect(1, 505, '\P{^Is_Age=003.0}', "");
Expect(0, 501, '\p{Is_Age=003.0}', "");
Expect(1, 501, '\p{^Is_Age=003.0}', "");
Expect(1, 501, '\P{Is_Age=003.0}', "");
Expect(0, 501, '\P{^Is_Age=003.0}', "");
Error('\p{Age=:= -unassigned}');
Error('\P{Age=:= -unassigned}');
Expect(1, 889, '\p{Age=unassigned}', "");
Expect(0, 889, '\p{^Age=unassigned}', "");
Expect(0, 889, '\P{Age=unassigned}', "");
Expect(1, 889, '\P{^Age=unassigned}', "");
Expect(0, 887, '\p{Age=unassigned}', "");
Expect(1, 887, '\p{^Age=unassigned}', "");
Expect(1, 887, '\P{Age=unassigned}', "");
Expect(0, 887, '\P{^Age=unassigned}', "");
Expect(1, 889, '\p{Age=-Unassigned}', "");
Expect(0, 889, '\p{^Age=-Unassigned}', "");
Expect(0, 889, '\P{Age=-Unassigned}', "");
Expect(1, 889, '\P{^Age=-Unassigned}', "");
Expect(0, 887, '\p{Age=-Unassigned}', "");
Expect(1, 887, '\p{^Age=-Unassigned}', "");
Expect(1, 887, '\P{Age=-Unassigned}', "");
Expect(0, 887, '\P{^Age=-Unassigned}', "");
Error('\p{Is_Age=-	Unassigned:=}');
Error('\P{Is_Age=-	Unassigned:=}');
Expect(1, 889, '\p{Is_Age=unassigned}', "");
Expect(0, 889, '\p{^Is_Age=unassigned}', "");
Expect(0, 889, '\P{Is_Age=unassigned}', "");
Expect(1, 889, '\P{^Is_Age=unassigned}', "");
Expect(0, 887, '\p{Is_Age=unassigned}', "");
Expect(1, 887, '\p{^Is_Age=unassigned}', "");
Expect(1, 887, '\P{Is_Age=unassigned}', "");
Expect(0, 887, '\P{^Is_Age=unassigned}', "");
Expect(1, 889, '\p{Is_Age= unassigned}', "");
Expect(0, 889, '\p{^Is_Age= unassigned}', "");
Expect(0, 889, '\P{Is_Age= unassigned}', "");
Expect(1, 889, '\P{^Is_Age= unassigned}', "");
Expect(0, 887, '\p{Is_Age= unassigned}', "");
Expect(1, 887, '\p{^Is_Age= unassigned}', "");
Expect(1, 887, '\P{Is_Age= unassigned}', "");
Expect(0, 887, '\P{^Is_Age= unassigned}', "");
Error('\p{Age= 	+005.1/a/}');
Error('\P{Age= 	+005.1/a/}');
Expect(1, 883, '\p{Age=0_0_0_005.1}', "");
Expect(0, 883, '\p{^Age=0_0_0_005.1}', "");
Expect(0, 883, '\P{Age=0_0_0_005.1}', "");
Expect(1, 883, '\P{^Age=0_0_0_005.1}', "");
Expect(0, 879, '\p{Age=0_0_0_005.1}', "");
Expect(1, 879, '\p{^Age=0_0_0_005.1}', "");
Expect(1, 879, '\P{Age=0_0_0_005.1}', "");
Expect(0, 879, '\P{^Age=0_0_0_005.1}', "");
Error('\p{Is_Age= /a/00000005.1}');
Error('\P{Is_Age= /a/00000005.1}');
Expect(1, 883, '\p{Is_Age=00005.1}', "");
Expect(0, 883, '\p{^Is_Age=00005.1}', "");
Expect(0, 883, '\P{Is_Age=00005.1}', "");
Expect(1, 883, '\P{^Is_Age=00005.1}', "");
Expect(0, 879, '\p{Is_Age=00005.1}', "");
Expect(1, 879, '\p{^Is_Age=00005.1}', "");
Expect(1, 879, '\P{Is_Age=00005.1}', "");
Expect(0, 879, '\P{^Is_Age=00005.1}', "");
Error('\p{Age=-	+0 00	0/a/004.0}');
Error('\P{Age=-	+0 00	0/a/004.0}');
Expect(1, 545, '\p{Age=+0_0_0_0_0_0_0_004.0}', "");
Expect(0, 545, '\p{^Age=+0_0_0_0_0_0_0_004.0}', "");
Expect(0, 545, '\P{Age=+0_0_0_0_0_0_0_004.0}', "");
Expect(1, 545, '\P{^Age=+0_0_0_0_0_0_0_004.0}', "");
Expect(0, 544, '\p{Age=+0_0_0_0_0_0_0_004.0}', "");
Expect(1, 544, '\p{^Age=+0_0_0_0_0_0_0_004.0}', "");
Expect(1, 544, '\P{Age=+0_0_0_0_0_0_0_004.0}', "");
Expect(0, 544, '\P{^Age=+0_0_0_0_0_0_0_004.0}', "");
Error('\p{Is_Age=--000004.0:=}');
Error('\P{Is_Age=--000004.0:=}');
Expect(1, 545, '\p{Is_Age=000000004.0}', "");
Expect(0, 545, '\p{^Is_Age=000000004.0}', "");
Expect(0, 545, '\P{Is_Age=000000004.0}', "");
Expect(1, 545, '\P{^Is_Age=000000004.0}', "");
Expect(0, 544, '\p{Is_Age=000000004.0}', "");
Expect(1, 544, '\p{^Is_Age=000000004.0}', "");
Expect(1, 544, '\P{Is_Age=000000004.0}', "");
Expect(0, 544, '\P{^Is_Age=000000004.0}', "");
Error('\p{Age=	:=0_5.2}');
Error('\P{Age=	:=0_5.2}');
Expect(1, 1317, '\p{Age=+0005.2}', "");
Expect(0, 1317, '\p{^Age=+0005.2}', "");
Expect(0, 1317, '\P{Age=+0005.2}', "");
Expect(1, 1317, '\P{^Age=+0005.2}', "");
Expect(0, 1315, '\p{Age=+0005.2}', "");
Expect(1, 1315, '\p{^Age=+0005.2}', "");
Expect(1, 1315, '\P{Age=+0005.2}', "");
Expect(0, 1315, '\P{^Age=+0005.2}', "");
Error('\p{Is_Age= 5.2/a/}');
Error('\P{Is_Age= 5.2/a/}');
Expect(1, 1317, '\p{Is_Age=+00000005.2}', "");
Expect(0, 1317, '\p{^Is_Age=+00000005.2}', "");
Expect(0, 1317, '\P{Is_Age=+00000005.2}', "");
Expect(1, 1317, '\P{^Is_Age=+00000005.2}', "");
Expect(0, 1315, '\p{Is_Age=+00000005.2}', "");
Expect(1, 1315, '\p{^Is_Age=+00000005.2}', "");
Expect(1, 1315, '\P{Is_Age=+00000005.2}', "");
Expect(0, 1315, '\P{^Is_Age=+00000005.2}', "");
Error('\p{Age=	00003.1/a/}');
Error('\P{Age=	00003.1/a/}');
Expect(1, 1013, '\p{Age=00_00_00_003.1}', "");
Expect(0, 1013, '\p{^Age=00_00_00_003.1}', "");
Expect(0, 1013, '\P{Age=00_00_00_003.1}', "");
Expect(1, 1013, '\P{^Age=00_00_00_003.1}', "");
Expect(0, 1011, '\p{Age=00_00_00_003.1}', "");
Expect(1, 1011, '\p{^Age=00_00_00_003.1}', "");
Expect(1, 1011, '\P{Age=00_00_00_003.1}', "");
Expect(0, 1011, '\P{^Age=00_00_00_003.1}', "");
Error('\p{Is_Age=-:=+00-00-00	00_03.1}');
Error('\P{Is_Age=-:=+00-00-00	00_03.1}');
Expect(1, 1013, '\p{Is_Age: +003.1}', "");
Expect(0, 1013, '\p{^Is_Age: +003.1}', "");
Expect(0, 1013, '\P{Is_Age: +003.1}', "");
Expect(1, 1013, '\P{^Is_Age: +003.1}', "");
Expect(0, 1011, '\p{Is_Age: +003.1}', "");
Expect(1, 1011, '\p{^Is_Age: +003.1}', "");
Expect(1, 1011, '\P{Is_Age: +003.1}', "");
Expect(0, 1011, '\P{^Is_Age: +003.1}', "");
Error('\p{Age=--00:=00	00 00-02.1}');
Error('\P{Age=--00:=00	00 00-02.1}');
Expect(1, 8364, '\p{Age=00_2.1}', "");
Expect(0, 8364, '\p{^Age=00_2.1}', "");
Expect(0, 8364, '\P{Age=00_2.1}', "");
Expect(1, 8364, '\P{^Age=00_2.1}', "");
Expect(0, 8363, '\p{Age=00_2.1}', "");
Expect(1, 8363, '\p{^Age=00_2.1}', "");
Expect(1, 8363, '\P{Age=00_2.1}', "");
Expect(0, 8363, '\P{^Age=00_2.1}', "");
Error('\p{Is_Age=-00	0 0_0_0-0	002.1/a/}');
Error('\P{Is_Age=-00	0 0_0_0-0	002.1/a/}');
Expect(1, 8364, '\p{Is_Age=002.1}', "");
Expect(0, 8364, '\p{^Is_Age=002.1}', "");
Expect(0, 8364, '\P{Is_Age=002.1}', "");
Expect(1, 8364, '\P{^Is_Age=002.1}', "");
Expect(0, 8363, '\p{Is_Age=002.1}', "");
Expect(1, 8363, '\p{^Is_Age=002.1}', "");
Expect(1, 8363, '\P{Is_Age=002.1}', "");
Expect(0, 8363, '\P{^Is_Age=002.1}', "");
Error('\p{Age=_ 0:=4.1}');
Error('\P{Age=_ 0:=4.1}');
Expect(1, 577, '\p{Age=00_00_4.1}', "");
Expect(0, 577, '\p{^Age=00_00_4.1}', "");
Expect(0, 577, '\P{Age=00_00_4.1}', "");
Expect(1, 577, '\P{^Age=00_00_4.1}', "");
Expect(0, 566, '\p{Age=00_00_4.1}', "");
Expect(1, 566, '\p{^Age=00_00_4.1}', "");
Expect(1, 566, '\P{Age=00_00_4.1}', "");
Expect(0, 566, '\P{^Age=00_00_4.1}', "");
Error('\p{Is_Age=	-0000:=0000 4.1}');
Error('\P{Is_Age=	-0000:=0000 4.1}');
Expect(1, 577, '\p{Is_Age=+00000000_4.1}', "");
Expect(0, 577, '\p{^Is_Age=+00000000_4.1}', "");
Expect(0, 577, '\P{Is_Age=+00000000_4.1}', "");
Expect(1, 577, '\P{^Is_Age=+00000000_4.1}', "");
Expect(0, 566, '\p{Is_Age=+00000000_4.1}', "");
Expect(1, 566, '\p{^Is_Age=+00000000_4.1}', "");
Expect(1, 566, '\P{Is_Age=+00000000_4.1}', "");
Expect(0, 566, '\P{^Is_Age=+00000000_4.1}', "");
Error('\p{Expands_On_NFKD=Yes}');
Error('\P{Expands_On_NFKD=Yes}');
Error('\p{XO_NFKD=Y}');
Error('\P{XO_NFKD=Y}');
Error('\p{Is_Expands_On_NFKD=T}');
Error('\P{Is_Expands_On_NFKD=T}');
Error('\p{Is_XO_NFKD=True}');
Error('\P{Is_XO_NFKD=True}');
Error('\p{Expands_On_NFKD=No}');
Error('\P{Expands_On_NFKD=No}');
Error('\p{XO_NFKD=N}');
Error('\P{XO_NFKD=N}');
Error('\p{Is_Expands_On_NFKD=F}');
Error('\P{Is_Expands_On_NFKD=F}');
Error('\p{Is_XO_NFKD=False}');
Error('\P{Is_XO_NFKD=False}');
Error('\p{Grapheme_Cluster_Break=	:=spacingmark}');
Error('\P{Grapheme_Cluster_Break=	:=spacingmark}');
Expect(1, 2307, '\p{Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 2307, '\p{^Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 2307, '\P{Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 2307, '\P{^Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 2306, '\p{Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 2306, '\p{^Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 2306, '\P{Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 2306, '\P{^Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 2307, '\p{Grapheme_Cluster_Break=-_SpacingMark}', "");
Expect(0, 2307, '\p{^Grapheme_Cluster_Break=-_SpacingMark}', "");
Expect(0, 2307, '\P{Grapheme_Cluster_Break=-_SpacingMark}', "");
Expect(1, 2307, '\P{^Grapheme_Cluster_Break=-_SpacingMark}', "");
Expect(0, 2306, '\p{Grapheme_Cluster_Break=-_SpacingMark}', "");
Expect(1, 2306, '\p{^Grapheme_Cluster_Break=-_SpacingMark}', "");
Expect(1, 2306, '\P{Grapheme_Cluster_Break=-_SpacingMark}', "");
Expect(0, 2306, '\P{^Grapheme_Cluster_Break=-_SpacingMark}', "");
Error('\p{GCB=  SM/a/}');
Error('\P{GCB=  SM/a/}');
Expect(1, 2307, '\p{GCB=sm}', "");
Expect(0, 2307, '\p{^GCB=sm}', "");
Expect(0, 2307, '\P{GCB=sm}', "");
Expect(1, 2307, '\P{^GCB=sm}', "");
Expect(0, 2306, '\p{GCB=sm}', "");
Expect(1, 2306, '\p{^GCB=sm}', "");
Expect(1, 2306, '\P{GCB=sm}', "");
Expect(0, 2306, '\P{^GCB=sm}', "");
Expect(1, 2307, '\p{GCB=	-SM}', "");
Expect(0, 2307, '\p{^GCB=	-SM}', "");
Expect(0, 2307, '\P{GCB=	-SM}', "");
Expect(1, 2307, '\P{^GCB=	-SM}', "");
Expect(0, 2306, '\p{GCB=	-SM}', "");
Expect(1, 2306, '\p{^GCB=	-SM}', "");
Expect(1, 2306, '\P{GCB=	-SM}', "");
Expect(0, 2306, '\P{^GCB=	-SM}', "");
Error('\p{Is_Grapheme_Cluster_Break=-SpacingMark:=}');
Error('\P{Is_Grapheme_Cluster_Break=-SpacingMark:=}');
Expect(1, 2307, '\p{Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 2307, '\p{^Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 2307, '\P{Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 2307, '\P{^Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 2306, '\p{Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 2306, '\p{^Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 2306, '\P{Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 2306, '\P{^Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 2307, '\p{Is_Grapheme_Cluster_Break=_SPACINGMARK}', "");
Expect(0, 2307, '\p{^Is_Grapheme_Cluster_Break=_SPACINGMARK}', "");
Expect(0, 2307, '\P{Is_Grapheme_Cluster_Break=_SPACINGMARK}', "");
Expect(1, 2307, '\P{^Is_Grapheme_Cluster_Break=_SPACINGMARK}', "");
Expect(0, 2306, '\p{Is_Grapheme_Cluster_Break=_SPACINGMARK}', "");
Expect(1, 2306, '\p{^Is_Grapheme_Cluster_Break=_SPACINGMARK}', "");
Expect(1, 2306, '\P{Is_Grapheme_Cluster_Break=_SPACINGMARK}', "");
Expect(0, 2306, '\P{^Is_Grapheme_Cluster_Break=_SPACINGMARK}', "");
Error('\p{Is_GCB=--sm/a/}');
Error('\P{Is_GCB=--sm/a/}');
Expect(1, 2307, '\p{Is_GCB=sm}', "");
Expect(0, 2307, '\p{^Is_GCB=sm}', "");
Expect(0, 2307, '\P{Is_GCB=sm}', "");
Expect(1, 2307, '\P{^Is_GCB=sm}', "");
Expect(0, 2306, '\p{Is_GCB=sm}', "");
Expect(1, 2306, '\p{^Is_GCB=sm}', "");
Expect(1, 2306, '\P{Is_GCB=sm}', "");
Expect(0, 2306, '\P{^Is_GCB=sm}', "");
Expect(1, 2307, '\p{Is_GCB= -sm}', "");
Expect(0, 2307, '\p{^Is_GCB= -sm}', "");
Expect(0, 2307, '\P{Is_GCB= -sm}', "");
Expect(1, 2307, '\P{^Is_GCB= -sm}', "");
Expect(0, 2306, '\p{Is_GCB= -sm}', "");
Expect(1, 2306, '\p{^Is_GCB= -sm}', "");
Expect(1, 2306, '\P{Is_GCB= -sm}', "");
Expect(0, 2306, '\P{^Is_GCB= -sm}', "");
Error('\p{Grapheme_Cluster_Break:	 t:=}');
Error('\P{Grapheme_Cluster_Break:	 t:=}');
Expect(1, 4607, '\p{Grapheme_Cluster_Break=t}', "");
Expect(0, 4607, '\p{^Grapheme_Cluster_Break=t}', "");
Expect(0, 4607, '\P{Grapheme_Cluster_Break=t}', "");
Expect(1, 4607, '\P{^Grapheme_Cluster_Break=t}', "");
Expect(0, 4519, '\p{Grapheme_Cluster_Break=t}', "");
Expect(1, 4519, '\p{^Grapheme_Cluster_Break=t}', "");
Expect(1, 4519, '\P{Grapheme_Cluster_Break=t}', "");
Expect(0, 4519, '\P{^Grapheme_Cluster_Break=t}', "");
Expect(1, 4607, '\p{Grapheme_Cluster_Break=_	T}', "");
Expect(0, 4607, '\p{^Grapheme_Cluster_Break=_	T}', "");
Expect(0, 4607, '\P{Grapheme_Cluster_Break=_	T}', "");
Expect(1, 4607, '\P{^Grapheme_Cluster_Break=_	T}', "");
Expect(0, 4519, '\p{Grapheme_Cluster_Break=_	T}', "");
Expect(1, 4519, '\p{^Grapheme_Cluster_Break=_	T}', "");
Expect(1, 4519, '\P{Grapheme_Cluster_Break=_	T}', "");
Expect(0, 4519, '\P{^Grapheme_Cluster_Break=_	T}', "");
Error('\p{GCB=-T/a/}');
Error('\P{GCB=-T/a/}');
Expect(1, 4607, '\p{GCB=t}', "");
Expect(0, 4607, '\p{^GCB=t}', "");
Expect(0, 4607, '\P{GCB=t}', "");
Expect(1, 4607, '\P{^GCB=t}', "");
Expect(0, 4519, '\p{GCB=t}', "");
Expect(1, 4519, '\p{^GCB=t}', "");
Expect(1, 4519, '\P{GCB=t}', "");
Expect(0, 4519, '\P{^GCB=t}', "");
Expect(1, 4607, '\p{GCB=_ T}', "");
Expect(0, 4607, '\p{^GCB=_ T}', "");
Expect(0, 4607, '\P{GCB=_ T}', "");
Expect(1, 4607, '\P{^GCB=_ T}', "");
Expect(0, 4519, '\p{GCB=_ T}', "");
Expect(1, 4519, '\p{^GCB=_ T}', "");
Expect(1, 4519, '\P{GCB=_ T}', "");
Expect(0, 4519, '\P{^GCB=_ T}', "");
Error('\p{Is_Grapheme_Cluster_Break=-/a/T}');
Error('\P{Is_Grapheme_Cluster_Break=-/a/T}');
Expect(1, 4607, '\p{Is_Grapheme_Cluster_Break: t}', "");
Expect(0, 4607, '\p{^Is_Grapheme_Cluster_Break: t}', "");
Expect(0, 4607, '\P{Is_Grapheme_Cluster_Break: t}', "");
Expect(1, 4607, '\P{^Is_Grapheme_Cluster_Break: t}', "");
Expect(0, 4519, '\p{Is_Grapheme_Cluster_Break: t}', "");
Expect(1, 4519, '\p{^Is_Grapheme_Cluster_Break: t}', "");
Expect(1, 4519, '\P{Is_Grapheme_Cluster_Break: t}', "");
Expect(0, 4519, '\P{^Is_Grapheme_Cluster_Break: t}', "");
Expect(1, 4607, '\p{Is_Grapheme_Cluster_Break= _T}', "");
Expect(0, 4607, '\p{^Is_Grapheme_Cluster_Break= _T}', "");
Expect(0, 4607, '\P{Is_Grapheme_Cluster_Break= _T}', "");
Expect(1, 4607, '\P{^Is_Grapheme_Cluster_Break= _T}', "");
Expect(0, 4519, '\p{Is_Grapheme_Cluster_Break= _T}', "");
Expect(1, 4519, '\p{^Is_Grapheme_Cluster_Break= _T}', "");
Expect(1, 4519, '\P{Is_Grapheme_Cluster_Break= _T}', "");
Expect(0, 4519, '\P{^Is_Grapheme_Cluster_Break= _T}', "");
Error('\p{Is_GCB:_t/a/}');
Error('\P{Is_GCB:_t/a/}');
Expect(1, 4607, '\p{Is_GCB=t}', "");
Expect(0, 4607, '\p{^Is_GCB=t}', "");
Expect(0, 4607, '\P{Is_GCB=t}', "");
Expect(1, 4607, '\P{^Is_GCB=t}', "");
Expect(0, 4519, '\p{Is_GCB=t}', "");
Expect(1, 4519, '\p{^Is_GCB=t}', "");
Expect(1, 4519, '\P{Is_GCB=t}', "");
Expect(0, 4519, '\P{^Is_GCB=t}', "");
Expect(1, 4607, '\p{Is_GCB= _T}', "");
Expect(0, 4607, '\p{^Is_GCB= _T}', "");
Expect(0, 4607, '\P{Is_GCB= _T}', "");
Expect(1, 4607, '\P{^Is_GCB= _T}', "");
Expect(0, 4519, '\p{Is_GCB= _T}', "");
Expect(1, 4519, '\p{^Is_GCB= _T}', "");
Expect(1, 4519, '\P{Is_GCB= _T}', "");
Expect(0, 4519, '\P{^Is_GCB= _T}', "");
Error('\p{Grapheme_Cluster_Break=/a/LVT}');
Error('\P{Grapheme_Cluster_Break=/a/LVT}');
Expect(1, 44059, '\p{Grapheme_Cluster_Break=lvt}', "");
Expect(0, 44059, '\p{^Grapheme_Cluster_Break=lvt}', "");
Expect(0, 44059, '\P{Grapheme_Cluster_Break=lvt}', "");
Expect(1, 44059, '\P{^Grapheme_Cluster_Break=lvt}', "");
Expect(0, 44032, '\p{Grapheme_Cluster_Break=lvt}', "");
Expect(1, 44032, '\p{^Grapheme_Cluster_Break=lvt}', "");
Expect(1, 44032, '\P{Grapheme_Cluster_Break=lvt}', "");
Expect(0, 44032, '\P{^Grapheme_Cluster_Break=lvt}', "");
Expect(1, 44059, '\p{Grapheme_Cluster_Break=_LVT}', "");
Expect(0, 44059, '\p{^Grapheme_Cluster_Break=_LVT}', "");
Expect(0, 44059, '\P{Grapheme_Cluster_Break=_LVT}', "");
Expect(1, 44059, '\P{^Grapheme_Cluster_Break=_LVT}', "");
Expect(0, 44032, '\p{Grapheme_Cluster_Break=_LVT}', "");
Expect(1, 44032, '\p{^Grapheme_Cluster_Break=_LVT}', "");
Expect(1, 44032, '\P{Grapheme_Cluster_Break=_LVT}', "");
Expect(0, 44032, '\P{^Grapheme_Cluster_Break=_LVT}', "");
Error('\p{GCB:	:=lvt}');
Error('\P{GCB:	:=lvt}');
Expect(1, 44059, '\p{GCB:   lvt}', "");
Expect(0, 44059, '\p{^GCB:   lvt}', "");
Expect(0, 44059, '\P{GCB:   lvt}', "");
Expect(1, 44059, '\P{^GCB:   lvt}', "");
Expect(0, 44032, '\p{GCB:   lvt}', "");
Expect(1, 44032, '\p{^GCB:   lvt}', "");
Expect(1, 44032, '\P{GCB:   lvt}', "");
Expect(0, 44032, '\P{^GCB:   lvt}', "");
Expect(1, 44059, '\p{GCB=	lvt}', "");
Expect(0, 44059, '\p{^GCB=	lvt}', "");
Expect(0, 44059, '\P{GCB=	lvt}', "");
Expect(1, 44059, '\P{^GCB=	lvt}', "");
Expect(0, 44032, '\p{GCB=	lvt}', "");
Expect(1, 44032, '\p{^GCB=	lvt}', "");
Expect(1, 44032, '\P{GCB=	lvt}', "");
Expect(0, 44032, '\P{^GCB=	lvt}', "");
Error('\p{Is_Grapheme_Cluster_Break=  lvt/a/}');
Error('\P{Is_Grapheme_Cluster_Break=  lvt/a/}');
Expect(1, 44059, '\p{Is_Grapheme_Cluster_Break=lvt}', "");
Expect(0, 44059, '\p{^Is_Grapheme_Cluster_Break=lvt}', "");
Expect(0, 44059, '\P{Is_Grapheme_Cluster_Break=lvt}', "");
Expect(1, 44059, '\P{^Is_Grapheme_Cluster_Break=lvt}', "");
Expect(0, 44032, '\p{Is_Grapheme_Cluster_Break=lvt}', "");
Expect(1, 44032, '\p{^Is_Grapheme_Cluster_Break=lvt}', "");
Expect(1, 44032, '\P{Is_Grapheme_Cluster_Break=lvt}', "");
Expect(0, 44032, '\P{^Is_Grapheme_Cluster_Break=lvt}', "");
Expect(1, 44059, '\p{Is_Grapheme_Cluster_Break=-LVT}', "");
Expect(0, 44059, '\p{^Is_Grapheme_Cluster_Break=-LVT}', "");
Expect(0, 44059, '\P{Is_Grapheme_Cluster_Break=-LVT}', "");
Expect(1, 44059, '\P{^Is_Grapheme_Cluster_Break=-LVT}', "");
Expect(0, 44032, '\p{Is_Grapheme_Cluster_Break=-LVT}', "");
Expect(1, 44032, '\p{^Is_Grapheme_Cluster_Break=-LVT}', "");
Expect(1, 44032, '\P{Is_Grapheme_Cluster_Break=-LVT}', "");
Expect(0, 44032, '\P{^Is_Grapheme_Cluster_Break=-LVT}', "");
Error('\p{Is_GCB=/a/	 LVT}');
Error('\P{Is_GCB=/a/	 LVT}');
Expect(1, 44059, '\p{Is_GCB=lvt}', "");
Expect(0, 44059, '\p{^Is_GCB=lvt}', "");
Expect(0, 44059, '\P{Is_GCB=lvt}', "");
Expect(1, 44059, '\P{^Is_GCB=lvt}', "");
Expect(0, 44032, '\p{Is_GCB=lvt}', "");
Expect(1, 44032, '\p{^Is_GCB=lvt}', "");
Expect(1, 44032, '\P{Is_GCB=lvt}', "");
Expect(0, 44032, '\P{^Is_GCB=lvt}', "");
Expect(1, 44059, '\p{Is_GCB=-	LVT}', "");
Expect(0, 44059, '\p{^Is_GCB=-	LVT}', "");
Expect(0, 44059, '\P{Is_GCB=-	LVT}', "");
Expect(1, 44059, '\P{^Is_GCB=-	LVT}', "");
Expect(0, 44032, '\p{Is_GCB=-	LVT}', "");
Expect(1, 44032, '\p{^Is_GCB=-	LVT}', "");
Expect(1, 44032, '\P{Is_GCB=-	LVT}', "");
Expect(0, 44032, '\P{^Is_GCB=-	LVT}', "");
Error('\p{Grapheme_Cluster_Break:	 control/a/}');
Error('\P{Grapheme_Cluster_Break:	 control/a/}');
Expect(1, 9, '\p{Grapheme_Cluster_Break: control}', "");
Expect(0, 9, '\p{^Grapheme_Cluster_Break: control}', "");
Expect(0, 9, '\P{Grapheme_Cluster_Break: control}', "");
Expect(1, 9, '\P{^Grapheme_Cluster_Break: control}', "");
Expect(0, 10, '\p{Grapheme_Cluster_Break: control}', "");
Expect(1, 10, '\p{^Grapheme_Cluster_Break: control}', "");
Expect(1, 10, '\P{Grapheme_Cluster_Break: control}', "");
Expect(0, 10, '\P{^Grapheme_Cluster_Break: control}', "");
Expect(1, 9, '\p{Grapheme_Cluster_Break=	Control}', "");
Expect(0, 9, '\p{^Grapheme_Cluster_Break=	Control}', "");
Expect(0, 9, '\P{Grapheme_Cluster_Break=	Control}', "");
Expect(1, 9, '\P{^Grapheme_Cluster_Break=	Control}', "");
Expect(0, 10, '\p{Grapheme_Cluster_Break=	Control}', "");
Expect(1, 10, '\p{^Grapheme_Cluster_Break=	Control}', "");
Expect(1, 10, '\P{Grapheme_Cluster_Break=	Control}', "");
Expect(0, 10, '\P{^Grapheme_Cluster_Break=	Control}', "");
Error('\p{GCB=_CN:=}');
Error('\P{GCB=_CN:=}');
Expect(1, 9, '\p{GCB=cn}', "");
Expect(0, 9, '\p{^GCB=cn}', "");
Expect(0, 9, '\P{GCB=cn}', "");
Expect(1, 9, '\P{^GCB=cn}', "");
Expect(0, 10, '\p{GCB=cn}', "");
Expect(1, 10, '\p{^GCB=cn}', "");
Expect(1, 10, '\P{GCB=cn}', "");
Expect(0, 10, '\P{^GCB=cn}', "");
Expect(1, 9, '\p{GCB=  CN}', "");
Expect(0, 9, '\p{^GCB=  CN}', "");
Expect(0, 9, '\P{GCB=  CN}', "");
Expect(1, 9, '\P{^GCB=  CN}', "");
Expect(0, 10, '\p{GCB=  CN}', "");
Expect(1, 10, '\p{^GCB=  CN}', "");
Expect(1, 10, '\P{GCB=  CN}', "");
Expect(0, 10, '\P{^GCB=  CN}', "");
Error('\p{Is_Grapheme_Cluster_Break=/a/Control}');
Error('\P{Is_Grapheme_Cluster_Break=/a/Control}');
Expect(1, 9, '\p{Is_Grapheme_Cluster_Break=control}', "");
Expect(0, 9, '\p{^Is_Grapheme_Cluster_Break=control}', "");
Expect(0, 9, '\P{Is_Grapheme_Cluster_Break=control}', "");
Expect(1, 9, '\P{^Is_Grapheme_Cluster_Break=control}', "");
Expect(0, 10, '\p{Is_Grapheme_Cluster_Break=control}', "");
Expect(1, 10, '\p{^Is_Grapheme_Cluster_Break=control}', "");
Expect(1, 10, '\P{Is_Grapheme_Cluster_Break=control}', "");
Expect(0, 10, '\P{^Is_Grapheme_Cluster_Break=control}', "");
Expect(1, 9, '\p{Is_Grapheme_Cluster_Break=-_control}', "");
Expect(0, 9, '\p{^Is_Grapheme_Cluster_Break=-_control}', "");
Expect(0, 9, '\P{Is_Grapheme_Cluster_Break=-_control}', "");
Expect(1, 9, '\P{^Is_Grapheme_Cluster_Break=-_control}', "");
Expect(0, 10, '\p{Is_Grapheme_Cluster_Break=-_control}', "");
Expect(1, 10, '\p{^Is_Grapheme_Cluster_Break=-_control}', "");
Expect(1, 10, '\P{Is_Grapheme_Cluster_Break=-_control}', "");
Expect(0, 10, '\P{^Is_Grapheme_Cluster_Break=-_control}', "");
Error('\p{Is_GCB= /a/CN}');
Error('\P{Is_GCB= /a/CN}');
Expect(1, 9, '\p{Is_GCB=cn}', "");
Expect(0, 9, '\p{^Is_GCB=cn}', "");
Expect(0, 9, '\P{Is_GCB=cn}', "");
Expect(1, 9, '\P{^Is_GCB=cn}', "");
Expect(0, 10, '\p{Is_GCB=cn}', "");
Expect(1, 10, '\p{^Is_GCB=cn}', "");
Expect(1, 10, '\P{Is_GCB=cn}', "");
Expect(0, 10, '\P{^Is_GCB=cn}', "");
Expect(1, 9, '\p{Is_GCB=_	cn}', "");
Expect(0, 9, '\p{^Is_GCB=_	cn}', "");
Expect(0, 9, '\P{Is_GCB=_	cn}', "");
Expect(1, 9, '\P{^Is_GCB=_	cn}', "");
Expect(0, 10, '\p{Is_GCB=_	cn}', "");
Expect(1, 10, '\p{^Is_GCB=_	cn}', "");
Expect(1, 10, '\P{Is_GCB=_	cn}', "");
Expect(0, 10, '\P{^Is_GCB=_	cn}', "");
Error('\p{Grapheme_Cluster_Break=	/a/Prepend}');
Error('\P{Grapheme_Cluster_Break=	/a/Prepend}');
Expect(1, 3652, '\p{Grapheme_Cluster_Break=prepend}', "");
Expect(0, 3652, '\p{^Grapheme_Cluster_Break=prepend}', "");
Expect(0, 3652, '\P{Grapheme_Cluster_Break=prepend}', "");
Expect(1, 3652, '\P{^Grapheme_Cluster_Break=prepend}', "");
Expect(0, 3647, '\p{Grapheme_Cluster_Break=prepend}', "");
Expect(1, 3647, '\p{^Grapheme_Cluster_Break=prepend}', "");
Expect(1, 3647, '\P{Grapheme_Cluster_Break=prepend}', "");
Expect(0, 3647, '\P{^Grapheme_Cluster_Break=prepend}', "");
Expect(1, 3652, '\p{Grapheme_Cluster_Break=__prepend}', "");
Expect(0, 3652, '\p{^Grapheme_Cluster_Break=__prepend}', "");
Expect(0, 3652, '\P{Grapheme_Cluster_Break=__prepend}', "");
Expect(1, 3652, '\P{^Grapheme_Cluster_Break=__prepend}', "");
Expect(0, 3647, '\p{Grapheme_Cluster_Break=__prepend}', "");
Expect(1, 3647, '\p{^Grapheme_Cluster_Break=__prepend}', "");
Expect(1, 3647, '\P{Grapheme_Cluster_Break=__prepend}', "");
Expect(0, 3647, '\P{^Grapheme_Cluster_Break=__prepend}', "");
Error('\p{GCB=:=pp}');
Error('\P{GCB=:=pp}');
Expect(1, 3652, '\p{GCB=pp}', "");
Expect(0, 3652, '\p{^GCB=pp}', "");
Expect(0, 3652, '\P{GCB=pp}', "");
Expect(1, 3652, '\P{^GCB=pp}', "");
Expect(0, 3647, '\p{GCB=pp}', "");
Expect(1, 3647, '\p{^GCB=pp}', "");
Expect(1, 3647, '\P{GCB=pp}', "");
Expect(0, 3647, '\P{^GCB=pp}', "");
Expect(1, 3652, '\p{GCB:	_PP}', "");
Expect(0, 3652, '\p{^GCB:	_PP}', "");
Expect(0, 3652, '\P{GCB:	_PP}', "");
Expect(1, 3652, '\P{^GCB:	_PP}', "");
Expect(0, 3647, '\p{GCB:	_PP}', "");
Expect(1, 3647, '\p{^GCB:	_PP}', "");
Expect(1, 3647, '\P{GCB:	_PP}', "");
Expect(0, 3647, '\P{^GCB:	_PP}', "");
Error('\p{Is_Grapheme_Cluster_Break=	Prepend:=}');
Error('\P{Is_Grapheme_Cluster_Break=	Prepend:=}');
Expect(1, 3652, '\p{Is_Grapheme_Cluster_Break=prepend}', "");
Expect(0, 3652, '\p{^Is_Grapheme_Cluster_Break=prepend}', "");
Expect(0, 3652, '\P{Is_Grapheme_Cluster_Break=prepend}', "");
Expect(1, 3652, '\P{^Is_Grapheme_Cluster_Break=prepend}', "");
Expect(0, 3647, '\p{Is_Grapheme_Cluster_Break=prepend}', "");
Expect(1, 3647, '\p{^Is_Grapheme_Cluster_Break=prepend}', "");
Expect(1, 3647, '\P{Is_Grapheme_Cluster_Break=prepend}', "");
Expect(0, 3647, '\P{^Is_Grapheme_Cluster_Break=prepend}', "");
Expect(1, 3652, '\p{Is_Grapheme_Cluster_Break=	 Prepend}', "");
Expect(0, 3652, '\p{^Is_Grapheme_Cluster_Break=	 Prepend}', "");
Expect(0, 3652, '\P{Is_Grapheme_Cluster_Break=	 Prepend}', "");
Expect(1, 3652, '\P{^Is_Grapheme_Cluster_Break=	 Prepend}', "");
Expect(0, 3647, '\p{Is_Grapheme_Cluster_Break=	 Prepend}', "");
Expect(1, 3647, '\p{^Is_Grapheme_Cluster_Break=	 Prepend}', "");
Expect(1, 3647, '\P{Is_Grapheme_Cluster_Break=	 Prepend}', "");
Expect(0, 3647, '\P{^Is_Grapheme_Cluster_Break=	 Prepend}', "");
Error('\p{Is_GCB= PP/a/}');
Error('\P{Is_GCB= PP/a/}');
Expect(1, 3652, '\p{Is_GCB=pp}', "");
Expect(0, 3652, '\p{^Is_GCB=pp}', "");
Expect(0, 3652, '\P{Is_GCB=pp}', "");
Expect(1, 3652, '\P{^Is_GCB=pp}', "");
Expect(0, 3647, '\p{Is_GCB=pp}', "");
Expect(1, 3647, '\p{^Is_GCB=pp}', "");
Expect(1, 3647, '\P{Is_GCB=pp}', "");
Expect(0, 3647, '\P{^Is_GCB=pp}', "");
Expect(1, 3652, '\p{Is_GCB=_PP}', "");
Expect(0, 3652, '\p{^Is_GCB=_PP}', "");
Expect(0, 3652, '\P{Is_GCB=_PP}', "");
Expect(1, 3652, '\P{^Is_GCB=_PP}', "");
Expect(0, 3647, '\p{Is_GCB=_PP}', "");
Expect(1, 3647, '\p{^Is_GCB=_PP}', "");
Expect(1, 3647, '\P{Is_GCB=_PP}', "");
Expect(0, 3647, '\P{^Is_GCB=_PP}', "");
Error('\p{Grapheme_Cluster_Break=:=_-LV}');
Error('\P{Grapheme_Cluster_Break=:=_-LV}');
Expect(1, 44032, '\p{Grapheme_Cluster_Break=lv}', "");
Expect(0, 44032, '\p{^Grapheme_Cluster_Break=lv}', "");
Expect(0, 44032, '\P{Grapheme_Cluster_Break=lv}', "");
Expect(1, 44032, '\P{^Grapheme_Cluster_Break=lv}', "");
Expect(0, 44031, '\p{Grapheme_Cluster_Break=lv}', "");
Expect(1, 44031, '\p{^Grapheme_Cluster_Break=lv}', "");
Expect(1, 44031, '\P{Grapheme_Cluster_Break=lv}', "");
Expect(0, 44031, '\P{^Grapheme_Cluster_Break=lv}', "");
Expect(1, 44032, '\p{Grapheme_Cluster_Break=_LV}', "");
Expect(0, 44032, '\p{^Grapheme_Cluster_Break=_LV}', "");
Expect(0, 44032, '\P{Grapheme_Cluster_Break=_LV}', "");
Expect(1, 44032, '\P{^Grapheme_Cluster_Break=_LV}', "");
Expect(0, 44031, '\p{Grapheme_Cluster_Break=_LV}', "");
Expect(1, 44031, '\p{^Grapheme_Cluster_Break=_LV}', "");
Expect(1, 44031, '\P{Grapheme_Cluster_Break=_LV}', "");
Expect(0, 44031, '\P{^Grapheme_Cluster_Break=_LV}', "");
Error('\p{GCB=_-LV:=}');
Error('\P{GCB=_-LV:=}');
Expect(1, 44032, '\p{GCB=lv}', "");
Expect(0, 44032, '\p{^GCB=lv}', "");
Expect(0, 44032, '\P{GCB=lv}', "");
Expect(1, 44032, '\P{^GCB=lv}', "");
Expect(0, 44031, '\p{GCB=lv}', "");
Expect(1, 44031, '\p{^GCB=lv}', "");
Expect(1, 44031, '\P{GCB=lv}', "");
Expect(0, 44031, '\P{^GCB=lv}', "");
Expect(1, 44032, '\p{GCB:    -LV}', "");
Expect(0, 44032, '\p{^GCB:    -LV}', "");
Expect(0, 44032, '\P{GCB:    -LV}', "");
Expect(1, 44032, '\P{^GCB:    -LV}', "");
Expect(0, 44031, '\p{GCB:    -LV}', "");
Expect(1, 44031, '\p{^GCB:    -LV}', "");
Expect(1, 44031, '\P{GCB:    -LV}', "");
Expect(0, 44031, '\P{^GCB:    -LV}', "");
Error('\p{Is_Grapheme_Cluster_Break=	/a/LV}');
Error('\P{Is_Grapheme_Cluster_Break=	/a/LV}');
Expect(1, 44032, '\p{Is_Grapheme_Cluster_Break=lv}', "");
Expect(0, 44032, '\p{^Is_Grapheme_Cluster_Break=lv}', "");
Expect(0, 44032, '\P{Is_Grapheme_Cluster_Break=lv}', "");
Expect(1, 44032, '\P{^Is_Grapheme_Cluster_Break=lv}', "");
Expect(0, 44031, '\p{Is_Grapheme_Cluster_Break=lv}', "");
Expect(1, 44031, '\p{^Is_Grapheme_Cluster_Break=lv}', "");
Expect(1, 44031, '\P{Is_Grapheme_Cluster_Break=lv}', "");
Expect(0, 44031, '\P{^Is_Grapheme_Cluster_Break=lv}', "");
Expect(1, 44032, '\p{Is_Grapheme_Cluster_Break= 	LV}', "");
Expect(0, 44032, '\p{^Is_Grapheme_Cluster_Break= 	LV}', "");
Expect(0, 44032, '\P{Is_Grapheme_Cluster_Break= 	LV}', "");
Expect(1, 44032, '\P{^Is_Grapheme_Cluster_Break= 	LV}', "");
Expect(0, 44031, '\p{Is_Grapheme_Cluster_Break= 	LV}', "");
Expect(1, 44031, '\p{^Is_Grapheme_Cluster_Break= 	LV}', "");
Expect(1, 44031, '\P{Is_Grapheme_Cluster_Break= 	LV}', "");
Expect(0, 44031, '\P{^Is_Grapheme_Cluster_Break= 	LV}', "");
Error('\p{Is_GCB=/a/_	lv}');
Error('\P{Is_GCB=/a/_	lv}');
Expect(1, 44032, '\p{Is_GCB=lv}', "");
Expect(0, 44032, '\p{^Is_GCB=lv}', "");
Expect(0, 44032, '\P{Is_GCB=lv}', "");
Expect(1, 44032, '\P{^Is_GCB=lv}', "");
Expect(0, 44031, '\p{Is_GCB=lv}', "");
Expect(1, 44031, '\p{^Is_GCB=lv}', "");
Expect(1, 44031, '\P{Is_GCB=lv}', "");
Expect(0, 44031, '\P{^Is_GCB=lv}', "");
Expect(1, 44032, '\p{Is_GCB= _lv}', "");
Expect(0, 44032, '\p{^Is_GCB= _lv}', "");
Expect(0, 44032, '\P{Is_GCB= _lv}', "");
Expect(1, 44032, '\P{^Is_GCB= _lv}', "");
Expect(0, 44031, '\p{Is_GCB= _lv}', "");
Expect(1, 44031, '\p{^Is_GCB= _lv}', "");
Expect(1, 44031, '\P{Is_GCB= _lv}', "");
Expect(0, 44031, '\P{^Is_GCB= _lv}', "");
Error('\p{Grapheme_Cluster_Break=/a/CR}');
Error('\P{Grapheme_Cluster_Break=/a/CR}');
Expect(1, 13, '\p{Grapheme_Cluster_Break=cr}', "");
Expect(0, 13, '\p{^Grapheme_Cluster_Break=cr}', "");
Expect(0, 13, '\P{Grapheme_Cluster_Break=cr}', "");
Expect(1, 13, '\P{^Grapheme_Cluster_Break=cr}', "");
Expect(0, 12, '\p{Grapheme_Cluster_Break=cr}', "");
Expect(1, 12, '\p{^Grapheme_Cluster_Break=cr}', "");
Expect(1, 12, '\P{Grapheme_Cluster_Break=cr}', "");
Expect(0, 12, '\P{^Grapheme_Cluster_Break=cr}', "");
Expect(1, 13, '\p{Grapheme_Cluster_Break=	CR}', "");
Expect(0, 13, '\p{^Grapheme_Cluster_Break=	CR}', "");
Expect(0, 13, '\P{Grapheme_Cluster_Break=	CR}', "");
Expect(1, 13, '\P{^Grapheme_Cluster_Break=	CR}', "");
Expect(0, 12, '\p{Grapheme_Cluster_Break=	CR}', "");
Expect(1, 12, '\p{^Grapheme_Cluster_Break=	CR}', "");
Expect(1, 12, '\P{Grapheme_Cluster_Break=	CR}', "");
Expect(0, 12, '\P{^Grapheme_Cluster_Break=	CR}', "");
Error('\p{GCB=/a/	cr}');
Error('\P{GCB=/a/	cr}');
Expect(1, 13, '\p{GCB=cr}', "");
Expect(0, 13, '\p{^GCB=cr}', "");
Expect(0, 13, '\P{GCB=cr}', "");
Expect(1, 13, '\P{^GCB=cr}', "");
Expect(0, 12, '\p{GCB=cr}', "");
Expect(1, 12, '\p{^GCB=cr}', "");
Expect(1, 12, '\P{GCB=cr}', "");
Expect(0, 12, '\P{^GCB=cr}', "");
Expect(1, 13, '\p{GCB=--CR}', "");
Expect(0, 13, '\p{^GCB=--CR}', "");
Expect(0, 13, '\P{GCB=--CR}', "");
Expect(1, 13, '\P{^GCB=--CR}', "");
Expect(0, 12, '\p{GCB=--CR}', "");
Expect(1, 12, '\p{^GCB=--CR}', "");
Expect(1, 12, '\P{GCB=--CR}', "");
Expect(0, 12, '\P{^GCB=--CR}', "");
Error('\p{Is_Grapheme_Cluster_Break=/a/  CR}');
Error('\P{Is_Grapheme_Cluster_Break=/a/  CR}');
Expect(1, 13, '\p{Is_Grapheme_Cluster_Break=cr}', "");
Expect(0, 13, '\p{^Is_Grapheme_Cluster_Break=cr}', "");
Expect(0, 13, '\P{Is_Grapheme_Cluster_Break=cr}', "");
Expect(1, 13, '\P{^Is_Grapheme_Cluster_Break=cr}', "");
Expect(0, 12, '\p{Is_Grapheme_Cluster_Break=cr}', "");
Expect(1, 12, '\p{^Is_Grapheme_Cluster_Break=cr}', "");
Expect(1, 12, '\P{Is_Grapheme_Cluster_Break=cr}', "");
Expect(0, 12, '\P{^Is_Grapheme_Cluster_Break=cr}', "");
Expect(1, 13, '\p{Is_Grapheme_Cluster_Break:	--CR}', "");
Expect(0, 13, '\p{^Is_Grapheme_Cluster_Break:	--CR}', "");
Expect(0, 13, '\P{Is_Grapheme_Cluster_Break:	--CR}', "");
Expect(1, 13, '\P{^Is_Grapheme_Cluster_Break:	--CR}', "");
Expect(0, 12, '\p{Is_Grapheme_Cluster_Break:	--CR}', "");
Expect(1, 12, '\p{^Is_Grapheme_Cluster_Break:	--CR}', "");
Expect(1, 12, '\P{Is_Grapheme_Cluster_Break:	--CR}', "");
Expect(0, 12, '\P{^Is_Grapheme_Cluster_Break:	--CR}', "");
Error('\p{Is_GCB= 	cr:=}');
Error('\P{Is_GCB= 	cr:=}');
Expect(1, 13, '\p{Is_GCB=cr}', "");
Expect(0, 13, '\p{^Is_GCB=cr}', "");
Expect(0, 13, '\P{Is_GCB=cr}', "");
Expect(1, 13, '\P{^Is_GCB=cr}', "");
Expect(0, 12, '\p{Is_GCB=cr}', "");
Expect(1, 12, '\p{^Is_GCB=cr}', "");
Expect(1, 12, '\P{Is_GCB=cr}', "");
Expect(0, 12, '\P{^Is_GCB=cr}', "");
Expect(1, 13, '\p{Is_GCB=	-CR}', "");
Expect(0, 13, '\p{^Is_GCB=	-CR}', "");
Expect(0, 13, '\P{Is_GCB=	-CR}', "");
Expect(1, 13, '\P{^Is_GCB=	-CR}', "");
Expect(0, 12, '\p{Is_GCB=	-CR}', "");
Expect(1, 12, '\p{^Is_GCB=	-CR}', "");
Expect(1, 12, '\P{Is_GCB=	-CR}', "");
Expect(0, 12, '\P{^Is_GCB=	-CR}', "");
Error('\p{Grapheme_Cluster_Break=-Other:=}');
Error('\P{Grapheme_Cluster_Break=-Other:=}');
Expect(1, 126, '\p{Grapheme_Cluster_Break=other}', "");
Expect(0, 126, '\p{^Grapheme_Cluster_Break=other}', "");
Expect(0, 126, '\P{Grapheme_Cluster_Break=other}', "");
Expect(1, 126, '\P{^Grapheme_Cluster_Break=other}', "");
Expect(0, 31, '\p{Grapheme_Cluster_Break=other}', "");
Expect(1, 31, '\p{^Grapheme_Cluster_Break=other}', "");
Expect(1, 31, '\P{Grapheme_Cluster_Break=other}', "");
Expect(0, 31, '\P{^Grapheme_Cluster_Break=other}', "");
Expect(1, 126, '\p{Grapheme_Cluster_Break=_ Other}', "");
Expect(0, 126, '\p{^Grapheme_Cluster_Break=_ Other}', "");
Expect(0, 126, '\P{Grapheme_Cluster_Break=_ Other}', "");
Expect(1, 126, '\P{^Grapheme_Cluster_Break=_ Other}', "");
Expect(0, 31, '\p{Grapheme_Cluster_Break=_ Other}', "");
Expect(1, 31, '\p{^Grapheme_Cluster_Break=_ Other}', "");
Expect(1, 31, '\P{Grapheme_Cluster_Break=_ Other}', "");
Expect(0, 31, '\P{^Grapheme_Cluster_Break=_ Other}', "");
Error('\p{GCB=	:=XX}');
Error('\P{GCB=	:=XX}');
Expect(1, 126, '\p{GCB=xx}', "");
Expect(0, 126, '\p{^GCB=xx}', "");
Expect(0, 126, '\P{GCB=xx}', "");
Expect(1, 126, '\P{^GCB=xx}', "");
Expect(0, 31, '\p{GCB=xx}', "");
Expect(1, 31, '\p{^GCB=xx}', "");
Expect(1, 31, '\P{GCB=xx}', "");
Expect(0, 31, '\P{^GCB=xx}', "");
Expect(1, 126, '\p{GCB= xx}', "");
Expect(0, 126, '\p{^GCB= xx}', "");
Expect(0, 126, '\P{GCB= xx}', "");
Expect(1, 126, '\P{^GCB= xx}', "");
Expect(0, 31, '\p{GCB= xx}', "");
Expect(1, 31, '\p{^GCB= xx}', "");
Expect(1, 31, '\P{GCB= xx}', "");
Expect(0, 31, '\P{^GCB= xx}', "");
Error('\p{Is_Grapheme_Cluster_Break=:=_-Other}');
Error('\P{Is_Grapheme_Cluster_Break=:=_-Other}');
Expect(1, 126, '\p{Is_Grapheme_Cluster_Break=other}', "");
Expect(0, 126, '\p{^Is_Grapheme_Cluster_Break=other}', "");
Expect(0, 126, '\P{Is_Grapheme_Cluster_Break=other}', "");
Expect(1, 126, '\P{^Is_Grapheme_Cluster_Break=other}', "");
Expect(0, 31, '\p{Is_Grapheme_Cluster_Break=other}', "");
Expect(1, 31, '\p{^Is_Grapheme_Cluster_Break=other}', "");
Expect(1, 31, '\P{Is_Grapheme_Cluster_Break=other}', "");
Expect(0, 31, '\P{^Is_Grapheme_Cluster_Break=other}', "");
Expect(1, 126, '\p{Is_Grapheme_Cluster_Break:   other}', "");
Expect(0, 126, '\p{^Is_Grapheme_Cluster_Break:   other}', "");
Expect(0, 126, '\P{Is_Grapheme_Cluster_Break:   other}', "");
Expect(1, 126, '\P{^Is_Grapheme_Cluster_Break:   other}', "");
Expect(0, 31, '\p{Is_Grapheme_Cluster_Break:   other}', "");
Expect(1, 31, '\p{^Is_Grapheme_Cluster_Break:   other}', "");
Expect(1, 31, '\P{Is_Grapheme_Cluster_Break:   other}', "");
Expect(0, 31, '\P{^Is_Grapheme_Cluster_Break:   other}', "");
Error('\p{Is_GCB=_:=xx}');
Error('\P{Is_GCB=_:=xx}');
Expect(1, 126, '\p{Is_GCB:	xx}', "");
Expect(0, 126, '\p{^Is_GCB:	xx}', "");
Expect(0, 126, '\P{Is_GCB:	xx}', "");
Expect(1, 126, '\P{^Is_GCB:	xx}', "");
Expect(0, 31, '\p{Is_GCB:	xx}', "");
Expect(1, 31, '\p{^Is_GCB:	xx}', "");
Expect(1, 31, '\P{Is_GCB:	xx}', "");
Expect(0, 31, '\P{^Is_GCB:	xx}', "");
Expect(1, 126, '\p{Is_GCB=	 XX}', "");
Expect(0, 126, '\p{^Is_GCB=	 XX}', "");
Expect(0, 126, '\P{Is_GCB=	 XX}', "");
Expect(1, 126, '\P{^Is_GCB=	 XX}', "");
Expect(0, 31, '\p{Is_GCB=	 XX}', "");
Expect(1, 31, '\p{^Is_GCB=	 XX}', "");
Expect(1, 31, '\P{Is_GCB=	 XX}', "");
Expect(0, 31, '\P{^Is_GCB=	 XX}', "");
Error('\p{Grapheme_Cluster_Break=	 extend/a/}');
Error('\P{Grapheme_Cluster_Break=	 extend/a/}');
Expect(1, 879, '\p{Grapheme_Cluster_Break=extend}', "");
Expect(0, 879, '\p{^Grapheme_Cluster_Break=extend}', "");
Expect(0, 879, '\P{Grapheme_Cluster_Break=extend}', "");
Expect(1, 879, '\P{^Grapheme_Cluster_Break=extend}', "");
Expect(0, 767, '\p{Grapheme_Cluster_Break=extend}', "");
Expect(1, 767, '\p{^Grapheme_Cluster_Break=extend}', "");
Expect(1, 767, '\P{Grapheme_Cluster_Break=extend}', "");
Expect(0, 767, '\P{^Grapheme_Cluster_Break=extend}', "");
Expect(1, 879, '\p{Grapheme_Cluster_Break:	Extend}', "");
Expect(0, 879, '\p{^Grapheme_Cluster_Break:	Extend}', "");
Expect(0, 879, '\P{Grapheme_Cluster_Break:	Extend}', "");
Expect(1, 879, '\P{^Grapheme_Cluster_Break:	Extend}', "");
Expect(0, 767, '\p{Grapheme_Cluster_Break:	Extend}', "");
Expect(1, 767, '\p{^Grapheme_Cluster_Break:	Extend}', "");
Expect(1, 767, '\P{Grapheme_Cluster_Break:	Extend}', "");
Expect(0, 767, '\P{^Grapheme_Cluster_Break:	Extend}', "");
Error('\p{GCB=:=	_EX}');
Error('\P{GCB=:=	_EX}');
Expect(1, 879, '\p{GCB=ex}', "");
Expect(0, 879, '\p{^GCB=ex}', "");
Expect(0, 879, '\P{GCB=ex}', "");
Expect(1, 879, '\P{^GCB=ex}', "");
Expect(0, 767, '\p{GCB=ex}', "");
Expect(1, 767, '\p{^GCB=ex}', "");
Expect(1, 767, '\P{GCB=ex}', "");
Expect(0, 767, '\P{^GCB=ex}', "");
Expect(1, 879, '\p{GCB=__EX}', "");
Expect(0, 879, '\p{^GCB=__EX}', "");
Expect(0, 879, '\P{GCB=__EX}', "");
Expect(1, 879, '\P{^GCB=__EX}', "");
Expect(0, 767, '\p{GCB=__EX}', "");
Expect(1, 767, '\p{^GCB=__EX}', "");
Expect(1, 767, '\P{GCB=__EX}', "");
Expect(0, 767, '\P{^GCB=__EX}', "");
Error('\p{Is_Grapheme_Cluster_Break=	 EXTEND/a/}');
Error('\P{Is_Grapheme_Cluster_Break=	 EXTEND/a/}');
Expect(1, 879, '\p{Is_Grapheme_Cluster_Break: extend}', "");
Expect(0, 879, '\p{^Is_Grapheme_Cluster_Break: extend}', "");
Expect(0, 879, '\P{Is_Grapheme_Cluster_Break: extend}', "");
Expect(1, 879, '\P{^Is_Grapheme_Cluster_Break: extend}', "");
Expect(0, 767, '\p{Is_Grapheme_Cluster_Break: extend}', "");
Expect(1, 767, '\p{^Is_Grapheme_Cluster_Break: extend}', "");
Expect(1, 767, '\P{Is_Grapheme_Cluster_Break: extend}', "");
Expect(0, 767, '\P{^Is_Grapheme_Cluster_Break: extend}', "");
Expect(1, 879, '\p{Is_Grapheme_Cluster_Break= extend}', "");
Expect(0, 879, '\p{^Is_Grapheme_Cluster_Break= extend}', "");
Expect(0, 879, '\P{Is_Grapheme_Cluster_Break= extend}', "");
Expect(1, 879, '\P{^Is_Grapheme_Cluster_Break= extend}', "");
Expect(0, 767, '\p{Is_Grapheme_Cluster_Break= extend}', "");
Expect(1, 767, '\p{^Is_Grapheme_Cluster_Break= extend}', "");
Expect(1, 767, '\P{Is_Grapheme_Cluster_Break= extend}', "");
Expect(0, 767, '\P{^Is_Grapheme_Cluster_Break= extend}', "");
Error('\p{Is_GCB= /a/EX}');
Error('\P{Is_GCB= /a/EX}');
Expect(1, 879, '\p{Is_GCB=ex}', "");
Expect(0, 879, '\p{^Is_GCB=ex}', "");
Expect(0, 879, '\P{Is_GCB=ex}', "");
Expect(1, 879, '\P{^Is_GCB=ex}', "");
Expect(0, 767, '\p{Is_GCB=ex}', "");
Expect(1, 767, '\p{^Is_GCB=ex}', "");
Expect(1, 767, '\P{Is_GCB=ex}', "");
Expect(0, 767, '\P{^Is_GCB=ex}', "");
Expect(1, 879, '\p{Is_GCB: -EX}', "");
Expect(0, 879, '\p{^Is_GCB: -EX}', "");
Expect(0, 879, '\P{Is_GCB: -EX}', "");
Expect(1, 879, '\P{^Is_GCB: -EX}', "");
Expect(0, 767, '\p{Is_GCB: -EX}', "");
Expect(1, 767, '\p{^Is_GCB: -EX}', "");
Expect(1, 767, '\P{Is_GCB: -EX}', "");
Expect(0, 767, '\P{^Is_GCB: -EX}', "");
Error('\p{Grapheme_Cluster_Break=_:=V}');
Error('\P{Grapheme_Cluster_Break=_:=V}');
Expect(1, 4519, '\p{Grapheme_Cluster_Break=v}', "");
Expect(0, 4519, '\p{^Grapheme_Cluster_Break=v}', "");
Expect(0, 4519, '\P{Grapheme_Cluster_Break=v}', "");
Expect(1, 4519, '\P{^Grapheme_Cluster_Break=v}', "");
Expect(0, 4447, '\p{Grapheme_Cluster_Break=v}', "");
Expect(1, 4447, '\p{^Grapheme_Cluster_Break=v}', "");
Expect(1, 4447, '\P{Grapheme_Cluster_Break=v}', "");
Expect(0, 4447, '\P{^Grapheme_Cluster_Break=v}', "");
Expect(1, 4519, '\p{Grapheme_Cluster_Break=	-V}', "");
Expect(0, 4519, '\p{^Grapheme_Cluster_Break=	-V}', "");
Expect(0, 4519, '\P{Grapheme_Cluster_Break=	-V}', "");
Expect(1, 4519, '\P{^Grapheme_Cluster_Break=	-V}', "");
Expect(0, 4447, '\p{Grapheme_Cluster_Break=	-V}', "");
Expect(1, 4447, '\p{^Grapheme_Cluster_Break=	-V}', "");
Expect(1, 4447, '\P{Grapheme_Cluster_Break=	-V}', "");
Expect(0, 4447, '\P{^Grapheme_Cluster_Break=	-V}', "");
Error('\p{GCB=/a/v}');
Error('\P{GCB=/a/v}');
Expect(1, 4519, '\p{GCB=v}', "");
Expect(0, 4519, '\p{^GCB=v}', "");
Expect(0, 4519, '\P{GCB=v}', "");
Expect(1, 4519, '\P{^GCB=v}', "");
Expect(0, 4447, '\p{GCB=v}', "");
Expect(1, 4447, '\p{^GCB=v}', "");
Expect(1, 4447, '\P{GCB=v}', "");
Expect(0, 4447, '\P{^GCB=v}', "");
Expect(1, 4519, '\p{GCB= -V}', "");
Expect(0, 4519, '\p{^GCB= -V}', "");
Expect(0, 4519, '\P{GCB= -V}', "");
Expect(1, 4519, '\P{^GCB= -V}', "");
Expect(0, 4447, '\p{GCB= -V}', "");
Expect(1, 4447, '\p{^GCB= -V}', "");
Expect(1, 4447, '\P{GCB= -V}', "");
Expect(0, 4447, '\P{^GCB= -V}', "");
Error('\p{Is_Grapheme_Cluster_Break=:=	-V}');
Error('\P{Is_Grapheme_Cluster_Break=:=	-V}');
Expect(1, 4519, '\p{Is_Grapheme_Cluster_Break=v}', "");
Expect(0, 4519, '\p{^Is_Grapheme_Cluster_Break=v}', "");
Expect(0, 4519, '\P{Is_Grapheme_Cluster_Break=v}', "");
Expect(1, 4519, '\P{^Is_Grapheme_Cluster_Break=v}', "");
Expect(0, 4447, '\p{Is_Grapheme_Cluster_Break=v}', "");
Expect(1, 4447, '\p{^Is_Grapheme_Cluster_Break=v}', "");
Expect(1, 4447, '\P{Is_Grapheme_Cluster_Break=v}', "");
Expect(0, 4447, '\P{^Is_Grapheme_Cluster_Break=v}', "");
Expect(1, 4519, '\p{Is_Grapheme_Cluster_Break=-_V}', "");
Expect(0, 4519, '\p{^Is_Grapheme_Cluster_Break=-_V}', "");
Expect(0, 4519, '\P{Is_Grapheme_Cluster_Break=-_V}', "");
Expect(1, 4519, '\P{^Is_Grapheme_Cluster_Break=-_V}', "");
Expect(0, 4447, '\p{Is_Grapheme_Cluster_Break=-_V}', "");
Expect(1, 4447, '\p{^Is_Grapheme_Cluster_Break=-_V}', "");
Expect(1, 4447, '\P{Is_Grapheme_Cluster_Break=-_V}', "");
Expect(0, 4447, '\P{^Is_Grapheme_Cluster_Break=-_V}', "");
Error('\p{Is_GCB=_:=V}');
Error('\P{Is_GCB=_:=V}');
Expect(1, 4519, '\p{Is_GCB: v}', "");
Expect(0, 4519, '\p{^Is_GCB: v}', "");
Expect(0, 4519, '\P{Is_GCB: v}', "");
Expect(1, 4519, '\P{^Is_GCB: v}', "");
Expect(0, 4447, '\p{Is_GCB: v}', "");
Expect(1, 4447, '\p{^Is_GCB: v}', "");
Expect(1, 4447, '\P{Is_GCB: v}', "");
Expect(0, 4447, '\P{^Is_GCB: v}', "");
Expect(1, 4519, '\p{Is_GCB=	V}', "");
Expect(0, 4519, '\p{^Is_GCB=	V}', "");
Expect(0, 4519, '\P{Is_GCB=	V}', "");
Expect(1, 4519, '\P{^Is_GCB=	V}', "");
Expect(0, 4447, '\p{Is_GCB=	V}', "");
Expect(1, 4447, '\p{^Is_GCB=	V}', "");
Expect(1, 4447, '\P{Is_GCB=	V}', "");
Expect(0, 4447, '\P{^Is_GCB=	V}', "");
Error('\p{Grapheme_Cluster_Break=		LF/a/}');
Error('\P{Grapheme_Cluster_Break=		LF/a/}');
Expect(1, 10, '\p{Grapheme_Cluster_Break=lf}', "");
Expect(0, 10, '\p{^Grapheme_Cluster_Break=lf}', "");
Expect(0, 10, '\P{Grapheme_Cluster_Break=lf}', "");
Expect(1, 10, '\P{^Grapheme_Cluster_Break=lf}', "");
Expect(0, 9, '\p{Grapheme_Cluster_Break=lf}', "");
Expect(1, 9, '\p{^Grapheme_Cluster_Break=lf}', "");
Expect(1, 9, '\P{Grapheme_Cluster_Break=lf}', "");
Expect(0, 9, '\P{^Grapheme_Cluster_Break=lf}', "");
Expect(1, 10, '\p{Grapheme_Cluster_Break=-lf}', "");
Expect(0, 10, '\p{^Grapheme_Cluster_Break=-lf}', "");
Expect(0, 10, '\P{Grapheme_Cluster_Break=-lf}', "");
Expect(1, 10, '\P{^Grapheme_Cluster_Break=-lf}', "");
Expect(0, 9, '\p{Grapheme_Cluster_Break=-lf}', "");
Expect(1, 9, '\p{^Grapheme_Cluster_Break=-lf}', "");
Expect(1, 9, '\P{Grapheme_Cluster_Break=-lf}', "");
Expect(0, 9, '\P{^Grapheme_Cluster_Break=-lf}', "");
Error('\p{GCB=_/a/LF}');
Error('\P{GCB=_/a/LF}');
Expect(1, 10, '\p{GCB=lf}', "");
Expect(0, 10, '\p{^GCB=lf}', "");
Expect(0, 10, '\P{GCB=lf}', "");
Expect(1, 10, '\P{^GCB=lf}', "");
Expect(0, 9, '\p{GCB=lf}', "");
Expect(1, 9, '\p{^GCB=lf}', "");
Expect(1, 9, '\P{GCB=lf}', "");
Expect(0, 9, '\P{^GCB=lf}', "");
Expect(1, 10, '\p{GCB=		LF}', "");
Expect(0, 10, '\p{^GCB=		LF}', "");
Expect(0, 10, '\P{GCB=		LF}', "");
Expect(1, 10, '\P{^GCB=		LF}', "");
Expect(0, 9, '\p{GCB=		LF}', "");
Expect(1, 9, '\p{^GCB=		LF}', "");
Expect(1, 9, '\P{GCB=		LF}', "");
Expect(0, 9, '\P{^GCB=		LF}', "");
Error('\p{Is_Grapheme_Cluster_Break=:=_LF}');
Error('\P{Is_Grapheme_Cluster_Break=:=_LF}');
Expect(1, 10, '\p{Is_Grapheme_Cluster_Break=lf}', "");
Expect(0, 10, '\p{^Is_Grapheme_Cluster_Break=lf}', "");
Expect(0, 10, '\P{Is_Grapheme_Cluster_Break=lf}', "");
Expect(1, 10, '\P{^Is_Grapheme_Cluster_Break=lf}', "");
Expect(0, 9, '\p{Is_Grapheme_Cluster_Break=lf}', "");
Expect(1, 9, '\p{^Is_Grapheme_Cluster_Break=lf}', "");
Expect(1, 9, '\P{Is_Grapheme_Cluster_Break=lf}', "");
Expect(0, 9, '\P{^Is_Grapheme_Cluster_Break=lf}', "");
Expect(1, 10, '\p{Is_Grapheme_Cluster_Break= -lf}', "");
Expect(0, 10, '\p{^Is_Grapheme_Cluster_Break= -lf}', "");
Expect(0, 10, '\P{Is_Grapheme_Cluster_Break= -lf}', "");
Expect(1, 10, '\P{^Is_Grapheme_Cluster_Break= -lf}', "");
Expect(0, 9, '\p{Is_Grapheme_Cluster_Break= -lf}', "");
Expect(1, 9, '\p{^Is_Grapheme_Cluster_Break= -lf}', "");
Expect(1, 9, '\P{Is_Grapheme_Cluster_Break= -lf}', "");
Expect(0, 9, '\P{^Is_Grapheme_Cluster_Break= -lf}', "");
Error('\p{Is_GCB=	 lf:=}');
Error('\P{Is_GCB=	 lf:=}');
Expect(1, 10, '\p{Is_GCB=lf}', "");
Expect(0, 10, '\p{^Is_GCB=lf}', "");
Expect(0, 10, '\P{Is_GCB=lf}', "");
Expect(1, 10, '\P{^Is_GCB=lf}', "");
Expect(0, 9, '\p{Is_GCB=lf}', "");
Expect(1, 9, '\p{^Is_GCB=lf}', "");
Expect(1, 9, '\P{Is_GCB=lf}', "");
Expect(0, 9, '\P{^Is_GCB=lf}', "");
Expect(1, 10, '\p{Is_GCB=_LF}', "");
Expect(0, 10, '\p{^Is_GCB=_LF}', "");
Expect(0, 10, '\P{Is_GCB=_LF}', "");
Expect(1, 10, '\P{^Is_GCB=_LF}', "");
Expect(0, 9, '\p{Is_GCB=_LF}', "");
Expect(1, 9, '\p{^Is_GCB=_LF}', "");
Expect(1, 9, '\P{Is_GCB=_LF}', "");
Expect(0, 9, '\P{^Is_GCB=_LF}', "");
Error('\p{Grapheme_Cluster_Break: 	:=l}');
Error('\P{Grapheme_Cluster_Break: 	:=l}');
Expect(1, 4447, '\p{Grapheme_Cluster_Break=l}', "");
Expect(0, 4447, '\p{^Grapheme_Cluster_Break=l}', "");
Expect(0, 4447, '\P{Grapheme_Cluster_Break=l}', "");
Expect(1, 4447, '\P{^Grapheme_Cluster_Break=l}', "");
Expect(0, 4351, '\p{Grapheme_Cluster_Break=l}', "");
Expect(1, 4351, '\p{^Grapheme_Cluster_Break=l}', "");
Expect(1, 4351, '\P{Grapheme_Cluster_Break=l}', "");
Expect(0, 4351, '\P{^Grapheme_Cluster_Break=l}', "");
Expect(1, 4447, '\p{Grapheme_Cluster_Break=  L}', "");
Expect(0, 4447, '\p{^Grapheme_Cluster_Break=  L}', "");
Expect(0, 4447, '\P{Grapheme_Cluster_Break=  L}', "");
Expect(1, 4447, '\P{^Grapheme_Cluster_Break=  L}', "");
Expect(0, 4351, '\p{Grapheme_Cluster_Break=  L}', "");
Expect(1, 4351, '\p{^Grapheme_Cluster_Break=  L}', "");
Expect(1, 4351, '\P{Grapheme_Cluster_Break=  L}', "");
Expect(0, 4351, '\P{^Grapheme_Cluster_Break=  L}', "");
Error('\p{GCB=:=  l}');
Error('\P{GCB=:=  l}');
Expect(1, 4447, '\p{GCB=l}', "");
Expect(0, 4447, '\p{^GCB=l}', "");
Expect(0, 4447, '\P{GCB=l}', "");
Expect(1, 4447, '\P{^GCB=l}', "");
Expect(0, 4351, '\p{GCB=l}', "");
Expect(1, 4351, '\p{^GCB=l}', "");
Expect(1, 4351, '\P{GCB=l}', "");
Expect(0, 4351, '\P{^GCB=l}', "");
Expect(1, 4447, '\p{GCB=L}', "");
Expect(0, 4447, '\p{^GCB=L}', "");
Expect(0, 4447, '\P{GCB=L}', "");
Expect(1, 4447, '\P{^GCB=L}', "");
Expect(0, 4351, '\p{GCB=L}', "");
Expect(1, 4351, '\p{^GCB=L}', "");
Expect(1, 4351, '\P{GCB=L}', "");
Expect(0, 4351, '\P{^GCB=L}', "");
Error('\p{Is_Grapheme_Cluster_Break:	 L:=}');
Error('\P{Is_Grapheme_Cluster_Break:	 L:=}');
Expect(1, 4447, '\p{Is_Grapheme_Cluster_Break=l}', "");
Expect(0, 4447, '\p{^Is_Grapheme_Cluster_Break=l}', "");
Expect(0, 4447, '\P{Is_Grapheme_Cluster_Break=l}', "");
Expect(1, 4447, '\P{^Is_Grapheme_Cluster_Break=l}', "");
Expect(0, 4351, '\p{Is_Grapheme_Cluster_Break=l}', "");
Expect(1, 4351, '\p{^Is_Grapheme_Cluster_Break=l}', "");
Expect(1, 4351, '\P{Is_Grapheme_Cluster_Break=l}', "");
Expect(0, 4351, '\P{^Is_Grapheme_Cluster_Break=l}', "");
Expect(1, 4447, '\p{Is_Grapheme_Cluster_Break=	L}', "");
Expect(0, 4447, '\p{^Is_Grapheme_Cluster_Break=	L}', "");
Expect(0, 4447, '\P{Is_Grapheme_Cluster_Break=	L}', "");
Expect(1, 4447, '\P{^Is_Grapheme_Cluster_Break=	L}', "");
Expect(0, 4351, '\p{Is_Grapheme_Cluster_Break=	L}', "");
Expect(1, 4351, '\p{^Is_Grapheme_Cluster_Break=	L}', "");
Expect(1, 4351, '\P{Is_Grapheme_Cluster_Break=	L}', "");
Expect(0, 4351, '\P{^Is_Grapheme_Cluster_Break=	L}', "");
Error('\p{Is_GCB=:=__L}');
Error('\P{Is_GCB=:=__L}');
Expect(1, 4447, '\p{Is_GCB=l}', "");
Expect(0, 4447, '\p{^Is_GCB=l}', "");
Expect(0, 4447, '\P{Is_GCB=l}', "");
Expect(1, 4447, '\P{^Is_GCB=l}', "");
Expect(0, 4351, '\p{Is_GCB=l}', "");
Expect(1, 4351, '\p{^Is_GCB=l}', "");
Expect(1, 4351, '\P{Is_GCB=l}', "");
Expect(0, 4351, '\P{^Is_GCB=l}', "");
Expect(1, 4447, '\p{Is_GCB=-L}', "");
Expect(0, 4447, '\p{^Is_GCB=-L}', "");
Expect(0, 4447, '\P{Is_GCB=-L}', "");
Expect(1, 4447, '\P{^Is_GCB=-L}', "");
Expect(0, 4351, '\p{Is_GCB=-L}', "");
Expect(1, 4351, '\p{^Is_GCB=-L}', "");
Expect(1, 4351, '\P{Is_GCB=-L}', "");
Expect(0, 4351, '\P{^Is_GCB=-L}', "");
Error('\p{Logical_Order_Exception: /a/YES}');
Error('\P{Logical_Order_Exception: /a/YES}');
Expect(1, 3652, '\p{Logical_Order_Exception=yes}', "");
Expect(0, 3652, '\p{^Logical_Order_Exception=yes}', "");
Expect(0, 3652, '\P{Logical_Order_Exception=yes}', "");
Expect(1, 3652, '\P{^Logical_Order_Exception=yes}', "");
Expect(0, 3647, '\p{Logical_Order_Exception=yes}', "");
Expect(1, 3647, '\p{^Logical_Order_Exception=yes}', "");
Expect(1, 3647, '\P{Logical_Order_Exception=yes}', "");
Expect(0, 3647, '\P{^Logical_Order_Exception=yes}', "");
Expect(1, 3652, '\p{Logical_Order_Exception=_ Yes}', "");
Expect(0, 3652, '\p{^Logical_Order_Exception=_ Yes}', "");
Expect(0, 3652, '\P{Logical_Order_Exception=_ Yes}', "");
Expect(1, 3652, '\P{^Logical_Order_Exception=_ Yes}', "");
Expect(0, 3647, '\p{Logical_Order_Exception=_ Yes}', "");
Expect(1, 3647, '\p{^Logical_Order_Exception=_ Yes}', "");
Expect(1, 3647, '\P{Logical_Order_Exception=_ Yes}', "");
Expect(0, 3647, '\P{^Logical_Order_Exception=_ Yes}', "");
Error('\p{LOE=:= _Y}');
Error('\P{LOE=:= _Y}');
Expect(1, 3652, '\p{LOE=y}', "");
Expect(0, 3652, '\p{^LOE=y}', "");
Expect(0, 3652, '\P{LOE=y}', "");
Expect(1, 3652, '\P{^LOE=y}', "");
Expect(0, 3647, '\p{LOE=y}', "");
Expect(1, 3647, '\p{^LOE=y}', "");
Expect(1, 3647, '\P{LOE=y}', "");
Expect(0, 3647, '\P{^LOE=y}', "");
Expect(1, 3652, '\p{LOE=	Y}', "");
Expect(0, 3652, '\p{^LOE=	Y}', "");
Expect(0, 3652, '\P{LOE=	Y}', "");
Expect(1, 3652, '\P{^LOE=	Y}', "");
Expect(0, 3647, '\p{LOE=	Y}', "");
Expect(1, 3647, '\p{^LOE=	Y}', "");
Expect(1, 3647, '\P{LOE=	Y}', "");
Expect(0, 3647, '\P{^LOE=	Y}', "");
Error('\p{Is_Logical_Order_Exception= :=T}');
Error('\P{Is_Logical_Order_Exception= :=T}');
Expect(1, 3652, '\p{Is_Logical_Order_Exception=t}', "");
Expect(0, 3652, '\p{^Is_Logical_Order_Exception=t}', "");
Expect(0, 3652, '\P{Is_Logical_Order_Exception=t}', "");
Expect(1, 3652, '\P{^Is_Logical_Order_Exception=t}', "");
Expect(0, 3647, '\p{Is_Logical_Order_Exception=t}', "");
Expect(1, 3647, '\p{^Is_Logical_Order_Exception=t}', "");
Expect(1, 3647, '\P{Is_Logical_Order_Exception=t}', "");
Expect(0, 3647, '\P{^Is_Logical_Order_Exception=t}', "");
Expect(1, 3652, '\p{Is_Logical_Order_Exception=-T}', "");
Expect(0, 3652, '\p{^Is_Logical_Order_Exception=-T}', "");
Expect(0, 3652, '\P{Is_Logical_Order_Exception=-T}', "");
Expect(1, 3652, '\P{^Is_Logical_Order_Exception=-T}', "");
Expect(0, 3647, '\p{Is_Logical_Order_Exception=-T}', "");
Expect(1, 3647, '\p{^Is_Logical_Order_Exception=-T}', "");
Expect(1, 3647, '\P{Is_Logical_Order_Exception=-T}', "");
Expect(0, 3647, '\P{^Is_Logical_Order_Exception=-T}', "");
Error('\p{Is_LOE=/a/_True}');
Error('\P{Is_LOE=/a/_True}');
Expect(1, 3652, '\p{Is_LOE=true}', "");
Expect(0, 3652, '\p{^Is_LOE=true}', "");
Expect(0, 3652, '\P{Is_LOE=true}', "");
Expect(1, 3652, '\P{^Is_LOE=true}', "");
Expect(0, 3647, '\p{Is_LOE=true}', "");
Expect(1, 3647, '\p{^Is_LOE=true}', "");
Expect(1, 3647, '\P{Is_LOE=true}', "");
Expect(0, 3647, '\P{^Is_LOE=true}', "");
Expect(1, 3652, '\p{Is_LOE= _True}', "");
Expect(0, 3652, '\p{^Is_LOE= _True}', "");
Expect(0, 3652, '\P{Is_LOE= _True}', "");
Expect(1, 3652, '\P{^Is_LOE= _True}', "");
Expect(0, 3647, '\p{Is_LOE= _True}', "");
Expect(1, 3647, '\p{^Is_LOE= _True}', "");
Expect(1, 3647, '\P{Is_LOE= _True}', "");
Expect(0, 3647, '\P{^Is_LOE= _True}', "");
Error('\p{Logical_Order_Exception=/a/No}');
Error('\P{Logical_Order_Exception=/a/No}');
Expect(1, 3647, '\p{Logical_Order_Exception=no}', "");
Expect(0, 3647, '\p{^Logical_Order_Exception=no}', "");
Expect(0, 3647, '\P{Logical_Order_Exception=no}', "");
Expect(1, 3647, '\P{^Logical_Order_Exception=no}', "");
Expect(0, 3652, '\p{Logical_Order_Exception=no}', "");
Expect(1, 3652, '\p{^Logical_Order_Exception=no}', "");
Expect(1, 3652, '\P{Logical_Order_Exception=no}', "");
Expect(0, 3652, '\P{^Logical_Order_Exception=no}', "");
Expect(1, 3647, '\p{Logical_Order_Exception=-NO}', "");
Expect(0, 3647, '\p{^Logical_Order_Exception=-NO}', "");
Expect(0, 3647, '\P{Logical_Order_Exception=-NO}', "");
Expect(1, 3647, '\P{^Logical_Order_Exception=-NO}', "");
Expect(0, 3652, '\p{Logical_Order_Exception=-NO}', "");
Expect(1, 3652, '\p{^Logical_Order_Exception=-NO}', "");
Expect(1, 3652, '\P{Logical_Order_Exception=-NO}', "");
Expect(0, 3652, '\P{^Logical_Order_Exception=-NO}', "");
Error('\p{LOE=-N/a/}');
Error('\P{LOE=-N/a/}');
Expect(1, 3647, '\p{LOE=n}', "");
Expect(0, 3647, '\p{^LOE=n}', "");
Expect(0, 3647, '\P{LOE=n}', "");
Expect(1, 3647, '\P{^LOE=n}', "");
Expect(0, 3652, '\p{LOE=n}', "");
Expect(1, 3652, '\p{^LOE=n}', "");
Expect(1, 3652, '\P{LOE=n}', "");
Expect(0, 3652, '\P{^LOE=n}', "");
Expect(1, 3647, '\p{LOE=-_N}', "");
Expect(0, 3647, '\p{^LOE=-_N}', "");
Expect(0, 3647, '\P{LOE=-_N}', "");
Expect(1, 3647, '\P{^LOE=-_N}', "");
Expect(0, 3652, '\p{LOE=-_N}', "");
Expect(1, 3652, '\p{^LOE=-_N}', "");
Expect(1, 3652, '\P{LOE=-_N}', "");
Expect(0, 3652, '\P{^LOE=-_N}', "");
Error('\p{Is_Logical_Order_Exception=_-f/a/}');
Error('\P{Is_Logical_Order_Exception=_-f/a/}');
Expect(1, 3647, '\p{Is_Logical_Order_Exception=f}', "");
Expect(0, 3647, '\p{^Is_Logical_Order_Exception=f}', "");
Expect(0, 3647, '\P{Is_Logical_Order_Exception=f}', "");
Expect(1, 3647, '\P{^Is_Logical_Order_Exception=f}', "");
Expect(0, 3652, '\p{Is_Logical_Order_Exception=f}', "");
Expect(1, 3652, '\p{^Is_Logical_Order_Exception=f}', "");
Expect(1, 3652, '\P{Is_Logical_Order_Exception=f}', "");
Expect(0, 3652, '\P{^Is_Logical_Order_Exception=f}', "");
Expect(1, 3647, '\p{Is_Logical_Order_Exception=_-f}', "");
Expect(0, 3647, '\p{^Is_Logical_Order_Exception=_-f}', "");
Expect(0, 3647, '\P{Is_Logical_Order_Exception=_-f}', "");
Expect(1, 3647, '\P{^Is_Logical_Order_Exception=_-f}', "");
Expect(0, 3652, '\p{Is_Logical_Order_Exception=_-f}', "");
Expect(1, 3652, '\p{^Is_Logical_Order_Exception=_-f}', "");
Expect(1, 3652, '\P{Is_Logical_Order_Exception=_-f}', "");
Expect(0, 3652, '\P{^Is_Logical_Order_Exception=_-f}', "");
Error('\p{Is_LOE= false/a/}');
Error('\P{Is_LOE= false/a/}');
Expect(1, 3647, '\p{Is_LOE=false}', "");
Expect(0, 3647, '\p{^Is_LOE=false}', "");
Expect(0, 3647, '\P{Is_LOE=false}', "");
Expect(1, 3647, '\P{^Is_LOE=false}', "");
Expect(0, 3652, '\p{Is_LOE=false}', "");
Expect(1, 3652, '\p{^Is_LOE=false}', "");
Expect(1, 3652, '\P{Is_LOE=false}', "");
Expect(0, 3652, '\P{^Is_LOE=false}', "");
Expect(1, 3647, '\p{Is_LOE=_	FALSE}', "");
Expect(0, 3647, '\p{^Is_LOE=_	FALSE}', "");
Expect(0, 3647, '\P{Is_LOE=_	FALSE}', "");
Expect(1, 3647, '\P{^Is_LOE=_	FALSE}', "");
Expect(0, 3652, '\p{Is_LOE=_	FALSE}', "");
Expect(1, 3652, '\p{^Is_LOE=_	FALSE}', "");
Expect(1, 3652, '\P{Is_LOE=_	FALSE}', "");
Expect(0, 3652, '\P{^Is_LOE=_	FALSE}', "");
Error('\p{Bidi_Mirrored=-_yes:=}');
Error('\P{Bidi_Mirrored=-_yes:=}');
Expect(1, 41, '\p{Bidi_Mirrored=yes}', "");
Expect(0, 41, '\p{^Bidi_Mirrored=yes}', "");
Expect(0, 41, '\P{Bidi_Mirrored=yes}', "");
Expect(1, 41, '\P{^Bidi_Mirrored=yes}', "");
Expect(0, 39, '\p{Bidi_Mirrored=yes}', "");
Expect(1, 39, '\p{^Bidi_Mirrored=yes}', "");
Expect(1, 39, '\P{Bidi_Mirrored=yes}', "");
Expect(0, 39, '\P{^Bidi_Mirrored=yes}', "");
Expect(1, 41, '\p{Bidi_Mirrored=	-Yes}', "");
Expect(0, 41, '\p{^Bidi_Mirrored=	-Yes}', "");
Expect(0, 41, '\P{Bidi_Mirrored=	-Yes}', "");
Expect(1, 41, '\P{^Bidi_Mirrored=	-Yes}', "");
Expect(0, 39, '\p{Bidi_Mirrored=	-Yes}', "");
Expect(1, 39, '\p{^Bidi_Mirrored=	-Yes}', "");
Expect(1, 39, '\P{Bidi_Mirrored=	-Yes}', "");
Expect(0, 39, '\P{^Bidi_Mirrored=	-Yes}', "");
Error('\p{Bidi_M=-	Y/a/}');
Error('\P{Bidi_M=-	Y/a/}');
Expect(1, 41, '\p{Bidi_M=y}', "");
Expect(0, 41, '\p{^Bidi_M=y}', "");
Expect(0, 41, '\P{Bidi_M=y}', "");
Expect(1, 41, '\P{^Bidi_M=y}', "");
Expect(0, 39, '\p{Bidi_M=y}', "");
Expect(1, 39, '\p{^Bidi_M=y}', "");
Expect(1, 39, '\P{Bidi_M=y}', "");
Expect(0, 39, '\P{^Bidi_M=y}', "");
Expect(1, 41, '\p{Bidi_M=-Y}', "");
Expect(0, 41, '\p{^Bidi_M=-Y}', "");
Expect(0, 41, '\P{Bidi_M=-Y}', "");
Expect(1, 41, '\P{^Bidi_M=-Y}', "");
Expect(0, 39, '\p{Bidi_M=-Y}', "");
Expect(1, 39, '\p{^Bidi_M=-Y}', "");
Expect(1, 39, '\P{Bidi_M=-Y}', "");
Expect(0, 39, '\P{^Bidi_M=-Y}', "");
Error('\p{Is_Bidi_Mirrored=-:=T}');
Error('\P{Is_Bidi_Mirrored=-:=T}');
Expect(1, 41, '\p{Is_Bidi_Mirrored=t}', "");
Expect(0, 41, '\p{^Is_Bidi_Mirrored=t}', "");
Expect(0, 41, '\P{Is_Bidi_Mirrored=t}', "");
Expect(1, 41, '\P{^Is_Bidi_Mirrored=t}', "");
Expect(0, 39, '\p{Is_Bidi_Mirrored=t}', "");
Expect(1, 39, '\p{^Is_Bidi_Mirrored=t}', "");
Expect(1, 39, '\P{Is_Bidi_Mirrored=t}', "");
Expect(0, 39, '\P{^Is_Bidi_Mirrored=t}', "");
Expect(1, 41, '\p{Is_Bidi_Mirrored= _T}', "");
Expect(0, 41, '\p{^Is_Bidi_Mirrored= _T}', "");
Expect(0, 41, '\P{Is_Bidi_Mirrored= _T}', "");
Expect(1, 41, '\P{^Is_Bidi_Mirrored= _T}', "");
Expect(0, 39, '\p{Is_Bidi_Mirrored= _T}', "");
Expect(1, 39, '\p{^Is_Bidi_Mirrored= _T}', "");
Expect(1, 39, '\P{Is_Bidi_Mirrored= _T}', "");
Expect(0, 39, '\P{^Is_Bidi_Mirrored= _T}', "");
Error('\p{Is_Bidi_M=-TRUE/a/}');
Error('\P{Is_Bidi_M=-TRUE/a/}');
Expect(1, 41, '\p{Is_Bidi_M=true}', "");
Expect(0, 41, '\p{^Is_Bidi_M=true}', "");
Expect(0, 41, '\P{Is_Bidi_M=true}', "");
Expect(1, 41, '\P{^Is_Bidi_M=true}', "");
Expect(0, 39, '\p{Is_Bidi_M=true}', "");
Expect(1, 39, '\p{^Is_Bidi_M=true}', "");
Expect(1, 39, '\P{Is_Bidi_M=true}', "");
Expect(0, 39, '\P{^Is_Bidi_M=true}', "");
Expect(1, 41, '\p{Is_Bidi_M=-TRUE}', "");
Expect(0, 41, '\p{^Is_Bidi_M=-TRUE}', "");
Expect(0, 41, '\P{Is_Bidi_M=-TRUE}', "");
Expect(1, 41, '\P{^Is_Bidi_M=-TRUE}', "");
Expect(0, 39, '\p{Is_Bidi_M=-TRUE}', "");
Expect(1, 39, '\p{^Is_Bidi_M=-TRUE}', "");
Expect(1, 39, '\P{Is_Bidi_M=-TRUE}', "");
Expect(0, 39, '\P{^Is_Bidi_M=-TRUE}', "");
Error('\p{Bidi_Mirrored=:=--No}');
Error('\P{Bidi_Mirrored=:=--No}');
Expect(1, 39, '\p{Bidi_Mirrored=no}', "");
Expect(0, 39, '\p{^Bidi_Mirrored=no}', "");
Expect(0, 39, '\P{Bidi_Mirrored=no}', "");
Expect(1, 39, '\P{^Bidi_Mirrored=no}', "");
Expect(0, 41, '\p{Bidi_Mirrored=no}', "");
Expect(1, 41, '\p{^Bidi_Mirrored=no}', "");
Expect(1, 41, '\P{Bidi_Mirrored=no}', "");
Expect(0, 41, '\P{^Bidi_Mirrored=no}', "");
Expect(1, 39, '\p{Bidi_Mirrored= -no}', "");
Expect(0, 39, '\p{^Bidi_Mirrored= -no}', "");
Expect(0, 39, '\P{Bidi_Mirrored= -no}', "");
Expect(1, 39, '\P{^Bidi_Mirrored= -no}', "");
Expect(0, 41, '\p{Bidi_Mirrored= -no}', "");
Expect(1, 41, '\p{^Bidi_Mirrored= -no}', "");
Expect(1, 41, '\P{Bidi_Mirrored= -no}', "");
Expect(0, 41, '\P{^Bidi_Mirrored= -no}', "");
Error('\p{Bidi_M= N:=}');
Error('\P{Bidi_M= N:=}');
Expect(1, 39, '\p{Bidi_M=n}', "");
Expect(0, 39, '\p{^Bidi_M=n}', "");
Expect(0, 39, '\P{Bidi_M=n}', "");
Expect(1, 39, '\P{^Bidi_M=n}', "");
Expect(0, 41, '\p{Bidi_M=n}', "");
Expect(1, 41, '\p{^Bidi_M=n}', "");
Expect(1, 41, '\P{Bidi_M=n}', "");
Expect(0, 41, '\P{^Bidi_M=n}', "");
Expect(1, 39, '\p{Bidi_M=	-N}', "");
Expect(0, 39, '\p{^Bidi_M=	-N}', "");
Expect(0, 39, '\P{Bidi_M=	-N}', "");
Expect(1, 39, '\P{^Bidi_M=	-N}', "");
Expect(0, 41, '\p{Bidi_M=	-N}', "");
Expect(1, 41, '\p{^Bidi_M=	-N}', "");
Expect(1, 41, '\P{Bidi_M=	-N}', "");
Expect(0, 41, '\P{^Bidi_M=	-N}', "");
Error('\p{Is_Bidi_Mirrored=_ F/a/}');
Error('\P{Is_Bidi_Mirrored=_ F/a/}');
Expect(1, 39, '\p{Is_Bidi_Mirrored=f}', "");
Expect(0, 39, '\p{^Is_Bidi_Mirrored=f}', "");
Expect(0, 39, '\P{Is_Bidi_Mirrored=f}', "");
Expect(1, 39, '\P{^Is_Bidi_Mirrored=f}', "");
Expect(0, 41, '\p{Is_Bidi_Mirrored=f}', "");
Expect(1, 41, '\p{^Is_Bidi_Mirrored=f}', "");
Expect(1, 41, '\P{Is_Bidi_Mirrored=f}', "");
Expect(0, 41, '\P{^Is_Bidi_Mirrored=f}', "");
Expect(1, 39, '\p{Is_Bidi_Mirrored= 	f}', "");
Expect(0, 39, '\p{^Is_Bidi_Mirrored= 	f}', "");
Expect(0, 39, '\P{Is_Bidi_Mirrored= 	f}', "");
Expect(1, 39, '\P{^Is_Bidi_Mirrored= 	f}', "");
Expect(0, 41, '\p{Is_Bidi_Mirrored= 	f}', "");
Expect(1, 41, '\p{^Is_Bidi_Mirrored= 	f}', "");
Expect(1, 41, '\P{Is_Bidi_Mirrored= 	f}', "");
Expect(0, 41, '\P{^Is_Bidi_Mirrored= 	f}', "");
Error('\p{Is_Bidi_M=/a/FALSE}');
Error('\P{Is_Bidi_M=/a/FALSE}');
Expect(1, 39, '\p{Is_Bidi_M=false}', "");
Expect(0, 39, '\p{^Is_Bidi_M=false}', "");
Expect(0, 39, '\P{Is_Bidi_M=false}', "");
Expect(1, 39, '\P{^Is_Bidi_M=false}', "");
Expect(0, 41, '\p{Is_Bidi_M=false}', "");
Expect(1, 41, '\p{^Is_Bidi_M=false}', "");
Expect(1, 41, '\P{Is_Bidi_M=false}', "");
Expect(0, 41, '\P{^Is_Bidi_M=false}', "");
Expect(1, 39, '\p{Is_Bidi_M=_FALSE}', "");
Expect(0, 39, '\p{^Is_Bidi_M=_FALSE}', "");
Expect(0, 39, '\P{Is_Bidi_M=_FALSE}', "");
Expect(1, 39, '\P{^Is_Bidi_M=_FALSE}', "");
Expect(0, 41, '\p{Is_Bidi_M=_FALSE}', "");
Expect(1, 41, '\p{^Is_Bidi_M=_FALSE}', "");
Expect(1, 41, '\P{Is_Bidi_M=_FALSE}', "");
Expect(0, 41, '\P{^Is_Bidi_M=_FALSE}', "");
Error('\p{Lowercase=-Yes/a/}');
Error('\P{Lowercase=-Yes/a/}');
Expect(1, 122, '\p{Lowercase=yes}', "");
Expect(0, 122, '\p{^Lowercase=yes}', "");
Expect(0, 122, '\P{Lowercase=yes}', "");
Expect(1, 122, '\P{^Lowercase=yes}', "");
Expect(0, 96, '\p{Lowercase=yes}', "");
Expect(1, 96, '\p{^Lowercase=yes}', "");
Expect(1, 96, '\P{Lowercase=yes}', "");
Expect(0, 96, '\P{^Lowercase=yes}', "");
Expect(1, 122, '\p{Lowercase=		Yes}', "");
Expect(0, 122, '\p{^Lowercase=		Yes}', "");
Expect(0, 122, '\P{Lowercase=		Yes}', "");
Expect(1, 122, '\P{^Lowercase=		Yes}', "");
Expect(0, 96, '\p{Lowercase=		Yes}', "");
Expect(1, 96, '\p{^Lowercase=		Yes}', "");
Expect(1, 96, '\P{Lowercase=		Yes}', "");
Expect(0, 96, '\P{^Lowercase=		Yes}', "");
Error('\p{Lower=:= Y}');
Error('\P{Lower=:= Y}');
Expect(1, 122, '\p{Lower=y}', "");
Expect(0, 122, '\p{^Lower=y}', "");
Expect(0, 122, '\P{Lower=y}', "");
Expect(1, 122, '\P{^Lower=y}', "");
Expect(0, 96, '\p{Lower=y}', "");
Expect(1, 96, '\p{^Lower=y}', "");
Expect(1, 96, '\P{Lower=y}', "");
Expect(0, 96, '\P{^Lower=y}', "");
Expect(1, 122, '\p{Lower=-	Y}', "");
Expect(0, 122, '\p{^Lower=-	Y}', "");
Expect(0, 122, '\P{Lower=-	Y}', "");
Expect(1, 122, '\P{^Lower=-	Y}', "");
Expect(0, 96, '\p{Lower=-	Y}', "");
Expect(1, 96, '\p{^Lower=-	Y}', "");
Expect(1, 96, '\P{Lower=-	Y}', "");
Expect(0, 96, '\P{^Lower=-	Y}', "");
Error('\p{Is_Lowercase=:=	T}');
Error('\P{Is_Lowercase=:=	T}');
Expect(1, 122, '\p{Is_Lowercase:	t}', "");
Expect(0, 122, '\p{^Is_Lowercase:	t}', "");
Expect(0, 122, '\P{Is_Lowercase:	t}', "");
Expect(1, 122, '\P{^Is_Lowercase:	t}', "");
Expect(0, 96, '\p{Is_Lowercase:	t}', "");
Expect(1, 96, '\p{^Is_Lowercase:	t}', "");
Expect(1, 96, '\P{Is_Lowercase:	t}', "");
Expect(0, 96, '\P{^Is_Lowercase:	t}', "");
Expect(1, 122, '\p{Is_Lowercase:    -T}', "");
Expect(0, 122, '\p{^Is_Lowercase:    -T}', "");
Expect(0, 122, '\P{Is_Lowercase:    -T}', "");
Expect(1, 122, '\P{^Is_Lowercase:    -T}', "");
Expect(0, 96, '\p{Is_Lowercase:    -T}', "");
Expect(1, 96, '\p{^Is_Lowercase:    -T}', "");
Expect(1, 96, '\P{Is_Lowercase:    -T}', "");
Expect(0, 96, '\P{^Is_Lowercase:    -T}', "");
Error('\p{Is_Lower:	:=	TRUE}');
Error('\P{Is_Lower:	:=	TRUE}');
Expect(1, 122, '\p{Is_Lower=true}', "");
Expect(0, 122, '\p{^Is_Lower=true}', "");
Expect(0, 122, '\P{Is_Lower=true}', "");
Expect(1, 122, '\P{^Is_Lower=true}', "");
Expect(0, 96, '\p{Is_Lower=true}', "");
Expect(1, 96, '\p{^Is_Lower=true}', "");
Expect(1, 96, '\P{Is_Lower=true}', "");
Expect(0, 96, '\P{^Is_Lower=true}', "");
Expect(1, 122, '\p{Is_Lower=_true}', "");
Expect(0, 122, '\p{^Is_Lower=_true}', "");
Expect(0, 122, '\P{Is_Lower=_true}', "");
Expect(1, 122, '\P{^Is_Lower=_true}', "");
Expect(0, 96, '\p{Is_Lower=_true}', "");
Expect(1, 96, '\p{^Is_Lower=_true}', "");
Expect(1, 96, '\P{Is_Lower=_true}', "");
Expect(0, 96, '\P{^Is_Lower=_true}', "");
Error('\p{Lowercase=_:=No}');
Error('\P{Lowercase=_:=No}');
Expect(1, 96, '\p{Lowercase:	no}', "");
Expect(0, 96, '\p{^Lowercase:	no}', "");
Expect(0, 96, '\P{Lowercase:	no}', "");
Expect(1, 96, '\P{^Lowercase:	no}', "");
Expect(0, 122, '\p{Lowercase:	no}', "");
Expect(1, 122, '\p{^Lowercase:	no}', "");
Expect(1, 122, '\P{Lowercase:	no}', "");
Expect(0, 122, '\P{^Lowercase:	no}', "");
Expect(1, 96, '\p{Lowercase=	 NO}', "");
Expect(0, 96, '\p{^Lowercase=	 NO}', "");
Expect(0, 96, '\P{Lowercase=	 NO}', "");
Expect(1, 96, '\P{^Lowercase=	 NO}', "");
Expect(0, 122, '\p{Lowercase=	 NO}', "");
Expect(1, 122, '\p{^Lowercase=	 NO}', "");
Expect(1, 122, '\P{Lowercase=	 NO}', "");
Expect(0, 122, '\P{^Lowercase=	 NO}', "");
Error('\p{Lower=_N/a/}');
Error('\P{Lower=_N/a/}');
Expect(1, 96, '\p{Lower=n}', "");
Expect(0, 96, '\p{^Lower=n}', "");
Expect(0, 96, '\P{Lower=n}', "");
Expect(1, 96, '\P{^Lower=n}', "");
Expect(0, 122, '\p{Lower=n}', "");
Expect(1, 122, '\p{^Lower=n}', "");
Expect(1, 122, '\P{Lower=n}', "");
Expect(0, 122, '\P{^Lower=n}', "");
Expect(1, 96, '\p{Lower= N}', "");
Expect(0, 96, '\p{^Lower= N}', "");
Expect(0, 96, '\P{Lower= N}', "");
Expect(1, 96, '\P{^Lower= N}', "");
Expect(0, 122, '\p{Lower= N}', "");
Expect(1, 122, '\p{^Lower= N}', "");
Expect(1, 122, '\P{Lower= N}', "");
Expect(0, 122, '\P{^Lower= N}', "");
Error('\p{Is_Lowercase=/a/-F}');
Error('\P{Is_Lowercase=/a/-F}');
Expect(1, 96, '\p{Is_Lowercase: f}', "");
Expect(0, 96, '\p{^Is_Lowercase: f}', "");
Expect(0, 96, '\P{Is_Lowercase: f}', "");
Expect(1, 96, '\P{^Is_Lowercase: f}', "");
Expect(0, 122, '\p{Is_Lowercase: f}', "");
Expect(1, 122, '\p{^Is_Lowercase: f}', "");
Expect(1, 122, '\P{Is_Lowercase: f}', "");
Expect(0, 122, '\P{^Is_Lowercase: f}', "");
Expect(1, 96, '\p{Is_Lowercase= f}', "");
Expect(0, 96, '\p{^Is_Lowercase= f}', "");
Expect(0, 96, '\P{Is_Lowercase= f}', "");
Expect(1, 96, '\P{^Is_Lowercase= f}', "");
Expect(0, 122, '\p{Is_Lowercase= f}', "");
Expect(1, 122, '\p{^Is_Lowercase= f}', "");
Expect(1, 122, '\P{Is_Lowercase= f}', "");
Expect(0, 122, '\P{^Is_Lowercase= f}', "");
Error('\p{Is_Lower=:= False}');
Error('\P{Is_Lower=:= False}');
Expect(1, 96, '\p{Is_Lower=false}', "");
Expect(0, 96, '\p{^Is_Lower=false}', "");
Expect(0, 96, '\P{Is_Lower=false}', "");
Expect(1, 96, '\P{^Is_Lower=false}', "");
Expect(0, 122, '\p{Is_Lower=false}', "");
Expect(1, 122, '\p{^Is_Lower=false}', "");
Expect(1, 122, '\P{Is_Lower=false}', "");
Expect(0, 122, '\P{^Is_Lower=false}', "");
Expect(1, 96, '\p{Is_Lower: 	 false}', "");
Expect(0, 96, '\p{^Is_Lower: 	 false}', "");
Expect(0, 96, '\P{Is_Lower: 	 false}', "");
Expect(1, 96, '\P{^Is_Lower: 	 false}', "");
Expect(0, 122, '\p{Is_Lower: 	 false}', "");
Expect(1, 122, '\p{^Is_Lower: 	 false}', "");
Expect(1, 122, '\P{Is_Lower: 	 false}', "");
Expect(0, 122, '\P{^Is_Lower: 	 false}', "");
Error('\p{Uppercase=-/a/YES}');
Error('\P{Uppercase=-/a/YES}');
Expect(1, 90, '\p{Uppercase:   yes}', "");
Expect(0, 90, '\p{^Uppercase:   yes}', "");
Expect(0, 90, '\P{Uppercase:   yes}', "");
Expect(1, 90, '\P{^Uppercase:   yes}', "");
Expect(0, 64, '\p{Uppercase:   yes}', "");
Expect(1, 64, '\p{^Uppercase:   yes}', "");
Expect(1, 64, '\P{Uppercase:   yes}', "");
Expect(0, 64, '\P{^Uppercase:   yes}', "");
Expect(1, 90, '\p{Uppercase=	-yes}', "");
Expect(0, 90, '\p{^Uppercase=	-yes}', "");
Expect(0, 90, '\P{Uppercase=	-yes}', "");
Expect(1, 90, '\P{^Uppercase=	-yes}', "");
Expect(0, 64, '\p{Uppercase=	-yes}', "");
Expect(1, 64, '\p{^Uppercase=	-yes}', "");
Expect(1, 64, '\P{Uppercase=	-yes}', "");
Expect(0, 64, '\P{^Uppercase=	-yes}', "");
Error('\p{Upper=:=y}');
Error('\P{Upper=:=y}');
Expect(1, 90, '\p{Upper=y}', "");
Expect(0, 90, '\p{^Upper=y}', "");
Expect(0, 90, '\P{Upper=y}', "");
Expect(1, 90, '\P{^Upper=y}', "");
Expect(0, 64, '\p{Upper=y}', "");
Expect(1, 64, '\p{^Upper=y}', "");
Expect(1, 64, '\P{Upper=y}', "");
Expect(0, 64, '\P{^Upper=y}', "");
Expect(1, 90, '\p{Upper=-	y}', "");
Expect(0, 90, '\p{^Upper=-	y}', "");
Expect(0, 90, '\P{Upper=-	y}', "");
Expect(1, 90, '\P{^Upper=-	y}', "");
Expect(0, 64, '\p{Upper=-	y}', "");
Expect(1, 64, '\p{^Upper=-	y}', "");
Expect(1, 64, '\P{Upper=-	y}', "");
Expect(0, 64, '\P{^Upper=-	y}', "");
Error('\p{Is_Uppercase=:=-T}');
Error('\P{Is_Uppercase=:=-T}');
Expect(1, 90, '\p{Is_Uppercase=t}', "");
Expect(0, 90, '\p{^Is_Uppercase=t}', "");
Expect(0, 90, '\P{Is_Uppercase=t}', "");
Expect(1, 90, '\P{^Is_Uppercase=t}', "");
Expect(0, 64, '\p{Is_Uppercase=t}', "");
Expect(1, 64, '\p{^Is_Uppercase=t}', "");
Expect(1, 64, '\P{Is_Uppercase=t}', "");
Expect(0, 64, '\P{^Is_Uppercase=t}', "");
Expect(1, 90, '\p{Is_Uppercase=- T}', "");
Expect(0, 90, '\p{^Is_Uppercase=- T}', "");
Expect(0, 90, '\P{Is_Uppercase=- T}', "");
Expect(1, 90, '\P{^Is_Uppercase=- T}', "");
Expect(0, 64, '\p{Is_Uppercase=- T}', "");
Expect(1, 64, '\p{^Is_Uppercase=- T}', "");
Expect(1, 64, '\P{Is_Uppercase=- T}', "");
Expect(0, 64, '\P{^Is_Uppercase=- T}', "");
Error('\p{Is_Upper=--TRUE/a/}');
Error('\P{Is_Upper=--TRUE/a/}');
Expect(1, 90, '\p{Is_Upper=true}', "");
Expect(0, 90, '\p{^Is_Upper=true}', "");
Expect(0, 90, '\P{Is_Upper=true}', "");
Expect(1, 90, '\P{^Is_Upper=true}', "");
Expect(0, 64, '\p{Is_Upper=true}', "");
Expect(1, 64, '\p{^Is_Upper=true}', "");
Expect(1, 64, '\P{Is_Upper=true}', "");
Expect(0, 64, '\P{^Is_Upper=true}', "");
Expect(1, 90, '\p{Is_Upper:  TRUE}', "");
Expect(0, 90, '\p{^Is_Upper:  TRUE}', "");
Expect(0, 90, '\P{Is_Upper:  TRUE}', "");
Expect(1, 90, '\P{^Is_Upper:  TRUE}', "");
Expect(0, 64, '\p{Is_Upper:  TRUE}', "");
Expect(1, 64, '\p{^Is_Upper:  TRUE}', "");
Expect(1, 64, '\P{Is_Upper:  TRUE}', "");
Expect(0, 64, '\P{^Is_Upper:  TRUE}', "");
Error('\p{Uppercase=- No/a/}');
Error('\P{Uppercase=- No/a/}');
Expect(1, 64, '\p{Uppercase=no}', "");
Expect(0, 64, '\p{^Uppercase=no}', "");
Expect(0, 64, '\P{Uppercase=no}', "");
Expect(1, 64, '\P{^Uppercase=no}', "");
Expect(0, 90, '\p{Uppercase=no}', "");
Expect(1, 90, '\p{^Uppercase=no}', "");
Expect(1, 90, '\P{Uppercase=no}', "");
Expect(0, 90, '\P{^Uppercase=no}', "");
Expect(1, 64, '\p{Uppercase=  No}', "");
Expect(0, 64, '\p{^Uppercase=  No}', "");
Expect(0, 64, '\P{Uppercase=  No}', "");
Expect(1, 64, '\P{^Uppercase=  No}', "");
Expect(0, 90, '\p{Uppercase=  No}', "");
Expect(1, 90, '\p{^Uppercase=  No}', "");
Expect(1, 90, '\P{Uppercase=  No}', "");
Expect(0, 90, '\P{^Uppercase=  No}', "");
Error('\p{Upper=		N:=}');
Error('\P{Upper=		N:=}');
Expect(1, 64, '\p{Upper=n}', "");
Expect(0, 64, '\p{^Upper=n}', "");
Expect(0, 64, '\P{Upper=n}', "");
Expect(1, 64, '\P{^Upper=n}', "");
Expect(0, 90, '\p{Upper=n}', "");
Expect(1, 90, '\p{^Upper=n}', "");
Expect(1, 90, '\P{Upper=n}', "");
Expect(0, 90, '\P{^Upper=n}', "");
Expect(1, 64, '\p{Upper=-_N}', "");
Expect(0, 64, '\p{^Upper=-_N}', "");
Expect(0, 64, '\P{Upper=-_N}', "");
Expect(1, 64, '\P{^Upper=-_N}', "");
Expect(0, 90, '\p{Upper=-_N}', "");
Expect(1, 90, '\p{^Upper=-_N}', "");
Expect(1, 90, '\P{Upper=-_N}', "");
Expect(0, 90, '\P{^Upper=-_N}', "");
Error('\p{Is_Uppercase:   _/a/f}');
Error('\P{Is_Uppercase:   _/a/f}');
Expect(1, 64, '\p{Is_Uppercase:	f}', "");
Expect(0, 64, '\p{^Is_Uppercase:	f}', "");
Expect(0, 64, '\P{Is_Uppercase:	f}', "");
Expect(1, 64, '\P{^Is_Uppercase:	f}', "");
Expect(0, 90, '\p{Is_Uppercase:	f}', "");
Expect(1, 90, '\p{^Is_Uppercase:	f}', "");
Expect(1, 90, '\P{Is_Uppercase:	f}', "");
Expect(0, 90, '\P{^Is_Uppercase:	f}', "");
Expect(1, 64, '\p{Is_Uppercase= F}', "");
Expect(0, 64, '\p{^Is_Uppercase= F}', "");
Expect(0, 64, '\P{Is_Uppercase= F}', "");
Expect(1, 64, '\P{^Is_Uppercase= F}', "");
Expect(0, 90, '\p{Is_Uppercase= F}', "");
Expect(1, 90, '\p{^Is_Uppercase= F}', "");
Expect(1, 90, '\P{Is_Uppercase= F}', "");
Expect(0, 90, '\P{^Is_Uppercase= F}', "");
Error('\p{Is_Upper=-_False:=}');
Error('\P{Is_Upper=-_False:=}');
Expect(1, 64, '\p{Is_Upper=false}', "");
Expect(0, 64, '\p{^Is_Upper=false}', "");
Expect(0, 64, '\P{Is_Upper=false}', "");
Expect(1, 64, '\P{^Is_Upper=false}', "");
Expect(0, 90, '\p{Is_Upper=false}', "");
Expect(1, 90, '\p{^Is_Upper=false}', "");
Expect(1, 90, '\P{Is_Upper=false}', "");
Expect(0, 90, '\P{^Is_Upper=false}', "");
Expect(1, 64, '\p{Is_Upper: _False}', "");
Expect(0, 64, '\p{^Is_Upper: _False}', "");
Expect(0, 64, '\P{Is_Upper: _False}', "");
Expect(1, 64, '\P{^Is_Upper: _False}', "");
Expect(0, 90, '\p{Is_Upper: _False}', "");
Expect(1, 90, '\p{^Is_Upper: _False}', "");
Expect(1, 90, '\P{Is_Upper: _False}', "");
Expect(0, 90, '\P{^Is_Upper: _False}', "");
Error('\p{Expands_On_NFKC=Yes}');
Error('\P{Expands_On_NFKC=Yes}');
Error('\p{XO_NFKC=Y}');
Error('\P{XO_NFKC=Y}');
Error('\p{Is_Expands_On_NFKC=T}');
Error('\P{Is_Expands_On_NFKC=T}');
Error('\p{Is_XO_NFKC=True}');
Error('\P{Is_XO_NFKC=True}');
Error('\p{Expands_On_NFKC=No}');
Error('\P{Expands_On_NFKC=No}');
Error('\p{XO_NFKC=N}');
Error('\P{XO_NFKC=N}');
Error('\p{Is_Expands_On_NFKC:F}');
Error('\P{Is_Expands_On_NFKC:F}');
Error('\p{Is_XO_NFKC=False}');
Error('\P{Is_XO_NFKC=False}');
Error('\p{NFD_Quick_Check=/a/	_YES}');
Error('\P{NFD_Quick_Check=/a/	_YES}');
Expect(1, 191, '\p{NFD_Quick_Check=yes}', "");
Expect(0, 191, '\p{^NFD_Quick_Check=yes}', "");
Expect(0, 191, '\P{NFD_Quick_Check=yes}', "");
Expect(1, 191, '\P{^NFD_Quick_Check=yes}', "");
Expect(0, 197, '\p{NFD_Quick_Check=yes}', "");
Expect(1, 197, '\p{^NFD_Quick_Check=yes}', "");
Expect(1, 197, '\P{NFD_Quick_Check=yes}', "");
Expect(0, 197, '\P{^NFD_Quick_Check=yes}', "");
Expect(1, 191, '\p{NFD_Quick_Check:		Yes}', "");
Expect(0, 191, '\p{^NFD_Quick_Check:		Yes}', "");
Expect(0, 191, '\P{NFD_Quick_Check:		Yes}', "");
Expect(1, 191, '\P{^NFD_Quick_Check:		Yes}', "");
Expect(0, 197, '\p{NFD_Quick_Check:		Yes}', "");
Expect(1, 197, '\p{^NFD_Quick_Check:		Yes}', "");
Expect(1, 197, '\P{NFD_Quick_Check:		Yes}', "");
Expect(0, 197, '\P{^NFD_Quick_Check:		Yes}', "");
Error('\p{NFD_QC=/a/_ Y}');
Error('\P{NFD_QC=/a/_ Y}');
Expect(1, 191, '\p{NFD_QC=y}', "");
Expect(0, 191, '\p{^NFD_QC=y}', "");
Expect(0, 191, '\P{NFD_QC=y}', "");
Expect(1, 191, '\P{^NFD_QC=y}', "");
Expect(0, 197, '\p{NFD_QC=y}', "");
Expect(1, 197, '\p{^NFD_QC=y}', "");
Expect(1, 197, '\P{NFD_QC=y}', "");
Expect(0, 197, '\P{^NFD_QC=y}', "");
Expect(1, 191, '\p{NFD_QC=__Y}', "");
Expect(0, 191, '\p{^NFD_QC=__Y}', "");
Expect(0, 191, '\P{NFD_QC=__Y}', "");
Expect(1, 191, '\P{^NFD_QC=__Y}', "");
Expect(0, 197, '\p{NFD_QC=__Y}', "");
Expect(1, 197, '\p{^NFD_QC=__Y}', "");
Expect(1, 197, '\P{NFD_QC=__Y}', "");
Expect(0, 197, '\P{^NFD_QC=__Y}', "");
Error('\p{Is_NFD_Quick_Check=:=	-yes}');
Error('\P{Is_NFD_Quick_Check=:=	-yes}');
Expect(1, 191, '\p{Is_NFD_Quick_Check=yes}', "");
Expect(0, 191, '\p{^Is_NFD_Quick_Check=yes}', "");
Expect(0, 191, '\P{Is_NFD_Quick_Check=yes}', "");
Expect(1, 191, '\P{^Is_NFD_Quick_Check=yes}', "");
Expect(0, 197, '\p{Is_NFD_Quick_Check=yes}', "");
Expect(1, 197, '\p{^Is_NFD_Quick_Check=yes}', "");
Expect(1, 197, '\P{Is_NFD_Quick_Check=yes}', "");
Expect(0, 197, '\P{^Is_NFD_Quick_Check=yes}', "");
Expect(1, 191, '\p{Is_NFD_Quick_Check=-Yes}', "");
Expect(0, 191, '\p{^Is_NFD_Quick_Check=-Yes}', "");
Expect(0, 191, '\P{Is_NFD_Quick_Check=-Yes}', "");
Expect(1, 191, '\P{^Is_NFD_Quick_Check=-Yes}', "");
Expect(0, 197, '\p{Is_NFD_Quick_Check=-Yes}', "");
Expect(1, 197, '\p{^Is_NFD_Quick_Check=-Yes}', "");
Expect(1, 197, '\P{Is_NFD_Quick_Check=-Yes}', "");
Expect(0, 197, '\P{^Is_NFD_Quick_Check=-Yes}', "");
Error('\p{Is_NFD_QC: - Y:=}');
Error('\P{Is_NFD_QC: - Y:=}');
Expect(1, 191, '\p{Is_NFD_QC=y}', "");
Expect(0, 191, '\p{^Is_NFD_QC=y}', "");
Expect(0, 191, '\P{Is_NFD_QC=y}', "");
Expect(1, 191, '\P{^Is_NFD_QC=y}', "");
Expect(0, 197, '\p{Is_NFD_QC=y}', "");
Expect(1, 197, '\p{^Is_NFD_QC=y}', "");
Expect(1, 197, '\P{Is_NFD_QC=y}', "");
Expect(0, 197, '\P{^Is_NFD_QC=y}', "");
Expect(1, 191, '\p{Is_NFD_QC=	Y}', "");
Expect(0, 191, '\p{^Is_NFD_QC=	Y}', "");
Expect(0, 191, '\P{Is_NFD_QC=	Y}', "");
Expect(1, 191, '\P{^Is_NFD_QC=	Y}', "");
Expect(0, 197, '\p{Is_NFD_QC=	Y}', "");
Expect(1, 197, '\p{^Is_NFD_QC=	Y}', "");
Expect(1, 197, '\P{Is_NFD_QC=	Y}', "");
Expect(0, 197, '\P{^Is_NFD_QC=	Y}', "");
Error('\p{NFD_Quick_Check=:=no}');
Error('\P{NFD_Quick_Check=:=no}');
Expect(1, 197, '\p{NFD_Quick_Check=no}', "");
Expect(0, 197, '\p{^NFD_Quick_Check=no}', "");
Expect(0, 197, '\P{NFD_Quick_Check=no}', "");
Expect(1, 197, '\P{^NFD_Quick_Check=no}', "");
Expect(0, 191, '\p{NFD_Quick_Check=no}', "");
Expect(1, 191, '\p{^NFD_Quick_Check=no}', "");
Expect(1, 191, '\P{NFD_Quick_Check=no}', "");
Expect(0, 191, '\P{^NFD_Quick_Check=no}', "");
Expect(1, 197, '\p{NFD_Quick_Check=	_No}', "");
Expect(0, 197, '\p{^NFD_Quick_Check=	_No}', "");
Expect(0, 197, '\P{NFD_Quick_Check=	_No}', "");
Expect(1, 197, '\P{^NFD_Quick_Check=	_No}', "");
Expect(0, 191, '\p{NFD_Quick_Check=	_No}', "");
Expect(1, 191, '\p{^NFD_Quick_Check=	_No}', "");
Expect(1, 191, '\P{NFD_Quick_Check=	_No}', "");
Expect(0, 191, '\P{^NFD_Quick_Check=	_No}', "");
Error('\p{NFD_QC= N/a/}');
Error('\P{NFD_QC= N/a/}');
Expect(1, 197, '\p{NFD_QC=n}', "");
Expect(0, 197, '\p{^NFD_QC=n}', "");
Expect(0, 197, '\P{NFD_QC=n}', "");
Expect(1, 197, '\P{^NFD_QC=n}', "");
Expect(0, 191, '\p{NFD_QC=n}', "");
Expect(1, 191, '\p{^NFD_QC=n}', "");
Expect(1, 191, '\P{NFD_QC=n}', "");
Expect(0, 191, '\P{^NFD_QC=n}', "");
Expect(1, 197, '\p{NFD_QC=_N}', "");
Expect(0, 197, '\p{^NFD_QC=_N}', "");
Expect(0, 197, '\P{NFD_QC=_N}', "");
Expect(1, 197, '\P{^NFD_QC=_N}', "");
Expect(0, 191, '\p{NFD_QC=_N}', "");
Expect(1, 191, '\p{^NFD_QC=_N}', "");
Expect(1, 191, '\P{NFD_QC=_N}', "");
Expect(0, 191, '\P{^NFD_QC=_N}', "");
Error('\p{Is_NFD_Quick_Check=/a/_No}');
Error('\P{Is_NFD_Quick_Check=/a/_No}');
Expect(1, 197, '\p{Is_NFD_Quick_Check=no}', "");
Expect(0, 197, '\p{^Is_NFD_Quick_Check=no}', "");
Expect(0, 197, '\P{Is_NFD_Quick_Check=no}', "");
Expect(1, 197, '\P{^Is_NFD_Quick_Check=no}', "");
Expect(0, 191, '\p{Is_NFD_Quick_Check=no}', "");
Expect(1, 191, '\p{^Is_NFD_Quick_Check=no}', "");
Expect(1, 191, '\P{Is_NFD_Quick_Check=no}', "");
Expect(0, 191, '\P{^Is_NFD_Quick_Check=no}', "");
Expect(1, 197, '\p{Is_NFD_Quick_Check=_ No}', "");
Expect(0, 197, '\p{^Is_NFD_Quick_Check=_ No}', "");
Expect(0, 197, '\P{Is_NFD_Quick_Check=_ No}', "");
Expect(1, 197, '\P{^Is_NFD_Quick_Check=_ No}', "");
Expect(0, 191, '\p{Is_NFD_Quick_Check=_ No}', "");
Expect(1, 191, '\p{^Is_NFD_Quick_Check=_ No}', "");
Expect(1, 191, '\P{Is_NFD_Quick_Check=_ No}', "");
Expect(0, 191, '\P{^Is_NFD_Quick_Check=_ No}', "");
Error('\p{Is_NFD_QC:		/a/N}');
Error('\P{Is_NFD_QC:		/a/N}');
Expect(1, 197, '\p{Is_NFD_QC=n}', "");
Expect(0, 197, '\p{^Is_NFD_QC=n}', "");
Expect(0, 197, '\P{Is_NFD_QC=n}', "");
Expect(1, 197, '\P{^Is_NFD_QC=n}', "");
Expect(0, 191, '\p{Is_NFD_QC=n}', "");
Expect(1, 191, '\p{^Is_NFD_QC=n}', "");
Expect(1, 191, '\P{Is_NFD_QC=n}', "");
Expect(0, 191, '\P{^Is_NFD_QC=n}', "");
Expect(1, 197, '\p{Is_NFD_QC=	-N}', "");
Expect(0, 197, '\p{^Is_NFD_QC=	-N}', "");
Expect(0, 197, '\P{Is_NFD_QC=	-N}', "");
Expect(1, 197, '\P{^Is_NFD_QC=	-N}', "");
Expect(0, 191, '\p{Is_NFD_QC=	-N}', "");
Expect(1, 191, '\p{^Is_NFD_QC=	-N}', "");
Expect(1, 191, '\P{Is_NFD_QC=	-N}', "");
Expect(0, 191, '\P{^Is_NFD_QC=	-N}', "");
Error('\p{Line_Break=_:=Space}');
Error('\P{Line_Break=_:=Space}');
Expect(1, 32, '\p{Line_Break=space}', "");
Expect(0, 32, '\p{^Line_Break=space}', "");
Expect(0, 32, '\P{Line_Break=space}', "");
Expect(1, 32, '\P{^Line_Break=space}', "");
Expect(0, 31, '\p{Line_Break=space}', "");
Expect(1, 31, '\p{^Line_Break=space}', "");
Expect(1, 31, '\P{Line_Break=space}', "");
Expect(0, 31, '\P{^Line_Break=space}', "");
Expect(1, 32, '\p{Line_Break=-Space}', "");
Expect(0, 32, '\p{^Line_Break=-Space}', "");
Expect(0, 32, '\P{Line_Break=-Space}', "");
Expect(1, 32, '\P{^Line_Break=-Space}', "");
Expect(0, 31, '\p{Line_Break=-Space}', "");
Expect(1, 31, '\p{^Line_Break=-Space}', "");
Expect(1, 31, '\P{Line_Break=-Space}', "");
Expect(0, 31, '\P{^Line_Break=-Space}', "");
Error('\p{Lb=	-SP/a/}');
Error('\P{Lb=	-SP/a/}');
Expect(1, 32, '\p{Lb=sp}', "");
Expect(0, 32, '\p{^Lb=sp}', "");
Expect(0, 32, '\P{Lb=sp}', "");
Expect(1, 32, '\P{^Lb=sp}', "");
Expect(0, 31, '\p{Lb=sp}', "");
Expect(1, 31, '\p{^Lb=sp}', "");
Expect(1, 31, '\P{Lb=sp}', "");
Expect(0, 31, '\P{^Lb=sp}', "");
Expect(1, 32, '\p{Lb= _SP}', "");
Expect(0, 32, '\p{^Lb= _SP}', "");
Expect(0, 32, '\P{Lb= _SP}', "");
Expect(1, 32, '\P{^Lb= _SP}', "");
Expect(0, 31, '\p{Lb= _SP}', "");
Expect(1, 31, '\p{^Lb= _SP}', "");
Expect(1, 31, '\P{Lb= _SP}', "");
Expect(0, 31, '\P{^Lb= _SP}', "");
Error('\p{Is_Line_Break:-Space:=}');
Error('\P{Is_Line_Break:-Space:=}');
Expect(1, 32, '\p{Is_Line_Break: space}', "");
Expect(0, 32, '\p{^Is_Line_Break: space}', "");
Expect(0, 32, '\P{Is_Line_Break: space}', "");
Expect(1, 32, '\P{^Is_Line_Break: space}', "");
Expect(0, 31, '\p{Is_Line_Break: space}', "");
Expect(1, 31, '\p{^Is_Line_Break: space}', "");
Expect(1, 31, '\P{Is_Line_Break: space}', "");
Expect(0, 31, '\P{^Is_Line_Break: space}', "");
Expect(1, 32, '\p{Is_Line_Break=	SPACE}', "");
Expect(0, 32, '\p{^Is_Line_Break=	SPACE}', "");
Expect(0, 32, '\P{Is_Line_Break=	SPACE}', "");
Expect(1, 32, '\P{^Is_Line_Break=	SPACE}', "");
Expect(0, 31, '\p{Is_Line_Break=	SPACE}', "");
Expect(1, 31, '\p{^Is_Line_Break=	SPACE}', "");
Expect(1, 31, '\P{Is_Line_Break=	SPACE}', "");
Expect(0, 31, '\P{^Is_Line_Break=	SPACE}', "");
Error('\p{Is_Lb=_-SP:=}');
Error('\P{Is_Lb=_-SP:=}');
Expect(1, 32, '\p{Is_Lb=sp}', "");
Expect(0, 32, '\p{^Is_Lb=sp}', "");
Expect(0, 32, '\P{Is_Lb=sp}', "");
Expect(1, 32, '\P{^Is_Lb=sp}', "");
Expect(0, 31, '\p{Is_Lb=sp}', "");
Expect(1, 31, '\p{^Is_Lb=sp}', "");
Expect(1, 31, '\P{Is_Lb=sp}', "");
Expect(0, 31, '\P{^Is_Lb=sp}', "");
Expect(1, 32, '\p{Is_Lb=-SP}', "");
Expect(0, 32, '\p{^Is_Lb=-SP}', "");
Expect(0, 32, '\P{Is_Lb=-SP}', "");
Expect(1, 32, '\P{^Is_Lb=-SP}', "");
Expect(0, 31, '\p{Is_Lb=-SP}', "");
Expect(1, 31, '\p{^Is_Lb=-SP}', "");
Expect(1, 31, '\P{Is_Lb=-SP}', "");
Expect(0, 31, '\P{^Is_Lb=-SP}', "");
Error('\p{Line_Break= _GLUE/a/}');
Error('\P{Line_Break= _GLUE/a/}');
Expect(1, 160, '\p{Line_Break=glue}', "");
Expect(0, 160, '\p{^Line_Break=glue}', "");
Expect(0, 160, '\P{Line_Break=glue}', "");
Expect(1, 160, '\P{^Line_Break=glue}', "");
Expect(0, 159, '\p{Line_Break=glue}', "");
Expect(1, 159, '\p{^Line_Break=glue}', "");
Expect(1, 159, '\P{Line_Break=glue}', "");
Expect(0, 159, '\P{^Line_Break=glue}', "");
Expect(1, 160, '\p{Line_Break=Glue}', "");
Expect(0, 160, '\p{^Line_Break=Glue}', "");
Expect(0, 160, '\P{Line_Break=Glue}', "");
Expect(1, 160, '\P{^Line_Break=Glue}', "");
Expect(0, 159, '\p{Line_Break=Glue}', "");
Expect(1, 159, '\p{^Line_Break=Glue}', "");
Expect(1, 159, '\P{Line_Break=Glue}', "");
Expect(0, 159, '\P{^Line_Break=Glue}', "");
Error('\p{Lb:   _GL:=}');
Error('\P{Lb:   _GL:=}');
Expect(1, 160, '\p{Lb=gl}', "");
Expect(0, 160, '\p{^Lb=gl}', "");
Expect(0, 160, '\P{Lb=gl}', "");
Expect(1, 160, '\P{^Lb=gl}', "");
Expect(0, 159, '\p{Lb=gl}', "");
Expect(1, 159, '\p{^Lb=gl}', "");
Expect(1, 159, '\P{Lb=gl}', "");
Expect(0, 159, '\P{^Lb=gl}', "");
Expect(1, 160, '\p{Lb=_GL}', "");
Expect(0, 160, '\p{^Lb=_GL}', "");
Expect(0, 160, '\P{Lb=_GL}', "");
Expect(1, 160, '\P{^Lb=_GL}', "");
Expect(0, 159, '\p{Lb=_GL}', "");
Expect(1, 159, '\p{^Lb=_GL}', "");
Expect(1, 159, '\P{Lb=_GL}', "");
Expect(0, 159, '\P{^Lb=_GL}', "");
Error('\p{Is_Line_Break=-:=Glue}');
Error('\P{Is_Line_Break=-:=Glue}');
Expect(1, 160, '\p{Is_Line_Break=glue}', "");
Expect(0, 160, '\p{^Is_Line_Break=glue}', "");
Expect(0, 160, '\P{Is_Line_Break=glue}', "");
Expect(1, 160, '\P{^Is_Line_Break=glue}', "");
Expect(0, 159, '\p{Is_Line_Break=glue}', "");
Expect(1, 159, '\p{^Is_Line_Break=glue}', "");
Expect(1, 159, '\P{Is_Line_Break=glue}', "");
Expect(0, 159, '\P{^Is_Line_Break=glue}', "");
Expect(1, 160, '\p{Is_Line_Break=	Glue}', "");
Expect(0, 160, '\p{^Is_Line_Break=	Glue}', "");
Expect(0, 160, '\P{Is_Line_Break=	Glue}', "");
Expect(1, 160, '\P{^Is_Line_Break=	Glue}', "");
Expect(0, 159, '\p{Is_Line_Break=	Glue}', "");
Expect(1, 159, '\p{^Is_Line_Break=	Glue}', "");
Expect(1, 159, '\P{Is_Line_Break=	Glue}', "");
Expect(0, 159, '\P{^Is_Line_Break=	Glue}', "");
Error('\p{Is_Lb=_-GL:=}');
Error('\P{Is_Lb=_-GL:=}');
Expect(1, 160, '\p{Is_Lb:	gl}', "");
Expect(0, 160, '\p{^Is_Lb:	gl}', "");
Expect(0, 160, '\P{Is_Lb:	gl}', "");
Expect(1, 160, '\P{^Is_Lb:	gl}', "");
Expect(0, 159, '\p{Is_Lb:	gl}', "");
Expect(1, 159, '\p{^Is_Lb:	gl}', "");
Expect(1, 159, '\P{Is_Lb:	gl}', "");
Expect(0, 159, '\P{^Is_Lb:	gl}', "");
Expect(1, 160, '\p{Is_Lb=-_gl}', "");
Expect(0, 160, '\p{^Is_Lb=-_gl}', "");
Expect(0, 160, '\P{Is_Lb=-_gl}', "");
Expect(1, 160, '\P{^Is_Lb=-_gl}', "");
Expect(0, 159, '\p{Is_Lb=-_gl}', "");
Expect(1, 159, '\p{^Is_Lb=-_gl}', "");
Expect(1, 159, '\P{Is_Lb=-_gl}', "");
Expect(0, 159, '\P{^Is_Lb=-_gl}', "");
Error('\p{Line_Break=:= Surrogate}');
Error('\P{Line_Break=:= Surrogate}');
Expect(0, 55295, '\p{Line_Break=surrogate}', 'deprecated');
Expect(1, 55295, '\p{^Line_Break=surrogate}', 'deprecated');
Expect(1, 55295, '\P{Line_Break=surrogate}', 'deprecated');
Expect(0, 55295, '\P{^Line_Break=surrogate}', 'deprecated');
Expect(0, 55295, '\p{Line_Break=	SURROGATE}', 'deprecated');
Expect(1, 55295, '\p{^Line_Break=	SURROGATE}', 'deprecated');
Expect(1, 55295, '\P{Line_Break=	SURROGATE}', 'deprecated');
Expect(0, 55295, '\P{^Line_Break=	SURROGATE}', 'deprecated');
Error('\p{Lb=	sg:=}');
Error('\P{Lb=	sg:=}');
Expect(0, 55295, '\p{Lb=sg}', 'deprecated');
Expect(1, 55295, '\p{^Lb=sg}', 'deprecated');
Expect(1, 55295, '\P{Lb=sg}', 'deprecated');
Expect(0, 55295, '\P{^Lb=sg}', 'deprecated');
Expect(0, 55295, '\p{Lb=-_sg}', 'deprecated');
Expect(1, 55295, '\p{^Lb=-_sg}', 'deprecated');
Expect(1, 55295, '\P{Lb=-_sg}', 'deprecated');
Expect(0, 55295, '\P{^Lb=-_sg}', 'deprecated');
Error('\p{Is_Line_Break=-:=Surrogate}');
Error('\P{Is_Line_Break=-:=Surrogate}');
Expect(0, 55295, '\p{Is_Line_Break=surrogate}', 'deprecated');
Expect(1, 55295, '\p{^Is_Line_Break=surrogate}', 'deprecated');
Expect(1, 55295, '\P{Is_Line_Break=surrogate}', 'deprecated');
Expect(0, 55295, '\P{^Is_Line_Break=surrogate}', 'deprecated');
Expect(0, 55295, '\p{Is_Line_Break= SURROGATE}', 'deprecated');
Expect(1, 55295, '\p{^Is_Line_Break= SURROGATE}', 'deprecated');
Expect(1, 55295, '\P{Is_Line_Break= SURROGATE}', 'deprecated');
Expect(0, 55295, '\P{^Is_Line_Break= SURROGATE}', 'deprecated');
Error('\p{Is_Lb=/a/_SG}');
Error('\P{Is_Lb=/a/_SG}');
Expect(0, 55295, '\p{Is_Lb=sg}', 'deprecated');
Expect(1, 55295, '\p{^Is_Lb=sg}', 'deprecated');
Expect(1, 55295, '\P{Is_Lb=sg}', 'deprecated');
Expect(0, 55295, '\P{^Is_Lb=sg}', 'deprecated');
Expect(0, 55295, '\p{Is_Lb=_-sg}', 'deprecated');
Expect(1, 55295, '\p{^Is_Lb=_-sg}', 'deprecated');
Expect(1, 55295, '\P{Is_Lb=_-sg}', 'deprecated');
Expect(0, 55295, '\P{^Is_Lb=_-sg}', 'deprecated');
Error('\p{Line_Break=-/a/UNKNOWN}');
Error('\P{Line_Break=-/a/UNKNOWN}');
Expect(1, 889, '\p{Line_Break=unknown}', "");
Expect(0, 889, '\p{^Line_Break=unknown}', "");
Expect(0, 889, '\P{Line_Break=unknown}', "");
Expect(1, 889, '\P{^Line_Break=unknown}', "");
Expect(0, 887, '\p{Line_Break=unknown}', "");
Expect(1, 887, '\p{^Line_Break=unknown}', "");
Expect(1, 887, '\P{Line_Break=unknown}', "");
Expect(0, 887, '\P{^Line_Break=unknown}', "");
Expect(1, 889, '\p{Line_Break=--unknown}', "");
Expect(0, 889, '\p{^Line_Break=--unknown}', "");
Expect(0, 889, '\P{Line_Break=--unknown}', "");
Expect(1, 889, '\P{^Line_Break=--unknown}', "");
Expect(0, 887, '\p{Line_Break=--unknown}', "");
Expect(1, 887, '\p{^Line_Break=--unknown}', "");
Expect(1, 887, '\P{Line_Break=--unknown}', "");
Expect(0, 887, '\P{^Line_Break=--unknown}', "");
Error('\p{Lb:	/a/_ XX}');
Error('\P{Lb:	/a/_ XX}');
Expect(1, 889, '\p{Lb=xx}', "");
Expect(0, 889, '\p{^Lb=xx}', "");
Expect(0, 889, '\P{Lb=xx}', "");
Expect(1, 889, '\P{^Lb=xx}', "");
Expect(0, 887, '\p{Lb=xx}', "");
Expect(1, 887, '\p{^Lb=xx}', "");
Expect(1, 887, '\P{Lb=xx}', "");
Expect(0, 887, '\P{^Lb=xx}', "");
Expect(1, 889, '\p{Lb= XX}', "");
Expect(0, 889, '\p{^Lb= XX}', "");
Expect(0, 889, '\P{Lb= XX}', "");
Expect(1, 889, '\P{^Lb= XX}', "");
Expect(0, 887, '\p{Lb= XX}', "");
Expect(1, 887, '\p{^Lb= XX}', "");
Expect(1, 887, '\P{Lb= XX}', "");
Expect(0, 887, '\P{^Lb= XX}', "");
Error('\p{Is_Line_Break=:=  Unknown}');
Error('\P{Is_Line_Break=:=  Unknown}');
Expect(1, 889, '\p{Is_Line_Break=unknown}', "");
Expect(0, 889, '\p{^Is_Line_Break=unknown}', "");
Expect(0, 889, '\P{Is_Line_Break=unknown}', "");
Expect(1, 889, '\P{^Is_Line_Break=unknown}', "");
Expect(0, 887, '\p{Is_Line_Break=unknown}', "");
Expect(1, 887, '\p{^Is_Line_Break=unknown}', "");
Expect(1, 887, '\P{Is_Line_Break=unknown}', "");
Expect(0, 887, '\P{^Is_Line_Break=unknown}', "");
Expect(1, 889, '\p{Is_Line_Break=		UNKNOWN}', "");
Expect(0, 889, '\p{^Is_Line_Break=		UNKNOWN}', "");
Expect(0, 889, '\P{Is_Line_Break=		UNKNOWN}', "");
Expect(1, 889, '\P{^Is_Line_Break=		UNKNOWN}', "");
Expect(0, 887, '\p{Is_Line_Break=		UNKNOWN}', "");
Expect(1, 887, '\p{^Is_Line_Break=		UNKNOWN}', "");
Expect(1, 887, '\P{Is_Line_Break=		UNKNOWN}', "");
Expect(0, 887, '\P{^Is_Line_Break=		UNKNOWN}', "");
Error('\p{Is_Lb=:=XX}');
Error('\P{Is_Lb=:=XX}');
Expect(1, 889, '\p{Is_Lb=xx}', "");
Expect(0, 889, '\p{^Is_Lb=xx}', "");
Expect(0, 889, '\P{Is_Lb=xx}', "");
Expect(1, 889, '\P{^Is_Lb=xx}', "");
Expect(0, 887, '\p{Is_Lb=xx}', "");
Expect(1, 887, '\p{^Is_Lb=xx}', "");
Expect(1, 887, '\P{Is_Lb=xx}', "");
Expect(0, 887, '\P{^Is_Lb=xx}', "");
Expect(1, 889, '\p{Is_Lb=--XX}', "");
Expect(0, 889, '\p{^Is_Lb=--XX}', "");
Expect(0, 889, '\P{Is_Lb=--XX}', "");
Expect(1, 889, '\P{^Is_Lb=--XX}', "");
Expect(0, 887, '\p{Is_Lb=--XX}', "");
Expect(1, 887, '\p{^Is_Lb=--XX}', "");
Expect(1, 887, '\P{Is_Lb=--XX}', "");
Expect(0, 887, '\P{^Is_Lb=--XX}', "");
Error('\p{Line_Break=_NUMERIC/a/}');
Error('\P{Line_Break=_NUMERIC/a/}');
Expect(1, 57, '\p{Line_Break=numeric}', "");
Expect(0, 57, '\p{^Line_Break=numeric}', "");
Expect(0, 57, '\P{Line_Break=numeric}', "");
Expect(1, 57, '\P{^Line_Break=numeric}', "");
Expect(0, 47, '\p{Line_Break=numeric}', "");
Expect(1, 47, '\p{^Line_Break=numeric}', "");
Expect(1, 47, '\P{Line_Break=numeric}', "");
Expect(0, 47, '\P{^Line_Break=numeric}', "");
Expect(1, 57, '\p{Line_Break=__Numeric}', "");
Expect(0, 57, '\p{^Line_Break=__Numeric}', "");
Expect(0, 57, '\P{Line_Break=__Numeric}', "");
Expect(1, 57, '\P{^Line_Break=__Numeric}', "");
Expect(0, 47, '\p{Line_Break=__Numeric}', "");
Expect(1, 47, '\p{^Line_Break=__Numeric}', "");
Expect(1, 47, '\P{Line_Break=__Numeric}', "");
Expect(0, 47, '\P{^Line_Break=__Numeric}', "");
Error('\p{Lb=:=nu}');
Error('\P{Lb=:=nu}');
Expect(1, 57, '\p{Lb=nu}', "");
Expect(0, 57, '\p{^Lb=nu}', "");
Expect(0, 57, '\P{Lb=nu}', "");
Expect(1, 57, '\P{^Lb=nu}', "");
Expect(0, 47, '\p{Lb=nu}', "");
Expect(1, 47, '\p{^Lb=nu}', "");
Expect(1, 47, '\P{Lb=nu}', "");
Expect(0, 47, '\P{^Lb=nu}', "");
Expect(1, 57, '\p{Lb=	NU}', "");
Expect(0, 57, '\p{^Lb=	NU}', "");
Expect(0, 57, '\P{Lb=	NU}', "");
Expect(1, 57, '\P{^Lb=	NU}', "");
Expect(0, 47, '\p{Lb=	NU}', "");
Expect(1, 47, '\p{^Lb=	NU}', "");
Expect(1, 47, '\P{Lb=	NU}', "");
Expect(0, 47, '\P{^Lb=	NU}', "");
Error('\p{Is_Line_Break: 	:=Numeric}');
Error('\P{Is_Line_Break: 	:=Numeric}');
Expect(1, 57, '\p{Is_Line_Break=numeric}', "");
Expect(0, 57, '\p{^Is_Line_Break=numeric}', "");
Expect(0, 57, '\P{Is_Line_Break=numeric}', "");
Expect(1, 57, '\P{^Is_Line_Break=numeric}', "");
Expect(0, 47, '\p{Is_Line_Break=numeric}', "");
Expect(1, 47, '\p{^Is_Line_Break=numeric}', "");
Expect(1, 47, '\P{Is_Line_Break=numeric}', "");
Expect(0, 47, '\P{^Is_Line_Break=numeric}', "");
Expect(1, 57, '\p{Is_Line_Break=_	NUMERIC}', "");
Expect(0, 57, '\p{^Is_Line_Break=_	NUMERIC}', "");
Expect(0, 57, '\P{Is_Line_Break=_	NUMERIC}', "");
Expect(1, 57, '\P{^Is_Line_Break=_	NUMERIC}', "");
Expect(0, 47, '\p{Is_Line_Break=_	NUMERIC}', "");
Expect(1, 47, '\p{^Is_Line_Break=_	NUMERIC}', "");
Expect(1, 47, '\P{Is_Line_Break=_	NUMERIC}', "");
Expect(0, 47, '\P{^Is_Line_Break=_	NUMERIC}', "");
Error('\p{Is_Lb=:=-NU}');
Error('\P{Is_Lb=:=-NU}');
Expect(1, 57, '\p{Is_Lb: nu}', "");
Expect(0, 57, '\p{^Is_Lb: nu}', "");
Expect(0, 57, '\P{Is_Lb: nu}', "");
Expect(1, 57, '\P{^Is_Lb: nu}', "");
Expect(0, 47, '\p{Is_Lb: nu}', "");
Expect(1, 47, '\p{^Is_Lb: nu}', "");
Expect(1, 47, '\P{Is_Lb: nu}', "");
Expect(0, 47, '\P{^Is_Lb: nu}', "");
Expect(1, 57, '\p{Is_Lb=_NU}', "");
Expect(0, 57, '\p{^Is_Lb=_NU}', "");
Expect(0, 57, '\P{Is_Lb=_NU}', "");
Expect(1, 57, '\P{^Is_Lb=_NU}', "");
Expect(0, 47, '\p{Is_Lb=_NU}', "");
Expect(1, 47, '\p{^Is_Lb=_NU}', "");
Expect(1, 47, '\P{Is_Lb=_NU}', "");
Expect(0, 47, '\P{^Is_Lb=_NU}', "");
Error('\p{Line_Break=  break:=Before}');
Error('\P{Line_Break=  break:=Before}');
Expect(1, 180, '\p{Line_Break=breakbefore}', "");
Expect(0, 180, '\p{^Line_Break=breakbefore}', "");
Expect(0, 180, '\P{Line_Break=breakbefore}', "");
Expect(1, 180, '\P{^Line_Break=breakbefore}', "");
Expect(0, 179, '\p{Line_Break=breakbefore}', "");
Expect(1, 179, '\p{^Line_Break=breakbefore}', "");
Expect(1, 179, '\P{Line_Break=breakbefore}', "");
Expect(0, 179, '\P{^Line_Break=breakbefore}', "");
Expect(1, 180, '\p{Line_Break=	Break Before}', "");
Expect(0, 180, '\p{^Line_Break=	Break Before}', "");
Expect(0, 180, '\P{Line_Break=	Break Before}', "");
Expect(1, 180, '\P{^Line_Break=	Break Before}', "");
Expect(0, 179, '\p{Line_Break=	Break Before}', "");
Expect(1, 179, '\p{^Line_Break=	Break Before}', "");
Expect(1, 179, '\P{Line_Break=	Break Before}', "");
Expect(0, 179, '\P{^Line_Break=	Break Before}', "");
Error('\p{Lb=_:=BB}');
Error('\P{Lb=_:=BB}');
Expect(1, 180, '\p{Lb=bb}', "");
Expect(0, 180, '\p{^Lb=bb}', "");
Expect(0, 180, '\P{Lb=bb}', "");
Expect(1, 180, '\P{^Lb=bb}', "");
Expect(0, 179, '\p{Lb=bb}', "");
Expect(1, 179, '\p{^Lb=bb}', "");
Expect(1, 179, '\P{Lb=bb}', "");
Expect(0, 179, '\P{^Lb=bb}', "");
Expect(1, 180, '\p{Lb= -bb}', "");
Expect(0, 180, '\p{^Lb= -bb}', "");
Expect(0, 180, '\P{Lb= -bb}', "");
Expect(1, 180, '\P{^Lb= -bb}', "");
Expect(0, 179, '\p{Lb= -bb}', "");
Expect(1, 179, '\p{^Lb= -bb}', "");
Expect(1, 179, '\P{Lb= -bb}', "");
Expect(0, 179, '\P{^Lb= -bb}', "");
Error('\p{Is_Line_Break=/a/-break-Before}');
Error('\P{Is_Line_Break=/a/-break-Before}');
Expect(1, 180, '\p{Is_Line_Break=breakbefore}', "");
Expect(0, 180, '\p{^Is_Line_Break=breakbefore}', "");
Expect(0, 180, '\P{Is_Line_Break=breakbefore}', "");
Expect(1, 180, '\P{^Is_Line_Break=breakbefore}', "");
Expect(0, 179, '\p{Is_Line_Break=breakbefore}', "");
Expect(1, 179, '\p{^Is_Line_Break=breakbefore}', "");
Expect(1, 179, '\P{Is_Line_Break=breakbefore}', "");
Expect(0, 179, '\P{^Is_Line_Break=breakbefore}', "");
Expect(1, 180, '\p{Is_Line_Break=		BREAK	Before}', "");
Expect(0, 180, '\p{^Is_Line_Break=		BREAK	Before}', "");
Expect(0, 180, '\P{Is_Line_Break=		BREAK	Before}', "");
Expect(1, 180, '\P{^Is_Line_Break=		BREAK	Before}', "");
Expect(0, 179, '\p{Is_Line_Break=		BREAK	Before}', "");
Expect(1, 179, '\p{^Is_Line_Break=		BREAK	Before}', "");
Expect(1, 179, '\P{Is_Line_Break=		BREAK	Before}', "");
Expect(0, 179, '\P{^Is_Line_Break=		BREAK	Before}', "");
Error('\p{Is_Lb=:= BB}');
Error('\P{Is_Lb=:= BB}');
Expect(1, 180, '\p{Is_Lb=bb}', "");
Expect(0, 180, '\p{^Is_Lb=bb}', "");
Expect(0, 180, '\P{Is_Lb=bb}', "");
Expect(1, 180, '\P{^Is_Lb=bb}', "");
Expect(0, 179, '\p{Is_Lb=bb}', "");
Expect(1, 179, '\p{^Is_Lb=bb}', "");
Expect(1, 179, '\P{Is_Lb=bb}', "");
Expect(0, 179, '\P{^Is_Lb=bb}', "");
Expect(1, 180, '\p{Is_Lb=_BB}', "");
Expect(0, 180, '\p{^Is_Lb=_BB}', "");
Expect(0, 180, '\P{Is_Lb=_BB}', "");
Expect(1, 180, '\P{^Is_Lb=_BB}', "");
Expect(0, 179, '\p{Is_Lb=_BB}', "");
Expect(1, 179, '\p{^Is_Lb=_BB}', "");
Expect(1, 179, '\P{Is_Lb=_BB}', "");
Expect(0, 179, '\P{^Is_Lb=_BB}', "");
Error('\p{Line_Break=_ZWSpace/a/}');
Error('\P{Line_Break=_ZWSpace/a/}');
Expect(1, 8203, '\p{Line_Break=zwspace}', "");
Expect(0, 8203, '\p{^Line_Break=zwspace}', "");
Expect(0, 8203, '\P{Line_Break=zwspace}', "");
Expect(1, 8203, '\P{^Line_Break=zwspace}', "");
Expect(0, 8202, '\p{Line_Break=zwspace}', "");
Expect(1, 8202, '\p{^Line_Break=zwspace}', "");
Expect(1, 8202, '\P{Line_Break=zwspace}', "");
Expect(0, 8202, '\P{^Line_Break=zwspace}', "");
Expect(1, 8203, '\p{Line_Break=_zwspace}', "");
Expect(0, 8203, '\p{^Line_Break=_zwspace}', "");
Expect(0, 8203, '\P{Line_Break=_zwspace}', "");
Expect(1, 8203, '\P{^Line_Break=_zwspace}', "");
Expect(0, 8202, '\p{Line_Break=_zwspace}', "");
Expect(1, 8202, '\p{^Line_Break=_zwspace}', "");
Expect(1, 8202, '\P{Line_Break=_zwspace}', "");
Expect(0, 8202, '\P{^Line_Break=_zwspace}', "");
Error('\p{Lb=:=zw}');
Error('\P{Lb=:=zw}');
Expect(1, 8203, '\p{Lb=zw}', "");
Expect(0, 8203, '\p{^Lb=zw}', "");
Expect(0, 8203, '\P{Lb=zw}', "");
Expect(1, 8203, '\P{^Lb=zw}', "");
Expect(0, 8202, '\p{Lb=zw}', "");
Expect(1, 8202, '\p{^Lb=zw}', "");
Expect(1, 8202, '\P{Lb=zw}', "");
Expect(0, 8202, '\P{^Lb=zw}', "");
Expect(1, 8203, '\p{Lb=--zw}', "");
Expect(0, 8203, '\p{^Lb=--zw}', "");
Expect(0, 8203, '\P{Lb=--zw}', "");
Expect(1, 8203, '\P{^Lb=--zw}', "");
Expect(0, 8202, '\p{Lb=--zw}', "");
Expect(1, 8202, '\p{^Lb=--zw}', "");
Expect(1, 8202, '\P{Lb=--zw}', "");
Expect(0, 8202, '\P{^Lb=--zw}', "");
Error('\p{Is_Line_Break:	-ZWSpace:=}');
Error('\P{Is_Line_Break:	-ZWSpace:=}');
Expect(1, 8203, '\p{Is_Line_Break=zwspace}', "");
Expect(0, 8203, '\p{^Is_Line_Break=zwspace}', "");
Expect(0, 8203, '\P{Is_Line_Break=zwspace}', "");
Expect(1, 8203, '\P{^Is_Line_Break=zwspace}', "");
Expect(0, 8202, '\p{Is_Line_Break=zwspace}', "");
Expect(1, 8202, '\p{^Is_Line_Break=zwspace}', "");
Expect(1, 8202, '\P{Is_Line_Break=zwspace}', "");
Expect(0, 8202, '\P{^Is_Line_Break=zwspace}', "");
Expect(1, 8203, '\p{Is_Line_Break=_	ZWSPACE}', "");
Expect(0, 8203, '\p{^Is_Line_Break=_	ZWSPACE}', "");
Expect(0, 8203, '\P{Is_Line_Break=_	ZWSPACE}', "");
Expect(1, 8203, '\P{^Is_Line_Break=_	ZWSPACE}', "");
Expect(0, 8202, '\p{Is_Line_Break=_	ZWSPACE}', "");
Expect(1, 8202, '\p{^Is_Line_Break=_	ZWSPACE}', "");
Expect(1, 8202, '\P{Is_Line_Break=_	ZWSPACE}', "");
Expect(0, 8202, '\P{^Is_Line_Break=_	ZWSPACE}', "");
Error('\p{Is_Lb=:= 	ZW}');
Error('\P{Is_Lb=:= 	ZW}');
Expect(1, 8203, '\p{Is_Lb=zw}', "");
Expect(0, 8203, '\p{^Is_Lb=zw}', "");
Expect(0, 8203, '\P{Is_Lb=zw}', "");
Expect(1, 8203, '\P{^Is_Lb=zw}', "");
Expect(0, 8202, '\p{Is_Lb=zw}', "");
Expect(1, 8202, '\p{^Is_Lb=zw}', "");
Expect(1, 8202, '\P{Is_Lb=zw}', "");
Expect(0, 8202, '\P{^Is_Lb=zw}', "");
Expect(1, 8203, '\p{Is_Lb=	_ZW}', "");
Expect(0, 8203, '\p{^Is_Lb=	_ZW}', "");
Expect(0, 8203, '\P{Is_Lb=	_ZW}', "");
Expect(1, 8203, '\P{^Is_Lb=	_ZW}', "");
Expect(0, 8202, '\p{Is_Lb=	_ZW}', "");
Expect(1, 8202, '\p{^Is_Lb=	_ZW}', "");
Expect(1, 8202, '\P{Is_Lb=	_ZW}', "");
Expect(0, 8202, '\P{^Is_Lb=	_ZW}', "");
Error('\p{Line_Break=/a/JL}');
Error('\P{Line_Break=/a/JL}');
Expect(1, 4447, '\p{Line_Break=jl}', "");
Expect(0, 4447, '\p{^Line_Break=jl}', "");
Expect(0, 4447, '\P{Line_Break=jl}', "");
Expect(1, 4447, '\P{^Line_Break=jl}', "");
Expect(0, 4351, '\p{Line_Break=jl}', "");
Expect(1, 4351, '\p{^Line_Break=jl}', "");
Expect(1, 4351, '\P{Line_Break=jl}', "");
Expect(0, 4351, '\P{^Line_Break=jl}', "");
Expect(1, 4447, '\p{Line_Break: -jl}', "");
Expect(0, 4447, '\p{^Line_Break: -jl}', "");
Expect(0, 4447, '\P{Line_Break: -jl}', "");
Expect(1, 4447, '\P{^Line_Break: -jl}', "");
Expect(0, 4351, '\p{Line_Break: -jl}', "");
Expect(1, 4351, '\p{^Line_Break: -jl}', "");
Expect(1, 4351, '\P{Line_Break: -jl}', "");
Expect(0, 4351, '\P{^Line_Break: -jl}', "");
Error('\p{Lb= JL/a/}');
Error('\P{Lb= JL/a/}');
Expect(1, 4447, '\p{Lb=jl}', "");
Expect(0, 4447, '\p{^Lb=jl}', "");
Expect(0, 4447, '\P{Lb=jl}', "");
Expect(1, 4447, '\P{^Lb=jl}', "");
Expect(0, 4351, '\p{Lb=jl}', "");
Expect(1, 4351, '\p{^Lb=jl}', "");
Expect(1, 4351, '\P{Lb=jl}', "");
Expect(0, 4351, '\P{^Lb=jl}', "");
Expect(1, 4447, '\p{Lb=_-jl}', "");
Expect(0, 4447, '\p{^Lb=_-jl}', "");
Expect(0, 4447, '\P{Lb=_-jl}', "");
Expect(1, 4447, '\P{^Lb=_-jl}', "");
Expect(0, 4351, '\p{Lb=_-jl}', "");
Expect(1, 4351, '\p{^Lb=_-jl}', "");
Expect(1, 4351, '\P{Lb=_-jl}', "");
Expect(0, 4351, '\P{^Lb=_-jl}', "");
Error('\p{Is_Line_Break=_/a/JL}');
Error('\P{Is_Line_Break=_/a/JL}');
Expect(1, 4447, '\p{Is_Line_Break=jl}', "");
Expect(0, 4447, '\p{^Is_Line_Break=jl}', "");
Expect(0, 4447, '\P{Is_Line_Break=jl}', "");
Expect(1, 4447, '\P{^Is_Line_Break=jl}', "");
Expect(0, 4351, '\p{Is_Line_Break=jl}', "");
Expect(1, 4351, '\p{^Is_Line_Break=jl}', "");
Expect(1, 4351, '\P{Is_Line_Break=jl}', "");
Expect(0, 4351, '\P{^Is_Line_Break=jl}', "");
Expect(1, 4447, '\p{Is_Line_Break=_	JL}', "");
Expect(0, 4447, '\p{^Is_Line_Break=_	JL}', "");
Expect(0, 4447, '\P{Is_Line_Break=_	JL}', "");
Expect(1, 4447, '\P{^Is_Line_Break=_	JL}', "");
Expect(0, 4351, '\p{Is_Line_Break=_	JL}', "");
Expect(1, 4351, '\p{^Is_Line_Break=_	JL}', "");
Expect(1, 4351, '\P{Is_Line_Break=_	JL}', "");
Expect(0, 4351, '\P{^Is_Line_Break=_	JL}', "");
Error('\p{Is_Lb=:=jl}');
Error('\P{Is_Lb=:=jl}');
Expect(1, 4447, '\p{Is_Lb=jl}', "");
Expect(0, 4447, '\p{^Is_Lb=jl}', "");
Expect(0, 4447, '\P{Is_Lb=jl}', "");
Expect(1, 4447, '\P{^Is_Lb=jl}', "");
Expect(0, 4351, '\p{Is_Lb=jl}', "");
Expect(1, 4351, '\p{^Is_Lb=jl}', "");
Expect(1, 4351, '\P{Is_Lb=jl}', "");
Expect(0, 4351, '\P{^Is_Lb=jl}', "");
Expect(1, 4447, '\p{Is_Lb= JL}', "");
Expect(0, 4447, '\p{^Is_Lb= JL}', "");
Expect(0, 4447, '\P{Is_Lb= JL}', "");
Expect(1, 4447, '\P{^Is_Lb= JL}', "");
Expect(0, 4351, '\p{Is_Lb= JL}', "");
Expect(1, 4351, '\p{^Is_Lb= JL}', "");
Expect(1, 4351, '\P{Is_Lb= JL}', "");
Expect(0, 4351, '\P{^Is_Lb= JL}', "");
Error('\p{Line_Break=	Break_SYMBOLS:=}');
Error('\P{Line_Break=	Break_SYMBOLS:=}');
Expect(1, 47, '\p{Line_Break=breaksymbols}', "");
Expect(0, 47, '\p{^Line_Break=breaksymbols}', "");
Expect(0, 47, '\P{Line_Break=breaksymbols}', "");
Expect(1, 47, '\P{^Line_Break=breaksymbols}', "");
Expect(0, 46, '\p{Line_Break=breaksymbols}', "");
Expect(1, 46, '\p{^Line_Break=breaksymbols}', "");
Expect(1, 46, '\P{Line_Break=breaksymbols}', "");
Expect(0, 46, '\P{^Line_Break=breaksymbols}', "");
Expect(1, 47, '\p{Line_Break=-	BreakSymbols}', "");
Expect(0, 47, '\p{^Line_Break=-	BreakSymbols}', "");
Expect(0, 47, '\P{Line_Break=-	BreakSymbols}', "");
Expect(1, 47, '\P{^Line_Break=-	BreakSymbols}', "");
Expect(0, 46, '\p{Line_Break=-	BreakSymbols}', "");
Expect(1, 46, '\p{^Line_Break=-	BreakSymbols}', "");
Expect(1, 46, '\P{Line_Break=-	BreakSymbols}', "");
Expect(0, 46, '\P{^Line_Break=-	BreakSymbols}', "");
Error('\p{Lb=	:=SY}');
Error('\P{Lb=	:=SY}');
Expect(1, 47, '\p{Lb=sy}', "");
Expect(0, 47, '\p{^Lb=sy}', "");
Expect(0, 47, '\P{Lb=sy}', "");
Expect(1, 47, '\P{^Lb=sy}', "");
Expect(0, 46, '\p{Lb=sy}', "");
Expect(1, 46, '\p{^Lb=sy}', "");
Expect(1, 46, '\P{Lb=sy}', "");
Expect(0, 46, '\P{^Lb=sy}', "");
Expect(1, 47, '\p{Lb=	-SY}', "");
Expect(0, 47, '\p{^Lb=	-SY}', "");
Expect(0, 47, '\P{Lb=	-SY}', "");
Expect(1, 47, '\P{^Lb=	-SY}', "");
Expect(0, 46, '\p{Lb=	-SY}', "");
Expect(1, 46, '\p{^Lb=	-SY}', "");
Expect(1, 46, '\P{Lb=	-SY}', "");
Expect(0, 46, '\P{^Lb=	-SY}', "");
Error('\p{Is_Line_Break= Break Symbols:=}');
Error('\P{Is_Line_Break= Break Symbols:=}');
Expect(1, 47, '\p{Is_Line_Break=breaksymbols}', "");
Expect(0, 47, '\p{^Is_Line_Break=breaksymbols}', "");
Expect(0, 47, '\P{Is_Line_Break=breaksymbols}', "");
Expect(1, 47, '\P{^Is_Line_Break=breaksymbols}', "");
Expect(0, 46, '\p{Is_Line_Break=breaksymbols}', "");
Expect(1, 46, '\p{^Is_Line_Break=breaksymbols}', "");
Expect(1, 46, '\P{Is_Line_Break=breaksymbols}', "");
Expect(0, 46, '\P{^Is_Line_Break=breaksymbols}', "");
Expect(1, 47, '\p{Is_Line_Break=_break_SYMBOLS}', "");
Expect(0, 47, '\p{^Is_Line_Break=_break_SYMBOLS}', "");
Expect(0, 47, '\P{Is_Line_Break=_break_SYMBOLS}', "");
Expect(1, 47, '\P{^Is_Line_Break=_break_SYMBOLS}', "");
Expect(0, 46, '\p{Is_Line_Break=_break_SYMBOLS}', "");
Expect(1, 46, '\p{^Is_Line_Break=_break_SYMBOLS}', "");
Expect(1, 46, '\P{Is_Line_Break=_break_SYMBOLS}', "");
Expect(0, 46, '\P{^Is_Line_Break=_break_SYMBOLS}', "");
Error('\p{Is_Lb=:=sy}');
Error('\P{Is_Lb=:=sy}');
Expect(1, 47, '\p{Is_Lb=sy}', "");
Expect(0, 47, '\p{^Is_Lb=sy}', "");
Expect(0, 47, '\P{Is_Lb=sy}', "");
Expect(1, 47, '\P{^Is_Lb=sy}', "");
Expect(0, 46, '\p{Is_Lb=sy}', "");
Expect(1, 46, '\p{^Is_Lb=sy}', "");
Expect(1, 46, '\P{Is_Lb=sy}', "");
Expect(0, 46, '\P{^Is_Lb=sy}', "");
Expect(1, 47, '\p{Is_Lb=_SY}', "");
Expect(0, 47, '\p{^Is_Lb=_SY}', "");
Expect(0, 47, '\P{Is_Lb=_SY}', "");
Expect(1, 47, '\P{^Is_Lb=_SY}', "");
Expect(0, 46, '\p{Is_Lb=_SY}', "");
Expect(1, 46, '\p{^Is_Lb=_SY}', "");
Expect(1, 46, '\P{Is_Lb=_SY}', "");
Expect(0, 46, '\P{^Is_Lb=_SY}', "");
Error('\p{Line_Break=:=- prefix_NUMERIC}');
Error('\P{Line_Break=:=- prefix_NUMERIC}');
Expect(1, 36, '\p{Line_Break=prefixnumeric}', "");
Expect(0, 36, '\p{^Line_Break=prefixnumeric}', "");
Expect(0, 36, '\P{Line_Break=prefixnumeric}', "");
Expect(1, 36, '\P{^Line_Break=prefixnumeric}', "");
Expect(0, 35, '\p{Line_Break=prefixnumeric}', "");
Expect(1, 35, '\p{^Line_Break=prefixnumeric}', "");
Expect(1, 35, '\P{Line_Break=prefixnumeric}', "");
Expect(0, 35, '\P{^Line_Break=prefixnumeric}', "");
Expect(1, 36, '\p{Line_Break=_PrefixNumeric}', "");
Expect(0, 36, '\p{^Line_Break=_PrefixNumeric}', "");
Expect(0, 36, '\P{Line_Break=_PrefixNumeric}', "");
Expect(1, 36, '\P{^Line_Break=_PrefixNumeric}', "");
Expect(0, 35, '\p{Line_Break=_PrefixNumeric}', "");
Expect(1, 35, '\p{^Line_Break=_PrefixNumeric}', "");
Expect(1, 35, '\P{Line_Break=_PrefixNumeric}', "");
Expect(0, 35, '\P{^Line_Break=_PrefixNumeric}', "");
Error('\p{Lb=/a/_ PR}');
Error('\P{Lb=/a/_ PR}');
Expect(1, 36, '\p{Lb=pr}', "");
Expect(0, 36, '\p{^Lb=pr}', "");
Expect(0, 36, '\P{Lb=pr}', "");
Expect(1, 36, '\P{^Lb=pr}', "");
Expect(0, 35, '\p{Lb=pr}', "");
Expect(1, 35, '\p{^Lb=pr}', "");
Expect(1, 35, '\P{Lb=pr}', "");
Expect(0, 35, '\P{^Lb=pr}', "");
Expect(1, 36, '\p{Lb=-PR}', "");
Expect(0, 36, '\p{^Lb=-PR}', "");
Expect(0, 36, '\P{Lb=-PR}', "");
Expect(1, 36, '\P{^Lb=-PR}', "");
Expect(0, 35, '\p{Lb=-PR}', "");
Expect(1, 35, '\p{^Lb=-PR}', "");
Expect(1, 35, '\P{Lb=-PR}', "");
Expect(0, 35, '\P{^Lb=-PR}', "");
Error('\p{Is_Line_Break=_:=prefix-Numeric}');
Error('\P{Is_Line_Break=_:=prefix-Numeric}');
Expect(1, 36, '\p{Is_Line_Break=prefixnumeric}', "");
Expect(0, 36, '\p{^Is_Line_Break=prefixnumeric}', "");
Expect(0, 36, '\P{Is_Line_Break=prefixnumeric}', "");
Expect(1, 36, '\P{^Is_Line_Break=prefixnumeric}', "");
Expect(0, 35, '\p{Is_Line_Break=prefixnumeric}', "");
Expect(1, 35, '\p{^Is_Line_Break=prefixnumeric}', "");
Expect(1, 35, '\P{Is_Line_Break=prefixnumeric}', "");
Expect(0, 35, '\P{^Is_Line_Break=prefixnumeric}', "");
Expect(1, 36, '\p{Is_Line_Break: Prefix-numeric}', "");
Expect(0, 36, '\p{^Is_Line_Break: Prefix-numeric}', "");
Expect(0, 36, '\P{Is_Line_Break: Prefix-numeric}', "");
Expect(1, 36, '\P{^Is_Line_Break: Prefix-numeric}', "");
Expect(0, 35, '\p{Is_Line_Break: Prefix-numeric}', "");
Expect(1, 35, '\p{^Is_Line_Break: Prefix-numeric}', "");
Expect(1, 35, '\P{Is_Line_Break: Prefix-numeric}', "");
Expect(0, 35, '\P{^Is_Line_Break: Prefix-numeric}', "");
Error('\p{Is_Lb=:=PR}');
Error('\P{Is_Lb=:=PR}');
Expect(1, 36, '\p{Is_Lb=pr}', "");
Expect(0, 36, '\p{^Is_Lb=pr}', "");
Expect(0, 36, '\P{Is_Lb=pr}', "");
Expect(1, 36, '\P{^Is_Lb=pr}', "");
Expect(0, 35, '\p{Is_Lb=pr}', "");
Expect(1, 35, '\p{^Is_Lb=pr}', "");
Expect(1, 35, '\P{Is_Lb=pr}', "");
Expect(0, 35, '\P{^Is_Lb=pr}', "");
Expect(1, 36, '\p{Is_Lb=--PR}', "");
Expect(0, 36, '\p{^Is_Lb=--PR}', "");
Expect(0, 36, '\P{Is_Lb=--PR}', "");
Expect(1, 36, '\P{^Is_Lb=--PR}', "");
Expect(0, 35, '\p{Is_Lb=--PR}', "");
Expect(1, 35, '\p{^Is_Lb=--PR}', "");
Expect(1, 35, '\P{Is_Lb=--PR}', "");
Expect(0, 35, '\P{^Is_Lb=--PR}', "");
Error('\p{Line_Break: /a/-Close	Parenthesis}');
Error('\P{Line_Break: /a/-Close	Parenthesis}');
Expect(1, 41, '\p{Line_Break=closeparenthesis}', "");
Expect(0, 41, '\p{^Line_Break=closeparenthesis}', "");
Expect(0, 41, '\P{Line_Break=closeparenthesis}', "");
Expect(1, 41, '\P{^Line_Break=closeparenthesis}', "");
Expect(0, 40, '\p{Line_Break=closeparenthesis}', "");
Expect(1, 40, '\p{^Line_Break=closeparenthesis}', "");
Expect(1, 40, '\P{Line_Break=closeparenthesis}', "");
Expect(0, 40, '\P{^Line_Break=closeparenthesis}', "");
Expect(1, 41, '\p{Line_Break=	-CLOSE_Parenthesis}', "");
Expect(0, 41, '\p{^Line_Break=	-CLOSE_Parenthesis}', "");
Expect(0, 41, '\P{Line_Break=	-CLOSE_Parenthesis}', "");
Expect(1, 41, '\P{^Line_Break=	-CLOSE_Parenthesis}', "");
Expect(0, 40, '\p{Line_Break=	-CLOSE_Parenthesis}', "");
Expect(1, 40, '\p{^Line_Break=	-CLOSE_Parenthesis}', "");
Expect(1, 40, '\P{Line_Break=	-CLOSE_Parenthesis}', "");
Expect(0, 40, '\P{^Line_Break=	-CLOSE_Parenthesis}', "");
Error('\p{Lb=-	cp/a/}');
Error('\P{Lb=-	cp/a/}');
Expect(1, 41, '\p{Lb=cp}', "");
Expect(0, 41, '\p{^Lb=cp}', "");
Expect(0, 41, '\P{Lb=cp}', "");
Expect(1, 41, '\P{^Lb=cp}', "");
Expect(0, 40, '\p{Lb=cp}', "");
Expect(1, 40, '\p{^Lb=cp}', "");
Expect(1, 40, '\P{Lb=cp}', "");
Expect(0, 40, '\P{^Lb=cp}', "");
Expect(1, 41, '\p{Lb=_ CP}', "");
Expect(0, 41, '\p{^Lb=_ CP}', "");
Expect(0, 41, '\P{Lb=_ CP}', "");
Expect(1, 41, '\P{^Lb=_ CP}', "");
Expect(0, 40, '\p{Lb=_ CP}', "");
Expect(1, 40, '\p{^Lb=_ CP}', "");
Expect(1, 40, '\P{Lb=_ CP}', "");
Expect(0, 40, '\P{^Lb=_ CP}', "");
Error('\p{Is_Line_Break:    _Close/a/PARENTHESIS}');
Error('\P{Is_Line_Break:    _Close/a/PARENTHESIS}');
Expect(1, 41, '\p{Is_Line_Break=closeparenthesis}', "");
Expect(0, 41, '\p{^Is_Line_Break=closeparenthesis}', "");
Expect(0, 41, '\P{Is_Line_Break=closeparenthesis}', "");
Expect(1, 41, '\P{^Is_Line_Break=closeparenthesis}', "");
Expect(0, 40, '\p{Is_Line_Break=closeparenthesis}', "");
Expect(1, 40, '\p{^Is_Line_Break=closeparenthesis}', "");
Expect(1, 40, '\P{Is_Line_Break=closeparenthesis}', "");
Expect(0, 40, '\P{^Is_Line_Break=closeparenthesis}', "");
Expect(1, 41, '\p{Is_Line_Break=	Close Parenthesis}', "");
Expect(0, 41, '\p{^Is_Line_Break=	Close Parenthesis}', "");
Expect(0, 41, '\P{Is_Line_Break=	Close Parenthesis}', "");
Expect(1, 41, '\P{^Is_Line_Break=	Close Parenthesis}', "");
Expect(0, 40, '\p{Is_Line_Break=	Close Parenthesis}', "");
Expect(1, 40, '\p{^Is_Line_Break=	Close Parenthesis}', "");
Expect(1, 40, '\P{Is_Line_Break=	Close Parenthesis}', "");
Expect(0, 40, '\P{^Is_Line_Break=	Close Parenthesis}', "");
Error('\p{Is_Lb=-/a/CP}');
Error('\P{Is_Lb=-/a/CP}');
Expect(1, 41, '\p{Is_Lb=cp}', "");
Expect(0, 41, '\p{^Is_Lb=cp}', "");
Expect(0, 41, '\P{Is_Lb=cp}', "");
Expect(1, 41, '\P{^Is_Lb=cp}', "");
Expect(0, 40, '\p{Is_Lb=cp}', "");
Expect(1, 40, '\p{^Is_Lb=cp}', "");
Expect(1, 40, '\P{Is_Lb=cp}', "");
Expect(0, 40, '\P{^Is_Lb=cp}', "");
Expect(1, 41, '\p{Is_Lb=__CP}', "");
Expect(0, 41, '\p{^Is_Lb=__CP}', "");
Expect(0, 41, '\P{Is_Lb=__CP}', "");
Expect(1, 41, '\P{^Is_Lb=__CP}', "");
Expect(0, 40, '\p{Is_Lb=__CP}', "");
Expect(1, 40, '\p{^Is_Lb=__CP}', "");
Expect(1, 40, '\P{Is_Lb=__CP}', "");
Expect(0, 40, '\P{^Is_Lb=__CP}', "");
Error('\p{Line_Break=-_H3/a/}');
Error('\P{Line_Break=-_H3/a/}');
Expect(1, 44059, '\p{Line_Break=h3}', "");
Expect(0, 44059, '\p{^Line_Break=h3}', "");
Expect(0, 44059, '\P{Line_Break=h3}', "");
Expect(1, 44059, '\P{^Line_Break=h3}', "");
Expect(0, 44032, '\p{Line_Break=h3}', "");
Expect(1, 44032, '\p{^Line_Break=h3}', "");
Expect(1, 44032, '\P{Line_Break=h3}', "");
Expect(0, 44032, '\P{^Line_Break=h3}', "");
Expect(1, 44059, '\p{Line_Break=- h3}', "");
Expect(0, 44059, '\p{^Line_Break=- h3}', "");
Expect(0, 44059, '\P{Line_Break=- h3}', "");
Expect(1, 44059, '\P{^Line_Break=- h3}', "");
Expect(0, 44032, '\p{Line_Break=- h3}', "");
Expect(1, 44032, '\p{^Line_Break=- h3}', "");
Expect(1, 44032, '\P{Line_Break=- h3}', "");
Expect(0, 44032, '\P{^Line_Break=- h3}', "");
Error('\p{Lb=	h3:=}');
Error('\P{Lb=	h3:=}');
Expect(1, 44059, '\p{Lb=h3}', "");
Expect(0, 44059, '\p{^Lb=h3}', "");
Expect(0, 44059, '\P{Lb=h3}', "");
Expect(1, 44059, '\P{^Lb=h3}', "");
Expect(0, 44032, '\p{Lb=h3}', "");
Expect(1, 44032, '\p{^Lb=h3}', "");
Expect(1, 44032, '\P{Lb=h3}', "");
Expect(0, 44032, '\P{^Lb=h3}', "");
Expect(1, 44059, '\p{Lb=_	h3}', "");
Expect(0, 44059, '\p{^Lb=_	h3}', "");
Expect(0, 44059, '\P{Lb=_	h3}', "");
Expect(1, 44059, '\P{^Lb=_	h3}', "");
Expect(0, 44032, '\p{Lb=_	h3}', "");
Expect(1, 44032, '\p{^Lb=_	h3}', "");
Expect(1, 44032, '\P{Lb=_	h3}', "");
Expect(0, 44032, '\P{^Lb=_	h3}', "");
Error('\p{Is_Line_Break:_-h3/a/}');
Error('\P{Is_Line_Break:_-h3/a/}');
Expect(1, 44059, '\p{Is_Line_Break=h3}', "");
Expect(0, 44059, '\p{^Is_Line_Break=h3}', "");
Expect(0, 44059, '\P{Is_Line_Break=h3}', "");
Expect(1, 44059, '\P{^Is_Line_Break=h3}', "");
Expect(0, 44032, '\p{Is_Line_Break=h3}', "");
Expect(1, 44032, '\p{^Is_Line_Break=h3}', "");
Expect(1, 44032, '\P{Is_Line_Break=h3}', "");
Expect(0, 44032, '\P{^Is_Line_Break=h3}', "");
Expect(1, 44059, '\p{Is_Line_Break= 	h3}', "");
Expect(0, 44059, '\p{^Is_Line_Break= 	h3}', "");
Expect(0, 44059, '\P{Is_Line_Break= 	h3}', "");
Expect(1, 44059, '\P{^Is_Line_Break= 	h3}', "");
Expect(0, 44032, '\p{Is_Line_Break= 	h3}', "");
Expect(1, 44032, '\p{^Is_Line_Break= 	h3}', "");
Expect(1, 44032, '\P{Is_Line_Break= 	h3}', "");
Expect(0, 44032, '\P{^Is_Line_Break= 	h3}', "");
Error('\p{Is_Lb=	/a/H3}');
Error('\P{Is_Lb=	/a/H3}');
Expect(1, 44059, '\p{Is_Lb=h3}', "");
Expect(0, 44059, '\p{^Is_Lb=h3}', "");
Expect(0, 44059, '\P{Is_Lb=h3}', "");
Expect(1, 44059, '\P{^Is_Lb=h3}', "");
Expect(0, 44032, '\p{Is_Lb=h3}', "");
Expect(1, 44032, '\p{^Is_Lb=h3}', "");
Expect(1, 44032, '\P{Is_Lb=h3}', "");
Expect(0, 44032, '\P{^Is_Lb=h3}', "");
Expect(1, 44059, '\p{Is_Lb:	H3}', "");
Expect(0, 44059, '\p{^Is_Lb:	H3}', "");
Expect(0, 44059, '\P{Is_Lb:	H3}', "");
Expect(1, 44059, '\P{^Is_Lb:	H3}', "");
Expect(0, 44032, '\p{Is_Lb:	H3}', "");
Expect(1, 44032, '\p{^Is_Lb:	H3}', "");
Expect(1, 44032, '\P{Is_Lb:	H3}', "");
Expect(0, 44032, '\P{^Is_Lb:	H3}', "");
Error('\p{Line_Break:   --Carriage-Return/a/}');
Error('\P{Line_Break:   --Carriage-Return/a/}');
Expect(1, 13, '\p{Line_Break=carriagereturn}', "");
Expect(0, 13, '\p{^Line_Break=carriagereturn}', "");
Expect(0, 13, '\P{Line_Break=carriagereturn}', "");
Expect(1, 13, '\P{^Line_Break=carriagereturn}', "");
Expect(0, 12, '\p{Line_Break=carriagereturn}', "");
Expect(1, 12, '\p{^Line_Break=carriagereturn}', "");
Expect(1, 12, '\P{Line_Break=carriagereturn}', "");
Expect(0, 12, '\P{^Line_Break=carriagereturn}', "");
Expect(1, 13, '\p{Line_Break= _Carriage	Return}', "");
Expect(0, 13, '\p{^Line_Break= _Carriage	Return}', "");
Expect(0, 13, '\P{Line_Break= _Carriage	Return}', "");
Expect(1, 13, '\P{^Line_Break= _Carriage	Return}', "");
Expect(0, 12, '\p{Line_Break= _Carriage	Return}', "");
Expect(1, 12, '\p{^Line_Break= _Carriage	Return}', "");
Expect(1, 12, '\P{Line_Break= _Carriage	Return}', "");
Expect(0, 12, '\P{^Line_Break= _Carriage	Return}', "");
Error('\p{Lb=_/a/CR}');
Error('\P{Lb=_/a/CR}');
Expect(1, 13, '\p{Lb=cr}', "");
Expect(0, 13, '\p{^Lb=cr}', "");
Expect(0, 13, '\P{Lb=cr}', "");
Expect(1, 13, '\P{^Lb=cr}', "");
Expect(0, 12, '\p{Lb=cr}', "");
Expect(1, 12, '\p{^Lb=cr}', "");
Expect(1, 12, '\P{Lb=cr}', "");
Expect(0, 12, '\P{^Lb=cr}', "");
Expect(1, 13, '\p{Lb=-CR}', "");
Expect(0, 13, '\p{^Lb=-CR}', "");
Expect(0, 13, '\P{Lb=-CR}', "");
Expect(1, 13, '\P{^Lb=-CR}', "");
Expect(0, 12, '\p{Lb=-CR}', "");
Expect(1, 12, '\p{^Lb=-CR}', "");
Expect(1, 12, '\P{Lb=-CR}', "");
Expect(0, 12, '\P{^Lb=-CR}', "");
Error('\p{Is_Line_Break=/a/ Carriage_Return}');
Error('\P{Is_Line_Break=/a/ Carriage_Return}');
Expect(1, 13, '\p{Is_Line_Break:   carriagereturn}', "");
Expect(0, 13, '\p{^Is_Line_Break:   carriagereturn}', "");
Expect(0, 13, '\P{Is_Line_Break:   carriagereturn}', "");
Expect(1, 13, '\P{^Is_Line_Break:   carriagereturn}', "");
Expect(0, 12, '\p{Is_Line_Break:   carriagereturn}', "");
Expect(1, 12, '\p{^Is_Line_Break:   carriagereturn}', "");
Expect(1, 12, '\P{Is_Line_Break:   carriagereturn}', "");
Expect(0, 12, '\P{^Is_Line_Break:   carriagereturn}', "");
Expect(1, 13, '\p{Is_Line_Break=	_carriage	RETURN}', "");
Expect(0, 13, '\p{^Is_Line_Break=	_carriage	RETURN}', "");
Expect(0, 13, '\P{Is_Line_Break=	_carriage	RETURN}', "");
Expect(1, 13, '\P{^Is_Line_Break=	_carriage	RETURN}', "");
Expect(0, 12, '\p{Is_Line_Break=	_carriage	RETURN}', "");
Expect(1, 12, '\p{^Is_Line_Break=	_carriage	RETURN}', "");
Expect(1, 12, '\P{Is_Line_Break=	_carriage	RETURN}', "");
Expect(0, 12, '\P{^Is_Line_Break=	_carriage	RETURN}', "");
Error('\p{Is_Lb=/a/	-cr}');
Error('\P{Is_Lb=/a/	-cr}');
Expect(1, 13, '\p{Is_Lb=cr}', "");
Expect(0, 13, '\p{^Is_Lb=cr}', "");
Expect(0, 13, '\P{Is_Lb=cr}', "");
Expect(1, 13, '\P{^Is_Lb=cr}', "");
Expect(0, 12, '\p{Is_Lb=cr}', "");
Expect(1, 12, '\p{^Is_Lb=cr}', "");
Expect(1, 12, '\P{Is_Lb=cr}', "");
Expect(0, 12, '\P{^Is_Lb=cr}', "");
Expect(1, 13, '\p{Is_Lb=-CR}', "");
Expect(0, 13, '\p{^Is_Lb=-CR}', "");
Expect(0, 13, '\P{Is_Lb=-CR}', "");
Expect(1, 13, '\P{^Is_Lb=-CR}', "");
Expect(0, 12, '\p{Is_Lb=-CR}', "");
Expect(1, 12, '\p{^Is_Lb=-CR}', "");
Expect(1, 12, '\P{Is_Lb=-CR}', "");
Expect(0, 12, '\P{^Is_Lb=-CR}', "");
Error('\p{Line_Break=/a/--CLOSE Punctuation}');
Error('\P{Line_Break=/a/--CLOSE Punctuation}');
Expect(1, 125, '\p{Line_Break=closepunctuation}', "");
Expect(0, 125, '\p{^Line_Break=closepunctuation}', "");
Expect(0, 125, '\P{Line_Break=closepunctuation}', "");
Expect(1, 125, '\P{^Line_Break=closepunctuation}', "");
Expect(0, 124, '\p{Line_Break=closepunctuation}', "");
Expect(1, 124, '\p{^Line_Break=closepunctuation}', "");
Expect(1, 124, '\P{Line_Break=closepunctuation}', "");
Expect(0, 124, '\P{^Line_Break=closepunctuation}', "");
Expect(1, 125, '\p{Line_Break=  Close punctuation}', "");
Expect(0, 125, '\p{^Line_Break=  Close punctuation}', "");
Expect(0, 125, '\P{Line_Break=  Close punctuation}', "");
Expect(1, 125, '\P{^Line_Break=  Close punctuation}', "");
Expect(0, 124, '\p{Line_Break=  Close punctuation}', "");
Expect(1, 124, '\p{^Line_Break=  Close punctuation}', "");
Expect(1, 124, '\P{Line_Break=  Close punctuation}', "");
Expect(0, 124, '\P{^Line_Break=  Close punctuation}', "");
Error('\p{Lb=- CL:=}');
Error('\P{Lb=- CL:=}');
Expect(1, 125, '\p{Lb=cl}', "");
Expect(0, 125, '\p{^Lb=cl}', "");
Expect(0, 125, '\P{Lb=cl}', "");
Expect(1, 125, '\P{^Lb=cl}', "");
Expect(0, 124, '\p{Lb=cl}', "");
Expect(1, 124, '\p{^Lb=cl}', "");
Expect(1, 124, '\P{Lb=cl}', "");
Expect(0, 124, '\P{^Lb=cl}', "");
Expect(1, 125, '\p{Lb:   -_CL}', "");
Expect(0, 125, '\p{^Lb:   -_CL}', "");
Expect(0, 125, '\P{Lb:   -_CL}', "");
Expect(1, 125, '\P{^Lb:   -_CL}', "");
Expect(0, 124, '\p{Lb:   -_CL}', "");
Expect(1, 124, '\p{^Lb:   -_CL}', "");
Expect(1, 124, '\P{Lb:   -_CL}', "");
Expect(0, 124, '\P{^Lb:   -_CL}', "");
Error('\p{Is_Line_Break=	Close:=PUNCTUATION}');
Error('\P{Is_Line_Break=	Close:=PUNCTUATION}');
Expect(1, 125, '\p{Is_Line_Break:closepunctuation}', "");
Expect(0, 125, '\p{^Is_Line_Break:closepunctuation}', "");
Expect(0, 125, '\P{Is_Line_Break:closepunctuation}', "");
Expect(1, 125, '\P{^Is_Line_Break:closepunctuation}', "");
Expect(0, 124, '\p{Is_Line_Break:closepunctuation}', "");
Expect(1, 124, '\p{^Is_Line_Break:closepunctuation}', "");
Expect(1, 124, '\P{Is_Line_Break:closepunctuation}', "");
Expect(0, 124, '\P{^Is_Line_Break:closepunctuation}', "");
Expect(1, 125, '\p{Is_Line_Break= _Closepunctuation}', "");
Expect(0, 125, '\p{^Is_Line_Break= _Closepunctuation}', "");
Expect(0, 125, '\P{Is_Line_Break= _Closepunctuation}', "");
Expect(1, 125, '\P{^Is_Line_Break= _Closepunctuation}', "");
Expect(0, 124, '\p{Is_Line_Break= _Closepunctuation}', "");
Expect(1, 124, '\p{^Is_Line_Break= _Closepunctuation}', "");
Expect(1, 124, '\P{Is_Line_Break= _Closepunctuation}', "");
Expect(0, 124, '\P{^Is_Line_Break= _Closepunctuation}', "");
Error('\p{Is_Lb: - CL:=}');
Error('\P{Is_Lb: - CL:=}');
Expect(1, 125, '\p{Is_Lb=cl}', "");
Expect(0, 125, '\p{^Is_Lb=cl}', "");
Expect(0, 125, '\P{Is_Lb=cl}', "");
Expect(1, 125, '\P{^Is_Lb=cl}', "");
Expect(0, 124, '\p{Is_Lb=cl}', "");
Expect(1, 124, '\p{^Is_Lb=cl}', "");
Expect(1, 124, '\P{Is_Lb=cl}', "");
Expect(0, 124, '\P{^Is_Lb=cl}', "");
Expect(1, 125, '\p{Is_Lb=		CL}', "");
Expect(0, 125, '\p{^Is_Lb=		CL}', "");
Expect(0, 125, '\P{Is_Lb=		CL}', "");
Expect(1, 125, '\P{^Is_Lb=		CL}', "");
Expect(0, 124, '\p{Is_Lb=		CL}', "");
Expect(1, 124, '\p{^Is_Lb=		CL}', "");
Expect(1, 124, '\P{Is_Lb=		CL}', "");
Expect(0, 124, '\P{^Is_Lb=		CL}', "");
Error('\p{Line_Break=__combining MARK/a/}');
Error('\P{Line_Break=__combining MARK/a/}');
Expect(1, 8, '\p{Line_Break=combiningmark}', "");
Expect(0, 8, '\p{^Line_Break=combiningmark}', "");
Expect(0, 8, '\P{Line_Break=combiningmark}', "");
Expect(1, 8, '\P{^Line_Break=combiningmark}', "");
Expect(0, 13, '\p{Line_Break=combiningmark}', "");
Expect(1, 13, '\p{^Line_Break=combiningmark}', "");
Expect(1, 13, '\P{Line_Break=combiningmark}', "");
Expect(0, 13, '\P{^Line_Break=combiningmark}', "");
Expect(1, 8, '\p{Line_Break=		CombiningMark}', "");
Expect(0, 8, '\p{^Line_Break=		CombiningMark}', "");
Expect(0, 8, '\P{Line_Break=		CombiningMark}', "");
Expect(1, 8, '\P{^Line_Break=		CombiningMark}', "");
Expect(0, 13, '\p{Line_Break=		CombiningMark}', "");
Expect(1, 13, '\p{^Line_Break=		CombiningMark}', "");
Expect(1, 13, '\P{Line_Break=		CombiningMark}', "");
Expect(0, 13, '\P{^Line_Break=		CombiningMark}', "");
Error('\p{Lb=_:=CM}');
Error('\P{Lb=_:=CM}');
Expect(1, 8, '\p{Lb=cm}', "");
Expect(0, 8, '\p{^Lb=cm}', "");
Expect(0, 8, '\P{Lb=cm}', "");
Expect(1, 8, '\P{^Lb=cm}', "");
Expect(0, 13, '\p{Lb=cm}', "");
Expect(1, 13, '\p{^Lb=cm}', "");
Expect(1, 13, '\P{Lb=cm}', "");
Expect(0, 13, '\P{^Lb=cm}', "");
Expect(1, 8, '\p{Lb=-CM}', "");
Expect(0, 8, '\p{^Lb=-CM}', "");
Expect(0, 8, '\P{Lb=-CM}', "");
Expect(1, 8, '\P{^Lb=-CM}', "");
Expect(0, 13, '\p{Lb=-CM}', "");
Expect(1, 13, '\p{^Lb=-CM}', "");
Expect(1, 13, '\P{Lb=-CM}', "");
Expect(0, 13, '\P{^Lb=-CM}', "");
Error('\p{Is_Line_Break=	 combining/a/Mark}');
Error('\P{Is_Line_Break=	 combining/a/Mark}');
Expect(1, 8, '\p{Is_Line_Break:	combiningmark}', "");
Expect(0, 8, '\p{^Is_Line_Break:	combiningmark}', "");
Expect(0, 8, '\P{Is_Line_Break:	combiningmark}', "");
Expect(1, 8, '\P{^Is_Line_Break:	combiningmark}', "");
Expect(0, 13, '\p{Is_Line_Break:	combiningmark}', "");
Expect(1, 13, '\p{^Is_Line_Break:	combiningmark}', "");
Expect(1, 13, '\P{Is_Line_Break:	combiningmark}', "");
Expect(0, 13, '\P{^Is_Line_Break:	combiningmark}', "");
Expect(1, 8, '\p{Is_Line_Break=--Combining_MARK}', "");
Expect(0, 8, '\p{^Is_Line_Break=--Combining_MARK}', "");
Expect(0, 8, '\P{Is_Line_Break=--Combining_MARK}', "");
Expect(1, 8, '\P{^Is_Line_Break=--Combining_MARK}', "");
Expect(0, 13, '\p{Is_Line_Break=--Combining_MARK}', "");
Expect(1, 13, '\p{^Is_Line_Break=--Combining_MARK}', "");
Expect(1, 13, '\P{Is_Line_Break=--Combining_MARK}', "");
Expect(0, 13, '\P{^Is_Line_Break=--Combining_MARK}', "");
Error('\p{Is_Lb=	:=CM}');
Error('\P{Is_Lb=	:=CM}');
Expect(1, 8, '\p{Is_Lb=cm}', "");
Expect(0, 8, '\p{^Is_Lb=cm}', "");
Expect(0, 8, '\P{Is_Lb=cm}', "");
Expect(1, 8, '\P{^Is_Lb=cm}', "");
Expect(0, 13, '\p{Is_Lb=cm}', "");
Expect(1, 13, '\p{^Is_Lb=cm}', "");
Expect(1, 13, '\P{Is_Lb=cm}', "");
Expect(0, 13, '\P{^Is_Lb=cm}', "");
Expect(1, 8, '\p{Is_Lb: _ CM}', "");
Expect(0, 8, '\p{^Is_Lb: _ CM}', "");
Expect(0, 8, '\P{Is_Lb: _ CM}', "");
Expect(1, 8, '\P{^Is_Lb: _ CM}', "");
Expect(0, 13, '\p{Is_Lb: _ CM}', "");
Expect(1, 13, '\p{^Is_Lb: _ CM}', "");
Expect(1, 13, '\P{Is_Lb: _ CM}', "");
Expect(0, 13, '\P{^Is_Lb: _ CM}', "");
Error('\p{Line_Break=_/a/MANDATORY-break}');
Error('\P{Line_Break=_/a/MANDATORY-break}');
Expect(1, 12, '\p{Line_Break=mandatorybreak}', "");
Expect(0, 12, '\p{^Line_Break=mandatorybreak}', "");
Expect(0, 12, '\P{Line_Break=mandatorybreak}', "");
Expect(1, 12, '\P{^Line_Break=mandatorybreak}', "");
Expect(0, 10, '\p{Line_Break=mandatorybreak}', "");
Expect(1, 10, '\p{^Line_Break=mandatorybreak}', "");
Expect(1, 10, '\P{Line_Break=mandatorybreak}', "");
Expect(0, 10, '\P{^Line_Break=mandatorybreak}', "");
Expect(1, 12, '\p{Line_Break=- Mandatory_break}', "");
Expect(0, 12, '\p{^Line_Break=- Mandatory_break}', "");
Expect(0, 12, '\P{Line_Break=- Mandatory_break}', "");
Expect(1, 12, '\P{^Line_Break=- Mandatory_break}', "");
Expect(0, 10, '\p{Line_Break=- Mandatory_break}', "");
Expect(1, 10, '\p{^Line_Break=- Mandatory_break}', "");
Expect(1, 10, '\P{Line_Break=- Mandatory_break}', "");
Expect(0, 10, '\P{^Line_Break=- Mandatory_break}', "");
Error('\p{Lb:   -/a/BK}');
Error('\P{Lb:   -/a/BK}');
Expect(1, 12, '\p{Lb:bk}', "");
Expect(0, 12, '\p{^Lb:bk}', "");
Expect(0, 12, '\P{Lb:bk}', "");
Expect(1, 12, '\P{^Lb:bk}', "");
Expect(0, 10, '\p{Lb:bk}', "");
Expect(1, 10, '\p{^Lb:bk}', "");
Expect(1, 10, '\P{Lb:bk}', "");
Expect(0, 10, '\P{^Lb:bk}', "");
Expect(1, 12, '\p{Lb=_	BK}', "");
Expect(0, 12, '\p{^Lb=_	BK}', "");
Expect(0, 12, '\P{Lb=_	BK}', "");
Expect(1, 12, '\P{^Lb=_	BK}', "");
Expect(0, 10, '\p{Lb=_	BK}', "");
Expect(1, 10, '\p{^Lb=_	BK}', "");
Expect(1, 10, '\P{Lb=_	BK}', "");
Expect(0, 10, '\P{^Lb=_	BK}', "");
Error('\p{Is_Line_Break=	:=MandatoryBreak}');
Error('\P{Is_Line_Break=	:=MandatoryBreak}');
Expect(1, 12, '\p{Is_Line_Break=mandatorybreak}', "");
Expect(0, 12, '\p{^Is_Line_Break=mandatorybreak}', "");
Expect(0, 12, '\P{Is_Line_Break=mandatorybreak}', "");
Expect(1, 12, '\P{^Is_Line_Break=mandatorybreak}', "");
Expect(0, 10, '\p{Is_Line_Break=mandatorybreak}', "");
Expect(1, 10, '\p{^Is_Line_Break=mandatorybreak}', "");
Expect(1, 10, '\P{Is_Line_Break=mandatorybreak}', "");
Expect(0, 10, '\P{^Is_Line_Break=mandatorybreak}', "");
Expect(1, 12, '\p{Is_Line_Break=-Mandatory	Break}', "");
Expect(0, 12, '\p{^Is_Line_Break=-Mandatory	Break}', "");
Expect(0, 12, '\P{Is_Line_Break=-Mandatory	Break}', "");
Expect(1, 12, '\P{^Is_Line_Break=-Mandatory	Break}', "");
Expect(0, 10, '\p{Is_Line_Break=-Mandatory	Break}', "");
Expect(1, 10, '\p{^Is_Line_Break=-Mandatory	Break}', "");
Expect(1, 10, '\P{Is_Line_Break=-Mandatory	Break}', "");
Expect(0, 10, '\P{^Is_Line_Break=-Mandatory	Break}', "");
Error('\p{Is_Lb=_/a/BK}');
Error('\P{Is_Lb=_/a/BK}');
Expect(1, 12, '\p{Is_Lb=bk}', "");
Expect(0, 12, '\p{^Is_Lb=bk}', "");
Expect(0, 12, '\P{Is_Lb=bk}', "");
Expect(1, 12, '\P{^Is_Lb=bk}', "");
Expect(0, 10, '\p{Is_Lb=bk}', "");
Expect(1, 10, '\p{^Is_Lb=bk}', "");
Expect(1, 10, '\P{Is_Lb=bk}', "");
Expect(0, 10, '\P{^Is_Lb=bk}', "");
Expect(1, 12, '\p{Is_Lb= BK}', "");
Expect(0, 12, '\p{^Is_Lb= BK}', "");
Expect(0, 12, '\P{Is_Lb= BK}', "");
Expect(1, 12, '\P{^Is_Lb= BK}', "");
Expect(0, 10, '\p{Is_Lb= BK}', "");
Expect(1, 10, '\p{^Is_Lb= BK}', "");
Expect(1, 10, '\P{Is_Lb= BK}', "");
Expect(0, 10, '\P{^Is_Lb= BK}', "");
Error('\p{Line_Break=/a/Nonstarter}');
Error('\P{Line_Break=/a/Nonstarter}');
Expect(1, 6102, '\p{Line_Break=nonstarter}', "");
Expect(0, 6102, '\p{^Line_Break=nonstarter}', "");
Expect(0, 6102, '\P{Line_Break=nonstarter}', "");
Expect(1, 6102, '\P{^Line_Break=nonstarter}', "");
Expect(0, 6101, '\p{Line_Break=nonstarter}', "");
Expect(1, 6101, '\p{^Line_Break=nonstarter}', "");
Expect(1, 6101, '\P{Line_Break=nonstarter}', "");
Expect(0, 6101, '\P{^Line_Break=nonstarter}', "");
Expect(1, 6102, '\p{Line_Break= Nonstarter}', "");
Expect(0, 6102, '\p{^Line_Break= Nonstarter}', "");
Expect(0, 6102, '\P{Line_Break= Nonstarter}', "");
Expect(1, 6102, '\P{^Line_Break= Nonstarter}', "");
Expect(0, 6101, '\p{Line_Break= Nonstarter}', "");
Expect(1, 6101, '\p{^Line_Break= Nonstarter}', "");
Expect(1, 6101, '\P{Line_Break= Nonstarter}', "");
Expect(0, 6101, '\P{^Line_Break= Nonstarter}', "");
Error('\p{Lb=		NS/a/}');
Error('\P{Lb=		NS/a/}');
Expect(1, 6102, '\p{Lb=ns}', "");
Expect(0, 6102, '\p{^Lb=ns}', "");
Expect(0, 6102, '\P{Lb=ns}', "");
Expect(1, 6102, '\P{^Lb=ns}', "");
Expect(0, 6101, '\p{Lb=ns}', "");
Expect(1, 6101, '\p{^Lb=ns}', "");
Expect(1, 6101, '\P{Lb=ns}', "");
Expect(0, 6101, '\P{^Lb=ns}', "");
Expect(1, 6102, '\p{Lb=- ns}', "");
Expect(0, 6102, '\p{^Lb=- ns}', "");
Expect(0, 6102, '\P{Lb=- ns}', "");
Expect(1, 6102, '\P{^Lb=- ns}', "");
Expect(0, 6101, '\p{Lb=- ns}', "");
Expect(1, 6101, '\p{^Lb=- ns}', "");
Expect(1, 6101, '\P{Lb=- ns}', "");
Expect(0, 6101, '\P{^Lb=- ns}', "");
Error('\p{Is_Line_Break=-/a/NONSTARTER}');
Error('\P{Is_Line_Break=-/a/NONSTARTER}');
Expect(1, 6102, '\p{Is_Line_Break=nonstarter}', "");
Expect(0, 6102, '\p{^Is_Line_Break=nonstarter}', "");
Expect(0, 6102, '\P{Is_Line_Break=nonstarter}', "");
Expect(1, 6102, '\P{^Is_Line_Break=nonstarter}', "");
Expect(0, 6101, '\p{Is_Line_Break=nonstarter}', "");
Expect(1, 6101, '\p{^Is_Line_Break=nonstarter}', "");
Expect(1, 6101, '\P{Is_Line_Break=nonstarter}', "");
Expect(0, 6101, '\P{^Is_Line_Break=nonstarter}', "");
Expect(1, 6102, '\p{Is_Line_Break=	NONSTARTER}', "");
Expect(0, 6102, '\p{^Is_Line_Break=	NONSTARTER}', "");
Expect(0, 6102, '\P{Is_Line_Break=	NONSTARTER}', "");
Expect(1, 6102, '\P{^Is_Line_Break=	NONSTARTER}', "");
Expect(0, 6101, '\p{Is_Line_Break=	NONSTARTER}', "");
Expect(1, 6101, '\p{^Is_Line_Break=	NONSTARTER}', "");
Expect(1, 6101, '\P{Is_Line_Break=	NONSTARTER}', "");
Expect(0, 6101, '\P{^Is_Line_Break=	NONSTARTER}', "");
Error('\p{Is_Lb= /a/NS}');
Error('\P{Is_Lb= /a/NS}');
Expect(1, 6102, '\p{Is_Lb=ns}', "");
Expect(0, 6102, '\p{^Is_Lb=ns}', "");
Expect(0, 6102, '\P{Is_Lb=ns}', "");
Expect(1, 6102, '\P{^Is_Lb=ns}', "");
Expect(0, 6101, '\p{Is_Lb=ns}', "");
Expect(1, 6101, '\p{^Is_Lb=ns}', "");
Expect(1, 6101, '\P{Is_Lb=ns}', "");
Expect(0, 6101, '\P{^Is_Lb=ns}', "");
Expect(1, 6102, '\p{Is_Lb=  NS}', "");
Expect(0, 6102, '\p{^Is_Lb=  NS}', "");
Expect(0, 6102, '\P{Is_Lb=  NS}', "");
Expect(1, 6102, '\P{^Is_Lb=  NS}', "");
Expect(0, 6101, '\p{Is_Lb=  NS}', "");
Expect(1, 6101, '\p{^Is_Lb=  NS}', "");
Expect(1, 6101, '\P{Is_Lb=  NS}', "");
Expect(0, 6101, '\P{^Is_Lb=  NS}', "");
Error('\p{Line_Break=-/a/JV}');
Error('\P{Line_Break=-/a/JV}');
Expect(1, 4519, '\p{Line_Break=jv}', "");
Expect(0, 4519, '\p{^Line_Break=jv}', "");
Expect(0, 4519, '\P{Line_Break=jv}', "");
Expect(1, 4519, '\P{^Line_Break=jv}', "");
Expect(0, 4447, '\p{Line_Break=jv}', "");
Expect(1, 4447, '\p{^Line_Break=jv}', "");
Expect(1, 4447, '\P{Line_Break=jv}', "");
Expect(0, 4447, '\P{^Line_Break=jv}', "");
Expect(1, 4519, '\p{Line_Break=	-JV}', "");
Expect(0, 4519, '\p{^Line_Break=	-JV}', "");
Expect(0, 4519, '\P{Line_Break=	-JV}', "");
Expect(1, 4519, '\P{^Line_Break=	-JV}', "");
Expect(0, 4447, '\p{Line_Break=	-JV}', "");
Expect(1, 4447, '\p{^Line_Break=	-JV}', "");
Expect(1, 4447, '\P{Line_Break=	-JV}', "");
Expect(0, 4447, '\P{^Line_Break=	-JV}', "");
Error('\p{Lb=/a/JV}');
Error('\P{Lb=/a/JV}');
Expect(1, 4519, '\p{Lb=jv}', "");
Expect(0, 4519, '\p{^Lb=jv}', "");
Expect(0, 4519, '\P{Lb=jv}', "");
Expect(1, 4519, '\P{^Lb=jv}', "");
Expect(0, 4447, '\p{Lb=jv}', "");
Expect(1, 4447, '\p{^Lb=jv}', "");
Expect(1, 4447, '\P{Lb=jv}', "");
Expect(0, 4447, '\P{^Lb=jv}', "");
Expect(1, 4519, '\p{Lb=	-JV}', "");
Expect(0, 4519, '\p{^Lb=	-JV}', "");
Expect(0, 4519, '\P{Lb=	-JV}', "");
Expect(1, 4519, '\P{^Lb=	-JV}', "");
Expect(0, 4447, '\p{Lb=	-JV}', "");
Expect(1, 4447, '\p{^Lb=	-JV}', "");
Expect(1, 4447, '\P{Lb=	-JV}', "");
Expect(0, 4447, '\P{^Lb=	-JV}', "");
Error('\p{Is_Line_Break=/a/__JV}');
Error('\P{Is_Line_Break=/a/__JV}');
Expect(1, 4519, '\p{Is_Line_Break=jv}', "");
Expect(0, 4519, '\p{^Is_Line_Break=jv}', "");
Expect(0, 4519, '\P{Is_Line_Break=jv}', "");
Expect(1, 4519, '\P{^Is_Line_Break=jv}', "");
Expect(0, 4447, '\p{Is_Line_Break=jv}', "");
Expect(1, 4447, '\p{^Is_Line_Break=jv}', "");
Expect(1, 4447, '\P{Is_Line_Break=jv}', "");
Expect(0, 4447, '\P{^Is_Line_Break=jv}', "");
Expect(1, 4519, '\p{Is_Line_Break=	jv}', "");
Expect(0, 4519, '\p{^Is_Line_Break=	jv}', "");
Expect(0, 4519, '\P{Is_Line_Break=	jv}', "");
Expect(1, 4519, '\P{^Is_Line_Break=	jv}', "");
Expect(0, 4447, '\p{Is_Line_Break=	jv}', "");
Expect(1, 4447, '\p{^Is_Line_Break=	jv}', "");
Expect(1, 4447, '\P{Is_Line_Break=	jv}', "");
Expect(0, 4447, '\P{^Is_Line_Break=	jv}', "");
Error('\p{Is_Lb:   /a/_	JV}');
Error('\P{Is_Lb:   /a/_	JV}');
Expect(1, 4519, '\p{Is_Lb=jv}', "");
Expect(0, 4519, '\p{^Is_Lb=jv}', "");
Expect(0, 4519, '\P{Is_Lb=jv}', "");
Expect(1, 4519, '\P{^Is_Lb=jv}', "");
Expect(0, 4447, '\p{Is_Lb=jv}', "");
Expect(1, 4447, '\p{^Is_Lb=jv}', "");
Expect(1, 4447, '\P{Is_Lb=jv}', "");
Expect(0, 4447, '\P{^Is_Lb=jv}', "");
Expect(1, 4519, '\p{Is_Lb:  jv}', "");
Expect(0, 4519, '\p{^Is_Lb:  jv}', "");
Expect(0, 4519, '\P{Is_Lb:  jv}', "");
Expect(1, 4519, '\P{^Is_Lb:  jv}', "");
Expect(0, 4447, '\p{Is_Lb:  jv}', "");
Expect(1, 4447, '\p{^Is_Lb:  jv}', "");
Expect(1, 4447, '\P{Is_Lb:  jv}', "");
Expect(0, 4447, '\P{^Is_Lb:  jv}', "");
Error('\p{Line_Break= _Quotation/a/}');
Error('\P{Line_Break= _Quotation/a/}');
Expect(1, 34, '\p{Line_Break=quotation}', "");
Expect(0, 34, '\p{^Line_Break=quotation}', "");
Expect(0, 34, '\P{Line_Break=quotation}', "");
Expect(1, 34, '\P{^Line_Break=quotation}', "");
Expect(0, 33, '\p{Line_Break=quotation}', "");
Expect(1, 33, '\p{^Line_Break=quotation}', "");
Expect(1, 33, '\P{Line_Break=quotation}', "");
Expect(0, 33, '\P{^Line_Break=quotation}', "");
Expect(1, 34, '\p{Line_Break=	QUOTATION}', "");
Expect(0, 34, '\p{^Line_Break=	QUOTATION}', "");
Expect(0, 34, '\P{Line_Break=	QUOTATION}', "");
Expect(1, 34, '\P{^Line_Break=	QUOTATION}', "");
Expect(0, 33, '\p{Line_Break=	QUOTATION}', "");
Expect(1, 33, '\p{^Line_Break=	QUOTATION}', "");
Expect(1, 33, '\P{Line_Break=	QUOTATION}', "");
Expect(0, 33, '\P{^Line_Break=	QUOTATION}', "");
Error('\p{Lb=	:=QU}');
Error('\P{Lb=	:=QU}');
Expect(1, 34, '\p{Lb=qu}', "");
Expect(0, 34, '\p{^Lb=qu}', "");
Expect(0, 34, '\P{Lb=qu}', "");
Expect(1, 34, '\P{^Lb=qu}', "");
Expect(0, 33, '\p{Lb=qu}', "");
Expect(1, 33, '\p{^Lb=qu}', "");
Expect(1, 33, '\P{Lb=qu}', "");
Expect(0, 33, '\P{^Lb=qu}', "");
Expect(1, 34, '\p{Lb=	_QU}', "");
Expect(0, 34, '\p{^Lb=	_QU}', "");
Expect(0, 34, '\P{Lb=	_QU}', "");
Expect(1, 34, '\P{^Lb=	_QU}', "");
Expect(0, 33, '\p{Lb=	_QU}', "");
Expect(1, 33, '\p{^Lb=	_QU}', "");
Expect(1, 33, '\P{Lb=	_QU}', "");
Expect(0, 33, '\P{^Lb=	_QU}', "");
Error('\p{Is_Line_Break=_	Quotation/a/}');
Error('\P{Is_Line_Break=_	Quotation/a/}');
Expect(1, 34, '\p{Is_Line_Break:   quotation}', "");
Expect(0, 34, '\p{^Is_Line_Break:   quotation}', "");
Expect(0, 34, '\P{Is_Line_Break:   quotation}', "");
Expect(1, 34, '\P{^Is_Line_Break:   quotation}', "");
Expect(0, 33, '\p{Is_Line_Break:   quotation}', "");
Expect(1, 33, '\p{^Is_Line_Break:   quotation}', "");
Expect(1, 33, '\P{Is_Line_Break:   quotation}', "");
Expect(0, 33, '\P{^Is_Line_Break:   quotation}', "");
Expect(1, 34, '\p{Is_Line_Break=_ Quotation}', "");
Expect(0, 34, '\p{^Is_Line_Break=_ Quotation}', "");
Expect(0, 34, '\P{Is_Line_Break=_ Quotation}', "");
Expect(1, 34, '\P{^Is_Line_Break=_ Quotation}', "");
Expect(0, 33, '\p{Is_Line_Break=_ Quotation}', "");
Expect(1, 33, '\p{^Is_Line_Break=_ Quotation}', "");
Expect(1, 33, '\P{Is_Line_Break=_ Quotation}', "");
Expect(0, 33, '\P{^Is_Line_Break=_ Quotation}', "");
Error('\p{Is_Lb=:=qu}');
Error('\P{Is_Lb=:=qu}');
Expect(1, 34, '\p{Is_Lb=qu}', "");
Expect(0, 34, '\p{^Is_Lb=qu}', "");
Expect(0, 34, '\P{Is_Lb=qu}', "");
Expect(1, 34, '\P{^Is_Lb=qu}', "");
Expect(0, 33, '\p{Is_Lb=qu}', "");
Expect(1, 33, '\p{^Is_Lb=qu}', "");
Expect(1, 33, '\P{Is_Lb=qu}', "");
Expect(0, 33, '\P{^Is_Lb=qu}', "");
Expect(1, 34, '\p{Is_Lb=	-QU}', "");
Expect(0, 34, '\p{^Is_Lb=	-QU}', "");
Expect(0, 34, '\P{Is_Lb=	-QU}', "");
Expect(1, 34, '\P{^Is_Lb=	-QU}', "");
Expect(0, 33, '\p{Is_Lb=	-QU}', "");
Expect(1, 33, '\p{^Is_Lb=	-QU}', "");
Expect(1, 33, '\P{Is_Lb=	-QU}', "");
Expect(0, 33, '\P{^Is_Lb=	-QU}', "");
Error('\p{Line_Break=:= INFIX NUMERIC}');
Error('\P{Line_Break=:= INFIX NUMERIC}');
Expect(1, 44, '\p{Line_Break=infixnumeric}', "");
Expect(0, 44, '\p{^Line_Break=infixnumeric}', "");
Expect(0, 44, '\P{Line_Break=infixnumeric}', "");
Expect(1, 44, '\P{^Line_Break=infixnumeric}', "");
Expect(0, 43, '\p{Line_Break=infixnumeric}', "");
Expect(1, 43, '\p{^Line_Break=infixnumeric}', "");
Expect(1, 43, '\P{Line_Break=infixnumeric}', "");
Expect(0, 43, '\P{^Line_Break=infixnumeric}', "");
Expect(1, 44, '\p{Line_Break=_Infix numeric}', "");
Expect(0, 44, '\p{^Line_Break=_Infix numeric}', "");
Expect(0, 44, '\P{Line_Break=_Infix numeric}', "");
Expect(1, 44, '\P{^Line_Break=_Infix numeric}', "");
Expect(0, 43, '\p{Line_Break=_Infix numeric}', "");
Expect(1, 43, '\p{^Line_Break=_Infix numeric}', "");
Expect(1, 43, '\P{Line_Break=_Infix numeric}', "");
Expect(0, 43, '\P{^Line_Break=_Infix numeric}', "");
Error('\p{Lb=is:=}');
Error('\P{Lb=is:=}');
Expect(1, 44, '\p{Lb=is}', "");
Expect(0, 44, '\p{^Lb=is}', "");
Expect(0, 44, '\P{Lb=is}', "");
Expect(1, 44, '\P{^Lb=is}', "");
Expect(0, 43, '\p{Lb=is}', "");
Expect(1, 43, '\p{^Lb=is}', "");
Expect(1, 43, '\P{Lb=is}', "");
Expect(0, 43, '\P{^Lb=is}', "");
Expect(1, 44, '\p{Lb=-IS}', "");
Expect(0, 44, '\p{^Lb=-IS}', "");
Expect(0, 44, '\P{Lb=-IS}', "");
Expect(1, 44, '\P{^Lb=-IS}', "");
Expect(0, 43, '\p{Lb=-IS}', "");
Expect(1, 43, '\p{^Lb=-IS}', "");
Expect(1, 43, '\P{Lb=-IS}', "");
Expect(0, 43, '\P{^Lb=-IS}', "");
Error('\p{Is_Line_Break=:=	_Infix-Numeric}');
Error('\P{Is_Line_Break=:=	_Infix-Numeric}');
Expect(1, 44, '\p{Is_Line_Break=infixnumeric}', "");
Expect(0, 44, '\p{^Is_Line_Break=infixnumeric}', "");
Expect(0, 44, '\P{Is_Line_Break=infixnumeric}', "");
Expect(1, 44, '\P{^Is_Line_Break=infixnumeric}', "");
Expect(0, 43, '\p{Is_Line_Break=infixnumeric}', "");
Expect(1, 43, '\p{^Is_Line_Break=infixnumeric}', "");
Expect(1, 43, '\P{Is_Line_Break=infixnumeric}', "");
Expect(0, 43, '\P{^Is_Line_Break=infixnumeric}', "");
Expect(1, 44, '\p{Is_Line_Break= Infix NUMERIC}', "");
Expect(0, 44, '\p{^Is_Line_Break= Infix NUMERIC}', "");
Expect(0, 44, '\P{Is_Line_Break= Infix NUMERIC}', "");
Expect(1, 44, '\P{^Is_Line_Break= Infix NUMERIC}', "");
Expect(0, 43, '\p{Is_Line_Break= Infix NUMERIC}', "");
Expect(1, 43, '\p{^Is_Line_Break= Infix NUMERIC}', "");
Expect(1, 43, '\P{Is_Line_Break= Infix NUMERIC}', "");
Expect(0, 43, '\P{^Is_Line_Break= Infix NUMERIC}', "");
Error('\p{Is_Lb:    IS:=}');
Error('\P{Is_Lb:    IS:=}');
Expect(1, 44, '\p{Is_Lb=is}', "");
Expect(0, 44, '\p{^Is_Lb=is}', "");
Expect(0, 44, '\P{Is_Lb=is}', "");
Expect(1, 44, '\P{^Is_Lb=is}', "");
Expect(0, 43, '\p{Is_Lb=is}', "");
Expect(1, 43, '\p{^Is_Lb=is}', "");
Expect(1, 43, '\P{Is_Lb=is}', "");
Expect(0, 43, '\P{^Is_Lb=is}', "");
Expect(1, 44, '\p{Is_Lb=_ IS}', "");
Expect(0, 44, '\p{^Is_Lb=_ IS}', "");
Expect(0, 44, '\P{Is_Lb=_ IS}', "");
Expect(1, 44, '\P{^Is_Lb=_ IS}', "");
Expect(0, 43, '\p{Is_Lb=_ IS}', "");
Expect(1, 43, '\p{^Is_Lb=_ IS}', "");
Expect(1, 43, '\P{Is_Lb=_ IS}', "");
Expect(0, 43, '\P{^Is_Lb=_ IS}', "");
Error('\p{Line_Break=/a/  inseparable}');
Error('\P{Line_Break=/a/  inseparable}');
Expect(1, 8230, '\p{Line_Break=inseparable}', "");
Expect(0, 8230, '\p{^Line_Break=inseparable}', "");
Expect(0, 8230, '\P{Line_Break=inseparable}', "");
Expect(1, 8230, '\P{^Line_Break=inseparable}', "");
Expect(0, 8227, '\p{Line_Break=inseparable}', "");
Expect(1, 8227, '\p{^Line_Break=inseparable}', "");
Expect(1, 8227, '\P{Line_Break=inseparable}', "");
Expect(0, 8227, '\P{^Line_Break=inseparable}', "");
Expect(1, 8230, '\p{Line_Break=-_inseparable}', "");
Expect(0, 8230, '\p{^Line_Break=-_inseparable}', "");
Expect(0, 8230, '\P{Line_Break=-_inseparable}', "");
Expect(1, 8230, '\P{^Line_Break=-_inseparable}', "");
Expect(0, 8227, '\p{Line_Break=-_inseparable}', "");
Expect(1, 8227, '\p{^Line_Break=-_inseparable}', "");
Expect(1, 8227, '\P{Line_Break=-_inseparable}', "");
Expect(0, 8227, '\P{^Line_Break=-_inseparable}', "");
Error('\p{Lb= -IN:=}');
Error('\P{Lb= -IN:=}');
Expect(1, 8230, '\p{Lb: in}', "");
Expect(0, 8230, '\p{^Lb: in}', "");
Expect(0, 8230, '\P{Lb: in}', "");
Expect(1, 8230, '\P{^Lb: in}', "");
Expect(0, 8227, '\p{Lb: in}', "");
Expect(1, 8227, '\p{^Lb: in}', "");
Expect(1, 8227, '\P{Lb: in}', "");
Expect(0, 8227, '\P{^Lb: in}', "");
Expect(1, 8230, '\p{Lb:	 	IN}', "");
Expect(0, 8230, '\p{^Lb:	 	IN}', "");
Expect(0, 8230, '\P{Lb:	 	IN}', "");
Expect(1, 8230, '\P{^Lb:	 	IN}', "");
Expect(0, 8227, '\p{Lb:	 	IN}', "");
Expect(1, 8227, '\p{^Lb:	 	IN}', "");
Expect(1, 8227, '\P{Lb:	 	IN}', "");
Expect(0, 8227, '\P{^Lb:	 	IN}', "");
Error('\p{Is_Line_Break= Inseperable/a/}');
Error('\P{Is_Line_Break= Inseperable/a/}');
Expect(1, 8230, '\p{Is_Line_Break=inseperable}', "");
Expect(0, 8230, '\p{^Is_Line_Break=inseperable}', "");
Expect(0, 8230, '\P{Is_Line_Break=inseperable}', "");
Expect(1, 8230, '\P{^Is_Line_Break=inseperable}', "");
Expect(0, 8227, '\p{Is_Line_Break=inseperable}', "");
Expect(1, 8227, '\p{^Is_Line_Break=inseperable}', "");
Expect(1, 8227, '\P{Is_Line_Break=inseperable}', "");
Expect(0, 8227, '\P{^Is_Line_Break=inseperable}', "");
Expect(1, 8230, '\p{Is_Line_Break=_ Inseperable}', "");
Expect(0, 8230, '\p{^Is_Line_Break=_ Inseperable}', "");
Expect(0, 8230, '\P{Is_Line_Break=_ Inseperable}', "");
Expect(1, 8230, '\P{^Is_Line_Break=_ Inseperable}', "");
Expect(0, 8227, '\p{Is_Line_Break=_ Inseperable}', "");
Expect(1, 8227, '\p{^Is_Line_Break=_ Inseperable}', "");
Expect(1, 8227, '\P{Is_Line_Break=_ Inseperable}', "");
Expect(0, 8227, '\P{^Is_Line_Break=_ Inseperable}', "");
Error('\p{Is_Lb=	-Inseparable/a/}');
Error('\P{Is_Lb=	-Inseparable/a/}');
Expect(1, 8230, '\p{Is_Lb=inseparable}', "");
Expect(0, 8230, '\p{^Is_Lb=inseparable}', "");
Expect(0, 8230, '\P{Is_Lb=inseparable}', "");
Expect(1, 8230, '\P{^Is_Lb=inseparable}', "");
Expect(0, 8227, '\p{Is_Lb=inseparable}', "");
Expect(1, 8227, '\p{^Is_Lb=inseparable}', "");
Expect(1, 8227, '\P{Is_Lb=inseparable}', "");
Expect(0, 8227, '\P{^Is_Lb=inseparable}', "");
Expect(1, 8230, '\p{Is_Lb=	Inseparable}', "");
Expect(0, 8230, '\p{^Is_Lb=	Inseparable}', "");
Expect(0, 8230, '\P{Is_Lb=	Inseparable}', "");
Expect(1, 8230, '\P{^Is_Lb=	Inseparable}', "");
Expect(0, 8227, '\p{Is_Lb=	Inseparable}', "");
Expect(1, 8227, '\p{^Is_Lb=	Inseparable}', "");
Expect(1, 8227, '\P{Is_Lb=	Inseparable}', "");
Expect(0, 8227, '\P{^Is_Lb=	Inseparable}', "");
Error('\p{Line_Break= _COMPLEX/a/CONTEXT}');
Error('\P{Line_Break= _COMPLEX/a/CONTEXT}');
Expect(1, 3642, '\p{Line_Break=complexcontext}', "");
Expect(0, 3642, '\p{^Line_Break=complexcontext}', "");
Expect(0, 3642, '\P{Line_Break=complexcontext}', "");
Expect(1, 3642, '\P{^Line_Break=complexcontext}', "");
Expect(0, 3584, '\p{Line_Break=complexcontext}', "");
Expect(1, 3584, '\p{^Line_Break=complexcontext}', "");
Expect(1, 3584, '\P{Line_Break=complexcontext}', "");
Expect(0, 3584, '\P{^Line_Break=complexcontext}', "");
Expect(1, 3642, '\p{Line_Break=_COMPLEX CONTEXT}', "");
Expect(0, 3642, '\p{^Line_Break=_COMPLEX CONTEXT}', "");
Expect(0, 3642, '\P{Line_Break=_COMPLEX CONTEXT}', "");
Expect(1, 3642, '\P{^Line_Break=_COMPLEX CONTEXT}', "");
Expect(0, 3584, '\p{Line_Break=_COMPLEX CONTEXT}', "");
Expect(1, 3584, '\p{^Line_Break=_COMPLEX CONTEXT}', "");
Expect(1, 3584, '\P{Line_Break=_COMPLEX CONTEXT}', "");
Expect(0, 3584, '\P{^Line_Break=_COMPLEX CONTEXT}', "");
Error('\p{Lb=_ SA:=}');
Error('\P{Lb=_ SA:=}');
Expect(1, 3642, '\p{Lb=sa}', "");
Expect(0, 3642, '\p{^Lb=sa}', "");
Expect(0, 3642, '\P{Lb=sa}', "");
Expect(1, 3642, '\P{^Lb=sa}', "");
Expect(0, 3584, '\p{Lb=sa}', "");
Expect(1, 3584, '\p{^Lb=sa}', "");
Expect(1, 3584, '\P{Lb=sa}', "");
Expect(0, 3584, '\P{^Lb=sa}', "");
Expect(1, 3642, '\p{Lb=_-SA}', "");
Expect(0, 3642, '\p{^Lb=_-SA}', "");
Expect(0, 3642, '\P{Lb=_-SA}', "");
Expect(1, 3642, '\P{^Lb=_-SA}', "");
Expect(0, 3584, '\p{Lb=_-SA}', "");
Expect(1, 3584, '\p{^Lb=_-SA}', "");
Expect(1, 3584, '\P{Lb=_-SA}', "");
Expect(0, 3584, '\P{^Lb=_-SA}', "");
Error('\p{Is_Line_Break=  Complex/a/CONTEXT}');
Error('\P{Is_Line_Break=  Complex/a/CONTEXT}');
Expect(1, 3642, '\p{Is_Line_Break=complexcontext}', "");
Expect(0, 3642, '\p{^Is_Line_Break=complexcontext}', "");
Expect(0, 3642, '\P{Is_Line_Break=complexcontext}', "");
Expect(1, 3642, '\P{^Is_Line_Break=complexcontext}', "");
Expect(0, 3584, '\p{Is_Line_Break=complexcontext}', "");
Expect(1, 3584, '\p{^Is_Line_Break=complexcontext}', "");
Expect(1, 3584, '\P{Is_Line_Break=complexcontext}', "");
Expect(0, 3584, '\P{^Is_Line_Break=complexcontext}', "");
Expect(1, 3642, '\p{Is_Line_Break=  ComplexContext}', "");
Expect(0, 3642, '\p{^Is_Line_Break=  ComplexContext}', "");
Expect(0, 3642, '\P{Is_Line_Break=  ComplexContext}', "");
Expect(1, 3642, '\P{^Is_Line_Break=  ComplexContext}', "");
Expect(0, 3584, '\p{Is_Line_Break=  ComplexContext}', "");
Expect(1, 3584, '\p{^Is_Line_Break=  ComplexContext}', "");
Expect(1, 3584, '\P{Is_Line_Break=  ComplexContext}', "");
Expect(0, 3584, '\P{^Is_Line_Break=  ComplexContext}', "");
Error('\p{Is_Lb=	:=SA}');
Error('\P{Is_Lb=	:=SA}');
Expect(1, 3642, '\p{Is_Lb=sa}', "");
Expect(0, 3642, '\p{^Is_Lb=sa}', "");
Expect(0, 3642, '\P{Is_Lb=sa}', "");
Expect(1, 3642, '\P{^Is_Lb=sa}', "");
Expect(0, 3584, '\p{Is_Lb=sa}', "");
Expect(1, 3584, '\p{^Is_Lb=sa}', "");
Expect(1, 3584, '\P{Is_Lb=sa}', "");
Expect(0, 3584, '\P{^Is_Lb=sa}', "");
Expect(1, 3642, '\p{Is_Lb=	SA}', "");
Expect(0, 3642, '\p{^Is_Lb=	SA}', "");
Expect(0, 3642, '\P{Is_Lb=	SA}', "");
Expect(1, 3642, '\P{^Is_Lb=	SA}', "");
Expect(0, 3584, '\p{Is_Lb=	SA}', "");
Expect(1, 3584, '\p{^Is_Lb=	SA}', "");
Expect(1, 3584, '\P{Is_Lb=	SA}', "");
Expect(0, 3584, '\P{^Is_Lb=	SA}', "");
Error('\p{Line_Break=:=-	HYPHEN}');
Error('\P{Line_Break=:=-	HYPHEN}');
Expect(1, 45, '\p{Line_Break=hyphen}', "");
Expect(0, 45, '\p{^Line_Break=hyphen}', "");
Expect(0, 45, '\P{Line_Break=hyphen}', "");
Expect(1, 45, '\P{^Line_Break=hyphen}', "");
Expect(0, 44, '\p{Line_Break=hyphen}', "");
Expect(1, 44, '\p{^Line_Break=hyphen}', "");
Expect(1, 44, '\P{Line_Break=hyphen}', "");
Expect(0, 44, '\P{^Line_Break=hyphen}', "");
Expect(1, 45, '\p{Line_Break=- Hyphen}', "");
Expect(0, 45, '\p{^Line_Break=- Hyphen}', "");
Expect(0, 45, '\P{Line_Break=- Hyphen}', "");
Expect(1, 45, '\P{^Line_Break=- Hyphen}', "");
Expect(0, 44, '\p{Line_Break=- Hyphen}', "");
Expect(1, 44, '\p{^Line_Break=- Hyphen}', "");
Expect(1, 44, '\P{Line_Break=- Hyphen}', "");
Expect(0, 44, '\P{^Line_Break=- Hyphen}', "");
Error('\p{Lb=:=		hy}');
Error('\P{Lb=:=		hy}');
Expect(1, 45, '\p{Lb=hy}', "");
Expect(0, 45, '\p{^Lb=hy}', "");
Expect(0, 45, '\P{Lb=hy}', "");
Expect(1, 45, '\P{^Lb=hy}', "");
Expect(0, 44, '\p{Lb=hy}', "");
Expect(1, 44, '\p{^Lb=hy}', "");
Expect(1, 44, '\P{Lb=hy}', "");
Expect(0, 44, '\P{^Lb=hy}', "");
Expect(1, 45, '\p{Lb:- HY}', "");
Expect(0, 45, '\p{^Lb:- HY}', "");
Expect(0, 45, '\P{Lb:- HY}', "");
Expect(1, 45, '\P{^Lb:- HY}', "");
Expect(0, 44, '\p{Lb:- HY}', "");
Expect(1, 44, '\p{^Lb:- HY}', "");
Expect(1, 44, '\P{Lb:- HY}', "");
Expect(0, 44, '\P{^Lb:- HY}', "");
Error('\p{Is_Line_Break=_-Hyphen:=}');
Error('\P{Is_Line_Break=_-Hyphen:=}');
Expect(1, 45, '\p{Is_Line_Break=hyphen}', "");
Expect(0, 45, '\p{^Is_Line_Break=hyphen}', "");
Expect(0, 45, '\P{Is_Line_Break=hyphen}', "");
Expect(1, 45, '\P{^Is_Line_Break=hyphen}', "");
Expect(0, 44, '\p{Is_Line_Break=hyphen}', "");
Expect(1, 44, '\p{^Is_Line_Break=hyphen}', "");
Expect(1, 44, '\P{Is_Line_Break=hyphen}', "");
Expect(0, 44, '\P{^Is_Line_Break=hyphen}', "");
Error('\p{Is_Lb=HY:=}');
Error('\P{Is_Lb=HY:=}');
Expect(1, 45, '\p{Is_Lb=hy}', "");
Expect(0, 45, '\p{^Is_Lb=hy}', "");
Expect(0, 45, '\P{Is_Lb=hy}', "");
Expect(1, 45, '\P{^Is_Lb=hy}', "");
Expect(0, 44, '\p{Is_Lb=hy}', "");
Expect(1, 44, '\p{^Is_Lb=hy}', "");
Expect(1, 44, '\P{Is_Lb=hy}', "");
Expect(0, 44, '\P{^Is_Lb=hy}', "");
Expect(1, 45, '\p{Is_Lb=  HY}', "");
Expect(0, 45, '\p{^Is_Lb=  HY}', "");
Expect(0, 45, '\P{Is_Lb=  HY}', "");
Expect(1, 45, '\P{^Is_Lb=  HY}', "");
Expect(0, 44, '\p{Is_Lb=  HY}', "");
Expect(1, 44, '\p{^Is_Lb=  HY}', "");
Expect(1, 44, '\P{Is_Lb=  HY}', "");
Expect(0, 44, '\P{^Is_Lb=  HY}', "");
Error('\p{Line_Break=_-break:=AFTER}');
Error('\P{Line_Break=_-break:=AFTER}');
Expect(1, 9, '\p{Line_Break=breakafter}', "");
Expect(0, 9, '\p{^Line_Break=breakafter}', "");
Expect(0, 9, '\P{Line_Break=breakafter}', "");
Expect(1, 9, '\P{^Line_Break=breakafter}', "");
Expect(0, 8, '\p{Line_Break=breakafter}', "");
Expect(1, 8, '\p{^Line_Break=breakafter}', "");
Expect(1, 8, '\P{Line_Break=breakafter}', "");
Expect(0, 8, '\P{^Line_Break=breakafter}', "");
Expect(1, 9, '\p{Line_Break=-	Break_After}', "");
Expect(0, 9, '\p{^Line_Break=-	Break_After}', "");
Expect(0, 9, '\P{Line_Break=-	Break_After}', "");
Expect(1, 9, '\P{^Line_Break=-	Break_After}', "");
Expect(0, 8, '\p{Line_Break=-	Break_After}', "");
Expect(1, 8, '\p{^Line_Break=-	Break_After}', "");
Expect(1, 8, '\P{Line_Break=-	Break_After}', "");
Expect(0, 8, '\P{^Line_Break=-	Break_After}', "");
Error('\p{Lb= /a/ba}');
Error('\P{Lb= /a/ba}');
Expect(1, 9, '\p{Lb=ba}', "");
Expect(0, 9, '\p{^Lb=ba}', "");
Expect(0, 9, '\P{Lb=ba}', "");
Expect(1, 9, '\P{^Lb=ba}', "");
Expect(0, 8, '\p{Lb=ba}', "");
Expect(1, 8, '\p{^Lb=ba}', "");
Expect(1, 8, '\P{Lb=ba}', "");
Expect(0, 8, '\P{^Lb=ba}', "");
Expect(1, 9, '\p{Lb: -BA}', "");
Expect(0, 9, '\p{^Lb: -BA}', "");
Expect(0, 9, '\P{Lb: -BA}', "");
Expect(1, 9, '\P{^Lb: -BA}', "");
Expect(0, 8, '\p{Lb: -BA}', "");
Expect(1, 8, '\p{^Lb: -BA}', "");
Expect(1, 8, '\P{Lb: -BA}', "");
Expect(0, 8, '\P{^Lb: -BA}', "");
Error('\p{Is_Line_Break:   break-After/a/}');
Error('\P{Is_Line_Break:   break-After/a/}');
Expect(1, 9, '\p{Is_Line_Break=breakafter}', "");
Expect(0, 9, '\p{^Is_Line_Break=breakafter}', "");
Expect(0, 9, '\P{Is_Line_Break=breakafter}', "");
Expect(1, 9, '\P{^Is_Line_Break=breakafter}', "");
Expect(0, 8, '\p{Is_Line_Break=breakafter}', "");
Expect(1, 8, '\p{^Is_Line_Break=breakafter}', "");
Expect(1, 8, '\P{Is_Line_Break=breakafter}', "");
Expect(0, 8, '\P{^Is_Line_Break=breakafter}', "");
Expect(1, 9, '\p{Is_Line_Break=--Break After}', "");
Expect(0, 9, '\p{^Is_Line_Break=--Break After}', "");
Expect(0, 9, '\P{Is_Line_Break=--Break After}', "");
Expect(1, 9, '\P{^Is_Line_Break=--Break After}', "");
Expect(0, 8, '\p{Is_Line_Break=--Break After}', "");
Expect(1, 8, '\p{^Is_Line_Break=--Break After}', "");
Expect(1, 8, '\P{Is_Line_Break=--Break After}', "");
Expect(0, 8, '\P{^Is_Line_Break=--Break After}', "");
Error('\p{Is_Lb=_:=ba}');
Error('\P{Is_Lb=_:=ba}');
Expect(1, 9, '\p{Is_Lb=ba}', "");
Expect(0, 9, '\p{^Is_Lb=ba}', "");
Expect(0, 9, '\P{Is_Lb=ba}', "");
Expect(1, 9, '\P{^Is_Lb=ba}', "");
Expect(0, 8, '\p{Is_Lb=ba}', "");
Expect(1, 8, '\p{^Is_Lb=ba}', "");
Expect(1, 8, '\P{Is_Lb=ba}', "");
Expect(0, 8, '\P{^Is_Lb=ba}', "");
Expect(1, 9, '\p{Is_Lb=	BA}', "");
Expect(0, 9, '\p{^Is_Lb=	BA}', "");
Expect(0, 9, '\P{Is_Lb=	BA}', "");
Expect(1, 9, '\P{^Is_Lb=	BA}', "");
Expect(0, 8, '\p{Is_Lb=	BA}', "");
Expect(1, 8, '\p{^Is_Lb=	BA}', "");
Expect(1, 8, '\P{Is_Lb=	BA}', "");
Expect(0, 8, '\P{^Is_Lb=	BA}', "");
Error('\p{Line_Break:	:=-	Line-FEED}');
Error('\P{Line_Break:	:=-	Line-FEED}');
Expect(1, 10, '\p{Line_Break=linefeed}', "");
Expect(0, 10, '\p{^Line_Break=linefeed}', "");
Expect(0, 10, '\P{Line_Break=linefeed}', "");
Expect(1, 10, '\P{^Line_Break=linefeed}', "");
Expect(0, 9, '\p{Line_Break=linefeed}', "");
Expect(1, 9, '\p{^Line_Break=linefeed}', "");
Expect(1, 9, '\P{Line_Break=linefeed}', "");
Expect(0, 9, '\P{^Line_Break=linefeed}', "");
Expect(1, 10, '\p{Line_Break=- line Feed}', "");
Expect(0, 10, '\p{^Line_Break=- line Feed}', "");
Expect(0, 10, '\P{Line_Break=- line Feed}', "");
Expect(1, 10, '\P{^Line_Break=- line Feed}', "");
Expect(0, 9, '\p{Line_Break=- line Feed}', "");
Expect(1, 9, '\p{^Line_Break=- line Feed}', "");
Expect(1, 9, '\P{Line_Break=- line Feed}', "");
Expect(0, 9, '\P{^Line_Break=- line Feed}', "");
Error('\p{Lb=_/a/LF}');
Error('\P{Lb=_/a/LF}');
Expect(1, 10, '\p{Lb=lf}', "");
Expect(0, 10, '\p{^Lb=lf}', "");
Expect(0, 10, '\P{Lb=lf}', "");
Expect(1, 10, '\P{^Lb=lf}', "");
Expect(0, 9, '\p{Lb=lf}', "");
Expect(1, 9, '\p{^Lb=lf}', "");
Expect(1, 9, '\P{Lb=lf}', "");
Expect(0, 9, '\P{^Lb=lf}', "");
Expect(1, 10, '\p{Lb=_lf}', "");
Expect(0, 10, '\p{^Lb=_lf}', "");
Expect(0, 10, '\P{Lb=_lf}', "");
Expect(1, 10, '\P{^Lb=_lf}', "");
Expect(0, 9, '\p{Lb=_lf}', "");
Expect(1, 9, '\p{^Lb=_lf}', "");
Expect(1, 9, '\P{Lb=_lf}', "");
Expect(0, 9, '\P{^Lb=_lf}', "");
Error('\p{Is_Line_Break=/a/_	LINE	Feed}');
Error('\P{Is_Line_Break=/a/_	LINE	Feed}');
Expect(1, 10, '\p{Is_Line_Break=linefeed}', "");
Expect(0, 10, '\p{^Is_Line_Break=linefeed}', "");
Expect(0, 10, '\P{Is_Line_Break=linefeed}', "");
Expect(1, 10, '\P{^Is_Line_Break=linefeed}', "");
Expect(0, 9, '\p{Is_Line_Break=linefeed}', "");
Expect(1, 9, '\p{^Is_Line_Break=linefeed}', "");
Expect(1, 9, '\P{Is_Line_Break=linefeed}', "");
Expect(0, 9, '\P{^Is_Line_Break=linefeed}', "");
Expect(1, 10, '\p{Is_Line_Break= 	lineFeed}', "");
Expect(0, 10, '\p{^Is_Line_Break= 	lineFeed}', "");
Expect(0, 10, '\P{Is_Line_Break= 	lineFeed}', "");
Expect(1, 10, '\P{^Is_Line_Break= 	lineFeed}', "");
Expect(0, 9, '\p{Is_Line_Break= 	lineFeed}', "");
Expect(1, 9, '\p{^Is_Line_Break= 	lineFeed}', "");
Expect(1, 9, '\P{Is_Line_Break= 	lineFeed}', "");
Expect(0, 9, '\P{^Is_Line_Break= 	lineFeed}', "");
Error('\p{Is_Lb=/a/ 	LF}');
Error('\P{Is_Lb=/a/ 	LF}');
Expect(1, 10, '\p{Is_Lb=lf}', "");
Expect(0, 10, '\p{^Is_Lb=lf}', "");
Expect(0, 10, '\P{Is_Lb=lf}', "");
Expect(1, 10, '\P{^Is_Lb=lf}', "");
Expect(0, 9, '\p{Is_Lb=lf}', "");
Expect(1, 9, '\p{^Is_Lb=lf}', "");
Expect(1, 9, '\P{Is_Lb=lf}', "");
Expect(0, 9, '\P{^Is_Lb=lf}', "");
Expect(1, 10, '\p{Is_Lb=-_lf}', "");
Expect(0, 10, '\p{^Is_Lb=-_lf}', "");
Expect(0, 10, '\P{Is_Lb=-_lf}', "");
Expect(1, 10, '\P{^Is_Lb=-_lf}', "");
Expect(0, 9, '\p{Is_Lb=-_lf}', "");
Expect(1, 9, '\p{^Is_Lb=-_lf}', "");
Expect(1, 9, '\P{Is_Lb=-_lf}', "");
Expect(0, 9, '\P{^Is_Lb=-_lf}', "");
Error('\p{Line_Break= /a/Ambiguous}');
Error('\P{Line_Break= /a/Ambiguous}');
Expect(1, 168, '\p{Line_Break=ambiguous}', "");
Expect(0, 168, '\p{^Line_Break=ambiguous}', "");
Expect(0, 168, '\P{Line_Break=ambiguous}', "");
Expect(1, 168, '\P{^Line_Break=ambiguous}', "");
Expect(0, 166, '\p{Line_Break=ambiguous}', "");
Expect(1, 166, '\p{^Line_Break=ambiguous}', "");
Expect(1, 166, '\P{Line_Break=ambiguous}', "");
Expect(0, 166, '\P{^Line_Break=ambiguous}', "");
Expect(1, 168, '\p{Line_Break=_AMBIGUOUS}', "");
Expect(0, 168, '\p{^Line_Break=_AMBIGUOUS}', "");
Expect(0, 168, '\P{Line_Break=_AMBIGUOUS}', "");
Expect(1, 168, '\P{^Line_Break=_AMBIGUOUS}', "");
Expect(0, 166, '\p{Line_Break=_AMBIGUOUS}', "");
Expect(1, 166, '\p{^Line_Break=_AMBIGUOUS}', "");
Expect(1, 166, '\P{Line_Break=_AMBIGUOUS}', "");
Expect(0, 166, '\P{^Line_Break=_AMBIGUOUS}', "");
Error('\p{Lb=:=AI}');
Error('\P{Lb=:=AI}');
Expect(1, 168, '\p{Lb=ai}', "");
Expect(0, 168, '\p{^Lb=ai}', "");
Expect(0, 168, '\P{Lb=ai}', "");
Expect(1, 168, '\P{^Lb=ai}', "");
Expect(0, 166, '\p{Lb=ai}', "");
Expect(1, 166, '\p{^Lb=ai}', "");
Expect(1, 166, '\P{Lb=ai}', "");
Expect(0, 166, '\P{^Lb=ai}', "");
Expect(1, 168, '\p{Lb=	AI}', "");
Expect(0, 168, '\p{^Lb=	AI}', "");
Expect(0, 168, '\P{Lb=	AI}', "");
Expect(1, 168, '\P{^Lb=	AI}', "");
Expect(0, 166, '\p{Lb=	AI}', "");
Expect(1, 166, '\p{^Lb=	AI}', "");
Expect(1, 166, '\P{Lb=	AI}', "");
Expect(0, 166, '\P{^Lb=	AI}', "");
Error('\p{Is_Line_Break=:=Ambiguous}');
Error('\P{Is_Line_Break=:=Ambiguous}');
Expect(1, 168, '\p{Is_Line_Break=ambiguous}', "");
Expect(0, 168, '\p{^Is_Line_Break=ambiguous}', "");
Expect(0, 168, '\P{Is_Line_Break=ambiguous}', "");
Expect(1, 168, '\P{^Is_Line_Break=ambiguous}', "");
Expect(0, 166, '\p{Is_Line_Break=ambiguous}', "");
Expect(1, 166, '\p{^Is_Line_Break=ambiguous}', "");
Expect(1, 166, '\P{Is_Line_Break=ambiguous}', "");
Expect(0, 166, '\P{^Is_Line_Break=ambiguous}', "");
Expect(1, 168, '\p{Is_Line_Break= ambiguous}', "");
Expect(0, 168, '\p{^Is_Line_Break= ambiguous}', "");
Expect(0, 168, '\P{Is_Line_Break= ambiguous}', "");
Expect(1, 168, '\P{^Is_Line_Break= ambiguous}', "");
Expect(0, 166, '\p{Is_Line_Break= ambiguous}', "");
Expect(1, 166, '\p{^Is_Line_Break= ambiguous}', "");
Expect(1, 166, '\P{Is_Line_Break= ambiguous}', "");
Expect(0, 166, '\P{^Is_Line_Break= ambiguous}', "");
Error('\p{Is_Lb=_ AI/a/}');
Error('\P{Is_Lb=_ AI/a/}');
Expect(1, 168, '\p{Is_Lb=ai}', "");
Expect(0, 168, '\p{^Is_Lb=ai}', "");
Expect(0, 168, '\P{Is_Lb=ai}', "");
Expect(1, 168, '\P{^Is_Lb=ai}', "");
Expect(0, 166, '\p{Is_Lb=ai}', "");
Expect(1, 166, '\p{^Is_Lb=ai}', "");
Expect(1, 166, '\P{Is_Lb=ai}', "");
Expect(0, 166, '\P{^Is_Lb=ai}', "");
Expect(1, 168, '\p{Is_Lb:-_ai}', "");
Expect(0, 168, '\p{^Is_Lb:-_ai}', "");
Expect(0, 168, '\P{Is_Lb:-_ai}', "");
Expect(1, 168, '\P{^Is_Lb:-_ai}', "");
Expect(0, 166, '\p{Is_Lb:-_ai}', "");
Expect(1, 166, '\p{^Is_Lb:-_ai}', "");
Expect(1, 166, '\P{Is_Lb:-_ai}', "");
Expect(0, 166, '\P{^Is_Lb:-_ai}', "");
Error('\p{Line_Break=	-CONTINGENT:=BREAK}');
Error('\P{Line_Break=	-CONTINGENT:=BREAK}');
Expect(1, 65532, '\p{Line_Break=contingentbreak}', "");
Expect(0, 65532, '\p{^Line_Break=contingentbreak}', "");
Expect(0, 65532, '\P{Line_Break=contingentbreak}', "");
Expect(1, 65532, '\P{^Line_Break=contingentbreak}', "");
Expect(0, 65531, '\p{Line_Break=contingentbreak}', "");
Expect(1, 65531, '\p{^Line_Break=contingentbreak}', "");
Expect(1, 65531, '\P{Line_Break=contingentbreak}', "");
Expect(0, 65531, '\P{^Line_Break=contingentbreak}', "");
Expect(1, 65532, '\p{Line_Break= Contingent_break}', "");
Expect(0, 65532, '\p{^Line_Break= Contingent_break}', "");
Expect(0, 65532, '\P{Line_Break= Contingent_break}', "");
Expect(1, 65532, '\P{^Line_Break= Contingent_break}', "");
Expect(0, 65531, '\p{Line_Break= Contingent_break}', "");
Expect(1, 65531, '\p{^Line_Break= Contingent_break}', "");
Expect(1, 65531, '\P{Line_Break= Contingent_break}', "");
Expect(0, 65531, '\P{^Line_Break= Contingent_break}', "");
Error('\p{Lb=		CB/a/}');
Error('\P{Lb=		CB/a/}');
Expect(1, 65532, '\p{Lb=cb}', "");
Expect(0, 65532, '\p{^Lb=cb}', "");
Expect(0, 65532, '\P{Lb=cb}', "");
Expect(1, 65532, '\P{^Lb=cb}', "");
Expect(0, 65531, '\p{Lb=cb}', "");
Expect(1, 65531, '\p{^Lb=cb}', "");
Expect(1, 65531, '\P{Lb=cb}', "");
Expect(0, 65531, '\P{^Lb=cb}', "");
Expect(1, 65532, '\p{Lb=_-CB}', "");
Expect(0, 65532, '\p{^Lb=_-CB}', "");
Expect(0, 65532, '\P{Lb=_-CB}', "");
Expect(1, 65532, '\P{^Lb=_-CB}', "");
Expect(0, 65531, '\p{Lb=_-CB}', "");
Expect(1, 65531, '\p{^Lb=_-CB}', "");
Expect(1, 65531, '\P{Lb=_-CB}', "");
Expect(0, 65531, '\P{^Lb=_-CB}', "");
Error('\p{Is_Line_Break=:=_ Contingent-Break}');
Error('\P{Is_Line_Break=:=_ Contingent-Break}');
Expect(1, 65532, '\p{Is_Line_Break=contingentbreak}', "");
Expect(0, 65532, '\p{^Is_Line_Break=contingentbreak}', "");
Expect(0, 65532, '\P{Is_Line_Break=contingentbreak}', "");
Expect(1, 65532, '\P{^Is_Line_Break=contingentbreak}', "");
Expect(0, 65531, '\p{Is_Line_Break=contingentbreak}', "");
Expect(1, 65531, '\p{^Is_Line_Break=contingentbreak}', "");
Expect(1, 65531, '\P{Is_Line_Break=contingentbreak}', "");
Expect(0, 65531, '\P{^Is_Line_Break=contingentbreak}', "");
Expect(1, 65532, '\p{Is_Line_Break=  Contingent-break}', "");
Expect(0, 65532, '\p{^Is_Line_Break=  Contingent-break}', "");
Expect(0, 65532, '\P{Is_Line_Break=  Contingent-break}', "");
Expect(1, 65532, '\P{^Is_Line_Break=  Contingent-break}', "");
Expect(0, 65531, '\p{Is_Line_Break=  Contingent-break}', "");
Expect(1, 65531, '\p{^Is_Line_Break=  Contingent-break}', "");
Expect(1, 65531, '\P{Is_Line_Break=  Contingent-break}', "");
Expect(0, 65531, '\P{^Is_Line_Break=  Contingent-break}', "");
Error('\p{Is_Lb:	/a/-	CB}');
Error('\P{Is_Lb:	/a/-	CB}');
Expect(1, 65532, '\p{Is_Lb=cb}', "");
Expect(0, 65532, '\p{^Is_Lb=cb}', "");
Expect(0, 65532, '\P{Is_Lb=cb}', "");
Expect(1, 65532, '\P{^Is_Lb=cb}', "");
Expect(0, 65531, '\p{Is_Lb=cb}', "");
Expect(1, 65531, '\p{^Is_Lb=cb}', "");
Expect(1, 65531, '\P{Is_Lb=cb}', "");
Expect(0, 65531, '\P{^Is_Lb=cb}', "");
Expect(1, 65532, '\p{Is_Lb=		CB}', "");
Expect(0, 65532, '\p{^Is_Lb=		CB}', "");
Expect(0, 65532, '\P{Is_Lb=		CB}', "");
Expect(1, 65532, '\P{^Is_Lb=		CB}', "");
Expect(0, 65531, '\p{Is_Lb=		CB}', "");
Expect(1, 65531, '\p{^Is_Lb=		CB}', "");
Expect(1, 65531, '\P{Is_Lb=		CB}', "");
Expect(0, 65531, '\P{^Is_Lb=		CB}', "");
Error('\p{Line_Break=__exclamation:=}');
Error('\P{Line_Break=__exclamation:=}');
Expect(1, 33, '\p{Line_Break=exclamation}', "");
Expect(0, 33, '\p{^Line_Break=exclamation}', "");
Expect(0, 33, '\P{Line_Break=exclamation}', "");
Expect(1, 33, '\P{^Line_Break=exclamation}', "");
Expect(0, 32, '\p{Line_Break=exclamation}', "");
Expect(1, 32, '\p{^Line_Break=exclamation}', "");
Expect(1, 32, '\P{Line_Break=exclamation}', "");
Expect(0, 32, '\P{^Line_Break=exclamation}', "");
Expect(1, 33, '\p{Line_Break=_ EXCLAMATION}', "");
Expect(0, 33, '\p{^Line_Break=_ EXCLAMATION}', "");
Expect(0, 33, '\P{Line_Break=_ EXCLAMATION}', "");
Expect(1, 33, '\P{^Line_Break=_ EXCLAMATION}', "");
Expect(0, 32, '\p{Line_Break=_ EXCLAMATION}', "");
Expect(1, 32, '\p{^Line_Break=_ EXCLAMATION}', "");
Expect(1, 32, '\P{Line_Break=_ EXCLAMATION}', "");
Expect(0, 32, '\P{^Line_Break=_ EXCLAMATION}', "");
Error('\p{Lb=-_EX:=}');
Error('\P{Lb=-_EX:=}');
Expect(1, 33, '\p{Lb=ex}', "");
Expect(0, 33, '\p{^Lb=ex}', "");
Expect(0, 33, '\P{Lb=ex}', "");
Expect(1, 33, '\P{^Lb=ex}', "");
Expect(0, 32, '\p{Lb=ex}', "");
Expect(1, 32, '\p{^Lb=ex}', "");
Expect(1, 32, '\P{Lb=ex}', "");
Expect(0, 32, '\P{^Lb=ex}', "");
Expect(1, 33, '\p{Lb= _ex}', "");
Expect(0, 33, '\p{^Lb= _ex}', "");
Expect(0, 33, '\P{Lb= _ex}', "");
Expect(1, 33, '\P{^Lb= _ex}', "");
Expect(0, 32, '\p{Lb= _ex}', "");
Expect(1, 32, '\p{^Lb= _ex}', "");
Expect(1, 32, '\P{Lb= _ex}', "");
Expect(0, 32, '\P{^Lb= _ex}', "");
Error('\p{Is_Line_Break: 		Exclamation/a/}');
Error('\P{Is_Line_Break: 		Exclamation/a/}');
Expect(1, 33, '\p{Is_Line_Break=exclamation}', "");
Expect(0, 33, '\p{^Is_Line_Break=exclamation}', "");
Expect(0, 33, '\P{Is_Line_Break=exclamation}', "");
Expect(1, 33, '\P{^Is_Line_Break=exclamation}', "");
Expect(0, 32, '\p{Is_Line_Break=exclamation}', "");
Expect(1, 32, '\p{^Is_Line_Break=exclamation}', "");
Expect(1, 32, '\P{Is_Line_Break=exclamation}', "");
Expect(0, 32, '\P{^Is_Line_Break=exclamation}', "");
Expect(1, 33, '\p{Is_Line_Break=	 EXCLAMATION}', "");
Expect(0, 33, '\p{^Is_Line_Break=	 EXCLAMATION}', "");
Expect(0, 33, '\P{Is_Line_Break=	 EXCLAMATION}', "");
Expect(1, 33, '\P{^Is_Line_Break=	 EXCLAMATION}', "");
Expect(0, 32, '\p{Is_Line_Break=	 EXCLAMATION}', "");
Expect(1, 32, '\p{^Is_Line_Break=	 EXCLAMATION}', "");
Expect(1, 32, '\P{Is_Line_Break=	 EXCLAMATION}', "");
Expect(0, 32, '\P{^Is_Line_Break=	 EXCLAMATION}', "");
Error('\p{Is_Lb= /a/EX}');
Error('\P{Is_Lb= /a/EX}');
Expect(1, 33, '\p{Is_Lb:   ex}', "");
Expect(0, 33, '\p{^Is_Lb:   ex}', "");
Expect(0, 33, '\P{Is_Lb:   ex}', "");
Expect(1, 33, '\P{^Is_Lb:   ex}', "");
Expect(0, 32, '\p{Is_Lb:   ex}', "");
Expect(1, 32, '\p{^Is_Lb:   ex}', "");
Expect(1, 32, '\P{Is_Lb:   ex}', "");
Expect(0, 32, '\P{^Is_Lb:   ex}', "");
Expect(1, 33, '\p{Is_Lb=-EX}', "");
Expect(0, 33, '\p{^Is_Lb=-EX}', "");
Expect(0, 33, '\P{Is_Lb=-EX}', "");
Expect(1, 33, '\P{^Is_Lb=-EX}', "");
Expect(0, 32, '\p{Is_Lb=-EX}', "");
Expect(1, 32, '\p{^Is_Lb=-EX}', "");
Expect(1, 32, '\P{Is_Lb=-EX}', "");
Expect(0, 32, '\P{^Is_Lb=-EX}', "");
Error('\p{Line_Break=/a/__Ideographic}');
Error('\P{Line_Break=/a/__Ideographic}');
Expect(1, 11929, '\p{Line_Break=ideographic}', "");
Expect(0, 11929, '\p{^Line_Break=ideographic}', "");
Expect(0, 11929, '\P{Line_Break=ideographic}', "");
Expect(1, 11929, '\P{^Line_Break=ideographic}', "");
Expect(0, 11903, '\p{Line_Break=ideographic}', "");
Expect(1, 11903, '\p{^Line_Break=ideographic}', "");
Expect(1, 11903, '\P{Line_Break=ideographic}', "");
Expect(0, 11903, '\P{^Line_Break=ideographic}', "");
Expect(1, 11929, '\p{Line_Break=-	ideographic}', "");
Expect(0, 11929, '\p{^Line_Break=-	ideographic}', "");
Expect(0, 11929, '\P{Line_Break=-	ideographic}', "");
Expect(1, 11929, '\P{^Line_Break=-	ideographic}', "");
Expect(0, 11903, '\p{Line_Break=-	ideographic}', "");
Expect(1, 11903, '\p{^Line_Break=-	ideographic}', "");
Expect(1, 11903, '\P{Line_Break=-	ideographic}', "");
Expect(0, 11903, '\P{^Line_Break=-	ideographic}', "");
Error('\p{Lb=-	ID/a/}');
Error('\P{Lb=-	ID/a/}');
Expect(1, 11929, '\p{Lb=id}', "");
Expect(0, 11929, '\p{^Lb=id}', "");
Expect(0, 11929, '\P{Lb=id}', "");
Expect(1, 11929, '\P{^Lb=id}', "");
Expect(0, 11903, '\p{Lb=id}', "");
Expect(1, 11903, '\p{^Lb=id}', "");
Expect(1, 11903, '\P{Lb=id}', "");
Expect(0, 11903, '\P{^Lb=id}', "");
Expect(1, 11929, '\p{Lb= id}', "");
Expect(0, 11929, '\p{^Lb= id}', "");
Expect(0, 11929, '\P{Lb= id}', "");
Expect(1, 11929, '\P{^Lb= id}', "");
Expect(0, 11903, '\p{Lb= id}', "");
Expect(1, 11903, '\p{^Lb= id}', "");
Expect(1, 11903, '\P{Lb= id}', "");
Expect(0, 11903, '\P{^Lb= id}', "");
Error('\p{Is_Line_Break=:=	IDEOGRAPHIC}');
Error('\P{Is_Line_Break=:=	IDEOGRAPHIC}');
Expect(1, 11929, '\p{Is_Line_Break=ideographic}', "");
Expect(0, 11929, '\p{^Is_Line_Break=ideographic}', "");
Expect(0, 11929, '\P{Is_Line_Break=ideographic}', "");
Expect(1, 11929, '\P{^Is_Line_Break=ideographic}', "");
Expect(0, 11903, '\p{Is_Line_Break=ideographic}', "");
Expect(1, 11903, '\p{^Is_Line_Break=ideographic}', "");
Expect(1, 11903, '\P{Is_Line_Break=ideographic}', "");
Expect(0, 11903, '\P{^Is_Line_Break=ideographic}', "");
Expect(1, 11929, '\p{Is_Line_Break= _ideographic}', "");
Expect(0, 11929, '\p{^Is_Line_Break= _ideographic}', "");
Expect(0, 11929, '\P{Is_Line_Break= _ideographic}', "");
Expect(1, 11929, '\P{^Is_Line_Break= _ideographic}', "");
Expect(0, 11903, '\p{Is_Line_Break= _ideographic}', "");
Expect(1, 11903, '\p{^Is_Line_Break= _ideographic}', "");
Expect(1, 11903, '\P{Is_Line_Break= _ideographic}', "");
Expect(0, 11903, '\P{^Is_Line_Break= _ideographic}', "");
Error('\p{Is_Lb: /a/id}');
Error('\P{Is_Lb: /a/id}');
Expect(1, 11929, '\p{Is_Lb=id}', "");
Expect(0, 11929, '\p{^Is_Lb=id}', "");
Expect(0, 11929, '\P{Is_Lb=id}', "");
Expect(1, 11929, '\P{^Is_Lb=id}', "");
Expect(0, 11903, '\p{Is_Lb=id}', "");
Expect(1, 11903, '\p{^Is_Lb=id}', "");
Expect(1, 11903, '\P{Is_Lb=id}', "");
Expect(0, 11903, '\P{^Is_Lb=id}', "");
Expect(1, 11929, '\p{Is_Lb=- ID}', "");
Expect(0, 11929, '\p{^Is_Lb=- ID}', "");
Expect(0, 11929, '\P{Is_Lb=- ID}', "");
Expect(1, 11929, '\P{^Is_Lb=- ID}', "");
Expect(0, 11903, '\p{Is_Lb=- ID}', "");
Expect(1, 11903, '\p{^Is_Lb=- ID}', "");
Expect(1, 11903, '\P{Is_Lb=- ID}', "");
Expect(0, 11903, '\P{^Is_Lb=- ID}', "");
Error('\p{Line_Break=--Word	joiner:=}');
Error('\P{Line_Break=--Word	joiner:=}');
Expect(1, 8288, '\p{Line_Break:   wordjoiner}', "");
Expect(0, 8288, '\p{^Line_Break:   wordjoiner}', "");
Expect(0, 8288, '\P{Line_Break:   wordjoiner}', "");
Expect(1, 8288, '\P{^Line_Break:   wordjoiner}', "");
Expect(0, 8287, '\p{Line_Break:   wordjoiner}', "");
Expect(1, 8287, '\p{^Line_Break:   wordjoiner}', "");
Expect(1, 8287, '\P{Line_Break:   wordjoiner}', "");
Expect(0, 8287, '\P{^Line_Break:   wordjoiner}', "");
Expect(1, 8288, '\p{Line_Break=_-Word JOINER}', "");
Expect(0, 8288, '\p{^Line_Break=_-Word JOINER}', "");
Expect(0, 8288, '\P{Line_Break=_-Word JOINER}', "");
Expect(1, 8288, '\P{^Line_Break=_-Word JOINER}', "");
Expect(0, 8287, '\p{Line_Break=_-Word JOINER}', "");
Expect(1, 8287, '\p{^Line_Break=_-Word JOINER}', "");
Expect(1, 8287, '\P{Line_Break=_-Word JOINER}', "");
Expect(0, 8287, '\P{^Line_Break=_-Word JOINER}', "");
Error('\p{Lb=	:=wj}');
Error('\P{Lb=	:=wj}');
Expect(1, 8288, '\p{Lb=wj}', "");
Expect(0, 8288, '\p{^Lb=wj}', "");
Expect(0, 8288, '\P{Lb=wj}', "");
Expect(1, 8288, '\P{^Lb=wj}', "");
Expect(0, 8287, '\p{Lb=wj}', "");
Expect(1, 8287, '\p{^Lb=wj}', "");
Expect(1, 8287, '\P{Lb=wj}', "");
Expect(0, 8287, '\P{^Lb=wj}', "");
Expect(1, 8288, '\p{Lb=_	wj}', "");
Expect(0, 8288, '\p{^Lb=_	wj}', "");
Expect(0, 8288, '\P{Lb=_	wj}', "");
Expect(1, 8288, '\P{^Lb=_	wj}', "");
Expect(0, 8287, '\p{Lb=_	wj}', "");
Expect(1, 8287, '\p{^Lb=_	wj}', "");
Expect(1, 8287, '\P{Lb=_	wj}', "");
Expect(0, 8287, '\P{^Lb=_	wj}', "");
Error('\p{Is_Line_Break= _word/a/JOINER}');
Error('\P{Is_Line_Break= _word/a/JOINER}');
Expect(1, 8288, '\p{Is_Line_Break:wordjoiner}', "");
Expect(0, 8288, '\p{^Is_Line_Break:wordjoiner}', "");
Expect(0, 8288, '\P{Is_Line_Break:wordjoiner}', "");
Expect(1, 8288, '\P{^Is_Line_Break:wordjoiner}', "");
Expect(0, 8287, '\p{Is_Line_Break:wordjoiner}', "");
Expect(1, 8287, '\p{^Is_Line_Break:wordjoiner}', "");
Expect(1, 8287, '\P{Is_Line_Break:wordjoiner}', "");
Expect(0, 8287, '\P{^Is_Line_Break:wordjoiner}', "");
Expect(1, 8288, '\p{Is_Line_Break=		Word_Joiner}', "");
Expect(0, 8288, '\p{^Is_Line_Break=		Word_Joiner}', "");
Expect(0, 8288, '\P{Is_Line_Break=		Word_Joiner}', "");
Expect(1, 8288, '\P{^Is_Line_Break=		Word_Joiner}', "");
Expect(0, 8287, '\p{Is_Line_Break=		Word_Joiner}', "");
Expect(1, 8287, '\p{^Is_Line_Break=		Word_Joiner}', "");
Expect(1, 8287, '\P{Is_Line_Break=		Word_Joiner}', "");
Expect(0, 8287, '\P{^Is_Line_Break=		Word_Joiner}', "");
Error('\p{Is_Lb=_WJ/a/}');
Error('\P{Is_Lb=_WJ/a/}');
Expect(1, 8288, '\p{Is_Lb=wj}', "");
Expect(0, 8288, '\p{^Is_Lb=wj}', "");
Expect(0, 8288, '\P{Is_Lb=wj}', "");
Expect(1, 8288, '\P{^Is_Lb=wj}', "");
Expect(0, 8287, '\p{Is_Lb=wj}', "");
Expect(1, 8287, '\p{^Is_Lb=wj}', "");
Expect(1, 8287, '\P{Is_Lb=wj}', "");
Expect(0, 8287, '\P{^Is_Lb=wj}', "");
Expect(1, 8288, '\p{Is_Lb=-_wj}', "");
Expect(0, 8288, '\p{^Is_Lb=-_wj}', "");
Expect(0, 8288, '\P{Is_Lb=-_wj}', "");
Expect(1, 8288, '\P{^Is_Lb=-_wj}', "");
Expect(0, 8287, '\p{Is_Lb=-_wj}', "");
Expect(1, 8287, '\p{^Is_Lb=-_wj}', "");
Expect(1, 8287, '\P{Is_Lb=-_wj}', "");
Expect(0, 8287, '\P{^Is_Lb=-_wj}', "");
Error('\p{Line_Break=H2/a/}');
Error('\P{Line_Break=H2/a/}');
Expect(1, 44032, '\p{Line_Break=h2}', "");
Expect(0, 44032, '\p{^Line_Break=h2}', "");
Expect(0, 44032, '\P{Line_Break=h2}', "");
Expect(1, 44032, '\P{^Line_Break=h2}', "");
Expect(0, 44031, '\p{Line_Break=h2}', "");
Expect(1, 44031, '\p{^Line_Break=h2}', "");
Expect(1, 44031, '\P{Line_Break=h2}', "");
Expect(0, 44031, '\P{^Line_Break=h2}', "");
Expect(1, 44032, '\p{Line_Break= -H2}', "");
Expect(0, 44032, '\p{^Line_Break= -H2}', "");
Expect(0, 44032, '\P{Line_Break= -H2}', "");
Expect(1, 44032, '\P{^Line_Break= -H2}', "");
Expect(0, 44031, '\p{Line_Break= -H2}', "");
Expect(1, 44031, '\p{^Line_Break= -H2}', "");
Expect(1, 44031, '\P{Line_Break= -H2}', "");
Expect(0, 44031, '\P{^Line_Break= -H2}', "");
Error('\p{Lb=/a/	-H2}');
Error('\P{Lb=/a/	-H2}');
Expect(1, 44032, '\p{Lb=h2}', "");
Expect(0, 44032, '\p{^Lb=h2}', "");
Expect(0, 44032, '\P{Lb=h2}', "");
Expect(1, 44032, '\P{^Lb=h2}', "");
Expect(0, 44031, '\p{Lb=h2}', "");
Expect(1, 44031, '\p{^Lb=h2}', "");
Expect(1, 44031, '\P{Lb=h2}', "");
Expect(0, 44031, '\P{^Lb=h2}', "");
Expect(1, 44032, '\p{Lb=		H2}', "");
Expect(0, 44032, '\p{^Lb=		H2}', "");
Expect(0, 44032, '\P{Lb=		H2}', "");
Expect(1, 44032, '\P{^Lb=		H2}', "");
Expect(0, 44031, '\p{Lb=		H2}', "");
Expect(1, 44031, '\p{^Lb=		H2}', "");
Expect(1, 44031, '\P{Lb=		H2}', "");
Expect(0, 44031, '\P{^Lb=		H2}', "");
Error('\p{Is_Line_Break:/a/ -H2}');
Error('\P{Is_Line_Break:/a/ -H2}');
Expect(1, 44032, '\p{Is_Line_Break=h2}', "");
Expect(0, 44032, '\p{^Is_Line_Break=h2}', "");
Expect(0, 44032, '\P{Is_Line_Break=h2}', "");
Expect(1, 44032, '\P{^Is_Line_Break=h2}', "");
Expect(0, 44031, '\p{Is_Line_Break=h2}', "");
Expect(1, 44031, '\p{^Is_Line_Break=h2}', "");
Expect(1, 44031, '\P{Is_Line_Break=h2}', "");
Expect(0, 44031, '\P{^Is_Line_Break=h2}', "");
Expect(1, 44032, '\p{Is_Line_Break=		H2}', "");
Expect(0, 44032, '\p{^Is_Line_Break=		H2}', "");
Expect(0, 44032, '\P{Is_Line_Break=		H2}', "");
Expect(1, 44032, '\P{^Is_Line_Break=		H2}', "");
Expect(0, 44031, '\p{Is_Line_Break=		H2}', "");
Expect(1, 44031, '\p{^Is_Line_Break=		H2}', "");
Expect(1, 44031, '\P{Is_Line_Break=		H2}', "");
Expect(0, 44031, '\P{^Is_Line_Break=		H2}', "");
Error('\p{Is_Lb: /a/	 h2}');
Error('\P{Is_Lb: /a/	 h2}');
Expect(1, 44032, '\p{Is_Lb=h2}', "");
Expect(0, 44032, '\p{^Is_Lb=h2}', "");
Expect(0, 44032, '\P{Is_Lb=h2}', "");
Expect(1, 44032, '\P{^Is_Lb=h2}', "");
Expect(0, 44031, '\p{Is_Lb=h2}', "");
Expect(1, 44031, '\p{^Is_Lb=h2}', "");
Expect(1, 44031, '\P{Is_Lb=h2}', "");
Expect(0, 44031, '\P{^Is_Lb=h2}', "");
Expect(1, 44032, '\p{Is_Lb= H2}', "");
Expect(0, 44032, '\p{^Is_Lb= H2}', "");
Expect(0, 44032, '\P{Is_Lb= H2}', "");
Expect(1, 44032, '\P{^Is_Lb= H2}', "");
Expect(0, 44031, '\p{Is_Lb= H2}', "");
Expect(1, 44031, '\p{^Is_Lb= H2}', "");
Expect(1, 44031, '\P{Is_Lb= H2}', "");
Expect(0, 44031, '\P{^Is_Lb= H2}', "");
Error('\p{Line_Break= BREAK:=Both}');
Error('\P{Line_Break= BREAK:=Both}');
Expect(1, 8212, '\p{Line_Break=breakboth}', "");
Expect(0, 8212, '\p{^Line_Break=breakboth}', "");
Expect(0, 8212, '\P{Line_Break=breakboth}', "");
Expect(1, 8212, '\P{^Line_Break=breakboth}', "");
Expect(0, 8211, '\p{Line_Break=breakboth}', "");
Expect(1, 8211, '\p{^Line_Break=breakboth}', "");
Expect(1, 8211, '\P{Line_Break=breakboth}', "");
Expect(0, 8211, '\P{^Line_Break=breakboth}', "");
Expect(1, 8212, '\p{Line_Break=__Break-BOTH}', "");
Expect(0, 8212, '\p{^Line_Break=__Break-BOTH}', "");
Expect(0, 8212, '\P{Line_Break=__Break-BOTH}', "");
Expect(1, 8212, '\P{^Line_Break=__Break-BOTH}', "");
Expect(0, 8211, '\p{Line_Break=__Break-BOTH}', "");
Expect(1, 8211, '\p{^Line_Break=__Break-BOTH}', "");
Expect(1, 8211, '\P{Line_Break=__Break-BOTH}', "");
Expect(0, 8211, '\P{^Line_Break=__Break-BOTH}', "");
Error('\p{Lb=-:=B2}');
Error('\P{Lb=-:=B2}');
Expect(1, 8212, '\p{Lb=b2}', "");
Expect(0, 8212, '\p{^Lb=b2}', "");
Expect(0, 8212, '\P{Lb=b2}', "");
Expect(1, 8212, '\P{^Lb=b2}', "");
Expect(0, 8211, '\p{Lb=b2}', "");
Expect(1, 8211, '\p{^Lb=b2}', "");
Expect(1, 8211, '\P{Lb=b2}', "");
Expect(0, 8211, '\P{^Lb=b2}', "");
Expect(1, 8212, '\p{Lb=	-B2}', "");
Expect(0, 8212, '\p{^Lb=	-B2}', "");
Expect(0, 8212, '\P{Lb=	-B2}', "");
Expect(1, 8212, '\P{^Lb=	-B2}', "");
Expect(0, 8211, '\p{Lb=	-B2}', "");
Expect(1, 8211, '\p{^Lb=	-B2}', "");
Expect(1, 8211, '\P{Lb=	-B2}', "");
Expect(0, 8211, '\P{^Lb=	-B2}', "");
Error('\p{Is_Line_Break=/a/__BREAKboth}');
Error('\P{Is_Line_Break=/a/__BREAKboth}');
Expect(1, 8212, '\p{Is_Line_Break=breakboth}', "");
Expect(0, 8212, '\p{^Is_Line_Break=breakboth}', "");
Expect(0, 8212, '\P{Is_Line_Break=breakboth}', "");
Expect(1, 8212, '\P{^Is_Line_Break=breakboth}', "");
Expect(0, 8211, '\p{Is_Line_Break=breakboth}', "");
Expect(1, 8211, '\p{^Is_Line_Break=breakboth}', "");
Expect(1, 8211, '\P{Is_Line_Break=breakboth}', "");
Expect(0, 8211, '\P{^Is_Line_Break=breakboth}', "");
Expect(1, 8212, '\p{Is_Line_Break=Break_both}', "");
Expect(0, 8212, '\p{^Is_Line_Break=Break_both}', "");
Expect(0, 8212, '\P{Is_Line_Break=Break_both}', "");
Expect(1, 8212, '\P{^Is_Line_Break=Break_both}', "");
Expect(0, 8211, '\p{Is_Line_Break=Break_both}', "");
Expect(1, 8211, '\p{^Is_Line_Break=Break_both}', "");
Expect(1, 8211, '\P{Is_Line_Break=Break_both}', "");
Expect(0, 8211, '\P{^Is_Line_Break=Break_both}', "");
Error('\p{Is_Lb=:= -b2}');
Error('\P{Is_Lb=:= -b2}');
Expect(1, 8212, '\p{Is_Lb=b2}', "");
Expect(0, 8212, '\p{^Is_Lb=b2}', "");
Expect(0, 8212, '\P{Is_Lb=b2}', "");
Expect(1, 8212, '\P{^Is_Lb=b2}', "");
Expect(0, 8211, '\p{Is_Lb=b2}', "");
Expect(1, 8211, '\p{^Is_Lb=b2}', "");
Expect(1, 8211, '\P{Is_Lb=b2}', "");
Expect(0, 8211, '\P{^Is_Lb=b2}', "");
Expect(1, 8212, '\p{Is_Lb=_	B2}', "");
Expect(0, 8212, '\p{^Is_Lb=_	B2}', "");
Expect(0, 8212, '\P{Is_Lb=_	B2}', "");
Expect(1, 8212, '\P{^Is_Lb=_	B2}', "");
Expect(0, 8211, '\p{Is_Lb=_	B2}', "");
Expect(1, 8211, '\p{^Is_Lb=_	B2}', "");
Expect(1, 8211, '\P{Is_Lb=_	B2}', "");
Expect(0, 8211, '\P{^Is_Lb=_	B2}', "");
Error('\p{Line_Break=/a/-alphabetic}');
Error('\P{Line_Break=/a/-alphabetic}');
Expect(1, 35, '\p{Line_Break=alphabetic}', "");
Expect(0, 35, '\p{^Line_Break=alphabetic}', "");
Expect(0, 35, '\P{Line_Break=alphabetic}', "");
Expect(1, 35, '\P{^Line_Break=alphabetic}', "");
Expect(0, 34, '\p{Line_Break=alphabetic}', "");
Expect(1, 34, '\p{^Line_Break=alphabetic}', "");
Expect(1, 34, '\P{Line_Break=alphabetic}', "");
Expect(0, 34, '\P{^Line_Break=alphabetic}', "");
Expect(1, 35, '\p{Line_Break=_ALPHABETIC}', "");
Expect(0, 35, '\p{^Line_Break=_ALPHABETIC}', "");
Expect(0, 35, '\P{Line_Break=_ALPHABETIC}', "");
Expect(1, 35, '\P{^Line_Break=_ALPHABETIC}', "");
Expect(0, 34, '\p{Line_Break=_ALPHABETIC}', "");
Expect(1, 34, '\p{^Line_Break=_ALPHABETIC}', "");
Expect(1, 34, '\P{Line_Break=_ALPHABETIC}', "");
Expect(0, 34, '\P{^Line_Break=_ALPHABETIC}', "");
Error('\p{Lb=/a/_AL}');
Error('\P{Lb=/a/_AL}');
Expect(1, 35, '\p{Lb:   al}', "");
Expect(0, 35, '\p{^Lb:   al}', "");
Expect(0, 35, '\P{Lb:   al}', "");
Expect(1, 35, '\P{^Lb:   al}', "");
Expect(0, 34, '\p{Lb:   al}', "");
Expect(1, 34, '\p{^Lb:   al}', "");
Expect(1, 34, '\P{Lb:   al}', "");
Expect(0, 34, '\P{^Lb:   al}', "");
Expect(1, 35, '\p{Lb= _al}', "");
Expect(0, 35, '\p{^Lb= _al}', "");
Expect(0, 35, '\P{Lb= _al}', "");
Expect(1, 35, '\P{^Lb= _al}', "");
Expect(0, 34, '\p{Lb= _al}', "");
Expect(1, 34, '\p{^Lb= _al}', "");
Expect(1, 34, '\P{Lb= _al}', "");
Expect(0, 34, '\P{^Lb= _al}', "");
Error('\p{Is_Line_Break=/a/Alphabetic}');
Error('\P{Is_Line_Break=/a/Alphabetic}');
Expect(1, 35, '\p{Is_Line_Break=alphabetic}', "");
Expect(0, 35, '\p{^Is_Line_Break=alphabetic}', "");
Expect(0, 35, '\P{Is_Line_Break=alphabetic}', "");
Expect(1, 35, '\P{^Is_Line_Break=alphabetic}', "");
Expect(0, 34, '\p{Is_Line_Break=alphabetic}', "");
Expect(1, 34, '\p{^Is_Line_Break=alphabetic}', "");
Expect(1, 34, '\P{Is_Line_Break=alphabetic}', "");
Expect(0, 34, '\P{^Is_Line_Break=alphabetic}', "");
Error('\p{Is_Lb=:=  AL}');
Error('\P{Is_Lb=:=  AL}');
Expect(1, 35, '\p{Is_Lb=al}', "");
Expect(0, 35, '\p{^Is_Lb=al}', "");
Expect(0, 35, '\P{Is_Lb=al}', "");
Expect(1, 35, '\P{^Is_Lb=al}', "");
Expect(0, 34, '\p{Is_Lb=al}', "");
Expect(1, 34, '\p{^Is_Lb=al}', "");
Expect(1, 34, '\P{Is_Lb=al}', "");
Expect(0, 34, '\P{^Is_Lb=al}', "");
Expect(1, 35, '\p{Is_Lb=--al}', "");
Expect(0, 35, '\p{^Is_Lb=--al}', "");
Expect(0, 35, '\P{Is_Lb=--al}', "");
Expect(1, 35, '\P{^Is_Lb=--al}', "");
Expect(0, 34, '\p{Is_Lb=--al}', "");
Expect(1, 34, '\p{^Is_Lb=--al}', "");
Expect(1, 34, '\P{Is_Lb=--al}', "");
Expect(0, 34, '\P{^Is_Lb=--al}', "");
Error('\p{Line_Break=	_POSTFIX	Numeric:=}');
Error('\P{Line_Break=	_POSTFIX	Numeric:=}');
Expect(1, 37, '\p{Line_Break=postfixnumeric}', "");
Expect(0, 37, '\p{^Line_Break=postfixnumeric}', "");
Expect(0, 37, '\P{Line_Break=postfixnumeric}', "");
Expect(1, 37, '\P{^Line_Break=postfixnumeric}', "");
Expect(0, 36, '\p{Line_Break=postfixnumeric}', "");
Expect(1, 36, '\p{^Line_Break=postfixnumeric}', "");
Expect(1, 36, '\P{Line_Break=postfixnumeric}', "");
Expect(0, 36, '\P{^Line_Break=postfixnumeric}', "");
Expect(1, 37, '\p{Line_Break=_ Postfix	Numeric}', "");
Expect(0, 37, '\p{^Line_Break=_ Postfix	Numeric}', "");
Expect(0, 37, '\P{Line_Break=_ Postfix	Numeric}', "");
Expect(1, 37, '\P{^Line_Break=_ Postfix	Numeric}', "");
Expect(0, 36, '\p{Line_Break=_ Postfix	Numeric}', "");
Expect(1, 36, '\p{^Line_Break=_ Postfix	Numeric}', "");
Expect(1, 36, '\P{Line_Break=_ Postfix	Numeric}', "");
Expect(0, 36, '\P{^Line_Break=_ Postfix	Numeric}', "");
Error('\p{Lb=/a/	PO}');
Error('\P{Lb=/a/	PO}');
Expect(1, 37, '\p{Lb:	po}', "");
Expect(0, 37, '\p{^Lb:	po}', "");
Expect(0, 37, '\P{Lb:	po}', "");
Expect(1, 37, '\P{^Lb:	po}', "");
Expect(0, 36, '\p{Lb:	po}', "");
Expect(1, 36, '\p{^Lb:	po}', "");
Expect(1, 36, '\P{Lb:	po}', "");
Expect(0, 36, '\P{^Lb:	po}', "");
Expect(1, 37, '\p{Lb=PO}', "");
Expect(0, 37, '\p{^Lb=PO}', "");
Expect(0, 37, '\P{Lb=PO}', "");
Expect(1, 37, '\P{^Lb=PO}', "");
Expect(0, 36, '\p{Lb=PO}', "");
Expect(1, 36, '\p{^Lb=PO}', "");
Expect(1, 36, '\P{Lb=PO}', "");
Expect(0, 36, '\P{^Lb=PO}', "");
Error('\p{Is_Line_Break= _postfix/a/numeric}');
Error('\P{Is_Line_Break= _postfix/a/numeric}');
Expect(1, 37, '\p{Is_Line_Break=postfixnumeric}', "");
Expect(0, 37, '\p{^Is_Line_Break=postfixnumeric}', "");
Expect(0, 37, '\P{Is_Line_Break=postfixnumeric}', "");
Expect(1, 37, '\P{^Is_Line_Break=postfixnumeric}', "");
Expect(0, 36, '\p{Is_Line_Break=postfixnumeric}', "");
Expect(1, 36, '\p{^Is_Line_Break=postfixnumeric}', "");
Expect(1, 36, '\P{Is_Line_Break=postfixnumeric}', "");
Expect(0, 36, '\P{^Is_Line_Break=postfixnumeric}', "");
Expect(1, 37, '\p{Is_Line_Break=_	Postfixnumeric}', "");
Expect(0, 37, '\p{^Is_Line_Break=_	Postfixnumeric}', "");
Expect(0, 37, '\P{Is_Line_Break=_	Postfixnumeric}', "");
Expect(1, 37, '\P{^Is_Line_Break=_	Postfixnumeric}', "");
Expect(0, 36, '\p{Is_Line_Break=_	Postfixnumeric}', "");
Expect(1, 36, '\p{^Is_Line_Break=_	Postfixnumeric}', "");
Expect(1, 36, '\P{Is_Line_Break=_	Postfixnumeric}', "");
Expect(0, 36, '\P{^Is_Line_Break=_	Postfixnumeric}', "");
Error('\p{Is_Lb=-:=PO}');
Error('\P{Is_Lb=-:=PO}');
Expect(1, 37, '\p{Is_Lb:po}', "");
Expect(0, 37, '\p{^Is_Lb:po}', "");
Expect(0, 37, '\P{Is_Lb:po}', "");
Expect(1, 37, '\P{^Is_Lb:po}', "");
Expect(0, 36, '\p{Is_Lb:po}', "");
Expect(1, 36, '\p{^Is_Lb:po}', "");
Expect(1, 36, '\P{Is_Lb:po}', "");
Expect(0, 36, '\P{^Is_Lb:po}', "");
Expect(1, 37, '\p{Is_Lb=- PO}', "");
Expect(0, 37, '\p{^Is_Lb=- PO}', "");
Expect(0, 37, '\P{Is_Lb=- PO}', "");
Expect(1, 37, '\P{^Is_Lb=- PO}', "");
Expect(0, 36, '\p{Is_Lb=- PO}', "");
Expect(1, 36, '\p{^Is_Lb=- PO}', "");
Expect(1, 36, '\P{Is_Lb=- PO}', "");
Expect(0, 36, '\P{^Is_Lb=- PO}', "");
Error('\p{Line_Break=/a/OpenPUNCTUATION}');
Error('\P{Line_Break=/a/OpenPUNCTUATION}');
Expect(1, 40, '\p{Line_Break=openpunctuation}', "");
Expect(0, 40, '\p{^Line_Break=openpunctuation}', "");
Expect(0, 40, '\P{Line_Break=openpunctuation}', "");
Expect(1, 40, '\P{^Line_Break=openpunctuation}', "");
Expect(0, 39, '\p{Line_Break=openpunctuation}', "");
Expect(1, 39, '\p{^Line_Break=openpunctuation}', "");
Expect(1, 39, '\P{Line_Break=openpunctuation}', "");
Expect(0, 39, '\P{^Line_Break=openpunctuation}', "");
Expect(1, 40, '\p{Line_Break=	Open-Punctuation}', "");
Expect(0, 40, '\p{^Line_Break=	Open-Punctuation}', "");
Expect(0, 40, '\P{Line_Break=	Open-Punctuation}', "");
Expect(1, 40, '\P{^Line_Break=	Open-Punctuation}', "");
Expect(0, 39, '\p{Line_Break=	Open-Punctuation}', "");
Expect(1, 39, '\p{^Line_Break=	Open-Punctuation}', "");
Expect(1, 39, '\P{Line_Break=	Open-Punctuation}', "");
Expect(0, 39, '\P{^Line_Break=	Open-Punctuation}', "");
Error('\p{Lb=/a/OP}');
Error('\P{Lb=/a/OP}');
Expect(1, 40, '\p{Lb=op}', "");
Expect(0, 40, '\p{^Lb=op}', "");
Expect(0, 40, '\P{Lb=op}', "");
Expect(1, 40, '\P{^Lb=op}', "");
Expect(0, 39, '\p{Lb=op}', "");
Expect(1, 39, '\p{^Lb=op}', "");
Expect(1, 39, '\P{Lb=op}', "");
Expect(0, 39, '\P{^Lb=op}', "");
Expect(1, 40, '\p{Lb=_-OP}', "");
Expect(0, 40, '\p{^Lb=_-OP}', "");
Expect(0, 40, '\P{Lb=_-OP}', "");
Expect(1, 40, '\P{^Lb=_-OP}', "");
Expect(0, 39, '\p{Lb=_-OP}', "");
Expect(1, 39, '\p{^Lb=_-OP}', "");
Expect(1, 39, '\P{Lb=_-OP}', "");
Expect(0, 39, '\P{^Lb=_-OP}', "");
Error('\p{Is_Line_Break=/a/- OPENpunctuation}');
Error('\P{Is_Line_Break=/a/- OPENpunctuation}');
Expect(1, 40, '\p{Is_Line_Break:	openpunctuation}', "");
Expect(0, 40, '\p{^Is_Line_Break:	openpunctuation}', "");
Expect(0, 40, '\P{Is_Line_Break:	openpunctuation}', "");
Expect(1, 40, '\P{^Is_Line_Break:	openpunctuation}', "");
Expect(0, 39, '\p{Is_Line_Break:	openpunctuation}', "");
Expect(1, 39, '\p{^Is_Line_Break:	openpunctuation}', "");
Expect(1, 39, '\P{Is_Line_Break:	openpunctuation}', "");
Expect(0, 39, '\P{^Is_Line_Break:	openpunctuation}', "");
Expect(1, 40, '\p{Is_Line_Break= open-punctuation}', "");
Expect(0, 40, '\p{^Is_Line_Break= open-punctuation}', "");
Expect(0, 40, '\P{Is_Line_Break= open-punctuation}', "");
Expect(1, 40, '\P{^Is_Line_Break= open-punctuation}', "");
Expect(0, 39, '\p{Is_Line_Break= open-punctuation}', "");
Expect(1, 39, '\p{^Is_Line_Break= open-punctuation}', "");
Expect(1, 39, '\P{Is_Line_Break= open-punctuation}', "");
Expect(0, 39, '\P{^Is_Line_Break= open-punctuation}', "");
Error('\p{Is_Lb= -OP:=}');
Error('\P{Is_Lb= -OP:=}');
Expect(1, 40, '\p{Is_Lb=op}', "");
Expect(0, 40, '\p{^Is_Lb=op}', "");
Expect(0, 40, '\P{Is_Lb=op}', "");
Expect(1, 40, '\P{^Is_Lb=op}', "");
Expect(0, 39, '\p{Is_Lb=op}', "");
Expect(1, 39, '\p{^Is_Lb=op}', "");
Expect(1, 39, '\P{Is_Lb=op}', "");
Expect(0, 39, '\P{^Is_Lb=op}', "");
Expect(1, 40, '\p{Is_Lb=	 op}', "");
Expect(0, 40, '\p{^Is_Lb=	 op}', "");
Expect(0, 40, '\P{Is_Lb=	 op}', "");
Expect(1, 40, '\P{^Is_Lb=	 op}', "");
Expect(0, 39, '\p{Is_Lb=	 op}', "");
Expect(1, 39, '\p{^Is_Lb=	 op}', "");
Expect(1, 39, '\P{Is_Lb=	 op}', "");
Expect(0, 39, '\P{^Is_Lb=	 op}', "");
Error('\p{Line_Break= NEXT	Line/a/}');
Error('\P{Line_Break= NEXT	Line/a/}');
Expect(1, 133, '\p{Line_Break=nextline}', "");
Expect(0, 133, '\p{^Line_Break=nextline}', "");
Expect(0, 133, '\P{Line_Break=nextline}', "");
Expect(1, 133, '\P{^Line_Break=nextline}', "");
Expect(0, 132, '\p{Line_Break=nextline}', "");
Expect(1, 132, '\p{^Line_Break=nextline}', "");
Expect(1, 132, '\P{Line_Break=nextline}', "");
Expect(0, 132, '\P{^Line_Break=nextline}', "");
Expect(1, 133, '\p{Line_Break= NEXT line}', "");
Expect(0, 133, '\p{^Line_Break= NEXT line}', "");
Expect(0, 133, '\P{Line_Break= NEXT line}', "");
Expect(1, 133, '\P{^Line_Break= NEXT line}', "");
Expect(0, 132, '\p{Line_Break= NEXT line}', "");
Expect(1, 132, '\p{^Line_Break= NEXT line}', "");
Expect(1, 132, '\P{Line_Break= NEXT line}', "");
Expect(0, 132, '\P{^Line_Break= NEXT line}', "");
Error('\p{Lb=-NL:=}');
Error('\P{Lb=-NL:=}');
Expect(1, 133, '\p{Lb=nl}', "");
Expect(0, 133, '\p{^Lb=nl}', "");
Expect(0, 133, '\P{Lb=nl}', "");
Expect(1, 133, '\P{^Lb=nl}', "");
Expect(0, 132, '\p{Lb=nl}', "");
Expect(1, 132, '\p{^Lb=nl}', "");
Expect(1, 132, '\P{Lb=nl}', "");
Expect(0, 132, '\P{^Lb=nl}', "");
Expect(1, 133, '\p{Lb= NL}', "");
Expect(0, 133, '\p{^Lb= NL}', "");
Expect(0, 133, '\P{Lb= NL}', "");
Expect(1, 133, '\P{^Lb= NL}', "");
Expect(0, 132, '\p{Lb= NL}', "");
Expect(1, 132, '\p{^Lb= NL}', "");
Expect(1, 132, '\P{Lb= NL}', "");
Expect(0, 132, '\P{^Lb= NL}', "");
Error('\p{Is_Line_Break= /a/Next_LINE}');
Error('\P{Is_Line_Break= /a/Next_LINE}');
Expect(1, 133, '\p{Is_Line_Break=nextline}', "");
Expect(0, 133, '\p{^Is_Line_Break=nextline}', "");
Expect(0, 133, '\P{Is_Line_Break=nextline}', "");
Expect(1, 133, '\P{^Is_Line_Break=nextline}', "");
Expect(0, 132, '\p{Is_Line_Break=nextline}', "");
Expect(1, 132, '\p{^Is_Line_Break=nextline}', "");
Expect(1, 132, '\P{Is_Line_Break=nextline}', "");
Expect(0, 132, '\P{^Is_Line_Break=nextline}', "");
Expect(1, 133, '\p{Is_Line_Break= -NextLine}', "");
Expect(0, 133, '\p{^Is_Line_Break= -NextLine}', "");
Expect(0, 133, '\P{Is_Line_Break= -NextLine}', "");
Expect(1, 133, '\P{^Is_Line_Break= -NextLine}', "");
Expect(0, 132, '\p{Is_Line_Break= -NextLine}', "");
Expect(1, 132, '\p{^Is_Line_Break= -NextLine}', "");
Expect(1, 132, '\P{Is_Line_Break= -NextLine}', "");
Expect(0, 132, '\P{^Is_Line_Break= -NextLine}', "");
Error('\p{Is_Lb=	-NL:=}');
Error('\P{Is_Lb=	-NL:=}');
Expect(1, 133, '\p{Is_Lb=nl}', "");
Expect(0, 133, '\p{^Is_Lb=nl}', "");
Expect(0, 133, '\P{Is_Lb=nl}', "");
Expect(1, 133, '\P{^Is_Lb=nl}', "");
Expect(0, 132, '\p{Is_Lb=nl}', "");
Expect(1, 132, '\p{^Is_Lb=nl}', "");
Expect(1, 132, '\P{Is_Lb=nl}', "");
Expect(0, 132, '\P{^Is_Lb=nl}', "");
Expect(1, 133, '\p{Is_Lb=__nl}', "");
Expect(0, 133, '\p{^Is_Lb=__nl}', "");
Expect(0, 133, '\P{Is_Lb=__nl}', "");
Expect(1, 133, '\P{^Is_Lb=__nl}', "");
Expect(0, 132, '\p{Is_Lb=__nl}', "");
Expect(1, 132, '\p{^Is_Lb=__nl}', "");
Expect(1, 132, '\P{Is_Lb=__nl}', "");
Expect(0, 132, '\P{^Is_Lb=__nl}', "");
Error('\p{Line_Break=/a/_-JT}');
Error('\P{Line_Break=/a/_-JT}');
Expect(1, 4607, '\p{Line_Break=jt}', "");
Expect(0, 4607, '\p{^Line_Break=jt}', "");
Expect(0, 4607, '\P{Line_Break=jt}', "");
Expect(1, 4607, '\P{^Line_Break=jt}', "");
Expect(0, 4519, '\p{Line_Break=jt}', "");
Expect(1, 4519, '\p{^Line_Break=jt}', "");
Expect(1, 4519, '\P{Line_Break=jt}', "");
Expect(0, 4519, '\P{^Line_Break=jt}', "");
Expect(1, 4607, '\p{Line_Break= 	jt}', "");
Expect(0, 4607, '\p{^Line_Break= 	jt}', "");
Expect(0, 4607, '\P{Line_Break= 	jt}', "");
Expect(1, 4607, '\P{^Line_Break= 	jt}', "");
Expect(0, 4519, '\p{Line_Break= 	jt}', "");
Expect(1, 4519, '\p{^Line_Break= 	jt}', "");
Expect(1, 4519, '\P{Line_Break= 	jt}', "");
Expect(0, 4519, '\P{^Line_Break= 	jt}', "");
Error('\p{Lb=_/a/JT}');
Error('\P{Lb=_/a/JT}');
Expect(1, 4607, '\p{Lb:jt}', "");
Expect(0, 4607, '\p{^Lb:jt}', "");
Expect(0, 4607, '\P{Lb:jt}', "");
Expect(1, 4607, '\P{^Lb:jt}', "");
Expect(0, 4519, '\p{Lb:jt}', "");
Expect(1, 4519, '\p{^Lb:jt}', "");
Expect(1, 4519, '\P{Lb:jt}', "");
Expect(0, 4519, '\P{^Lb:jt}', "");
Expect(1, 4607, '\p{Lb=- JT}', "");
Expect(0, 4607, '\p{^Lb=- JT}', "");
Expect(0, 4607, '\P{Lb=- JT}', "");
Expect(1, 4607, '\P{^Lb=- JT}', "");
Expect(0, 4519, '\p{Lb=- JT}', "");
Expect(1, 4519, '\p{^Lb=- JT}', "");
Expect(1, 4519, '\P{Lb=- JT}', "");
Expect(0, 4519, '\P{^Lb=- JT}', "");
Error('\p{Is_Line_Break:   /a/	JT}');
Error('\P{Is_Line_Break:   /a/	JT}');
Expect(1, 4607, '\p{Is_Line_Break=jt}', "");
Expect(0, 4607, '\p{^Is_Line_Break=jt}', "");
Expect(0, 4607, '\P{Is_Line_Break=jt}', "");
Expect(1, 4607, '\P{^Is_Line_Break=jt}', "");
Expect(0, 4519, '\p{Is_Line_Break=jt}', "");
Expect(1, 4519, '\p{^Is_Line_Break=jt}', "");
Expect(1, 4519, '\P{Is_Line_Break=jt}', "");
Expect(0, 4519, '\P{^Is_Line_Break=jt}', "");
Expect(1, 4607, '\p{Is_Line_Break=	 JT}', "");
Expect(0, 4607, '\p{^Is_Line_Break=	 JT}', "");
Expect(0, 4607, '\P{Is_Line_Break=	 JT}', "");
Expect(1, 4607, '\P{^Is_Line_Break=	 JT}', "");
Expect(0, 4519, '\p{Is_Line_Break=	 JT}', "");
Expect(1, 4519, '\p{^Is_Line_Break=	 JT}', "");
Expect(1, 4519, '\P{Is_Line_Break=	 JT}', "");
Expect(0, 4519, '\P{^Is_Line_Break=	 JT}', "");
Error('\p{Is_Lb=_:=jt}');
Error('\P{Is_Lb=_:=jt}');
Expect(1, 4607, '\p{Is_Lb=jt}', "");
Expect(0, 4607, '\p{^Is_Lb=jt}', "");
Expect(0, 4607, '\P{Is_Lb=jt}', "");
Expect(1, 4607, '\P{^Is_Lb=jt}', "");
Expect(0, 4519, '\p{Is_Lb=jt}', "");
Expect(1, 4519, '\p{^Is_Lb=jt}', "");
Expect(1, 4519, '\P{Is_Lb=jt}', "");
Expect(0, 4519, '\P{^Is_Lb=jt}', "");
Expect(1, 4607, '\p{Is_Lb=JT}', "");
Expect(0, 4607, '\p{^Is_Lb=JT}', "");
Expect(0, 4607, '\P{Is_Lb=JT}', "");
Expect(1, 4607, '\P{^Is_Lb=JT}', "");
Expect(0, 4519, '\p{Is_Lb=JT}', "");
Expect(1, 4519, '\p{^Is_Lb=JT}', "");
Expect(1, 4519, '\P{Is_Lb=JT}', "");
Expect(0, 4519, '\P{^Is_Lb=JT}', "");
Error('\p{Block=_/a/New_TAI Lue}');
Error('\P{Block=_/a/New_TAI Lue}');
Expect(1, 6623, '\p{Block=newtailue}', "");
Expect(0, 6623, '\p{^Block=newtailue}', "");
Expect(0, 6623, '\P{Block=newtailue}', "");
Expect(1, 6623, '\P{^Block=newtailue}', "");
Expect(0, 6527, '\p{Block=newtailue}', "");
Expect(1, 6527, '\p{^Block=newtailue}', "");
Expect(1, 6527, '\P{Block=newtailue}', "");
Expect(0, 6527, '\P{^Block=newtailue}', "");
Expect(1, 6623, '\p{Block=- New-Tai	Lue}', "");
Expect(0, 6623, '\p{^Block=- New-Tai	Lue}', "");
Expect(0, 6623, '\P{Block=- New-Tai	Lue}', "");
Expect(1, 6623, '\P{^Block=- New-Tai	Lue}', "");
Expect(0, 6527, '\p{Block=- New-Tai	Lue}', "");
Expect(1, 6527, '\p{^Block=- New-Tai	Lue}', "");
Expect(1, 6527, '\P{Block=- New-Tai	Lue}', "");
Expect(0, 6527, '\P{^Block=- New-Tai	Lue}', "");
Error('\p{Blk=:= NewTAILUE}');
Error('\P{Blk=:= NewTAILUE}');
Expect(1, 6623, '\p{Blk=newtailue}', "");
Expect(0, 6623, '\p{^Blk=newtailue}', "");
Expect(0, 6623, '\P{Blk=newtailue}', "");
Expect(1, 6623, '\P{^Blk=newtailue}', "");
Expect(0, 6527, '\p{Blk=newtailue}', "");
Expect(1, 6527, '\p{^Blk=newtailue}', "");
Expect(1, 6527, '\P{Blk=newtailue}', "");
Expect(0, 6527, '\P{^Blk=newtailue}', "");
Expect(1, 6623, '\p{Blk= _NewTAI LUE}', "");
Expect(0, 6623, '\p{^Blk= _NewTAI LUE}', "");
Expect(0, 6623, '\P{Blk= _NewTAI LUE}', "");
Expect(1, 6623, '\P{^Blk= _NewTAI LUE}', "");
Expect(0, 6527, '\p{Blk= _NewTAI LUE}', "");
Expect(1, 6527, '\p{^Blk= _NewTAI LUE}', "");
Expect(1, 6527, '\P{Blk= _NewTAI LUE}', "");
Expect(0, 6527, '\P{^Blk= _NewTAI LUE}', "");
Error('\p{Is_Block=-_NEW Tai/a/LUE}');
Error('\P{Is_Block=-_NEW Tai/a/LUE}');
Expect(1, 6623, '\p{Is_Block=newtailue}', "");
Expect(0, 6623, '\p{^Is_Block=newtailue}', "");
Expect(0, 6623, '\P{Is_Block=newtailue}', "");
Expect(1, 6623, '\P{^Is_Block=newtailue}', "");
Expect(0, 6527, '\p{Is_Block=newtailue}', "");
Expect(1, 6527, '\p{^Is_Block=newtailue}', "");
Expect(1, 6527, '\P{Is_Block=newtailue}', "");
Expect(0, 6527, '\P{^Is_Block=newtailue}', "");
Expect(1, 6623, '\p{Is_Block= New	tailue}', "");
Expect(0, 6623, '\p{^Is_Block= New	tailue}', "");
Expect(0, 6623, '\P{Is_Block= New	tailue}', "");
Expect(1, 6623, '\P{^Is_Block= New	tailue}', "");
Expect(0, 6527, '\p{Is_Block= New	tailue}', "");
Expect(1, 6527, '\p{^Is_Block= New	tailue}', "");
Expect(1, 6527, '\P{Is_Block= New	tailue}', "");
Expect(0, 6527, '\P{^Is_Block= New	tailue}', "");
Error('\p{Is_Blk=_:=New Tai	Lue}');
Error('\P{Is_Blk=_:=New Tai	Lue}');
Expect(1, 6623, '\p{Is_Blk=newtailue}', "");
Expect(0, 6623, '\p{^Is_Blk=newtailue}', "");
Expect(0, 6623, '\P{Is_Blk=newtailue}', "");
Expect(1, 6623, '\P{^Is_Blk=newtailue}', "");
Expect(0, 6527, '\p{Is_Blk=newtailue}', "");
Expect(1, 6527, '\p{^Is_Blk=newtailue}', "");
Expect(1, 6527, '\P{Is_Blk=newtailue}', "");
Expect(0, 6527, '\P{^Is_Blk=newtailue}', "");
Expect(1, 6623, '\p{Is_Blk= NewtaiLue}', "");
Expect(0, 6623, '\p{^Is_Blk= NewtaiLue}', "");
Expect(0, 6623, '\P{Is_Blk= NewtaiLue}', "");
Expect(1, 6623, '\P{^Is_Blk= NewtaiLue}', "");
Expect(0, 6527, '\p{Is_Blk= NewtaiLue}', "");
Expect(1, 6527, '\p{^Is_Blk= NewtaiLue}', "");
Expect(1, 6527, '\P{Is_Blk= NewtaiLue}', "");
Expect(0, 6527, '\P{^Is_Blk= NewtaiLue}', "");
Error('\p{Block=-_cjk/a/Unified	IdeographsExtension_A}');
Error('\P{Block=-_cjk/a/Unified	IdeographsExtension_A}');
Expect(1, 19903, '\p{Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^Block=cjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\p{Block=cjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\p{^Block=cjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\P{Block=cjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\P{^Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{Block=CJK UNIFIED-IDEOGRAPHS_extension-A}', "");
Expect(0, 19903, '\p{^Block=CJK UNIFIED-IDEOGRAPHS_extension-A}', "");
Expect(0, 19903, '\P{Block=CJK UNIFIED-IDEOGRAPHS_extension-A}', "");
Expect(1, 19903, '\P{^Block=CJK UNIFIED-IDEOGRAPHS_extension-A}', "");
Expect(0, 13311, '\p{Block=CJK UNIFIED-IDEOGRAPHS_extension-A}', "");
Expect(1, 13311, '\p{^Block=CJK UNIFIED-IDEOGRAPHS_extension-A}', "");
Expect(1, 13311, '\P{Block=CJK UNIFIED-IDEOGRAPHS_extension-A}', "");
Expect(0, 13311, '\P{^Block=CJK UNIFIED-IDEOGRAPHS_extension-A}', "");
Error('\p{Blk=:=-_CJK_UNIFIED_Ideographs_EXTENSION-a}');
Error('\P{Blk=:=-_CJK_UNIFIED_Ideographs_EXTENSION-a}');
Expect(1, 19903, '\p{Blk=cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^Blk=cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{Blk=cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^Blk=cjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\p{Blk=cjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\p{^Blk=cjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\P{Blk=cjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\P{^Blk=cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{Blk=_	CJK	Unified-Ideographs Extension-A}', "");
Expect(0, 19903, '\p{^Blk=_	CJK	Unified-Ideographs Extension-A}', "");
Expect(0, 19903, '\P{Blk=_	CJK	Unified-Ideographs Extension-A}', "");
Expect(1, 19903, '\P{^Blk=_	CJK	Unified-Ideographs Extension-A}', "");
Expect(0, 13311, '\p{Blk=_	CJK	Unified-Ideographs Extension-A}', "");
Expect(1, 13311, '\p{^Blk=_	CJK	Unified-Ideographs Extension-A}', "");
Expect(1, 13311, '\P{Blk=_	CJK	Unified-Ideographs Extension-A}', "");
Expect(0, 13311, '\P{^Blk=_	CJK	Unified-Ideographs Extension-A}', "");
Error('\p{Is_Block=--cjk/a/Unified IDEOGRAPHS-Extension	A}');
Error('\P{Is_Block=--cjk/a/Unified IDEOGRAPHS-Extension	A}');
Expect(1, 19903, '\p{Is_Block:	cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^Is_Block:	cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{Is_Block:	cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^Is_Block:	cjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\p{Is_Block:	cjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\p{^Is_Block:	cjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\P{Is_Block:	cjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\P{^Is_Block:	cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{Is_Block:	_ CJKunified_ideographsExtension A}', "");
Expect(0, 19903, '\p{^Is_Block:	_ CJKunified_ideographsExtension A}', "");
Expect(0, 19903, '\P{Is_Block:	_ CJKunified_ideographsExtension A}', "");
Expect(1, 19903, '\P{^Is_Block:	_ CJKunified_ideographsExtension A}', "");
Expect(0, 13311, '\p{Is_Block:	_ CJKunified_ideographsExtension A}', "");
Expect(1, 13311, '\p{^Is_Block:	_ CJKunified_ideographsExtension A}', "");
Expect(1, 13311, '\P{Is_Block:	_ CJKunified_ideographsExtension A}', "");
Expect(0, 13311, '\P{^Is_Block:	_ CJKunified_ideographsExtension A}', "");
Error('\p{Is_Blk= CJK/a/Unified Ideographs_EXTENSION-A}');
Error('\P{Is_Blk= CJK/a/Unified Ideographs_EXTENSION-A}');
Expect(1, 19903, '\p{Is_Blk:cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^Is_Blk:cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{Is_Blk:cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^Is_Blk:cjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\p{Is_Blk:cjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\p{^Is_Blk:cjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\P{Is_Blk:cjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\P{^Is_Blk:cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{Is_Blk=	 CJK Unified IDEOGRAPHSExtensionA}', "");
Expect(0, 19903, '\p{^Is_Blk=	 CJK Unified IDEOGRAPHSExtensionA}', "");
Expect(0, 19903, '\P{Is_Blk=	 CJK Unified IDEOGRAPHSExtensionA}', "");
Expect(1, 19903, '\P{^Is_Blk=	 CJK Unified IDEOGRAPHSExtensionA}', "");
Expect(0, 13311, '\p{Is_Blk=	 CJK Unified IDEOGRAPHSExtensionA}', "");
Expect(1, 13311, '\p{^Is_Blk=	 CJK Unified IDEOGRAPHSExtensionA}', "");
Expect(1, 13311, '\P{Is_Blk=	 CJK Unified IDEOGRAPHSExtensionA}', "");
Expect(0, 13311, '\P{^Is_Blk=	 CJK Unified IDEOGRAPHSExtensionA}', "");
Error('\p{Block=	/a/Hangul	JAMO}');
Error('\P{Block=	/a/Hangul	JAMO}');
Expect(1, 4607, '\p{Block=hanguljamo}', "");
Expect(0, 4607, '\p{^Block=hanguljamo}', "");
Expect(0, 4607, '\P{Block=hanguljamo}', "");
Expect(1, 4607, '\P{^Block=hanguljamo}', "");
Expect(0, 4351, '\p{Block=hanguljamo}', "");
Expect(1, 4351, '\p{^Block=hanguljamo}', "");
Expect(1, 4351, '\P{Block=hanguljamo}', "");
Expect(0, 4351, '\P{^Block=hanguljamo}', "");
Expect(1, 4607, '\p{Block=	_Hangul	Jamo}', "");
Expect(0, 4607, '\p{^Block=	_Hangul	Jamo}', "");
Expect(0, 4607, '\P{Block=	_Hangul	Jamo}', "");
Expect(1, 4607, '\P{^Block=	_Hangul	Jamo}', "");
Expect(0, 4351, '\p{Block=	_Hangul	Jamo}', "");
Expect(1, 4351, '\p{^Block=	_Hangul	Jamo}', "");
Expect(1, 4351, '\P{Block=	_Hangul	Jamo}', "");
Expect(0, 4351, '\P{^Block=	_Hangul	Jamo}', "");
Error('\p{Blk=_/a/hangul	jamo}');
Error('\P{Blk=_/a/hangul	jamo}');
Expect(1, 4607, '\p{Blk=hanguljamo}', "");
Expect(0, 4607, '\p{^Blk=hanguljamo}', "");
Expect(0, 4607, '\P{Blk=hanguljamo}', "");
Expect(1, 4607, '\P{^Blk=hanguljamo}', "");
Expect(0, 4351, '\p{Blk=hanguljamo}', "");
Expect(1, 4351, '\p{^Blk=hanguljamo}', "");
Expect(1, 4351, '\P{Blk=hanguljamo}', "");
Expect(0, 4351, '\P{^Blk=hanguljamo}', "");
Expect(1, 4607, '\p{Blk=-Hangul-Jamo}', "");
Expect(0, 4607, '\p{^Blk=-Hangul-Jamo}', "");
Expect(0, 4607, '\P{Blk=-Hangul-Jamo}', "");
Expect(1, 4607, '\P{^Blk=-Hangul-Jamo}', "");
Expect(0, 4351, '\p{Blk=-Hangul-Jamo}', "");
Expect(1, 4351, '\p{^Blk=-Hangul-Jamo}', "");
Expect(1, 4351, '\P{Blk=-Hangul-Jamo}', "");
Expect(0, 4351, '\P{^Blk=-Hangul-Jamo}', "");
Error('\p{Is_Block=__Hangul/a/jamo}');
Error('\P{Is_Block=__Hangul/a/jamo}');
Expect(1, 4607, '\p{Is_Block=hanguljamo}', "");
Expect(0, 4607, '\p{^Is_Block=hanguljamo}', "");
Expect(0, 4607, '\P{Is_Block=hanguljamo}', "");
Expect(1, 4607, '\P{^Is_Block=hanguljamo}', "");
Expect(0, 4351, '\p{Is_Block=hanguljamo}', "");
Expect(1, 4351, '\p{^Is_Block=hanguljamo}', "");
Expect(1, 4351, '\P{Is_Block=hanguljamo}', "");
Expect(0, 4351, '\P{^Is_Block=hanguljamo}', "");
Expect(1, 4607, '\p{Is_Block= 	HANGUL_Jamo}', "");
Expect(0, 4607, '\p{^Is_Block= 	HANGUL_Jamo}', "");
Expect(0, 4607, '\P{Is_Block= 	HANGUL_Jamo}', "");
Expect(1, 4607, '\P{^Is_Block= 	HANGUL_Jamo}', "");
Expect(0, 4351, '\p{Is_Block= 	HANGUL_Jamo}', "");
Expect(1, 4351, '\p{^Is_Block= 	HANGUL_Jamo}', "");
Expect(1, 4351, '\P{Is_Block= 	HANGUL_Jamo}', "");
Expect(0, 4351, '\P{^Is_Block= 	HANGUL_Jamo}', "");
Error('\p{Is_Blk=:=_Hangul_JAMO}');
Error('\P{Is_Blk=:=_Hangul_JAMO}');
Expect(1, 4607, '\p{Is_Blk=hanguljamo}', "");
Expect(0, 4607, '\p{^Is_Blk=hanguljamo}', "");
Expect(0, 4607, '\P{Is_Blk=hanguljamo}', "");
Expect(1, 4607, '\P{^Is_Blk=hanguljamo}', "");
Expect(0, 4351, '\p{Is_Blk=hanguljamo}', "");
Expect(1, 4351, '\p{^Is_Blk=hanguljamo}', "");
Expect(1, 4351, '\P{Is_Blk=hanguljamo}', "");
Expect(0, 4351, '\P{^Is_Blk=hanguljamo}', "");
Expect(1, 4607, '\p{Is_Blk=_HANGUL JAMO}', "");
Expect(0, 4607, '\p{^Is_Blk=_HANGUL JAMO}', "");
Expect(0, 4607, '\P{Is_Blk=_HANGUL JAMO}', "");
Expect(1, 4607, '\P{^Is_Blk=_HANGUL JAMO}', "");
Expect(0, 4351, '\p{Is_Blk=_HANGUL JAMO}', "");
Expect(1, 4351, '\p{^Is_Blk=_HANGUL JAMO}', "");
Expect(1, 4351, '\P{Is_Blk=_HANGUL JAMO}', "");
Expect(0, 4351, '\P{^Is_Blk=_HANGUL JAMO}', "");
Error('\p{Block=/a/_Dingbats}');
Error('\P{Block=/a/_Dingbats}');
Expect(1, 10175, '\p{Block=dingbats}', "");
Expect(0, 10175, '\p{^Block=dingbats}', "");
Expect(0, 10175, '\P{Block=dingbats}', "");
Expect(1, 10175, '\P{^Block=dingbats}', "");
Expect(0, 9983, '\p{Block=dingbats}', "");
Expect(1, 9983, '\p{^Block=dingbats}', "");
Expect(1, 9983, '\P{Block=dingbats}', "");
Expect(0, 9983, '\P{^Block=dingbats}', "");
Expect(1, 10175, '\p{Block=-DINGBATS}', "");
Expect(0, 10175, '\p{^Block=-DINGBATS}', "");
Expect(0, 10175, '\P{Block=-DINGBATS}', "");
Expect(1, 10175, '\P{^Block=-DINGBATS}', "");
Expect(0, 9983, '\p{Block=-DINGBATS}', "");
Expect(1, 9983, '\p{^Block=-DINGBATS}', "");
Expect(1, 9983, '\P{Block=-DINGBATS}', "");
Expect(0, 9983, '\P{^Block=-DINGBATS}', "");
Error('\p{Blk=/a/	_DINGBATS}');
Error('\P{Blk=/a/	_DINGBATS}');
Expect(1, 10175, '\p{Blk=dingbats}', "");
Expect(0, 10175, '\p{^Blk=dingbats}', "");
Expect(0, 10175, '\P{Blk=dingbats}', "");
Expect(1, 10175, '\P{^Blk=dingbats}', "");
Expect(0, 9983, '\p{Blk=dingbats}', "");
Expect(1, 9983, '\p{^Blk=dingbats}', "");
Expect(1, 9983, '\P{Blk=dingbats}', "");
Expect(0, 9983, '\P{^Blk=dingbats}', "");
Expect(1, 10175, '\p{Blk=	_Dingbats}', "");
Expect(0, 10175, '\p{^Blk=	_Dingbats}', "");
Expect(0, 10175, '\P{Blk=	_Dingbats}', "");
Expect(1, 10175, '\P{^Blk=	_Dingbats}', "");
Expect(0, 9983, '\p{Blk=	_Dingbats}', "");
Expect(1, 9983, '\p{^Blk=	_Dingbats}', "");
Expect(1, 9983, '\P{Blk=	_Dingbats}', "");
Expect(0, 9983, '\P{^Blk=	_Dingbats}', "");
Error('\p{Is_Block:	_/a/Dingbats}');
Error('\P{Is_Block:	_/a/Dingbats}');
Expect(1, 10175, '\p{Is_Block=dingbats}', "");
Expect(0, 10175, '\p{^Is_Block=dingbats}', "");
Expect(0, 10175, '\P{Is_Block=dingbats}', "");
Expect(1, 10175, '\P{^Is_Block=dingbats}', "");
Expect(0, 9983, '\p{Is_Block=dingbats}', "");
Expect(1, 9983, '\p{^Is_Block=dingbats}', "");
Expect(1, 9983, '\P{Is_Block=dingbats}', "");
Expect(0, 9983, '\P{^Is_Block=dingbats}', "");
Expect(1, 10175, '\p{Is_Block: -DINGBATS}', "");
Expect(0, 10175, '\p{^Is_Block: -DINGBATS}', "");
Expect(0, 10175, '\P{Is_Block: -DINGBATS}', "");
Expect(1, 10175, '\P{^Is_Block: -DINGBATS}', "");
Expect(0, 9983, '\p{Is_Block: -DINGBATS}', "");
Expect(1, 9983, '\p{^Is_Block: -DINGBATS}', "");
Expect(1, 9983, '\P{Is_Block: -DINGBATS}', "");
Expect(0, 9983, '\P{^Is_Block: -DINGBATS}', "");
Error('\p{Is_Blk=Dingbats:=}');
Error('\P{Is_Blk=Dingbats:=}');
Expect(1, 10175, '\p{Is_Blk=dingbats}', "");
Expect(0, 10175, '\p{^Is_Blk=dingbats}', "");
Expect(0, 10175, '\P{Is_Blk=dingbats}', "");
Expect(1, 10175, '\P{^Is_Blk=dingbats}', "");
Expect(0, 9983, '\p{Is_Blk=dingbats}', "");
Expect(1, 9983, '\p{^Is_Blk=dingbats}', "");
Expect(1, 9983, '\P{Is_Blk=dingbats}', "");
Expect(0, 9983, '\P{^Is_Blk=dingbats}', "");
Expect(1, 10175, '\p{Is_Blk=_	dingbats}', "");
Expect(0, 10175, '\p{^Is_Blk=_	dingbats}', "");
Expect(0, 10175, '\P{Is_Blk=_	dingbats}', "");
Expect(1, 10175, '\P{^Is_Blk=_	dingbats}', "");
Expect(0, 9983, '\p{Is_Blk=_	dingbats}', "");
Expect(1, 9983, '\p{^Is_Blk=_	dingbats}', "");
Expect(1, 9983, '\P{Is_Blk=_	dingbats}', "");
Expect(0, 9983, '\P{^Is_Blk=_	dingbats}', "");
Error('\p{Block= :=BAMUM}');
Error('\P{Block= :=BAMUM}');
Expect(1, 42751, '\p{Block=bamum}', "");
Expect(0, 42751, '\p{^Block=bamum}', "");
Expect(0, 42751, '\P{Block=bamum}', "");
Expect(1, 42751, '\P{^Block=bamum}', "");
Expect(0, 42655, '\p{Block=bamum}', "");
Expect(1, 42655, '\p{^Block=bamum}', "");
Expect(1, 42655, '\P{Block=bamum}', "");
Expect(0, 42655, '\P{^Block=bamum}', "");
Expect(1, 42751, '\p{Block= BAMUM}', "");
Expect(0, 42751, '\p{^Block= BAMUM}', "");
Expect(0, 42751, '\P{Block= BAMUM}', "");
Expect(1, 42751, '\P{^Block= BAMUM}', "");
Expect(0, 42655, '\p{Block= BAMUM}', "");
Expect(1, 42655, '\p{^Block= BAMUM}', "");
Expect(1, 42655, '\P{Block= BAMUM}', "");
Expect(0, 42655, '\P{^Block= BAMUM}', "");
Error('\p{Blk= :=BAMUM}');
Error('\P{Blk= :=BAMUM}');
Expect(1, 42751, '\p{Blk=bamum}', "");
Expect(0, 42751, '\p{^Blk=bamum}', "");
Expect(0, 42751, '\P{Blk=bamum}', "");
Expect(1, 42751, '\P{^Blk=bamum}', "");
Expect(0, 42655, '\p{Blk=bamum}', "");
Expect(1, 42655, '\p{^Blk=bamum}', "");
Expect(1, 42655, '\P{Blk=bamum}', "");
Expect(0, 42655, '\P{^Blk=bamum}', "");
Expect(1, 42751, '\p{Blk=	BAMUM}', "");
Expect(0, 42751, '\p{^Blk=	BAMUM}', "");
Expect(0, 42751, '\P{Blk=	BAMUM}', "");
Expect(1, 42751, '\P{^Blk=	BAMUM}', "");
Expect(0, 42655, '\p{Blk=	BAMUM}', "");
Expect(1, 42655, '\p{^Blk=	BAMUM}', "");
Expect(1, 42655, '\P{Blk=	BAMUM}', "");
Expect(0, 42655, '\P{^Blk=	BAMUM}', "");
Error('\p{Is_Block=_ BAMUM/a/}');
Error('\P{Is_Block=_ BAMUM/a/}');
Expect(1, 42751, '\p{Is_Block=bamum}', "");
Expect(0, 42751, '\p{^Is_Block=bamum}', "");
Expect(0, 42751, '\P{Is_Block=bamum}', "");
Expect(1, 42751, '\P{^Is_Block=bamum}', "");
Expect(0, 42655, '\p{Is_Block=bamum}', "");
Expect(1, 42655, '\p{^Is_Block=bamum}', "");
Expect(1, 42655, '\P{Is_Block=bamum}', "");
Expect(0, 42655, '\P{^Is_Block=bamum}', "");
Expect(1, 42751, '\p{Is_Block=	Bamum}', "");
Expect(0, 42751, '\p{^Is_Block=	Bamum}', "");
Expect(0, 42751, '\P{Is_Block=	Bamum}', "");
Expect(1, 42751, '\P{^Is_Block=	Bamum}', "");
Expect(0, 42655, '\p{Is_Block=	Bamum}', "");
Expect(1, 42655, '\p{^Is_Block=	Bamum}', "");
Expect(1, 42655, '\P{Is_Block=	Bamum}', "");
Expect(0, 42655, '\P{^Is_Block=	Bamum}', "");
Error('\p{Is_Blk=	bamum:=}');
Error('\P{Is_Blk=	bamum:=}');
Expect(1, 42751, '\p{Is_Blk=bamum}', "");
Expect(0, 42751, '\p{^Is_Blk=bamum}', "");
Expect(0, 42751, '\P{Is_Blk=bamum}', "");
Expect(1, 42751, '\P{^Is_Blk=bamum}', "");
Expect(0, 42655, '\p{Is_Blk=bamum}', "");
Expect(1, 42655, '\p{^Is_Blk=bamum}', "");
Expect(1, 42655, '\P{Is_Blk=bamum}', "");
Expect(0, 42655, '\P{^Is_Blk=bamum}', "");
Expect(1, 42751, '\p{Is_Blk=		bamum}', "");
Expect(0, 42751, '\p{^Is_Blk=		bamum}', "");
Expect(0, 42751, '\P{Is_Blk=		bamum}', "");
Expect(1, 42751, '\P{^Is_Blk=		bamum}', "");
Expect(0, 42655, '\p{Is_Blk=		bamum}', "");
Expect(1, 42655, '\p{^Is_Blk=		bamum}', "");
Expect(1, 42655, '\P{Is_Blk=		bamum}', "");
Expect(0, 42655, '\P{^Is_Blk=		bamum}', "");
Error('\p{Block= Inscriptional Parthian/a/}');
Error('\P{Block= Inscriptional Parthian/a/}');
Expect(1, 68447, '\p{Block=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Block=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Block=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Block=inscriptionalparthian}', "");
Expect(0, 68415, '\p{Block=inscriptionalparthian}', "");
Expect(1, 68415, '\p{^Block=inscriptionalparthian}', "");
Expect(1, 68415, '\P{Block=inscriptionalparthian}', "");
Expect(0, 68415, '\P{^Block=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Block=_ Inscriptional	Parthian}', "");
Expect(0, 68447, '\p{^Block=_ Inscriptional	Parthian}', "");
Expect(0, 68447, '\P{Block=_ Inscriptional	Parthian}', "");
Expect(1, 68447, '\P{^Block=_ Inscriptional	Parthian}', "");
Expect(0, 68415, '\p{Block=_ Inscriptional	Parthian}', "");
Expect(1, 68415, '\p{^Block=_ Inscriptional	Parthian}', "");
Expect(1, 68415, '\P{Block=_ Inscriptional	Parthian}', "");
Expect(0, 68415, '\P{^Block=_ Inscriptional	Parthian}', "");
Error('\p{Blk:  :=InscriptionalParthian}');
Error('\P{Blk:  :=InscriptionalParthian}');
Expect(1, 68447, '\p{Blk=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Blk=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Blk=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Blk=inscriptionalparthian}', "");
Expect(0, 68415, '\p{Blk=inscriptionalparthian}', "");
Expect(1, 68415, '\p{^Blk=inscriptionalparthian}', "");
Expect(1, 68415, '\P{Blk=inscriptionalparthian}', "");
Expect(0, 68415, '\P{^Blk=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Blk=-	Inscriptional PARTHIAN}', "");
Expect(0, 68447, '\p{^Blk=-	Inscriptional PARTHIAN}', "");
Expect(0, 68447, '\P{Blk=-	Inscriptional PARTHIAN}', "");
Expect(1, 68447, '\P{^Blk=-	Inscriptional PARTHIAN}', "");
Expect(0, 68415, '\p{Blk=-	Inscriptional PARTHIAN}', "");
Expect(1, 68415, '\p{^Blk=-	Inscriptional PARTHIAN}', "");
Expect(1, 68415, '\P{Blk=-	Inscriptional PARTHIAN}', "");
Expect(0, 68415, '\P{^Blk=-	Inscriptional PARTHIAN}', "");
Error('\p{Is_Block=/a/_ INSCRIPTIONAL	parthian}');
Error('\P{Is_Block=/a/_ INSCRIPTIONAL	parthian}');
Expect(1, 68447, '\p{Is_Block=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Is_Block=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Is_Block=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Is_Block=inscriptionalparthian}', "");
Expect(0, 68415, '\p{Is_Block=inscriptionalparthian}', "");
Expect(1, 68415, '\p{^Is_Block=inscriptionalparthian}', "");
Expect(1, 68415, '\P{Is_Block=inscriptionalparthian}', "");
Expect(0, 68415, '\P{^Is_Block=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Is_Block= 	Inscriptional	parthian}', "");
Expect(0, 68447, '\p{^Is_Block= 	Inscriptional	parthian}', "");
Expect(0, 68447, '\P{Is_Block= 	Inscriptional	parthian}', "");
Expect(1, 68447, '\P{^Is_Block= 	Inscriptional	parthian}', "");
Expect(0, 68415, '\p{Is_Block= 	Inscriptional	parthian}', "");
Expect(1, 68415, '\p{^Is_Block= 	Inscriptional	parthian}', "");
Expect(1, 68415, '\P{Is_Block= 	Inscriptional	parthian}', "");
Expect(0, 68415, '\P{^Is_Block= 	Inscriptional	parthian}', "");
Error('\p{Is_Blk=:=Inscriptional parthian}');
Error('\P{Is_Blk=:=Inscriptional parthian}');
Expect(1, 68447, '\p{Is_Blk=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Is_Blk=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Is_Blk=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Is_Blk=inscriptionalparthian}', "");
Expect(0, 68415, '\p{Is_Blk=inscriptionalparthian}', "");
Expect(1, 68415, '\p{^Is_Blk=inscriptionalparthian}', "");
Expect(1, 68415, '\P{Is_Blk=inscriptionalparthian}', "");
Expect(0, 68415, '\P{^Is_Blk=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Is_Blk=	-Inscriptional	parthian}', "");
Expect(0, 68447, '\p{^Is_Blk=	-Inscriptional	parthian}', "");
Expect(0, 68447, '\P{Is_Blk=	-Inscriptional	parthian}', "");
Expect(1, 68447, '\P{^Is_Blk=	-Inscriptional	parthian}', "");
Expect(0, 68415, '\p{Is_Blk=	-Inscriptional	parthian}', "");
Expect(1, 68415, '\p{^Is_Blk=	-Inscriptional	parthian}', "");
Expect(1, 68415, '\P{Is_Blk=	-Inscriptional	parthian}', "");
Expect(0, 68415, '\P{^Is_Blk=	-Inscriptional	parthian}', "");
Error('\p{Block= UNIFIED_Canadian	Aboriginal/a/Syllabics}');
Error('\P{Block= UNIFIED_Canadian	Aboriginal/a/Syllabics}');
Expect(1, 5759, '\p{Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5119, '\p{Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5119, '\p{^Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5119, '\P{Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5119, '\P{^Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{Block= Unified CanadianAboriginal	Syllabics}', "");
Expect(0, 5759, '\p{^Block= Unified CanadianAboriginal	Syllabics}', "");
Expect(0, 5759, '\P{Block= Unified CanadianAboriginal	Syllabics}', "");
Expect(1, 5759, '\P{^Block= Unified CanadianAboriginal	Syllabics}', "");
Expect(0, 5119, '\p{Block= Unified CanadianAboriginal	Syllabics}', "");
Expect(1, 5119, '\p{^Block= Unified CanadianAboriginal	Syllabics}', "");
Expect(1, 5119, '\P{Block= Unified CanadianAboriginal	Syllabics}', "");
Expect(0, 5119, '\P{^Block= Unified CanadianAboriginal	Syllabics}', "");
Error('\p{Blk=/a/Canadian Syllabics}');
Error('\P{Blk=/a/Canadian Syllabics}');
Expect(1, 5759, '\p{Blk=canadiansyllabics}', "");
Expect(0, 5759, '\p{^Blk=canadiansyllabics}', "");
Expect(0, 5759, '\P{Blk=canadiansyllabics}', "");
Expect(1, 5759, '\P{^Blk=canadiansyllabics}', "");
Expect(0, 5119, '\p{Blk=canadiansyllabics}', "");
Expect(1, 5119, '\p{^Blk=canadiansyllabics}', "");
Expect(1, 5119, '\P{Blk=canadiansyllabics}', "");
Expect(0, 5119, '\P{^Blk=canadiansyllabics}', "");
Expect(1, 5759, '\p{Blk=_ CANADIAN	Syllabics}', "");
Expect(0, 5759, '\p{^Blk=_ CANADIAN	Syllabics}', "");
Expect(0, 5759, '\P{Blk=_ CANADIAN	Syllabics}', "");
Expect(1, 5759, '\P{^Blk=_ CANADIAN	Syllabics}', "");
Expect(0, 5119, '\p{Blk=_ CANADIAN	Syllabics}', "");
Expect(1, 5119, '\p{^Blk=_ CANADIAN	Syllabics}', "");
Expect(1, 5119, '\P{Blk=_ CANADIAN	Syllabics}', "");
Expect(0, 5119, '\P{^Blk=_ CANADIAN	Syllabics}', "");
Error('\p{Is_Block=/a/Unified Canadian-Aboriginal_Syllabics}');
Error('\P{Is_Block=/a/Unified Canadian-Aboriginal_Syllabics}');
Expect(1, 5759, '\p{Is_Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^Is_Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{Is_Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^Is_Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5119, '\p{Is_Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5119, '\p{^Is_Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5119, '\P{Is_Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5119, '\P{^Is_Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{Is_Block=_Unified CANADIAN	AboriginalSYLLABICS}', "");
Expect(0, 5759, '\p{^Is_Block=_Unified CANADIAN	AboriginalSYLLABICS}', "");
Expect(0, 5759, '\P{Is_Block=_Unified CANADIAN	AboriginalSYLLABICS}', "");
Expect(1, 5759, '\P{^Is_Block=_Unified CANADIAN	AboriginalSYLLABICS}', "");
Expect(0, 5119, '\p{Is_Block=_Unified CANADIAN	AboriginalSYLLABICS}', "");
Expect(1, 5119, '\p{^Is_Block=_Unified CANADIAN	AboriginalSYLLABICS}', "");
Expect(1, 5119, '\P{Is_Block=_Unified CANADIAN	AboriginalSYLLABICS}', "");
Expect(0, 5119, '\P{^Is_Block=_Unified CANADIAN	AboriginalSYLLABICS}', "");
Error('\p{Is_Blk=/a/_-canadian_Syllabics}');
Error('\P{Is_Blk=/a/_-canadian_Syllabics}');
Expect(1, 5759, '\p{Is_Blk=canadiansyllabics}', "");
Expect(0, 5759, '\p{^Is_Blk=canadiansyllabics}', "");
Expect(0, 5759, '\P{Is_Blk=canadiansyllabics}', "");
Expect(1, 5759, '\P{^Is_Blk=canadiansyllabics}', "");
Expect(0, 5119, '\p{Is_Blk=canadiansyllabics}', "");
Expect(1, 5119, '\p{^Is_Blk=canadiansyllabics}', "");
Expect(1, 5119, '\P{Is_Blk=canadiansyllabics}', "");
Expect(0, 5119, '\P{^Is_Blk=canadiansyllabics}', "");
Expect(1, 5759, '\p{Is_Blk=_	Canadian SYLLABICS}', "");
Expect(0, 5759, '\p{^Is_Blk=_	Canadian SYLLABICS}', "");
Expect(0, 5759, '\P{Is_Blk=_	Canadian SYLLABICS}', "");
Expect(1, 5759, '\P{^Is_Blk=_	Canadian SYLLABICS}', "");
Expect(0, 5119, '\p{Is_Blk=_	Canadian SYLLABICS}', "");
Expect(1, 5119, '\p{^Is_Blk=_	Canadian SYLLABICS}', "");
Expect(1, 5119, '\P{Is_Blk=_	Canadian SYLLABICS}', "");
Expect(0, 5119, '\P{^Is_Blk=_	Canadian SYLLABICS}', "");
Error('\p{Block=	_VARIATION/a/Selectors}');
Error('\P{Block=	_VARIATION/a/Selectors}');
Expect(1, 65039, '\p{Block=variationselectors}', "");
Expect(0, 65039, '\p{^Block=variationselectors}', "");
Expect(0, 65039, '\P{Block=variationselectors}', "");
Expect(1, 65039, '\P{^Block=variationselectors}', "");
Expect(0, 65023, '\p{Block=variationselectors}', "");
Expect(1, 65023, '\p{^Block=variationselectors}', "");
Expect(1, 65023, '\P{Block=variationselectors}', "");
Expect(0, 65023, '\P{^Block=variationselectors}', "");
Expect(1, 65039, '\p{Block=Variation_Selectors}', "");
Expect(0, 65039, '\p{^Block=Variation_Selectors}', "");
Expect(0, 65039, '\P{Block=Variation_Selectors}', "");
Expect(1, 65039, '\P{^Block=Variation_Selectors}', "");
Expect(0, 65023, '\p{Block=Variation_Selectors}', "");
Expect(1, 65023, '\p{^Block=Variation_Selectors}', "");
Expect(1, 65023, '\P{Block=Variation_Selectors}', "");
Expect(0, 65023, '\P{^Block=Variation_Selectors}', "");
Error('\p{Blk=--Variation:=Selectors}');
Error('\P{Blk=--Variation:=Selectors}');
Expect(1, 65039, '\p{Blk=variationselectors}', "");
Expect(0, 65039, '\p{^Blk=variationselectors}', "");
Expect(0, 65039, '\P{Blk=variationselectors}', "");
Expect(1, 65039, '\P{^Blk=variationselectors}', "");
Expect(0, 65023, '\p{Blk=variationselectors}', "");
Expect(1, 65023, '\p{^Blk=variationselectors}', "");
Expect(1, 65023, '\P{Blk=variationselectors}', "");
Expect(0, 65023, '\P{^Blk=variationselectors}', "");
Expect(1, 65039, '\p{Blk=	Variation_selectors}', "");
Expect(0, 65039, '\p{^Blk=	Variation_selectors}', "");
Expect(0, 65039, '\P{Blk=	Variation_selectors}', "");
Expect(1, 65039, '\P{^Blk=	Variation_selectors}', "");
Expect(0, 65023, '\p{Blk=	Variation_selectors}', "");
Expect(1, 65023, '\p{^Blk=	Variation_selectors}', "");
Expect(1, 65023, '\P{Blk=	Variation_selectors}', "");
Expect(0, 65023, '\P{^Blk=	Variation_selectors}', "");
Error('\p{Is_Block=/a/-	VARIATION_selectors}');
Error('\P{Is_Block=/a/-	VARIATION_selectors}');
Expect(1, 65039, '\p{Is_Block=variationselectors}', "");
Expect(0, 65039, '\p{^Is_Block=variationselectors}', "");
Expect(0, 65039, '\P{Is_Block=variationselectors}', "");
Expect(1, 65039, '\P{^Is_Block=variationselectors}', "");
Expect(0, 65023, '\p{Is_Block=variationselectors}', "");
Expect(1, 65023, '\p{^Is_Block=variationselectors}', "");
Expect(1, 65023, '\P{Is_Block=variationselectors}', "");
Expect(0, 65023, '\P{^Is_Block=variationselectors}', "");
Expect(1, 65039, '\p{Is_Block=	-Variation Selectors}', "");
Expect(0, 65039, '\p{^Is_Block=	-Variation Selectors}', "");
Expect(0, 65039, '\P{Is_Block=	-Variation Selectors}', "");
Expect(1, 65039, '\P{^Is_Block=	-Variation Selectors}', "");
Expect(0, 65023, '\p{Is_Block=	-Variation Selectors}', "");
Expect(1, 65023, '\p{^Is_Block=	-Variation Selectors}', "");
Expect(1, 65023, '\P{Is_Block=	-Variation Selectors}', "");
Expect(0, 65023, '\P{^Is_Block=	-Variation Selectors}', "");
Error('\p{Is_Blk=-/a/VARIATION_SELECTORS}');
Error('\P{Is_Blk=-/a/VARIATION_SELECTORS}');
Expect(1, 65039, '\p{Is_Blk=variationselectors}', "");
Expect(0, 65039, '\p{^Is_Blk=variationselectors}', "");
Expect(0, 65039, '\P{Is_Blk=variationselectors}', "");
Expect(1, 65039, '\P{^Is_Blk=variationselectors}', "");
Expect(0, 65023, '\p{Is_Blk=variationselectors}', "");
Expect(1, 65023, '\p{^Is_Blk=variationselectors}', "");
Expect(1, 65023, '\P{Is_Blk=variationselectors}', "");
Expect(0, 65023, '\P{^Is_Blk=variationselectors}', "");
Expect(1, 65039, '\p{Is_Blk=  VARIATIONselectors}', "");
Expect(0, 65039, '\p{^Is_Blk=  VARIATIONselectors}', "");
Expect(0, 65039, '\P{Is_Blk=  VARIATIONselectors}', "");
Expect(1, 65039, '\P{^Is_Blk=  VARIATIONselectors}', "");
Expect(0, 65023, '\p{Is_Blk=  VARIATIONselectors}', "");
Expect(1, 65023, '\p{^Is_Blk=  VARIATIONselectors}', "");
Expect(1, 65023, '\P{Is_Blk=  VARIATIONselectors}', "");
Expect(0, 65023, '\P{^Is_Blk=  VARIATIONselectors}', "");
Error('\p{Block=_:=number_FORMS}');
Error('\P{Block=_:=number_FORMS}');
Expect(1, 8591, '\p{Block=numberforms}', "");
Expect(0, 8591, '\p{^Block=numberforms}', "");
Expect(0, 8591, '\P{Block=numberforms}', "");
Expect(1, 8591, '\P{^Block=numberforms}', "");
Expect(0, 8527, '\p{Block=numberforms}', "");
Expect(1, 8527, '\p{^Block=numberforms}', "");
Expect(1, 8527, '\P{Block=numberforms}', "");
Expect(0, 8527, '\P{^Block=numberforms}', "");
Expect(1, 8591, '\p{Block=_NUMBER_forms}', "");
Expect(0, 8591, '\p{^Block=_NUMBER_forms}', "");
Expect(0, 8591, '\P{Block=_NUMBER_forms}', "");
Expect(1, 8591, '\P{^Block=_NUMBER_forms}', "");
Expect(0, 8527, '\p{Block=_NUMBER_forms}', "");
Expect(1, 8527, '\p{^Block=_NUMBER_forms}', "");
Expect(1, 8527, '\P{Block=_NUMBER_forms}', "");
Expect(0, 8527, '\P{^Block=_NUMBER_forms}', "");
Error('\p{Blk:	/a/-number_Forms}');
Error('\P{Blk:	/a/-number_Forms}');
Expect(1, 8591, '\p{Blk=numberforms}', "");
Expect(0, 8591, '\p{^Blk=numberforms}', "");
Expect(0, 8591, '\P{Blk=numberforms}', "");
Expect(1, 8591, '\P{^Blk=numberforms}', "");
Expect(0, 8527, '\p{Blk=numberforms}', "");
Expect(1, 8527, '\p{^Blk=numberforms}', "");
Expect(1, 8527, '\P{Blk=numberforms}', "");
Expect(0, 8527, '\P{^Blk=numberforms}', "");
Expect(1, 8591, '\p{Blk= NUMBER_Forms}', "");
Expect(0, 8591, '\p{^Blk= NUMBER_Forms}', "");
Expect(0, 8591, '\P{Blk= NUMBER_Forms}', "");
Expect(1, 8591, '\P{^Blk= NUMBER_Forms}', "");
Expect(0, 8527, '\p{Blk= NUMBER_Forms}', "");
Expect(1, 8527, '\p{^Blk= NUMBER_Forms}', "");
Expect(1, 8527, '\P{Blk= NUMBER_Forms}', "");
Expect(0, 8527, '\P{^Blk= NUMBER_Forms}', "");
Error('\p{Is_Block=- Number:=forms}');
Error('\P{Is_Block=- Number:=forms}');
Expect(1, 8591, '\p{Is_Block: numberforms}', "");
Expect(0, 8591, '\p{^Is_Block: numberforms}', "");
Expect(0, 8591, '\P{Is_Block: numberforms}', "");
Expect(1, 8591, '\P{^Is_Block: numberforms}', "");
Expect(0, 8527, '\p{Is_Block: numberforms}', "");
Expect(1, 8527, '\p{^Is_Block: numberforms}', "");
Expect(1, 8527, '\P{Is_Block: numberforms}', "");
Expect(0, 8527, '\P{^Is_Block: numberforms}', "");
Expect(1, 8591, '\p{Is_Block=-NUMBER-FORMS}', "");
Expect(0, 8591, '\p{^Is_Block=-NUMBER-FORMS}', "");
Expect(0, 8591, '\P{Is_Block=-NUMBER-FORMS}', "");
Expect(1, 8591, '\P{^Is_Block=-NUMBER-FORMS}', "");
Expect(0, 8527, '\p{Is_Block=-NUMBER-FORMS}', "");
Expect(1, 8527, '\p{^Is_Block=-NUMBER-FORMS}', "");
Expect(1, 8527, '\P{Is_Block=-NUMBER-FORMS}', "");
Expect(0, 8527, '\P{^Is_Block=-NUMBER-FORMS}', "");
Error('\p{Is_Blk=:=  number FORMS}');
Error('\P{Is_Blk=:=  number FORMS}');
Expect(1, 8591, '\p{Is_Blk=numberforms}', "");
Expect(0, 8591, '\p{^Is_Blk=numberforms}', "");
Expect(0, 8591, '\P{Is_Blk=numberforms}', "");
Expect(1, 8591, '\P{^Is_Blk=numberforms}', "");
Expect(0, 8527, '\p{Is_Blk=numberforms}', "");
Expect(1, 8527, '\p{^Is_Blk=numberforms}', "");
Expect(1, 8527, '\P{Is_Blk=numberforms}', "");
Expect(0, 8527, '\P{^Is_Blk=numberforms}', "");
Expect(1, 8591, '\p{Is_Blk=	_NUMBER-forms}', "");
Expect(0, 8591, '\p{^Is_Blk=	_NUMBER-forms}', "");
Expect(0, 8591, '\P{Is_Blk=	_NUMBER-forms}', "");
Expect(1, 8591, '\P{^Is_Blk=	_NUMBER-forms}', "");
Expect(0, 8527, '\p{Is_Blk=	_NUMBER-forms}', "");
Expect(1, 8527, '\p{^Is_Blk=	_NUMBER-forms}', "");
Expect(1, 8527, '\P{Is_Blk=	_NUMBER-forms}', "");
Expect(0, 8527, '\P{^Is_Blk=	_NUMBER-forms}', "");
Error('\p{Block:	-/a/CONTROL_pictures}');
Error('\P{Block:	-/a/CONTROL_pictures}');
Expect(1, 9279, '\p{Block=controlpictures}', "");
Expect(0, 9279, '\p{^Block=controlpictures}', "");
Expect(0, 9279, '\P{Block=controlpictures}', "");
Expect(1, 9279, '\P{^Block=controlpictures}', "");
Expect(0, 9215, '\p{Block=controlpictures}', "");
Expect(1, 9215, '\p{^Block=controlpictures}', "");
Expect(1, 9215, '\P{Block=controlpictures}', "");
Expect(0, 9215, '\P{^Block=controlpictures}', "");
Expect(1, 9279, '\p{Block=	_CONTROL	pictures}', "");
Expect(0, 9279, '\p{^Block=	_CONTROL	pictures}', "");
Expect(0, 9279, '\P{Block=	_CONTROL	pictures}', "");
Expect(1, 9279, '\P{^Block=	_CONTROL	pictures}', "");
Expect(0, 9215, '\p{Block=	_CONTROL	pictures}', "");
Expect(1, 9215, '\p{^Block=	_CONTROL	pictures}', "");
Expect(1, 9215, '\P{Block=	_CONTROL	pictures}', "");
Expect(0, 9215, '\P{^Block=	_CONTROL	pictures}', "");
Error('\p{Blk=	_CONTROL Pictures/a/}');
Error('\P{Blk=	_CONTROL Pictures/a/}');
Expect(1, 9279, '\p{Blk=controlpictures}', "");
Expect(0, 9279, '\p{^Blk=controlpictures}', "");
Expect(0, 9279, '\P{Blk=controlpictures}', "");
Expect(1, 9279, '\P{^Blk=controlpictures}', "");
Expect(0, 9215, '\p{Blk=controlpictures}', "");
Expect(1, 9215, '\p{^Blk=controlpictures}', "");
Expect(1, 9215, '\P{Blk=controlpictures}', "");
Expect(0, 9215, '\P{^Blk=controlpictures}', "");
Expect(1, 9279, '\p{Blk: 	 Control	Pictures}', "");
Expect(0, 9279, '\p{^Blk: 	 Control	Pictures}', "");
Expect(0, 9279, '\P{Blk: 	 Control	Pictures}', "");
Expect(1, 9279, '\P{^Blk: 	 Control	Pictures}', "");
Expect(0, 9215, '\p{Blk: 	 Control	Pictures}', "");
Expect(1, 9215, '\p{^Blk: 	 Control	Pictures}', "");
Expect(1, 9215, '\P{Blk: 	 Control	Pictures}', "");
Expect(0, 9215, '\P{^Blk: 	 Control	Pictures}', "");
Error('\p{Is_Block=/a/controlPICTURES}');
Error('\P{Is_Block=/a/controlPICTURES}');
Expect(1, 9279, '\p{Is_Block=controlpictures}', "");
Expect(0, 9279, '\p{^Is_Block=controlpictures}', "");
Expect(0, 9279, '\P{Is_Block=controlpictures}', "");
Expect(1, 9279, '\P{^Is_Block=controlpictures}', "");
Expect(0, 9215, '\p{Is_Block=controlpictures}', "");
Expect(1, 9215, '\p{^Is_Block=controlpictures}', "");
Expect(1, 9215, '\P{Is_Block=controlpictures}', "");
Expect(0, 9215, '\P{^Is_Block=controlpictures}', "");
Expect(1, 9279, '\p{Is_Block=_	Control PICTURES}', "");
Expect(0, 9279, '\p{^Is_Block=_	Control PICTURES}', "");
Expect(0, 9279, '\P{Is_Block=_	Control PICTURES}', "");
Expect(1, 9279, '\P{^Is_Block=_	Control PICTURES}', "");
Expect(0, 9215, '\p{Is_Block=_	Control PICTURES}', "");
Expect(1, 9215, '\p{^Is_Block=_	Control PICTURES}', "");
Expect(1, 9215, '\P{Is_Block=_	Control PICTURES}', "");
Expect(0, 9215, '\P{^Is_Block=_	Control PICTURES}', "");
Error('\p{Is_Blk:    	Control-PICTURES:=}');
Error('\P{Is_Blk:    	Control-PICTURES:=}');
Expect(1, 9279, '\p{Is_Blk=controlpictures}', "");
Expect(0, 9279, '\p{^Is_Blk=controlpictures}', "");
Expect(0, 9279, '\P{Is_Blk=controlpictures}', "");
Expect(1, 9279, '\P{^Is_Blk=controlpictures}', "");
Expect(0, 9215, '\p{Is_Blk=controlpictures}', "");
Expect(1, 9215, '\p{^Is_Blk=controlpictures}', "");
Expect(1, 9215, '\P{Is_Blk=controlpictures}', "");
Expect(0, 9215, '\P{^Is_Blk=controlpictures}', "");
Expect(1, 9279, '\p{Is_Blk=__CONTROL_Pictures}', "");
Expect(0, 9279, '\p{^Is_Blk=__CONTROL_Pictures}', "");
Expect(0, 9279, '\P{Is_Blk=__CONTROL_Pictures}', "");
Expect(1, 9279, '\P{^Is_Blk=__CONTROL_Pictures}', "");
Expect(0, 9215, '\p{Is_Blk=__CONTROL_Pictures}', "");
Expect(1, 9215, '\p{^Is_Blk=__CONTROL_Pictures}', "");
Expect(1, 9215, '\P{Is_Blk=__CONTROL_Pictures}', "");
Expect(0, 9215, '\P{^Is_Blk=__CONTROL_Pictures}', "");
Error('\p{Block= High PRIVATE_Use	SURROGATES/a/}');
Error('\P{Block= High PRIVATE_Use	SURROGATES/a/}');
Expect(0, 1, '\p{Block=highprivateusesurrogates}', "");
Expect(1, 1, '\p{^Block=highprivateusesurrogates}', "");
Expect(1, 1, '\P{Block=highprivateusesurrogates}', "");
Expect(0, 1, '\P{^Block=highprivateusesurrogates}', "");
Expect(0, 1, '\p{Block= 	HIGH Private_Use-SURROGATES}', "");
Expect(1, 1, '\p{^Block= 	HIGH Private_Use-SURROGATES}', "");
Expect(1, 1, '\P{Block= 	HIGH Private_Use-SURROGATES}', "");
Expect(0, 1, '\P{^Block= 	HIGH Private_Use-SURROGATES}', "");
Error('\p{Blk=:=	_HIGH PRIVATE	Use	Surrogates}');
Error('\P{Blk=:=	_HIGH PRIVATE	Use	Surrogates}');
Expect(0, 1, '\p{Blk=highprivateusesurrogates}', "");
Expect(1, 1, '\p{^Blk=highprivateusesurrogates}', "");
Expect(1, 1, '\P{Blk=highprivateusesurrogates}', "");
Expect(0, 1, '\P{^Blk=highprivateusesurrogates}', "");
Expect(0, 1, '\p{Blk=	high PRIVATE_use	surrogates}', "");
Expect(1, 1, '\p{^Blk=	high PRIVATE_use	surrogates}', "");
Expect(1, 1, '\P{Blk=	high PRIVATE_use	surrogates}', "");
Expect(0, 1, '\P{^Blk=	high PRIVATE_use	surrogates}', "");
Error('\p{Is_Block=:=High PRIVATE use	Surrogates}');
Error('\P{Is_Block=:=High PRIVATE use	Surrogates}');
Expect(0, 1, '\p{Is_Block=highprivateusesurrogates}', "");
Expect(1, 1, '\p{^Is_Block=highprivateusesurrogates}', "");
Expect(1, 1, '\P{Is_Block=highprivateusesurrogates}', "");
Expect(0, 1, '\P{^Is_Block=highprivateusesurrogates}', "");
Expect(0, 1, '\p{Is_Block= -HIGH_Private use	Surrogates}', "");
Expect(1, 1, '\p{^Is_Block= -HIGH_Private use	Surrogates}', "");
Expect(1, 1, '\P{Is_Block= -HIGH_Private use	Surrogates}', "");
Expect(0, 1, '\P{^Is_Block= -HIGH_Private use	Surrogates}', "");
Error('\p{Is_Blk=	:=High-private-Use_surrogates}');
Error('\P{Is_Blk=	:=High-private-Use_surrogates}');
Expect(0, 1, '\p{Is_Blk=highprivateusesurrogates}', "");
Expect(1, 1, '\p{^Is_Blk=highprivateusesurrogates}', "");
Expect(1, 1, '\P{Is_Blk=highprivateusesurrogates}', "");
Expect(0, 1, '\P{^Is_Blk=highprivateusesurrogates}', "");
Expect(0, 1, '\p{Is_Blk:_Highprivate_use-surrogates}', "");
Expect(1, 1, '\p{^Is_Blk:_Highprivate_use-surrogates}', "");
Expect(1, 1, '\P{Is_Blk:_Highprivate_use-surrogates}', "");
Expect(0, 1, '\P{^Is_Blk:_Highprivate_use-surrogates}', "");
Error('\p{Block= /a/UGARITIC}');
Error('\P{Block= /a/UGARITIC}');
Expect(1, 66463, '\p{Block=ugaritic}', "");
Expect(0, 66463, '\p{^Block=ugaritic}', "");
Expect(0, 66463, '\P{Block=ugaritic}', "");
Expect(1, 66463, '\P{^Block=ugaritic}', "");
Expect(0, 66431, '\p{Block=ugaritic}', "");
Expect(1, 66431, '\p{^Block=ugaritic}', "");
Expect(1, 66431, '\P{Block=ugaritic}', "");
Expect(0, 66431, '\P{^Block=ugaritic}', "");
Expect(1, 66463, '\p{Block=	_Ugaritic}', "");
Expect(0, 66463, '\p{^Block=	_Ugaritic}', "");
Expect(0, 66463, '\P{Block=	_Ugaritic}', "");
Expect(1, 66463, '\P{^Block=	_Ugaritic}', "");
Expect(0, 66431, '\p{Block=	_Ugaritic}', "");
Expect(1, 66431, '\p{^Block=	_Ugaritic}', "");
Expect(1, 66431, '\P{Block=	_Ugaritic}', "");
Expect(0, 66431, '\P{^Block=	_Ugaritic}', "");
Error('\p{Blk=-/a/Ugaritic}');
Error('\P{Blk=-/a/Ugaritic}');
Expect(1, 66463, '\p{Blk=ugaritic}', "");
Expect(0, 66463, '\p{^Blk=ugaritic}', "");
Expect(0, 66463, '\P{Blk=ugaritic}', "");
Expect(1, 66463, '\P{^Blk=ugaritic}', "");
Expect(0, 66431, '\p{Blk=ugaritic}', "");
Expect(1, 66431, '\p{^Blk=ugaritic}', "");
Expect(1, 66431, '\P{Blk=ugaritic}', "");
Expect(0, 66431, '\P{^Blk=ugaritic}', "");
Expect(1, 66463, '\p{Blk=	_Ugaritic}', "");
Expect(0, 66463, '\p{^Blk=	_Ugaritic}', "");
Expect(0, 66463, '\P{Blk=	_Ugaritic}', "");
Expect(1, 66463, '\P{^Blk=	_Ugaritic}', "");
Expect(0, 66431, '\p{Blk=	_Ugaritic}', "");
Expect(1, 66431, '\p{^Blk=	_Ugaritic}', "");
Expect(1, 66431, '\P{Blk=	_Ugaritic}', "");
Expect(0, 66431, '\P{^Blk=	_Ugaritic}', "");
Error('\p{Is_Block=-/a/Ugaritic}');
Error('\P{Is_Block=-/a/Ugaritic}');
Expect(1, 66463, '\p{Is_Block=ugaritic}', "");
Expect(0, 66463, '\p{^Is_Block=ugaritic}', "");
Expect(0, 66463, '\P{Is_Block=ugaritic}', "");
Expect(1, 66463, '\P{^Is_Block=ugaritic}', "");
Expect(0, 66431, '\p{Is_Block=ugaritic}', "");
Expect(1, 66431, '\p{^Is_Block=ugaritic}', "");
Expect(1, 66431, '\P{Is_Block=ugaritic}', "");
Expect(0, 66431, '\P{^Is_Block=ugaritic}', "");
Expect(1, 66463, '\p{Is_Block=-Ugaritic}', "");
Expect(0, 66463, '\p{^Is_Block=-Ugaritic}', "");
Expect(0, 66463, '\P{Is_Block=-Ugaritic}', "");
Expect(1, 66463, '\P{^Is_Block=-Ugaritic}', "");
Expect(0, 66431, '\p{Is_Block=-Ugaritic}', "");
Expect(1, 66431, '\p{^Is_Block=-Ugaritic}', "");
Expect(1, 66431, '\P{Is_Block=-Ugaritic}', "");
Expect(0, 66431, '\P{^Is_Block=-Ugaritic}', "");
Error('\p{Is_Blk=	/a/ugaritic}');
Error('\P{Is_Blk=	/a/ugaritic}');
Expect(1, 66463, '\p{Is_Blk=ugaritic}', "");
Expect(0, 66463, '\p{^Is_Blk=ugaritic}', "");
Expect(0, 66463, '\P{Is_Blk=ugaritic}', "");
Expect(1, 66463, '\P{^Is_Blk=ugaritic}', "");
Expect(0, 66431, '\p{Is_Blk=ugaritic}', "");
Expect(1, 66431, '\p{^Is_Blk=ugaritic}', "");
Expect(1, 66431, '\P{Is_Blk=ugaritic}', "");
Expect(0, 66431, '\P{^Is_Blk=ugaritic}', "");
Expect(1, 66463, '\p{Is_Blk=		UGARITIC}', "");
Expect(0, 66463, '\p{^Is_Blk=		UGARITIC}', "");
Expect(0, 66463, '\P{Is_Blk=		UGARITIC}', "");
Expect(1, 66463, '\P{^Is_Blk=		UGARITIC}', "");
Expect(0, 66431, '\p{Is_Blk=		UGARITIC}', "");
Expect(1, 66431, '\p{^Is_Blk=		UGARITIC}', "");
Expect(1, 66431, '\P{Is_Blk=		UGARITIC}', "");
Expect(0, 66431, '\P{^Is_Blk=		UGARITIC}', "");
Error('\p{Block=-:=Armenian}');
Error('\P{Block=-:=Armenian}');
Expect(1, 1423, '\p{Block=armenian}', "");
Expect(0, 1423, '\p{^Block=armenian}', "");
Expect(0, 1423, '\P{Block=armenian}', "");
Expect(1, 1423, '\P{^Block=armenian}', "");
Expect(0, 1327, '\p{Block=armenian}', "");
Expect(1, 1327, '\p{^Block=armenian}', "");
Expect(1, 1327, '\P{Block=armenian}', "");
Expect(0, 1327, '\P{^Block=armenian}', "");
Expect(1, 1423, '\p{Block=ARMENIAN}', "");
Expect(0, 1423, '\p{^Block=ARMENIAN}', "");
Expect(0, 1423, '\P{Block=ARMENIAN}', "");
Expect(1, 1423, '\P{^Block=ARMENIAN}', "");
Expect(0, 1327, '\p{Block=ARMENIAN}', "");
Expect(1, 1327, '\p{^Block=ARMENIAN}', "");
Expect(1, 1327, '\P{Block=ARMENIAN}', "");
Expect(0, 1327, '\P{^Block=ARMENIAN}', "");
Error('\p{Blk=	/a/armenian}');
Error('\P{Blk=	/a/armenian}');
Expect(1, 1423, '\p{Blk=armenian}', "");
Expect(0, 1423, '\p{^Blk=armenian}', "");
Expect(0, 1423, '\P{Blk=armenian}', "");
Expect(1, 1423, '\P{^Blk=armenian}', "");
Expect(0, 1327, '\p{Blk=armenian}', "");
Expect(1, 1327, '\p{^Blk=armenian}', "");
Expect(1, 1327, '\P{Blk=armenian}', "");
Expect(0, 1327, '\P{^Blk=armenian}', "");
Expect(1, 1423, '\p{Blk=_Armenian}', "");
Expect(0, 1423, '\p{^Blk=_Armenian}', "");
Expect(0, 1423, '\P{Blk=_Armenian}', "");
Expect(1, 1423, '\P{^Blk=_Armenian}', "");
Expect(0, 1327, '\p{Blk=_Armenian}', "");
Expect(1, 1327, '\p{^Blk=_Armenian}', "");
Expect(1, 1327, '\P{Blk=_Armenian}', "");
Expect(0, 1327, '\P{^Blk=_Armenian}', "");
Error('\p{Is_Block=-:=armenian}');
Error('\P{Is_Block=-:=armenian}');
Expect(1, 1423, '\p{Is_Block=armenian}', "");
Expect(0, 1423, '\p{^Is_Block=armenian}', "");
Expect(0, 1423, '\P{Is_Block=armenian}', "");
Expect(1, 1423, '\P{^Is_Block=armenian}', "");
Expect(0, 1327, '\p{Is_Block=armenian}', "");
Expect(1, 1327, '\p{^Is_Block=armenian}', "");
Expect(1, 1327, '\P{Is_Block=armenian}', "");
Expect(0, 1327, '\P{^Is_Block=armenian}', "");
Expect(1, 1423, '\p{Is_Block=_ ARMENIAN}', "");
Expect(0, 1423, '\p{^Is_Block=_ ARMENIAN}', "");
Expect(0, 1423, '\P{Is_Block=_ ARMENIAN}', "");
Expect(1, 1423, '\P{^Is_Block=_ ARMENIAN}', "");
Expect(0, 1327, '\p{Is_Block=_ ARMENIAN}', "");
Expect(1, 1327, '\p{^Is_Block=_ ARMENIAN}', "");
Expect(1, 1327, '\P{Is_Block=_ ARMENIAN}', "");
Expect(0, 1327, '\P{^Is_Block=_ ARMENIAN}', "");
Error('\p{Is_Blk=:=	-armenian}');
Error('\P{Is_Blk=:=	-armenian}');
Expect(1, 1423, '\p{Is_Blk=armenian}', "");
Expect(0, 1423, '\p{^Is_Blk=armenian}', "");
Expect(0, 1423, '\P{Is_Blk=armenian}', "");
Expect(1, 1423, '\P{^Is_Blk=armenian}', "");
Expect(0, 1327, '\p{Is_Blk=armenian}', "");
Expect(1, 1327, '\p{^Is_Blk=armenian}', "");
Expect(1, 1327, '\P{Is_Blk=armenian}', "");
Expect(0, 1327, '\P{^Is_Blk=armenian}', "");
Expect(1, 1423, '\p{Is_Blk=	-Armenian}', "");
Expect(0, 1423, '\p{^Is_Blk=	-Armenian}', "");
Expect(0, 1423, '\P{Is_Blk=	-Armenian}', "");
Expect(1, 1423, '\P{^Is_Blk=	-Armenian}', "");
Expect(0, 1327, '\p{Is_Blk=	-Armenian}', "");
Expect(1, 1327, '\p{^Is_Blk=	-Armenian}', "");
Expect(1, 1327, '\P{Is_Blk=	-Armenian}', "");
Expect(0, 1327, '\P{^Is_Blk=	-Armenian}', "");
Error('\p{Block=-/a/PRIVATE-UseArea}');
Error('\P{Block=-/a/PRIVATE-UseArea}');
Expect(1, 63743, '\p{Block=privateusearea}', "");
Expect(0, 63743, '\p{^Block=privateusearea}', "");
Expect(0, 63743, '\P{Block=privateusearea}', "");
Expect(1, 63743, '\P{^Block=privateusearea}', "");
Expect(0, 1, '\p{Block=privateusearea}', "");
Expect(1, 1, '\p{^Block=privateusearea}', "");
Expect(1, 1, '\P{Block=privateusearea}', "");
Expect(0, 1, '\P{^Block=privateusearea}', "");
Expect(1, 63743, '\p{Block=-	private_USEarea}', "");
Expect(0, 63743, '\p{^Block=-	private_USEarea}', "");
Expect(0, 63743, '\P{Block=-	private_USEarea}', "");
Expect(1, 63743, '\P{^Block=-	private_USEarea}', "");
Expect(0, 1, '\p{Block=-	private_USEarea}', "");
Expect(1, 1, '\p{^Block=-	private_USEarea}', "");
Expect(1, 1, '\P{Block=-	private_USEarea}', "");
Expect(0, 1, '\P{^Block=-	private_USEarea}', "");
Error('\p{Blk=_private:=use}');
Error('\P{Blk=_private:=use}');
Expect(1, 63743, '\p{Blk=privateuse}', "");
Expect(0, 63743, '\p{^Blk=privateuse}', "");
Expect(0, 63743, '\P{Blk=privateuse}', "");
Expect(1, 63743, '\P{^Blk=privateuse}', "");
Expect(0, 1, '\p{Blk=privateuse}', "");
Expect(1, 1, '\p{^Blk=privateuse}', "");
Expect(1, 1, '\P{Blk=privateuse}', "");
Expect(0, 1, '\P{^Blk=privateuse}', "");
Expect(1, 63743, '\p{Blk= -PRIVATEUse}', "");
Expect(0, 63743, '\p{^Blk= -PRIVATEUse}', "");
Expect(0, 63743, '\P{Blk= -PRIVATEUse}', "");
Expect(1, 63743, '\P{^Blk= -PRIVATEUse}', "");
Expect(0, 1, '\p{Blk= -PRIVATEUse}', "");
Expect(1, 1, '\p{^Blk= -PRIVATEUse}', "");
Expect(1, 1, '\P{Blk= -PRIVATEUse}', "");
Expect(0, 1, '\P{^Blk= -PRIVATEUse}', "");
Error('\p{Is_Block:   PRIVATE/a/use	Area}');
Error('\P{Is_Block:   PRIVATE/a/use	Area}');
Expect(1, 63743, '\p{Is_Block=privateusearea}', "");
Expect(0, 63743, '\p{^Is_Block=privateusearea}', "");
Expect(0, 63743, '\P{Is_Block=privateusearea}', "");
Expect(1, 63743, '\P{^Is_Block=privateusearea}', "");
Expect(0, 1, '\p{Is_Block=privateusearea}', "");
Expect(1, 1, '\p{^Is_Block=privateusearea}', "");
Expect(1, 1, '\P{Is_Block=privateusearea}', "");
Expect(0, 1, '\P{^Is_Block=privateusearea}', "");
Expect(1, 63743, '\p{Is_Block=-_privateUSEArea}', "");
Expect(0, 63743, '\p{^Is_Block=-_privateUSEArea}', "");
Expect(0, 63743, '\P{Is_Block=-_privateUSEArea}', "");
Expect(1, 63743, '\P{^Is_Block=-_privateUSEArea}', "");
Expect(0, 1, '\p{Is_Block=-_privateUSEArea}', "");
Expect(1, 1, '\p{^Is_Block=-_privateUSEArea}', "");
Expect(1, 1, '\P{Is_Block=-_privateUSEArea}', "");
Expect(0, 1, '\P{^Is_Block=-_privateUSEArea}', "");
Error('\p{Is_Blk= :=private_USE}');
Error('\P{Is_Blk= :=private_USE}');
Expect(1, 63743, '\p{Is_Blk=privateuse}', "");
Expect(0, 63743, '\p{^Is_Blk=privateuse}', "");
Expect(0, 63743, '\P{Is_Blk=privateuse}', "");
Expect(1, 63743, '\P{^Is_Blk=privateuse}', "");
Expect(0, 1, '\p{Is_Blk=privateuse}', "");
Expect(1, 1, '\p{^Is_Blk=privateuse}', "");
Expect(1, 1, '\P{Is_Blk=privateuse}', "");
Expect(0, 1, '\P{^Is_Blk=privateuse}', "");
Expect(1, 63743, '\p{Is_Blk=--private	Use}', "");
Expect(0, 63743, '\p{^Is_Blk=--private	Use}', "");
Expect(0, 63743, '\P{Is_Blk=--private	Use}', "");
Expect(1, 63743, '\P{^Is_Blk=--private	Use}', "");
Expect(0, 1, '\p{Is_Blk=--private	Use}', "");
Expect(1, 1, '\p{^Is_Blk=--private	Use}', "");
Expect(1, 1, '\P{Is_Blk=--private	Use}', "");
Expect(0, 1, '\P{^Is_Blk=--private	Use}', "");
Error('\p{Block=:=syriac}');
Error('\P{Block=:=syriac}');
Expect(1, 1871, '\p{Block=syriac}', "");
Expect(0, 1871, '\p{^Block=syriac}', "");
Expect(0, 1871, '\P{Block=syriac}', "");
Expect(1, 1871, '\P{^Block=syriac}', "");
Expect(0, 1791, '\p{Block=syriac}', "");
Expect(1, 1791, '\p{^Block=syriac}', "");
Expect(1, 1791, '\P{Block=syriac}', "");
Expect(0, 1791, '\P{^Block=syriac}', "");
Expect(1, 1871, '\p{Block=_-syriac}', "");
Expect(0, 1871, '\p{^Block=_-syriac}', "");
Expect(0, 1871, '\P{Block=_-syriac}', "");
Expect(1, 1871, '\P{^Block=_-syriac}', "");
Expect(0, 1791, '\p{Block=_-syriac}', "");
Expect(1, 1791, '\p{^Block=_-syriac}', "");
Expect(1, 1791, '\P{Block=_-syriac}', "");
Expect(0, 1791, '\P{^Block=_-syriac}', "");
Error('\p{Blk=/a/	_Syriac}');
Error('\P{Blk=/a/	_Syriac}');
Expect(1, 1871, '\p{Blk=syriac}', "");
Expect(0, 1871, '\p{^Blk=syriac}', "");
Expect(0, 1871, '\P{Blk=syriac}', "");
Expect(1, 1871, '\P{^Blk=syriac}', "");
Expect(0, 1791, '\p{Blk=syriac}', "");
Expect(1, 1791, '\p{^Blk=syriac}', "");
Expect(1, 1791, '\P{Blk=syriac}', "");
Expect(0, 1791, '\P{^Blk=syriac}', "");
Expect(1, 1871, '\p{Blk=_ Syriac}', "");
Expect(0, 1871, '\p{^Blk=_ Syriac}', "");
Expect(0, 1871, '\P{Blk=_ Syriac}', "");
Expect(1, 1871, '\P{^Blk=_ Syriac}', "");
Expect(0, 1791, '\p{Blk=_ Syriac}', "");
Expect(1, 1791, '\p{^Blk=_ Syriac}', "");
Expect(1, 1791, '\P{Blk=_ Syriac}', "");
Expect(0, 1791, '\P{^Blk=_ Syriac}', "");
Error('\p{Is_Block=_:=Syriac}');
Error('\P{Is_Block=_:=Syriac}');
Expect(1, 1871, '\p{Is_Block=syriac}', "");
Expect(0, 1871, '\p{^Is_Block=syriac}', "");
Expect(0, 1871, '\P{Is_Block=syriac}', "");
Expect(1, 1871, '\P{^Is_Block=syriac}', "");
Expect(0, 1791, '\p{Is_Block=syriac}', "");
Expect(1, 1791, '\p{^Is_Block=syriac}', "");
Expect(1, 1791, '\P{Is_Block=syriac}', "");
Expect(0, 1791, '\P{^Is_Block=syriac}', "");
Expect(1, 1871, '\p{Is_Block=--Syriac}', "");
Expect(0, 1871, '\p{^Is_Block=--Syriac}', "");
Expect(0, 1871, '\P{Is_Block=--Syriac}', "");
Expect(1, 1871, '\P{^Is_Block=--Syriac}', "");
Expect(0, 1791, '\p{Is_Block=--Syriac}', "");
Expect(1, 1791, '\p{^Is_Block=--Syriac}', "");
Expect(1, 1791, '\P{Is_Block=--Syriac}', "");
Expect(0, 1791, '\P{^Is_Block=--Syriac}', "");
Error('\p{Is_Blk=/a/ syriac}');
Error('\P{Is_Blk=/a/ syriac}');
Expect(1, 1871, '\p{Is_Blk=syriac}', "");
Expect(0, 1871, '\p{^Is_Blk=syriac}', "");
Expect(0, 1871, '\P{Is_Blk=syriac}', "");
Expect(1, 1871, '\P{^Is_Blk=syriac}', "");
Expect(0, 1791, '\p{Is_Blk=syriac}', "");
Expect(1, 1791, '\p{^Is_Blk=syriac}', "");
Expect(1, 1791, '\P{Is_Blk=syriac}', "");
Expect(0, 1791, '\P{^Is_Blk=syriac}', "");
Expect(1, 1871, '\p{Is_Blk=_ syriac}', "");
Expect(0, 1871, '\p{^Is_Blk=_ syriac}', "");
Expect(0, 1871, '\P{Is_Blk=_ syriac}', "");
Expect(1, 1871, '\P{^Is_Blk=_ syriac}', "");
Expect(0, 1791, '\p{Is_Blk=_ syriac}', "");
Expect(1, 1791, '\p{^Is_Blk=_ syriac}', "");
Expect(1, 1791, '\P{Is_Blk=_ syriac}', "");
Expect(0, 1791, '\P{^Is_Blk=_ syriac}', "");
Error('\p{Block=/a/ -Ancient GREEK-Musical	NOTATION}');
Error('\P{Block=/a/ -Ancient GREEK-Musical	NOTATION}');
Expect(1, 119375, '\p{Block=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^Block=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{Block=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^Block=ancientgreekmusicalnotation}', "");
Expect(0, 119295, '\p{Block=ancientgreekmusicalnotation}', "");
Expect(1, 119295, '\p{^Block=ancientgreekmusicalnotation}', "");
Expect(1, 119295, '\P{Block=ancientgreekmusicalnotation}', "");
Expect(0, 119295, '\P{^Block=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{Block=_Ancient Greekmusical-notation}', "");
Expect(0, 119375, '\p{^Block=_Ancient Greekmusical-notation}', "");
Expect(0, 119375, '\P{Block=_Ancient Greekmusical-notation}', "");
Expect(1, 119375, '\P{^Block=_Ancient Greekmusical-notation}', "");
Expect(0, 119295, '\p{Block=_Ancient Greekmusical-notation}', "");
Expect(1, 119295, '\p{^Block=_Ancient Greekmusical-notation}', "");
Expect(1, 119295, '\P{Block=_Ancient Greekmusical-notation}', "");
Expect(0, 119295, '\P{^Block=_Ancient Greekmusical-notation}', "");
Error('\p{Blk=:= ANCIENT	GREEK	Musical notation}');
Error('\P{Blk=:= ANCIENT	GREEK	Musical notation}');
Expect(1, 119375, '\p{Blk=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^Blk=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{Blk=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^Blk=ancientgreekmusicalnotation}', "");
Expect(0, 119295, '\p{Blk=ancientgreekmusicalnotation}', "");
Expect(1, 119295, '\p{^Blk=ancientgreekmusicalnotation}', "");
Expect(1, 119295, '\P{Blk=ancientgreekmusicalnotation}', "");
Expect(0, 119295, '\P{^Blk=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{Blk=-_AncientGreek-Musical	notation}', "");
Expect(0, 119375, '\p{^Blk=-_AncientGreek-Musical	notation}', "");
Expect(0, 119375, '\P{Blk=-_AncientGreek-Musical	notation}', "");
Expect(1, 119375, '\P{^Blk=-_AncientGreek-Musical	notation}', "");
Expect(0, 119295, '\p{Blk=-_AncientGreek-Musical	notation}', "");
Expect(1, 119295, '\p{^Blk=-_AncientGreek-Musical	notation}', "");
Expect(1, 119295, '\P{Blk=-_AncientGreek-Musical	notation}', "");
Expect(0, 119295, '\P{^Blk=-_AncientGreek-Musical	notation}', "");
Error('\p{Is_Block=:=- Ancient_greekMUSICAL_NOTATION}');
Error('\P{Is_Block=:=- Ancient_greekMUSICAL_NOTATION}');
Expect(1, 119375, '\p{Is_Block=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^Is_Block=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{Is_Block=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^Is_Block=ancientgreekmusicalnotation}', "");
Expect(0, 119295, '\p{Is_Block=ancientgreekmusicalnotation}', "");
Expect(1, 119295, '\p{^Is_Block=ancientgreekmusicalnotation}', "");
Expect(1, 119295, '\P{Is_Block=ancientgreekmusicalnotation}', "");
Expect(0, 119295, '\P{^Is_Block=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{Is_Block=ANCIENT-Greek Musical	NOTATION}', "");
Expect(0, 119375, '\p{^Is_Block=ANCIENT-Greek Musical	NOTATION}', "");
Expect(0, 119375, '\P{Is_Block=ANCIENT-Greek Musical	NOTATION}', "");
Expect(1, 119375, '\P{^Is_Block=ANCIENT-Greek Musical	NOTATION}', "");
Expect(0, 119295, '\p{Is_Block=ANCIENT-Greek Musical	NOTATION}', "");
Expect(1, 119295, '\p{^Is_Block=ANCIENT-Greek Musical	NOTATION}', "");
Expect(1, 119295, '\P{Is_Block=ANCIENT-Greek Musical	NOTATION}', "");
Expect(0, 119295, '\P{^Is_Block=ANCIENT-Greek Musical	NOTATION}', "");
Error('\p{Is_Blk=	:=Ancient	greekMusical-Notation}');
Error('\P{Is_Blk=	:=Ancient	greekMusical-Notation}');
Expect(1, 119375, '\p{Is_Blk=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^Is_Blk=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{Is_Blk=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^Is_Blk=ancientgreekmusicalnotation}', "");
Expect(0, 119295, '\p{Is_Blk=ancientgreekmusicalnotation}', "");
Expect(1, 119295, '\p{^Is_Blk=ancientgreekmusicalnotation}', "");
Expect(1, 119295, '\P{Is_Blk=ancientgreekmusicalnotation}', "");
Expect(0, 119295, '\P{^Is_Blk=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{Is_Blk=	_AncientGreek	MUSICAL NOTATION}', "");
Expect(0, 119375, '\p{^Is_Blk=	_AncientGreek	MUSICAL NOTATION}', "");
Expect(0, 119375, '\P{Is_Blk=	_AncientGreek	MUSICAL NOTATION}', "");
Expect(1, 119375, '\P{^Is_Blk=	_AncientGreek	MUSICAL NOTATION}', "");
Expect(0, 119295, '\p{Is_Blk=	_AncientGreek	MUSICAL NOTATION}', "");
Expect(1, 119295, '\p{^Is_Blk=	_AncientGreek	MUSICAL NOTATION}', "");
Expect(1, 119295, '\P{Is_Blk=	_AncientGreek	MUSICAL NOTATION}', "");
Expect(0, 119295, '\P{^Is_Blk=	_AncientGreek	MUSICAL NOTATION}', "");
Error('\p{Block:	 	Phags:=Pa}');
Error('\P{Block:	 	Phags:=Pa}');
Expect(1, 43135, '\p{Block=phagspa}', "");
Expect(0, 43135, '\p{^Block=phagspa}', "");
Expect(0, 43135, '\P{Block=phagspa}', "");
Expect(1, 43135, '\P{^Block=phagspa}', "");
Expect(0, 43071, '\p{Block=phagspa}', "");
Expect(1, 43071, '\p{^Block=phagspa}', "");
Expect(1, 43071, '\P{Block=phagspa}', "");
Expect(0, 43071, '\P{^Block=phagspa}', "");
Expect(1, 43135, '\p{Block= _Phags_pa}', "");
Expect(0, 43135, '\p{^Block= _Phags_pa}', "");
Expect(0, 43135, '\P{Block= _Phags_pa}', "");
Expect(1, 43135, '\P{^Block= _Phags_pa}', "");
Expect(0, 43071, '\p{Block= _Phags_pa}', "");
Expect(1, 43071, '\p{^Block= _Phags_pa}', "");
Expect(1, 43071, '\P{Block= _Phags_pa}', "");
Expect(0, 43071, '\P{^Block= _Phags_pa}', "");
Error('\p{Blk=	-Phags/a/Pa}');
Error('\P{Blk=	-Phags/a/Pa}');
Expect(1, 43135, '\p{Blk=phagspa}', "");
Expect(0, 43135, '\p{^Blk=phagspa}', "");
Expect(0, 43135, '\P{Blk=phagspa}', "");
Expect(1, 43135, '\P{^Blk=phagspa}', "");
Expect(0, 43071, '\p{Blk=phagspa}', "");
Expect(1, 43071, '\p{^Blk=phagspa}', "");
Expect(1, 43071, '\P{Blk=phagspa}', "");
Expect(0, 43071, '\P{^Blk=phagspa}', "");
Expect(1, 43135, '\p{Blk= -Phags-Pa}', "");
Expect(0, 43135, '\p{^Blk= -Phags-Pa}', "");
Expect(0, 43135, '\P{Blk= -Phags-Pa}', "");
Expect(1, 43135, '\P{^Blk= -Phags-Pa}', "");
Expect(0, 43071, '\p{Blk= -Phags-Pa}', "");
Expect(1, 43071, '\p{^Blk= -Phags-Pa}', "");
Expect(1, 43071, '\P{Blk= -Phags-Pa}', "");
Expect(0, 43071, '\P{^Blk= -Phags-Pa}', "");
Error('\p{Is_Block=__Phags-pa:=}');
Error('\P{Is_Block=__Phags-pa:=}');
Expect(1, 43135, '\p{Is_Block=phagspa}', "");
Expect(0, 43135, '\p{^Is_Block=phagspa}', "");
Expect(0, 43135, '\P{Is_Block=phagspa}', "");
Expect(1, 43135, '\P{^Is_Block=phagspa}', "");
Expect(0, 43071, '\p{Is_Block=phagspa}', "");
Expect(1, 43071, '\p{^Is_Block=phagspa}', "");
Expect(1, 43071, '\P{Is_Block=phagspa}', "");
Expect(0, 43071, '\P{^Is_Block=phagspa}', "");
Expect(1, 43135, '\p{Is_Block=		Phags	Pa}', "");
Expect(0, 43135, '\p{^Is_Block=		Phags	Pa}', "");
Expect(0, 43135, '\P{Is_Block=		Phags	Pa}', "");
Expect(1, 43135, '\P{^Is_Block=		Phags	Pa}', "");
Expect(0, 43071, '\p{Is_Block=		Phags	Pa}', "");
Expect(1, 43071, '\p{^Is_Block=		Phags	Pa}', "");
Expect(1, 43071, '\P{Is_Block=		Phags	Pa}', "");
Expect(0, 43071, '\P{^Is_Block=		Phags	Pa}', "");
Error('\p{Is_Blk=:= _PHAGS_pa}');
Error('\P{Is_Blk=:= _PHAGS_pa}');
Expect(1, 43135, '\p{Is_Blk=phagspa}', "");
Expect(0, 43135, '\p{^Is_Blk=phagspa}', "");
Expect(0, 43135, '\P{Is_Blk=phagspa}', "");
Expect(1, 43135, '\P{^Is_Blk=phagspa}', "");
Expect(0, 43071, '\p{Is_Blk=phagspa}', "");
Expect(1, 43071, '\p{^Is_Blk=phagspa}', "");
Expect(1, 43071, '\P{Is_Blk=phagspa}', "");
Expect(0, 43071, '\P{^Is_Blk=phagspa}', "");
Expect(1, 43135, '\p{Is_Blk=-Phags-PA}', "");
Expect(0, 43135, '\p{^Is_Blk=-Phags-PA}', "");
Expect(0, 43135, '\P{Is_Blk=-Phags-PA}', "");
Expect(1, 43135, '\P{^Is_Blk=-Phags-PA}', "");
Expect(0, 43071, '\p{Is_Blk=-Phags-PA}', "");
Expect(1, 43071, '\p{^Is_Blk=-Phags-PA}', "");
Expect(1, 43071, '\P{Is_Blk=-Phags-PA}', "");
Expect(0, 43071, '\P{^Is_Blk=-Phags-PA}', "");
Error('\p{Block=:=- CJK Compatibilityideographs}');
Error('\P{Block=:=- CJK Compatibilityideographs}');
Expect(1, 64255, '\p{Block=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^Block=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{Block=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^Block=cjkcompatibilityideographs}', "");
Expect(0, 63743, '\p{Block=cjkcompatibilityideographs}', "");
Expect(1, 63743, '\p{^Block=cjkcompatibilityideographs}', "");
Expect(1, 63743, '\P{Block=cjkcompatibilityideographs}', "");
Expect(0, 63743, '\P{^Block=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{Block:   _-cjkCOMPATIBILITYIDEOGRAPHS}', "");
Expect(0, 64255, '\p{^Block:   _-cjkCOMPATIBILITYIDEOGRAPHS}', "");
Expect(0, 64255, '\P{Block:   _-cjkCOMPATIBILITYIDEOGRAPHS}', "");
Expect(1, 64255, '\P{^Block:   _-cjkCOMPATIBILITYIDEOGRAPHS}', "");
Expect(0, 63743, '\p{Block:   _-cjkCOMPATIBILITYIDEOGRAPHS}', "");
Expect(1, 63743, '\p{^Block:   _-cjkCOMPATIBILITYIDEOGRAPHS}', "");
Expect(1, 63743, '\P{Block:   _-cjkCOMPATIBILITYIDEOGRAPHS}', "");
Expect(0, 63743, '\P{^Block:   _-cjkCOMPATIBILITYIDEOGRAPHS}', "");
Error('\p{Blk=:=CJK-Compatibility-Ideographs}');
Error('\P{Blk=:=CJK-Compatibility-Ideographs}');
Expect(1, 64255, '\p{Blk=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^Blk=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{Blk=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^Blk=cjkcompatibilityideographs}', "");
Expect(0, 63743, '\p{Blk=cjkcompatibilityideographs}', "");
Expect(1, 63743, '\p{^Blk=cjkcompatibilityideographs}', "");
Expect(1, 63743, '\P{Blk=cjkcompatibilityideographs}', "");
Expect(0, 63743, '\P{^Blk=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{Blk=-	CJK_compatibility	ideographs}', "");
Expect(0, 64255, '\p{^Blk=-	CJK_compatibility	ideographs}', "");
Expect(0, 64255, '\P{Blk=-	CJK_compatibility	ideographs}', "");
Expect(1, 64255, '\P{^Blk=-	CJK_compatibility	ideographs}', "");
Expect(0, 63743, '\p{Blk=-	CJK_compatibility	ideographs}', "");
Expect(1, 63743, '\p{^Blk=-	CJK_compatibility	ideographs}', "");
Expect(1, 63743, '\P{Blk=-	CJK_compatibility	ideographs}', "");
Expect(0, 63743, '\P{^Blk=-	CJK_compatibility	ideographs}', "");
Error('\p{Is_Block=--cjk/a/Compatibility-IDEOGRAPHS}');
Error('\P{Is_Block=--cjk/a/Compatibility-IDEOGRAPHS}');
Expect(1, 64255, '\p{Is_Block: cjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^Is_Block: cjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{Is_Block: cjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^Is_Block: cjkcompatibilityideographs}', "");
Expect(0, 63743, '\p{Is_Block: cjkcompatibilityideographs}', "");
Expect(1, 63743, '\p{^Is_Block: cjkcompatibilityideographs}', "");
Expect(1, 63743, '\P{Is_Block: cjkcompatibilityideographs}', "");
Expect(0, 63743, '\P{^Is_Block: cjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{Is_Block= -CJK	compatibility	ideographs}', "");
Expect(0, 64255, '\p{^Is_Block= -CJK	compatibility	ideographs}', "");
Expect(0, 64255, '\P{Is_Block= -CJK	compatibility	ideographs}', "");
Expect(1, 64255, '\P{^Is_Block= -CJK	compatibility	ideographs}', "");
Expect(0, 63743, '\p{Is_Block= -CJK	compatibility	ideographs}', "");
Expect(1, 63743, '\p{^Is_Block= -CJK	compatibility	ideographs}', "");
Expect(1, 63743, '\P{Is_Block= -CJK	compatibility	ideographs}', "");
Expect(0, 63743, '\P{^Is_Block= -CJK	compatibility	ideographs}', "");
Error('\p{Is_Blk=CJK_Compatibility:=Ideographs}');
Error('\P{Is_Blk=CJK_Compatibility:=Ideographs}');
Expect(1, 64255, '\p{Is_Blk=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^Is_Blk=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{Is_Blk=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^Is_Blk=cjkcompatibilityideographs}', "");
Expect(0, 63743, '\p{Is_Blk=cjkcompatibilityideographs}', "");
Expect(1, 63743, '\p{^Is_Blk=cjkcompatibilityideographs}', "");
Expect(1, 63743, '\P{Is_Blk=cjkcompatibilityideographs}', "");
Expect(0, 63743, '\P{^Is_Blk=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{Is_Blk=- CJKCompatibility-IDEOGRAPHS}', "");
Expect(0, 64255, '\p{^Is_Blk=- CJKCompatibility-IDEOGRAPHS}', "");
Expect(0, 64255, '\P{Is_Blk=- CJKCompatibility-IDEOGRAPHS}', "");
Expect(1, 64255, '\P{^Is_Blk=- CJKCompatibility-IDEOGRAPHS}', "");
Expect(0, 63743, '\p{Is_Blk=- CJKCompatibility-IDEOGRAPHS}', "");
Expect(1, 63743, '\p{^Is_Blk=- CJKCompatibility-IDEOGRAPHS}', "");
Expect(1, 63743, '\P{Is_Blk=- CJKCompatibility-IDEOGRAPHS}', "");
Expect(0, 63743, '\P{^Is_Blk=- CJKCompatibility-IDEOGRAPHS}', "");
Error('\p{Block=	:=THAANA}');
Error('\P{Block=	:=THAANA}');
Expect(1, 1983, '\p{Block=thaana}', "");
Expect(0, 1983, '\p{^Block=thaana}', "");
Expect(0, 1983, '\P{Block=thaana}', "");
Expect(1, 1983, '\P{^Block=thaana}', "");
Expect(0, 1919, '\p{Block=thaana}', "");
Expect(1, 1919, '\p{^Block=thaana}', "");
Expect(1, 1919, '\P{Block=thaana}', "");
Expect(0, 1919, '\P{^Block=thaana}', "");
Error('\p{Blk=:=_	THAANA}');
Error('\P{Blk=:=_	THAANA}');
Expect(1, 1983, '\p{Blk=thaana}', "");
Expect(0, 1983, '\p{^Blk=thaana}', "");
Expect(0, 1983, '\P{Blk=thaana}', "");
Expect(1, 1983, '\P{^Blk=thaana}', "");
Expect(0, 1919, '\p{Blk=thaana}', "");
Expect(1, 1919, '\p{^Blk=thaana}', "");
Expect(1, 1919, '\P{Blk=thaana}', "");
Expect(0, 1919, '\P{^Blk=thaana}', "");
Expect(1, 1983, '\p{Blk=_	Thaana}', "");
Expect(0, 1983, '\p{^Blk=_	Thaana}', "");
Expect(0, 1983, '\P{Blk=_	Thaana}', "");
Expect(1, 1983, '\P{^Blk=_	Thaana}', "");
Expect(0, 1919, '\p{Blk=_	Thaana}', "");
Expect(1, 1919, '\p{^Blk=_	Thaana}', "");
Expect(1, 1919, '\P{Blk=_	Thaana}', "");
Expect(0, 1919, '\P{^Blk=_	Thaana}', "");
Error('\p{Is_Block=:=thaana}');
Error('\P{Is_Block=:=thaana}');
Expect(1, 1983, '\p{Is_Block:   thaana}', "");
Expect(0, 1983, '\p{^Is_Block:   thaana}', "");
Expect(0, 1983, '\P{Is_Block:   thaana}', "");
Expect(1, 1983, '\P{^Is_Block:   thaana}', "");
Expect(0, 1919, '\p{Is_Block:   thaana}', "");
Expect(1, 1919, '\p{^Is_Block:   thaana}', "");
Expect(1, 1919, '\P{Is_Block:   thaana}', "");
Expect(0, 1919, '\P{^Is_Block:   thaana}', "");
Expect(1, 1983, '\p{Is_Block=-	THAANA}', "");
Expect(0, 1983, '\p{^Is_Block=-	THAANA}', "");
Expect(0, 1983, '\P{Is_Block=-	THAANA}', "");
Expect(1, 1983, '\P{^Is_Block=-	THAANA}', "");
Expect(0, 1919, '\p{Is_Block=-	THAANA}', "");
Expect(1, 1919, '\p{^Is_Block=-	THAANA}', "");
Expect(1, 1919, '\P{Is_Block=-	THAANA}', "");
Expect(0, 1919, '\P{^Is_Block=-	THAANA}', "");
Error('\p{Is_Blk=/a/THAANA}');
Error('\P{Is_Blk=/a/THAANA}');
Expect(1, 1983, '\p{Is_Blk=thaana}', "");
Expect(0, 1983, '\p{^Is_Blk=thaana}', "");
Expect(0, 1983, '\P{Is_Blk=thaana}', "");
Expect(1, 1983, '\P{^Is_Blk=thaana}', "");
Expect(0, 1919, '\p{Is_Blk=thaana}', "");
Expect(1, 1919, '\p{^Is_Blk=thaana}', "");
Expect(1, 1919, '\P{Is_Blk=thaana}', "");
Expect(0, 1919, '\P{^Is_Blk=thaana}', "");
Expect(1, 1983, '\p{Is_Blk=_ Thaana}', "");
Expect(0, 1983, '\p{^Is_Blk=_ Thaana}', "");
Expect(0, 1983, '\P{Is_Blk=_ Thaana}', "");
Expect(1, 1983, '\P{^Is_Blk=_ Thaana}', "");
Expect(0, 1919, '\p{Is_Blk=_ Thaana}', "");
Expect(1, 1919, '\p{^Is_Blk=_ Thaana}', "");
Expect(1, 1919, '\P{Is_Blk=_ Thaana}', "");
Expect(0, 1919, '\P{^Is_Blk=_ Thaana}', "");
Error('\p{Block:   -:=ENCLOSED-ALPHANUMERIC_Supplement}');
Error('\P{Block:   -:=ENCLOSED-ALPHANUMERIC_Supplement}');
Expect(1, 127487, '\p{Block=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^Block=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{Block=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^Block=enclosedalphanumericsupplement}', "");
Expect(0, 127231, '\p{Block=enclosedalphanumericsupplement}', "");
Expect(1, 127231, '\p{^Block=enclosedalphanumericsupplement}', "");
Expect(1, 127231, '\P{Block=enclosedalphanumericsupplement}', "");
Expect(0, 127231, '\P{^Block=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{Block= ENCLOSED-ALPHANUMERIC-supplement}', "");
Expect(0, 127487, '\p{^Block= ENCLOSED-ALPHANUMERIC-supplement}', "");
Expect(0, 127487, '\P{Block= ENCLOSED-ALPHANUMERIC-supplement}', "");
Expect(1, 127487, '\P{^Block= ENCLOSED-ALPHANUMERIC-supplement}', "");
Expect(0, 127231, '\p{Block= ENCLOSED-ALPHANUMERIC-supplement}', "");
Expect(1, 127231, '\p{^Block= ENCLOSED-ALPHANUMERIC-supplement}', "");
Expect(1, 127231, '\P{Block= ENCLOSED-ALPHANUMERIC-supplement}', "");
Expect(0, 127231, '\P{^Block= ENCLOSED-ALPHANUMERIC-supplement}', "");
Error('\p{Blk=:=	ENCLOSED_alphanumericsupplement}');
Error('\P{Blk=:=	ENCLOSED_alphanumericsupplement}');
Expect(1, 127487, '\p{Blk=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^Blk=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{Blk=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^Blk=enclosedalphanumericsupplement}', "");
Expect(0, 127231, '\p{Blk=enclosedalphanumericsupplement}', "");
Expect(1, 127231, '\p{^Blk=enclosedalphanumericsupplement}', "");
Expect(1, 127231, '\P{Blk=enclosedalphanumericsupplement}', "");
Expect(0, 127231, '\P{^Blk=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{Blk=- Enclosed alphanumeric-Supplement}', "");
Expect(0, 127487, '\p{^Blk=- Enclosed alphanumeric-Supplement}', "");
Expect(0, 127487, '\P{Blk=- Enclosed alphanumeric-Supplement}', "");
Expect(1, 127487, '\P{^Blk=- Enclosed alphanumeric-Supplement}', "");
Expect(0, 127231, '\p{Blk=- Enclosed alphanumeric-Supplement}', "");
Expect(1, 127231, '\p{^Blk=- Enclosed alphanumeric-Supplement}', "");
Expect(1, 127231, '\P{Blk=- Enclosed alphanumeric-Supplement}', "");
Expect(0, 127231, '\P{^Blk=- Enclosed alphanumeric-Supplement}', "");
Error('\p{Is_Block=-	Enclosed	ALPHANUMERIC/a/Supplement}');
Error('\P{Is_Block=-	Enclosed	ALPHANUMERIC/a/Supplement}');
Expect(1, 127487, '\p{Is_Block=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^Is_Block=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{Is_Block=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^Is_Block=enclosedalphanumericsupplement}', "");
Expect(0, 127231, '\p{Is_Block=enclosedalphanumericsupplement}', "");
Expect(1, 127231, '\p{^Is_Block=enclosedalphanumericsupplement}', "");
Expect(1, 127231, '\P{Is_Block=enclosedalphanumericsupplement}', "");
Expect(0, 127231, '\P{^Is_Block=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{Is_Block= _Enclosed_ALPHANUMERICSupplement}', "");
Expect(0, 127487, '\p{^Is_Block= _Enclosed_ALPHANUMERICSupplement}', "");
Expect(0, 127487, '\P{Is_Block= _Enclosed_ALPHANUMERICSupplement}', "");
Expect(1, 127487, '\P{^Is_Block= _Enclosed_ALPHANUMERICSupplement}', "");
Expect(0, 127231, '\p{Is_Block= _Enclosed_ALPHANUMERICSupplement}', "");
Expect(1, 127231, '\p{^Is_Block= _Enclosed_ALPHANUMERICSupplement}', "");
Expect(1, 127231, '\P{Is_Block= _Enclosed_ALPHANUMERICSupplement}', "");
Expect(0, 127231, '\P{^Is_Block= _Enclosed_ALPHANUMERICSupplement}', "");
Error('\p{Is_Blk= 	EnclosedALPHANUMERIC SUPPLEMENT/a/}');
Error('\P{Is_Blk= 	EnclosedALPHANUMERIC SUPPLEMENT/a/}');
Expect(1, 127487, '\p{Is_Blk:   enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^Is_Blk:   enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{Is_Blk:   enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^Is_Blk:   enclosedalphanumericsupplement}', "");
Expect(0, 127231, '\p{Is_Blk:   enclosedalphanumericsupplement}', "");
Expect(1, 127231, '\p{^Is_Blk:   enclosedalphanumericsupplement}', "");
Expect(1, 127231, '\P{Is_Blk:   enclosedalphanumericsupplement}', "");
Expect(0, 127231, '\P{^Is_Blk:   enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{Is_Blk= enclosed-AlphanumericSupplement}', "");
Expect(0, 127487, '\p{^Is_Blk= enclosed-AlphanumericSupplement}', "");
Expect(0, 127487, '\P{Is_Blk= enclosed-AlphanumericSupplement}', "");
Expect(1, 127487, '\P{^Is_Blk= enclosed-AlphanumericSupplement}', "");
Expect(0, 127231, '\p{Is_Blk= enclosed-AlphanumericSupplement}', "");
Expect(1, 127231, '\p{^Is_Blk= enclosed-AlphanumericSupplement}', "");
Expect(1, 127231, '\P{Is_Blk= enclosed-AlphanumericSupplement}', "");
Expect(0, 127231, '\P{^Is_Blk= enclosed-AlphanumericSupplement}', "");
Error('\p{Block=:=__Ethiopicextended}');
Error('\P{Block=:=__Ethiopicextended}');
Expect(1, 11743, '\p{Block: ethiopicextended}', "");
Expect(0, 11743, '\p{^Block: ethiopicextended}', "");
Expect(0, 11743, '\P{Block: ethiopicextended}', "");
Expect(1, 11743, '\P{^Block: ethiopicextended}', "");
Expect(0, 11647, '\p{Block: ethiopicextended}', "");
Expect(1, 11647, '\p{^Block: ethiopicextended}', "");
Expect(1, 11647, '\P{Block: ethiopicextended}', "");
Expect(0, 11647, '\P{^Block: ethiopicextended}', "");
Expect(1, 11743, '\p{Block:   -	ETHIOPIC-extended}', "");
Expect(0, 11743, '\p{^Block:   -	ETHIOPIC-extended}', "");
Expect(0, 11743, '\P{Block:   -	ETHIOPIC-extended}', "");
Expect(1, 11743, '\P{^Block:   -	ETHIOPIC-extended}', "");
Expect(0, 11647, '\p{Block:   -	ETHIOPIC-extended}', "");
Expect(1, 11647, '\p{^Block:   -	ETHIOPIC-extended}', "");
Expect(1, 11647, '\P{Block:   -	ETHIOPIC-extended}', "");
Expect(0, 11647, '\P{^Block:   -	ETHIOPIC-extended}', "");
Error('\p{Blk=__Ethiopic-Extended/a/}');
Error('\P{Blk=__Ethiopic-Extended/a/}');
Expect(1, 11743, '\p{Blk:   ethiopicextended}', "");
Expect(0, 11743, '\p{^Blk:   ethiopicextended}', "");
Expect(0, 11743, '\P{Blk:   ethiopicextended}', "");
Expect(1, 11743, '\P{^Blk:   ethiopicextended}', "");
Expect(0, 11647, '\p{Blk:   ethiopicextended}', "");
Expect(1, 11647, '\p{^Blk:   ethiopicextended}', "");
Expect(1, 11647, '\P{Blk:   ethiopicextended}', "");
Expect(0, 11647, '\P{^Blk:   ethiopicextended}', "");
Expect(1, 11743, '\p{Blk= -ethiopic_extended}', "");
Expect(0, 11743, '\p{^Blk= -ethiopic_extended}', "");
Expect(0, 11743, '\P{Blk= -ethiopic_extended}', "");
Expect(1, 11743, '\P{^Blk= -ethiopic_extended}', "");
Expect(0, 11647, '\p{Blk= -ethiopic_extended}', "");
Expect(1, 11647, '\p{^Blk= -ethiopic_extended}', "");
Expect(1, 11647, '\P{Blk= -ethiopic_extended}', "");
Expect(0, 11647, '\P{^Blk= -ethiopic_extended}', "");
Error('\p{Is_Block= _EthiopicExtended:=}');
Error('\P{Is_Block= _EthiopicExtended:=}');
Expect(1, 11743, '\p{Is_Block:	ethiopicextended}', "");
Expect(0, 11743, '\p{^Is_Block:	ethiopicextended}', "");
Expect(0, 11743, '\P{Is_Block:	ethiopicextended}', "");
Expect(1, 11743, '\P{^Is_Block:	ethiopicextended}', "");
Expect(0, 11647, '\p{Is_Block:	ethiopicextended}', "");
Expect(1, 11647, '\p{^Is_Block:	ethiopicextended}', "");
Expect(1, 11647, '\P{Is_Block:	ethiopicextended}', "");
Expect(0, 11647, '\P{^Is_Block:	ethiopicextended}', "");
Expect(1, 11743, '\p{Is_Block=--EthiopicExtended}', "");
Expect(0, 11743, '\p{^Is_Block=--EthiopicExtended}', "");
Expect(0, 11743, '\P{Is_Block=--EthiopicExtended}', "");
Expect(1, 11743, '\P{^Is_Block=--EthiopicExtended}', "");
Expect(0, 11647, '\p{Is_Block=--EthiopicExtended}', "");
Expect(1, 11647, '\p{^Is_Block=--EthiopicExtended}', "");
Expect(1, 11647, '\P{Is_Block=--EthiopicExtended}', "");
Expect(0, 11647, '\P{^Is_Block=--EthiopicExtended}', "");
Error('\p{Is_Blk=_	ETHIOPIC/a/Extended}');
Error('\P{Is_Blk=_	ETHIOPIC/a/Extended}');
Expect(1, 11743, '\p{Is_Blk=ethiopicextended}', "");
Expect(0, 11743, '\p{^Is_Blk=ethiopicextended}', "");
Expect(0, 11743, '\P{Is_Blk=ethiopicextended}', "");
Expect(1, 11743, '\P{^Is_Blk=ethiopicextended}', "");
Expect(0, 11647, '\p{Is_Blk=ethiopicextended}', "");
Expect(1, 11647, '\p{^Is_Blk=ethiopicextended}', "");
Expect(1, 11647, '\P{Is_Blk=ethiopicextended}', "");
Expect(0, 11647, '\P{^Is_Blk=ethiopicextended}', "");
Expect(1, 11743, '\p{Is_Blk=_-ETHIOPIC-Extended}', "");
Expect(0, 11743, '\p{^Is_Blk=_-ETHIOPIC-Extended}', "");
Expect(0, 11743, '\P{Is_Blk=_-ETHIOPIC-Extended}', "");
Expect(1, 11743, '\P{^Is_Blk=_-ETHIOPIC-Extended}', "");
Expect(0, 11647, '\p{Is_Blk=_-ETHIOPIC-Extended}', "");
Expect(1, 11647, '\p{^Is_Blk=_-ETHIOPIC-Extended}', "");
Expect(1, 11647, '\P{Is_Blk=_-ETHIOPIC-Extended}', "");
Expect(0, 11647, '\P{^Is_Blk=_-ETHIOPIC-Extended}', "");
Error('\p{Block=/a/ -Phoenician}');
Error('\P{Block=/a/ -Phoenician}');
Expect(1, 67871, '\p{Block=phoenician}', "");
Expect(0, 67871, '\p{^Block=phoenician}', "");
Expect(0, 67871, '\P{Block=phoenician}', "");
Expect(1, 67871, '\P{^Block=phoenician}', "");
Expect(0, 67839, '\p{Block=phoenician}', "");
Expect(1, 67839, '\p{^Block=phoenician}', "");
Expect(1, 67839, '\P{Block=phoenician}', "");
Expect(0, 67839, '\P{^Block=phoenician}', "");
Expect(1, 67871, '\p{Block=-	phoenician}', "");
Expect(0, 67871, '\p{^Block=-	phoenician}', "");
Expect(0, 67871, '\P{Block=-	phoenician}', "");
Expect(1, 67871, '\P{^Block=-	phoenician}', "");
Expect(0, 67839, '\p{Block=-	phoenician}', "");
Expect(1, 67839, '\p{^Block=-	phoenician}', "");
Expect(1, 67839, '\P{Block=-	phoenician}', "");
Expect(0, 67839, '\P{^Block=-	phoenician}', "");
Error('\p{Blk= 	Phoenician:=}');
Error('\P{Blk= 	Phoenician:=}');
Expect(1, 67871, '\p{Blk=phoenician}', "");
Expect(0, 67871, '\p{^Blk=phoenician}', "");
Expect(0, 67871, '\P{Blk=phoenician}', "");
Expect(1, 67871, '\P{^Blk=phoenician}', "");
Expect(0, 67839, '\p{Blk=phoenician}', "");
Expect(1, 67839, '\p{^Blk=phoenician}', "");
Expect(1, 67839, '\P{Blk=phoenician}', "");
Expect(0, 67839, '\P{^Blk=phoenician}', "");
Expect(1, 67871, '\p{Blk= 	phoenician}', "");
Expect(0, 67871, '\p{^Blk= 	phoenician}', "");
Expect(0, 67871, '\P{Blk= 	phoenician}', "");
Expect(1, 67871, '\P{^Blk= 	phoenician}', "");
Expect(0, 67839, '\p{Blk= 	phoenician}', "");
Expect(1, 67839, '\p{^Blk= 	phoenician}', "");
Expect(1, 67839, '\P{Blk= 	phoenician}', "");
Expect(0, 67839, '\P{^Blk= 	phoenician}', "");
Error('\p{Is_Block=/a/PHOENICIAN}');
Error('\P{Is_Block=/a/PHOENICIAN}');
Expect(1, 67871, '\p{Is_Block:phoenician}', "");
Expect(0, 67871, '\p{^Is_Block:phoenician}', "");
Expect(0, 67871, '\P{Is_Block:phoenician}', "");
Expect(1, 67871, '\P{^Is_Block:phoenician}', "");
Expect(0, 67839, '\p{Is_Block:phoenician}', "");
Expect(1, 67839, '\p{^Is_Block:phoenician}', "");
Expect(1, 67839, '\P{Is_Block:phoenician}', "");
Expect(0, 67839, '\P{^Is_Block:phoenician}', "");
Expect(1, 67871, '\p{Is_Block=	-PHOENICIAN}', "");
Expect(0, 67871, '\p{^Is_Block=	-PHOENICIAN}', "");
Expect(0, 67871, '\P{Is_Block=	-PHOENICIAN}', "");
Expect(1, 67871, '\P{^Is_Block=	-PHOENICIAN}', "");
Expect(0, 67839, '\p{Is_Block=	-PHOENICIAN}', "");
Expect(1, 67839, '\p{^Is_Block=	-PHOENICIAN}', "");
Expect(1, 67839, '\P{Is_Block=	-PHOENICIAN}', "");
Expect(0, 67839, '\P{^Is_Block=	-PHOENICIAN}', "");
Error('\p{Is_Blk=	/a/Phoenician}');
Error('\P{Is_Blk=	/a/Phoenician}');
Expect(1, 67871, '\p{Is_Blk=phoenician}', "");
Expect(0, 67871, '\p{^Is_Blk=phoenician}', "");
Expect(0, 67871, '\P{Is_Blk=phoenician}', "");
Expect(1, 67871, '\P{^Is_Blk=phoenician}', "");
Expect(0, 67839, '\p{Is_Blk=phoenician}', "");
Expect(1, 67839, '\p{^Is_Blk=phoenician}', "");
Expect(1, 67839, '\P{Is_Blk=phoenician}', "");
Expect(0, 67839, '\P{^Is_Blk=phoenician}', "");
Expect(1, 67871, '\p{Is_Blk= phoenician}', "");
Expect(0, 67871, '\p{^Is_Blk= phoenician}', "");
Expect(0, 67871, '\P{Is_Blk= phoenician}', "");
Expect(1, 67871, '\P{^Is_Blk= phoenician}', "");
Expect(0, 67839, '\p{Is_Blk= phoenician}', "");
Expect(1, 67839, '\p{^Is_Blk= phoenician}', "");
Expect(1, 67839, '\P{Is_Blk= phoenician}', "");
Expect(0, 67839, '\P{^Is_Blk= phoenician}', "");
Error('\p{Block=-/a/latin1 supplement}');
Error('\P{Block=-/a/latin1 supplement}');
Expect(1, 255, '\p{Block=latin1supplement}', "");
Expect(0, 255, '\p{^Block=latin1supplement}', "");
Expect(0, 255, '\P{Block=latin1supplement}', "");
Expect(1, 255, '\P{^Block=latin1supplement}', "");
Expect(0, 127, '\p{Block=latin1supplement}', "");
Expect(1, 127, '\p{^Block=latin1supplement}', "");
Expect(1, 127, '\P{Block=latin1supplement}', "");
Expect(0, 127, '\P{^Block=latin1supplement}', "");
Expect(1, 255, '\p{Block=		Latin_1_supplement}', "");
Expect(0, 255, '\p{^Block=		Latin_1_supplement}', "");
Expect(0, 255, '\P{Block=		Latin_1_supplement}', "");
Expect(1, 255, '\P{^Block=		Latin_1_supplement}', "");
Expect(0, 127, '\p{Block=		Latin_1_supplement}', "");
Expect(1, 127, '\p{^Block=		Latin_1_supplement}', "");
Expect(1, 127, '\P{Block=		Latin_1_supplement}', "");
Expect(0, 127, '\P{^Block=		Latin_1_supplement}', "");
Error('\p{Blk=-latin/a/1}');
Error('\P{Blk=-latin/a/1}');
Expect(1, 255, '\p{Blk=latin1}', "");
Expect(0, 255, '\p{^Blk=latin1}', "");
Expect(0, 255, '\P{Blk=latin1}', "");
Expect(1, 255, '\P{^Blk=latin1}', "");
Expect(0, 127, '\p{Blk=latin1}', "");
Expect(1, 127, '\p{^Blk=latin1}', "");
Expect(1, 127, '\P{Blk=latin1}', "");
Expect(0, 127, '\P{^Blk=latin1}', "");
Expect(1, 255, '\p{Blk=LATIN	1}', "");
Expect(0, 255, '\p{^Blk=LATIN	1}', "");
Expect(0, 255, '\P{Blk=LATIN	1}', "");
Expect(1, 255, '\P{^Blk=LATIN	1}', "");
Expect(0, 127, '\p{Blk=LATIN	1}', "");
Expect(1, 127, '\p{^Blk=LATIN	1}', "");
Expect(1, 127, '\P{Blk=LATIN	1}', "");
Expect(0, 127, '\P{^Blk=LATIN	1}', "");
Error('\p{Is_Block=-	LATIN 1_Supplement/a/}');
Error('\P{Is_Block=-	LATIN 1_Supplement/a/}');
Expect(1, 255, '\p{Is_Block=latin1supplement}', "");
Expect(0, 255, '\p{^Is_Block=latin1supplement}', "");
Expect(0, 255, '\P{Is_Block=latin1supplement}', "");
Expect(1, 255, '\P{^Is_Block=latin1supplement}', "");
Expect(0, 127, '\p{Is_Block=latin1supplement}', "");
Expect(1, 127, '\p{^Is_Block=latin1supplement}', "");
Expect(1, 127, '\P{Is_Block=latin1supplement}', "");
Expect(0, 127, '\P{^Is_Block=latin1supplement}', "");
Expect(1, 255, '\p{Is_Block= _latin 1Supplement}', "");
Expect(0, 255, '\p{^Is_Block= _latin 1Supplement}', "");
Expect(0, 255, '\P{Is_Block= _latin 1Supplement}', "");
Expect(1, 255, '\P{^Is_Block= _latin 1Supplement}', "");
Expect(0, 127, '\p{Is_Block= _latin 1Supplement}', "");
Expect(1, 127, '\p{^Is_Block= _latin 1Supplement}', "");
Expect(1, 127, '\P{Is_Block= _latin 1Supplement}', "");
Expect(0, 127, '\P{^Is_Block= _latin 1Supplement}', "");
Error('\p{Is_Blk=-Latin/a/1}');
Error('\P{Is_Blk=-Latin/a/1}');
Expect(1, 255, '\p{Is_Blk=latin1}', "");
Expect(0, 255, '\p{^Is_Blk=latin1}', "");
Expect(0, 255, '\P{Is_Blk=latin1}', "");
Expect(1, 255, '\P{^Is_Blk=latin1}', "");
Expect(0, 127, '\p{Is_Blk=latin1}', "");
Expect(1, 127, '\p{^Is_Blk=latin1}', "");
Expect(1, 127, '\P{Is_Blk=latin1}', "");
Expect(0, 127, '\P{^Is_Blk=latin1}', "");
Expect(1, 255, '\p{Is_Blk=	LATIN-1}', "");
Expect(0, 255, '\p{^Is_Blk=	LATIN-1}', "");
Expect(0, 255, '\P{Is_Blk=	LATIN-1}', "");
Expect(1, 255, '\P{^Is_Blk=	LATIN-1}', "");
Expect(0, 127, '\p{Is_Blk=	LATIN-1}', "");
Expect(1, 127, '\p{^Is_Blk=	LATIN-1}', "");
Expect(1, 127, '\P{Is_Blk=	LATIN-1}', "");
Expect(0, 127, '\P{^Is_Blk=	LATIN-1}', "");
Error('\p{Block=:=- Devanagari}');
Error('\P{Block=:=- Devanagari}');
Expect(1, 2431, '\p{Block=devanagari}', "");
Expect(0, 2431, '\p{^Block=devanagari}', "");
Expect(0, 2431, '\P{Block=devanagari}', "");
Expect(1, 2431, '\P{^Block=devanagari}', "");
Expect(0, 2303, '\p{Block=devanagari}', "");
Expect(1, 2303, '\p{^Block=devanagari}', "");
Expect(1, 2303, '\P{Block=devanagari}', "");
Expect(0, 2303, '\P{^Block=devanagari}', "");
Expect(1, 2431, '\p{Block=- Devanagari}', "");
Expect(0, 2431, '\p{^Block=- Devanagari}', "");
Expect(0, 2431, '\P{Block=- Devanagari}', "");
Expect(1, 2431, '\P{^Block=- Devanagari}', "");
Expect(0, 2303, '\p{Block=- Devanagari}', "");
Expect(1, 2303, '\p{^Block=- Devanagari}', "");
Expect(1, 2303, '\P{Block=- Devanagari}', "");
Expect(0, 2303, '\P{^Block=- Devanagari}', "");
Error('\p{Blk=/a/_	devanagari}');
Error('\P{Blk=/a/_	devanagari}');
Expect(1, 2431, '\p{Blk=devanagari}', "");
Expect(0, 2431, '\p{^Blk=devanagari}', "");
Expect(0, 2431, '\P{Blk=devanagari}', "");
Expect(1, 2431, '\P{^Blk=devanagari}', "");
Expect(0, 2303, '\p{Blk=devanagari}', "");
Expect(1, 2303, '\p{^Blk=devanagari}', "");
Expect(1, 2303, '\P{Blk=devanagari}', "");
Expect(0, 2303, '\P{^Blk=devanagari}', "");
Expect(1, 2431, '\p{Blk= Devanagari}', "");
Expect(0, 2431, '\p{^Blk= Devanagari}', "");
Expect(0, 2431, '\P{Blk= Devanagari}', "");
Expect(1, 2431, '\P{^Blk= Devanagari}', "");
Expect(0, 2303, '\p{Blk= Devanagari}', "");
Expect(1, 2303, '\p{^Blk= Devanagari}', "");
Expect(1, 2303, '\P{Blk= Devanagari}', "");
Expect(0, 2303, '\P{^Blk= Devanagari}', "");
Error('\p{Is_Block=_:=DEVANAGARI}');
Error('\P{Is_Block=_:=DEVANAGARI}');
Expect(1, 2431, '\p{Is_Block=devanagari}', "");
Expect(0, 2431, '\p{^Is_Block=devanagari}', "");
Expect(0, 2431, '\P{Is_Block=devanagari}', "");
Expect(1, 2431, '\P{^Is_Block=devanagari}', "");
Expect(0, 2303, '\p{Is_Block=devanagari}', "");
Expect(1, 2303, '\p{^Is_Block=devanagari}', "");
Expect(1, 2303, '\P{Is_Block=devanagari}', "");
Expect(0, 2303, '\P{^Is_Block=devanagari}', "");
Expect(1, 2431, '\p{Is_Block= 	Devanagari}', "");
Expect(0, 2431, '\p{^Is_Block= 	Devanagari}', "");
Expect(0, 2431, '\P{Is_Block= 	Devanagari}', "");
Expect(1, 2431, '\P{^Is_Block= 	Devanagari}', "");
Expect(0, 2303, '\p{Is_Block= 	Devanagari}', "");
Expect(1, 2303, '\p{^Is_Block= 	Devanagari}', "");
Expect(1, 2303, '\P{Is_Block= 	Devanagari}', "");
Expect(0, 2303, '\P{^Is_Block= 	Devanagari}', "");
Error('\p{Is_Blk=/a/_ Devanagari}');
Error('\P{Is_Blk=/a/_ Devanagari}');
Expect(1, 2431, '\p{Is_Blk=devanagari}', "");
Expect(0, 2431, '\p{^Is_Blk=devanagari}', "");
Expect(0, 2431, '\P{Is_Blk=devanagari}', "");
Expect(1, 2431, '\P{^Is_Blk=devanagari}', "");
Expect(0, 2303, '\p{Is_Blk=devanagari}', "");
Expect(1, 2303, '\p{^Is_Blk=devanagari}', "");
Expect(1, 2303, '\P{Is_Blk=devanagari}', "");
Expect(0, 2303, '\P{^Is_Blk=devanagari}', "");
Expect(1, 2431, '\p{Is_Blk= Devanagari}', "");
Expect(0, 2431, '\p{^Is_Blk= Devanagari}', "");
Expect(0, 2431, '\P{Is_Blk= Devanagari}', "");
Expect(1, 2431, '\P{^Is_Blk= Devanagari}', "");
Expect(0, 2303, '\p{Is_Blk= Devanagari}', "");
Expect(1, 2303, '\p{^Is_Blk= Devanagari}', "");
Expect(1, 2303, '\P{Is_Blk= Devanagari}', "");
Expect(0, 2303, '\P{^Is_Blk= Devanagari}', "");
Error('\p{Block= :=hangul-Jamo Extended-a}');
Error('\P{Block= :=hangul-Jamo Extended-a}');
Expect(1, 43391, '\p{Block=hanguljamoextendeda}', "");
Expect(0, 43391, '\p{^Block=hanguljamoextendeda}', "");
Expect(0, 43391, '\P{Block=hanguljamoextendeda}', "");
Expect(1, 43391, '\P{^Block=hanguljamoextendeda}', "");
Expect(0, 43359, '\p{Block=hanguljamoextendeda}', "");
Expect(1, 43359, '\p{^Block=hanguljamoextendeda}', "");
Expect(1, 43359, '\P{Block=hanguljamoextendeda}', "");
Expect(0, 43359, '\P{^Block=hanguljamoextendeda}', "");
Expect(1, 43391, '\p{Block=_hangulJAMO_Extended-A}', "");
Expect(0, 43391, '\p{^Block=_hangulJAMO_Extended-A}', "");
Expect(0, 43391, '\P{Block=_hangulJAMO_Extended-A}', "");
Expect(1, 43391, '\P{^Block=_hangulJAMO_Extended-A}', "");
Expect(0, 43359, '\p{Block=_hangulJAMO_Extended-A}', "");
Expect(1, 43359, '\p{^Block=_hangulJAMO_Extended-A}', "");
Expect(1, 43359, '\P{Block=_hangulJAMO_Extended-A}', "");
Expect(0, 43359, '\P{^Block=_hangulJAMO_Extended-A}', "");
Error('\p{Blk=hangul-jamo/a/extendedA}');
Error('\P{Blk=hangul-jamo/a/extendedA}');
Expect(1, 43391, '\p{Blk=hanguljamoextendeda}', "");
Expect(0, 43391, '\p{^Blk=hanguljamoextendeda}', "");
Expect(0, 43391, '\P{Blk=hanguljamoextendeda}', "");
Expect(1, 43391, '\P{^Blk=hanguljamoextendeda}', "");
Expect(0, 43359, '\p{Blk=hanguljamoextendeda}', "");
Expect(1, 43359, '\p{^Blk=hanguljamoextendeda}', "");
Expect(1, 43359, '\P{Blk=hanguljamoextendeda}', "");
Expect(0, 43359, '\P{^Blk=hanguljamoextendeda}', "");
Expect(1, 43391, '\p{Blk: - HANGUL_jamo Extended-A}', "");
Expect(0, 43391, '\p{^Blk: - HANGUL_jamo Extended-A}', "");
Expect(0, 43391, '\P{Blk: - HANGUL_jamo Extended-A}', "");
Expect(1, 43391, '\P{^Blk: - HANGUL_jamo Extended-A}', "");
Expect(0, 43359, '\p{Blk: - HANGUL_jamo Extended-A}', "");
Expect(1, 43359, '\p{^Blk: - HANGUL_jamo Extended-A}', "");
Expect(1, 43359, '\P{Blk: - HANGUL_jamo Extended-A}', "");
Expect(0, 43359, '\P{^Blk: - HANGUL_jamo Extended-A}', "");
Error('\p{Is_Block=_:=HANGUL-JAMO EXTENDED_A}');
Error('\P{Is_Block=_:=HANGUL-JAMO EXTENDED_A}');
Expect(1, 43391, '\p{Is_Block=hanguljamoextendeda}', "");
Expect(0, 43391, '\p{^Is_Block=hanguljamoextendeda}', "");
Expect(0, 43391, '\P{Is_Block=hanguljamoextendeda}', "");
Expect(1, 43391, '\P{^Is_Block=hanguljamoextendeda}', "");
Expect(0, 43359, '\p{Is_Block=hanguljamoextendeda}', "");
Expect(1, 43359, '\p{^Is_Block=hanguljamoextendeda}', "");
Expect(1, 43359, '\P{Is_Block=hanguljamoextendeda}', "");
Expect(0, 43359, '\P{^Is_Block=hanguljamoextendeda}', "");
Expect(1, 43391, '\p{Is_Block=_	Hangul JAMO Extended A}', "");
Expect(0, 43391, '\p{^Is_Block=_	Hangul JAMO Extended A}', "");
Expect(0, 43391, '\P{Is_Block=_	Hangul JAMO Extended A}', "");
Expect(1, 43391, '\P{^Is_Block=_	Hangul JAMO Extended A}', "");
Expect(0, 43359, '\p{Is_Block=_	Hangul JAMO Extended A}', "");
Expect(1, 43359, '\p{^Is_Block=_	Hangul JAMO Extended A}', "");
Expect(1, 43359, '\P{Is_Block=_	Hangul JAMO Extended A}', "");
Expect(0, 43359, '\P{^Is_Block=_	Hangul JAMO Extended A}', "");
Error('\p{Is_Blk=	-Hangul:=JAMO_EXTENDED_a}');
Error('\P{Is_Blk=	-Hangul:=JAMO_EXTENDED_a}');
Expect(1, 43391, '\p{Is_Blk=hanguljamoextendeda}', "");
Expect(0, 43391, '\p{^Is_Blk=hanguljamoextendeda}', "");
Expect(0, 43391, '\P{Is_Blk=hanguljamoextendeda}', "");
Expect(1, 43391, '\P{^Is_Blk=hanguljamoextendeda}', "");
Expect(0, 43359, '\p{Is_Blk=hanguljamoextendeda}', "");
Expect(1, 43359, '\p{^Is_Blk=hanguljamoextendeda}', "");
Expect(1, 43359, '\P{Is_Blk=hanguljamoextendeda}', "");
Expect(0, 43359, '\P{^Is_Blk=hanguljamoextendeda}', "");
Expect(1, 43391, '\p{Is_Blk=-hanguljamo-extended-A}', "");
Expect(0, 43391, '\p{^Is_Blk=-hanguljamo-extended-A}', "");
Expect(0, 43391, '\P{Is_Blk=-hanguljamo-extended-A}', "");
Expect(1, 43391, '\P{^Is_Blk=-hanguljamo-extended-A}', "");
Expect(0, 43359, '\p{Is_Blk=-hanguljamo-extended-A}', "");
Expect(1, 43359, '\p{^Is_Blk=-hanguljamo-extended-A}', "");
Expect(1, 43359, '\P{Is_Blk=-hanguljamo-extended-A}', "");
Expect(0, 43359, '\P{^Is_Blk=-hanguljamo-extended-A}', "");
Error('\p{Block=  CARIAN/a/}');
Error('\P{Block=  CARIAN/a/}');
Expect(1, 66271, '\p{Block=carian}', "");
Expect(0, 66271, '\p{^Block=carian}', "");
Expect(0, 66271, '\P{Block=carian}', "");
Expect(1, 66271, '\P{^Block=carian}', "");
Expect(0, 66207, '\p{Block=carian}', "");
Expect(1, 66207, '\p{^Block=carian}', "");
Expect(1, 66207, '\P{Block=carian}', "");
Expect(0, 66207, '\P{^Block=carian}', "");
Expect(1, 66271, '\p{Block=_ Carian}', "");
Expect(0, 66271, '\p{^Block=_ Carian}', "");
Expect(0, 66271, '\P{Block=_ Carian}', "");
Expect(1, 66271, '\P{^Block=_ Carian}', "");
Expect(0, 66207, '\p{Block=_ Carian}', "");
Expect(1, 66207, '\p{^Block=_ Carian}', "");
Expect(1, 66207, '\P{Block=_ Carian}', "");
Expect(0, 66207, '\P{^Block=_ Carian}', "");
Error('\p{Blk=	_CARIAN:=}');
Error('\P{Blk=	_CARIAN:=}');
Expect(1, 66271, '\p{Blk=carian}', "");
Expect(0, 66271, '\p{^Blk=carian}', "");
Expect(0, 66271, '\P{Blk=carian}', "");
Expect(1, 66271, '\P{^Blk=carian}', "");
Expect(0, 66207, '\p{Blk=carian}', "");
Expect(1, 66207, '\p{^Blk=carian}', "");
Expect(1, 66207, '\P{Blk=carian}', "");
Expect(0, 66207, '\P{^Blk=carian}', "");
Expect(1, 66271, '\p{Blk=_carian}', "");
Expect(0, 66271, '\p{^Blk=_carian}', "");
Expect(0, 66271, '\P{Blk=_carian}', "");
Expect(1, 66271, '\P{^Blk=_carian}', "");
Expect(0, 66207, '\p{Blk=_carian}', "");
Expect(1, 66207, '\p{^Blk=_carian}', "");
Expect(1, 66207, '\P{Blk=_carian}', "");
Expect(0, 66207, '\P{^Blk=_carian}', "");
Error('\p{Is_Block= 	Carian:=}');
Error('\P{Is_Block= 	Carian:=}');
Expect(1, 66271, '\p{Is_Block:   carian}', "");
Expect(0, 66271, '\p{^Is_Block:   carian}', "");
Expect(0, 66271, '\P{Is_Block:   carian}', "");
Expect(1, 66271, '\P{^Is_Block:   carian}', "");
Expect(0, 66207, '\p{Is_Block:   carian}', "");
Expect(1, 66207, '\p{^Is_Block:   carian}', "");
Expect(1, 66207, '\P{Is_Block:   carian}', "");
Expect(0, 66207, '\P{^Is_Block:   carian}', "");
Expect(1, 66271, '\p{Is_Block:   -	Carian}', "");
Expect(0, 66271, '\p{^Is_Block:   -	Carian}', "");
Expect(0, 66271, '\P{Is_Block:   -	Carian}', "");
Expect(1, 66271, '\P{^Is_Block:   -	Carian}', "");
Expect(0, 66207, '\p{Is_Block:   -	Carian}', "");
Expect(1, 66207, '\p{^Is_Block:   -	Carian}', "");
Expect(1, 66207, '\P{Is_Block:   -	Carian}', "");
Expect(0, 66207, '\P{^Is_Block:   -	Carian}', "");
Error('\p{Is_Blk=	/a/Carian}');
Error('\P{Is_Blk=	/a/Carian}');
Expect(1, 66271, '\p{Is_Blk=carian}', "");
Expect(0, 66271, '\p{^Is_Blk=carian}', "");
Expect(0, 66271, '\P{Is_Blk=carian}', "");
Expect(1, 66271, '\P{^Is_Blk=carian}', "");
Expect(0, 66207, '\p{Is_Blk=carian}', "");
Expect(1, 66207, '\p{^Is_Blk=carian}', "");
Expect(1, 66207, '\P{Is_Blk=carian}', "");
Expect(0, 66207, '\P{^Is_Blk=carian}', "");
Expect(1, 66271, '\p{Is_Blk=		Carian}', "");
Expect(0, 66271, '\p{^Is_Blk=		Carian}', "");
Expect(0, 66271, '\P{Is_Blk=		Carian}', "");
Expect(1, 66271, '\P{^Is_Blk=		Carian}', "");
Expect(0, 66207, '\p{Is_Blk=		Carian}', "");
Expect(1, 66207, '\p{^Is_Blk=		Carian}', "");
Expect(1, 66207, '\P{Is_Blk=		Carian}', "");
Expect(0, 66207, '\P{^Is_Blk=		Carian}', "");
Error('\p{Block=_:=Buhid}');
Error('\P{Block=_:=Buhid}');
Expect(1, 5983, '\p{Block=buhid}', "");
Expect(0, 5983, '\p{^Block=buhid}', "");
Expect(0, 5983, '\P{Block=buhid}', "");
Expect(1, 5983, '\P{^Block=buhid}', "");
Expect(0, 5951, '\p{Block=buhid}', "");
Expect(1, 5951, '\p{^Block=buhid}', "");
Expect(1, 5951, '\P{Block=buhid}', "");
Expect(0, 5951, '\P{^Block=buhid}', "");
Expect(1, 5983, '\p{Block:   	-Buhid}', "");
Expect(0, 5983, '\p{^Block:   	-Buhid}', "");
Expect(0, 5983, '\P{Block:   	-Buhid}', "");
Expect(1, 5983, '\P{^Block:   	-Buhid}', "");
Expect(0, 5951, '\p{Block:   	-Buhid}', "");
Expect(1, 5951, '\p{^Block:   	-Buhid}', "");
Expect(1, 5951, '\P{Block:   	-Buhid}', "");
Expect(0, 5951, '\P{^Block:   	-Buhid}', "");
Error('\p{Blk=_/a/BUHID}');
Error('\P{Blk=_/a/BUHID}');
Expect(1, 5983, '\p{Blk=buhid}', "");
Expect(0, 5983, '\p{^Blk=buhid}', "");
Expect(0, 5983, '\P{Blk=buhid}', "");
Expect(1, 5983, '\P{^Blk=buhid}', "");
Expect(0, 5951, '\p{Blk=buhid}', "");
Expect(1, 5951, '\p{^Blk=buhid}', "");
Expect(1, 5951, '\P{Blk=buhid}', "");
Expect(0, 5951, '\P{^Blk=buhid}', "");
Expect(1, 5983, '\p{Blk=	-Buhid}', "");
Expect(0, 5983, '\p{^Blk=	-Buhid}', "");
Expect(0, 5983, '\P{Blk=	-Buhid}', "");
Expect(1, 5983, '\P{^Blk=	-Buhid}', "");
Expect(0, 5951, '\p{Blk=	-Buhid}', "");
Expect(1, 5951, '\p{^Blk=	-Buhid}', "");
Expect(1, 5951, '\P{Blk=	-Buhid}', "");
Expect(0, 5951, '\P{^Blk=	-Buhid}', "");
Error('\p{Is_Block= :=BUHID}');
Error('\P{Is_Block= :=BUHID}');
Expect(1, 5983, '\p{Is_Block=buhid}', "");
Expect(0, 5983, '\p{^Is_Block=buhid}', "");
Expect(0, 5983, '\P{Is_Block=buhid}', "");
Expect(1, 5983, '\P{^Is_Block=buhid}', "");
Expect(0, 5951, '\p{Is_Block=buhid}', "");
Expect(1, 5951, '\p{^Is_Block=buhid}', "");
Expect(1, 5951, '\P{Is_Block=buhid}', "");
Expect(0, 5951, '\P{^Is_Block=buhid}', "");
Expect(1, 5983, '\p{Is_Block=_ Buhid}', "");
Expect(0, 5983, '\p{^Is_Block=_ Buhid}', "");
Expect(0, 5983, '\P{Is_Block=_ Buhid}', "");
Expect(1, 5983, '\P{^Is_Block=_ Buhid}', "");
Expect(0, 5951, '\p{Is_Block=_ Buhid}', "");
Expect(1, 5951, '\p{^Is_Block=_ Buhid}', "");
Expect(1, 5951, '\P{Is_Block=_ Buhid}', "");
Expect(0, 5951, '\P{^Is_Block=_ Buhid}', "");
Error('\p{Is_Blk= -buhid:=}');
Error('\P{Is_Blk= -buhid:=}');
Expect(1, 5983, '\p{Is_Blk=buhid}', "");
Expect(0, 5983, '\p{^Is_Blk=buhid}', "");
Expect(0, 5983, '\P{Is_Blk=buhid}', "");
Expect(1, 5983, '\P{^Is_Blk=buhid}', "");
Expect(0, 5951, '\p{Is_Blk=buhid}', "");
Expect(1, 5951, '\p{^Is_Blk=buhid}', "");
Expect(1, 5951, '\P{Is_Blk=buhid}', "");
Expect(0, 5951, '\P{^Is_Blk=buhid}', "");
Expect(1, 5983, '\p{Is_Blk: -_Buhid}', "");
Expect(0, 5983, '\p{^Is_Blk: -_Buhid}', "");
Expect(0, 5983, '\P{Is_Blk: -_Buhid}', "");
Expect(1, 5983, '\P{^Is_Blk: -_Buhid}', "");
Expect(0, 5951, '\p{Is_Blk: -_Buhid}', "");
Expect(1, 5951, '\p{^Is_Blk: -_Buhid}', "");
Expect(1, 5951, '\P{Is_Blk: -_Buhid}', "");
Expect(0, 5951, '\P{^Is_Blk: -_Buhid}', "");
Error('\p{Block=_/a/IDEOGRAPHIC description-Characters}');
Error('\P{Block=_/a/IDEOGRAPHIC description-Characters}');
Expect(1, 12287, '\p{Block=ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^Block=ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{Block=ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^Block=ideographicdescriptioncharacters}', "");
Expect(0, 12271, '\p{Block=ideographicdescriptioncharacters}', "");
Expect(1, 12271, '\p{^Block=ideographicdescriptioncharacters}', "");
Expect(1, 12271, '\P{Block=ideographicdescriptioncharacters}', "");
Expect(0, 12271, '\P{^Block=ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{Block=_IDEOGRAPHIC_DESCRIPTION_Characters}', "");
Expect(0, 12287, '\p{^Block=_IDEOGRAPHIC_DESCRIPTION_Characters}', "");
Expect(0, 12287, '\P{Block=_IDEOGRAPHIC_DESCRIPTION_Characters}', "");
Expect(1, 12287, '\P{^Block=_IDEOGRAPHIC_DESCRIPTION_Characters}', "");
Expect(0, 12271, '\p{Block=_IDEOGRAPHIC_DESCRIPTION_Characters}', "");
Expect(1, 12271, '\p{^Block=_IDEOGRAPHIC_DESCRIPTION_Characters}', "");
Expect(1, 12271, '\P{Block=_IDEOGRAPHIC_DESCRIPTION_Characters}', "");
Expect(0, 12271, '\P{^Block=_IDEOGRAPHIC_DESCRIPTION_Characters}', "");
Error('\p{Blk=-_ideographic-Description/a/Characters}');
Error('\P{Blk=-_ideographic-Description/a/Characters}');
Expect(1, 12287, '\p{Blk=ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^Blk=ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{Blk=ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^Blk=ideographicdescriptioncharacters}', "");
Expect(0, 12271, '\p{Blk=ideographicdescriptioncharacters}', "");
Expect(1, 12271, '\p{^Blk=ideographicdescriptioncharacters}', "");
Expect(1, 12271, '\P{Blk=ideographicdescriptioncharacters}', "");
Expect(0, 12271, '\P{^Blk=ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{Blk:    -IDEOGRAPHIC_Description	characters}', "");
Expect(0, 12287, '\p{^Blk:    -IDEOGRAPHIC_Description	characters}', "");
Expect(0, 12287, '\P{Blk:    -IDEOGRAPHIC_Description	characters}', "");
Expect(1, 12287, '\P{^Blk:    -IDEOGRAPHIC_Description	characters}', "");
Expect(0, 12271, '\p{Blk:    -IDEOGRAPHIC_Description	characters}', "");
Expect(1, 12271, '\p{^Blk:    -IDEOGRAPHIC_Description	characters}', "");
Expect(1, 12271, '\P{Blk:    -IDEOGRAPHIC_Description	characters}', "");
Expect(0, 12271, '\P{^Blk:    -IDEOGRAPHIC_Description	characters}', "");
Error('\p{Is_Block=-_ideographic	Description_Characters/a/}');
Error('\P{Is_Block=-_ideographic	Description_Characters/a/}');
Expect(1, 12287, '\p{Is_Block=ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^Is_Block=ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{Is_Block=ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^Is_Block=ideographicdescriptioncharacters}', "");
Expect(0, 12271, '\p{Is_Block=ideographicdescriptioncharacters}', "");
Expect(1, 12271, '\p{^Is_Block=ideographicdescriptioncharacters}', "");
Expect(1, 12271, '\P{Is_Block=ideographicdescriptioncharacters}', "");
Expect(0, 12271, '\P{^Is_Block=ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{Is_Block= IdeographicDescription_CHARACTERS}', "");
Expect(0, 12287, '\p{^Is_Block= IdeographicDescription_CHARACTERS}', "");
Expect(0, 12287, '\P{Is_Block= IdeographicDescription_CHARACTERS}', "");
Expect(1, 12287, '\P{^Is_Block= IdeographicDescription_CHARACTERS}', "");
Expect(0, 12271, '\p{Is_Block= IdeographicDescription_CHARACTERS}', "");
Expect(1, 12271, '\p{^Is_Block= IdeographicDescription_CHARACTERS}', "");
Expect(1, 12271, '\P{Is_Block= IdeographicDescription_CHARACTERS}', "");
Expect(0, 12271, '\P{^Is_Block= IdeographicDescription_CHARACTERS}', "");
Error('\p{Is_Blk=:=-_Ideographic_description characters}');
Error('\P{Is_Blk=:=-_Ideographic_description characters}');
Expect(1, 12287, '\p{Is_Blk:ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^Is_Blk:ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{Is_Blk:ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^Is_Blk:ideographicdescriptioncharacters}', "");
Expect(0, 12271, '\p{Is_Blk:ideographicdescriptioncharacters}', "");
Expect(1, 12271, '\p{^Is_Blk:ideographicdescriptioncharacters}', "");
Expect(1, 12271, '\P{Is_Blk:ideographicdescriptioncharacters}', "");
Expect(0, 12271, '\P{^Is_Blk:ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{Is_Blk=	-ideographic_Description_characters}', "");
Expect(0, 12287, '\p{^Is_Blk=	-ideographic_Description_characters}', "");
Expect(0, 12287, '\P{Is_Blk=	-ideographic_Description_characters}', "");
Expect(1, 12287, '\P{^Is_Blk=	-ideographic_Description_characters}', "");
Expect(0, 12271, '\p{Is_Blk=	-ideographic_Description_characters}', "");
Expect(1, 12271, '\p{^Is_Blk=	-ideographic_Description_characters}', "");
Expect(1, 12271, '\P{Is_Blk=	-ideographic_Description_characters}', "");
Expect(0, 12271, '\P{^Is_Blk=	-ideographic_Description_characters}', "");
Error('\p{Block= :=CJK Unified-IdeographsExtensionB}');
Error('\P{Block= :=CJK Unified-IdeographsExtensionB}');
Expect(1, 173791, '\p{Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^Block=cjkunifiedideographsextensionb}', "");
Expect(0, 1, '\p{Block=cjkunifiedideographsextensionb}', "");
Expect(1, 1, '\p{^Block=cjkunifiedideographsextensionb}', "");
Expect(1, 1, '\P{Block=cjkunifiedideographsextensionb}', "");
Expect(0, 1, '\P{^Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{Block=--CJK	Unified	Ideographs	extension_B}', "");
Expect(0, 173791, '\p{^Block=--CJK	Unified	Ideographs	extension_B}', "");
Expect(0, 173791, '\P{Block=--CJK	Unified	Ideographs	extension_B}', "");
Expect(1, 173791, '\P{^Block=--CJK	Unified	Ideographs	extension_B}', "");
Expect(0, 1, '\p{Block=--CJK	Unified	Ideographs	extension_B}', "");
Expect(1, 1, '\p{^Block=--CJK	Unified	Ideographs	extension_B}', "");
Expect(1, 1, '\P{Block=--CJK	Unified	Ideographs	extension_B}', "");
Expect(0, 1, '\P{^Block=--CJK	Unified	Ideographs	extension_B}', "");
Error('\p{Blk:-CJK-UNIFIED/a/Ideographs Extension-B}');
Error('\P{Blk:-CJK-UNIFIED/a/Ideographs Extension-B}');
Expect(1, 173791, '\p{Blk=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^Blk=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{Blk=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^Blk=cjkunifiedideographsextensionb}', "");
Expect(0, 1, '\p{Blk=cjkunifiedideographsextensionb}', "");
Expect(1, 1, '\p{^Blk=cjkunifiedideographsextensionb}', "");
Expect(1, 1, '\P{Blk=cjkunifiedideographsextensionb}', "");
Expect(0, 1, '\P{^Blk=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{Blk=	_CJKUnified	Ideographs EXTENSION	B}', "");
Expect(0, 173791, '\p{^Blk=	_CJKUnified	Ideographs EXTENSION	B}', "");
Expect(0, 173791, '\P{Blk=	_CJKUnified	Ideographs EXTENSION	B}', "");
Expect(1, 173791, '\P{^Blk=	_CJKUnified	Ideographs EXTENSION	B}', "");
Expect(0, 1, '\p{Blk=	_CJKUnified	Ideographs EXTENSION	B}', "");
Expect(1, 1, '\p{^Blk=	_CJKUnified	Ideographs EXTENSION	B}', "");
Expect(1, 1, '\P{Blk=	_CJKUnified	Ideographs EXTENSION	B}', "");
Expect(0, 1, '\P{^Blk=	_CJKUnified	Ideographs EXTENSION	B}', "");
Error('\p{Is_Block=_-CJK	unified/a/ideographsEXTENSION B}');
Error('\P{Is_Block=_-CJK	unified/a/ideographsEXTENSION B}');
Expect(1, 173791, '\p{Is_Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^Is_Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{Is_Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^Is_Block=cjkunifiedideographsextensionb}', "");
Expect(0, 1, '\p{Is_Block=cjkunifiedideographsextensionb}', "");
Expect(1, 1, '\p{^Is_Block=cjkunifiedideographsextensionb}', "");
Expect(1, 1, '\P{Is_Block=cjkunifiedideographsextensionb}', "");
Expect(0, 1, '\P{^Is_Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{Is_Block=--CJK_Unified-Ideographs	Extension	B}', "");
Expect(0, 173791, '\p{^Is_Block=--CJK_Unified-Ideographs	Extension	B}', "");
Expect(0, 173791, '\P{Is_Block=--CJK_Unified-Ideographs	Extension	B}', "");
Expect(1, 173791, '\P{^Is_Block=--CJK_Unified-Ideographs	Extension	B}', "");
Expect(0, 1, '\p{Is_Block=--CJK_Unified-Ideographs	Extension	B}', "");
Expect(1, 1, '\p{^Is_Block=--CJK_Unified-Ideographs	Extension	B}', "");
Expect(1, 1, '\P{Is_Block=--CJK_Unified-Ideographs	Extension	B}', "");
Expect(0, 1, '\P{^Is_Block=--CJK_Unified-Ideographs	Extension	B}', "");
Error('\p{Is_Blk=:=CJKUNIFIED Ideographs	extension	b}');
Error('\P{Is_Blk=:=CJKUNIFIED Ideographs	extension	b}');
Expect(1, 173791, '\p{Is_Blk=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^Is_Blk=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{Is_Blk=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^Is_Blk=cjkunifiedideographsextensionb}', "");
Expect(0, 1, '\p{Is_Blk=cjkunifiedideographsextensionb}', "");
Expect(1, 1, '\p{^Is_Blk=cjkunifiedideographsextensionb}', "");
Expect(1, 1, '\P{Is_Blk=cjkunifiedideographsextensionb}', "");
Expect(0, 1, '\P{^Is_Blk=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{Is_Blk= _CJK_Unified-Ideographs	Extension B}', "");
Expect(0, 173791, '\p{^Is_Blk= _CJK_Unified-Ideographs	Extension B}', "");
Expect(0, 173791, '\P{Is_Blk= _CJK_Unified-Ideographs	Extension B}', "");
Expect(1, 173791, '\P{^Is_Blk= _CJK_Unified-Ideographs	Extension B}', "");
Expect(0, 1, '\p{Is_Blk= _CJK_Unified-Ideographs	Extension B}', "");
Expect(1, 1, '\p{^Is_Blk= _CJK_Unified-Ideographs	Extension B}', "");
Expect(1, 1, '\P{Is_Blk= _CJK_Unified-Ideographs	Extension B}', "");
Expect(0, 1, '\P{^Is_Blk= _CJK_Unified-Ideographs	Extension B}', "");
Error('\p{Block:	:=__Old italic}');
Error('\P{Block:	:=__Old italic}');
Expect(1, 66351, '\p{Block=olditalic}', "");
Expect(0, 66351, '\p{^Block=olditalic}', "");
Expect(0, 66351, '\P{Block=olditalic}', "");
Expect(1, 66351, '\P{^Block=olditalic}', "");
Expect(0, 66303, '\p{Block=olditalic}', "");
Expect(1, 66303, '\p{^Block=olditalic}', "");
Expect(1, 66303, '\P{Block=olditalic}', "");
Expect(0, 66303, '\P{^Block=olditalic}', "");
Expect(1, 66351, '\p{Block=_	OLDItalic}', "");
Expect(0, 66351, '\p{^Block=_	OLDItalic}', "");
Expect(0, 66351, '\P{Block=_	OLDItalic}', "");
Expect(1, 66351, '\P{^Block=_	OLDItalic}', "");
Expect(0, 66303, '\p{Block=_	OLDItalic}', "");
Expect(1, 66303, '\p{^Block=_	OLDItalic}', "");
Expect(1, 66303, '\P{Block=_	OLDItalic}', "");
Expect(0, 66303, '\P{^Block=_	OLDItalic}', "");
Error('\p{Blk=	Old italic/a/}');
Error('\P{Blk=	Old italic/a/}');
Expect(1, 66351, '\p{Blk=olditalic}', "");
Expect(0, 66351, '\p{^Blk=olditalic}', "");
Expect(0, 66351, '\P{Blk=olditalic}', "");
Expect(1, 66351, '\P{^Blk=olditalic}', "");
Expect(0, 66303, '\p{Blk=olditalic}', "");
Expect(1, 66303, '\p{^Blk=olditalic}', "");
Expect(1, 66303, '\P{Blk=olditalic}', "");
Expect(0, 66303, '\P{^Blk=olditalic}', "");
Expect(1, 66351, '\p{Blk:_Old Italic}', "");
Expect(0, 66351, '\p{^Blk:_Old Italic}', "");
Expect(0, 66351, '\P{Blk:_Old Italic}', "");
Expect(1, 66351, '\P{^Blk:_Old Italic}', "");
Expect(0, 66303, '\p{Blk:_Old Italic}', "");
Expect(1, 66303, '\p{^Blk:_Old Italic}', "");
Expect(1, 66303, '\P{Blk:_Old Italic}', "");
Expect(0, 66303, '\P{^Blk:_Old Italic}', "");
Error('\p{Is_Block= /a/old	italic}');
Error('\P{Is_Block= /a/old	italic}');
Expect(1, 66351, '\p{Is_Block=olditalic}', "");
Expect(0, 66351, '\p{^Is_Block=olditalic}', "");
Expect(0, 66351, '\P{Is_Block=olditalic}', "");
Expect(1, 66351, '\P{^Is_Block=olditalic}', "");
Expect(0, 66303, '\p{Is_Block=olditalic}', "");
Expect(1, 66303, '\p{^Is_Block=olditalic}', "");
Expect(1, 66303, '\P{Is_Block=olditalic}', "");
Expect(0, 66303, '\P{^Is_Block=olditalic}', "");
Expect(1, 66351, '\p{Is_Block=	Old-italic}', "");
Expect(0, 66351, '\p{^Is_Block=	Old-italic}', "");
Expect(0, 66351, '\P{Is_Block=	Old-italic}', "");
Expect(1, 66351, '\P{^Is_Block=	Old-italic}', "");
Expect(0, 66303, '\p{Is_Block=	Old-italic}', "");
Expect(1, 66303, '\p{^Is_Block=	Old-italic}', "");
Expect(1, 66303, '\P{Is_Block=	Old-italic}', "");
Expect(0, 66303, '\P{^Is_Block=	Old-italic}', "");
Error('\p{Is_Blk:	:= 	oldItalic}');
Error('\P{Is_Blk:	:= 	oldItalic}');
Expect(1, 66351, '\p{Is_Blk=olditalic}', "");
Expect(0, 66351, '\p{^Is_Blk=olditalic}', "");
Expect(0, 66351, '\P{Is_Blk=olditalic}', "");
Expect(1, 66351, '\P{^Is_Blk=olditalic}', "");
Expect(0, 66303, '\p{Is_Blk=olditalic}', "");
Expect(1, 66303, '\p{^Is_Blk=olditalic}', "");
Expect(1, 66303, '\P{Is_Blk=olditalic}', "");
Expect(0, 66303, '\P{^Is_Blk=olditalic}', "");
Expect(1, 66351, '\p{Is_Blk:	_	Old	Italic}', "");
Expect(0, 66351, '\p{^Is_Blk:	_	Old	Italic}', "");
Expect(0, 66351, '\P{Is_Blk:	_	Old	Italic}', "");
Expect(1, 66351, '\P{^Is_Blk:	_	Old	Italic}', "");
Expect(0, 66303, '\p{Is_Blk:	_	Old	Italic}', "");
Expect(1, 66303, '\p{^Is_Blk:	_	Old	Italic}', "");
Expect(1, 66303, '\P{Is_Blk:	_	Old	Italic}', "");
Expect(0, 66303, '\P{^Is_Blk:	_	Old	Italic}', "");
Error('\p{Block=/a/Hangul_Syllables}');
Error('\P{Block=/a/Hangul_Syllables}');
Expect(1, 55215, '\p{Block:   hangulsyllables}', "");
Expect(0, 55215, '\p{^Block:   hangulsyllables}', "");
Expect(0, 55215, '\P{Block:   hangulsyllables}', "");
Expect(1, 55215, '\P{^Block:   hangulsyllables}', "");
Expect(0, 44031, '\p{Block:   hangulsyllables}', "");
Expect(1, 44031, '\p{^Block:   hangulsyllables}', "");
Expect(1, 44031, '\P{Block:   hangulsyllables}', "");
Expect(0, 44031, '\P{^Block:   hangulsyllables}', "");
Expect(1, 55215, '\p{Block=-	hangulSyllables}', "");
Expect(0, 55215, '\p{^Block=-	hangulSyllables}', "");
Expect(0, 55215, '\P{Block=-	hangulSyllables}', "");
Expect(1, 55215, '\P{^Block=-	hangulSyllables}', "");
Expect(0, 44031, '\p{Block=-	hangulSyllables}', "");
Expect(1, 44031, '\p{^Block=-	hangulSyllables}', "");
Expect(1, 44031, '\P{Block=-	hangulSyllables}', "");
Expect(0, 44031, '\P{^Block=-	hangulSyllables}', "");
Error('\p{Blk= Hangul syllables/a/}');
Error('\P{Blk= Hangul syllables/a/}');
Expect(1, 55215, '\p{Blk=hangulsyllables}', "");
Expect(0, 55215, '\p{^Blk=hangulsyllables}', "");
Expect(0, 55215, '\P{Blk=hangulsyllables}', "");
Expect(1, 55215, '\P{^Blk=hangulsyllables}', "");
Expect(0, 44031, '\p{Blk=hangulsyllables}', "");
Expect(1, 44031, '\p{^Blk=hangulsyllables}', "");
Expect(1, 44031, '\P{Blk=hangulsyllables}', "");
Expect(0, 44031, '\P{^Blk=hangulsyllables}', "");
Expect(1, 55215, '\p{Blk=  Hangul-Syllables}', "");
Expect(0, 55215, '\p{^Blk=  Hangul-Syllables}', "");
Expect(0, 55215, '\P{Blk=  Hangul-Syllables}', "");
Expect(1, 55215, '\P{^Blk=  Hangul-Syllables}', "");
Expect(0, 44031, '\p{Blk=  Hangul-Syllables}', "");
Expect(1, 44031, '\p{^Blk=  Hangul-Syllables}', "");
Expect(1, 44031, '\P{Blk=  Hangul-Syllables}', "");
Expect(0, 44031, '\P{^Blk=  Hangul-Syllables}', "");
Error('\p{Is_Block=	/a/hangul SYLLABLES}');
Error('\P{Is_Block=	/a/hangul SYLLABLES}');
Expect(1, 55215, '\p{Is_Block=hangulsyllables}', "");
Expect(0, 55215, '\p{^Is_Block=hangulsyllables}', "");
Expect(0, 55215, '\P{Is_Block=hangulsyllables}', "");
Expect(1, 55215, '\P{^Is_Block=hangulsyllables}', "");
Expect(0, 44031, '\p{Is_Block=hangulsyllables}', "");
Expect(1, 44031, '\p{^Is_Block=hangulsyllables}', "");
Expect(1, 44031, '\P{Is_Block=hangulsyllables}', "");
Expect(0, 44031, '\P{^Is_Block=hangulsyllables}', "");
Expect(1, 55215, '\p{Is_Block=	HangulSyllables}', "");
Expect(0, 55215, '\p{^Is_Block=	HangulSyllables}', "");
Expect(0, 55215, '\P{Is_Block=	HangulSyllables}', "");
Expect(1, 55215, '\P{^Is_Block=	HangulSyllables}', "");
Expect(0, 44031, '\p{Is_Block=	HangulSyllables}', "");
Expect(1, 44031, '\p{^Is_Block=	HangulSyllables}', "");
Expect(1, 44031, '\P{Is_Block=	HangulSyllables}', "");
Expect(0, 44031, '\P{^Is_Block=	HangulSyllables}', "");
Error('\p{Is_Blk:	_:=HANGUL	syllables}');
Error('\P{Is_Blk:	_:=HANGUL	syllables}');
Expect(1, 55215, '\p{Is_Blk=hangulsyllables}', "");
Expect(0, 55215, '\p{^Is_Blk=hangulsyllables}', "");
Expect(0, 55215, '\P{Is_Blk=hangulsyllables}', "");
Expect(1, 55215, '\P{^Is_Blk=hangulsyllables}', "");
Expect(0, 44031, '\p{Is_Blk=hangulsyllables}', "");
Expect(1, 44031, '\p{^Is_Blk=hangulsyllables}', "");
Expect(1, 44031, '\P{Is_Blk=hangulsyllables}', "");
Expect(0, 44031, '\P{^Is_Blk=hangulsyllables}', "");
Expect(1, 55215, '\p{Is_Blk:		hangul_SYLLABLES}', "");
Expect(0, 55215, '\p{^Is_Blk:		hangul_SYLLABLES}', "");
Expect(0, 55215, '\P{Is_Blk:		hangul_SYLLABLES}', "");
Expect(1, 55215, '\P{^Is_Blk:		hangul_SYLLABLES}', "");
Expect(0, 44031, '\p{Is_Blk:		hangul_SYLLABLES}', "");
Expect(1, 44031, '\p{^Is_Blk:		hangul_SYLLABLES}', "");
Expect(1, 44031, '\P{Is_Blk:		hangul_SYLLABLES}', "");
Expect(0, 44031, '\P{^Is_Blk:		hangul_SYLLABLES}', "");
Error('\p{Block=:=	_YIJING-Hexagram SYMBOLS}');
Error('\P{Block=:=	_YIJING-Hexagram SYMBOLS}');
Expect(1, 19967, '\p{Block:	yijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^Block:	yijinghexagramsymbols}', "");
Expect(0, 19967, '\P{Block:	yijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^Block:	yijinghexagramsymbols}', "");
Expect(0, 19903, '\p{Block:	yijinghexagramsymbols}', "");
Expect(1, 19903, '\p{^Block:	yijinghexagramsymbols}', "");
Expect(1, 19903, '\P{Block:	yijinghexagramsymbols}', "");
Expect(0, 19903, '\P{^Block:	yijinghexagramsymbols}', "");
Expect(1, 19967, '\p{Block=-	Yijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^Block=-	Yijinghexagramsymbols}', "");
Expect(0, 19967, '\P{Block=-	Yijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^Block=-	Yijinghexagramsymbols}', "");
Expect(0, 19903, '\p{Block=-	Yijinghexagramsymbols}', "");
Expect(1, 19903, '\p{^Block=-	Yijinghexagramsymbols}', "");
Expect(1, 19903, '\P{Block=-	Yijinghexagramsymbols}', "");
Expect(0, 19903, '\P{^Block=-	Yijinghexagramsymbols}', "");
Error('\p{Blk= :=Yijing-HEXAGRAM Symbols}');
Error('\P{Blk= :=Yijing-HEXAGRAM Symbols}');
Expect(1, 19967, '\p{Blk=yijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^Blk=yijinghexagramsymbols}', "");
Expect(0, 19967, '\P{Blk=yijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^Blk=yijinghexagramsymbols}', "");
Expect(0, 19903, '\p{Blk=yijinghexagramsymbols}', "");
Expect(1, 19903, '\p{^Blk=yijinghexagramsymbols}', "");
Expect(1, 19903, '\P{Blk=yijinghexagramsymbols}', "");
Expect(0, 19903, '\P{^Blk=yijinghexagramsymbols}', "");
Expect(1, 19967, '\p{Blk=  yijingHEXAGRAM-Symbols}', "");
Expect(0, 19967, '\p{^Blk=  yijingHEXAGRAM-Symbols}', "");
Expect(0, 19967, '\P{Blk=  yijingHEXAGRAM-Symbols}', "");
Expect(1, 19967, '\P{^Blk=  yijingHEXAGRAM-Symbols}', "");
Expect(0, 19903, '\p{Blk=  yijingHEXAGRAM-Symbols}', "");
Expect(1, 19903, '\p{^Blk=  yijingHEXAGRAM-Symbols}', "");
Expect(1, 19903, '\P{Blk=  yijingHEXAGRAM-Symbols}', "");
Expect(0, 19903, '\P{^Blk=  yijingHEXAGRAM-Symbols}', "");
Error('\p{Is_Block=:=Yijing	HexagramSYMBOLS}');
Error('\P{Is_Block=:=Yijing	HexagramSYMBOLS}');
Expect(1, 19967, '\p{Is_Block=yijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^Is_Block=yijinghexagramsymbols}', "");
Expect(0, 19967, '\P{Is_Block=yijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^Is_Block=yijinghexagramsymbols}', "");
Expect(0, 19903, '\p{Is_Block=yijinghexagramsymbols}', "");
Expect(1, 19903, '\p{^Is_Block=yijinghexagramsymbols}', "");
Expect(1, 19903, '\P{Is_Block=yijinghexagramsymbols}', "");
Expect(0, 19903, '\P{^Is_Block=yijinghexagramsymbols}', "");
Expect(1, 19967, '\p{Is_Block=_YijingHexagramSymbols}', "");
Expect(0, 19967, '\p{^Is_Block=_YijingHexagramSymbols}', "");
Expect(0, 19967, '\P{Is_Block=_YijingHexagramSymbols}', "");
Expect(1, 19967, '\P{^Is_Block=_YijingHexagramSymbols}', "");
Expect(0, 19903, '\p{Is_Block=_YijingHexagramSymbols}', "");
Expect(1, 19903, '\p{^Is_Block=_YijingHexagramSymbols}', "");
Expect(1, 19903, '\P{Is_Block=_YijingHexagramSymbols}', "");
Expect(0, 19903, '\P{^Is_Block=_YijingHexagramSymbols}', "");
Error('\p{Is_Blk=:=YIJING	Hexagram-Symbols}');
Error('\P{Is_Blk=:=YIJING	Hexagram-Symbols}');
Expect(1, 19967, '\p{Is_Blk=yijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^Is_Blk=yijinghexagramsymbols}', "");
Expect(0, 19967, '\P{Is_Blk=yijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^Is_Blk=yijinghexagramsymbols}', "");
Expect(0, 19903, '\p{Is_Blk=yijinghexagramsymbols}', "");
Expect(1, 19903, '\p{^Is_Blk=yijinghexagramsymbols}', "");
Expect(1, 19903, '\P{Is_Blk=yijinghexagramsymbols}', "");
Expect(0, 19903, '\P{^Is_Blk=yijinghexagramsymbols}', "");
Expect(1, 19967, '\p{Is_Blk=_-YIJINGHEXAGRAM-SYMBOLS}', "");
Expect(0, 19967, '\p{^Is_Blk=_-YIJINGHEXAGRAM-SYMBOLS}', "");
Expect(0, 19967, '\P{Is_Blk=_-YIJINGHEXAGRAM-SYMBOLS}', "");
Expect(1, 19967, '\P{^Is_Blk=_-YIJINGHEXAGRAM-SYMBOLS}', "");
Expect(0, 19903, '\p{Is_Blk=_-YIJINGHEXAGRAM-SYMBOLS}', "");
Expect(1, 19903, '\p{^Is_Blk=_-YIJINGHEXAGRAM-SYMBOLS}', "");
Expect(1, 19903, '\P{Is_Blk=_-YIJINGHEXAGRAM-SYMBOLS}', "");
Expect(0, 19903, '\P{^Is_Blk=_-YIJINGHEXAGRAM-SYMBOLS}', "");
Error('\p{Block=--PHAISTOS:=DISC}');
Error('\P{Block=--PHAISTOS:=DISC}');
Expect(1, 66047, '\p{Block=phaistosdisc}', "");
Expect(0, 66047, '\p{^Block=phaistosdisc}', "");
Expect(0, 66047, '\P{Block=phaistosdisc}', "");
Expect(1, 66047, '\P{^Block=phaistosdisc}', "");
Expect(0, 65999, '\p{Block=phaistosdisc}', "");
Expect(1, 65999, '\p{^Block=phaistosdisc}', "");
Expect(1, 65999, '\P{Block=phaistosdisc}', "");
Expect(0, 65999, '\P{^Block=phaistosdisc}', "");
Expect(1, 66047, '\p{Block:_PHAISTOS_Disc}', "");
Expect(0, 66047, '\p{^Block:_PHAISTOS_Disc}', "");
Expect(0, 66047, '\P{Block:_PHAISTOS_Disc}', "");
Expect(1, 66047, '\P{^Block:_PHAISTOS_Disc}', "");
Expect(0, 65999, '\p{Block:_PHAISTOS_Disc}', "");
Expect(1, 65999, '\p{^Block:_PHAISTOS_Disc}', "");
Expect(1, 65999, '\P{Block:_PHAISTOS_Disc}', "");
Expect(0, 65999, '\P{^Block:_PHAISTOS_Disc}', "");
Error('\p{Blk= /a/PHAISTOS	Disc}');
Error('\P{Blk= /a/PHAISTOS	Disc}');
Expect(1, 66047, '\p{Blk=phaistosdisc}', "");
Expect(0, 66047, '\p{^Blk=phaistosdisc}', "");
Expect(0, 66047, '\P{Blk=phaistosdisc}', "");
Expect(1, 66047, '\P{^Blk=phaistosdisc}', "");
Expect(0, 65999, '\p{Blk=phaistosdisc}', "");
Expect(1, 65999, '\p{^Blk=phaistosdisc}', "");
Expect(1, 65999, '\P{Blk=phaistosdisc}', "");
Expect(0, 65999, '\P{^Blk=phaistosdisc}', "");
Expect(1, 66047, '\p{Blk=	 Phaistos_Disc}', "");
Expect(0, 66047, '\p{^Blk=	 Phaistos_Disc}', "");
Expect(0, 66047, '\P{Blk=	 Phaistos_Disc}', "");
Expect(1, 66047, '\P{^Blk=	 Phaistos_Disc}', "");
Expect(0, 65999, '\p{Blk=	 Phaistos_Disc}', "");
Expect(1, 65999, '\p{^Blk=	 Phaistos_Disc}', "");
Expect(1, 65999, '\P{Blk=	 Phaistos_Disc}', "");
Expect(0, 65999, '\P{^Blk=	 Phaistos_Disc}', "");
Error('\p{Is_Block=- PHAISTOS Disc:=}');
Error('\P{Is_Block=- PHAISTOS Disc:=}');
Expect(1, 66047, '\p{Is_Block=phaistosdisc}', "");
Expect(0, 66047, '\p{^Is_Block=phaistosdisc}', "");
Expect(0, 66047, '\P{Is_Block=phaistosdisc}', "");
Expect(1, 66047, '\P{^Is_Block=phaistosdisc}', "");
Expect(0, 65999, '\p{Is_Block=phaistosdisc}', "");
Expect(1, 65999, '\p{^Is_Block=phaistosdisc}', "");
Expect(1, 65999, '\P{Is_Block=phaistosdisc}', "");
Expect(0, 65999, '\P{^Is_Block=phaistosdisc}', "");
Expect(1, 66047, '\p{Is_Block=-PHAISTOS_Disc}', "");
Expect(0, 66047, '\p{^Is_Block=-PHAISTOS_Disc}', "");
Expect(0, 66047, '\P{Is_Block=-PHAISTOS_Disc}', "");
Expect(1, 66047, '\P{^Is_Block=-PHAISTOS_Disc}', "");
Expect(0, 65999, '\p{Is_Block=-PHAISTOS_Disc}', "");
Expect(1, 65999, '\p{^Is_Block=-PHAISTOS_Disc}', "");
Expect(1, 65999, '\P{Is_Block=-PHAISTOS_Disc}', "");
Expect(0, 65999, '\P{^Is_Block=-PHAISTOS_Disc}', "");
Error('\p{Is_Blk=/a/_ Phaistos-disc}');
Error('\P{Is_Blk=/a/_ Phaistos-disc}');
Expect(1, 66047, '\p{Is_Blk=phaistosdisc}', "");
Expect(0, 66047, '\p{^Is_Blk=phaistosdisc}', "");
Expect(0, 66047, '\P{Is_Blk=phaistosdisc}', "");
Expect(1, 66047, '\P{^Is_Blk=phaistosdisc}', "");
Expect(0, 65999, '\p{Is_Blk=phaistosdisc}', "");
Expect(1, 65999, '\p{^Is_Blk=phaistosdisc}', "");
Expect(1, 65999, '\P{Is_Blk=phaistosdisc}', "");
Expect(0, 65999, '\P{^Is_Blk=phaistosdisc}', "");
Expect(1, 66047, '\p{Is_Blk= -Phaistos	disc}', "");
Expect(0, 66047, '\p{^Is_Blk= -Phaistos	disc}', "");
Expect(0, 66047, '\P{Is_Blk= -Phaistos	disc}', "");
Expect(1, 66047, '\P{^Is_Blk= -Phaistos	disc}', "");
Expect(0, 65999, '\p{Is_Blk= -Phaistos	disc}', "");
Expect(1, 65999, '\p{^Is_Blk= -Phaistos	disc}', "");
Expect(1, 65999, '\P{Is_Blk= -Phaistos	disc}', "");
Expect(0, 65999, '\P{^Is_Blk= -Phaistos	disc}', "");
Error('\p{Block= :=smallForm-Variants}');
Error('\P{Block= :=smallForm-Variants}');
Expect(1, 65135, '\p{Block:   smallformvariants}', "");
Expect(0, 65135, '\p{^Block:   smallformvariants}', "");
Expect(0, 65135, '\P{Block:   smallformvariants}', "");
Expect(1, 65135, '\P{^Block:   smallformvariants}', "");
Expect(0, 65103, '\p{Block:   smallformvariants}', "");
Expect(1, 65103, '\p{^Block:   smallformvariants}', "");
Expect(1, 65103, '\P{Block:   smallformvariants}', "");
Expect(0, 65103, '\P{^Block:   smallformvariants}', "");
Expect(1, 65135, '\p{Block=--SMALL_FORMVariants}', "");
Expect(0, 65135, '\p{^Block=--SMALL_FORMVariants}', "");
Expect(0, 65135, '\P{Block=--SMALL_FORMVariants}', "");
Expect(1, 65135, '\P{^Block=--SMALL_FORMVariants}', "");
Expect(0, 65103, '\p{Block=--SMALL_FORMVariants}', "");
Expect(1, 65103, '\p{^Block=--SMALL_FORMVariants}', "");
Expect(1, 65103, '\P{Block=--SMALL_FORMVariants}', "");
Expect(0, 65103, '\P{^Block=--SMALL_FORMVariants}', "");
Error('\p{Blk=	Small	Form Variants:=}');
Error('\P{Blk=	Small	Form Variants:=}');
Expect(1, 65135, '\p{Blk=smallformvariants}', "");
Expect(0, 65135, '\p{^Blk=smallformvariants}', "");
Expect(0, 65135, '\P{Blk=smallformvariants}', "");
Expect(1, 65135, '\P{^Blk=smallformvariants}', "");
Expect(0, 65103, '\p{Blk=smallformvariants}', "");
Expect(1, 65103, '\p{^Blk=smallformvariants}', "");
Expect(1, 65103, '\P{Blk=smallformvariants}', "");
Expect(0, 65103, '\P{^Blk=smallformvariants}', "");
Expect(1, 65135, '\p{Blk:    SMALLFormVARIANTS}', "");
Expect(0, 65135, '\p{^Blk:    SMALLFormVARIANTS}', "");
Expect(0, 65135, '\P{Blk:    SMALLFormVARIANTS}', "");
Expect(1, 65135, '\P{^Blk:    SMALLFormVARIANTS}', "");
Expect(0, 65103, '\p{Blk:    SMALLFormVARIANTS}', "");
Expect(1, 65103, '\p{^Blk:    SMALLFormVARIANTS}', "");
Expect(1, 65103, '\P{Blk:    SMALLFormVARIANTS}', "");
Expect(0, 65103, '\P{^Blk:    SMALLFormVARIANTS}', "");
Error('\p{Is_Block=/a/_-small	FormVariants}');
Error('\P{Is_Block=/a/_-small	FormVariants}');
Expect(1, 65135, '\p{Is_Block=smallformvariants}', "");
Expect(0, 65135, '\p{^Is_Block=smallformvariants}', "");
Expect(0, 65135, '\P{Is_Block=smallformvariants}', "");
Expect(1, 65135, '\P{^Is_Block=smallformvariants}', "");
Expect(0, 65103, '\p{Is_Block=smallformvariants}', "");
Expect(1, 65103, '\p{^Is_Block=smallformvariants}', "");
Expect(1, 65103, '\P{Is_Block=smallformvariants}', "");
Expect(0, 65103, '\P{^Is_Block=smallformvariants}', "");
Expect(1, 65135, '\p{Is_Block= -small	FORM	variants}', "");
Expect(0, 65135, '\p{^Is_Block= -small	FORM	variants}', "");
Expect(0, 65135, '\P{Is_Block= -small	FORM	variants}', "");
Expect(1, 65135, '\P{^Is_Block= -small	FORM	variants}', "");
Expect(0, 65103, '\p{Is_Block= -small	FORM	variants}', "");
Expect(1, 65103, '\p{^Is_Block= -small	FORM	variants}', "");
Expect(1, 65103, '\P{Is_Block= -small	FORM	variants}', "");
Expect(0, 65103, '\P{^Is_Block= -small	FORM	variants}', "");
Error('\p{Is_Blk=	/a/Small-FormVARIANTS}');
Error('\P{Is_Blk=	/a/Small-FormVARIANTS}');
Expect(1, 65135, '\p{Is_Blk=smallformvariants}', "");
Expect(0, 65135, '\p{^Is_Blk=smallformvariants}', "");
Expect(0, 65135, '\P{Is_Blk=smallformvariants}', "");
Expect(1, 65135, '\P{^Is_Blk=smallformvariants}', "");
Expect(0, 65103, '\p{Is_Blk=smallformvariants}', "");
Expect(1, 65103, '\p{^Is_Blk=smallformvariants}', "");
Expect(1, 65103, '\P{Is_Blk=smallformvariants}', "");
Expect(0, 65103, '\P{^Is_Blk=smallformvariants}', "");
Expect(1, 65135, '\p{Is_Blk=	_Small_form-Variants}', "");
Expect(0, 65135, '\p{^Is_Blk=	_Small_form-Variants}', "");
Expect(0, 65135, '\P{Is_Blk=	_Small_form-Variants}', "");
Expect(1, 65135, '\P{^Is_Blk=	_Small_form-Variants}', "");
Expect(0, 65103, '\p{Is_Blk=	_Small_form-Variants}', "");
Expect(1, 65103, '\p{^Is_Blk=	_Small_form-Variants}', "");
Expect(1, 65103, '\P{Is_Blk=	_Small_form-Variants}', "");
Expect(0, 65103, '\P{^Is_Blk=	_Small_form-Variants}', "");
Error('\p{Block=	:=EGYPTIAN hieroglyphs}');
Error('\P{Block=	:=EGYPTIAN hieroglyphs}');
Expect(1, 78895, '\p{Block:egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Block:egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Block:egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Block:egyptianhieroglyphs}', "");
Expect(0, 77823, '\p{Block:egyptianhieroglyphs}', "");
Expect(1, 77823, '\p{^Block:egyptianhieroglyphs}', "");
Expect(1, 77823, '\P{Block:egyptianhieroglyphs}', "");
Expect(0, 77823, '\P{^Block:egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{Block=-Egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Block=-Egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Block=-Egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Block=-Egyptianhieroglyphs}', "");
Expect(0, 77823, '\p{Block=-Egyptianhieroglyphs}', "");
Expect(1, 77823, '\p{^Block=-Egyptianhieroglyphs}', "");
Expect(1, 77823, '\P{Block=-Egyptianhieroglyphs}', "");
Expect(0, 77823, '\P{^Block=-Egyptianhieroglyphs}', "");
Error('\p{Blk=	-egyptian:=hieroglyphs}');
Error('\P{Blk=	-egyptian:=hieroglyphs}');
Expect(1, 78895, '\p{Blk=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Blk=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Blk=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Blk=egyptianhieroglyphs}', "");
Expect(0, 77823, '\p{Blk=egyptianhieroglyphs}', "");
Expect(1, 77823, '\p{^Blk=egyptianhieroglyphs}', "");
Expect(1, 77823, '\P{Blk=egyptianhieroglyphs}', "");
Expect(0, 77823, '\P{^Blk=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{Blk=- EgyptianHieroglyphs}', "");
Expect(0, 78895, '\p{^Blk=- EgyptianHieroglyphs}', "");
Expect(0, 78895, '\P{Blk=- EgyptianHieroglyphs}', "");
Expect(1, 78895, '\P{^Blk=- EgyptianHieroglyphs}', "");
Expect(0, 77823, '\p{Blk=- EgyptianHieroglyphs}', "");
Expect(1, 77823, '\p{^Blk=- EgyptianHieroglyphs}', "");
Expect(1, 77823, '\P{Blk=- EgyptianHieroglyphs}', "");
Expect(0, 77823, '\P{^Blk=- EgyptianHieroglyphs}', "");
Error('\p{Is_Block=-_Egyptian_Hieroglyphs:=}');
Error('\P{Is_Block=-_Egyptian_Hieroglyphs:=}');
Expect(1, 78895, '\p{Is_Block=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Is_Block=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Is_Block=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Is_Block=egyptianhieroglyphs}', "");
Expect(0, 77823, '\p{Is_Block=egyptianhieroglyphs}', "");
Expect(1, 77823, '\p{^Is_Block=egyptianhieroglyphs}', "");
Expect(1, 77823, '\P{Is_Block=egyptianhieroglyphs}', "");
Expect(0, 77823, '\P{^Is_Block=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{Is_Block= 	Egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Is_Block= 	Egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Is_Block= 	Egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Is_Block= 	Egyptianhieroglyphs}', "");
Expect(0, 77823, '\p{Is_Block= 	Egyptianhieroglyphs}', "");
Expect(1, 77823, '\p{^Is_Block= 	Egyptianhieroglyphs}', "");
Expect(1, 77823, '\P{Is_Block= 	Egyptianhieroglyphs}', "");
Expect(0, 77823, '\P{^Is_Block= 	Egyptianhieroglyphs}', "");
Error('\p{Is_Blk=-/a/Egyptian	HIEROGLYPHS}');
Error('\P{Is_Blk=-/a/Egyptian	HIEROGLYPHS}');
Expect(1, 78895, '\p{Is_Blk=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Is_Blk=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Is_Blk=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Is_Blk=egyptianhieroglyphs}', "");
Expect(0, 77823, '\p{Is_Blk=egyptianhieroglyphs}', "");
Expect(1, 77823, '\p{^Is_Blk=egyptianhieroglyphs}', "");
Expect(1, 77823, '\P{Is_Blk=egyptianhieroglyphs}', "");
Expect(0, 77823, '\P{^Is_Blk=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{Is_Blk:	_	Egyptian Hieroglyphs}', "");
Expect(0, 78895, '\p{^Is_Blk:	_	Egyptian Hieroglyphs}', "");
Expect(0, 78895, '\P{Is_Blk:	_	Egyptian Hieroglyphs}', "");
Expect(1, 78895, '\P{^Is_Blk:	_	Egyptian Hieroglyphs}', "");
Expect(0, 77823, '\p{Is_Blk:	_	Egyptian Hieroglyphs}', "");
Expect(1, 77823, '\p{^Is_Blk:	_	Egyptian Hieroglyphs}', "");
Expect(1, 77823, '\P{Is_Blk:	_	Egyptian Hieroglyphs}', "");
Expect(0, 77823, '\P{^Is_Blk:	_	Egyptian Hieroglyphs}', "");
Error('\p{Block=	-Latin-Extended:=D}');
Error('\P{Block=	-Latin-Extended:=D}');
Expect(1, 43007, '\p{Block=latinextendedd}', "");
Expect(0, 43007, '\p{^Block=latinextendedd}', "");
Expect(0, 43007, '\P{Block=latinextendedd}', "");
Expect(1, 43007, '\P{^Block=latinextendedd}', "");
Expect(0, 42783, '\p{Block=latinextendedd}', "");
Expect(1, 42783, '\p{^Block=latinextendedd}', "");
Expect(1, 42783, '\P{Block=latinextendedd}', "");
Expect(0, 42783, '\P{^Block=latinextendedd}', "");
Expect(1, 43007, '\p{Block=-	latinextended D}', "");
Expect(0, 43007, '\p{^Block=-	latinextended D}', "");
Expect(0, 43007, '\P{Block=-	latinextended D}', "");
Expect(1, 43007, '\P{^Block=-	latinextended D}', "");
Expect(0, 42783, '\p{Block=-	latinextended D}', "");
Expect(1, 42783, '\p{^Block=-	latinextended D}', "");
Expect(1, 42783, '\P{Block=-	latinextended D}', "");
Expect(0, 42783, '\P{^Block=-	latinextended D}', "");
Error('\p{Blk=-	Latin:=EXTENDEDD}');
Error('\P{Blk=-	Latin:=EXTENDEDD}');
Expect(1, 43007, '\p{Blk=latinextendedd}', "");
Expect(0, 43007, '\p{^Blk=latinextendedd}', "");
Expect(0, 43007, '\P{Blk=latinextendedd}', "");
Expect(1, 43007, '\P{^Blk=latinextendedd}', "");
Expect(0, 42783, '\p{Blk=latinextendedd}', "");
Expect(1, 42783, '\p{^Blk=latinextendedd}', "");
Expect(1, 42783, '\P{Blk=latinextendedd}', "");
Expect(0, 42783, '\P{^Blk=latinextendedd}', "");
Expect(1, 43007, '\p{Blk=		Latin_ExtendedD}', "");
Expect(0, 43007, '\p{^Blk=		Latin_ExtendedD}', "");
Expect(0, 43007, '\P{Blk=		Latin_ExtendedD}', "");
Expect(1, 43007, '\P{^Blk=		Latin_ExtendedD}', "");
Expect(0, 42783, '\p{Blk=		Latin_ExtendedD}', "");
Expect(1, 42783, '\p{^Blk=		Latin_ExtendedD}', "");
Expect(1, 42783, '\P{Blk=		Latin_ExtendedD}', "");
Expect(0, 42783, '\P{^Blk=		Latin_ExtendedD}', "");
Error('\p{Is_Block= :=LATIN	extended_d}');
Error('\P{Is_Block= :=LATIN	extended_d}');
Expect(1, 43007, '\p{Is_Block=latinextendedd}', "");
Expect(0, 43007, '\p{^Is_Block=latinextendedd}', "");
Expect(0, 43007, '\P{Is_Block=latinextendedd}', "");
Expect(1, 43007, '\P{^Is_Block=latinextendedd}', "");
Expect(0, 42783, '\p{Is_Block=latinextendedd}', "");
Expect(1, 42783, '\p{^Is_Block=latinextendedd}', "");
Expect(1, 42783, '\P{Is_Block=latinextendedd}', "");
Expect(0, 42783, '\P{^Is_Block=latinextendedd}', "");
Expect(1, 43007, '\p{Is_Block=-LATIN extended_D}', "");
Expect(0, 43007, '\p{^Is_Block=-LATIN extended_D}', "");
Expect(0, 43007, '\P{Is_Block=-LATIN extended_D}', "");
Expect(1, 43007, '\P{^Is_Block=-LATIN extended_D}', "");
Expect(0, 42783, '\p{Is_Block=-LATIN extended_D}', "");
Expect(1, 42783, '\p{^Is_Block=-LATIN extended_D}', "");
Expect(1, 42783, '\P{Is_Block=-LATIN extended_D}', "");
Expect(0, 42783, '\P{^Is_Block=-LATIN extended_D}', "");
Error('\p{Is_Blk= /a/LatinextendedD}');
Error('\P{Is_Blk= /a/LatinextendedD}');
Expect(1, 43007, '\p{Is_Blk=latinextendedd}', "");
Expect(0, 43007, '\p{^Is_Blk=latinextendedd}', "");
Expect(0, 43007, '\P{Is_Blk=latinextendedd}', "");
Expect(1, 43007, '\P{^Is_Blk=latinextendedd}', "");
Expect(0, 42783, '\p{Is_Blk=latinextendedd}', "");
Expect(1, 42783, '\p{^Is_Blk=latinextendedd}', "");
Expect(1, 42783, '\P{Is_Blk=latinextendedd}', "");
Expect(0, 42783, '\P{^Is_Blk=latinextendedd}', "");
Expect(1, 43007, '\p{Is_Blk=	Latin	EXTENDED-D}', "");
Expect(0, 43007, '\p{^Is_Blk=	Latin	EXTENDED-D}', "");
Expect(0, 43007, '\P{Is_Blk=	Latin	EXTENDED-D}', "");
Expect(1, 43007, '\P{^Is_Blk=	Latin	EXTENDED-D}', "");
Expect(0, 42783, '\p{Is_Blk=	Latin	EXTENDED-D}', "");
Expect(1, 42783, '\p{^Is_Blk=	Latin	EXTENDED-D}', "");
Expect(1, 42783, '\P{Is_Blk=	Latin	EXTENDED-D}', "");
Expect(0, 42783, '\P{^Is_Blk=	Latin	EXTENDED-D}', "");
Error('\p{Block=:=		ALPHABETIC-Presentation-forms}');
Error('\P{Block=:=		ALPHABETIC-Presentation-forms}');
Expect(1, 64335, '\p{Block=alphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^Block=alphabeticpresentationforms}', "");
Expect(0, 64335, '\P{Block=alphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^Block=alphabeticpresentationforms}', "");
Expect(0, 64255, '\p{Block=alphabeticpresentationforms}', "");
Expect(1, 64255, '\p{^Block=alphabeticpresentationforms}', "");
Expect(1, 64255, '\P{Block=alphabeticpresentationforms}', "");
Expect(0, 64255, '\P{^Block=alphabeticpresentationforms}', "");
Expect(1, 64335, '\p{Block= ALPHABETIC	Presentationforms}', "");
Expect(0, 64335, '\p{^Block= ALPHABETIC	Presentationforms}', "");
Expect(0, 64335, '\P{Block= ALPHABETIC	Presentationforms}', "");
Expect(1, 64335, '\P{^Block= ALPHABETIC	Presentationforms}', "");
Expect(0, 64255, '\p{Block= ALPHABETIC	Presentationforms}', "");
Expect(1, 64255, '\p{^Block= ALPHABETIC	Presentationforms}', "");
Expect(1, 64255, '\P{Block= ALPHABETIC	Presentationforms}', "");
Expect(0, 64255, '\P{^Block= ALPHABETIC	Presentationforms}', "");
Error('\p{Blk=_:=Alphabetic-PRESENTATION-FORMS}');
Error('\P{Blk=_:=Alphabetic-PRESENTATION-FORMS}');
Expect(1, 64335, '\p{Blk=alphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^Blk=alphabeticpresentationforms}', "");
Expect(0, 64335, '\P{Blk=alphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^Blk=alphabeticpresentationforms}', "");
Expect(0, 64255, '\p{Blk=alphabeticpresentationforms}', "");
Expect(1, 64255, '\p{^Blk=alphabeticpresentationforms}', "");
Expect(1, 64255, '\P{Blk=alphabeticpresentationforms}', "");
Expect(0, 64255, '\P{^Blk=alphabeticpresentationforms}', "");
Expect(1, 64335, '\p{Blk=	ALPHABETIC	Presentation-FORMS}', "");
Expect(0, 64335, '\p{^Blk=	ALPHABETIC	Presentation-FORMS}', "");
Expect(0, 64335, '\P{Blk=	ALPHABETIC	Presentation-FORMS}', "");
Expect(1, 64335, '\P{^Blk=	ALPHABETIC	Presentation-FORMS}', "");
Expect(0, 64255, '\p{Blk=	ALPHABETIC	Presentation-FORMS}', "");
Expect(1, 64255, '\p{^Blk=	ALPHABETIC	Presentation-FORMS}', "");
Expect(1, 64255, '\P{Blk=	ALPHABETIC	Presentation-FORMS}', "");
Expect(0, 64255, '\P{^Blk=	ALPHABETIC	Presentation-FORMS}', "");
Error('\p{Is_Block=- alphabetic_presentation/a/Forms}');
Error('\P{Is_Block=- alphabetic_presentation/a/Forms}');
Expect(1, 64335, '\p{Is_Block:alphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^Is_Block:alphabeticpresentationforms}', "");
Expect(0, 64335, '\P{Is_Block:alphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^Is_Block:alphabeticpresentationforms}', "");
Expect(0, 64255, '\p{Is_Block:alphabeticpresentationforms}', "");
Expect(1, 64255, '\p{^Is_Block:alphabeticpresentationforms}', "");
Expect(1, 64255, '\P{Is_Block:alphabeticpresentationforms}', "");
Expect(0, 64255, '\P{^Is_Block:alphabeticpresentationforms}', "");
Expect(1, 64335, '\p{Is_Block=_-ALPHABETIC_presentation	forms}', "");
Expect(0, 64335, '\p{^Is_Block=_-ALPHABETIC_presentation	forms}', "");
Expect(0, 64335, '\P{Is_Block=_-ALPHABETIC_presentation	forms}', "");
Expect(1, 64335, '\P{^Is_Block=_-ALPHABETIC_presentation	forms}', "");
Expect(0, 64255, '\p{Is_Block=_-ALPHABETIC_presentation	forms}', "");
Expect(1, 64255, '\p{^Is_Block=_-ALPHABETIC_presentation	forms}', "");
Expect(1, 64255, '\P{Is_Block=_-ALPHABETIC_presentation	forms}', "");
Expect(0, 64255, '\P{^Is_Block=_-ALPHABETIC_presentation	forms}', "");
Error('\p{Is_Blk=	ALPHABETIC-PresentationForms:=}');
Error('\P{Is_Blk=	ALPHABETIC-PresentationForms:=}');
Expect(1, 64335, '\p{Is_Blk=alphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^Is_Blk=alphabeticpresentationforms}', "");
Expect(0, 64335, '\P{Is_Blk=alphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^Is_Blk=alphabeticpresentationforms}', "");
Expect(0, 64255, '\p{Is_Blk=alphabeticpresentationforms}', "");
Expect(1, 64255, '\p{^Is_Blk=alphabeticpresentationforms}', "");
Expect(1, 64255, '\P{Is_Blk=alphabeticpresentationforms}', "");
Expect(0, 64255, '\P{^Is_Blk=alphabeticpresentationforms}', "");
Expect(1, 64335, '\p{Is_Blk=-	alphabeticPresentationFORMS}', "");
Expect(0, 64335, '\p{^Is_Blk=-	alphabeticPresentationFORMS}', "");
Expect(0, 64335, '\P{Is_Blk=-	alphabeticPresentationFORMS}', "");
Expect(1, 64335, '\P{^Is_Blk=-	alphabeticPresentationFORMS}', "");
Expect(0, 64255, '\p{Is_Blk=-	alphabeticPresentationFORMS}', "");
Expect(1, 64255, '\p{^Is_Blk=-	alphabeticPresentationFORMS}', "");
Expect(1, 64255, '\P{Is_Blk=-	alphabeticPresentationFORMS}', "");
Expect(0, 64255, '\P{^Is_Blk=-	alphabeticPresentationFORMS}', "");
Error('\p{Block=_:=Optical_character_Recognition}');
Error('\P{Block=_:=Optical_character_Recognition}');
Expect(1, 9311, '\p{Block=opticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^Block=opticalcharacterrecognition}', "");
Expect(0, 9311, '\P{Block=opticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^Block=opticalcharacterrecognition}', "");
Expect(0, 9279, '\p{Block=opticalcharacterrecognition}', "");
Expect(1, 9279, '\p{^Block=opticalcharacterrecognition}', "");
Expect(1, 9279, '\P{Block=opticalcharacterrecognition}', "");
Expect(0, 9279, '\P{^Block=opticalcharacterrecognition}', "");
Expect(1, 9311, '\p{Block=-Optical-character Recognition}', "");
Expect(0, 9311, '\p{^Block=-Optical-character Recognition}', "");
Expect(0, 9311, '\P{Block=-Optical-character Recognition}', "");
Expect(1, 9311, '\P{^Block=-Optical-character Recognition}', "");
Expect(0, 9279, '\p{Block=-Optical-character Recognition}', "");
Expect(1, 9279, '\p{^Block=-Optical-character Recognition}', "");
Expect(1, 9279, '\P{Block=-Optical-character Recognition}', "");
Expect(0, 9279, '\P{^Block=-Optical-character Recognition}', "");
Error('\p{Blk=-_OPTICAL:=CHARACTERrecognition}');
Error('\P{Blk=-_OPTICAL:=CHARACTERrecognition}');
Expect(1, 9311, '\p{Blk=opticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^Blk=opticalcharacterrecognition}', "");
Expect(0, 9311, '\P{Blk=opticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^Blk=opticalcharacterrecognition}', "");
Expect(0, 9279, '\p{Blk=opticalcharacterrecognition}', "");
Expect(1, 9279, '\p{^Blk=opticalcharacterrecognition}', "");
Expect(1, 9279, '\P{Blk=opticalcharacterrecognition}', "");
Expect(0, 9279, '\P{^Blk=opticalcharacterrecognition}', "");
Expect(1, 9311, '\p{Blk=	_OPTICAL-Character_Recognition}', "");
Expect(0, 9311, '\p{^Blk=	_OPTICAL-Character_Recognition}', "");
Expect(0, 9311, '\P{Blk=	_OPTICAL-Character_Recognition}', "");
Expect(1, 9311, '\P{^Blk=	_OPTICAL-Character_Recognition}', "");
Expect(0, 9279, '\p{Blk=	_OPTICAL-Character_Recognition}', "");
Expect(1, 9279, '\p{^Blk=	_OPTICAL-Character_Recognition}', "");
Expect(1, 9279, '\P{Blk=	_OPTICAL-Character_Recognition}', "");
Expect(0, 9279, '\P{^Blk=	_OPTICAL-Character_Recognition}', "");
Error('\p{Is_Block=_ OPTICAL:=Character RECOGNITION}');
Error('\P{Is_Block=_ OPTICAL:=Character RECOGNITION}');
Expect(1, 9311, '\p{Is_Block=opticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^Is_Block=opticalcharacterrecognition}', "");
Expect(0, 9311, '\P{Is_Block=opticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^Is_Block=opticalcharacterrecognition}', "");
Expect(0, 9279, '\p{Is_Block=opticalcharacterrecognition}', "");
Expect(1, 9279, '\p{^Is_Block=opticalcharacterrecognition}', "");
Expect(1, 9279, '\P{Is_Block=opticalcharacterrecognition}', "");
Expect(0, 9279, '\P{^Is_Block=opticalcharacterrecognition}', "");
Expect(1, 9311, '\p{Is_Block=  OPTICAL-Character_Recognition}', "");
Expect(0, 9311, '\p{^Is_Block=  OPTICAL-Character_Recognition}', "");
Expect(0, 9311, '\P{Is_Block=  OPTICAL-Character_Recognition}', "");
Expect(1, 9311, '\P{^Is_Block=  OPTICAL-Character_Recognition}', "");
Expect(0, 9279, '\p{Is_Block=  OPTICAL-Character_Recognition}', "");
Expect(1, 9279, '\p{^Is_Block=  OPTICAL-Character_Recognition}', "");
Expect(1, 9279, '\P{Is_Block=  OPTICAL-Character_Recognition}', "");
Expect(0, 9279, '\P{^Is_Block=  OPTICAL-Character_Recognition}', "");
Error('\p{Is_Blk=_Optical/a/Character recognition}');
Error('\P{Is_Blk=_Optical/a/Character recognition}');
Expect(1, 9311, '\p{Is_Blk=opticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^Is_Blk=opticalcharacterrecognition}', "");
Expect(0, 9311, '\P{Is_Blk=opticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^Is_Blk=opticalcharacterrecognition}', "");
Expect(0, 9279, '\p{Is_Blk=opticalcharacterrecognition}', "");
Expect(1, 9279, '\p{^Is_Blk=opticalcharacterrecognition}', "");
Expect(1, 9279, '\P{Is_Blk=opticalcharacterrecognition}', "");
Expect(0, 9279, '\P{^Is_Blk=opticalcharacterrecognition}', "");
Expect(1, 9311, '\p{Is_Blk= -OPTICAL_Character_recognition}', "");
Expect(0, 9311, '\p{^Is_Blk= -OPTICAL_Character_recognition}', "");
Expect(0, 9311, '\P{Is_Blk= -OPTICAL_Character_recognition}', "");
Expect(1, 9311, '\P{^Is_Blk= -OPTICAL_Character_recognition}', "");
Expect(0, 9279, '\p{Is_Blk= -OPTICAL_Character_recognition}', "");
Expect(1, 9279, '\p{^Is_Blk= -OPTICAL_Character_recognition}', "");
Expect(1, 9279, '\P{Is_Blk= -OPTICAL_Character_recognition}', "");
Expect(0, 9279, '\P{^Is_Blk= -OPTICAL_Character_recognition}', "");
Error('\p{Block= -cjkUnified:=Ideographs}');
Error('\P{Block= -cjkUnified:=Ideographs}');
Expect(1, 40959, '\p{Block=cjkunifiedideographs}', "");
Expect(0, 40959, '\p{^Block=cjkunifiedideographs}', "");
Expect(0, 40959, '\P{Block=cjkunifiedideographs}', "");
Expect(1, 40959, '\P{^Block=cjkunifiedideographs}', "");
Expect(0, 19967, '\p{Block=cjkunifiedideographs}', "");
Expect(1, 19967, '\p{^Block=cjkunifiedideographs}', "");
Expect(1, 19967, '\P{Block=cjkunifiedideographs}', "");
Expect(0, 19967, '\P{^Block=cjkunifiedideographs}', "");
Expect(1, 40959, '\p{Block:  -cjk Unified_ideographs}', "");
Expect(0, 40959, '\p{^Block:  -cjk Unified_ideographs}', "");
Expect(0, 40959, '\P{Block:  -cjk Unified_ideographs}', "");
Expect(1, 40959, '\P{^Block:  -cjk Unified_ideographs}', "");
Expect(0, 19967, '\p{Block:  -cjk Unified_ideographs}', "");
Expect(1, 19967, '\p{^Block:  -cjk Unified_ideographs}', "");
Expect(1, 19967, '\P{Block:  -cjk Unified_ideographs}', "");
Expect(0, 19967, '\P{^Block:  -cjk Unified_ideographs}', "");
Error('\p{Blk= :=CJK_Unified	ideographs}');
Error('\P{Blk= :=CJK_Unified	ideographs}');
Expect(1, 40959, '\p{Blk=cjkunifiedideographs}', "");
Expect(0, 40959, '\p{^Blk=cjkunifiedideographs}', "");
Expect(0, 40959, '\P{Blk=cjkunifiedideographs}', "");
Expect(1, 40959, '\P{^Blk=cjkunifiedideographs}', "");
Expect(0, 19967, '\p{Blk=cjkunifiedideographs}', "");
Expect(1, 19967, '\p{^Blk=cjkunifiedideographs}', "");
Expect(1, 19967, '\P{Blk=cjkunifiedideographs}', "");
Expect(0, 19967, '\P{^Blk=cjkunifiedideographs}', "");
Expect(1, 40959, '\p{Blk= cjk_UNIFIED	IDEOGRAPHS}', "");
Expect(0, 40959, '\p{^Blk= cjk_UNIFIED	IDEOGRAPHS}', "");
Expect(0, 40959, '\P{Blk= cjk_UNIFIED	IDEOGRAPHS}', "");
Expect(1, 40959, '\P{^Blk= cjk_UNIFIED	IDEOGRAPHS}', "");
Expect(0, 19967, '\p{Blk= cjk_UNIFIED	IDEOGRAPHS}', "");
Expect(1, 19967, '\p{^Blk= cjk_UNIFIED	IDEOGRAPHS}', "");
Expect(1, 19967, '\P{Blk= cjk_UNIFIED	IDEOGRAPHS}', "");
Expect(0, 19967, '\P{^Blk= cjk_UNIFIED	IDEOGRAPHS}', "");
Error('\p{Is_Block=-/a/CJK	UNIFIED_Ideographs}');
Error('\P{Is_Block=-/a/CJK	UNIFIED_Ideographs}');
Expect(1, 40959, '\p{Is_Block=cjkunifiedideographs}', "");
Expect(0, 40959, '\p{^Is_Block=cjkunifiedideographs}', "");
Expect(0, 40959, '\P{Is_Block=cjkunifiedideographs}', "");
Expect(1, 40959, '\P{^Is_Block=cjkunifiedideographs}', "");
Expect(0, 19967, '\p{Is_Block=cjkunifiedideographs}', "");
Expect(1, 19967, '\p{^Is_Block=cjkunifiedideographs}', "");
Expect(1, 19967, '\P{Is_Block=cjkunifiedideographs}', "");
Expect(0, 19967, '\P{^Is_Block=cjkunifiedideographs}', "");
Expect(1, 40959, '\p{Is_Block: 	CJK-UNIFIED	IDEOGRAPHS}', "");
Expect(0, 40959, '\p{^Is_Block: 	CJK-UNIFIED	IDEOGRAPHS}', "");
Expect(0, 40959, '\P{Is_Block: 	CJK-UNIFIED	IDEOGRAPHS}', "");
Expect(1, 40959, '\P{^Is_Block: 	CJK-UNIFIED	IDEOGRAPHS}', "");
Expect(0, 19967, '\p{Is_Block: 	CJK-UNIFIED	IDEOGRAPHS}', "");
Expect(1, 19967, '\p{^Is_Block: 	CJK-UNIFIED	IDEOGRAPHS}', "");
Expect(1, 19967, '\P{Is_Block: 	CJK-UNIFIED	IDEOGRAPHS}', "");
Expect(0, 19967, '\P{^Is_Block: 	CJK-UNIFIED	IDEOGRAPHS}', "");
Error('\p{Is_Blk:	 -CJK:=unified_Ideographs}');
Error('\P{Is_Blk:	 -CJK:=unified_Ideographs}');
Expect(1, 40959, '\p{Is_Blk=cjkunifiedideographs}', "");
Expect(0, 40959, '\p{^Is_Blk=cjkunifiedideographs}', "");
Expect(0, 40959, '\P{Is_Blk=cjkunifiedideographs}', "");
Expect(1, 40959, '\P{^Is_Blk=cjkunifiedideographs}', "");
Expect(0, 19967, '\p{Is_Blk=cjkunifiedideographs}', "");
Expect(1, 19967, '\p{^Is_Blk=cjkunifiedideographs}', "");
Expect(1, 19967, '\P{Is_Blk=cjkunifiedideographs}', "");
Expect(0, 19967, '\P{^Is_Blk=cjkunifiedideographs}', "");
Expect(1, 40959, '\p{Is_Blk=-cjk-unified_Ideographs}', "");
Expect(0, 40959, '\p{^Is_Blk=-cjk-unified_Ideographs}', "");
Expect(0, 40959, '\P{Is_Blk=-cjk-unified_Ideographs}', "");
Expect(1, 40959, '\P{^Is_Blk=-cjk-unified_Ideographs}', "");
Expect(0, 19967, '\p{Is_Blk=-cjk-unified_Ideographs}', "");
Expect(1, 19967, '\p{^Is_Blk=-cjk-unified_Ideographs}', "");
Expect(1, 19967, '\P{Is_Blk=-cjk-unified_Ideographs}', "");
Expect(0, 19967, '\P{^Is_Blk=-cjk-unified_Ideographs}', "");
Error('\p{Block=:=_ ancient	symbols}');
Error('\P{Block=:=_ ancient	symbols}');
Expect(1, 65999, '\p{Block=ancientsymbols}', "");
Expect(0, 65999, '\p{^Block=ancientsymbols}', "");
Expect(0, 65999, '\P{Block=ancientsymbols}', "");
Expect(1, 65999, '\P{^Block=ancientsymbols}', "");
Expect(0, 65935, '\p{Block=ancientsymbols}', "");
Expect(1, 65935, '\p{^Block=ancientsymbols}', "");
Expect(1, 65935, '\P{Block=ancientsymbols}', "");
Expect(0, 65935, '\P{^Block=ancientsymbols}', "");
Expect(1, 65999, '\p{Block=	Ancient SYMBOLS}', "");
Expect(0, 65999, '\p{^Block=	Ancient SYMBOLS}', "");
Expect(0, 65999, '\P{Block=	Ancient SYMBOLS}', "");
Expect(1, 65999, '\P{^Block=	Ancient SYMBOLS}', "");
Expect(0, 65935, '\p{Block=	Ancient SYMBOLS}', "");
Expect(1, 65935, '\p{^Block=	Ancient SYMBOLS}', "");
Expect(1, 65935, '\P{Block=	Ancient SYMBOLS}', "");
Expect(0, 65935, '\P{^Block=	Ancient SYMBOLS}', "");
Error('\p{Blk=-ANCIENT/a/SYMBOLS}');
Error('\P{Blk=-ANCIENT/a/SYMBOLS}');
Expect(1, 65999, '\p{Blk=ancientsymbols}', "");
Expect(0, 65999, '\p{^Blk=ancientsymbols}', "");
Expect(0, 65999, '\P{Blk=ancientsymbols}', "");
Expect(1, 65999, '\P{^Blk=ancientsymbols}', "");
Expect(0, 65935, '\p{Blk=ancientsymbols}', "");
Expect(1, 65935, '\p{^Blk=ancientsymbols}', "");
Expect(1, 65935, '\P{Blk=ancientsymbols}', "");
Expect(0, 65935, '\P{^Blk=ancientsymbols}', "");
Expect(1, 65999, '\p{Blk:   _Ancient_symbols}', "");
Expect(0, 65999, '\p{^Blk:   _Ancient_symbols}', "");
Expect(0, 65999, '\P{Blk:   _Ancient_symbols}', "");
Expect(1, 65999, '\P{^Blk:   _Ancient_symbols}', "");
Expect(0, 65935, '\p{Blk:   _Ancient_symbols}', "");
Expect(1, 65935, '\p{^Blk:   _Ancient_symbols}', "");
Expect(1, 65935, '\P{Blk:   _Ancient_symbols}', "");
Expect(0, 65935, '\P{^Blk:   _Ancient_symbols}', "");
Error('\p{Is_Block= _Ancient_SYMBOLS/a/}');
Error('\P{Is_Block= _Ancient_SYMBOLS/a/}');
Expect(1, 65999, '\p{Is_Block=ancientsymbols}', "");
Expect(0, 65999, '\p{^Is_Block=ancientsymbols}', "");
Expect(0, 65999, '\P{Is_Block=ancientsymbols}', "");
Expect(1, 65999, '\P{^Is_Block=ancientsymbols}', "");
Expect(0, 65935, '\p{Is_Block=ancientsymbols}', "");
Expect(1, 65935, '\p{^Is_Block=ancientsymbols}', "");
Expect(1, 65935, '\P{Is_Block=ancientsymbols}', "");
Expect(0, 65935, '\P{^Is_Block=ancientsymbols}', "");
Expect(1, 65999, '\p{Is_Block=_Ancient symbols}', "");
Expect(0, 65999, '\p{^Is_Block=_Ancient symbols}', "");
Expect(0, 65999, '\P{Is_Block=_Ancient symbols}', "");
Expect(1, 65999, '\P{^Is_Block=_Ancient symbols}', "");
Expect(0, 65935, '\p{Is_Block=_Ancient symbols}', "");
Expect(1, 65935, '\p{^Is_Block=_Ancient symbols}', "");
Expect(1, 65935, '\P{Is_Block=_Ancient symbols}', "");
Expect(0, 65935, '\P{^Is_Block=_Ancient symbols}', "");
Error('\p{Is_Blk=-	Ancient:=Symbols}');
Error('\P{Is_Blk=-	Ancient:=Symbols}');
Expect(1, 65999, '\p{Is_Blk=ancientsymbols}', "");
Expect(0, 65999, '\p{^Is_Blk=ancientsymbols}', "");
Expect(0, 65999, '\P{Is_Blk=ancientsymbols}', "");
Expect(1, 65999, '\P{^Is_Blk=ancientsymbols}', "");
Expect(0, 65935, '\p{Is_Blk=ancientsymbols}', "");
Expect(1, 65935, '\p{^Is_Blk=ancientsymbols}', "");
Expect(1, 65935, '\P{Is_Blk=ancientsymbols}', "");
Expect(0, 65935, '\P{^Is_Blk=ancientsymbols}', "");
Expect(1, 65999, '\p{Is_Blk=_ancient-Symbols}', "");
Expect(0, 65999, '\p{^Is_Blk=_ancient-Symbols}', "");
Expect(0, 65999, '\P{Is_Blk=_ancient-Symbols}', "");
Expect(1, 65999, '\P{^Is_Blk=_ancient-Symbols}', "");
Expect(0, 65935, '\p{Is_Blk=_ancient-Symbols}', "");
Expect(1, 65935, '\p{^Is_Blk=_ancient-Symbols}', "");
Expect(1, 65935, '\P{Is_Blk=_ancient-Symbols}', "");
Expect(0, 65935, '\P{^Is_Blk=_ancient-Symbols}', "");
Error('\p{Block=	Gothic:=}');
Error('\P{Block=	Gothic:=}');
Expect(1, 66383, '\p{Block:	gothic}', "");
Expect(0, 66383, '\p{^Block:	gothic}', "");
Expect(0, 66383, '\P{Block:	gothic}', "");
Expect(1, 66383, '\P{^Block:	gothic}', "");
Expect(0, 66351, '\p{Block:	gothic}', "");
Expect(1, 66351, '\p{^Block:	gothic}', "");
Expect(1, 66351, '\P{Block:	gothic}', "");
Expect(0, 66351, '\P{^Block:	gothic}', "");
Expect(1, 66383, '\p{Block=_Gothic}', "");
Expect(0, 66383, '\p{^Block=_Gothic}', "");
Expect(0, 66383, '\P{Block=_Gothic}', "");
Expect(1, 66383, '\P{^Block=_Gothic}', "");
Expect(0, 66351, '\p{Block=_Gothic}', "");
Expect(1, 66351, '\p{^Block=_Gothic}', "");
Expect(1, 66351, '\P{Block=_Gothic}', "");
Expect(0, 66351, '\P{^Block=_Gothic}', "");
Error('\p{Blk=		Gothic/a/}');
Error('\P{Blk=		Gothic/a/}');
Expect(1, 66383, '\p{Blk=gothic}', "");
Expect(0, 66383, '\p{^Blk=gothic}', "");
Expect(0, 66383, '\P{Blk=gothic}', "");
Expect(1, 66383, '\P{^Blk=gothic}', "");
Expect(0, 66351, '\p{Blk=gothic}', "");
Expect(1, 66351, '\p{^Blk=gothic}', "");
Expect(1, 66351, '\P{Blk=gothic}', "");
Expect(0, 66351, '\P{^Blk=gothic}', "");
Expect(1, 66383, '\p{Blk=		GOTHIC}', "");
Expect(0, 66383, '\p{^Blk=		GOTHIC}', "");
Expect(0, 66383, '\P{Blk=		GOTHIC}', "");
Expect(1, 66383, '\P{^Blk=		GOTHIC}', "");
Expect(0, 66351, '\p{Blk=		GOTHIC}', "");
Expect(1, 66351, '\p{^Blk=		GOTHIC}', "");
Expect(1, 66351, '\P{Blk=		GOTHIC}', "");
Expect(0, 66351, '\P{^Blk=		GOTHIC}', "");
Error('\p{Is_Block=_/a/gothic}');
Error('\P{Is_Block=_/a/gothic}');
Expect(1, 66383, '\p{Is_Block=gothic}', "");
Expect(0, 66383, '\p{^Is_Block=gothic}', "");
Expect(0, 66383, '\P{Is_Block=gothic}', "");
Expect(1, 66383, '\P{^Is_Block=gothic}', "");
Expect(0, 66351, '\p{Is_Block=gothic}', "");
Expect(1, 66351, '\p{^Is_Block=gothic}', "");
Expect(1, 66351, '\P{Is_Block=gothic}', "");
Expect(0, 66351, '\P{^Is_Block=gothic}', "");
Expect(1, 66383, '\p{Is_Block=	-Gothic}', "");
Expect(0, 66383, '\p{^Is_Block=	-Gothic}', "");
Expect(0, 66383, '\P{Is_Block=	-Gothic}', "");
Expect(1, 66383, '\P{^Is_Block=	-Gothic}', "");
Expect(0, 66351, '\p{Is_Block=	-Gothic}', "");
Expect(1, 66351, '\p{^Is_Block=	-Gothic}', "");
Expect(1, 66351, '\P{Is_Block=	-Gothic}', "");
Expect(0, 66351, '\P{^Is_Block=	-Gothic}', "");
Error('\p{Is_Blk=/a/Gothic}');
Error('\P{Is_Blk=/a/Gothic}');
Expect(1, 66383, '\p{Is_Blk=gothic}', "");
Expect(0, 66383, '\p{^Is_Blk=gothic}', "");
Expect(0, 66383, '\P{Is_Blk=gothic}', "");
Expect(1, 66383, '\P{^Is_Blk=gothic}', "");
Expect(0, 66351, '\p{Is_Blk=gothic}', "");
Expect(1, 66351, '\p{^Is_Blk=gothic}', "");
Expect(1, 66351, '\P{Is_Blk=gothic}', "");
Expect(0, 66351, '\P{^Is_Blk=gothic}', "");
Expect(1, 66383, '\p{Is_Blk=_	Gothic}', "");
Expect(0, 66383, '\p{^Is_Blk=_	Gothic}', "");
Expect(0, 66383, '\P{Is_Blk=_	Gothic}', "");
Expect(1, 66383, '\P{^Is_Blk=_	Gothic}', "");
Expect(0, 66351, '\p{Is_Blk=_	Gothic}', "");
Expect(1, 66351, '\p{^Is_Blk=_	Gothic}', "");
Expect(1, 66351, '\P{Is_Blk=_	Gothic}', "");
Expect(0, 66351, '\P{^Is_Blk=_	Gothic}', "");
Error('\p{Block=	:=ETHIOPIC}');
Error('\P{Block=	:=ETHIOPIC}');
Expect(1, 4991, '\p{Block=ethiopic}', "");
Expect(0, 4991, '\p{^Block=ethiopic}', "");
Expect(0, 4991, '\P{Block=ethiopic}', "");
Expect(1, 4991, '\P{^Block=ethiopic}', "");
Expect(0, 4607, '\p{Block=ethiopic}', "");
Expect(1, 4607, '\p{^Block=ethiopic}', "");
Expect(1, 4607, '\P{Block=ethiopic}', "");
Expect(0, 4607, '\P{^Block=ethiopic}', "");
Expect(1, 4991, '\p{Block=	 Ethiopic}', "");
Expect(0, 4991, '\p{^Block=	 Ethiopic}', "");
Expect(0, 4991, '\P{Block=	 Ethiopic}', "");
Expect(1, 4991, '\P{^Block=	 Ethiopic}', "");
Expect(0, 4607, '\p{Block=	 Ethiopic}', "");
Expect(1, 4607, '\p{^Block=	 Ethiopic}', "");
Expect(1, 4607, '\P{Block=	 Ethiopic}', "");
Expect(0, 4607, '\P{^Block=	 Ethiopic}', "");
Error('\p{Blk=-_ethiopic/a/}');
Error('\P{Blk=-_ethiopic/a/}');
Expect(1, 4991, '\p{Blk=ethiopic}', "");
Expect(0, 4991, '\p{^Blk=ethiopic}', "");
Expect(0, 4991, '\P{Blk=ethiopic}', "");
Expect(1, 4991, '\P{^Blk=ethiopic}', "");
Expect(0, 4607, '\p{Blk=ethiopic}', "");
Expect(1, 4607, '\p{^Blk=ethiopic}', "");
Expect(1, 4607, '\P{Blk=ethiopic}', "");
Expect(0, 4607, '\P{^Blk=ethiopic}', "");
Expect(1, 4991, '\p{Blk=	ethiopic}', "");
Expect(0, 4991, '\p{^Blk=	ethiopic}', "");
Expect(0, 4991, '\P{Blk=	ethiopic}', "");
Expect(1, 4991, '\P{^Blk=	ethiopic}', "");
Expect(0, 4607, '\p{Blk=	ethiopic}', "");
Expect(1, 4607, '\p{^Blk=	ethiopic}', "");
Expect(1, 4607, '\P{Blk=	ethiopic}', "");
Expect(0, 4607, '\P{^Blk=	ethiopic}', "");
Error('\p{Is_Block=-/a/Ethiopic}');
Error('\P{Is_Block=-/a/Ethiopic}');
Expect(1, 4991, '\p{Is_Block:   ethiopic}', "");
Expect(0, 4991, '\p{^Is_Block:   ethiopic}', "");
Expect(0, 4991, '\P{Is_Block:   ethiopic}', "");
Expect(1, 4991, '\P{^Is_Block:   ethiopic}', "");
Expect(0, 4607, '\p{Is_Block:   ethiopic}', "");
Expect(1, 4607, '\p{^Is_Block:   ethiopic}', "");
Expect(1, 4607, '\P{Is_Block:   ethiopic}', "");
Expect(0, 4607, '\P{^Is_Block:   ethiopic}', "");
Expect(1, 4991, '\p{Is_Block=	-ETHIOPIC}', "");
Expect(0, 4991, '\p{^Is_Block=	-ETHIOPIC}', "");
Expect(0, 4991, '\P{Is_Block=	-ETHIOPIC}', "");
Expect(1, 4991, '\P{^Is_Block=	-ETHIOPIC}', "");
Expect(0, 4607, '\p{Is_Block=	-ETHIOPIC}', "");
Expect(1, 4607, '\p{^Is_Block=	-ETHIOPIC}', "");
Expect(1, 4607, '\P{Is_Block=	-ETHIOPIC}', "");
Expect(0, 4607, '\P{^Is_Block=	-ETHIOPIC}', "");
Error('\p{Is_Blk=:=_-Ethiopic}');
Error('\P{Is_Blk=:=_-Ethiopic}');
Expect(1, 4991, '\p{Is_Blk=ethiopic}', "");
Expect(0, 4991, '\p{^Is_Blk=ethiopic}', "");
Expect(0, 4991, '\P{Is_Blk=ethiopic}', "");
Expect(1, 4991, '\P{^Is_Blk=ethiopic}', "");
Expect(0, 4607, '\p{Is_Blk=ethiopic}', "");
Expect(1, 4607, '\p{^Is_Blk=ethiopic}', "");
Expect(1, 4607, '\P{Is_Blk=ethiopic}', "");
Expect(0, 4607, '\P{^Is_Blk=ethiopic}', "");
Expect(1, 4991, '\p{Is_Blk:	__ethiopic}', "");
Expect(0, 4991, '\p{^Is_Blk:	__ethiopic}', "");
Expect(0, 4991, '\P{Is_Blk:	__ethiopic}', "");
Expect(1, 4991, '\P{^Is_Blk:	__ethiopic}', "");
Expect(0, 4607, '\p{Is_Blk:	__ethiopic}', "");
Expect(1, 4607, '\p{^Is_Blk:	__ethiopic}', "");
Expect(1, 4607, '\P{Is_Blk:	__ethiopic}', "");
Expect(0, 4607, '\P{^Is_Blk:	__ethiopic}', "");
Error('\p{Block=	_Buginese:=}');
Error('\P{Block=	_Buginese:=}');
Expect(1, 6687, '\p{Block=buginese}', "");
Expect(0, 6687, '\p{^Block=buginese}', "");
Expect(0, 6687, '\P{Block=buginese}', "");
Expect(1, 6687, '\P{^Block=buginese}', "");
Expect(0, 6655, '\p{Block=buginese}', "");
Expect(1, 6655, '\p{^Block=buginese}', "");
Expect(1, 6655, '\P{Block=buginese}', "");
Expect(0, 6655, '\P{^Block=buginese}', "");
Expect(1, 6687, '\p{Block=__BUGINESE}', "");
Expect(0, 6687, '\p{^Block=__BUGINESE}', "");
Expect(0, 6687, '\P{Block=__BUGINESE}', "");
Expect(1, 6687, '\P{^Block=__BUGINESE}', "");
Expect(0, 6655, '\p{Block=__BUGINESE}', "");
Expect(1, 6655, '\p{^Block=__BUGINESE}', "");
Expect(1, 6655, '\P{Block=__BUGINESE}', "");
Expect(0, 6655, '\P{^Block=__BUGINESE}', "");
Error('\p{Blk=-/a/BUGINESE}');
Error('\P{Blk=-/a/BUGINESE}');
Expect(1, 6687, '\p{Blk=buginese}', "");
Expect(0, 6687, '\p{^Blk=buginese}', "");
Expect(0, 6687, '\P{Blk=buginese}', "");
Expect(1, 6687, '\P{^Blk=buginese}', "");
Expect(0, 6655, '\p{Blk=buginese}', "");
Expect(1, 6655, '\p{^Blk=buginese}', "");
Expect(1, 6655, '\P{Blk=buginese}', "");
Expect(0, 6655, '\P{^Blk=buginese}', "");
Expect(1, 6687, '\p{Blk= _BUGINESE}', "");
Expect(0, 6687, '\p{^Blk= _BUGINESE}', "");
Expect(0, 6687, '\P{Blk= _BUGINESE}', "");
Expect(1, 6687, '\P{^Blk= _BUGINESE}', "");
Expect(0, 6655, '\p{Blk= _BUGINESE}', "");
Expect(1, 6655, '\p{^Blk= _BUGINESE}', "");
Expect(1, 6655, '\P{Blk= _BUGINESE}', "");
Expect(0, 6655, '\P{^Blk= _BUGINESE}', "");
Error('\p{Is_Block=		buginese/a/}');
Error('\P{Is_Block=		buginese/a/}');
Expect(1, 6687, '\p{Is_Block:buginese}', "");
Expect(0, 6687, '\p{^Is_Block:buginese}', "");
Expect(0, 6687, '\P{Is_Block:buginese}', "");
Expect(1, 6687, '\P{^Is_Block:buginese}', "");
Expect(0, 6655, '\p{Is_Block:buginese}', "");
Expect(1, 6655, '\p{^Is_Block:buginese}', "");
Expect(1, 6655, '\P{Is_Block:buginese}', "");
Expect(0, 6655, '\P{^Is_Block:buginese}', "");
Expect(1, 6687, '\p{Is_Block=_Buginese}', "");
Expect(0, 6687, '\p{^Is_Block=_Buginese}', "");
Expect(0, 6687, '\P{Is_Block=_Buginese}', "");
Expect(1, 6687, '\P{^Is_Block=_Buginese}', "");
Expect(0, 6655, '\p{Is_Block=_Buginese}', "");
Expect(1, 6655, '\p{^Is_Block=_Buginese}', "");
Expect(1, 6655, '\P{Is_Block=_Buginese}', "");
Expect(0, 6655, '\P{^Is_Block=_Buginese}', "");
Error('\p{Is_Blk=-_BUGINESE:=}');
Error('\P{Is_Blk=-_BUGINESE:=}');
Expect(1, 6687, '\p{Is_Blk=buginese}', "");
Expect(0, 6687, '\p{^Is_Blk=buginese}', "");
Expect(0, 6687, '\P{Is_Blk=buginese}', "");
Expect(1, 6687, '\P{^Is_Blk=buginese}', "");
Expect(0, 6655, '\p{Is_Blk=buginese}', "");
Expect(1, 6655, '\p{^Is_Blk=buginese}', "");
Expect(1, 6655, '\P{Is_Blk=buginese}', "");
Expect(0, 6655, '\P{^Is_Blk=buginese}', "");
Expect(1, 6687, '\p{Is_Blk=  buginese}', "");
Expect(0, 6687, '\p{^Is_Blk=  buginese}', "");
Expect(0, 6687, '\P{Is_Blk=  buginese}', "");
Expect(1, 6687, '\P{^Is_Blk=  buginese}', "");
Expect(0, 6655, '\p{Is_Blk=  buginese}', "");
Expect(1, 6655, '\p{^Is_Blk=  buginese}', "");
Expect(1, 6655, '\P{Is_Blk=  buginese}', "");
Expect(0, 6655, '\P{^Is_Blk=  buginese}', "");
Error('\p{Block=_:=Mathematical	Alphanumeric	Symbols}');
Error('\P{Block=_:=Mathematical	Alphanumeric	Symbols}');
Expect(1, 120831, '\p{Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^Block=mathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\p{Block=mathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\p{^Block=mathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\P{Block=mathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\P{^Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{Block= mathematicalALPHANUMERIC-Symbols}', "");
Expect(0, 120831, '\p{^Block= mathematicalALPHANUMERIC-Symbols}', "");
Expect(0, 120831, '\P{Block= mathematicalALPHANUMERIC-Symbols}', "");
Expect(1, 120831, '\P{^Block= mathematicalALPHANUMERIC-Symbols}', "");
Expect(0, 119807, '\p{Block= mathematicalALPHANUMERIC-Symbols}', "");
Expect(1, 119807, '\p{^Block= mathematicalALPHANUMERIC-Symbols}', "");
Expect(1, 119807, '\P{Block= mathematicalALPHANUMERIC-Symbols}', "");
Expect(0, 119807, '\P{^Block= mathematicalALPHANUMERIC-Symbols}', "");
Error('\p{Blk:	_:=MathematicalAlphanumeric	symbols}');
Error('\P{Blk:	_:=MathematicalAlphanumeric	symbols}');
Expect(1, 120831, '\p{Blk=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^Blk=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{Blk=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^Blk=mathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\p{Blk=mathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\p{^Blk=mathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\P{Blk=mathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\P{^Blk=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{Blk=  Mathematical-alphanumeric	SYMBOLS}', "");
Expect(0, 120831, '\p{^Blk=  Mathematical-alphanumeric	SYMBOLS}', "");
Expect(0, 120831, '\P{Blk=  Mathematical-alphanumeric	SYMBOLS}', "");
Expect(1, 120831, '\P{^Blk=  Mathematical-alphanumeric	SYMBOLS}', "");
Expect(0, 119807, '\p{Blk=  Mathematical-alphanumeric	SYMBOLS}', "");
Expect(1, 119807, '\p{^Blk=  Mathematical-alphanumeric	SYMBOLS}', "");
Expect(1, 119807, '\P{Blk=  Mathematical-alphanumeric	SYMBOLS}', "");
Expect(0, 119807, '\P{^Blk=  Mathematical-alphanumeric	SYMBOLS}', "");
Error('\p{Is_Block= mathematical Alphanumeric:=SYMBOLS}');
Error('\P{Is_Block= mathematical Alphanumeric:=SYMBOLS}');
Expect(1, 120831, '\p{Is_Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^Is_Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{Is_Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^Is_Block=mathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\p{Is_Block=mathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\p{^Is_Block=mathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\P{Is_Block=mathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\P{^Is_Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{Is_Block= _Mathematical_ALPHANUMERIC_symbols}', "");
Expect(0, 120831, '\p{^Is_Block= _Mathematical_ALPHANUMERIC_symbols}', "");
Expect(0, 120831, '\P{Is_Block= _Mathematical_ALPHANUMERIC_symbols}', "");
Expect(1, 120831, '\P{^Is_Block= _Mathematical_ALPHANUMERIC_symbols}', "");
Expect(0, 119807, '\p{Is_Block= _Mathematical_ALPHANUMERIC_symbols}', "");
Expect(1, 119807, '\p{^Is_Block= _Mathematical_ALPHANUMERIC_symbols}', "");
Expect(1, 119807, '\P{Is_Block= _Mathematical_ALPHANUMERIC_symbols}', "");
Expect(0, 119807, '\P{^Is_Block= _Mathematical_ALPHANUMERIC_symbols}', "");
Error('\p{Is_Blk=Mathematical/a/AlphanumericSYMBOLS}');
Error('\P{Is_Blk=Mathematical/a/AlphanumericSYMBOLS}');
Expect(1, 120831, '\p{Is_Blk=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^Is_Blk=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{Is_Blk=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^Is_Blk=mathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\p{Is_Blk=mathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\p{^Is_Blk=mathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\P{Is_Blk=mathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\P{^Is_Blk=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{Is_Blk=	 MATHEMATICAL_Alphanumeric_SYMBOLS}', "");
Expect(0, 120831, '\p{^Is_Blk=	 MATHEMATICAL_Alphanumeric_SYMBOLS}', "");
Expect(0, 120831, '\P{Is_Blk=	 MATHEMATICAL_Alphanumeric_SYMBOLS}', "");
Expect(1, 120831, '\P{^Is_Blk=	 MATHEMATICAL_Alphanumeric_SYMBOLS}', "");
Expect(0, 119807, '\p{Is_Blk=	 MATHEMATICAL_Alphanumeric_SYMBOLS}', "");
Expect(1, 119807, '\p{^Is_Blk=	 MATHEMATICAL_Alphanumeric_SYMBOLS}', "");
Expect(1, 119807, '\P{Is_Blk=	 MATHEMATICAL_Alphanumeric_SYMBOLS}', "");
Expect(0, 119807, '\P{^Is_Blk=	 MATHEMATICAL_Alphanumeric_SYMBOLS}', "");
Error('\p{Block:	 :=Inscriptional_PAHLAVI}');
Error('\P{Block:	 :=Inscriptional_PAHLAVI}');
Expect(1, 68479, '\p{Block=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Block=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Block=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Block=inscriptionalpahlavi}', "");
Expect(0, 68447, '\p{Block=inscriptionalpahlavi}', "");
Expect(1, 68447, '\p{^Block=inscriptionalpahlavi}', "");
Expect(1, 68447, '\P{Block=inscriptionalpahlavi}', "");
Expect(0, 68447, '\P{^Block=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Block=--InscriptionalPAHLAVI}', "");
Expect(0, 68479, '\p{^Block=--InscriptionalPAHLAVI}', "");
Expect(0, 68479, '\P{Block=--InscriptionalPAHLAVI}', "");
Expect(1, 68479, '\P{^Block=--InscriptionalPAHLAVI}', "");
Expect(0, 68447, '\p{Block=--InscriptionalPAHLAVI}', "");
Expect(1, 68447, '\p{^Block=--InscriptionalPAHLAVI}', "");
Expect(1, 68447, '\P{Block=--InscriptionalPAHLAVI}', "");
Expect(0, 68447, '\P{^Block=--InscriptionalPAHLAVI}', "");
Error('\p{Blk=_InscriptionalPAHLAVI:=}');
Error('\P{Blk=_InscriptionalPAHLAVI:=}');
Expect(1, 68479, '\p{Blk=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Blk=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Blk=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Blk=inscriptionalpahlavi}', "");
Expect(0, 68447, '\p{Blk=inscriptionalpahlavi}', "");
Expect(1, 68447, '\p{^Blk=inscriptionalpahlavi}', "");
Expect(1, 68447, '\P{Blk=inscriptionalpahlavi}', "");
Expect(0, 68447, '\P{^Blk=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Blk:	-INSCRIPTIONAL-Pahlavi}', "");
Expect(0, 68479, '\p{^Blk:	-INSCRIPTIONAL-Pahlavi}', "");
Expect(0, 68479, '\P{Blk:	-INSCRIPTIONAL-Pahlavi}', "");
Expect(1, 68479, '\P{^Blk:	-INSCRIPTIONAL-Pahlavi}', "");
Expect(0, 68447, '\p{Blk:	-INSCRIPTIONAL-Pahlavi}', "");
Expect(1, 68447, '\p{^Blk:	-INSCRIPTIONAL-Pahlavi}', "");
Expect(1, 68447, '\P{Blk:	-INSCRIPTIONAL-Pahlavi}', "");
Expect(0, 68447, '\P{^Blk:	-INSCRIPTIONAL-Pahlavi}', "");
Error('\p{Is_Block=/a/	InscriptionalPAHLAVI}');
Error('\P{Is_Block=/a/	InscriptionalPAHLAVI}');
Expect(1, 68479, '\p{Is_Block=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Is_Block=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Is_Block=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Is_Block=inscriptionalpahlavi}', "");
Expect(0, 68447, '\p{Is_Block=inscriptionalpahlavi}', "");
Expect(1, 68447, '\p{^Is_Block=inscriptionalpahlavi}', "");
Expect(1, 68447, '\P{Is_Block=inscriptionalpahlavi}', "");
Expect(0, 68447, '\P{^Is_Block=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Is_Block=  InscriptionalPahlavi}', "");
Expect(0, 68479, '\p{^Is_Block=  InscriptionalPahlavi}', "");
Expect(0, 68479, '\P{Is_Block=  InscriptionalPahlavi}', "");
Expect(1, 68479, '\P{^Is_Block=  InscriptionalPahlavi}', "");
Expect(0, 68447, '\p{Is_Block=  InscriptionalPahlavi}', "");
Expect(1, 68447, '\p{^Is_Block=  InscriptionalPahlavi}', "");
Expect(1, 68447, '\P{Is_Block=  InscriptionalPahlavi}', "");
Expect(0, 68447, '\P{^Is_Block=  InscriptionalPahlavi}', "");
Error('\p{Is_Blk=	 Inscriptional-pahlavi/a/}');
Error('\P{Is_Blk=	 Inscriptional-pahlavi/a/}');
Expect(1, 68479, '\p{Is_Blk=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Is_Blk=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Is_Blk=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Is_Blk=inscriptionalpahlavi}', "");
Expect(0, 68447, '\p{Is_Blk=inscriptionalpahlavi}', "");
Expect(1, 68447, '\p{^Is_Blk=inscriptionalpahlavi}', "");
Expect(1, 68447, '\P{Is_Blk=inscriptionalpahlavi}', "");
Expect(0, 68447, '\P{^Is_Blk=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Is_Blk=	Inscriptional-Pahlavi}', "");
Expect(0, 68479, '\p{^Is_Blk=	Inscriptional-Pahlavi}', "");
Expect(0, 68479, '\P{Is_Blk=	Inscriptional-Pahlavi}', "");
Expect(1, 68479, '\P{^Is_Blk=	Inscriptional-Pahlavi}', "");
Expect(0, 68447, '\p{Is_Blk=	Inscriptional-Pahlavi}', "");
Expect(1, 68447, '\p{^Is_Blk=	Inscriptional-Pahlavi}', "");
Expect(1, 68447, '\P{Is_Blk=	Inscriptional-Pahlavi}', "");
Expect(0, 68447, '\P{^Is_Blk=	Inscriptional-Pahlavi}', "");
Error('\p{Block=	/a/Unified-canadian-aboriginal_Syllabics-Extended}');
Error('\P{Block=	/a/Unified-canadian-aboriginal_Syllabics-Extended}');
Expect(1, 6399, '\p{Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\p{Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\p{^Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\P{Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\P{^Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{Block=_Unifiedcanadian	ABORIGINAL	syllabics	Extended}', "");
Expect(0, 6399, '\p{^Block=_Unifiedcanadian	ABORIGINAL	syllabics	Extended}', "");
Expect(0, 6399, '\P{Block=_Unifiedcanadian	ABORIGINAL	syllabics	Extended}', "");
Expect(1, 6399, '\P{^Block=_Unifiedcanadian	ABORIGINAL	syllabics	Extended}', "");
Expect(0, 6319, '\p{Block=_Unifiedcanadian	ABORIGINAL	syllabics	Extended}', "");
Expect(1, 6319, '\p{^Block=_Unifiedcanadian	ABORIGINAL	syllabics	Extended}', "");
Expect(1, 6319, '\P{Block=_Unifiedcanadian	ABORIGINAL	syllabics	Extended}', "");
Expect(0, 6319, '\P{^Block=_Unifiedcanadian	ABORIGINAL	syllabics	Extended}', "");
Error('\p{Blk=_:=UnifiedCANADIAN Aboriginal	SYLLABICS Extended}');
Error('\P{Blk=_:=UnifiedCANADIAN Aboriginal	SYLLABICS Extended}');
Expect(1, 6399, '\p{Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\p{Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\p{^Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\P{Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\P{^Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{Blk=unifiedCanadian	aboriginal SyllabicsEXTENDED}', "");
Expect(0, 6399, '\p{^Blk=unifiedCanadian	aboriginal SyllabicsEXTENDED}', "");
Expect(0, 6399, '\P{Blk=unifiedCanadian	aboriginal SyllabicsEXTENDED}', "");
Expect(1, 6399, '\P{^Blk=unifiedCanadian	aboriginal SyllabicsEXTENDED}', "");
Expect(0, 6319, '\p{Blk=unifiedCanadian	aboriginal SyllabicsEXTENDED}', "");
Expect(1, 6319, '\p{^Blk=unifiedCanadian	aboriginal SyllabicsEXTENDED}', "");
Expect(1, 6319, '\P{Blk=unifiedCanadian	aboriginal SyllabicsEXTENDED}', "");
Expect(0, 6319, '\P{^Blk=unifiedCanadian	aboriginal SyllabicsEXTENDED}', "");
Error('\p{Is_Block=-/a/Unified	Canadian	Aboriginal	Syllabics-Extended}');
Error('\P{Is_Block=-/a/Unified	Canadian	Aboriginal	Syllabics-Extended}');
Expect(1, 6399, '\p{Is_Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^Is_Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{Is_Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^Is_Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\p{Is_Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\p{^Is_Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\P{Is_Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\P{^Is_Block:unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{Is_Block:	-_unified CANADIAN_Aboriginal	Syllabics-Extended}', "");
Expect(0, 6399, '\p{^Is_Block:	-_unified CANADIAN_Aboriginal	Syllabics-Extended}', "");
Expect(0, 6399, '\P{Is_Block:	-_unified CANADIAN_Aboriginal	Syllabics-Extended}', "");
Expect(1, 6399, '\P{^Is_Block:	-_unified CANADIAN_Aboriginal	Syllabics-Extended}', "");
Expect(0, 6319, '\p{Is_Block:	-_unified CANADIAN_Aboriginal	Syllabics-Extended}', "");
Expect(1, 6319, '\p{^Is_Block:	-_unified CANADIAN_Aboriginal	Syllabics-Extended}', "");
Expect(1, 6319, '\P{Is_Block:	-_unified CANADIAN_Aboriginal	Syllabics-Extended}', "");
Expect(0, 6319, '\P{^Is_Block:	-_unified CANADIAN_Aboriginal	Syllabics-Extended}', "");
Error('\p{Is_Blk= :=Unified_canadian_Aboriginal_Syllabics	EXTENDED}');
Error('\P{Is_Blk= :=Unified_canadian_Aboriginal_Syllabics	EXTENDED}');
Expect(1, 6399, '\p{Is_Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^Is_Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{Is_Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^Is_Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\p{Is_Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\p{^Is_Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\P{Is_Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\P{^Is_Blk=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{Is_Blk:			unified	Canadian aboriginal_Syllabics_Extended}', "");
Expect(0, 6399, '\p{^Is_Blk:			unified	Canadian aboriginal_Syllabics_Extended}', "");
Expect(0, 6399, '\P{Is_Blk:			unified	Canadian aboriginal_Syllabics_Extended}', "");
Expect(1, 6399, '\P{^Is_Blk:			unified	Canadian aboriginal_Syllabics_Extended}', "");
Expect(0, 6319, '\p{Is_Blk:			unified	Canadian aboriginal_Syllabics_Extended}', "");
Expect(1, 6319, '\p{^Is_Blk:			unified	Canadian aboriginal_Syllabics_Extended}', "");
Expect(1, 6319, '\P{Is_Blk:			unified	Canadian aboriginal_Syllabics_Extended}', "");
Expect(0, 6319, '\P{^Is_Blk:			unified	Canadian aboriginal_Syllabics_Extended}', "");
Error('\p{Block=	 KANGXI/a/RADICALS}');
Error('\P{Block=	 KANGXI/a/RADICALS}');
Expect(1, 12255, '\p{Block=kangxiradicals}', "");
Expect(0, 12255, '\p{^Block=kangxiradicals}', "");
Expect(0, 12255, '\P{Block=kangxiradicals}', "");
Expect(1, 12255, '\P{^Block=kangxiradicals}', "");
Expect(0, 12031, '\p{Block=kangxiradicals}', "");
Expect(1, 12031, '\p{^Block=kangxiradicals}', "");
Expect(1, 12031, '\P{Block=kangxiradicals}', "");
Expect(0, 12031, '\P{^Block=kangxiradicals}', "");
Expect(1, 12255, '\p{Block= 	KangxiRadicals}', "");
Expect(0, 12255, '\p{^Block= 	KangxiRadicals}', "");
Expect(0, 12255, '\P{Block= 	KangxiRadicals}', "");
Expect(1, 12255, '\P{^Block= 	KangxiRadicals}', "");
Expect(0, 12031, '\p{Block= 	KangxiRadicals}', "");
Expect(1, 12031, '\p{^Block= 	KangxiRadicals}', "");
Expect(1, 12031, '\P{Block= 	KangxiRadicals}', "");
Expect(0, 12031, '\P{^Block= 	KangxiRadicals}', "");
Error('\p{Blk=_	Kangxi/a/radicals}');
Error('\P{Blk=_	Kangxi/a/radicals}');
Expect(1, 12255, '\p{Blk=kangxiradicals}', "");
Expect(0, 12255, '\p{^Blk=kangxiradicals}', "");
Expect(0, 12255, '\P{Blk=kangxiradicals}', "");
Expect(1, 12255, '\P{^Blk=kangxiradicals}', "");
Expect(0, 12031, '\p{Blk=kangxiradicals}', "");
Expect(1, 12031, '\p{^Blk=kangxiradicals}', "");
Expect(1, 12031, '\P{Blk=kangxiradicals}', "");
Expect(0, 12031, '\P{^Blk=kangxiradicals}', "");
Expect(1, 12255, '\p{Blk=__Kangxi-RADICALS}', "");
Expect(0, 12255, '\p{^Blk=__Kangxi-RADICALS}', "");
Expect(0, 12255, '\P{Blk=__Kangxi-RADICALS}', "");
Expect(1, 12255, '\P{^Blk=__Kangxi-RADICALS}', "");
Expect(0, 12031, '\p{Blk=__Kangxi-RADICALS}', "");
Expect(1, 12031, '\p{^Blk=__Kangxi-RADICALS}', "");
Expect(1, 12031, '\P{Blk=__Kangxi-RADICALS}', "");
Expect(0, 12031, '\P{^Blk=__Kangxi-RADICALS}', "");
Error('\p{Is_Block:	-Kangxi RADICALS:=}');
Error('\P{Is_Block:	-Kangxi RADICALS:=}');
Expect(1, 12255, '\p{Is_Block=kangxiradicals}', "");
Expect(0, 12255, '\p{^Is_Block=kangxiradicals}', "");
Expect(0, 12255, '\P{Is_Block=kangxiradicals}', "");
Expect(1, 12255, '\P{^Is_Block=kangxiradicals}', "");
Expect(0, 12031, '\p{Is_Block=kangxiradicals}', "");
Expect(1, 12031, '\p{^Is_Block=kangxiradicals}', "");
Expect(1, 12031, '\P{Is_Block=kangxiradicals}', "");
Expect(0, 12031, '\P{^Is_Block=kangxiradicals}', "");
Expect(1, 12255, '\p{Is_Block:   		kangxi Radicals}', "");
Expect(0, 12255, '\p{^Is_Block:   		kangxi Radicals}', "");
Expect(0, 12255, '\P{Is_Block:   		kangxi Radicals}', "");
Expect(1, 12255, '\P{^Is_Block:   		kangxi Radicals}', "");
Expect(0, 12031, '\p{Is_Block:   		kangxi Radicals}', "");
Expect(1, 12031, '\p{^Is_Block:   		kangxi Radicals}', "");
Expect(1, 12031, '\P{Is_Block:   		kangxi Radicals}', "");
Expect(0, 12031, '\P{^Is_Block:   		kangxi Radicals}', "");
Error('\p{Is_Blk=_/a/Kangxi	RADICALS}');
Error('\P{Is_Blk=_/a/Kangxi	RADICALS}');
Expect(1, 12255, '\p{Is_Blk=kangxiradicals}', "");
Expect(0, 12255, '\p{^Is_Blk=kangxiradicals}', "");
Expect(0, 12255, '\P{Is_Blk=kangxiradicals}', "");
Expect(1, 12255, '\P{^Is_Blk=kangxiradicals}', "");
Expect(0, 12031, '\p{Is_Blk=kangxiradicals}', "");
Expect(1, 12031, '\p{^Is_Blk=kangxiradicals}', "");
Expect(1, 12031, '\P{Is_Blk=kangxiradicals}', "");
Expect(0, 12031, '\P{^Is_Blk=kangxiradicals}', "");
Expect(1, 12255, '\p{Is_Blk=kangxi	Radicals}', "");
Expect(0, 12255, '\p{^Is_Blk=kangxi	Radicals}', "");
Expect(0, 12255, '\P{Is_Blk=kangxi	Radicals}', "");
Expect(1, 12255, '\P{^Is_Blk=kangxi	Radicals}', "");
Expect(0, 12031, '\p{Is_Blk=kangxi	Radicals}', "");
Expect(1, 12031, '\p{^Is_Blk=kangxi	Radicals}', "");
Expect(1, 12031, '\P{Is_Blk=kangxi	Radicals}', "");
Expect(0, 12031, '\P{^Is_Blk=kangxi	Radicals}', "");
Error('\p{Block:   -Arabic:=presentation-FORMS B}');
Error('\P{Block:   -Arabic:=presentation-FORMS B}');
Expect(1, 65279, '\p{Block: arabicpresentationformsb}', "");
Expect(0, 65279, '\p{^Block: arabicpresentationformsb}', "");
Expect(0, 65279, '\P{Block: arabicpresentationformsb}', "");
Expect(1, 65279, '\P{^Block: arabicpresentationformsb}', "");
Expect(0, 65135, '\p{Block: arabicpresentationformsb}', "");
Expect(1, 65135, '\p{^Block: arabicpresentationformsb}', "");
Expect(1, 65135, '\P{Block: arabicpresentationformsb}', "");
Expect(0, 65135, '\P{^Block: arabicpresentationformsb}', "");
Expect(1, 65279, '\p{Block=	 arabic_presentation_FORMS-b}', "");
Expect(0, 65279, '\p{^Block=	 arabic_presentation_FORMS-b}', "");
Expect(0, 65279, '\P{Block=	 arabic_presentation_FORMS-b}', "");
Expect(1, 65279, '\P{^Block=	 arabic_presentation_FORMS-b}', "");
Expect(0, 65135, '\p{Block=	 arabic_presentation_FORMS-b}', "");
Expect(1, 65135, '\p{^Block=	 arabic_presentation_FORMS-b}', "");
Expect(1, 65135, '\P{Block=	 arabic_presentation_FORMS-b}', "");
Expect(0, 65135, '\P{^Block=	 arabic_presentation_FORMS-b}', "");
Error('\p{Blk:	:=Arabic_presentation FORMS	B}');
Error('\P{Blk:	:=Arabic_presentation FORMS	B}');
Expect(1, 65279, '\p{Blk=arabicpresentationformsb}', "");
Expect(0, 65279, '\p{^Blk=arabicpresentationformsb}', "");
Expect(0, 65279, '\P{Blk=arabicpresentationformsb}', "");
Expect(1, 65279, '\P{^Blk=arabicpresentationformsb}', "");
Expect(0, 65135, '\p{Blk=arabicpresentationformsb}', "");
Expect(1, 65135, '\p{^Blk=arabicpresentationformsb}', "");
Expect(1, 65135, '\P{Blk=arabicpresentationformsb}', "");
Expect(0, 65135, '\P{^Blk=arabicpresentationformsb}', "");
Expect(1, 65279, '\p{Blk=_ARABIC-Presentation	FORMS-B}', "");
Expect(0, 65279, '\p{^Blk=_ARABIC-Presentation	FORMS-B}', "");
Expect(0, 65279, '\P{Blk=_ARABIC-Presentation	FORMS-B}', "");
Expect(1, 65279, '\P{^Blk=_ARABIC-Presentation	FORMS-B}', "");
Expect(0, 65135, '\p{Blk=_ARABIC-Presentation	FORMS-B}', "");
Expect(1, 65135, '\p{^Blk=_ARABIC-Presentation	FORMS-B}', "");
Expect(1, 65135, '\P{Blk=_ARABIC-Presentation	FORMS-B}', "");
Expect(0, 65135, '\P{^Blk=_ARABIC-Presentation	FORMS-B}', "");
Error('\p{Is_Block=_arabic	presentation_Forms_B:=}');
Error('\P{Is_Block=_arabic	presentation_Forms_B:=}');
Expect(1, 65279, '\p{Is_Block=arabicpresentationformsb}', "");
Expect(0, 65279, '\p{^Is_Block=arabicpresentationformsb}', "");
Expect(0, 65279, '\P{Is_Block=arabicpresentationformsb}', "");
Expect(1, 65279, '\P{^Is_Block=arabicpresentationformsb}', "");
Expect(0, 65135, '\p{Is_Block=arabicpresentationformsb}', "");
Expect(1, 65135, '\p{^Is_Block=arabicpresentationformsb}', "");
Expect(1, 65135, '\P{Is_Block=arabicpresentationformsb}', "");
Expect(0, 65135, '\P{^Is_Block=arabicpresentationformsb}', "");
Expect(1, 65279, '\p{Is_Block=-_arabicPRESENTATION_FORMS	B}', "");
Expect(0, 65279, '\p{^Is_Block=-_arabicPRESENTATION_FORMS	B}', "");
Expect(0, 65279, '\P{Is_Block=-_arabicPRESENTATION_FORMS	B}', "");
Expect(1, 65279, '\P{^Is_Block=-_arabicPRESENTATION_FORMS	B}', "");
Expect(0, 65135, '\p{Is_Block=-_arabicPRESENTATION_FORMS	B}', "");
Expect(1, 65135, '\p{^Is_Block=-_arabicPRESENTATION_FORMS	B}', "");
Expect(1, 65135, '\P{Is_Block=-_arabicPRESENTATION_FORMS	B}', "");
Expect(0, 65135, '\P{^Is_Block=-_arabicPRESENTATION_FORMS	B}', "");
Error('\p{Is_Blk= _Arabic_Presentation/a/forms-B}');
Error('\P{Is_Blk= _Arabic_Presentation/a/forms-B}');
Expect(1, 65279, '\p{Is_Blk=arabicpresentationformsb}', "");
Expect(0, 65279, '\p{^Is_Blk=arabicpresentationformsb}', "");
Expect(0, 65279, '\P{Is_Blk=arabicpresentationformsb}', "");
Expect(1, 65279, '\P{^Is_Blk=arabicpresentationformsb}', "");
Expect(0, 65135, '\p{Is_Blk=arabicpresentationformsb}', "");
Expect(1, 65135, '\p{^Is_Blk=arabicpresentationformsb}', "");
Expect(1, 65135, '\P{Is_Blk=arabicpresentationformsb}', "");
Expect(0, 65135, '\P{^Is_Blk=arabicpresentationformsb}', "");
Expect(1, 65279, '\p{Is_Blk=	_Arabic	presentationformsB}', "");
Expect(0, 65279, '\p{^Is_Blk=	_Arabic	presentationformsB}', "");
Expect(0, 65279, '\P{Is_Blk=	_Arabic	presentationformsB}', "");
Expect(1, 65279, '\P{^Is_Blk=	_Arabic	presentationformsB}', "");
Expect(0, 65135, '\p{Is_Blk=	_Arabic	presentationformsB}', "");
Expect(1, 65135, '\p{^Is_Blk=	_Arabic	presentationformsB}', "");
Expect(1, 65135, '\P{Is_Blk=	_Arabic	presentationformsB}', "");
Expect(0, 65135, '\P{^Is_Blk=	_Arabic	presentationformsB}', "");
Error('\p{Block=	-Gurmukhi/a/}');
Error('\P{Block=	-Gurmukhi/a/}');
Expect(1, 2687, '\p{Block=gurmukhi}', "");
Expect(0, 2687, '\p{^Block=gurmukhi}', "");
Expect(0, 2687, '\P{Block=gurmukhi}', "");
Expect(1, 2687, '\P{^Block=gurmukhi}', "");
Expect(0, 2559, '\p{Block=gurmukhi}', "");
Expect(1, 2559, '\p{^Block=gurmukhi}', "");
Expect(1, 2559, '\P{Block=gurmukhi}', "");
Expect(0, 2559, '\P{^Block=gurmukhi}', "");
Expect(1, 2687, '\p{Block:	_gurmukhi}', "");
Expect(0, 2687, '\p{^Block:	_gurmukhi}', "");
Expect(0, 2687, '\P{Block:	_gurmukhi}', "");
Expect(1, 2687, '\P{^Block:	_gurmukhi}', "");
Expect(0, 2559, '\p{Block:	_gurmukhi}', "");
Expect(1, 2559, '\p{^Block:	_gurmukhi}', "");
Expect(1, 2559, '\P{Block:	_gurmukhi}', "");
Expect(0, 2559, '\P{^Block:	_gurmukhi}', "");
Error('\p{Blk:	_	Gurmukhi/a/}');
Error('\P{Blk:	_	Gurmukhi/a/}');
Expect(1, 2687, '\p{Blk=gurmukhi}', "");
Expect(0, 2687, '\p{^Blk=gurmukhi}', "");
Expect(0, 2687, '\P{Blk=gurmukhi}', "");
Expect(1, 2687, '\P{^Blk=gurmukhi}', "");
Expect(0, 2559, '\p{Blk=gurmukhi}', "");
Expect(1, 2559, '\p{^Blk=gurmukhi}', "");
Expect(1, 2559, '\P{Blk=gurmukhi}', "");
Expect(0, 2559, '\P{^Blk=gurmukhi}', "");
Expect(1, 2687, '\p{Blk=-GURMUKHI}', "");
Expect(0, 2687, '\p{^Blk=-GURMUKHI}', "");
Expect(0, 2687, '\P{Blk=-GURMUKHI}', "");
Expect(1, 2687, '\P{^Blk=-GURMUKHI}', "");
Expect(0, 2559, '\p{Blk=-GURMUKHI}', "");
Expect(1, 2559, '\p{^Blk=-GURMUKHI}', "");
Expect(1, 2559, '\P{Blk=-GURMUKHI}', "");
Expect(0, 2559, '\P{^Blk=-GURMUKHI}', "");
Error('\p{Is_Block=/a/_-gurmukhi}');
Error('\P{Is_Block=/a/_-gurmukhi}');
Expect(1, 2687, '\p{Is_Block=gurmukhi}', "");
Expect(0, 2687, '\p{^Is_Block=gurmukhi}', "");
Expect(0, 2687, '\P{Is_Block=gurmukhi}', "");
Expect(1, 2687, '\P{^Is_Block=gurmukhi}', "");
Expect(0, 2559, '\p{Is_Block=gurmukhi}', "");
Expect(1, 2559, '\p{^Is_Block=gurmukhi}', "");
Expect(1, 2559, '\P{Is_Block=gurmukhi}', "");
Expect(0, 2559, '\P{^Is_Block=gurmukhi}', "");
Expect(1, 2687, '\p{Is_Block= 	Gurmukhi}', "");
Expect(0, 2687, '\p{^Is_Block= 	Gurmukhi}', "");
Expect(0, 2687, '\P{Is_Block= 	Gurmukhi}', "");
Expect(1, 2687, '\P{^Is_Block= 	Gurmukhi}', "");
Expect(0, 2559, '\p{Is_Block= 	Gurmukhi}', "");
Expect(1, 2559, '\p{^Is_Block= 	Gurmukhi}', "");
Expect(1, 2559, '\P{Is_Block= 	Gurmukhi}', "");
Expect(0, 2559, '\P{^Is_Block= 	Gurmukhi}', "");
Error('\p{Is_Blk=/a/gurmukhi}');
Error('\P{Is_Blk=/a/gurmukhi}');
Expect(1, 2687, '\p{Is_Blk=gurmukhi}', "");
Expect(0, 2687, '\p{^Is_Blk=gurmukhi}', "");
Expect(0, 2687, '\P{Is_Blk=gurmukhi}', "");
Expect(1, 2687, '\P{^Is_Blk=gurmukhi}', "");
Expect(0, 2559, '\p{Is_Blk=gurmukhi}', "");
Expect(1, 2559, '\p{^Is_Blk=gurmukhi}', "");
Expect(1, 2559, '\P{Is_Blk=gurmukhi}', "");
Expect(0, 2559, '\P{^Is_Blk=gurmukhi}', "");
Expect(1, 2687, '\p{Is_Blk=_ Gurmukhi}', "");
Expect(0, 2687, '\p{^Is_Blk=_ Gurmukhi}', "");
Expect(0, 2687, '\P{Is_Blk=_ Gurmukhi}', "");
Expect(1, 2687, '\P{^Is_Blk=_ Gurmukhi}', "");
Expect(0, 2559, '\p{Is_Blk=_ Gurmukhi}', "");
Expect(1, 2559, '\p{^Is_Blk=_ Gurmukhi}', "");
Expect(1, 2559, '\P{Is_Blk=_ Gurmukhi}', "");
Expect(0, 2559, '\P{^Is_Blk=_ Gurmukhi}', "");
Error('\p{Block=- Enclosed/a/IDEOGRAPHIC	Supplement}');
Error('\P{Block=- Enclosed/a/IDEOGRAPHIC	Supplement}');
Expect(1, 127743, '\p{Block=enclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^Block=enclosedideographicsupplement}', "");
Expect(0, 127743, '\P{Block=enclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^Block=enclosedideographicsupplement}', "");
Expect(0, 127487, '\p{Block=enclosedideographicsupplement}', "");
Expect(1, 127487, '\p{^Block=enclosedideographicsupplement}', "");
Expect(1, 127487, '\P{Block=enclosedideographicsupplement}', "");
Expect(0, 127487, '\P{^Block=enclosedideographicsupplement}', "");
Expect(1, 127743, '\p{Block=-	ENCLOSED	IdeographicSupplement}', "");
Expect(0, 127743, '\p{^Block=-	ENCLOSED	IdeographicSupplement}', "");
Expect(0, 127743, '\P{Block=-	ENCLOSED	IdeographicSupplement}', "");
Expect(1, 127743, '\P{^Block=-	ENCLOSED	IdeographicSupplement}', "");
Expect(0, 127487, '\p{Block=-	ENCLOSED	IdeographicSupplement}', "");
Expect(1, 127487, '\p{^Block=-	ENCLOSED	IdeographicSupplement}', "");
Expect(1, 127487, '\P{Block=-	ENCLOSED	IdeographicSupplement}', "");
Expect(0, 127487, '\P{^Block=-	ENCLOSED	IdeographicSupplement}', "");
Error('\p{Blk= _Enclosed	ideographic/a/Supplement}');
Error('\P{Blk= _Enclosed	ideographic/a/Supplement}');
Expect(1, 127743, '\p{Blk=enclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^Blk=enclosedideographicsupplement}', "");
Expect(0, 127743, '\P{Blk=enclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^Blk=enclosedideographicsupplement}', "");
Expect(0, 127487, '\p{Blk=enclosedideographicsupplement}', "");
Expect(1, 127487, '\p{^Blk=enclosedideographicsupplement}', "");
Expect(1, 127487, '\P{Blk=enclosedideographicsupplement}', "");
Expect(0, 127487, '\P{^Blk=enclosedideographicsupplement}', "");
Expect(1, 127743, '\p{Blk=-	Enclosed	IDEOGRAPHIC_supplement}', "");
Expect(0, 127743, '\p{^Blk=-	Enclosed	IDEOGRAPHIC_supplement}', "");
Expect(0, 127743, '\P{Blk=-	Enclosed	IDEOGRAPHIC_supplement}', "");
Expect(1, 127743, '\P{^Blk=-	Enclosed	IDEOGRAPHIC_supplement}', "");
Expect(0, 127487, '\p{Blk=-	Enclosed	IDEOGRAPHIC_supplement}', "");
Expect(1, 127487, '\p{^Blk=-	Enclosed	IDEOGRAPHIC_supplement}', "");
Expect(1, 127487, '\P{Blk=-	Enclosed	IDEOGRAPHIC_supplement}', "");
Expect(0, 127487, '\P{^Blk=-	Enclosed	IDEOGRAPHIC_supplement}', "");
Error('\p{Is_Block= -Enclosed/a/Ideographic-Supplement}');
Error('\P{Is_Block= -Enclosed/a/Ideographic-Supplement}');
Expect(1, 127743, '\p{Is_Block=enclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^Is_Block=enclosedideographicsupplement}', "");
Expect(0, 127743, '\P{Is_Block=enclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^Is_Block=enclosedideographicsupplement}', "");
Expect(0, 127487, '\p{Is_Block=enclosedideographicsupplement}', "");
Expect(1, 127487, '\p{^Is_Block=enclosedideographicsupplement}', "");
Expect(1, 127487, '\P{Is_Block=enclosedideographicsupplement}', "");
Expect(0, 127487, '\P{^Is_Block=enclosedideographicsupplement}', "");
Expect(1, 127743, '\p{Is_Block=	-enclosed	ideographic-Supplement}', "");
Expect(0, 127743, '\p{^Is_Block=	-enclosed	ideographic-Supplement}', "");
Expect(0, 127743, '\P{Is_Block=	-enclosed	ideographic-Supplement}', "");
Expect(1, 127743, '\P{^Is_Block=	-enclosed	ideographic-Supplement}', "");
Expect(0, 127487, '\p{Is_Block=	-enclosed	ideographic-Supplement}', "");
Expect(1, 127487, '\p{^Is_Block=	-enclosed	ideographic-Supplement}', "");
Expect(1, 127487, '\P{Is_Block=	-enclosed	ideographic-Supplement}', "");
Expect(0, 127487, '\P{^Is_Block=	-enclosed	ideographic-Supplement}', "");
Error('\p{Is_Blk=	_ENCLOSED-IDEOGRAPHIC:=supplement}');
Error('\P{Is_Blk=	_ENCLOSED-IDEOGRAPHIC:=supplement}');
Expect(1, 127743, '\p{Is_Blk=enclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^Is_Blk=enclosedideographicsupplement}', "");
Expect(0, 127743, '\P{Is_Blk=enclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^Is_Blk=enclosedideographicsupplement}', "");
Expect(0, 127487, '\p{Is_Blk=enclosedideographicsupplement}', "");
Expect(1, 127487, '\p{^Is_Blk=enclosedideographicsupplement}', "");
Expect(1, 127487, '\P{Is_Blk=enclosedideographicsupplement}', "");
Expect(0, 127487, '\P{^Is_Blk=enclosedideographicsupplement}', "");
Expect(1, 127743, '\p{Is_Blk=Enclosed_Ideographic-Supplement}', "");
Expect(0, 127743, '\p{^Is_Blk=Enclosed_Ideographic-Supplement}', "");
Expect(0, 127743, '\P{Is_Blk=Enclosed_Ideographic-Supplement}', "");
Expect(1, 127743, '\P{^Is_Blk=Enclosed_Ideographic-Supplement}', "");
Expect(0, 127487, '\p{Is_Blk=Enclosed_Ideographic-Supplement}', "");
Expect(1, 127487, '\p{^Is_Blk=Enclosed_Ideographic-Supplement}', "");
Expect(1, 127487, '\P{Is_Blk=Enclosed_Ideographic-Supplement}', "");
Expect(0, 127487, '\P{^Is_Blk=Enclosed_Ideographic-Supplement}', "");
Error('\p{Block:  phonetic Extensions:=Supplement}');
Error('\P{Block:  phonetic Extensions:=Supplement}');
Expect(1, 7615, '\p{Block=phoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^Block=phoneticextensionssupplement}', "");
Expect(0, 7615, '\P{Block=phoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^Block=phoneticextensionssupplement}', "");
Expect(0, 7551, '\p{Block=phoneticextensionssupplement}', "");
Expect(1, 7551, '\p{^Block=phoneticextensionssupplement}', "");
Expect(1, 7551, '\P{Block=phoneticextensionssupplement}', "");
Expect(0, 7551, '\P{^Block=phoneticextensionssupplement}', "");
Expect(1, 7615, '\p{Block=	 Phonetic extensions-SUPPLEMENT}', "");
Expect(0, 7615, '\p{^Block=	 Phonetic extensions-SUPPLEMENT}', "");
Expect(0, 7615, '\P{Block=	 Phonetic extensions-SUPPLEMENT}', "");
Expect(1, 7615, '\P{^Block=	 Phonetic extensions-SUPPLEMENT}', "");
Expect(0, 7551, '\p{Block=	 Phonetic extensions-SUPPLEMENT}', "");
Expect(1, 7551, '\p{^Block=	 Phonetic extensions-SUPPLEMENT}', "");
Expect(1, 7551, '\P{Block=	 Phonetic extensions-SUPPLEMENT}', "");
Expect(0, 7551, '\P{^Block=	 Phonetic extensions-SUPPLEMENT}', "");
Error('\p{Blk=/a/	_Phonetic-extensions supplement}');
Error('\P{Blk=/a/	_Phonetic-extensions supplement}');
Expect(1, 7615, '\p{Blk=phoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^Blk=phoneticextensionssupplement}', "");
Expect(0, 7615, '\P{Blk=phoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^Blk=phoneticextensionssupplement}', "");
Expect(0, 7551, '\p{Blk=phoneticextensionssupplement}', "");
Expect(1, 7551, '\p{^Blk=phoneticextensionssupplement}', "");
Expect(1, 7551, '\P{Blk=phoneticextensionssupplement}', "");
Expect(0, 7551, '\P{^Blk=phoneticextensionssupplement}', "");
Expect(1, 7615, '\p{Blk=_PHONETIC-Extensions Supplement}', "");
Expect(0, 7615, '\p{^Blk=_PHONETIC-Extensions Supplement}', "");
Expect(0, 7615, '\P{Blk=_PHONETIC-Extensions Supplement}', "");
Expect(1, 7615, '\P{^Blk=_PHONETIC-Extensions Supplement}', "");
Expect(0, 7551, '\p{Blk=_PHONETIC-Extensions Supplement}', "");
Expect(1, 7551, '\p{^Blk=_PHONETIC-Extensions Supplement}', "");
Expect(1, 7551, '\P{Blk=_PHONETIC-Extensions Supplement}', "");
Expect(0, 7551, '\P{^Blk=_PHONETIC-Extensions Supplement}', "");
Error('\p{Is_Block=-_phonetic/a/Extensions	supplement}');
Error('\P{Is_Block=-_phonetic/a/Extensions	supplement}');
Expect(1, 7615, '\p{Is_Block=phoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^Is_Block=phoneticextensionssupplement}', "");
Expect(0, 7615, '\P{Is_Block=phoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^Is_Block=phoneticextensionssupplement}', "");
Expect(0, 7551, '\p{Is_Block=phoneticextensionssupplement}', "");
Expect(1, 7551, '\p{^Is_Block=phoneticextensionssupplement}', "");
Expect(1, 7551, '\P{Is_Block=phoneticextensionssupplement}', "");
Expect(0, 7551, '\P{^Is_Block=phoneticextensionssupplement}', "");
Expect(1, 7615, '\p{Is_Block=-PHONETIC	Extensions supplement}', "");
Expect(0, 7615, '\p{^Is_Block=-PHONETIC	Extensions supplement}', "");
Expect(0, 7615, '\P{Is_Block=-PHONETIC	Extensions supplement}', "");
Expect(1, 7615, '\P{^Is_Block=-PHONETIC	Extensions supplement}', "");
Expect(0, 7551, '\p{Is_Block=-PHONETIC	Extensions supplement}', "");
Expect(1, 7551, '\p{^Is_Block=-PHONETIC	Extensions supplement}', "");
Expect(1, 7551, '\P{Is_Block=-PHONETIC	Extensions supplement}', "");
Expect(0, 7551, '\P{^Is_Block=-PHONETIC	Extensions supplement}', "");
Error('\p{Is_Blk=/a/PHONETIC	Extensions	Supplement}');
Error('\P{Is_Blk=/a/PHONETIC	Extensions	Supplement}');
Expect(1, 7615, '\p{Is_Blk=phoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^Is_Blk=phoneticextensionssupplement}', "");
Expect(0, 7615, '\P{Is_Blk=phoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^Is_Blk=phoneticextensionssupplement}', "");
Expect(0, 7551, '\p{Is_Blk=phoneticextensionssupplement}', "");
Expect(1, 7551, '\p{^Is_Blk=phoneticextensionssupplement}', "");
Expect(1, 7551, '\P{Is_Blk=phoneticextensionssupplement}', "");
Expect(0, 7551, '\P{^Is_Blk=phoneticextensionssupplement}', "");
Expect(1, 7615, '\p{Is_Blk=--Phonetic	Extensions	Supplement}', "");
Expect(0, 7615, '\p{^Is_Blk=--Phonetic	Extensions	Supplement}', "");
Expect(0, 7615, '\P{Is_Blk=--Phonetic	Extensions	Supplement}', "");
Expect(1, 7615, '\P{^Is_Blk=--Phonetic	Extensions	Supplement}', "");
Expect(0, 7551, '\p{Is_Blk=--Phonetic	Extensions	Supplement}', "");
Expect(1, 7551, '\p{^Is_Blk=--Phonetic	Extensions	Supplement}', "");
Expect(1, 7551, '\P{Is_Blk=--Phonetic	Extensions	Supplement}', "");
Expect(0, 7551, '\P{^Is_Blk=--Phonetic	Extensions	Supplement}', "");
Error('\p{Block=:= Greek	extended}');
Error('\P{Block=:= Greek	extended}');
Expect(1, 8191, '\p{Block=greekextended}', "");
Expect(0, 8191, '\p{^Block=greekextended}', "");
Expect(0, 8191, '\P{Block=greekextended}', "");
Expect(1, 8191, '\P{^Block=greekextended}', "");
Expect(0, 7935, '\p{Block=greekextended}', "");
Expect(1, 7935, '\p{^Block=greekextended}', "");
Expect(1, 7935, '\P{Block=greekextended}', "");
Expect(0, 7935, '\P{^Block=greekextended}', "");
Expect(1, 8191, '\p{Block= 	greek Extended}', "");
Expect(0, 8191, '\p{^Block= 	greek Extended}', "");
Expect(0, 8191, '\P{Block= 	greek Extended}', "");
Expect(1, 8191, '\P{^Block= 	greek Extended}', "");
Expect(0, 7935, '\p{Block= 	greek Extended}', "");
Expect(1, 7935, '\p{^Block= 	greek Extended}', "");
Expect(1, 7935, '\P{Block= 	greek Extended}', "");
Expect(0, 7935, '\P{^Block= 	greek Extended}', "");
Error('\p{Blk=:=greek-Extended}');
Error('\P{Blk=:=greek-Extended}');
Expect(1, 8191, '\p{Blk=greekextended}', "");
Expect(0, 8191, '\p{^Blk=greekextended}', "");
Expect(0, 8191, '\P{Blk=greekextended}', "");
Expect(1, 8191, '\P{^Blk=greekextended}', "");
Expect(0, 7935, '\p{Blk=greekextended}', "");
Expect(1, 7935, '\p{^Blk=greekextended}', "");
Expect(1, 7935, '\P{Blk=greekextended}', "");
Expect(0, 7935, '\P{^Blk=greekextended}', "");
Expect(1, 8191, '\p{Blk:   	 Greek Extended}', "");
Expect(0, 8191, '\p{^Blk:   	 Greek Extended}', "");
Expect(0, 8191, '\P{Blk:   	 Greek Extended}', "");
Expect(1, 8191, '\P{^Blk:   	 Greek Extended}', "");
Expect(0, 7935, '\p{Blk:   	 Greek Extended}', "");
Expect(1, 7935, '\p{^Blk:   	 Greek Extended}', "");
Expect(1, 7935, '\P{Blk:   	 Greek Extended}', "");
Expect(0, 7935, '\P{^Blk:   	 Greek Extended}', "");
Error('\p{Is_Block=-/a/greek_extended}');
Error('\P{Is_Block=-/a/greek_extended}');
Expect(1, 8191, '\p{Is_Block:greekextended}', "");
Expect(0, 8191, '\p{^Is_Block:greekextended}', "");
Expect(0, 8191, '\P{Is_Block:greekextended}', "");
Expect(1, 8191, '\P{^Is_Block:greekextended}', "");
Expect(0, 7935, '\p{Is_Block:greekextended}', "");
Expect(1, 7935, '\p{^Is_Block:greekextended}', "");
Expect(1, 7935, '\P{Is_Block:greekextended}', "");
Expect(0, 7935, '\P{^Is_Block:greekextended}', "");
Expect(1, 8191, '\p{Is_Block:--Greek EXTENDED}', "");
Expect(0, 8191, '\p{^Is_Block:--Greek EXTENDED}', "");
Expect(0, 8191, '\P{Is_Block:--Greek EXTENDED}', "");
Expect(1, 8191, '\P{^Is_Block:--Greek EXTENDED}', "");
Expect(0, 7935, '\p{Is_Block:--Greek EXTENDED}', "");
Expect(1, 7935, '\p{^Is_Block:--Greek EXTENDED}', "");
Expect(1, 7935, '\P{Is_Block:--Greek EXTENDED}', "");
Expect(0, 7935, '\P{^Is_Block:--Greek EXTENDED}', "");
Error('\p{Is_Blk=-GreekExtended/a/}');
Error('\P{Is_Blk=-GreekExtended/a/}');
Expect(1, 8191, '\p{Is_Blk=greekextended}', "");
Expect(0, 8191, '\p{^Is_Blk=greekextended}', "");
Expect(0, 8191, '\P{Is_Blk=greekextended}', "");
Expect(1, 8191, '\P{^Is_Blk=greekextended}', "");
Expect(0, 7935, '\p{Is_Blk=greekextended}', "");
Expect(1, 7935, '\p{^Is_Blk=greekextended}', "");
Expect(1, 7935, '\P{Is_Blk=greekextended}', "");
Expect(0, 7935, '\P{^Is_Blk=greekextended}', "");
Expect(1, 8191, '\p{Is_Blk=_greek_Extended}', "");
Expect(0, 8191, '\p{^Is_Blk=_greek_Extended}', "");
Expect(0, 8191, '\P{Is_Blk=_greek_Extended}', "");
Expect(1, 8191, '\P{^Is_Blk=_greek_Extended}', "");
Expect(0, 7935, '\p{Is_Blk=_greek_Extended}', "");
Expect(1, 7935, '\p{^Is_Blk=_greek_Extended}', "");
Expect(1, 7935, '\P{Is_Blk=_greek_Extended}', "");
Expect(0, 7935, '\P{^Is_Blk=_greek_Extended}', "");
Error('\p{Block= :=deseret}');
Error('\P{Block= :=deseret}');
Expect(1, 66639, '\p{Block=deseret}', "");
Expect(0, 66639, '\p{^Block=deseret}', "");
Expect(0, 66639, '\P{Block=deseret}', "");
Expect(1, 66639, '\P{^Block=deseret}', "");
Expect(0, 66559, '\p{Block=deseret}', "");
Expect(1, 66559, '\p{^Block=deseret}', "");
Expect(1, 66559, '\P{Block=deseret}', "");
Expect(0, 66559, '\P{^Block=deseret}', "");
Expect(1, 66639, '\p{Block=_DESERET}', "");
Expect(0, 66639, '\p{^Block=_DESERET}', "");
Expect(0, 66639, '\P{Block=_DESERET}', "");
Expect(1, 66639, '\P{^Block=_DESERET}', "");
Expect(0, 66559, '\p{Block=_DESERET}', "");
Expect(1, 66559, '\p{^Block=_DESERET}', "");
Expect(1, 66559, '\P{Block=_DESERET}', "");
Expect(0, 66559, '\P{^Block=_DESERET}', "");
Error('\p{Blk=--Deseret/a/}');
Error('\P{Blk=--Deseret/a/}');
Expect(1, 66639, '\p{Blk=deseret}', "");
Expect(0, 66639, '\p{^Blk=deseret}', "");
Expect(0, 66639, '\P{Blk=deseret}', "");
Expect(1, 66639, '\P{^Blk=deseret}', "");
Expect(0, 66559, '\p{Blk=deseret}', "");
Expect(1, 66559, '\p{^Blk=deseret}', "");
Expect(1, 66559, '\P{Blk=deseret}', "");
Expect(0, 66559, '\P{^Blk=deseret}', "");
Expect(1, 66639, '\p{Blk=_	DESERET}', "");
Expect(0, 66639, '\p{^Blk=_	DESERET}', "");
Expect(0, 66639, '\P{Blk=_	DESERET}', "");
Expect(1, 66639, '\P{^Blk=_	DESERET}', "");
Expect(0, 66559, '\p{Blk=_	DESERET}', "");
Expect(1, 66559, '\p{^Blk=_	DESERET}', "");
Expect(1, 66559, '\P{Blk=_	DESERET}', "");
Expect(0, 66559, '\P{^Blk=_	DESERET}', "");
Error('\p{Is_Block=:=_deseret}');
Error('\P{Is_Block=:=_deseret}');
Expect(1, 66639, '\p{Is_Block=deseret}', "");
Expect(0, 66639, '\p{^Is_Block=deseret}', "");
Expect(0, 66639, '\P{Is_Block=deseret}', "");
Expect(1, 66639, '\P{^Is_Block=deseret}', "");
Expect(0, 66559, '\p{Is_Block=deseret}', "");
Expect(1, 66559, '\p{^Is_Block=deseret}', "");
Expect(1, 66559, '\P{Is_Block=deseret}', "");
Expect(0, 66559, '\P{^Is_Block=deseret}', "");
Expect(1, 66639, '\p{Is_Block= -Deseret}', "");
Expect(0, 66639, '\p{^Is_Block= -Deseret}', "");
Expect(0, 66639, '\P{Is_Block= -Deseret}', "");
Expect(1, 66639, '\P{^Is_Block= -Deseret}', "");
Expect(0, 66559, '\p{Is_Block= -Deseret}', "");
Expect(1, 66559, '\p{^Is_Block= -Deseret}', "");
Expect(1, 66559, '\P{Is_Block= -Deseret}', "");
Expect(0, 66559, '\P{^Is_Block= -Deseret}', "");
Error('\p{Is_Blk=-/a/DESERET}');
Error('\P{Is_Blk=-/a/DESERET}');
Expect(1, 66639, '\p{Is_Blk=deseret}', "");
Expect(0, 66639, '\p{^Is_Blk=deseret}', "");
Expect(0, 66639, '\P{Is_Blk=deseret}', "");
Expect(1, 66639, '\P{^Is_Blk=deseret}', "");
Expect(0, 66559, '\p{Is_Blk=deseret}', "");
Expect(1, 66559, '\p{^Is_Blk=deseret}', "");
Expect(1, 66559, '\P{Is_Blk=deseret}', "");
Expect(0, 66559, '\P{^Is_Blk=deseret}', "");
Expect(1, 66639, '\p{Is_Blk=-DESERET}', "");
Expect(0, 66639, '\p{^Is_Blk=-DESERET}', "");
Expect(0, 66639, '\P{Is_Blk=-DESERET}', "");
Expect(1, 66639, '\P{^Is_Blk=-DESERET}', "");
Expect(0, 66559, '\p{Is_Blk=-DESERET}', "");
Expect(1, 66559, '\p{^Is_Blk=-DESERET}', "");
Expect(1, 66559, '\P{Is_Blk=-DESERET}', "");
Expect(0, 66559, '\P{^Is_Blk=-DESERET}', "");
Error('\p{Block=-/a/Tai Tham}');
Error('\P{Block=-/a/Tai Tham}');
Expect(1, 6831, '\p{Block:taitham}', "");
Expect(0, 6831, '\p{^Block:taitham}', "");
Expect(0, 6831, '\P{Block:taitham}', "");
Expect(1, 6831, '\P{^Block:taitham}', "");
Expect(0, 6687, '\p{Block:taitham}', "");
Expect(1, 6687, '\p{^Block:taitham}', "");
Expect(1, 6687, '\P{Block:taitham}', "");
Expect(0, 6687, '\P{^Block:taitham}', "");
Expect(1, 6831, '\p{Block=_ TAI_Tham}', "");
Expect(0, 6831, '\p{^Block=_ TAI_Tham}', "");
Expect(0, 6831, '\P{Block=_ TAI_Tham}', "");
Expect(1, 6831, '\P{^Block=_ TAI_Tham}', "");
Expect(0, 6687, '\p{Block=_ TAI_Tham}', "");
Expect(1, 6687, '\p{^Block=_ TAI_Tham}', "");
Expect(1, 6687, '\P{Block=_ TAI_Tham}', "");
Expect(0, 6687, '\P{^Block=_ TAI_Tham}', "");
Error('\p{Blk=_:=Tai-tham}');
Error('\P{Blk=_:=Tai-tham}');
Expect(1, 6831, '\p{Blk:   taitham}', "");
Expect(0, 6831, '\p{^Blk:   taitham}', "");
Expect(0, 6831, '\P{Blk:   taitham}', "");
Expect(1, 6831, '\P{^Blk:   taitham}', "");
Expect(0, 6687, '\p{Blk:   taitham}', "");
Expect(1, 6687, '\p{^Blk:   taitham}', "");
Expect(1, 6687, '\P{Blk:   taitham}', "");
Expect(0, 6687, '\P{^Blk:   taitham}', "");
Expect(1, 6831, '\p{Blk=Tai_tham}', "");
Expect(0, 6831, '\p{^Blk=Tai_tham}', "");
Expect(0, 6831, '\P{Blk=Tai_tham}', "");
Expect(1, 6831, '\P{^Blk=Tai_tham}', "");
Expect(0, 6687, '\p{Blk=Tai_tham}', "");
Expect(1, 6687, '\p{^Blk=Tai_tham}', "");
Expect(1, 6687, '\P{Blk=Tai_tham}', "");
Expect(0, 6687, '\P{^Blk=Tai_tham}', "");
Error('\p{Is_Block=:=	TAI-THAM}');
Error('\P{Is_Block=:=	TAI-THAM}');
Expect(1, 6831, '\p{Is_Block=taitham}', "");
Expect(0, 6831, '\p{^Is_Block=taitham}', "");
Expect(0, 6831, '\P{Is_Block=taitham}', "");
Expect(1, 6831, '\P{^Is_Block=taitham}', "");
Expect(0, 6687, '\p{Is_Block=taitham}', "");
Expect(1, 6687, '\p{^Is_Block=taitham}', "");
Expect(1, 6687, '\P{Is_Block=taitham}', "");
Expect(0, 6687, '\P{^Is_Block=taitham}', "");
Expect(1, 6831, '\p{Is_Block= 	Tai_THAM}', "");
Expect(0, 6831, '\p{^Is_Block= 	Tai_THAM}', "");
Expect(0, 6831, '\P{Is_Block= 	Tai_THAM}', "");
Expect(1, 6831, '\P{^Is_Block= 	Tai_THAM}', "");
Expect(0, 6687, '\p{Is_Block= 	Tai_THAM}', "");
Expect(1, 6687, '\p{^Is_Block= 	Tai_THAM}', "");
Expect(1, 6687, '\P{Is_Block= 	Tai_THAM}', "");
Expect(0, 6687, '\P{^Is_Block= 	Tai_THAM}', "");
Error('\p{Is_Blk=:=--TAITHAM}');
Error('\P{Is_Blk=:=--TAITHAM}');
Expect(1, 6831, '\p{Is_Blk=taitham}', "");
Expect(0, 6831, '\p{^Is_Blk=taitham}', "");
Expect(0, 6831, '\P{Is_Blk=taitham}', "");
Expect(1, 6831, '\P{^Is_Blk=taitham}', "");
Expect(0, 6687, '\p{Is_Blk=taitham}', "");
Expect(1, 6687, '\p{^Is_Blk=taitham}', "");
Expect(1, 6687, '\P{Is_Blk=taitham}', "");
Expect(0, 6687, '\P{^Is_Blk=taitham}', "");
Expect(1, 6831, '\p{Is_Blk: -taitham}', "");
Expect(0, 6831, '\p{^Is_Blk: -taitham}', "");
Expect(0, 6831, '\P{Is_Blk: -taitham}', "");
Expect(1, 6831, '\P{^Is_Blk: -taitham}', "");
Expect(0, 6687, '\p{Is_Blk: -taitham}', "");
Expect(1, 6687, '\p{^Is_Blk: -taitham}', "");
Expect(1, 6687, '\P{Is_Blk: -taitham}', "");
Expect(0, 6687, '\P{^Is_Blk: -taitham}', "");
Error('\p{Block=-/a/tagbanwa}');
Error('\P{Block=-/a/tagbanwa}');
Expect(1, 6015, '\p{Block=tagbanwa}', "");
Expect(0, 6015, '\p{^Block=tagbanwa}', "");
Expect(0, 6015, '\P{Block=tagbanwa}', "");
Expect(1, 6015, '\P{^Block=tagbanwa}', "");
Expect(0, 5983, '\p{Block=tagbanwa}', "");
Expect(1, 5983, '\p{^Block=tagbanwa}', "");
Expect(1, 5983, '\P{Block=tagbanwa}', "");
Expect(0, 5983, '\P{^Block=tagbanwa}', "");
Expect(1, 6015, '\p{Block=_	TAGBANWA}', "");
Expect(0, 6015, '\p{^Block=_	TAGBANWA}', "");
Expect(0, 6015, '\P{Block=_	TAGBANWA}', "");
Expect(1, 6015, '\P{^Block=_	TAGBANWA}', "");
Expect(0, 5983, '\p{Block=_	TAGBANWA}', "");
Expect(1, 5983, '\p{^Block=_	TAGBANWA}', "");
Expect(1, 5983, '\P{Block=_	TAGBANWA}', "");
Expect(0, 5983, '\P{^Block=_	TAGBANWA}', "");
Error('\p{Blk=/a/		tagbanwa}');
Error('\P{Blk=/a/		tagbanwa}');
Expect(1, 6015, '\p{Blk=tagbanwa}', "");
Expect(0, 6015, '\p{^Blk=tagbanwa}', "");
Expect(0, 6015, '\P{Blk=tagbanwa}', "");
Expect(1, 6015, '\P{^Blk=tagbanwa}', "");
Expect(0, 5983, '\p{Blk=tagbanwa}', "");
Expect(1, 5983, '\p{^Blk=tagbanwa}', "");
Expect(1, 5983, '\P{Blk=tagbanwa}', "");
Expect(0, 5983, '\P{^Blk=tagbanwa}', "");
Expect(1, 6015, '\p{Blk=_tagbanwa}', "");
Expect(0, 6015, '\p{^Blk=_tagbanwa}', "");
Expect(0, 6015, '\P{Blk=_tagbanwa}', "");
Expect(1, 6015, '\P{^Blk=_tagbanwa}', "");
Expect(0, 5983, '\p{Blk=_tagbanwa}', "");
Expect(1, 5983, '\p{^Blk=_tagbanwa}', "");
Expect(1, 5983, '\P{Blk=_tagbanwa}', "");
Expect(0, 5983, '\P{^Blk=_tagbanwa}', "");
Error('\p{Is_Block=		tagbanwa/a/}');
Error('\P{Is_Block=		tagbanwa/a/}');
Expect(1, 6015, '\p{Is_Block=tagbanwa}', "");
Expect(0, 6015, '\p{^Is_Block=tagbanwa}', "");
Expect(0, 6015, '\P{Is_Block=tagbanwa}', "");
Expect(1, 6015, '\P{^Is_Block=tagbanwa}', "");
Expect(0, 5983, '\p{Is_Block=tagbanwa}', "");
Expect(1, 5983, '\p{^Is_Block=tagbanwa}', "");
Expect(1, 5983, '\P{Is_Block=tagbanwa}', "");
Expect(0, 5983, '\P{^Is_Block=tagbanwa}', "");
Expect(1, 6015, '\p{Is_Block=  TAGBANWA}', "");
Expect(0, 6015, '\p{^Is_Block=  TAGBANWA}', "");
Expect(0, 6015, '\P{Is_Block=  TAGBANWA}', "");
Expect(1, 6015, '\P{^Is_Block=  TAGBANWA}', "");
Expect(0, 5983, '\p{Is_Block=  TAGBANWA}', "");
Expect(1, 5983, '\p{^Is_Block=  TAGBANWA}', "");
Expect(1, 5983, '\P{Is_Block=  TAGBANWA}', "");
Expect(0, 5983, '\P{^Is_Block=  TAGBANWA}', "");
Error('\p{Is_Blk=-/a/Tagbanwa}');
Error('\P{Is_Blk=-/a/Tagbanwa}');
Expect(1, 6015, '\p{Is_Blk=tagbanwa}', "");
Expect(0, 6015, '\p{^Is_Blk=tagbanwa}', "");
Expect(0, 6015, '\P{Is_Blk=tagbanwa}', "");
Expect(1, 6015, '\P{^Is_Blk=tagbanwa}', "");
Expect(0, 5983, '\p{Is_Blk=tagbanwa}', "");
Expect(1, 5983, '\p{^Is_Blk=tagbanwa}', "");
Expect(1, 5983, '\P{Is_Blk=tagbanwa}', "");
Expect(0, 5983, '\P{^Is_Blk=tagbanwa}', "");
Expect(1, 6015, '\p{Is_Blk=  Tagbanwa}', "");
Expect(0, 6015, '\p{^Is_Blk=  Tagbanwa}', "");
Expect(0, 6015, '\P{Is_Blk=  Tagbanwa}', "");
Expect(1, 6015, '\P{^Is_Blk=  Tagbanwa}', "");
Expect(0, 5983, '\p{Is_Blk=  Tagbanwa}', "");
Expect(1, 5983, '\p{^Is_Blk=  Tagbanwa}', "");
Expect(1, 5983, '\P{Is_Blk=  Tagbanwa}', "");
Expect(0, 5983, '\P{^Is_Blk=  Tagbanwa}', "");
Error('\p{Block=-/a/arabic}');
Error('\P{Block=-/a/arabic}');
Expect(1, 1791, '\p{Block=arabic}', "");
Expect(0, 1791, '\p{^Block=arabic}', "");
Expect(0, 1791, '\P{Block=arabic}', "");
Expect(1, 1791, '\P{^Block=arabic}', "");
Expect(0, 1535, '\p{Block=arabic}', "");
Expect(1, 1535, '\p{^Block=arabic}', "");
Expect(1, 1535, '\P{Block=arabic}', "");
Expect(0, 1535, '\P{^Block=arabic}', "");
Expect(1, 1791, '\p{Block=  ARABIC}', "");
Expect(0, 1791, '\p{^Block=  ARABIC}', "");
Expect(0, 1791, '\P{Block=  ARABIC}', "");
Expect(1, 1791, '\P{^Block=  ARABIC}', "");
Expect(0, 1535, '\p{Block=  ARABIC}', "");
Expect(1, 1535, '\p{^Block=  ARABIC}', "");
Expect(1, 1535, '\P{Block=  ARABIC}', "");
Expect(0, 1535, '\P{^Block=  ARABIC}', "");
Error('\p{Blk=/a/		arabic}');
Error('\P{Blk=/a/		arabic}');
Expect(1, 1791, '\p{Blk:   arabic}', "");
Expect(0, 1791, '\p{^Blk:   arabic}', "");
Expect(0, 1791, '\P{Blk:   arabic}', "");
Expect(1, 1791, '\P{^Blk:   arabic}', "");
Expect(0, 1535, '\p{Blk:   arabic}', "");
Expect(1, 1535, '\p{^Blk:   arabic}', "");
Expect(1, 1535, '\P{Blk:   arabic}', "");
Expect(0, 1535, '\P{^Blk:   arabic}', "");
Expect(1, 1791, '\p{Blk=-ARABIC}', "");
Expect(0, 1791, '\p{^Blk=-ARABIC}', "");
Expect(0, 1791, '\P{Blk=-ARABIC}', "");
Expect(1, 1791, '\P{^Blk=-ARABIC}', "");
Expect(0, 1535, '\p{Blk=-ARABIC}', "");
Expect(1, 1535, '\p{^Blk=-ARABIC}', "");
Expect(1, 1535, '\P{Blk=-ARABIC}', "");
Expect(0, 1535, '\P{^Blk=-ARABIC}', "");
Error('\p{Is_Block=/a/	ARABIC}');
Error('\P{Is_Block=/a/	ARABIC}');
Expect(1, 1791, '\p{Is_Block=arabic}', "");
Expect(0, 1791, '\p{^Is_Block=arabic}', "");
Expect(0, 1791, '\P{Is_Block=arabic}', "");
Expect(1, 1791, '\P{^Is_Block=arabic}', "");
Expect(0, 1535, '\p{Is_Block=arabic}', "");
Expect(1, 1535, '\p{^Is_Block=arabic}', "");
Expect(1, 1535, '\P{Is_Block=arabic}', "");
Expect(0, 1535, '\P{^Is_Block=arabic}', "");
Expect(1, 1791, '\p{Is_Block=__arabic}', "");
Expect(0, 1791, '\p{^Is_Block=__arabic}', "");
Expect(0, 1791, '\P{Is_Block=__arabic}', "");
Expect(1, 1791, '\P{^Is_Block=__arabic}', "");
Expect(0, 1535, '\p{Is_Block=__arabic}', "");
Expect(1, 1535, '\p{^Is_Block=__arabic}', "");
Expect(1, 1535, '\P{Is_Block=__arabic}', "");
Expect(0, 1535, '\P{^Is_Block=__arabic}', "");
Error('\p{Is_Blk=:=ARABIC}');
Error('\P{Is_Blk=:=ARABIC}');
Expect(1, 1791, '\p{Is_Blk:arabic}', "");
Expect(0, 1791, '\p{^Is_Blk:arabic}', "");
Expect(0, 1791, '\P{Is_Blk:arabic}', "");
Expect(1, 1791, '\P{^Is_Blk:arabic}', "");
Expect(0, 1535, '\p{Is_Blk:arabic}', "");
Expect(1, 1535, '\p{^Is_Blk:arabic}', "");
Expect(1, 1535, '\P{Is_Blk:arabic}', "");
Expect(0, 1535, '\P{^Is_Blk:arabic}', "");
Expect(1, 1791, '\p{Is_Blk=_ARABIC}', "");
Expect(0, 1791, '\p{^Is_Blk=_ARABIC}', "");
Expect(0, 1791, '\P{Is_Blk=_ARABIC}', "");
Expect(1, 1791, '\P{^Is_Blk=_ARABIC}', "");
Expect(0, 1535, '\p{Is_Blk=_ARABIC}', "");
Expect(1, 1535, '\p{^Is_Blk=_ARABIC}', "");
Expect(1, 1535, '\P{Is_Blk=_ARABIC}', "");
Expect(0, 1535, '\P{^Is_Blk=_ARABIC}', "");
Error('\p{Block=-	KATAKANA_Phonetic:=Extensions}');
Error('\P{Block=-	KATAKANA_Phonetic:=Extensions}');
Expect(1, 12799, '\p{Block=katakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^Block=katakanaphoneticextensions}', "");
Expect(0, 12799, '\P{Block=katakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^Block=katakanaphoneticextensions}', "");
Expect(0, 12783, '\p{Block=katakanaphoneticextensions}', "");
Expect(1, 12783, '\p{^Block=katakanaphoneticextensions}', "");
Expect(1, 12783, '\P{Block=katakanaphoneticextensions}', "");
Expect(0, 12783, '\P{^Block=katakanaphoneticextensions}', "");
Expect(1, 12799, '\p{Block= 	katakana Phonetic_Extensions}', "");
Expect(0, 12799, '\p{^Block= 	katakana Phonetic_Extensions}', "");
Expect(0, 12799, '\P{Block= 	katakana Phonetic_Extensions}', "");
Expect(1, 12799, '\P{^Block= 	katakana Phonetic_Extensions}', "");
Expect(0, 12783, '\p{Block= 	katakana Phonetic_Extensions}', "");
Expect(1, 12783, '\p{^Block= 	katakana Phonetic_Extensions}', "");
Expect(1, 12783, '\P{Block= 	katakana Phonetic_Extensions}', "");
Expect(0, 12783, '\P{^Block= 	katakana Phonetic_Extensions}', "");
Error('\p{Blk=	/a/katakana	phoneticEXTENSIONS}');
Error('\P{Blk=	/a/katakana	phoneticEXTENSIONS}');
Expect(1, 12799, '\p{Blk=katakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^Blk=katakanaphoneticextensions}', "");
Expect(0, 12799, '\P{Blk=katakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^Blk=katakanaphoneticextensions}', "");
Expect(0, 12783, '\p{Blk=katakanaphoneticextensions}', "");
Expect(1, 12783, '\p{^Blk=katakanaphoneticextensions}', "");
Expect(1, 12783, '\P{Blk=katakanaphoneticextensions}', "");
Expect(0, 12783, '\P{^Blk=katakanaphoneticextensions}', "");
Expect(1, 12799, '\p{Blk=_ katakana PHONETIC	EXTENSIONS}', "");
Expect(0, 12799, '\p{^Blk=_ katakana PHONETIC	EXTENSIONS}', "");
Expect(0, 12799, '\P{Blk=_ katakana PHONETIC	EXTENSIONS}', "");
Expect(1, 12799, '\P{^Blk=_ katakana PHONETIC	EXTENSIONS}', "");
Expect(0, 12783, '\p{Blk=_ katakana PHONETIC	EXTENSIONS}', "");
Expect(1, 12783, '\p{^Blk=_ katakana PHONETIC	EXTENSIONS}', "");
Expect(1, 12783, '\P{Blk=_ katakana PHONETIC	EXTENSIONS}', "");
Expect(0, 12783, '\P{^Blk=_ katakana PHONETIC	EXTENSIONS}', "");
Error('\p{Is_Block= :=KATAKANA Phonetic-extensions}');
Error('\P{Is_Block= :=KATAKANA Phonetic-extensions}');
Expect(1, 12799, '\p{Is_Block=katakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^Is_Block=katakanaphoneticextensions}', "");
Expect(0, 12799, '\P{Is_Block=katakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^Is_Block=katakanaphoneticextensions}', "");
Expect(0, 12783, '\p{Is_Block=katakanaphoneticextensions}', "");
Expect(1, 12783, '\p{^Is_Block=katakanaphoneticextensions}', "");
Expect(1, 12783, '\P{Is_Block=katakanaphoneticextensions}', "");
Expect(0, 12783, '\P{^Is_Block=katakanaphoneticextensions}', "");
Expect(1, 12799, '\p{Is_Block=_	Katakana PhoneticEXTENSIONS}', "");
Expect(0, 12799, '\p{^Is_Block=_	Katakana PhoneticEXTENSIONS}', "");
Expect(0, 12799, '\P{Is_Block=_	Katakana PhoneticEXTENSIONS}', "");
Expect(1, 12799, '\P{^Is_Block=_	Katakana PhoneticEXTENSIONS}', "");
Expect(0, 12783, '\p{Is_Block=_	Katakana PhoneticEXTENSIONS}', "");
Expect(1, 12783, '\p{^Is_Block=_	Katakana PhoneticEXTENSIONS}', "");
Expect(1, 12783, '\P{Is_Block=_	Katakana PhoneticEXTENSIONS}', "");
Expect(0, 12783, '\P{^Is_Block=_	Katakana PhoneticEXTENSIONS}', "");
Error('\p{Is_Blk=		katakana	Phonetic-Extensions/a/}');
Error('\P{Is_Blk=		katakana	Phonetic-Extensions/a/}');
Expect(1, 12799, '\p{Is_Blk=katakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^Is_Blk=katakanaphoneticextensions}', "");
Expect(0, 12799, '\P{Is_Blk=katakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^Is_Blk=katakanaphoneticextensions}', "");
Expect(0, 12783, '\p{Is_Blk=katakanaphoneticextensions}', "");
Expect(1, 12783, '\p{^Is_Blk=katakanaphoneticextensions}', "");
Expect(1, 12783, '\P{Is_Blk=katakanaphoneticextensions}', "");
Expect(0, 12783, '\P{^Is_Blk=katakanaphoneticextensions}', "");
Expect(1, 12799, '\p{Is_Blk=	 Katakana-phonetic	Extensions}', "");
Expect(0, 12799, '\p{^Is_Blk=	 Katakana-phonetic	Extensions}', "");
Expect(0, 12799, '\P{Is_Blk=	 Katakana-phonetic	Extensions}', "");
Expect(1, 12799, '\P{^Is_Blk=	 Katakana-phonetic	Extensions}', "");
Expect(0, 12783, '\p{Is_Blk=	 Katakana-phonetic	Extensions}', "");
Expect(1, 12783, '\p{^Is_Blk=	 Katakana-phonetic	Extensions}', "");
Expect(1, 12783, '\P{Is_Blk=	 Katakana-phonetic	Extensions}', "");
Expect(0, 12783, '\P{^Is_Blk=	 Katakana-phonetic	Extensions}', "");
Error('\p{Block= letterlikeSYMBOLS:=}');
Error('\P{Block= letterlikeSYMBOLS:=}');
Expect(1, 8527, '\p{Block:   letterlikesymbols}', "");
Expect(0, 8527, '\p{^Block:   letterlikesymbols}', "");
Expect(0, 8527, '\P{Block:   letterlikesymbols}', "");
Expect(1, 8527, '\P{^Block:   letterlikesymbols}', "");
Expect(0, 8447, '\p{Block:   letterlikesymbols}', "");
Expect(1, 8447, '\p{^Block:   letterlikesymbols}', "");
Expect(1, 8447, '\P{Block:   letterlikesymbols}', "");
Expect(0, 8447, '\P{^Block:   letterlikesymbols}', "");
Expect(1, 8527, '\p{Block=		letterlikeSYMBOLS}', "");
Expect(0, 8527, '\p{^Block=		letterlikeSYMBOLS}', "");
Expect(0, 8527, '\P{Block=		letterlikeSYMBOLS}', "");
Expect(1, 8527, '\P{^Block=		letterlikeSYMBOLS}', "");
Expect(0, 8447, '\p{Block=		letterlikeSYMBOLS}', "");
Expect(1, 8447, '\p{^Block=		letterlikeSYMBOLS}', "");
Expect(1, 8447, '\P{Block=		letterlikeSYMBOLS}', "");
Expect(0, 8447, '\P{^Block=		letterlikeSYMBOLS}', "");
Error('\p{Blk=-	Letterlike:=Symbols}');
Error('\P{Blk=-	Letterlike:=Symbols}');
Expect(1, 8527, '\p{Blk=letterlikesymbols}', "");
Expect(0, 8527, '\p{^Blk=letterlikesymbols}', "");
Expect(0, 8527, '\P{Blk=letterlikesymbols}', "");
Expect(1, 8527, '\P{^Blk=letterlikesymbols}', "");
Expect(0, 8447, '\p{Blk=letterlikesymbols}', "");
Expect(1, 8447, '\p{^Blk=letterlikesymbols}', "");
Expect(1, 8447, '\P{Blk=letterlikesymbols}', "");
Expect(0, 8447, '\P{^Blk=letterlikesymbols}', "");
Expect(1, 8527, '\p{Blk:	_	LETTERLIKE-symbols}', "");
Expect(0, 8527, '\p{^Blk:	_	LETTERLIKE-symbols}', "");
Expect(0, 8527, '\P{Blk:	_	LETTERLIKE-symbols}', "");
Expect(1, 8527, '\P{^Blk:	_	LETTERLIKE-symbols}', "");
Expect(0, 8447, '\p{Blk:	_	LETTERLIKE-symbols}', "");
Expect(1, 8447, '\p{^Blk:	_	LETTERLIKE-symbols}', "");
Expect(1, 8447, '\P{Blk:	_	LETTERLIKE-symbols}', "");
Expect(0, 8447, '\P{^Blk:	_	LETTERLIKE-symbols}', "");
Error('\p{Is_Block= Letterlike/a/SYMBOLS}');
Error('\P{Is_Block= Letterlike/a/SYMBOLS}');
Expect(1, 8527, '\p{Is_Block=letterlikesymbols}', "");
Expect(0, 8527, '\p{^Is_Block=letterlikesymbols}', "");
Expect(0, 8527, '\P{Is_Block=letterlikesymbols}', "");
Expect(1, 8527, '\P{^Is_Block=letterlikesymbols}', "");
Expect(0, 8447, '\p{Is_Block=letterlikesymbols}', "");
Expect(1, 8447, '\p{^Is_Block=letterlikesymbols}', "");
Expect(1, 8447, '\P{Is_Block=letterlikesymbols}', "");
Expect(0, 8447, '\P{^Is_Block=letterlikesymbols}', "");
Expect(1, 8527, '\p{Is_Block=-_Letterlikesymbols}', "");
Expect(0, 8527, '\p{^Is_Block=-_Letterlikesymbols}', "");
Expect(0, 8527, '\P{Is_Block=-_Letterlikesymbols}', "");
Expect(1, 8527, '\P{^Is_Block=-_Letterlikesymbols}', "");
Expect(0, 8447, '\p{Is_Block=-_Letterlikesymbols}', "");
Expect(1, 8447, '\p{^Is_Block=-_Letterlikesymbols}', "");
Expect(1, 8447, '\P{Is_Block=-_Letterlikesymbols}', "");
Expect(0, 8447, '\P{^Is_Block=-_Letterlikesymbols}', "");
Error('\p{Is_Blk=	/a/Letterlike-Symbols}');
Error('\P{Is_Blk=	/a/Letterlike-Symbols}');
Expect(1, 8527, '\p{Is_Blk=letterlikesymbols}', "");
Expect(0, 8527, '\p{^Is_Blk=letterlikesymbols}', "");
Expect(0, 8527, '\P{Is_Blk=letterlikesymbols}', "");
Expect(1, 8527, '\P{^Is_Blk=letterlikesymbols}', "");
Expect(0, 8447, '\p{Is_Blk=letterlikesymbols}', "");
Expect(1, 8447, '\p{^Is_Blk=letterlikesymbols}', "");
Expect(1, 8447, '\P{Is_Blk=letterlikesymbols}', "");
Expect(0, 8447, '\P{^Is_Blk=letterlikesymbols}', "");
Expect(1, 8527, '\p{Is_Blk:   - LETTERLIKE SYMBOLS}', "");
Expect(0, 8527, '\p{^Is_Blk:   - LETTERLIKE SYMBOLS}', "");
Expect(0, 8527, '\P{Is_Blk:   - LETTERLIKE SYMBOLS}', "");
Expect(1, 8527, '\P{^Is_Blk:   - LETTERLIKE SYMBOLS}', "");
Expect(0, 8447, '\p{Is_Blk:   - LETTERLIKE SYMBOLS}', "");
Expect(1, 8447, '\p{^Is_Blk:   - LETTERLIKE SYMBOLS}', "");
Expect(1, 8447, '\P{Is_Blk:   - LETTERLIKE SYMBOLS}', "");
Expect(0, 8447, '\P{^Is_Blk:   - LETTERLIKE SYMBOLS}', "");
Error('\p{Block=/a/LATIN Extended_C}');
Error('\P{Block=/a/LATIN Extended_C}');
Expect(1, 11391, '\p{Block: latinextendedc}', "");
Expect(0, 11391, '\p{^Block: latinextendedc}', "");
Expect(0, 11391, '\P{Block: latinextendedc}', "");
Expect(1, 11391, '\P{^Block: latinextendedc}', "");
Expect(0, 11359, '\p{Block: latinextendedc}', "");
Expect(1, 11359, '\p{^Block: latinextendedc}', "");
Expect(1, 11359, '\P{Block: latinextendedc}', "");
Expect(0, 11359, '\P{^Block: latinextendedc}', "");
Expect(1, 11391, '\p{Block= 	LATIN EXTENDEDC}', "");
Expect(0, 11391, '\p{^Block= 	LATIN EXTENDEDC}', "");
Expect(0, 11391, '\P{Block= 	LATIN EXTENDEDC}', "");
Expect(1, 11391, '\P{^Block= 	LATIN EXTENDEDC}', "");
Expect(0, 11359, '\p{Block= 	LATIN EXTENDEDC}', "");
Expect(1, 11359, '\p{^Block= 	LATIN EXTENDEDC}', "");
Expect(1, 11359, '\P{Block= 	LATIN EXTENDEDC}', "");
Expect(0, 11359, '\P{^Block= 	LATIN EXTENDEDC}', "");
Error('\p{Blk=	Latin/a/Extended-C}');
Error('\P{Blk=	Latin/a/Extended-C}');
Expect(1, 11391, '\p{Blk=latinextendedc}', "");
Expect(0, 11391, '\p{^Blk=latinextendedc}', "");
Expect(0, 11391, '\P{Blk=latinextendedc}', "");
Expect(1, 11391, '\P{^Blk=latinextendedc}', "");
Expect(0, 11359, '\p{Blk=latinextendedc}', "");
Expect(1, 11359, '\p{^Blk=latinextendedc}', "");
Expect(1, 11359, '\P{Blk=latinextendedc}', "");
Expect(0, 11359, '\P{^Blk=latinextendedc}', "");
Expect(1, 11391, '\p{Blk=__latin Extended-C}', "");
Expect(0, 11391, '\p{^Blk=__latin Extended-C}', "");
Expect(0, 11391, '\P{Blk=__latin Extended-C}', "");
Expect(1, 11391, '\P{^Blk=__latin Extended-C}', "");
Expect(0, 11359, '\p{Blk=__latin Extended-C}', "");
Expect(1, 11359, '\p{^Blk=__latin Extended-C}', "");
Expect(1, 11359, '\P{Blk=__latin Extended-C}', "");
Expect(0, 11359, '\P{^Blk=__latin Extended-C}', "");
Error('\p{Is_Block=		LATIN	extended_c/a/}');
Error('\P{Is_Block=		LATIN	extended_c/a/}');
Expect(1, 11391, '\p{Is_Block=latinextendedc}', "");
Expect(0, 11391, '\p{^Is_Block=latinextendedc}', "");
Expect(0, 11391, '\P{Is_Block=latinextendedc}', "");
Expect(1, 11391, '\P{^Is_Block=latinextendedc}', "");
Expect(0, 11359, '\p{Is_Block=latinextendedc}', "");
Expect(1, 11359, '\p{^Is_Block=latinextendedc}', "");
Expect(1, 11359, '\P{Is_Block=latinextendedc}', "");
Expect(0, 11359, '\P{^Is_Block=latinextendedc}', "");
Expect(1, 11391, '\p{Is_Block=	 LatinExtended	c}', "");
Expect(0, 11391, '\p{^Is_Block=	 LatinExtended	c}', "");
Expect(0, 11391, '\P{Is_Block=	 LatinExtended	c}', "");
Expect(1, 11391, '\P{^Is_Block=	 LatinExtended	c}', "");
Expect(0, 11359, '\p{Is_Block=	 LatinExtended	c}', "");
Expect(1, 11359, '\p{^Is_Block=	 LatinExtended	c}', "");
Expect(1, 11359, '\P{Is_Block=	 LatinExtended	c}', "");
Expect(0, 11359, '\P{^Is_Block=	 LatinExtended	c}', "");
Error('\p{Is_Blk=_:=Latin_Extended-C}');
Error('\P{Is_Blk=_:=Latin_Extended-C}');
Expect(1, 11391, '\p{Is_Blk=latinextendedc}', "");
Expect(0, 11391, '\p{^Is_Blk=latinextendedc}', "");
Expect(0, 11391, '\P{Is_Blk=latinextendedc}', "");
Expect(1, 11391, '\P{^Is_Blk=latinextendedc}', "");
Expect(0, 11359, '\p{Is_Blk=latinextendedc}', "");
Expect(1, 11359, '\p{^Is_Blk=latinextendedc}', "");
Expect(1, 11359, '\P{Is_Blk=latinextendedc}', "");
Expect(0, 11359, '\P{^Is_Blk=latinextendedc}', "");
Expect(1, 11391, '\p{Is_Blk=  LATIN extendedC}', "");
Expect(0, 11391, '\p{^Is_Blk=  LATIN extendedC}', "");
Expect(0, 11391, '\P{Is_Blk=  LATIN extendedC}', "");
Expect(1, 11391, '\P{^Is_Blk=  LATIN extendedC}', "");
Expect(0, 11359, '\p{Is_Blk=  LATIN extendedC}', "");
Expect(1, 11359, '\p{^Is_Blk=  LATIN extendedC}', "");
Expect(1, 11359, '\P{Is_Blk=  LATIN extendedC}', "");
Expect(0, 11359, '\P{^Is_Blk=  LATIN extendedC}', "");
Error('\p{Block=_Common-Indic:=Number	FORMS}');
Error('\P{Block=_Common-Indic:=Number	FORMS}');
Expect(1, 43071, '\p{Block=commonindicnumberforms}', "");
Expect(0, 43071, '\p{^Block=commonindicnumberforms}', "");
Expect(0, 43071, '\P{Block=commonindicnumberforms}', "");
Expect(1, 43071, '\P{^Block=commonindicnumberforms}', "");
Expect(0, 43055, '\p{Block=commonindicnumberforms}', "");
Expect(1, 43055, '\p{^Block=commonindicnumberforms}', "");
Expect(1, 43055, '\P{Block=commonindicnumberforms}', "");
Expect(0, 43055, '\P{^Block=commonindicnumberforms}', "");
Expect(1, 43071, '\p{Block=	-common_INDICNUMBER-forms}', "");
Expect(0, 43071, '\p{^Block=	-common_INDICNUMBER-forms}', "");
Expect(0, 43071, '\P{Block=	-common_INDICNUMBER-forms}', "");
Expect(1, 43071, '\P{^Block=	-common_INDICNUMBER-forms}', "");
Expect(0, 43055, '\p{Block=	-common_INDICNUMBER-forms}', "");
Expect(1, 43055, '\p{^Block=	-common_INDICNUMBER-forms}', "");
Expect(1, 43055, '\P{Block=	-common_INDICNUMBER-forms}', "");
Expect(0, 43055, '\P{^Block=	-common_INDICNUMBER-forms}', "");
Error('\p{Blk= Common-Indic-Number:=FORMS}');
Error('\P{Blk= Common-Indic-Number:=FORMS}');
Expect(1, 43071, '\p{Blk=commonindicnumberforms}', "");
Expect(0, 43071, '\p{^Blk=commonindicnumberforms}', "");
Expect(0, 43071, '\P{Blk=commonindicnumberforms}', "");
Expect(1, 43071, '\P{^Blk=commonindicnumberforms}', "");
Expect(0, 43055, '\p{Blk=commonindicnumberforms}', "");
Expect(1, 43055, '\p{^Blk=commonindicnumberforms}', "");
Expect(1, 43055, '\P{Blk=commonindicnumberforms}', "");
Expect(0, 43055, '\P{^Blk=commonindicnumberforms}', "");
Expect(1, 43071, '\p{Blk=_	Common-indic-Number	Forms}', "");
Expect(0, 43071, '\p{^Blk=_	Common-indic-Number	Forms}', "");
Expect(0, 43071, '\P{Blk=_	Common-indic-Number	Forms}', "");
Expect(1, 43071, '\P{^Blk=_	Common-indic-Number	Forms}', "");
Expect(0, 43055, '\p{Blk=_	Common-indic-Number	Forms}', "");
Expect(1, 43055, '\p{^Blk=_	Common-indic-Number	Forms}', "");
Expect(1, 43055, '\P{Blk=_	Common-indic-Number	Forms}', "");
Expect(0, 43055, '\P{^Blk=_	Common-indic-Number	Forms}', "");
Error('\p{Is_Block=-/a/COMMON-Indic Number-forms}');
Error('\P{Is_Block=-/a/COMMON-Indic Number-forms}');
Expect(1, 43071, '\p{Is_Block=commonindicnumberforms}', "");
Expect(0, 43071, '\p{^Is_Block=commonindicnumberforms}', "");
Expect(0, 43071, '\P{Is_Block=commonindicnumberforms}', "");
Expect(1, 43071, '\P{^Is_Block=commonindicnumberforms}', "");
Expect(0, 43055, '\p{Is_Block=commonindicnumberforms}', "");
Expect(1, 43055, '\p{^Is_Block=commonindicnumberforms}', "");
Expect(1, 43055, '\P{Is_Block=commonindicnumberforms}', "");
Expect(0, 43055, '\P{^Is_Block=commonindicnumberforms}', "");
Expect(1, 43071, '\p{Is_Block=	 Common Indic NUMBER-Forms}', "");
Expect(0, 43071, '\p{^Is_Block=	 Common Indic NUMBER-Forms}', "");
Expect(0, 43071, '\P{Is_Block=	 Common Indic NUMBER-Forms}', "");
Expect(1, 43071, '\P{^Is_Block=	 Common Indic NUMBER-Forms}', "");
Expect(0, 43055, '\p{Is_Block=	 Common Indic NUMBER-Forms}', "");
Expect(1, 43055, '\p{^Is_Block=	 Common Indic NUMBER-Forms}', "");
Expect(1, 43055, '\P{Is_Block=	 Common Indic NUMBER-Forms}', "");
Expect(0, 43055, '\P{^Is_Block=	 Common Indic NUMBER-Forms}', "");
Error('\p{Is_Blk=- Common-Indic/a/number FORMS}');
Error('\P{Is_Blk=- Common-Indic/a/number FORMS}');
Expect(1, 43071, '\p{Is_Blk=commonindicnumberforms}', "");
Expect(0, 43071, '\p{^Is_Blk=commonindicnumberforms}', "");
Expect(0, 43071, '\P{Is_Blk=commonindicnumberforms}', "");
Expect(1, 43071, '\P{^Is_Blk=commonindicnumberforms}', "");
Expect(0, 43055, '\p{Is_Blk=commonindicnumberforms}', "");
Expect(1, 43055, '\p{^Is_Blk=commonindicnumberforms}', "");
Expect(1, 43055, '\P{Is_Blk=commonindicnumberforms}', "");
Expect(0, 43055, '\P{^Is_Blk=commonindicnumberforms}', "");
Expect(1, 43071, '\p{Is_Blk= _Common-INDIC_number_forms}', "");
Expect(0, 43071, '\p{^Is_Blk= _Common-INDIC_number_forms}', "");
Expect(0, 43071, '\P{Is_Blk= _Common-INDIC_number_forms}', "");
Expect(1, 43071, '\P{^Is_Blk= _Common-INDIC_number_forms}', "");
Expect(0, 43055, '\p{Is_Blk= _Common-INDIC_number_forms}', "");
Expect(1, 43055, '\p{^Is_Blk= _Common-INDIC_number_forms}', "");
Expect(1, 43055, '\P{Is_Blk= _Common-INDIC_number_forms}', "");
Expect(0, 43055, '\P{^Is_Blk= _Common-INDIC_number_forms}', "");
Error('\p{Block=_/a/Meetei	MAYEK}');
Error('\P{Block=_/a/Meetei	MAYEK}');
Expect(1, 44031, '\p{Block: meeteimayek}', "");
Expect(0, 44031, '\p{^Block: meeteimayek}', "");
Expect(0, 44031, '\P{Block: meeteimayek}', "");
Expect(1, 44031, '\P{^Block: meeteimayek}', "");
Expect(0, 43967, '\p{Block: meeteimayek}', "");
Expect(1, 43967, '\p{^Block: meeteimayek}', "");
Expect(1, 43967, '\P{Block: meeteimayek}', "");
Expect(0, 43967, '\P{^Block: meeteimayek}', "");
Expect(1, 44031, '\p{Block=	 MEETEI Mayek}', "");
Expect(0, 44031, '\p{^Block=	 MEETEI Mayek}', "");
Expect(0, 44031, '\P{Block=	 MEETEI Mayek}', "");
Expect(1, 44031, '\P{^Block=	 MEETEI Mayek}', "");
Expect(0, 43967, '\p{Block=	 MEETEI Mayek}', "");
Expect(1, 43967, '\p{^Block=	 MEETEI Mayek}', "");
Expect(1, 43967, '\P{Block=	 MEETEI Mayek}', "");
Expect(0, 43967, '\P{^Block=	 MEETEI Mayek}', "");
Error('\p{Blk=	-MeeteiMAYEK/a/}');
Error('\P{Blk=	-MeeteiMAYEK/a/}');
Expect(1, 44031, '\p{Blk:	meeteimayek}', "");
Expect(0, 44031, '\p{^Blk:	meeteimayek}', "");
Expect(0, 44031, '\P{Blk:	meeteimayek}', "");
Expect(1, 44031, '\P{^Blk:	meeteimayek}', "");
Expect(0, 43967, '\p{Blk:	meeteimayek}', "");
Expect(1, 43967, '\p{^Blk:	meeteimayek}', "");
Expect(1, 43967, '\P{Blk:	meeteimayek}', "");
Expect(0, 43967, '\P{^Blk:	meeteimayek}', "");
Expect(1, 44031, '\p{Blk=-	MeeteiMAYEK}', "");
Expect(0, 44031, '\p{^Blk=-	MeeteiMAYEK}', "");
Expect(0, 44031, '\P{Blk=-	MeeteiMAYEK}', "");
Expect(1, 44031, '\P{^Blk=-	MeeteiMAYEK}', "");
Expect(0, 43967, '\p{Blk=-	MeeteiMAYEK}', "");
Expect(1, 43967, '\p{^Blk=-	MeeteiMAYEK}', "");
Expect(1, 43967, '\P{Blk=-	MeeteiMAYEK}', "");
Expect(0, 43967, '\P{^Blk=-	MeeteiMAYEK}', "");
Error('\p{Is_Block=:=meetei_Mayek}');
Error('\P{Is_Block=:=meetei_Mayek}');
Expect(1, 44031, '\p{Is_Block=meeteimayek}', "");
Expect(0, 44031, '\p{^Is_Block=meeteimayek}', "");
Expect(0, 44031, '\P{Is_Block=meeteimayek}', "");
Expect(1, 44031, '\P{^Is_Block=meeteimayek}', "");
Expect(0, 43967, '\p{Is_Block=meeteimayek}', "");
Expect(1, 43967, '\p{^Is_Block=meeteimayek}', "");
Expect(1, 43967, '\P{Is_Block=meeteimayek}', "");
Expect(0, 43967, '\P{^Is_Block=meeteimayek}', "");
Expect(1, 44031, '\p{Is_Block=_meetei	Mayek}', "");
Expect(0, 44031, '\p{^Is_Block=_meetei	Mayek}', "");
Expect(0, 44031, '\P{Is_Block=_meetei	Mayek}', "");
Expect(1, 44031, '\P{^Is_Block=_meetei	Mayek}', "");
Expect(0, 43967, '\p{Is_Block=_meetei	Mayek}', "");
Expect(1, 43967, '\p{^Is_Block=_meetei	Mayek}', "");
Expect(1, 43967, '\P{Is_Block=_meetei	Mayek}', "");
Expect(0, 43967, '\P{^Is_Block=_meetei	Mayek}', "");
Error('\p{Is_Blk=	:=Meetei-Mayek}');
Error('\P{Is_Blk=	:=Meetei-Mayek}');
Expect(1, 44031, '\p{Is_Blk=meeteimayek}', "");
Expect(0, 44031, '\p{^Is_Blk=meeteimayek}', "");
Expect(0, 44031, '\P{Is_Blk=meeteimayek}', "");
Expect(1, 44031, '\P{^Is_Blk=meeteimayek}', "");
Expect(0, 43967, '\p{Is_Blk=meeteimayek}', "");
Expect(1, 43967, '\p{^Is_Blk=meeteimayek}', "");
Expect(1, 43967, '\P{Is_Blk=meeteimayek}', "");
Expect(0, 43967, '\P{^Is_Blk=meeteimayek}', "");
Expect(1, 44031, '\p{Is_Blk=-_MEETEI-mayek}', "");
Expect(0, 44031, '\p{^Is_Blk=-_MEETEI-mayek}', "");
Expect(0, 44031, '\P{Is_Blk=-_MEETEI-mayek}', "");
Expect(1, 44031, '\P{^Is_Blk=-_MEETEI-mayek}', "");
Expect(0, 43967, '\p{Is_Blk=-_MEETEI-mayek}', "");
Expect(1, 43967, '\p{^Is_Blk=-_MEETEI-mayek}', "");
Expect(1, 43967, '\P{Is_Blk=-_MEETEI-mayek}', "");
Expect(0, 43967, '\P{^Is_Blk=-_MEETEI-mayek}', "");
Error('\p{Block=_Supplemental:=mathematicalOperators}');
Error('\P{Block=_Supplemental:=mathematicalOperators}');
Expect(1, 11007, '\p{Block:supplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^Block:supplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{Block:supplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^Block:supplementalmathematicaloperators}', "");
Expect(0, 10751, '\p{Block:supplementalmathematicaloperators}', "");
Expect(1, 10751, '\p{^Block:supplementalmathematicaloperators}', "");
Expect(1, 10751, '\P{Block:supplementalmathematicaloperators}', "");
Expect(0, 10751, '\P{^Block:supplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{Block=	 Supplemental_Mathematical_OPERATORS}', "");
Expect(0, 11007, '\p{^Block=	 Supplemental_Mathematical_OPERATORS}', "");
Expect(0, 11007, '\P{Block=	 Supplemental_Mathematical_OPERATORS}', "");
Expect(1, 11007, '\P{^Block=	 Supplemental_Mathematical_OPERATORS}', "");
Expect(0, 10751, '\p{Block=	 Supplemental_Mathematical_OPERATORS}', "");
Expect(1, 10751, '\p{^Block=	 Supplemental_Mathematical_OPERATORS}', "");
Expect(1, 10751, '\P{Block=	 Supplemental_Mathematical_OPERATORS}', "");
Expect(0, 10751, '\P{^Block=	 Supplemental_Mathematical_OPERATORS}', "");
Error('\p{Blk=_	Supplemental/a/Mathematical_OPERATORS}');
Error('\P{Blk=_	Supplemental/a/Mathematical_OPERATORS}');
Expect(1, 11007, '\p{Blk=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^Blk=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{Blk=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^Blk=supplementalmathematicaloperators}', "");
Expect(0, 10751, '\p{Blk=supplementalmathematicaloperators}', "");
Expect(1, 10751, '\p{^Blk=supplementalmathematicaloperators}', "");
Expect(1, 10751, '\P{Blk=supplementalmathematicaloperators}', "");
Expect(0, 10751, '\P{^Blk=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{Blk= Supplemental	MATHEMATICAL Operators}', "");
Expect(0, 11007, '\p{^Blk= Supplemental	MATHEMATICAL Operators}', "");
Expect(0, 11007, '\P{Blk= Supplemental	MATHEMATICAL Operators}', "");
Expect(1, 11007, '\P{^Blk= Supplemental	MATHEMATICAL Operators}', "");
Expect(0, 10751, '\p{Blk= Supplemental	MATHEMATICAL Operators}', "");
Expect(1, 10751, '\p{^Blk= Supplemental	MATHEMATICAL Operators}', "");
Expect(1, 10751, '\P{Blk= Supplemental	MATHEMATICAL Operators}', "");
Expect(0, 10751, '\P{^Blk= Supplemental	MATHEMATICAL Operators}', "");
Error('\p{Is_Block=:=-Supplemental	Mathematical Operators}');
Error('\P{Is_Block=:=-Supplemental	Mathematical Operators}');
Expect(1, 11007, '\p{Is_Block=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^Is_Block=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{Is_Block=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^Is_Block=supplementalmathematicaloperators}', "");
Expect(0, 10751, '\p{Is_Block=supplementalmathematicaloperators}', "");
Expect(1, 10751, '\p{^Is_Block=supplementalmathematicaloperators}', "");
Expect(1, 10751, '\P{Is_Block=supplementalmathematicaloperators}', "");
Expect(0, 10751, '\P{^Is_Block=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{Is_Block=_	Supplemental-mathematical	OPERATORS}', "");
Expect(0, 11007, '\p{^Is_Block=_	Supplemental-mathematical	OPERATORS}', "");
Expect(0, 11007, '\P{Is_Block=_	Supplemental-mathematical	OPERATORS}', "");
Expect(1, 11007, '\P{^Is_Block=_	Supplemental-mathematical	OPERATORS}', "");
Expect(0, 10751, '\p{Is_Block=_	Supplemental-mathematical	OPERATORS}', "");
Expect(1, 10751, '\p{^Is_Block=_	Supplemental-mathematical	OPERATORS}', "");
Expect(1, 10751, '\P{Is_Block=_	Supplemental-mathematical	OPERATORS}', "");
Expect(0, 10751, '\P{^Is_Block=_	Supplemental-mathematical	OPERATORS}', "");
Error('\p{Is_Blk=/a/Supplemental_MATHEMATICAL-OPERATORS}');
Error('\P{Is_Blk=/a/Supplemental_MATHEMATICAL-OPERATORS}');
Expect(1, 11007, '\p{Is_Blk=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^Is_Blk=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{Is_Blk=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^Is_Blk=supplementalmathematicaloperators}', "");
Expect(0, 10751, '\p{Is_Blk=supplementalmathematicaloperators}', "");
Expect(1, 10751, '\p{^Is_Blk=supplementalmathematicaloperators}', "");
Expect(1, 10751, '\P{Is_Blk=supplementalmathematicaloperators}', "");
Expect(0, 10751, '\P{^Is_Blk=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{Is_Blk=__Supplemental	MathematicalOperators}', "");
Expect(0, 11007, '\p{^Is_Blk=__Supplemental	MathematicalOperators}', "");
Expect(0, 11007, '\P{Is_Blk=__Supplemental	MathematicalOperators}', "");
Expect(1, 11007, '\P{^Is_Blk=__Supplemental	MathematicalOperators}', "");
Expect(0, 10751, '\p{Is_Blk=__Supplemental	MathematicalOperators}', "");
Expect(1, 10751, '\p{^Is_Blk=__Supplemental	MathematicalOperators}', "");
Expect(1, 10751, '\P{Is_Blk=__Supplemental	MathematicalOperators}', "");
Expect(0, 10751, '\P{^Is_Blk=__Supplemental	MathematicalOperators}', "");
Error('\p{Block=-/a/Shavian}');
Error('\P{Block=-/a/Shavian}');
Expect(1, 66687, '\p{Block=shavian}', "");
Expect(0, 66687, '\p{^Block=shavian}', "");
Expect(0, 66687, '\P{Block=shavian}', "");
Expect(1, 66687, '\P{^Block=shavian}', "");
Expect(0, 66639, '\p{Block=shavian}', "");
Expect(1, 66639, '\p{^Block=shavian}', "");
Expect(1, 66639, '\P{Block=shavian}', "");
Expect(0, 66639, '\P{^Block=shavian}', "");
Expect(1, 66687, '\p{Block=_Shavian}', "");
Expect(0, 66687, '\p{^Block=_Shavian}', "");
Expect(0, 66687, '\P{Block=_Shavian}', "");
Expect(1, 66687, '\P{^Block=_Shavian}', "");
Expect(0, 66639, '\p{Block=_Shavian}', "");
Expect(1, 66639, '\p{^Block=_Shavian}', "");
Expect(1, 66639, '\P{Block=_Shavian}', "");
Expect(0, 66639, '\P{^Block=_Shavian}', "");
Error('\p{Blk=-SHAVIAN/a/}');
Error('\P{Blk=-SHAVIAN/a/}');
Expect(1, 66687, '\p{Blk=shavian}', "");
Expect(0, 66687, '\p{^Blk=shavian}', "");
Expect(0, 66687, '\P{Blk=shavian}', "");
Expect(1, 66687, '\P{^Blk=shavian}', "");
Expect(0, 66639, '\p{Blk=shavian}', "");
Expect(1, 66639, '\p{^Blk=shavian}', "");
Expect(1, 66639, '\P{Blk=shavian}', "");
Expect(0, 66639, '\P{^Blk=shavian}', "");
Expect(1, 66687, '\p{Blk= 	SHAVIAN}', "");
Expect(0, 66687, '\p{^Blk= 	SHAVIAN}', "");
Expect(0, 66687, '\P{Blk= 	SHAVIAN}', "");
Expect(1, 66687, '\P{^Blk= 	SHAVIAN}', "");
Expect(0, 66639, '\p{Blk= 	SHAVIAN}', "");
Expect(1, 66639, '\p{^Blk= 	SHAVIAN}', "");
Expect(1, 66639, '\P{Blk= 	SHAVIAN}', "");
Expect(0, 66639, '\P{^Blk= 	SHAVIAN}', "");
Error('\p{Is_Block:  _shavian:=}');
Error('\P{Is_Block:  _shavian:=}');
Expect(1, 66687, '\p{Is_Block=shavian}', "");
Expect(0, 66687, '\p{^Is_Block=shavian}', "");
Expect(0, 66687, '\P{Is_Block=shavian}', "");
Expect(1, 66687, '\P{^Is_Block=shavian}', "");
Expect(0, 66639, '\p{Is_Block=shavian}', "");
Expect(1, 66639, '\p{^Is_Block=shavian}', "");
Expect(1, 66639, '\P{Is_Block=shavian}', "");
Expect(0, 66639, '\P{^Is_Block=shavian}', "");
Expect(1, 66687, '\p{Is_Block=	-Shavian}', "");
Expect(0, 66687, '\p{^Is_Block=	-Shavian}', "");
Expect(0, 66687, '\P{Is_Block=	-Shavian}', "");
Expect(1, 66687, '\P{^Is_Block=	-Shavian}', "");
Expect(0, 66639, '\p{Is_Block=	-Shavian}', "");
Expect(1, 66639, '\p{^Is_Block=	-Shavian}', "");
Expect(1, 66639, '\P{Is_Block=	-Shavian}', "");
Expect(0, 66639, '\P{^Is_Block=	-Shavian}', "");
Error('\p{Is_Blk=_Shavian:=}');
Error('\P{Is_Blk=_Shavian:=}');
Expect(1, 66687, '\p{Is_Blk=shavian}', "");
Expect(0, 66687, '\p{^Is_Blk=shavian}', "");
Expect(0, 66687, '\P{Is_Blk=shavian}', "");
Expect(1, 66687, '\P{^Is_Blk=shavian}', "");
Expect(0, 66639, '\p{Is_Blk=shavian}', "");
Expect(1, 66639, '\p{^Is_Blk=shavian}', "");
Expect(1, 66639, '\P{Is_Blk=shavian}', "");
Expect(0, 66639, '\P{^Is_Blk=shavian}', "");
Expect(1, 66687, '\p{Is_Blk=-	Shavian}', "");
Expect(0, 66687, '\p{^Is_Blk=-	Shavian}', "");
Expect(0, 66687, '\P{Is_Blk=-	Shavian}', "");
Expect(1, 66687, '\P{^Is_Blk=-	Shavian}', "");
Expect(0, 66639, '\p{Is_Blk=-	Shavian}', "");
Expect(1, 66639, '\p{^Is_Blk=-	Shavian}', "");
Expect(1, 66639, '\P{Is_Blk=-	Shavian}', "");
Expect(0, 66639, '\P{^Is_Blk=-	Shavian}', "");
Error('\p{Block::=LYDIAN}');
Error('\P{Block::=LYDIAN}');
Expect(1, 67903, '\p{Block=lydian}', "");
Expect(0, 67903, '\p{^Block=lydian}', "");
Expect(0, 67903, '\P{Block=lydian}', "");
Expect(1, 67903, '\P{^Block=lydian}', "");
Expect(0, 67871, '\p{Block=lydian}', "");
Expect(1, 67871, '\p{^Block=lydian}', "");
Expect(1, 67871, '\P{Block=lydian}', "");
Expect(0, 67871, '\P{^Block=lydian}', "");
Expect(1, 67903, '\p{Block=	-Lydian}', "");
Expect(0, 67903, '\p{^Block=	-Lydian}', "");
Expect(0, 67903, '\P{Block=	-Lydian}', "");
Expect(1, 67903, '\P{^Block=	-Lydian}', "");
Expect(0, 67871, '\p{Block=	-Lydian}', "");
Expect(1, 67871, '\p{^Block=	-Lydian}', "");
Expect(1, 67871, '\P{Block=	-Lydian}', "");
Expect(0, 67871, '\P{^Block=	-Lydian}', "");
Error('\p{Blk=/a/ -lydian}');
Error('\P{Blk=/a/ -lydian}');
Expect(1, 67903, '\p{Blk:	lydian}', "");
Expect(0, 67903, '\p{^Blk:	lydian}', "");
Expect(0, 67903, '\P{Blk:	lydian}', "");
Expect(1, 67903, '\P{^Blk:	lydian}', "");
Expect(0, 67871, '\p{Blk:	lydian}', "");
Expect(1, 67871, '\p{^Blk:	lydian}', "");
Expect(1, 67871, '\P{Blk:	lydian}', "");
Expect(0, 67871, '\P{^Blk:	lydian}', "");
Expect(1, 67903, '\p{Blk=  lydian}', "");
Expect(0, 67903, '\p{^Blk=  lydian}', "");
Expect(0, 67903, '\P{Blk=  lydian}', "");
Expect(1, 67903, '\P{^Blk=  lydian}', "");
Expect(0, 67871, '\p{Blk=  lydian}', "");
Expect(1, 67871, '\p{^Blk=  lydian}', "");
Expect(1, 67871, '\P{Blk=  lydian}', "");
Expect(0, 67871, '\P{^Blk=  lydian}', "");
Error('\p{Is_Block=	 lydian:=}');
Error('\P{Is_Block=	 lydian:=}');
Expect(1, 67903, '\p{Is_Block:	lydian}', "");
Expect(0, 67903, '\p{^Is_Block:	lydian}', "");
Expect(0, 67903, '\P{Is_Block:	lydian}', "");
Expect(1, 67903, '\P{^Is_Block:	lydian}', "");
Expect(0, 67871, '\p{Is_Block:	lydian}', "");
Expect(1, 67871, '\p{^Is_Block:	lydian}', "");
Expect(1, 67871, '\P{Is_Block:	lydian}', "");
Expect(0, 67871, '\P{^Is_Block:	lydian}', "");
Expect(1, 67903, '\p{Is_Block:_LYDIAN}', "");
Expect(0, 67903, '\p{^Is_Block:_LYDIAN}', "");
Expect(0, 67903, '\P{Is_Block:_LYDIAN}', "");
Expect(1, 67903, '\P{^Is_Block:_LYDIAN}', "");
Expect(0, 67871, '\p{Is_Block:_LYDIAN}', "");
Expect(1, 67871, '\p{^Is_Block:_LYDIAN}', "");
Expect(1, 67871, '\P{Is_Block:_LYDIAN}', "");
Expect(0, 67871, '\P{^Is_Block:_LYDIAN}', "");
Error('\p{Is_Blk=/a/	_Lydian}');
Error('\P{Is_Blk=/a/	_Lydian}');
Expect(1, 67903, '\p{Is_Blk=lydian}', "");
Expect(0, 67903, '\p{^Is_Blk=lydian}', "");
Expect(0, 67903, '\P{Is_Blk=lydian}', "");
Expect(1, 67903, '\P{^Is_Blk=lydian}', "");
Expect(0, 67871, '\p{Is_Blk=lydian}', "");
Expect(1, 67871, '\p{^Is_Blk=lydian}', "");
Expect(1, 67871, '\P{Is_Blk=lydian}', "");
Expect(0, 67871, '\P{^Is_Blk=lydian}', "");
Expect(1, 67903, '\p{Is_Blk=	LYDIAN}', "");
Expect(0, 67903, '\p{^Is_Blk=	LYDIAN}', "");
Expect(0, 67903, '\P{Is_Blk=	LYDIAN}', "");
Expect(1, 67903, '\P{^Is_Blk=	LYDIAN}', "");
Expect(0, 67871, '\p{Is_Blk=	LYDIAN}', "");
Expect(1, 67871, '\p{^Is_Blk=	LYDIAN}', "");
Expect(1, 67871, '\P{Is_Blk=	LYDIAN}', "");
Expect(0, 67871, '\P{^Is_Blk=	LYDIAN}', "");
Error('\p{Block=-	cjkUnified	ideographsextensionC:=}');
Error('\P{Block=-	cjkUnified	ideographsextensionC:=}');
Expect(1, 177983, '\p{Block: cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^Block: cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{Block: cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^Block: cjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\p{Block: cjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\p{^Block: cjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\P{Block: cjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\P{^Block: cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{Block= -CJK_Unified-IDEOGRAPHS extension_C}', "");
Expect(0, 177983, '\p{^Block= -CJK_Unified-IDEOGRAPHS extension_C}', "");
Expect(0, 177983, '\P{Block= -CJK_Unified-IDEOGRAPHS extension_C}', "");
Expect(1, 177983, '\P{^Block= -CJK_Unified-IDEOGRAPHS extension_C}', "");
Expect(0, 173823, '\p{Block= -CJK_Unified-IDEOGRAPHS extension_C}', "");
Expect(1, 173823, '\p{^Block= -CJK_Unified-IDEOGRAPHS extension_C}', "");
Expect(1, 173823, '\P{Block= -CJK_Unified-IDEOGRAPHS extension_C}', "");
Expect(0, 173823, '\P{^Block= -CJK_Unified-IDEOGRAPHS extension_C}', "");
Error('\p{Blk=_CJK/a/UnifiedIdeographsExtension	C}');
Error('\P{Blk=_CJK/a/UnifiedIdeographsExtension	C}');
Expect(1, 177983, '\p{Blk=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^Blk=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{Blk=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^Blk=cjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\p{Blk=cjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\p{^Blk=cjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\P{Blk=cjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\P{^Blk=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{Blk:	CJK_Unified_IDEOGRAPHS_ExtensionC}', "");
Expect(0, 177983, '\p{^Blk:	CJK_Unified_IDEOGRAPHS_ExtensionC}', "");
Expect(0, 177983, '\P{Blk:	CJK_Unified_IDEOGRAPHS_ExtensionC}', "");
Expect(1, 177983, '\P{^Blk:	CJK_Unified_IDEOGRAPHS_ExtensionC}', "");
Expect(0, 173823, '\p{Blk:	CJK_Unified_IDEOGRAPHS_ExtensionC}', "");
Expect(1, 173823, '\p{^Blk:	CJK_Unified_IDEOGRAPHS_ExtensionC}', "");
Expect(1, 173823, '\P{Blk:	CJK_Unified_IDEOGRAPHS_ExtensionC}', "");
Expect(0, 173823, '\P{^Blk:	CJK_Unified_IDEOGRAPHS_ExtensionC}', "");
Error('\p{Is_Block=:=-cjk_UnifiedIDEOGRAPHS	EXTENSION	c}');
Error('\P{Is_Block=:=-cjk_UnifiedIDEOGRAPHS	EXTENSION	c}');
Expect(1, 177983, '\p{Is_Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^Is_Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{Is_Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^Is_Block=cjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\p{Is_Block=cjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\p{^Is_Block=cjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\P{Is_Block=cjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\P{^Is_Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{Is_Block=--CJK_Unified_ideographs-Extension	c}', "");
Expect(0, 177983, '\p{^Is_Block=--CJK_Unified_ideographs-Extension	c}', "");
Expect(0, 177983, '\P{Is_Block=--CJK_Unified_ideographs-Extension	c}', "");
Expect(1, 177983, '\P{^Is_Block=--CJK_Unified_ideographs-Extension	c}', "");
Expect(0, 173823, '\p{Is_Block=--CJK_Unified_ideographs-Extension	c}', "");
Expect(1, 173823, '\p{^Is_Block=--CJK_Unified_ideographs-Extension	c}', "");
Expect(1, 173823, '\P{Is_Block=--CJK_Unified_ideographs-Extension	c}', "");
Expect(0, 173823, '\P{^Is_Block=--CJK_Unified_ideographs-Extension	c}', "");
Error('\p{Is_Blk=-/a/CJKUnified-ideographs	extensionc}');
Error('\P{Is_Blk=-/a/CJKUnified-ideographs	extensionc}');
Expect(1, 177983, '\p{Is_Blk=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^Is_Blk=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{Is_Blk=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^Is_Blk=cjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\p{Is_Blk=cjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\p{^Is_Blk=cjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\P{Is_Blk=cjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\P{^Is_Blk=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{Is_Blk=  CJK	Unified-ideographsEXTENSION c}', "");
Expect(0, 177983, '\p{^Is_Blk=  CJK	Unified-ideographsEXTENSION c}', "");
Expect(0, 177983, '\P{Is_Blk=  CJK	Unified-ideographsEXTENSION c}', "");
Expect(1, 177983, '\P{^Is_Blk=  CJK	Unified-ideographsEXTENSION c}', "");
Expect(0, 173823, '\p{Is_Blk=  CJK	Unified-ideographsEXTENSION c}', "");
Expect(1, 173823, '\p{^Is_Blk=  CJK	Unified-ideographsEXTENSION c}', "");
Expect(1, 173823, '\P{Is_Blk=  CJK	Unified-ideographsEXTENSION c}', "");
Expect(0, 173823, '\P{^Is_Blk=  CJK	Unified-ideographsEXTENSION c}', "");
Error('\p{Block=_-Mongolian:=}');
Error('\P{Block=_-Mongolian:=}');
Expect(1, 6319, '\p{Block=mongolian}', "");
Expect(0, 6319, '\p{^Block=mongolian}', "");
Expect(0, 6319, '\P{Block=mongolian}', "");
Expect(1, 6319, '\P{^Block=mongolian}', "");
Expect(0, 6143, '\p{Block=mongolian}', "");
Expect(1, 6143, '\p{^Block=mongolian}', "");
Expect(1, 6143, '\P{Block=mongolian}', "");
Expect(0, 6143, '\P{^Block=mongolian}', "");
Expect(1, 6319, '\p{Block=--Mongolian}', "");
Expect(0, 6319, '\p{^Block=--Mongolian}', "");
Expect(0, 6319, '\P{Block=--Mongolian}', "");
Expect(1, 6319, '\P{^Block=--Mongolian}', "");
Expect(0, 6143, '\p{Block=--Mongolian}', "");
Expect(1, 6143, '\p{^Block=--Mongolian}', "");
Expect(1, 6143, '\P{Block=--Mongolian}', "");
Expect(0, 6143, '\P{^Block=--Mongolian}', "");
Error('\p{Blk=-Mongolian/a/}');
Error('\P{Blk=-Mongolian/a/}');
Expect(1, 6319, '\p{Blk=mongolian}', "");
Expect(0, 6319, '\p{^Blk=mongolian}', "");
Expect(0, 6319, '\P{Blk=mongolian}', "");
Expect(1, 6319, '\P{^Blk=mongolian}', "");
Expect(0, 6143, '\p{Blk=mongolian}', "");
Expect(1, 6143, '\p{^Blk=mongolian}', "");
Expect(1, 6143, '\P{Blk=mongolian}', "");
Expect(0, 6143, '\P{^Blk=mongolian}', "");
Expect(1, 6319, '\p{Blk=-MONGOLIAN}', "");
Expect(0, 6319, '\p{^Blk=-MONGOLIAN}', "");
Expect(0, 6319, '\P{Blk=-MONGOLIAN}', "");
Expect(1, 6319, '\P{^Blk=-MONGOLIAN}', "");
Expect(0, 6143, '\p{Blk=-MONGOLIAN}', "");
Expect(1, 6143, '\p{^Blk=-MONGOLIAN}', "");
Expect(1, 6143, '\P{Blk=-MONGOLIAN}', "");
Expect(0, 6143, '\P{^Blk=-MONGOLIAN}', "");
Error('\p{Is_Block=:=mongolian}');
Error('\P{Is_Block=:=mongolian}');
Expect(1, 6319, '\p{Is_Block=mongolian}', "");
Expect(0, 6319, '\p{^Is_Block=mongolian}', "");
Expect(0, 6319, '\P{Is_Block=mongolian}', "");
Expect(1, 6319, '\P{^Is_Block=mongolian}', "");
Expect(0, 6143, '\p{Is_Block=mongolian}', "");
Expect(1, 6143, '\p{^Is_Block=mongolian}', "");
Expect(1, 6143, '\P{Is_Block=mongolian}', "");
Expect(0, 6143, '\P{^Is_Block=mongolian}', "");
Expect(1, 6319, '\p{Is_Block=	Mongolian}', "");
Expect(0, 6319, '\p{^Is_Block=	Mongolian}', "");
Expect(0, 6319, '\P{Is_Block=	Mongolian}', "");
Expect(1, 6319, '\P{^Is_Block=	Mongolian}', "");
Expect(0, 6143, '\p{Is_Block=	Mongolian}', "");
Expect(1, 6143, '\p{^Is_Block=	Mongolian}', "");
Expect(1, 6143, '\P{Is_Block=	Mongolian}', "");
Expect(0, 6143, '\P{^Is_Block=	Mongolian}', "");
Error('\p{Is_Blk= /a/Mongolian}');
Error('\P{Is_Blk= /a/Mongolian}');
Expect(1, 6319, '\p{Is_Blk=mongolian}', "");
Expect(0, 6319, '\p{^Is_Blk=mongolian}', "");
Expect(0, 6319, '\P{Is_Blk=mongolian}', "");
Expect(1, 6319, '\P{^Is_Blk=mongolian}', "");
Expect(0, 6143, '\p{Is_Blk=mongolian}', "");
Expect(1, 6143, '\p{^Is_Blk=mongolian}', "");
Expect(1, 6143, '\P{Is_Blk=mongolian}', "");
Expect(0, 6143, '\P{^Is_Blk=mongolian}', "");
Expect(1, 6319, '\p{Is_Blk:   	Mongolian}', "");
Expect(0, 6319, '\p{^Is_Blk:   	Mongolian}', "");
Expect(0, 6319, '\P{Is_Blk:   	Mongolian}', "");
Expect(1, 6319, '\P{^Is_Blk:   	Mongolian}', "");
Expect(0, 6143, '\p{Is_Blk:   	Mongolian}', "");
Expect(1, 6143, '\p{^Is_Blk:   	Mongolian}', "");
Expect(1, 6143, '\P{Is_Blk:   	Mongolian}', "");
Expect(0, 6143, '\P{^Is_Blk:   	Mongolian}', "");
Error('\p{Block=-:=LAO}');
Error('\P{Block=-:=LAO}');
Expect(1, 3839, '\p{Block=lao}', "");
Expect(0, 3839, '\p{^Block=lao}', "");
Expect(0, 3839, '\P{Block=lao}', "");
Expect(1, 3839, '\P{^Block=lao}', "");
Expect(0, 3711, '\p{Block=lao}', "");
Expect(1, 3711, '\p{^Block=lao}', "");
Expect(1, 3711, '\P{Block=lao}', "");
Expect(0, 3711, '\P{^Block=lao}', "");
Expect(1, 3839, '\p{Block:	_	Lao}', "");
Expect(0, 3839, '\p{^Block:	_	Lao}', "");
Expect(0, 3839, '\P{Block:	_	Lao}', "");
Expect(1, 3839, '\P{^Block:	_	Lao}', "");
Expect(0, 3711, '\p{Block:	_	Lao}', "");
Expect(1, 3711, '\p{^Block:	_	Lao}', "");
Expect(1, 3711, '\P{Block:	_	Lao}', "");
Expect(0, 3711, '\P{^Block:	_	Lao}', "");
Error('\p{Blk=:=- LAO}');
Error('\P{Blk=:=- LAO}');
Expect(1, 3839, '\p{Blk=lao}', "");
Expect(0, 3839, '\p{^Blk=lao}', "");
Expect(0, 3839, '\P{Blk=lao}', "");
Expect(1, 3839, '\P{^Blk=lao}', "");
Expect(0, 3711, '\p{Blk=lao}', "");
Expect(1, 3711, '\p{^Blk=lao}', "");
Expect(1, 3711, '\P{Blk=lao}', "");
Expect(0, 3711, '\P{^Blk=lao}', "");
Expect(1, 3839, '\p{Blk=	Lao}', "");
Expect(0, 3839, '\p{^Blk=	Lao}', "");
Expect(0, 3839, '\P{Blk=	Lao}', "");
Expect(1, 3839, '\P{^Blk=	Lao}', "");
Expect(0, 3711, '\p{Blk=	Lao}', "");
Expect(1, 3711, '\p{^Blk=	Lao}', "");
Expect(1, 3711, '\P{Blk=	Lao}', "");
Expect(0, 3711, '\P{^Blk=	Lao}', "");
Error('\p{Is_Block=:=	lao}');
Error('\P{Is_Block=:=	lao}');
Expect(1, 3839, '\p{Is_Block=lao}', "");
Expect(0, 3839, '\p{^Is_Block=lao}', "");
Expect(0, 3839, '\P{Is_Block=lao}', "");
Expect(1, 3839, '\P{^Is_Block=lao}', "");
Expect(0, 3711, '\p{Is_Block=lao}', "");
Expect(1, 3711, '\p{^Is_Block=lao}', "");
Expect(1, 3711, '\P{Is_Block=lao}', "");
Expect(0, 3711, '\P{^Is_Block=lao}', "");
Expect(1, 3839, '\p{Is_Block=--LAO}', "");
Expect(0, 3839, '\p{^Is_Block=--LAO}', "");
Expect(0, 3839, '\P{Is_Block=--LAO}', "");
Expect(1, 3839, '\P{^Is_Block=--LAO}', "");
Expect(0, 3711, '\p{Is_Block=--LAO}', "");
Expect(1, 3711, '\p{^Is_Block=--LAO}', "");
Expect(1, 3711, '\P{Is_Block=--LAO}', "");
Expect(0, 3711, '\P{^Is_Block=--LAO}', "");
Error('\p{Is_Blk=-lao:=}');
Error('\P{Is_Blk=-lao:=}');
Expect(1, 3839, '\p{Is_Blk: lao}', "");
Expect(0, 3839, '\p{^Is_Blk: lao}', "");
Expect(0, 3839, '\P{Is_Blk: lao}', "");
Expect(1, 3839, '\P{^Is_Blk: lao}', "");
Expect(0, 3711, '\p{Is_Blk: lao}', "");
Expect(1, 3711, '\p{^Is_Blk: lao}', "");
Expect(1, 3711, '\P{Is_Blk: lao}', "");
Expect(0, 3711, '\P{^Is_Blk: lao}', "");
Expect(1, 3839, '\p{Is_Blk=-LAO}', "");
Expect(0, 3839, '\p{^Is_Blk=-LAO}', "");
Expect(0, 3839, '\P{Is_Blk=-LAO}', "");
Expect(1, 3839, '\P{^Is_Blk=-LAO}', "");
Expect(0, 3711, '\p{Is_Blk=-LAO}', "");
Expect(1, 3711, '\p{^Is_Blk=-LAO}', "");
Expect(1, 3711, '\P{Is_Blk=-LAO}', "");
Expect(0, 3711, '\P{^Is_Blk=-LAO}', "");
Error('\p{Block= Hiragana/a/}');
Error('\P{Block= Hiragana/a/}');
Expect(1, 12447, '\p{Block=hiragana}', "");
Expect(0, 12447, '\p{^Block=hiragana}', "");
Expect(0, 12447, '\P{Block=hiragana}', "");
Expect(1, 12447, '\P{^Block=hiragana}', "");
Expect(0, 12351, '\p{Block=hiragana}', "");
Expect(1, 12351, '\p{^Block=hiragana}', "");
Expect(1, 12351, '\P{Block=hiragana}', "");
Expect(0, 12351, '\P{^Block=hiragana}', "");
Error('\p{Blk=/a/hiragana}');
Error('\P{Blk=/a/hiragana}');
Expect(1, 12447, '\p{Blk: hiragana}', "");
Expect(0, 12447, '\p{^Blk: hiragana}', "");
Expect(0, 12447, '\P{Blk: hiragana}', "");
Expect(1, 12447, '\P{^Blk: hiragana}', "");
Expect(0, 12351, '\p{Blk: hiragana}', "");
Expect(1, 12351, '\p{^Blk: hiragana}', "");
Expect(1, 12351, '\P{Blk: hiragana}', "");
Expect(0, 12351, '\P{^Blk: hiragana}', "");
Expect(1, 12447, '\p{Blk=_ Hiragana}', "");
Expect(0, 12447, '\p{^Blk=_ Hiragana}', "");
Expect(0, 12447, '\P{Blk=_ Hiragana}', "");
Expect(1, 12447, '\P{^Blk=_ Hiragana}', "");
Expect(0, 12351, '\p{Blk=_ Hiragana}', "");
Expect(1, 12351, '\p{^Blk=_ Hiragana}', "");
Expect(1, 12351, '\P{Blk=_ Hiragana}', "");
Expect(0, 12351, '\P{^Blk=_ Hiragana}', "");
Error('\p{Is_Block:   	 Hiragana/a/}');
Error('\P{Is_Block:   	 Hiragana/a/}');
Expect(1, 12447, '\p{Is_Block=hiragana}', "");
Expect(0, 12447, '\p{^Is_Block=hiragana}', "");
Expect(0, 12447, '\P{Is_Block=hiragana}', "");
Expect(1, 12447, '\P{^Is_Block=hiragana}', "");
Expect(0, 12351, '\p{Is_Block=hiragana}', "");
Expect(1, 12351, '\p{^Is_Block=hiragana}', "");
Expect(1, 12351, '\P{Is_Block=hiragana}', "");
Expect(0, 12351, '\P{^Is_Block=hiragana}', "");
Expect(1, 12447, '\p{Is_Block=	-HIRAGANA}', "");
Expect(0, 12447, '\p{^Is_Block=	-HIRAGANA}', "");
Expect(0, 12447, '\P{Is_Block=	-HIRAGANA}', "");
Expect(1, 12447, '\P{^Is_Block=	-HIRAGANA}', "");
Expect(0, 12351, '\p{Is_Block=	-HIRAGANA}', "");
Expect(1, 12351, '\p{^Is_Block=	-HIRAGANA}', "");
Expect(1, 12351, '\P{Is_Block=	-HIRAGANA}', "");
Expect(0, 12351, '\P{^Is_Block=	-HIRAGANA}', "");
Error('\p{Is_Blk: 	Hiragana:=}');
Error('\P{Is_Blk: 	Hiragana:=}');
Expect(1, 12447, '\p{Is_Blk=hiragana}', "");
Expect(0, 12447, '\p{^Is_Blk=hiragana}', "");
Expect(0, 12447, '\P{Is_Blk=hiragana}', "");
Expect(1, 12447, '\P{^Is_Blk=hiragana}', "");
Expect(0, 12351, '\p{Is_Blk=hiragana}', "");
Expect(1, 12351, '\p{^Is_Blk=hiragana}', "");
Expect(1, 12351, '\P{Is_Blk=hiragana}', "");
Expect(0, 12351, '\P{^Is_Blk=hiragana}', "");
Expect(1, 12447, '\p{Is_Blk= Hiragana}', "");
Expect(0, 12447, '\p{^Is_Blk= Hiragana}', "");
Expect(0, 12447, '\P{Is_Blk= Hiragana}', "");
Expect(1, 12447, '\P{^Is_Blk= Hiragana}', "");
Expect(0, 12351, '\p{Is_Blk= Hiragana}', "");
Expect(1, 12351, '\p{^Is_Blk= Hiragana}', "");
Expect(1, 12351, '\P{Is_Blk= Hiragana}', "");
Expect(0, 12351, '\P{^Is_Blk= Hiragana}', "");
Error('\p{Block=_:=Lepcha}');
Error('\P{Block=_:=Lepcha}');
Expect(1, 7247, '\p{Block=lepcha}', "");
Expect(0, 7247, '\p{^Block=lepcha}', "");
Expect(0, 7247, '\P{Block=lepcha}', "");
Expect(1, 7247, '\P{^Block=lepcha}', "");
Expect(0, 7167, '\p{Block=lepcha}', "");
Expect(1, 7167, '\p{^Block=lepcha}', "");
Expect(1, 7167, '\P{Block=lepcha}', "");
Expect(0, 7167, '\P{^Block=lepcha}', "");
Expect(1, 7247, '\p{Block=- Lepcha}', "");
Expect(0, 7247, '\p{^Block=- Lepcha}', "");
Expect(0, 7247, '\P{Block=- Lepcha}', "");
Expect(1, 7247, '\P{^Block=- Lepcha}', "");
Expect(0, 7167, '\p{Block=- Lepcha}', "");
Expect(1, 7167, '\p{^Block=- Lepcha}', "");
Expect(1, 7167, '\P{Block=- Lepcha}', "");
Expect(0, 7167, '\P{^Block=- Lepcha}', "");
Error('\p{Blk=/a/ Lepcha}');
Error('\P{Blk=/a/ Lepcha}');
Expect(1, 7247, '\p{Blk=lepcha}', "");
Expect(0, 7247, '\p{^Blk=lepcha}', "");
Expect(0, 7247, '\P{Blk=lepcha}', "");
Expect(1, 7247, '\P{^Blk=lepcha}', "");
Expect(0, 7167, '\p{Blk=lepcha}', "");
Expect(1, 7167, '\p{^Blk=lepcha}', "");
Expect(1, 7167, '\P{Blk=lepcha}', "");
Expect(0, 7167, '\P{^Blk=lepcha}', "");
Expect(1, 7247, '\p{Blk=_-Lepcha}', "");
Expect(0, 7247, '\p{^Blk=_-Lepcha}', "");
Expect(0, 7247, '\P{Blk=_-Lepcha}', "");
Expect(1, 7247, '\P{^Blk=_-Lepcha}', "");
Expect(0, 7167, '\p{Blk=_-Lepcha}', "");
Expect(1, 7167, '\p{^Blk=_-Lepcha}', "");
Expect(1, 7167, '\P{Blk=_-Lepcha}', "");
Expect(0, 7167, '\P{^Blk=_-Lepcha}', "");
Error('\p{Is_Block=	LEPCHA:=}');
Error('\P{Is_Block=	LEPCHA:=}');
Expect(1, 7247, '\p{Is_Block=lepcha}', "");
Expect(0, 7247, '\p{^Is_Block=lepcha}', "");
Expect(0, 7247, '\P{Is_Block=lepcha}', "");
Expect(1, 7247, '\P{^Is_Block=lepcha}', "");
Expect(0, 7167, '\p{Is_Block=lepcha}', "");
Expect(1, 7167, '\p{^Is_Block=lepcha}', "");
Expect(1, 7167, '\P{Is_Block=lepcha}', "");
Expect(0, 7167, '\P{^Is_Block=lepcha}', "");
Expect(1, 7247, '\p{Is_Block:	-Lepcha}', "");
Expect(0, 7247, '\p{^Is_Block:	-Lepcha}', "");
Expect(0, 7247, '\P{Is_Block:	-Lepcha}', "");
Expect(1, 7247, '\P{^Is_Block:	-Lepcha}', "");
Expect(0, 7167, '\p{Is_Block:	-Lepcha}', "");
Expect(1, 7167, '\p{^Is_Block:	-Lepcha}', "");
Expect(1, 7167, '\P{Is_Block:	-Lepcha}', "");
Expect(0, 7167, '\P{^Is_Block:	-Lepcha}', "");
Error('\p{Is_Blk=-:=Lepcha}');
Error('\P{Is_Blk=-:=Lepcha}');
Expect(1, 7247, '\p{Is_Blk:lepcha}', "");
Expect(0, 7247, '\p{^Is_Blk:lepcha}', "");
Expect(0, 7247, '\P{Is_Blk:lepcha}', "");
Expect(1, 7247, '\P{^Is_Blk:lepcha}', "");
Expect(0, 7167, '\p{Is_Blk:lepcha}', "");
Expect(1, 7167, '\p{^Is_Blk:lepcha}', "");
Expect(1, 7167, '\P{Is_Blk:lepcha}', "");
Expect(0, 7167, '\P{^Is_Blk:lepcha}', "");
Expect(1, 7247, '\p{Is_Blk: 	Lepcha}', "");
Expect(0, 7247, '\p{^Is_Blk: 	Lepcha}', "");
Expect(0, 7247, '\P{Is_Blk: 	Lepcha}', "");
Expect(1, 7247, '\P{^Is_Blk: 	Lepcha}', "");
Expect(0, 7167, '\p{Is_Blk: 	Lepcha}', "");
Expect(1, 7167, '\p{^Is_Blk: 	Lepcha}', "");
Expect(1, 7167, '\P{Is_Blk: 	Lepcha}', "");
Expect(0, 7167, '\P{^Is_Blk: 	Lepcha}', "");
Error('\p{Block=_	syloti-Nagri:=}');
Error('\P{Block=_	syloti-Nagri:=}');
Expect(1, 43055, '\p{Block=sylotinagri}', "");
Expect(0, 43055, '\p{^Block=sylotinagri}', "");
Expect(0, 43055, '\P{Block=sylotinagri}', "");
Expect(1, 43055, '\P{^Block=sylotinagri}', "");
Expect(0, 43007, '\p{Block=sylotinagri}', "");
Expect(1, 43007, '\p{^Block=sylotinagri}', "");
Expect(1, 43007, '\P{Block=sylotinagri}', "");
Expect(0, 43007, '\P{^Block=sylotinagri}', "");
Expect(1, 43055, '\p{Block:	_SYLOTI-NAGRI}', "");
Expect(0, 43055, '\p{^Block:	_SYLOTI-NAGRI}', "");
Expect(0, 43055, '\P{Block:	_SYLOTI-NAGRI}', "");
Expect(1, 43055, '\P{^Block:	_SYLOTI-NAGRI}', "");
Expect(0, 43007, '\p{Block:	_SYLOTI-NAGRI}', "");
Expect(1, 43007, '\p{^Block:	_SYLOTI-NAGRI}', "");
Expect(1, 43007, '\P{Block:	_SYLOTI-NAGRI}', "");
Expect(0, 43007, '\P{^Block:	_SYLOTI-NAGRI}', "");
Error('\p{Blk=	_Syloti Nagri/a/}');
Error('\P{Blk=	_Syloti Nagri/a/}');
Expect(1, 43055, '\p{Blk=sylotinagri}', "");
Expect(0, 43055, '\p{^Blk=sylotinagri}', "");
Expect(0, 43055, '\P{Blk=sylotinagri}', "");
Expect(1, 43055, '\P{^Blk=sylotinagri}', "");
Expect(0, 43007, '\p{Blk=sylotinagri}', "");
Expect(1, 43007, '\p{^Blk=sylotinagri}', "");
Expect(1, 43007, '\P{Blk=sylotinagri}', "");
Expect(0, 43007, '\P{^Blk=sylotinagri}', "");
Expect(1, 43055, '\p{Blk=-SylotiNAGRI}', "");
Expect(0, 43055, '\p{^Blk=-SylotiNAGRI}', "");
Expect(0, 43055, '\P{Blk=-SylotiNAGRI}', "");
Expect(1, 43055, '\P{^Blk=-SylotiNAGRI}', "");
Expect(0, 43007, '\p{Blk=-SylotiNAGRI}', "");
Expect(1, 43007, '\p{^Blk=-SylotiNAGRI}', "");
Expect(1, 43007, '\P{Blk=-SylotiNAGRI}', "");
Expect(0, 43007, '\P{^Blk=-SylotiNAGRI}', "");
Error('\p{Is_Block=/a/-	SYLOTI	nagri}');
Error('\P{Is_Block=/a/-	SYLOTI	nagri}');
Expect(1, 43055, '\p{Is_Block=sylotinagri}', "");
Expect(0, 43055, '\p{^Is_Block=sylotinagri}', "");
Expect(0, 43055, '\P{Is_Block=sylotinagri}', "");
Expect(1, 43055, '\P{^Is_Block=sylotinagri}', "");
Expect(0, 43007, '\p{Is_Block=sylotinagri}', "");
Expect(1, 43007, '\p{^Is_Block=sylotinagri}', "");
Expect(1, 43007, '\P{Is_Block=sylotinagri}', "");
Expect(0, 43007, '\P{^Is_Block=sylotinagri}', "");
Expect(1, 43055, '\p{Is_Block= _SYLOTI-nagri}', "");
Expect(0, 43055, '\p{^Is_Block= _SYLOTI-nagri}', "");
Expect(0, 43055, '\P{Is_Block= _SYLOTI-nagri}', "");
Expect(1, 43055, '\P{^Is_Block= _SYLOTI-nagri}', "");
Expect(0, 43007, '\p{Is_Block= _SYLOTI-nagri}', "");
Expect(1, 43007, '\p{^Is_Block= _SYLOTI-nagri}', "");
Expect(1, 43007, '\P{Is_Block= _SYLOTI-nagri}', "");
Expect(0, 43007, '\P{^Is_Block= _SYLOTI-nagri}', "");
Error('\p{Is_Blk=-/a/sylotinagri}');
Error('\P{Is_Blk=-/a/sylotinagri}');
Expect(1, 43055, '\p{Is_Blk=sylotinagri}', "");
Expect(0, 43055, '\p{^Is_Blk=sylotinagri}', "");
Expect(0, 43055, '\P{Is_Blk=sylotinagri}', "");
Expect(1, 43055, '\P{^Is_Blk=sylotinagri}', "");
Expect(0, 43007, '\p{Is_Blk=sylotinagri}', "");
Expect(1, 43007, '\p{^Is_Blk=sylotinagri}', "");
Expect(1, 43007, '\P{Is_Blk=sylotinagri}', "");
Expect(0, 43007, '\P{^Is_Blk=sylotinagri}', "");
Expect(1, 43055, '\p{Is_Blk=-	SylotiNagri}', "");
Expect(0, 43055, '\p{^Is_Blk=-	SylotiNagri}', "");
Expect(0, 43055, '\P{Is_Blk=-	SylotiNagri}', "");
Expect(1, 43055, '\P{^Is_Blk=-	SylotiNagri}', "");
Expect(0, 43007, '\p{Is_Blk=-	SylotiNagri}', "");
Expect(1, 43007, '\p{^Is_Blk=-	SylotiNagri}', "");
Expect(1, 43007, '\P{Is_Blk=-	SylotiNagri}', "");
Expect(0, 43007, '\P{^Is_Blk=-	SylotiNagri}', "");
Error('\p{Block:   _/a/combining_diacritical marks for_Symbols}');
Error('\P{Block:   _/a/combining_diacritical marks for_Symbols}');
Expect(1, 8447, '\p{Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8399, '\p{Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8399, '\p{^Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8399, '\P{Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8399, '\P{^Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{Block=_-CombiningdiacriticalMarksfor Symbols}', "");
Expect(0, 8447, '\p{^Block=_-CombiningdiacriticalMarksfor Symbols}', "");
Expect(0, 8447, '\P{Block=_-CombiningdiacriticalMarksfor Symbols}', "");
Expect(1, 8447, '\P{^Block=_-CombiningdiacriticalMarksfor Symbols}', "");
Expect(0, 8399, '\p{Block=_-CombiningdiacriticalMarksfor Symbols}', "");
Expect(1, 8399, '\p{^Block=_-CombiningdiacriticalMarksfor Symbols}', "");
Expect(1, 8399, '\P{Block=_-CombiningdiacriticalMarksfor Symbols}', "");
Expect(0, 8399, '\P{^Block=_-CombiningdiacriticalMarksfor Symbols}', "");
Error('\p{Blk=__Combining	MarksFor/a/SYMBOLS}');
Error('\P{Blk=__Combining	MarksFor/a/SYMBOLS}');
Expect(1, 8447, '\p{Blk=combiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^Blk=combiningmarksforsymbols}', "");
Expect(0, 8447, '\P{Blk=combiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^Blk=combiningmarksforsymbols}', "");
Expect(0, 8399, '\p{Blk=combiningmarksforsymbols}', "");
Expect(1, 8399, '\p{^Blk=combiningmarksforsymbols}', "");
Expect(1, 8399, '\P{Blk=combiningmarksforsymbols}', "");
Expect(0, 8399, '\P{^Blk=combiningmarksforsymbols}', "");
Expect(1, 8447, '\p{Blk=	 combining marks_Forsymbols}', "");
Expect(0, 8447, '\p{^Blk=	 combining marks_Forsymbols}', "");
Expect(0, 8447, '\P{Blk=	 combining marks_Forsymbols}', "");
Expect(1, 8447, '\P{^Blk=	 combining marks_Forsymbols}', "");
Expect(0, 8399, '\p{Blk=	 combining marks_Forsymbols}', "");
Expect(1, 8399, '\p{^Blk=	 combining marks_Forsymbols}', "");
Expect(1, 8399, '\P{Blk=	 combining marks_Forsymbols}', "");
Expect(0, 8399, '\P{^Blk=	 combining marks_Forsymbols}', "");
Error('\p{Is_Block:	_COMBINING-diacriticalmarks:=For	Symbols}');
Error('\P{Is_Block:	_COMBINING-diacriticalmarks:=For	Symbols}');
Expect(1, 8447, '\p{Is_Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^Is_Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{Is_Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^Is_Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8399, '\p{Is_Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8399, '\p{^Is_Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8399, '\P{Is_Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8399, '\P{^Is_Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{Is_Block=_Combining	Diacriticalmarksfor SYMBOLS}', "");
Expect(0, 8447, '\p{^Is_Block=_Combining	Diacriticalmarksfor SYMBOLS}', "");
Expect(0, 8447, '\P{Is_Block=_Combining	Diacriticalmarksfor SYMBOLS}', "");
Expect(1, 8447, '\P{^Is_Block=_Combining	Diacriticalmarksfor SYMBOLS}', "");
Expect(0, 8399, '\p{Is_Block=_Combining	Diacriticalmarksfor SYMBOLS}', "");
Expect(1, 8399, '\p{^Is_Block=_Combining	Diacriticalmarksfor SYMBOLS}', "");
Expect(1, 8399, '\P{Is_Block=_Combining	Diacriticalmarksfor SYMBOLS}', "");
Expect(0, 8399, '\P{^Is_Block=_Combining	Diacriticalmarksfor SYMBOLS}', "");
Error('\p{Is_Blk=-Combining	Marks:=FORSymbols}');
Error('\P{Is_Blk=-Combining	Marks:=FORSymbols}');
Expect(1, 8447, '\p{Is_Blk=combiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^Is_Blk=combiningmarksforsymbols}', "");
Expect(0, 8447, '\P{Is_Blk=combiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^Is_Blk=combiningmarksforsymbols}', "");
Expect(0, 8399, '\p{Is_Blk=combiningmarksforsymbols}', "");
Expect(1, 8399, '\p{^Is_Blk=combiningmarksforsymbols}', "");
Expect(1, 8399, '\P{Is_Blk=combiningmarksforsymbols}', "");
Expect(0, 8399, '\P{^Is_Blk=combiningmarksforsymbols}', "");
Expect(1, 8447, '\p{Is_Blk= CombiningMarks ForSYMBOLS}', "");
Expect(0, 8447, '\p{^Is_Blk= CombiningMarks ForSYMBOLS}', "");
Expect(0, 8447, '\P{Is_Blk= CombiningMarks ForSYMBOLS}', "");
Expect(1, 8447, '\P{^Is_Blk= CombiningMarks ForSYMBOLS}', "");
Expect(0, 8399, '\p{Is_Blk= CombiningMarks ForSYMBOLS}', "");
Expect(1, 8399, '\p{^Is_Blk= CombiningMarks ForSYMBOLS}', "");
Expect(1, 8399, '\P{Is_Blk= CombiningMarks ForSYMBOLS}', "");
Expect(0, 8399, '\P{^Is_Blk= CombiningMarks ForSYMBOLS}', "");
Error('\p{Block= 	Basic Latin:=}');
Error('\P{Block= 	Basic Latin:=}');
Expect(1, 127, '\p{Block=basiclatin}', "");
Expect(0, 127, '\p{^Block=basiclatin}', "");
Expect(0, 127, '\P{Block=basiclatin}', "");
Expect(1, 127, '\P{^Block=basiclatin}', "");
Expect(0, 128, '\p{Block=basiclatin}', "");
Expect(1, 128, '\p{^Block=basiclatin}', "");
Expect(1, 128, '\P{Block=basiclatin}', "");
Expect(0, 128, '\P{^Block=basiclatin}', "");
Expect(1, 127, '\p{Block:	Basic-LATIN}', "");
Expect(0, 127, '\p{^Block:	Basic-LATIN}', "");
Expect(0, 127, '\P{Block:	Basic-LATIN}', "");
Expect(1, 127, '\P{^Block:	Basic-LATIN}', "");
Expect(0, 128, '\p{Block:	Basic-LATIN}', "");
Expect(1, 128, '\p{^Block:	Basic-LATIN}', "");
Expect(1, 128, '\P{Block:	Basic-LATIN}', "");
Expect(0, 128, '\P{^Block:	Basic-LATIN}', "");
Error('\p{Blk=-	ascii:=}');
Error('\P{Blk=-	ascii:=}');
Expect(1, 127, '\p{Blk=ascii}', "");
Expect(0, 127, '\p{^Blk=ascii}', "");
Expect(0, 127, '\P{Blk=ascii}', "");
Expect(1, 127, '\P{^Blk=ascii}', "");
Expect(0, 128, '\p{Blk=ascii}', "");
Expect(1, 128, '\p{^Blk=ascii}', "");
Expect(1, 128, '\P{Blk=ascii}', "");
Expect(0, 128, '\P{^Blk=ascii}', "");
Expect(1, 127, '\p{Blk=_	ASCII}', "");
Expect(0, 127, '\p{^Blk=_	ASCII}', "");
Expect(0, 127, '\P{Blk=_	ASCII}', "");
Expect(1, 127, '\P{^Blk=_	ASCII}', "");
Expect(0, 128, '\p{Blk=_	ASCII}', "");
Expect(1, 128, '\p{^Blk=_	ASCII}', "");
Expect(1, 128, '\P{Blk=_	ASCII}', "");
Expect(0, 128, '\P{^Blk=_	ASCII}', "");
Error('\p{Is_Block=	:=BasicLatin}');
Error('\P{Is_Block=	:=BasicLatin}');
Expect(1, 127, '\p{Is_Block=basiclatin}', "");
Expect(0, 127, '\p{^Is_Block=basiclatin}', "");
Expect(0, 127, '\P{Is_Block=basiclatin}', "");
Expect(1, 127, '\P{^Is_Block=basiclatin}', "");
Expect(0, 128, '\p{Is_Block=basiclatin}', "");
Expect(1, 128, '\p{^Is_Block=basiclatin}', "");
Expect(1, 128, '\P{Is_Block=basiclatin}', "");
Expect(0, 128, '\P{^Is_Block=basiclatin}', "");
Expect(1, 127, '\p{Is_Block=basic_latin}', "");
Expect(0, 127, '\p{^Is_Block=basic_latin}', "");
Expect(0, 127, '\P{Is_Block=basic_latin}', "");
Expect(1, 127, '\P{^Is_Block=basic_latin}', "");
Expect(0, 128, '\p{Is_Block=basic_latin}', "");
Expect(1, 128, '\p{^Is_Block=basic_latin}', "");
Expect(1, 128, '\P{Is_Block=basic_latin}', "");
Expect(0, 128, '\P{^Is_Block=basic_latin}', "");
Error('\p{Is_Blk= _ascii/a/}');
Error('\P{Is_Blk= _ascii/a/}');
Expect(1, 127, '\p{Is_Blk=ascii}', "");
Expect(0, 127, '\p{^Is_Blk=ascii}', "");
Expect(0, 127, '\P{Is_Blk=ascii}', "");
Expect(1, 127, '\P{^Is_Blk=ascii}', "");
Expect(0, 128, '\p{Is_Blk=ascii}', "");
Expect(1, 128, '\p{^Is_Blk=ascii}', "");
Expect(1, 128, '\P{Is_Blk=ascii}', "");
Expect(0, 128, '\P{^Is_Blk=ascii}', "");
Expect(1, 127, '\p{Is_Blk= ascii}', "");
Expect(0, 127, '\p{^Is_Blk= ascii}', "");
Expect(0, 127, '\P{Is_Blk= ascii}', "");
Expect(1, 127, '\P{^Is_Blk= ascii}', "");
Expect(0, 128, '\p{Is_Blk= ascii}', "");
Expect(1, 128, '\p{^Is_Blk= ascii}', "");
Expect(1, 128, '\P{Is_Blk= ascii}', "");
Expect(0, 128, '\P{^Is_Blk= ascii}', "");
Error('\p{Block=/a/-Limbu}');
Error('\P{Block=/a/-Limbu}');
Expect(1, 6479, '\p{Block=limbu}', "");
Expect(0, 6479, '\p{^Block=limbu}', "");
Expect(0, 6479, '\P{Block=limbu}', "");
Expect(1, 6479, '\P{^Block=limbu}', "");
Expect(0, 6399, '\p{Block=limbu}', "");
Expect(1, 6399, '\p{^Block=limbu}', "");
Expect(1, 6399, '\P{Block=limbu}', "");
Expect(0, 6399, '\P{^Block=limbu}', "");
Expect(1, 6479, '\p{Block=		LIMBU}', "");
Expect(0, 6479, '\p{^Block=		LIMBU}', "");
Expect(0, 6479, '\P{Block=		LIMBU}', "");
Expect(1, 6479, '\P{^Block=		LIMBU}', "");
Expect(0, 6399, '\p{Block=		LIMBU}', "");
Expect(1, 6399, '\p{^Block=		LIMBU}', "");
Expect(1, 6399, '\P{Block=		LIMBU}', "");
Expect(0, 6399, '\P{^Block=		LIMBU}', "");
Error('\p{Blk=	Limbu/a/}');
Error('\P{Blk=	Limbu/a/}');
Expect(1, 6479, '\p{Blk:	limbu}', "");
Expect(0, 6479, '\p{^Blk:	limbu}', "");
Expect(0, 6479, '\P{Blk:	limbu}', "");
Expect(1, 6479, '\P{^Blk:	limbu}', "");
Expect(0, 6399, '\p{Blk:	limbu}', "");
Expect(1, 6399, '\p{^Blk:	limbu}', "");
Expect(1, 6399, '\P{Blk:	limbu}', "");
Expect(0, 6399, '\P{^Blk:	limbu}', "");
Expect(1, 6479, '\p{Blk= -LIMBU}', "");
Expect(0, 6479, '\p{^Blk= -LIMBU}', "");
Expect(0, 6479, '\P{Blk= -LIMBU}', "");
Expect(1, 6479, '\P{^Blk= -LIMBU}', "");
Expect(0, 6399, '\p{Blk= -LIMBU}', "");
Expect(1, 6399, '\p{^Blk= -LIMBU}', "");
Expect(1, 6399, '\P{Blk= -LIMBU}', "");
Expect(0, 6399, '\P{^Blk= -LIMBU}', "");
Error('\p{Is_Block=:=	 Limbu}');
Error('\P{Is_Block=:=	 Limbu}');
Expect(1, 6479, '\p{Is_Block=limbu}', "");
Expect(0, 6479, '\p{^Is_Block=limbu}', "");
Expect(0, 6479, '\P{Is_Block=limbu}', "");
Expect(1, 6479, '\P{^Is_Block=limbu}', "");
Expect(0, 6399, '\p{Is_Block=limbu}', "");
Expect(1, 6399, '\p{^Is_Block=limbu}', "");
Expect(1, 6399, '\P{Is_Block=limbu}', "");
Expect(0, 6399, '\P{^Is_Block=limbu}', "");
Expect(1, 6479, '\p{Is_Block=_Limbu}', "");
Expect(0, 6479, '\p{^Is_Block=_Limbu}', "");
Expect(0, 6479, '\P{Is_Block=_Limbu}', "");
Expect(1, 6479, '\P{^Is_Block=_Limbu}', "");
Expect(0, 6399, '\p{Is_Block=_Limbu}', "");
Expect(1, 6399, '\p{^Is_Block=_Limbu}', "");
Expect(1, 6399, '\P{Is_Block=_Limbu}', "");
Expect(0, 6399, '\P{^Is_Block=_Limbu}', "");
Error('\p{Is_Blk=	 LIMBU:=}');
Error('\P{Is_Blk=	 LIMBU:=}');
Expect(1, 6479, '\p{Is_Blk=limbu}', "");
Expect(0, 6479, '\p{^Is_Blk=limbu}', "");
Expect(0, 6479, '\P{Is_Blk=limbu}', "");
Expect(1, 6479, '\P{^Is_Blk=limbu}', "");
Expect(0, 6399, '\p{Is_Blk=limbu}', "");
Expect(1, 6399, '\p{^Is_Blk=limbu}', "");
Expect(1, 6399, '\P{Is_Blk=limbu}', "");
Expect(0, 6399, '\P{^Is_Blk=limbu}', "");
Expect(1, 6479, '\p{Is_Blk=_limbu}', "");
Expect(0, 6479, '\p{^Is_Blk=_limbu}', "");
Expect(0, 6479, '\P{Is_Blk=_limbu}', "");
Expect(1, 6479, '\P{^Is_Blk=_limbu}', "");
Expect(0, 6399, '\p{Is_Blk=_limbu}', "");
Expect(1, 6399, '\p{^Is_Blk=_limbu}', "");
Expect(1, 6399, '\P{Is_Blk=_limbu}', "");
Expect(0, 6399, '\P{^Is_Blk=_limbu}', "");
Error('\p{Block=:=CURRENCY-symbols}');
Error('\P{Block=:=CURRENCY-symbols}');
Expect(1, 8399, '\p{Block=currencysymbols}', "");
Expect(0, 8399, '\p{^Block=currencysymbols}', "");
Expect(0, 8399, '\P{Block=currencysymbols}', "");
Expect(1, 8399, '\P{^Block=currencysymbols}', "");
Expect(0, 8351, '\p{Block=currencysymbols}', "");
Expect(1, 8351, '\p{^Block=currencysymbols}', "");
Expect(1, 8351, '\P{Block=currencysymbols}', "");
Expect(0, 8351, '\P{^Block=currencysymbols}', "");
Expect(1, 8399, '\p{Block= Currency_SYMBOLS}', "");
Expect(0, 8399, '\p{^Block= Currency_SYMBOLS}', "");
Expect(0, 8399, '\P{Block= Currency_SYMBOLS}', "");
Expect(1, 8399, '\P{^Block= Currency_SYMBOLS}', "");
Expect(0, 8351, '\p{Block= Currency_SYMBOLS}', "");
Expect(1, 8351, '\p{^Block= Currency_SYMBOLS}', "");
Expect(1, 8351, '\P{Block= Currency_SYMBOLS}', "");
Expect(0, 8351, '\P{^Block= Currency_SYMBOLS}', "");
Error('\p{Blk=/a/	_Currency	Symbols}');
Error('\P{Blk=/a/	_Currency	Symbols}');
Expect(1, 8399, '\p{Blk=currencysymbols}', "");
Expect(0, 8399, '\p{^Blk=currencysymbols}', "");
Expect(0, 8399, '\P{Blk=currencysymbols}', "");
Expect(1, 8399, '\P{^Blk=currencysymbols}', "");
Expect(0, 8351, '\p{Blk=currencysymbols}', "");
Expect(1, 8351, '\p{^Blk=currencysymbols}', "");
Expect(1, 8351, '\P{Blk=currencysymbols}', "");
Expect(0, 8351, '\P{^Blk=currencysymbols}', "");
Expect(1, 8399, '\p{Blk=- Currency-Symbols}', "");
Expect(0, 8399, '\p{^Blk=- Currency-Symbols}', "");
Expect(0, 8399, '\P{Blk=- Currency-Symbols}', "");
Expect(1, 8399, '\P{^Blk=- Currency-Symbols}', "");
Expect(0, 8351, '\p{Blk=- Currency-Symbols}', "");
Expect(1, 8351, '\p{^Blk=- Currency-Symbols}', "");
Expect(1, 8351, '\P{Blk=- Currency-Symbols}', "");
Expect(0, 8351, '\P{^Blk=- Currency-Symbols}', "");
Error('\p{Is_Block=		Currency_symbols/a/}');
Error('\P{Is_Block=		Currency_symbols/a/}');
Expect(1, 8399, '\p{Is_Block=currencysymbols}', "");
Expect(0, 8399, '\p{^Is_Block=currencysymbols}', "");
Expect(0, 8399, '\P{Is_Block=currencysymbols}', "");
Expect(1, 8399, '\P{^Is_Block=currencysymbols}', "");
Expect(0, 8351, '\p{Is_Block=currencysymbols}', "");
Expect(1, 8351, '\p{^Is_Block=currencysymbols}', "");
Expect(1, 8351, '\P{Is_Block=currencysymbols}', "");
Expect(0, 8351, '\P{^Is_Block=currencysymbols}', "");
Expect(1, 8399, '\p{Is_Block=--CURRENCYSYMBOLS}', "");
Expect(0, 8399, '\p{^Is_Block=--CURRENCYSYMBOLS}', "");
Expect(0, 8399, '\P{Is_Block=--CURRENCYSYMBOLS}', "");
Expect(1, 8399, '\P{^Is_Block=--CURRENCYSYMBOLS}', "");
Expect(0, 8351, '\p{Is_Block=--CURRENCYSYMBOLS}', "");
Expect(1, 8351, '\p{^Is_Block=--CURRENCYSYMBOLS}', "");
Expect(1, 8351, '\P{Is_Block=--CURRENCYSYMBOLS}', "");
Expect(0, 8351, '\P{^Is_Block=--CURRENCYSYMBOLS}', "");
Error('\p{Is_Blk=-:=CURRENCYSYMBOLS}');
Error('\P{Is_Blk=-:=CURRENCYSYMBOLS}');
Expect(1, 8399, '\p{Is_Blk=currencysymbols}', "");
Expect(0, 8399, '\p{^Is_Blk=currencysymbols}', "");
Expect(0, 8399, '\P{Is_Blk=currencysymbols}', "");
Expect(1, 8399, '\P{^Is_Blk=currencysymbols}', "");
Expect(0, 8351, '\p{Is_Blk=currencysymbols}', "");
Expect(1, 8351, '\p{^Is_Blk=currencysymbols}', "");
Expect(1, 8351, '\P{Is_Blk=currencysymbols}', "");
Expect(0, 8351, '\P{^Is_Blk=currencysymbols}', "");
Expect(1, 8399, '\p{Is_Blk= Currency_Symbols}', "");
Expect(0, 8399, '\p{^Is_Blk= Currency_Symbols}', "");
Expect(0, 8399, '\P{Is_Blk= Currency_Symbols}', "");
Expect(1, 8399, '\P{^Is_Blk= Currency_Symbols}', "");
Expect(0, 8351, '\p{Is_Blk= Currency_Symbols}', "");
Expect(1, 8351, '\p{^Is_Blk= Currency_Symbols}', "");
Expect(1, 8351, '\P{Is_Blk= Currency_Symbols}', "");
Expect(0, 8351, '\P{^Is_Blk= Currency_Symbols}', "");
Error('\p{Block=_/a/spacing-Modifier letters}');
Error('\P{Block=_/a/spacing-Modifier letters}');
Expect(1, 767, '\p{Block=spacingmodifierletters}', "");
Expect(0, 767, '\p{^Block=spacingmodifierletters}', "");
Expect(0, 767, '\P{Block=spacingmodifierletters}', "");
Expect(1, 767, '\P{^Block=spacingmodifierletters}', "");
Expect(0, 687, '\p{Block=spacingmodifierletters}', "");
Expect(1, 687, '\p{^Block=spacingmodifierletters}', "");
Expect(1, 687, '\P{Block=spacingmodifierletters}', "");
Expect(0, 687, '\P{^Block=spacingmodifierletters}', "");
Expect(1, 767, '\p{Block=-	SPACING_ModifierLetters}', "");
Expect(0, 767, '\p{^Block=-	SPACING_ModifierLetters}', "");
Expect(0, 767, '\P{Block=-	SPACING_ModifierLetters}', "");
Expect(1, 767, '\P{^Block=-	SPACING_ModifierLetters}', "");
Expect(0, 687, '\p{Block=-	SPACING_ModifierLetters}', "");
Expect(1, 687, '\p{^Block=-	SPACING_ModifierLetters}', "");
Expect(1, 687, '\P{Block=-	SPACING_ModifierLetters}', "");
Expect(0, 687, '\P{^Block=-	SPACING_ModifierLetters}', "");
Error('\p{Blk:		/a/SpacingModifier_letters}');
Error('\P{Blk:		/a/SpacingModifier_letters}');
Expect(1, 767, '\p{Blk=spacingmodifierletters}', "");
Expect(0, 767, '\p{^Blk=spacingmodifierletters}', "");
Expect(0, 767, '\P{Blk=spacingmodifierletters}', "");
Expect(1, 767, '\P{^Blk=spacingmodifierletters}', "");
Expect(0, 687, '\p{Blk=spacingmodifierletters}', "");
Expect(1, 687, '\p{^Blk=spacingmodifierletters}', "");
Expect(1, 687, '\P{Blk=spacingmodifierletters}', "");
Expect(0, 687, '\P{^Blk=spacingmodifierletters}', "");
Expect(1, 767, '\p{Blk=		Spacingmodifier_letters}', "");
Expect(0, 767, '\p{^Blk=		Spacingmodifier_letters}', "");
Expect(0, 767, '\P{Blk=		Spacingmodifier_letters}', "");
Expect(1, 767, '\P{^Blk=		Spacingmodifier_letters}', "");
Expect(0, 687, '\p{Blk=		Spacingmodifier_letters}', "");
Expect(1, 687, '\p{^Blk=		Spacingmodifier_letters}', "");
Expect(1, 687, '\P{Blk=		Spacingmodifier_letters}', "");
Expect(0, 687, '\P{^Blk=		Spacingmodifier_letters}', "");
Error('\p{Is_Block=-/a/Spacing	Modifier	Letters}');
Error('\P{Is_Block=-/a/Spacing	Modifier	Letters}');
Expect(1, 767, '\p{Is_Block=spacingmodifierletters}', "");
Expect(0, 767, '\p{^Is_Block=spacingmodifierletters}', "");
Expect(0, 767, '\P{Is_Block=spacingmodifierletters}', "");
Expect(1, 767, '\P{^Is_Block=spacingmodifierletters}', "");
Expect(0, 687, '\p{Is_Block=spacingmodifierletters}', "");
Expect(1, 687, '\p{^Is_Block=spacingmodifierletters}', "");
Expect(1, 687, '\P{Is_Block=spacingmodifierletters}', "");
Expect(0, 687, '\P{^Is_Block=spacingmodifierletters}', "");
Expect(1, 767, '\p{Is_Block=	-SpacingModifier letters}', "");
Expect(0, 767, '\p{^Is_Block=	-SpacingModifier letters}', "");
Expect(0, 767, '\P{Is_Block=	-SpacingModifier letters}', "");
Expect(1, 767, '\P{^Is_Block=	-SpacingModifier letters}', "");
Expect(0, 687, '\p{Is_Block=	-SpacingModifier letters}', "");
Expect(1, 687, '\p{^Is_Block=	-SpacingModifier letters}', "");
Expect(1, 687, '\P{Is_Block=	-SpacingModifier letters}', "");
Expect(0, 687, '\P{^Is_Block=	-SpacingModifier letters}', "");
Error('\p{Is_Blk=	-Spacing modifier/a/LETTERS}');
Error('\P{Is_Blk=	-Spacing modifier/a/LETTERS}');
Expect(1, 767, '\p{Is_Blk=spacingmodifierletters}', "");
Expect(0, 767, '\p{^Is_Blk=spacingmodifierletters}', "");
Expect(0, 767, '\P{Is_Blk=spacingmodifierletters}', "");
Expect(1, 767, '\P{^Is_Blk=spacingmodifierletters}', "");
Expect(0, 687, '\p{Is_Blk=spacingmodifierletters}', "");
Expect(1, 687, '\p{^Is_Blk=spacingmodifierletters}', "");
Expect(1, 687, '\P{Is_Blk=spacingmodifierletters}', "");
Expect(0, 687, '\P{^Is_Blk=spacingmodifierletters}', "");
Expect(1, 767, '\p{Is_Blk=-Spacing_MODIFIER Letters}', "");
Expect(0, 767, '\p{^Is_Blk=-Spacing_MODIFIER Letters}', "");
Expect(0, 767, '\P{Is_Blk=-Spacing_MODIFIER Letters}', "");
Expect(1, 767, '\P{^Is_Blk=-Spacing_MODIFIER Letters}', "");
Expect(0, 687, '\p{Is_Blk=-Spacing_MODIFIER Letters}', "");
Expect(1, 687, '\p{^Is_Blk=-Spacing_MODIFIER Letters}', "");
Expect(1, 687, '\P{Is_Blk=-Spacing_MODIFIER Letters}', "");
Expect(0, 687, '\P{^Is_Blk=-Spacing_MODIFIER Letters}', "");
Error('\p{Block=_Box:=Drawing}');
Error('\P{Block=_Box:=Drawing}');
Expect(1, 9599, '\p{Block=boxdrawing}', "");
Expect(0, 9599, '\p{^Block=boxdrawing}', "");
Expect(0, 9599, '\P{Block=boxdrawing}', "");
Expect(1, 9599, '\P{^Block=boxdrawing}', "");
Expect(0, 9471, '\p{Block=boxdrawing}', "");
Expect(1, 9471, '\p{^Block=boxdrawing}', "");
Expect(1, 9471, '\P{Block=boxdrawing}', "");
Expect(0, 9471, '\P{^Block=boxdrawing}', "");
Expect(1, 9599, '\p{Block:		Box_drawing}', "");
Expect(0, 9599, '\p{^Block:		Box_drawing}', "");
Expect(0, 9599, '\P{Block:		Box_drawing}', "");
Expect(1, 9599, '\P{^Block:		Box_drawing}', "");
Expect(0, 9471, '\p{Block:		Box_drawing}', "");
Expect(1, 9471, '\p{^Block:		Box_drawing}', "");
Expect(1, 9471, '\P{Block:		Box_drawing}', "");
Expect(0, 9471, '\P{^Block:		Box_drawing}', "");
Error('\p{Blk=/a/ 	boxDrawing}');
Error('\P{Blk=/a/ 	boxDrawing}');
Expect(1, 9599, '\p{Blk=boxdrawing}', "");
Expect(0, 9599, '\p{^Blk=boxdrawing}', "");
Expect(0, 9599, '\P{Blk=boxdrawing}', "");
Expect(1, 9599, '\P{^Blk=boxdrawing}', "");
Expect(0, 9471, '\p{Blk=boxdrawing}', "");
Expect(1, 9471, '\p{^Blk=boxdrawing}', "");
Expect(1, 9471, '\P{Blk=boxdrawing}', "");
Expect(0, 9471, '\P{^Blk=boxdrawing}', "");
Expect(1, 9599, '\p{Blk=  BOX	Drawing}', "");
Expect(0, 9599, '\p{^Blk=  BOX	Drawing}', "");
Expect(0, 9599, '\P{Blk=  BOX	Drawing}', "");
Expect(1, 9599, '\P{^Blk=  BOX	Drawing}', "");
Expect(0, 9471, '\p{Blk=  BOX	Drawing}', "");
Expect(1, 9471, '\p{^Blk=  BOX	Drawing}', "");
Expect(1, 9471, '\P{Blk=  BOX	Drawing}', "");
Expect(0, 9471, '\P{^Blk=  BOX	Drawing}', "");
Error('\p{Is_Block= _Box:=Drawing}');
Error('\P{Is_Block= _Box:=Drawing}');
Expect(1, 9599, '\p{Is_Block=boxdrawing}', "");
Expect(0, 9599, '\p{^Is_Block=boxdrawing}', "");
Expect(0, 9599, '\P{Is_Block=boxdrawing}', "");
Expect(1, 9599, '\P{^Is_Block=boxdrawing}', "");
Expect(0, 9471, '\p{Is_Block=boxdrawing}', "");
Expect(1, 9471, '\p{^Is_Block=boxdrawing}', "");
Expect(1, 9471, '\P{Is_Block=boxdrawing}', "");
Expect(0, 9471, '\P{^Is_Block=boxdrawing}', "");
Expect(1, 9599, '\p{Is_Block=_-Box-Drawing}', "");
Expect(0, 9599, '\p{^Is_Block=_-Box-Drawing}', "");
Expect(0, 9599, '\P{Is_Block=_-Box-Drawing}', "");
Expect(1, 9599, '\P{^Is_Block=_-Box-Drawing}', "");
Expect(0, 9471, '\p{Is_Block=_-Box-Drawing}', "");
Expect(1, 9471, '\p{^Is_Block=_-Box-Drawing}', "");
Expect(1, 9471, '\P{Is_Block=_-Box-Drawing}', "");
Expect(0, 9471, '\P{^Is_Block=_-Box-Drawing}', "");
Error('\p{Is_Blk=	 BOX:=Drawing}');
Error('\P{Is_Blk=	 BOX:=Drawing}');
Expect(1, 9599, '\p{Is_Blk=boxdrawing}', "");
Expect(0, 9599, '\p{^Is_Blk=boxdrawing}', "");
Expect(0, 9599, '\P{Is_Blk=boxdrawing}', "");
Expect(1, 9599, '\P{^Is_Blk=boxdrawing}', "");
Expect(0, 9471, '\p{Is_Blk=boxdrawing}', "");
Expect(1, 9471, '\p{^Is_Blk=boxdrawing}', "");
Expect(1, 9471, '\P{Is_Blk=boxdrawing}', "");
Expect(0, 9471, '\P{^Is_Blk=boxdrawing}', "");
Expect(1, 9599, '\p{Is_Blk=- box DRAWING}', "");
Expect(0, 9599, '\p{^Is_Blk=- box DRAWING}', "");
Expect(0, 9599, '\P{Is_Blk=- box DRAWING}', "");
Expect(1, 9599, '\P{^Is_Blk=- box DRAWING}', "");
Expect(0, 9471, '\p{Is_Blk=- box DRAWING}', "");
Expect(1, 9471, '\p{^Is_Blk=- box DRAWING}', "");
Expect(1, 9471, '\P{Is_Blk=- box DRAWING}', "");
Expect(0, 9471, '\P{^Is_Blk=- box DRAWING}', "");
Error('\p{Block=:= -Superscripts	ANDSUBSCRIPTS}');
Error('\P{Block=:= -Superscripts	ANDSUBSCRIPTS}');
Expect(1, 8351, '\p{Block=superscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^Block=superscriptsandsubscripts}', "");
Expect(0, 8351, '\P{Block=superscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^Block=superscriptsandsubscripts}', "");
Expect(0, 8303, '\p{Block=superscriptsandsubscripts}', "");
Expect(1, 8303, '\p{^Block=superscriptsandsubscripts}', "");
Expect(1, 8303, '\P{Block=superscriptsandsubscripts}', "");
Expect(0, 8303, '\P{^Block=superscriptsandsubscripts}', "");
Expect(1, 8351, '\p{Block= 	Superscripts	And-Subscripts}', "");
Expect(0, 8351, '\p{^Block= 	Superscripts	And-Subscripts}', "");
Expect(0, 8351, '\P{Block= 	Superscripts	And-Subscripts}', "");
Expect(1, 8351, '\P{^Block= 	Superscripts	And-Subscripts}', "");
Expect(0, 8303, '\p{Block= 	Superscripts	And-Subscripts}', "");
Expect(1, 8303, '\p{^Block= 	Superscripts	And-Subscripts}', "");
Expect(1, 8303, '\P{Block= 	Superscripts	And-Subscripts}', "");
Expect(0, 8303, '\P{^Block= 	Superscripts	And-Subscripts}', "");
Error('\p{Blk:    	superscripts:=And SUBSCRIPTS}');
Error('\P{Blk:    	superscripts:=And SUBSCRIPTS}');
Expect(1, 8351, '\p{Blk=superscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^Blk=superscriptsandsubscripts}', "");
Expect(0, 8351, '\P{Blk=superscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^Blk=superscriptsandsubscripts}', "");
Expect(0, 8303, '\p{Blk=superscriptsandsubscripts}', "");
Expect(1, 8303, '\p{^Blk=superscriptsandsubscripts}', "");
Expect(1, 8303, '\P{Blk=superscriptsandsubscripts}', "");
Expect(0, 8303, '\P{^Blk=superscriptsandsubscripts}', "");
Expect(1, 8351, '\p{Blk= 	SUPERSCRIPTS	And-SUBSCRIPTS}', "");
Expect(0, 8351, '\p{^Blk= 	SUPERSCRIPTS	And-SUBSCRIPTS}', "");
Expect(0, 8351, '\P{Blk= 	SUPERSCRIPTS	And-SUBSCRIPTS}', "");
Expect(1, 8351, '\P{^Blk= 	SUPERSCRIPTS	And-SUBSCRIPTS}', "");
Expect(0, 8303, '\p{Blk= 	SUPERSCRIPTS	And-SUBSCRIPTS}', "");
Expect(1, 8303, '\p{^Blk= 	SUPERSCRIPTS	And-SUBSCRIPTS}', "");
Expect(1, 8303, '\P{Blk= 	SUPERSCRIPTS	And-SUBSCRIPTS}', "");
Expect(0, 8303, '\P{^Blk= 	SUPERSCRIPTS	And-SUBSCRIPTS}', "");
Error('\p{Is_Block= superscripts:=AND_Subscripts}');
Error('\P{Is_Block= superscripts:=AND_Subscripts}');
Expect(1, 8351, '\p{Is_Block=superscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^Is_Block=superscriptsandsubscripts}', "");
Expect(0, 8351, '\P{Is_Block=superscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^Is_Block=superscriptsandsubscripts}', "");
Expect(0, 8303, '\p{Is_Block=superscriptsandsubscripts}', "");
Expect(1, 8303, '\p{^Is_Block=superscriptsandsubscripts}', "");
Expect(1, 8303, '\P{Is_Block=superscriptsandsubscripts}', "");
Expect(0, 8303, '\P{^Is_Block=superscriptsandsubscripts}', "");
Expect(1, 8351, '\p{Is_Block=-Superscripts-AND_SUBSCRIPTS}', "");
Expect(0, 8351, '\p{^Is_Block=-Superscripts-AND_SUBSCRIPTS}', "");
Expect(0, 8351, '\P{Is_Block=-Superscripts-AND_SUBSCRIPTS}', "");
Expect(1, 8351, '\P{^Is_Block=-Superscripts-AND_SUBSCRIPTS}', "");
Expect(0, 8303, '\p{Is_Block=-Superscripts-AND_SUBSCRIPTS}', "");
Expect(1, 8303, '\p{^Is_Block=-Superscripts-AND_SUBSCRIPTS}', "");
Expect(1, 8303, '\P{Is_Block=-Superscripts-AND_SUBSCRIPTS}', "");
Expect(0, 8303, '\P{^Is_Block=-Superscripts-AND_SUBSCRIPTS}', "");
Error('\p{Is_Blk:		SUPERSCRIPTS/a/and-Subscripts}');
Error('\P{Is_Blk:		SUPERSCRIPTS/a/and-Subscripts}');
Expect(1, 8351, '\p{Is_Blk=superscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^Is_Blk=superscriptsandsubscripts}', "");
Expect(0, 8351, '\P{Is_Blk=superscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^Is_Blk=superscriptsandsubscripts}', "");
Expect(0, 8303, '\p{Is_Blk=superscriptsandsubscripts}', "");
Expect(1, 8303, '\p{^Is_Blk=superscriptsandsubscripts}', "");
Expect(1, 8303, '\P{Is_Blk=superscriptsandsubscripts}', "");
Expect(0, 8303, '\P{^Is_Blk=superscriptsandsubscripts}', "");
Expect(1, 8351, '\p{Is_Blk=_Superscripts_AND_subscripts}', "");
Expect(0, 8351, '\p{^Is_Blk=_Superscripts_AND_subscripts}', "");
Expect(0, 8351, '\P{Is_Blk=_Superscripts_AND_subscripts}', "");
Expect(1, 8351, '\P{^Is_Blk=_Superscripts_AND_subscripts}', "");
Expect(0, 8303, '\p{Is_Blk=_Superscripts_AND_subscripts}', "");
Expect(1, 8303, '\p{^Is_Blk=_Superscripts_AND_subscripts}', "");
Expect(1, 8303, '\P{Is_Blk=_Superscripts_AND_subscripts}', "");
Expect(0, 8303, '\P{^Is_Blk=_Superscripts_AND_subscripts}', "");
Error('\p{Block=-/a/ancient GREEK_Numbers}');
Error('\P{Block=-/a/ancient GREEK_Numbers}');
Expect(1, 65935, '\p{Block=ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^Block=ancientgreeknumbers}', "");
Expect(0, 65935, '\P{Block=ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^Block=ancientgreeknumbers}', "");
Expect(0, 65855, '\p{Block=ancientgreeknumbers}', "");
Expect(1, 65855, '\p{^Block=ancientgreeknumbers}', "");
Expect(1, 65855, '\P{Block=ancientgreeknumbers}', "");
Expect(0, 65855, '\P{^Block=ancientgreeknumbers}', "");
Expect(1, 65935, '\p{Block=	Ancient_GreekNUMBERS}', "");
Expect(0, 65935, '\p{^Block=	Ancient_GreekNUMBERS}', "");
Expect(0, 65935, '\P{Block=	Ancient_GreekNUMBERS}', "");
Expect(1, 65935, '\P{^Block=	Ancient_GreekNUMBERS}', "");
Expect(0, 65855, '\p{Block=	Ancient_GreekNUMBERS}', "");
Expect(1, 65855, '\p{^Block=	Ancient_GreekNUMBERS}', "");
Expect(1, 65855, '\P{Block=	Ancient_GreekNUMBERS}', "");
Expect(0, 65855, '\P{^Block=	Ancient_GreekNUMBERS}', "");
Error('\p{Blk=-ANCIENTgreek Numbers:=}');
Error('\P{Blk=-ANCIENTgreek Numbers:=}');
Expect(1, 65935, '\p{Blk=ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^Blk=ancientgreeknumbers}', "");
Expect(0, 65935, '\P{Blk=ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^Blk=ancientgreeknumbers}', "");
Expect(0, 65855, '\p{Blk=ancientgreeknumbers}', "");
Expect(1, 65855, '\p{^Blk=ancientgreeknumbers}', "");
Expect(1, 65855, '\P{Blk=ancientgreeknumbers}', "");
Expect(0, 65855, '\P{^Blk=ancientgreeknumbers}', "");
Expect(1, 65935, '\p{Blk= Ancient Greek_Numbers}', "");
Expect(0, 65935, '\p{^Blk= Ancient Greek_Numbers}', "");
Expect(0, 65935, '\P{Blk= Ancient Greek_Numbers}', "");
Expect(1, 65935, '\P{^Blk= Ancient Greek_Numbers}', "");
Expect(0, 65855, '\p{Blk= Ancient Greek_Numbers}', "");
Expect(1, 65855, '\p{^Blk= Ancient Greek_Numbers}', "");
Expect(1, 65855, '\P{Blk= Ancient Greek_Numbers}', "");
Expect(0, 65855, '\P{^Blk= Ancient Greek_Numbers}', "");
Error('\p{Is_Block=- Ancient	GREEK/a/Numbers}');
Error('\P{Is_Block=- Ancient	GREEK/a/Numbers}');
Expect(1, 65935, '\p{Is_Block=ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^Is_Block=ancientgreeknumbers}', "");
Expect(0, 65935, '\P{Is_Block=ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^Is_Block=ancientgreeknumbers}', "");
Expect(0, 65855, '\p{Is_Block=ancientgreeknumbers}', "");
Expect(1, 65855, '\p{^Is_Block=ancientgreeknumbers}', "");
Expect(1, 65855, '\P{Is_Block=ancientgreeknumbers}', "");
Expect(0, 65855, '\P{^Is_Block=ancientgreeknumbers}', "");
Expect(1, 65935, '\p{Is_Block=_ ancient	greek	numbers}', "");
Expect(0, 65935, '\p{^Is_Block=_ ancient	greek	numbers}', "");
Expect(0, 65935, '\P{Is_Block=_ ancient	greek	numbers}', "");
Expect(1, 65935, '\P{^Is_Block=_ ancient	greek	numbers}', "");
Expect(0, 65855, '\p{Is_Block=_ ancient	greek	numbers}', "");
Expect(1, 65855, '\p{^Is_Block=_ ancient	greek	numbers}', "");
Expect(1, 65855, '\P{Is_Block=_ ancient	greek	numbers}', "");
Expect(0, 65855, '\P{^Is_Block=_ ancient	greek	numbers}', "");
Error('\p{Is_Blk=  ANCIENT/a/GreekNumbers}');
Error('\P{Is_Blk=  ANCIENT/a/GreekNumbers}');
Expect(1, 65935, '\p{Is_Blk: ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^Is_Blk: ancientgreeknumbers}', "");
Expect(0, 65935, '\P{Is_Blk: ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^Is_Blk: ancientgreeknumbers}', "");
Expect(0, 65855, '\p{Is_Blk: ancientgreeknumbers}', "");
Expect(1, 65855, '\p{^Is_Blk: ancientgreeknumbers}', "");
Expect(1, 65855, '\P{Is_Blk: ancientgreeknumbers}', "");
Expect(0, 65855, '\P{^Is_Blk: ancientgreeknumbers}', "");
Expect(1, 65935, '\p{Is_Blk= 	ANCIENT	Greek-NUMBERS}', "");
Expect(0, 65935, '\p{^Is_Blk= 	ANCIENT	Greek-NUMBERS}', "");
Expect(0, 65935, '\P{Is_Blk= 	ANCIENT	Greek-NUMBERS}', "");
Expect(1, 65935, '\P{^Is_Blk= 	ANCIENT	Greek-NUMBERS}', "");
Expect(0, 65855, '\p{Is_Blk= 	ANCIENT	Greek-NUMBERS}', "");
Expect(1, 65855, '\p{^Is_Blk= 	ANCIENT	Greek-NUMBERS}', "");
Expect(1, 65855, '\P{Is_Blk= 	ANCIENT	Greek-NUMBERS}', "");
Expect(0, 65855, '\P{^Is_Blk= 	ANCIENT	Greek-NUMBERS}', "");
Error('\p{Block=:=NKo}');
Error('\P{Block=:=NKo}');
Expect(1, 2047, '\p{Block=nko}', "");
Expect(0, 2047, '\p{^Block=nko}', "");
Expect(0, 2047, '\P{Block=nko}', "");
Expect(1, 2047, '\P{^Block=nko}', "");
Expect(0, 1983, '\p{Block=nko}', "");
Expect(1, 1983, '\p{^Block=nko}', "");
Expect(1, 1983, '\P{Block=nko}', "");
Expect(0, 1983, '\P{^Block=nko}', "");
Expect(1, 2047, '\p{Block= NKO}', "");
Expect(0, 2047, '\p{^Block= NKO}', "");
Expect(0, 2047, '\P{Block= NKO}', "");
Expect(1, 2047, '\P{^Block= NKO}', "");
Expect(0, 1983, '\p{Block= NKO}', "");
Expect(1, 1983, '\p{^Block= NKO}', "");
Expect(1, 1983, '\P{Block= NKO}', "");
Expect(0, 1983, '\P{^Block= NKO}', "");
Error('\p{Blk:		_NKo/a/}');
Error('\P{Blk:		_NKo/a/}');
Expect(1, 2047, '\p{Blk=nko}', "");
Expect(0, 2047, '\p{^Blk=nko}', "");
Expect(0, 2047, '\P{Blk=nko}', "");
Expect(1, 2047, '\P{^Blk=nko}', "");
Expect(0, 1983, '\p{Blk=nko}', "");
Expect(1, 1983, '\p{^Blk=nko}', "");
Expect(1, 1983, '\P{Blk=nko}', "");
Expect(0, 1983, '\P{^Blk=nko}', "");
Expect(1, 2047, '\p{Blk=--NKo}', "");
Expect(0, 2047, '\p{^Blk=--NKo}', "");
Expect(0, 2047, '\P{Blk=--NKo}', "");
Expect(1, 2047, '\P{^Blk=--NKo}', "");
Expect(0, 1983, '\p{Blk=--NKo}', "");
Expect(1, 1983, '\p{^Blk=--NKo}', "");
Expect(1, 1983, '\P{Blk=--NKo}', "");
Expect(0, 1983, '\P{^Blk=--NKo}', "");
Error('\p{Is_Block=:=	NKO}');
Error('\P{Is_Block=:=	NKO}');
Expect(1, 2047, '\p{Is_Block=nko}', "");
Expect(0, 2047, '\p{^Is_Block=nko}', "");
Expect(0, 2047, '\P{Is_Block=nko}', "");
Expect(1, 2047, '\P{^Is_Block=nko}', "");
Expect(0, 1983, '\p{Is_Block=nko}', "");
Expect(1, 1983, '\p{^Is_Block=nko}', "");
Expect(1, 1983, '\P{Is_Block=nko}', "");
Expect(0, 1983, '\P{^Is_Block=nko}', "");
Expect(1, 2047, '\p{Is_Block=_NKO}', "");
Expect(0, 2047, '\p{^Is_Block=_NKO}', "");
Expect(0, 2047, '\P{Is_Block=_NKO}', "");
Expect(1, 2047, '\P{^Is_Block=_NKO}', "");
Expect(0, 1983, '\p{Is_Block=_NKO}', "");
Expect(1, 1983, '\p{^Is_Block=_NKO}', "");
Expect(1, 1983, '\P{Is_Block=_NKO}', "");
Expect(0, 1983, '\P{^Is_Block=_NKO}', "");
Error('\p{Is_Blk=	:=NKO}');
Error('\P{Is_Blk=	:=NKO}');
Expect(1, 2047, '\p{Is_Blk=nko}', "");
Expect(0, 2047, '\p{^Is_Blk=nko}', "");
Expect(0, 2047, '\P{Is_Blk=nko}', "");
Expect(1, 2047, '\P{^Is_Blk=nko}', "");
Expect(0, 1983, '\p{Is_Blk=nko}', "");
Expect(1, 1983, '\p{^Is_Blk=nko}', "");
Expect(1, 1983, '\P{Is_Blk=nko}', "");
Expect(0, 1983, '\P{^Is_Blk=nko}', "");
Expect(1, 2047, '\p{Is_Blk=	nko}', "");
Expect(0, 2047, '\p{^Is_Blk=	nko}', "");
Expect(0, 2047, '\P{Is_Blk=	nko}', "");
Expect(1, 2047, '\P{^Is_Blk=	nko}', "");
Expect(0, 1983, '\p{Is_Blk=	nko}', "");
Expect(1, 1983, '\p{^Is_Blk=	nko}', "");
Expect(1, 1983, '\P{Is_Blk=	nko}', "");
Expect(0, 1983, '\P{^Is_Blk=	nko}', "");
Error('\p{Block=- Musical/a/symbols}');
Error('\P{Block=- Musical/a/symbols}');
Expect(1, 119295, '\p{Block=musicalsymbols}', "");
Expect(0, 119295, '\p{^Block=musicalsymbols}', "");
Expect(0, 119295, '\P{Block=musicalsymbols}', "");
Expect(1, 119295, '\P{^Block=musicalsymbols}', "");
Expect(0, 119039, '\p{Block=musicalsymbols}', "");
Expect(1, 119039, '\p{^Block=musicalsymbols}', "");
Expect(1, 119039, '\P{Block=musicalsymbols}', "");
Expect(0, 119039, '\P{^Block=musicalsymbols}', "");
Expect(1, 119295, '\p{Block=_Musical_Symbols}', "");
Expect(0, 119295, '\p{^Block=_Musical_Symbols}', "");
Expect(0, 119295, '\P{Block=_Musical_Symbols}', "");
Expect(1, 119295, '\P{^Block=_Musical_Symbols}', "");
Expect(0, 119039, '\p{Block=_Musical_Symbols}', "");
Expect(1, 119039, '\p{^Block=_Musical_Symbols}', "");
Expect(1, 119039, '\P{Block=_Musical_Symbols}', "");
Expect(0, 119039, '\P{^Block=_Musical_Symbols}', "");
Error('\p{Blk= 	Musical:=Symbols}');
Error('\P{Blk= 	Musical:=Symbols}');
Expect(1, 119295, '\p{Blk=musicalsymbols}', "");
Expect(0, 119295, '\p{^Blk=musicalsymbols}', "");
Expect(0, 119295, '\P{Blk=musicalsymbols}', "");
Expect(1, 119295, '\P{^Blk=musicalsymbols}', "");
Expect(0, 119039, '\p{Blk=musicalsymbols}', "");
Expect(1, 119039, '\p{^Blk=musicalsymbols}', "");
Expect(1, 119039, '\P{Blk=musicalsymbols}', "");
Expect(0, 119039, '\P{^Blk=musicalsymbols}', "");
Expect(1, 119295, '\p{Blk= _MusicalSymbols}', "");
Expect(0, 119295, '\p{^Blk= _MusicalSymbols}', "");
Expect(0, 119295, '\P{Blk= _MusicalSymbols}', "");
Expect(1, 119295, '\P{^Blk= _MusicalSymbols}', "");
Expect(0, 119039, '\p{Blk= _MusicalSymbols}', "");
Expect(1, 119039, '\p{^Blk= _MusicalSymbols}', "");
Expect(1, 119039, '\P{Blk= _MusicalSymbols}', "");
Expect(0, 119039, '\P{^Blk= _MusicalSymbols}', "");
Error('\p{Is_Block= Musical/a/Symbols}');
Error('\P{Is_Block= Musical/a/Symbols}');
Expect(1, 119295, '\p{Is_Block=musicalsymbols}', "");
Expect(0, 119295, '\p{^Is_Block=musicalsymbols}', "");
Expect(0, 119295, '\P{Is_Block=musicalsymbols}', "");
Expect(1, 119295, '\P{^Is_Block=musicalsymbols}', "");
Expect(0, 119039, '\p{Is_Block=musicalsymbols}', "");
Expect(1, 119039, '\p{^Is_Block=musicalsymbols}', "");
Expect(1, 119039, '\P{Is_Block=musicalsymbols}', "");
Expect(0, 119039, '\P{^Is_Block=musicalsymbols}', "");
Expect(1, 119295, '\p{Is_Block=_ MUSICAL	Symbols}', "");
Expect(0, 119295, '\p{^Is_Block=_ MUSICAL	Symbols}', "");
Expect(0, 119295, '\P{Is_Block=_ MUSICAL	Symbols}', "");
Expect(1, 119295, '\P{^Is_Block=_ MUSICAL	Symbols}', "");
Expect(0, 119039, '\p{Is_Block=_ MUSICAL	Symbols}', "");
Expect(1, 119039, '\p{^Is_Block=_ MUSICAL	Symbols}', "");
Expect(1, 119039, '\P{Is_Block=_ MUSICAL	Symbols}', "");
Expect(0, 119039, '\P{^Is_Block=_ MUSICAL	Symbols}', "");
Error('\p{Is_Blk=/a/		Musicalsymbols}');
Error('\P{Is_Blk=/a/		Musicalsymbols}');
Expect(1, 119295, '\p{Is_Blk=musicalsymbols}', "");
Expect(0, 119295, '\p{^Is_Blk=musicalsymbols}', "");
Expect(0, 119295, '\P{Is_Blk=musicalsymbols}', "");
Expect(1, 119295, '\P{^Is_Blk=musicalsymbols}', "");
Expect(0, 119039, '\p{Is_Blk=musicalsymbols}', "");
Expect(1, 119039, '\p{^Is_Blk=musicalsymbols}', "");
Expect(1, 119039, '\P{Is_Blk=musicalsymbols}', "");
Expect(0, 119039, '\P{^Is_Blk=musicalsymbols}', "");
Expect(1, 119295, '\p{Is_Blk= 	MUSICAL	symbols}', "");
Expect(0, 119295, '\p{^Is_Blk= 	MUSICAL	symbols}', "");
Expect(0, 119295, '\P{Is_Blk= 	MUSICAL	symbols}', "");
Expect(1, 119295, '\P{^Is_Blk= 	MUSICAL	symbols}', "");
Expect(0, 119039, '\p{Is_Blk= 	MUSICAL	symbols}', "");
Expect(1, 119039, '\p{^Is_Blk= 	MUSICAL	symbols}', "");
Expect(1, 119039, '\P{Is_Blk= 	MUSICAL	symbols}', "");
Expect(0, 119039, '\P{^Is_Blk= 	MUSICAL	symbols}', "");
Error('\p{Block=	_MISCELLANEOUS/a/SYMBOLS}');
Error('\P{Block=	_MISCELLANEOUS/a/SYMBOLS}');
Expect(1, 9983, '\p{Block=miscellaneoussymbols}', "");
Expect(0, 9983, '\p{^Block=miscellaneoussymbols}', "");
Expect(0, 9983, '\P{Block=miscellaneoussymbols}', "");
Expect(1, 9983, '\P{^Block=miscellaneoussymbols}', "");
Expect(0, 9727, '\p{Block=miscellaneoussymbols}', "");
Expect(1, 9727, '\p{^Block=miscellaneoussymbols}', "");
Expect(1, 9727, '\P{Block=miscellaneoussymbols}', "");
Expect(0, 9727, '\P{^Block=miscellaneoussymbols}', "");
Expect(1, 9983, '\p{Block=_ MISCELLANEOUSSymbols}', "");
Expect(0, 9983, '\p{^Block=_ MISCELLANEOUSSymbols}', "");
Expect(0, 9983, '\P{Block=_ MISCELLANEOUSSymbols}', "");
Expect(1, 9983, '\P{^Block=_ MISCELLANEOUSSymbols}', "");
Expect(0, 9727, '\p{Block=_ MISCELLANEOUSSymbols}', "");
Expect(1, 9727, '\p{^Block=_ MISCELLANEOUSSymbols}', "");
Expect(1, 9727, '\P{Block=_ MISCELLANEOUSSymbols}', "");
Expect(0, 9727, '\P{^Block=_ MISCELLANEOUSSymbols}', "");
Error('\p{Blk=_/a/Miscellaneous_symbols}');
Error('\P{Blk=_/a/Miscellaneous_symbols}');
Expect(1, 9983, '\p{Blk:	miscellaneoussymbols}', "");
Expect(0, 9983, '\p{^Blk:	miscellaneoussymbols}', "");
Expect(0, 9983, '\P{Blk:	miscellaneoussymbols}', "");
Expect(1, 9983, '\P{^Blk:	miscellaneoussymbols}', "");
Expect(0, 9727, '\p{Blk:	miscellaneoussymbols}', "");
Expect(1, 9727, '\p{^Blk:	miscellaneoussymbols}', "");
Expect(1, 9727, '\P{Blk:	miscellaneoussymbols}', "");
Expect(0, 9727, '\P{^Blk:	miscellaneoussymbols}', "");
Expect(1, 9983, '\p{Blk:_Miscellaneous symbols}', "");
Expect(0, 9983, '\p{^Blk:_Miscellaneous symbols}', "");
Expect(0, 9983, '\P{Blk:_Miscellaneous symbols}', "");
Expect(1, 9983, '\P{^Blk:_Miscellaneous symbols}', "");
Expect(0, 9727, '\p{Blk:_Miscellaneous symbols}', "");
Expect(1, 9727, '\p{^Blk:_Miscellaneous symbols}', "");
Expect(1, 9727, '\P{Blk:_Miscellaneous symbols}', "");
Expect(0, 9727, '\P{^Blk:_Miscellaneous symbols}', "");
Error('\p{Is_Block=/a/		Miscellaneous_SYMBOLS}');
Error('\P{Is_Block=/a/		Miscellaneous_SYMBOLS}');
Expect(1, 9983, '\p{Is_Block=miscellaneoussymbols}', "");
Expect(0, 9983, '\p{^Is_Block=miscellaneoussymbols}', "");
Expect(0, 9983, '\P{Is_Block=miscellaneoussymbols}', "");
Expect(1, 9983, '\P{^Is_Block=miscellaneoussymbols}', "");
Expect(0, 9727, '\p{Is_Block=miscellaneoussymbols}', "");
Expect(1, 9727, '\p{^Is_Block=miscellaneoussymbols}', "");
Expect(1, 9727, '\P{Is_Block=miscellaneoussymbols}', "");
Expect(0, 9727, '\P{^Is_Block=miscellaneoussymbols}', "");
Expect(1, 9983, '\p{Is_Block=__Miscellaneous-SYMBOLS}', "");
Expect(0, 9983, '\p{^Is_Block=__Miscellaneous-SYMBOLS}', "");
Expect(0, 9983, '\P{Is_Block=__Miscellaneous-SYMBOLS}', "");
Expect(1, 9983, '\P{^Is_Block=__Miscellaneous-SYMBOLS}', "");
Expect(0, 9727, '\p{Is_Block=__Miscellaneous-SYMBOLS}', "");
Expect(1, 9727, '\p{^Is_Block=__Miscellaneous-SYMBOLS}', "");
Expect(1, 9727, '\P{Is_Block=__Miscellaneous-SYMBOLS}', "");
Expect(0, 9727, '\P{^Is_Block=__Miscellaneous-SYMBOLS}', "");
Error('\p{Is_Blk:		Miscellaneous_symbols/a/}');
Error('\P{Is_Blk:		Miscellaneous_symbols/a/}');
Expect(1, 9983, '\p{Is_Blk=miscellaneoussymbols}', "");
Expect(0, 9983, '\p{^Is_Blk=miscellaneoussymbols}', "");
Expect(0, 9983, '\P{Is_Blk=miscellaneoussymbols}', "");
Expect(1, 9983, '\P{^Is_Blk=miscellaneoussymbols}', "");
Expect(0, 9727, '\p{Is_Blk=miscellaneoussymbols}', "");
Expect(1, 9727, '\p{^Is_Blk=miscellaneoussymbols}', "");
Expect(1, 9727, '\P{Is_Blk=miscellaneoussymbols}', "");
Expect(0, 9727, '\P{^Is_Blk=miscellaneoussymbols}', "");
Expect(1, 9983, '\p{Is_Blk=- MISCELLANEOUS-Symbols}', "");
Expect(0, 9983, '\p{^Is_Blk=- MISCELLANEOUS-Symbols}', "");
Expect(0, 9983, '\P{Is_Blk=- MISCELLANEOUS-Symbols}', "");
Expect(1, 9983, '\P{^Is_Blk=- MISCELLANEOUS-Symbols}', "");
Expect(0, 9727, '\p{Is_Blk=- MISCELLANEOUS-Symbols}', "");
Expect(1, 9727, '\p{^Is_Blk=- MISCELLANEOUS-Symbols}', "");
Expect(1, 9727, '\P{Is_Blk=- MISCELLANEOUS-Symbols}', "");
Expect(0, 9727, '\P{^Is_Blk=- MISCELLANEOUS-Symbols}', "");
Error('\p{Block=/a/	-runic}');
Error('\P{Block=/a/	-runic}');
Expect(1, 5887, '\p{Block=runic}', "");
Expect(0, 5887, '\p{^Block=runic}', "");
Expect(0, 5887, '\P{Block=runic}', "");
Expect(1, 5887, '\P{^Block=runic}', "");
Expect(0, 5791, '\p{Block=runic}', "");
Expect(1, 5791, '\p{^Block=runic}', "");
Expect(1, 5791, '\P{Block=runic}', "");
Expect(0, 5791, '\P{^Block=runic}', "");
Expect(1, 5887, '\p{Block=_Runic}', "");
Expect(0, 5887, '\p{^Block=_Runic}', "");
Expect(0, 5887, '\P{Block=_Runic}', "");
Expect(1, 5887, '\P{^Block=_Runic}', "");
Expect(0, 5791, '\p{Block=_Runic}', "");
Expect(1, 5791, '\p{^Block=_Runic}', "");
Expect(1, 5791, '\P{Block=_Runic}', "");
Expect(0, 5791, '\P{^Block=_Runic}', "");
Error('\p{Blk=_	Runic/a/}');
Error('\P{Blk=_	Runic/a/}');
Expect(1, 5887, '\p{Blk=runic}', "");
Expect(0, 5887, '\p{^Blk=runic}', "");
Expect(0, 5887, '\P{Blk=runic}', "");
Expect(1, 5887, '\P{^Blk=runic}', "");
Expect(0, 5791, '\p{Blk=runic}', "");
Expect(1, 5791, '\p{^Blk=runic}', "");
Expect(1, 5791, '\P{Blk=runic}', "");
Expect(0, 5791, '\P{^Blk=runic}', "");
Expect(1, 5887, '\p{Blk=	_RUNIC}', "");
Expect(0, 5887, '\p{^Blk=	_RUNIC}', "");
Expect(0, 5887, '\P{Blk=	_RUNIC}', "");
Expect(1, 5887, '\P{^Blk=	_RUNIC}', "");
Expect(0, 5791, '\p{Blk=	_RUNIC}', "");
Expect(1, 5791, '\p{^Blk=	_RUNIC}', "");
Expect(1, 5791, '\P{Blk=	_RUNIC}', "");
Expect(0, 5791, '\P{^Blk=	_RUNIC}', "");
Error('\p{Is_Block= /a/runic}');
Error('\P{Is_Block= /a/runic}');
Expect(1, 5887, '\p{Is_Block=runic}', "");
Expect(0, 5887, '\p{^Is_Block=runic}', "");
Expect(0, 5887, '\P{Is_Block=runic}', "");
Expect(1, 5887, '\P{^Is_Block=runic}', "");
Expect(0, 5791, '\p{Is_Block=runic}', "");
Expect(1, 5791, '\p{^Is_Block=runic}', "");
Expect(1, 5791, '\P{Is_Block=runic}', "");
Expect(0, 5791, '\P{^Is_Block=runic}', "");
Expect(1, 5887, '\p{Is_Block: _	runic}', "");
Expect(0, 5887, '\p{^Is_Block: _	runic}', "");
Expect(0, 5887, '\P{Is_Block: _	runic}', "");
Expect(1, 5887, '\P{^Is_Block: _	runic}', "");
Expect(0, 5791, '\p{Is_Block: _	runic}', "");
Expect(1, 5791, '\p{^Is_Block: _	runic}', "");
Expect(1, 5791, '\P{Is_Block: _	runic}', "");
Expect(0, 5791, '\P{^Is_Block: _	runic}', "");
Error('\p{Is_Blk=:=- Runic}');
Error('\P{Is_Blk=:=- Runic}');
Expect(1, 5887, '\p{Is_Blk=runic}', "");
Expect(0, 5887, '\p{^Is_Blk=runic}', "");
Expect(0, 5887, '\P{Is_Blk=runic}', "");
Expect(1, 5887, '\P{^Is_Blk=runic}', "");
Expect(0, 5791, '\p{Is_Blk=runic}', "");
Expect(1, 5791, '\p{^Is_Blk=runic}', "");
Expect(1, 5791, '\P{Is_Blk=runic}', "");
Expect(0, 5791, '\P{^Is_Blk=runic}', "");
Expect(1, 5887, '\p{Is_Blk= -Runic}', "");
Expect(0, 5887, '\p{^Is_Blk= -Runic}', "");
Expect(0, 5887, '\P{Is_Blk= -Runic}', "");
Expect(1, 5887, '\P{^Is_Blk= -Runic}', "");
Expect(0, 5791, '\p{Is_Blk= -Runic}', "");
Expect(1, 5791, '\p{^Is_Blk= -Runic}', "");
Expect(1, 5791, '\P{Is_Blk= -Runic}', "");
Expect(0, 5791, '\P{^Is_Blk= -Runic}', "");
Error('\p{Block=-Lycian/a/}');
Error('\P{Block=-Lycian/a/}');
Expect(1, 66207, '\p{Block=lycian}', "");
Expect(0, 66207, '\p{^Block=lycian}', "");
Expect(0, 66207, '\P{Block=lycian}', "");
Expect(1, 66207, '\P{^Block=lycian}', "");
Expect(0, 66175, '\p{Block=lycian}', "");
Expect(1, 66175, '\p{^Block=lycian}', "");
Expect(1, 66175, '\P{Block=lycian}', "");
Expect(0, 66175, '\P{^Block=lycian}', "");
Expect(1, 66207, '\p{Block:     Lycian}', "");
Expect(0, 66207, '\p{^Block:     Lycian}', "");
Expect(0, 66207, '\P{Block:     Lycian}', "");
Expect(1, 66207, '\P{^Block:     Lycian}', "");
Expect(0, 66175, '\p{Block:     Lycian}', "");
Expect(1, 66175, '\p{^Block:     Lycian}', "");
Expect(1, 66175, '\P{Block:     Lycian}', "");
Expect(0, 66175, '\P{^Block:     Lycian}', "");
Error('\p{Blk=-LYCIAN/a/}');
Error('\P{Blk=-LYCIAN/a/}');
Expect(1, 66207, '\p{Blk=lycian}', "");
Expect(0, 66207, '\p{^Blk=lycian}', "");
Expect(0, 66207, '\P{Blk=lycian}', "");
Expect(1, 66207, '\P{^Blk=lycian}', "");
Expect(0, 66175, '\p{Blk=lycian}', "");
Expect(1, 66175, '\p{^Blk=lycian}', "");
Expect(1, 66175, '\P{Blk=lycian}', "");
Expect(0, 66175, '\P{^Blk=lycian}', "");
Expect(1, 66207, '\p{Blk=	Lycian}', "");
Expect(0, 66207, '\p{^Blk=	Lycian}', "");
Expect(0, 66207, '\P{Blk=	Lycian}', "");
Expect(1, 66207, '\P{^Blk=	Lycian}', "");
Expect(0, 66175, '\p{Blk=	Lycian}', "");
Expect(1, 66175, '\p{^Blk=	Lycian}', "");
Expect(1, 66175, '\P{Blk=	Lycian}', "");
Expect(0, 66175, '\P{^Blk=	Lycian}', "");
Error('\p{Is_Block=:=	-lycian}');
Error('\P{Is_Block=:=	-lycian}');
Expect(1, 66207, '\p{Is_Block=lycian}', "");
Expect(0, 66207, '\p{^Is_Block=lycian}', "");
Expect(0, 66207, '\P{Is_Block=lycian}', "");
Expect(1, 66207, '\P{^Is_Block=lycian}', "");
Expect(0, 66175, '\p{Is_Block=lycian}', "");
Expect(1, 66175, '\p{^Is_Block=lycian}', "");
Expect(1, 66175, '\P{Is_Block=lycian}', "");
Expect(0, 66175, '\P{^Is_Block=lycian}', "");
Expect(1, 66207, '\p{Is_Block=_	Lycian}', "");
Expect(0, 66207, '\p{^Is_Block=_	Lycian}', "");
Expect(0, 66207, '\P{Is_Block=_	Lycian}', "");
Expect(1, 66207, '\P{^Is_Block=_	Lycian}', "");
Expect(0, 66175, '\p{Is_Block=_	Lycian}', "");
Expect(1, 66175, '\p{^Is_Block=_	Lycian}', "");
Expect(1, 66175, '\P{Is_Block=_	Lycian}', "");
Expect(0, 66175, '\P{^Is_Block=_	Lycian}', "");
Error('\p{Is_Blk=	Lycian:=}');
Error('\P{Is_Blk=	Lycian:=}');
Expect(1, 66207, '\p{Is_Blk: lycian}', "");
Expect(0, 66207, '\p{^Is_Blk: lycian}', "");
Expect(0, 66207, '\P{Is_Blk: lycian}', "");
Expect(1, 66207, '\P{^Is_Blk: lycian}', "");
Expect(0, 66175, '\p{Is_Blk: lycian}', "");
Expect(1, 66175, '\p{^Is_Blk: lycian}', "");
Expect(1, 66175, '\P{Is_Blk: lycian}', "");
Expect(0, 66175, '\P{^Is_Blk: lycian}', "");
Expect(1, 66207, '\p{Is_Blk=-	lycian}', "");
Expect(0, 66207, '\p{^Is_Blk=-	lycian}', "");
Expect(0, 66207, '\P{Is_Blk=-	lycian}', "");
Expect(1, 66207, '\P{^Is_Blk=-	lycian}', "");
Expect(0, 66175, '\p{Is_Blk=-	lycian}', "");
Expect(1, 66175, '\p{^Is_Blk=-	lycian}', "");
Expect(1, 66175, '\P{Is_Blk=-	lycian}', "");
Expect(0, 66175, '\P{^Is_Blk=-	lycian}', "");
Error('\p{Block:	-geometric/a/Shapes}');
Error('\P{Block:	-geometric/a/Shapes}');
Expect(1, 9727, '\p{Block=geometricshapes}', "");
Expect(0, 9727, '\p{^Block=geometricshapes}', "");
Expect(0, 9727, '\P{Block=geometricshapes}', "");
Expect(1, 9727, '\P{^Block=geometricshapes}', "");
Expect(0, 9631, '\p{Block=geometricshapes}', "");
Expect(1, 9631, '\p{^Block=geometricshapes}', "");
Expect(1, 9631, '\P{Block=geometricshapes}', "");
Expect(0, 9631, '\P{^Block=geometricshapes}', "");
Expect(1, 9727, '\p{Block:  GEOMETRIC-shapes}', "");
Expect(0, 9727, '\p{^Block:  GEOMETRIC-shapes}', "");
Expect(0, 9727, '\P{Block:  GEOMETRIC-shapes}', "");
Expect(1, 9727, '\P{^Block:  GEOMETRIC-shapes}', "");
Expect(0, 9631, '\p{Block:  GEOMETRIC-shapes}', "");
Expect(1, 9631, '\p{^Block:  GEOMETRIC-shapes}', "");
Expect(1, 9631, '\P{Block:  GEOMETRIC-shapes}', "");
Expect(0, 9631, '\P{^Block:  GEOMETRIC-shapes}', "");
Error('\p{Blk=	 GEOMETRIC/a/Shapes}');
Error('\P{Blk=	 GEOMETRIC/a/Shapes}');
Expect(1, 9727, '\p{Blk=geometricshapes}', "");
Expect(0, 9727, '\p{^Blk=geometricshapes}', "");
Expect(0, 9727, '\P{Blk=geometricshapes}', "");
Expect(1, 9727, '\P{^Blk=geometricshapes}', "");
Expect(0, 9631, '\p{Blk=geometricshapes}', "");
Expect(1, 9631, '\p{^Blk=geometricshapes}', "");
Expect(1, 9631, '\P{Blk=geometricshapes}', "");
Expect(0, 9631, '\P{^Blk=geometricshapes}', "");
Expect(1, 9727, '\p{Blk=	Geometric-Shapes}', "");
Expect(0, 9727, '\p{^Blk=	Geometric-Shapes}', "");
Expect(0, 9727, '\P{Blk=	Geometric-Shapes}', "");
Expect(1, 9727, '\P{^Blk=	Geometric-Shapes}', "");
Expect(0, 9631, '\p{Blk=	Geometric-Shapes}', "");
Expect(1, 9631, '\p{^Blk=	Geometric-Shapes}', "");
Expect(1, 9631, '\P{Blk=	Geometric-Shapes}', "");
Expect(0, 9631, '\P{^Blk=	Geometric-Shapes}', "");
Error('\p{Is_Block=	GEOMETRIC:=Shapes}');
Error('\P{Is_Block=	GEOMETRIC:=Shapes}');
Expect(1, 9727, '\p{Is_Block=geometricshapes}', "");
Expect(0, 9727, '\p{^Is_Block=geometricshapes}', "");
Expect(0, 9727, '\P{Is_Block=geometricshapes}', "");
Expect(1, 9727, '\P{^Is_Block=geometricshapes}', "");
Expect(0, 9631, '\p{Is_Block=geometricshapes}', "");
Expect(1, 9631, '\p{^Is_Block=geometricshapes}', "");
Expect(1, 9631, '\P{Is_Block=geometricshapes}', "");
Expect(0, 9631, '\P{^Is_Block=geometricshapes}', "");
Expect(1, 9727, '\p{Is_Block=__Geometricshapes}', "");
Expect(0, 9727, '\p{^Is_Block=__Geometricshapes}', "");
Expect(0, 9727, '\P{Is_Block=__Geometricshapes}', "");
Expect(1, 9727, '\P{^Is_Block=__Geometricshapes}', "");
Expect(0, 9631, '\p{Is_Block=__Geometricshapes}', "");
Expect(1, 9631, '\p{^Is_Block=__Geometricshapes}', "");
Expect(1, 9631, '\P{Is_Block=__Geometricshapes}', "");
Expect(0, 9631, '\P{^Is_Block=__Geometricshapes}', "");
Error('\p{Is_Blk=_ geometric:=Shapes}');
Error('\P{Is_Blk=_ geometric:=Shapes}');
Expect(1, 9727, '\p{Is_Blk=geometricshapes}', "");
Expect(0, 9727, '\p{^Is_Blk=geometricshapes}', "");
Expect(0, 9727, '\P{Is_Blk=geometricshapes}', "");
Expect(1, 9727, '\P{^Is_Blk=geometricshapes}', "");
Expect(0, 9631, '\p{Is_Blk=geometricshapes}', "");
Expect(1, 9631, '\p{^Is_Blk=geometricshapes}', "");
Expect(1, 9631, '\P{Is_Blk=geometricshapes}', "");
Expect(0, 9631, '\P{^Is_Blk=geometricshapes}', "");
Expect(1, 9727, '\p{Is_Blk=_geometric SHAPES}', "");
Expect(0, 9727, '\p{^Is_Blk=_geometric SHAPES}', "");
Expect(0, 9727, '\P{Is_Blk=_geometric SHAPES}', "");
Expect(1, 9727, '\P{^Is_Blk=_geometric SHAPES}', "");
Expect(0, 9631, '\p{Is_Blk=_geometric SHAPES}', "");
Expect(1, 9631, '\p{^Is_Blk=_geometric SHAPES}', "");
Expect(1, 9631, '\P{Is_Blk=_geometric SHAPES}', "");
Expect(0, 9631, '\P{^Is_Blk=_geometric SHAPES}', "");
Error('\p{Block=/a/  Aegean	Numbers}');
Error('\P{Block=/a/  Aegean	Numbers}');
Expect(1, 65855, '\p{Block=aegeannumbers}', "");
Expect(0, 65855, '\p{^Block=aegeannumbers}', "");
Expect(0, 65855, '\P{Block=aegeannumbers}', "");
Expect(1, 65855, '\P{^Block=aegeannumbers}', "");
Expect(0, 65791, '\p{Block=aegeannumbers}', "");
Expect(1, 65791, '\p{^Block=aegeannumbers}', "");
Expect(1, 65791, '\P{Block=aegeannumbers}', "");
Expect(0, 65791, '\P{^Block=aegeannumbers}', "");
Expect(1, 65855, '\p{Block=	-aegean NUMBERS}', "");
Expect(0, 65855, '\p{^Block=	-aegean NUMBERS}', "");
Expect(0, 65855, '\P{Block=	-aegean NUMBERS}', "");
Expect(1, 65855, '\P{^Block=	-aegean NUMBERS}', "");
Expect(0, 65791, '\p{Block=	-aegean NUMBERS}', "");
Expect(1, 65791, '\p{^Block=	-aegean NUMBERS}', "");
Expect(1, 65791, '\P{Block=	-aegean NUMBERS}', "");
Expect(0, 65791, '\P{^Block=	-aegean NUMBERS}', "");
Error('\p{Blk=-_Aegean:=Numbers}');
Error('\P{Blk=-_Aegean:=Numbers}');
Expect(1, 65855, '\p{Blk=aegeannumbers}', "");
Expect(0, 65855, '\p{^Blk=aegeannumbers}', "");
Expect(0, 65855, '\P{Blk=aegeannumbers}', "");
Expect(1, 65855, '\P{^Blk=aegeannumbers}', "");
Expect(0, 65791, '\p{Blk=aegeannumbers}', "");
Expect(1, 65791, '\p{^Blk=aegeannumbers}', "");
Expect(1, 65791, '\P{Blk=aegeannumbers}', "");
Expect(0, 65791, '\P{^Blk=aegeannumbers}', "");
Expect(1, 65855, '\p{Blk= _aegeanNumbers}', "");
Expect(0, 65855, '\p{^Blk= _aegeanNumbers}', "");
Expect(0, 65855, '\P{Blk= _aegeanNumbers}', "");
Expect(1, 65855, '\P{^Blk= _aegeanNumbers}', "");
Expect(0, 65791, '\p{Blk= _aegeanNumbers}', "");
Expect(1, 65791, '\p{^Blk= _aegeanNumbers}', "");
Expect(1, 65791, '\P{Blk= _aegeanNumbers}', "");
Expect(0, 65791, '\P{^Blk= _aegeanNumbers}', "");
Error('\p{Is_Block=:= _Aegean_numbers}');
Error('\P{Is_Block=:= _Aegean_numbers}');
Expect(1, 65855, '\p{Is_Block=aegeannumbers}', "");
Expect(0, 65855, '\p{^Is_Block=aegeannumbers}', "");
Expect(0, 65855, '\P{Is_Block=aegeannumbers}', "");
Expect(1, 65855, '\P{^Is_Block=aegeannumbers}', "");
Expect(0, 65791, '\p{Is_Block=aegeannumbers}', "");
Expect(1, 65791, '\p{^Is_Block=aegeannumbers}', "");
Expect(1, 65791, '\P{Is_Block=aegeannumbers}', "");
Expect(0, 65791, '\P{^Is_Block=aegeannumbers}', "");
Expect(1, 65855, '\p{Is_Block=  Aegean-numbers}', "");
Expect(0, 65855, '\p{^Is_Block=  Aegean-numbers}', "");
Expect(0, 65855, '\P{Is_Block=  Aegean-numbers}', "");
Expect(1, 65855, '\P{^Is_Block=  Aegean-numbers}', "");
Expect(0, 65791, '\p{Is_Block=  Aegean-numbers}', "");
Expect(1, 65791, '\p{^Is_Block=  Aegean-numbers}', "");
Expect(1, 65791, '\P{Is_Block=  Aegean-numbers}', "");
Expect(0, 65791, '\P{^Is_Block=  Aegean-numbers}', "");
Error('\p{Is_Blk:     Aegean/a/Numbers}');
Error('\P{Is_Blk:     Aegean/a/Numbers}');
Expect(1, 65855, '\p{Is_Blk=aegeannumbers}', "");
Expect(0, 65855, '\p{^Is_Blk=aegeannumbers}', "");
Expect(0, 65855, '\P{Is_Blk=aegeannumbers}', "");
Expect(1, 65855, '\P{^Is_Blk=aegeannumbers}', "");
Expect(0, 65791, '\p{Is_Blk=aegeannumbers}', "");
Expect(1, 65791, '\p{^Is_Blk=aegeannumbers}', "");
Expect(1, 65791, '\P{Is_Blk=aegeannumbers}', "");
Expect(0, 65791, '\P{^Is_Blk=aegeannumbers}', "");
Expect(1, 65855, '\p{Is_Blk=_AEGEAN Numbers}', "");
Expect(0, 65855, '\p{^Is_Blk=_AEGEAN Numbers}', "");
Expect(0, 65855, '\P{Is_Blk=_AEGEAN Numbers}', "");
Expect(1, 65855, '\P{^Is_Blk=_AEGEAN Numbers}', "");
Expect(0, 65791, '\p{Is_Blk=_AEGEAN Numbers}', "");
Expect(1, 65791, '\p{^Is_Blk=_AEGEAN Numbers}', "");
Expect(1, 65791, '\P{Is_Blk=_AEGEAN Numbers}', "");
Expect(0, 65791, '\P{^Is_Blk=_AEGEAN Numbers}', "");
Error('\p{Block=  khmer:=Symbols}');
Error('\P{Block=  khmer:=Symbols}');
Expect(1, 6655, '\p{Block=khmersymbols}', "");
Expect(0, 6655, '\p{^Block=khmersymbols}', "");
Expect(0, 6655, '\P{Block=khmersymbols}', "");
Expect(1, 6655, '\P{^Block=khmersymbols}', "");
Expect(0, 6623, '\p{Block=khmersymbols}', "");
Expect(1, 6623, '\p{^Block=khmersymbols}', "");
Expect(1, 6623, '\P{Block=khmersymbols}', "");
Expect(0, 6623, '\P{^Block=khmersymbols}', "");
Expect(1, 6655, '\p{Block=__Khmer	SYMBOLS}', "");
Expect(0, 6655, '\p{^Block=__Khmer	SYMBOLS}', "");
Expect(0, 6655, '\P{Block=__Khmer	SYMBOLS}', "");
Expect(1, 6655, '\P{^Block=__Khmer	SYMBOLS}', "");
Expect(0, 6623, '\p{Block=__Khmer	SYMBOLS}', "");
Expect(1, 6623, '\p{^Block=__Khmer	SYMBOLS}', "");
Expect(1, 6623, '\P{Block=__Khmer	SYMBOLS}', "");
Expect(0, 6623, '\P{^Block=__Khmer	SYMBOLS}', "");
Error('\p{Blk=__Khmer:=Symbols}');
Error('\P{Blk=__Khmer:=Symbols}');
Expect(1, 6655, '\p{Blk=khmersymbols}', "");
Expect(0, 6655, '\p{^Blk=khmersymbols}', "");
Expect(0, 6655, '\P{Blk=khmersymbols}', "");
Expect(1, 6655, '\P{^Blk=khmersymbols}', "");
Expect(0, 6623, '\p{Blk=khmersymbols}', "");
Expect(1, 6623, '\p{^Blk=khmersymbols}', "");
Expect(1, 6623, '\P{Blk=khmersymbols}', "");
Expect(0, 6623, '\P{^Blk=khmersymbols}', "");
Expect(1, 6655, '\p{Blk=- Khmer	Symbols}', "");
Expect(0, 6655, '\p{^Blk=- Khmer	Symbols}', "");
Expect(0, 6655, '\P{Blk=- Khmer	Symbols}', "");
Expect(1, 6655, '\P{^Blk=- Khmer	Symbols}', "");
Expect(0, 6623, '\p{Blk=- Khmer	Symbols}', "");
Expect(1, 6623, '\p{^Blk=- Khmer	Symbols}', "");
Expect(1, 6623, '\P{Blk=- Khmer	Symbols}', "");
Expect(0, 6623, '\P{^Blk=- Khmer	Symbols}', "");
Error('\p{Is_Block=:=Khmer-Symbols}');
Error('\P{Is_Block=:=Khmer-Symbols}');
Expect(1, 6655, '\p{Is_Block=khmersymbols}', "");
Expect(0, 6655, '\p{^Is_Block=khmersymbols}', "");
Expect(0, 6655, '\P{Is_Block=khmersymbols}', "");
Expect(1, 6655, '\P{^Is_Block=khmersymbols}', "");
Expect(0, 6623, '\p{Is_Block=khmersymbols}', "");
Expect(1, 6623, '\p{^Is_Block=khmersymbols}', "");
Expect(1, 6623, '\P{Is_Block=khmersymbols}', "");
Expect(0, 6623, '\P{^Is_Block=khmersymbols}', "");
Expect(1, 6655, '\p{Is_Block=-	Khmersymbols}', "");
Expect(0, 6655, '\p{^Is_Block=-	Khmersymbols}', "");
Expect(0, 6655, '\P{Is_Block=-	Khmersymbols}', "");
Expect(1, 6655, '\P{^Is_Block=-	Khmersymbols}', "");
Expect(0, 6623, '\p{Is_Block=-	Khmersymbols}', "");
Expect(1, 6623, '\p{^Is_Block=-	Khmersymbols}', "");
Expect(1, 6623, '\P{Is_Block=-	Khmersymbols}', "");
Expect(0, 6623, '\P{^Is_Block=-	Khmersymbols}', "");
Error('\p{Is_Blk=:=KHMER	Symbols}');
Error('\P{Is_Blk=:=KHMER	Symbols}');
Expect(1, 6655, '\p{Is_Blk:   khmersymbols}', "");
Expect(0, 6655, '\p{^Is_Blk:   khmersymbols}', "");
Expect(0, 6655, '\P{Is_Blk:   khmersymbols}', "");
Expect(1, 6655, '\P{^Is_Blk:   khmersymbols}', "");
Expect(0, 6623, '\p{Is_Blk:   khmersymbols}', "");
Expect(1, 6623, '\p{^Is_Blk:   khmersymbols}', "");
Expect(1, 6623, '\P{Is_Blk:   khmersymbols}', "");
Expect(0, 6623, '\P{^Is_Blk:   khmersymbols}', "");
Expect(1, 6655, '\p{Is_Blk=		khmer_SYMBOLS}', "");
Expect(0, 6655, '\p{^Is_Blk=		khmer_SYMBOLS}', "");
Expect(0, 6655, '\P{Is_Blk=		khmer_SYMBOLS}', "");
Expect(1, 6655, '\P{^Is_Blk=		khmer_SYMBOLS}', "");
Expect(0, 6623, '\p{Is_Blk=		khmer_SYMBOLS}', "");
Expect(1, 6623, '\p{^Is_Blk=		khmer_SYMBOLS}', "");
Expect(1, 6623, '\P{Is_Blk=		khmer_SYMBOLS}', "");
Expect(0, 6623, '\P{^Is_Blk=		khmer_SYMBOLS}', "");
Error('\p{Block=-cjk RADICALS-Supplement/a/}');
Error('\P{Block=-cjk RADICALS-Supplement/a/}');
Expect(1, 12031, '\p{Block=cjkradicalssupplement}', "");
Expect(0, 12031, '\p{^Block=cjkradicalssupplement}', "");
Expect(0, 12031, '\P{Block=cjkradicalssupplement}', "");
Expect(1, 12031, '\P{^Block=cjkradicalssupplement}', "");
Expect(0, 11903, '\p{Block=cjkradicalssupplement}', "");
Expect(1, 11903, '\p{^Block=cjkradicalssupplement}', "");
Expect(1, 11903, '\P{Block=cjkradicalssupplement}', "");
Expect(0, 11903, '\P{^Block=cjkradicalssupplement}', "");
Expect(1, 12031, '\p{Block=-CJK-Radicals supplement}', "");
Expect(0, 12031, '\p{^Block=-CJK-Radicals supplement}', "");
Expect(0, 12031, '\P{Block=-CJK-Radicals supplement}', "");
Expect(1, 12031, '\P{^Block=-CJK-Radicals supplement}', "");
Expect(0, 11903, '\p{Block=-CJK-Radicals supplement}', "");
Expect(1, 11903, '\p{^Block=-CJK-Radicals supplement}', "");
Expect(1, 11903, '\P{Block=-CJK-Radicals supplement}', "");
Expect(0, 11903, '\P{^Block=-CJK-Radicals supplement}', "");
Error('\p{Blk=- CJK:=RADICALS_supplement}');
Error('\P{Blk=- CJK:=RADICALS_supplement}');
Expect(1, 12031, '\p{Blk=cjkradicalssupplement}', "");
Expect(0, 12031, '\p{^Blk=cjkradicalssupplement}', "");
Expect(0, 12031, '\P{Blk=cjkradicalssupplement}', "");
Expect(1, 12031, '\P{^Blk=cjkradicalssupplement}', "");
Expect(0, 11903, '\p{Blk=cjkradicalssupplement}', "");
Expect(1, 11903, '\p{^Blk=cjkradicalssupplement}', "");
Expect(1, 11903, '\P{Blk=cjkradicalssupplement}', "");
Expect(0, 11903, '\P{^Blk=cjkradicalssupplement}', "");
Expect(1, 12031, '\p{Blk=--cjkRadicals-SUPPLEMENT}', "");
Expect(0, 12031, '\p{^Blk=--cjkRadicals-SUPPLEMENT}', "");
Expect(0, 12031, '\P{Blk=--cjkRadicals-SUPPLEMENT}', "");
Expect(1, 12031, '\P{^Blk=--cjkRadicals-SUPPLEMENT}', "");
Expect(0, 11903, '\p{Blk=--cjkRadicals-SUPPLEMENT}', "");
Expect(1, 11903, '\p{^Blk=--cjkRadicals-SUPPLEMENT}', "");
Expect(1, 11903, '\P{Blk=--cjkRadicals-SUPPLEMENT}', "");
Expect(0, 11903, '\P{^Blk=--cjkRadicals-SUPPLEMENT}', "");
Error('\p{Is_Block:- CJK:=radicalsSUPPLEMENT}');
Error('\P{Is_Block:- CJK:=radicalsSUPPLEMENT}');
Expect(1, 12031, '\p{Is_Block=cjkradicalssupplement}', "");
Expect(0, 12031, '\p{^Is_Block=cjkradicalssupplement}', "");
Expect(0, 12031, '\P{Is_Block=cjkradicalssupplement}', "");
Expect(1, 12031, '\P{^Is_Block=cjkradicalssupplement}', "");
Expect(0, 11903, '\p{Is_Block=cjkradicalssupplement}', "");
Expect(1, 11903, '\p{^Is_Block=cjkradicalssupplement}', "");
Expect(1, 11903, '\P{Is_Block=cjkradicalssupplement}', "");
Expect(0, 11903, '\P{^Is_Block=cjkradicalssupplement}', "");
Expect(1, 12031, '\p{Is_Block=-cjk	RADICALS	SUPPLEMENT}', "");
Expect(0, 12031, '\p{^Is_Block=-cjk	RADICALS	SUPPLEMENT}', "");
Expect(0, 12031, '\P{Is_Block=-cjk	RADICALS	SUPPLEMENT}', "");
Expect(1, 12031, '\P{^Is_Block=-cjk	RADICALS	SUPPLEMENT}', "");
Expect(0, 11903, '\p{Is_Block=-cjk	RADICALS	SUPPLEMENT}', "");
Expect(1, 11903, '\p{^Is_Block=-cjk	RADICALS	SUPPLEMENT}', "");
Expect(1, 11903, '\P{Is_Block=-cjk	RADICALS	SUPPLEMENT}', "");
Expect(0, 11903, '\P{^Is_Block=-cjk	RADICALS	SUPPLEMENT}', "");
Error('\p{Is_Blk:	--CJK	Radicals Supplement:=}');
Error('\P{Is_Blk:	--CJK	Radicals Supplement:=}');
Expect(1, 12031, '\p{Is_Blk:	cjkradicalssupplement}', "");
Expect(0, 12031, '\p{^Is_Blk:	cjkradicalssupplement}', "");
Expect(0, 12031, '\P{Is_Blk:	cjkradicalssupplement}', "");
Expect(1, 12031, '\P{^Is_Blk:	cjkradicalssupplement}', "");
Expect(0, 11903, '\p{Is_Blk:	cjkradicalssupplement}', "");
Expect(1, 11903, '\p{^Is_Blk:	cjkradicalssupplement}', "");
Expect(1, 11903, '\P{Is_Blk:	cjkradicalssupplement}', "");
Expect(0, 11903, '\P{^Is_Blk:	cjkradicalssupplement}', "");
Expect(1, 12031, '\p{Is_Blk=_CJK radicals	Supplement}', "");
Expect(0, 12031, '\p{^Is_Blk=_CJK radicals	Supplement}', "");
Expect(0, 12031, '\P{Is_Blk=_CJK radicals	Supplement}', "");
Expect(1, 12031, '\P{^Is_Blk=_CJK radicals	Supplement}', "");
Expect(0, 11903, '\p{Is_Blk=_CJK radicals	Supplement}', "");
Expect(1, 11903, '\p{^Is_Blk=_CJK radicals	Supplement}', "");
Expect(1, 11903, '\P{Is_Blk=_CJK radicals	Supplement}', "");
Expect(0, 11903, '\P{^Is_Blk=_CJK radicals	Supplement}', "");
Error('\p{Block=_-IMPERIAL	aramaic/a/}');
Error('\P{Block=_-IMPERIAL	aramaic/a/}');
Expect(1, 67679, '\p{Block=imperialaramaic}', "");
Expect(0, 67679, '\p{^Block=imperialaramaic}', "");
Expect(0, 67679, '\P{Block=imperialaramaic}', "");
Expect(1, 67679, '\P{^Block=imperialaramaic}', "");
Expect(0, 67647, '\p{Block=imperialaramaic}', "");
Expect(1, 67647, '\p{^Block=imperialaramaic}', "");
Expect(1, 67647, '\P{Block=imperialaramaic}', "");
Expect(0, 67647, '\P{^Block=imperialaramaic}', "");
Expect(1, 67679, '\p{Block=-Imperial_ARAMAIC}', "");
Expect(0, 67679, '\p{^Block=-Imperial_ARAMAIC}', "");
Expect(0, 67679, '\P{Block=-Imperial_ARAMAIC}', "");
Expect(1, 67679, '\P{^Block=-Imperial_ARAMAIC}', "");
Expect(0, 67647, '\p{Block=-Imperial_ARAMAIC}', "");
Expect(1, 67647, '\p{^Block=-Imperial_ARAMAIC}', "");
Expect(1, 67647, '\P{Block=-Imperial_ARAMAIC}', "");
Expect(0, 67647, '\P{^Block=-Imperial_ARAMAIC}', "");
Error('\p{Blk: /a/Imperial	Aramaic}');
Error('\P{Blk: /a/Imperial	Aramaic}');
Expect(1, 67679, '\p{Blk=imperialaramaic}', "");
Expect(0, 67679, '\p{^Blk=imperialaramaic}', "");
Expect(0, 67679, '\P{Blk=imperialaramaic}', "");
Expect(1, 67679, '\P{^Blk=imperialaramaic}', "");
Expect(0, 67647, '\p{Blk=imperialaramaic}', "");
Expect(1, 67647, '\p{^Blk=imperialaramaic}', "");
Expect(1, 67647, '\P{Blk=imperialaramaic}', "");
Expect(0, 67647, '\P{^Blk=imperialaramaic}', "");
Expect(1, 67679, '\p{Blk=_-Imperial_Aramaic}', "");
Expect(0, 67679, '\p{^Blk=_-Imperial_Aramaic}', "");
Expect(0, 67679, '\P{Blk=_-Imperial_Aramaic}', "");
Expect(1, 67679, '\P{^Blk=_-Imperial_Aramaic}', "");
Expect(0, 67647, '\p{Blk=_-Imperial_Aramaic}', "");
Expect(1, 67647, '\p{^Blk=_-Imperial_Aramaic}', "");
Expect(1, 67647, '\P{Blk=_-Imperial_Aramaic}', "");
Expect(0, 67647, '\P{^Blk=_-Imperial_Aramaic}', "");
Error('\p{Is_Block: -imperial:=ARAMAIC}');
Error('\P{Is_Block: -imperial:=ARAMAIC}');
Expect(1, 67679, '\p{Is_Block=imperialaramaic}', "");
Expect(0, 67679, '\p{^Is_Block=imperialaramaic}', "");
Expect(0, 67679, '\P{Is_Block=imperialaramaic}', "");
Expect(1, 67679, '\P{^Is_Block=imperialaramaic}', "");
Expect(0, 67647, '\p{Is_Block=imperialaramaic}', "");
Expect(1, 67647, '\p{^Is_Block=imperialaramaic}', "");
Expect(1, 67647, '\P{Is_Block=imperialaramaic}', "");
Expect(0, 67647, '\P{^Is_Block=imperialaramaic}', "");
Expect(1, 67679, '\p{Is_Block=  Imperial	ARAMAIC}', "");
Expect(0, 67679, '\p{^Is_Block=  Imperial	ARAMAIC}', "");
Expect(0, 67679, '\P{Is_Block=  Imperial	ARAMAIC}', "");
Expect(1, 67679, '\P{^Is_Block=  Imperial	ARAMAIC}', "");
Expect(0, 67647, '\p{Is_Block=  Imperial	ARAMAIC}', "");
Expect(1, 67647, '\p{^Is_Block=  Imperial	ARAMAIC}', "");
Expect(1, 67647, '\P{Is_Block=  Imperial	ARAMAIC}', "");
Expect(0, 67647, '\P{^Is_Block=  Imperial	ARAMAIC}', "");
Error('\p{Is_Blk=:= IMPERIAL	Aramaic}');
Error('\P{Is_Blk=:= IMPERIAL	Aramaic}');
Expect(1, 67679, '\p{Is_Blk=imperialaramaic}', "");
Expect(0, 67679, '\p{^Is_Blk=imperialaramaic}', "");
Expect(0, 67679, '\P{Is_Blk=imperialaramaic}', "");
Expect(1, 67679, '\P{^Is_Blk=imperialaramaic}', "");
Expect(0, 67647, '\p{Is_Blk=imperialaramaic}', "");
Expect(1, 67647, '\p{^Is_Blk=imperialaramaic}', "");
Expect(1, 67647, '\P{Is_Blk=imperialaramaic}', "");
Expect(0, 67647, '\P{^Is_Blk=imperialaramaic}', "");
Expect(1, 67679, '\p{Is_Blk=	 imperial_Aramaic}', "");
Expect(0, 67679, '\p{^Is_Blk=	 imperial_Aramaic}', "");
Expect(0, 67679, '\P{Is_Blk=	 imperial_Aramaic}', "");
Expect(1, 67679, '\P{^Is_Blk=	 imperial_Aramaic}', "");
Expect(0, 67647, '\p{Is_Blk=	 imperial_Aramaic}', "");
Expect(1, 67647, '\p{^Is_Blk=	 imperial_Aramaic}', "");
Expect(1, 67647, '\P{Is_Blk=	 imperial_Aramaic}', "");
Expect(0, 67647, '\P{^Is_Blk=	 imperial_Aramaic}', "");
Error('\p{Block=/a/-Mathematical_Operators}');
Error('\P{Block=/a/-Mathematical_Operators}');
Expect(1, 8959, '\p{Block=mathematicaloperators}', "");
Expect(0, 8959, '\p{^Block=mathematicaloperators}', "");
Expect(0, 8959, '\P{Block=mathematicaloperators}', "");
Expect(1, 8959, '\P{^Block=mathematicaloperators}', "");
Expect(0, 8703, '\p{Block=mathematicaloperators}', "");
Expect(1, 8703, '\p{^Block=mathematicaloperators}', "");
Expect(1, 8703, '\P{Block=mathematicaloperators}', "");
Expect(0, 8703, '\P{^Block=mathematicaloperators}', "");
Expect(1, 8959, '\p{Block=-_Mathematical operators}', "");
Expect(0, 8959, '\p{^Block=-_Mathematical operators}', "");
Expect(0, 8959, '\P{Block=-_Mathematical operators}', "");
Expect(1, 8959, '\P{^Block=-_Mathematical operators}', "");
Expect(0, 8703, '\p{Block=-_Mathematical operators}', "");
Expect(1, 8703, '\p{^Block=-_Mathematical operators}', "");
Expect(1, 8703, '\P{Block=-_Mathematical operators}', "");
Expect(0, 8703, '\P{^Block=-_Mathematical operators}', "");
Error('\p{Blk= _Mathematical/a/operators}');
Error('\P{Blk= _Mathematical/a/operators}');
Expect(1, 8959, '\p{Blk:	mathematicaloperators}', "");
Expect(0, 8959, '\p{^Blk:	mathematicaloperators}', "");
Expect(0, 8959, '\P{Blk:	mathematicaloperators}', "");
Expect(1, 8959, '\P{^Blk:	mathematicaloperators}', "");
Expect(0, 8703, '\p{Blk:	mathematicaloperators}', "");
Expect(1, 8703, '\p{^Blk:	mathematicaloperators}', "");
Expect(1, 8703, '\P{Blk:	mathematicaloperators}', "");
Expect(0, 8703, '\P{^Blk:	mathematicaloperators}', "");
Expect(1, 8959, '\p{Blk:	_MATHEMATICAL	operators}', "");
Expect(0, 8959, '\p{^Blk:	_MATHEMATICAL	operators}', "");
Expect(0, 8959, '\P{Blk:	_MATHEMATICAL	operators}', "");
Expect(1, 8959, '\P{^Blk:	_MATHEMATICAL	operators}', "");
Expect(0, 8703, '\p{Blk:	_MATHEMATICAL	operators}', "");
Expect(1, 8703, '\p{^Blk:	_MATHEMATICAL	operators}', "");
Expect(1, 8703, '\P{Blk:	_MATHEMATICAL	operators}', "");
Expect(0, 8703, '\P{^Blk:	_MATHEMATICAL	operators}', "");
Error('\p{Is_Block= 	Mathematical:=operators}');
Error('\P{Is_Block= 	Mathematical:=operators}');
Expect(1, 8959, '\p{Is_Block=mathematicaloperators}', "");
Expect(0, 8959, '\p{^Is_Block=mathematicaloperators}', "");
Expect(0, 8959, '\P{Is_Block=mathematicaloperators}', "");
Expect(1, 8959, '\P{^Is_Block=mathematicaloperators}', "");
Expect(0, 8703, '\p{Is_Block=mathematicaloperators}', "");
Expect(1, 8703, '\p{^Is_Block=mathematicaloperators}', "");
Expect(1, 8703, '\P{Is_Block=mathematicaloperators}', "");
Expect(0, 8703, '\P{^Is_Block=mathematicaloperators}', "");
Expect(1, 8959, '\p{Is_Block=mathematical OPERATORS}', "");
Expect(0, 8959, '\p{^Is_Block=mathematical OPERATORS}', "");
Expect(0, 8959, '\P{Is_Block=mathematical OPERATORS}', "");
Expect(1, 8959, '\P{^Is_Block=mathematical OPERATORS}', "");
Expect(0, 8703, '\p{Is_Block=mathematical OPERATORS}', "");
Expect(1, 8703, '\p{^Is_Block=mathematical OPERATORS}', "");
Expect(1, 8703, '\P{Is_Block=mathematical OPERATORS}', "");
Expect(0, 8703, '\P{^Is_Block=mathematical OPERATORS}', "");
Error('\p{Is_Blk=/a/-_MATHEMATICALOperators}');
Error('\P{Is_Blk=/a/-_MATHEMATICALOperators}');
Expect(1, 8959, '\p{Is_Blk=mathematicaloperators}', "");
Expect(0, 8959, '\p{^Is_Blk=mathematicaloperators}', "");
Expect(0, 8959, '\P{Is_Blk=mathematicaloperators}', "");
Expect(1, 8959, '\P{^Is_Blk=mathematicaloperators}', "");
Expect(0, 8703, '\p{Is_Blk=mathematicaloperators}', "");
Expect(1, 8703, '\p{^Is_Blk=mathematicaloperators}', "");
Expect(1, 8703, '\P{Is_Blk=mathematicaloperators}', "");
Expect(0, 8703, '\P{^Is_Blk=mathematicaloperators}', "");
Expect(1, 8959, '\p{Is_Blk=	mathematical_operators}', "");
Expect(0, 8959, '\p{^Is_Blk=	mathematical_operators}', "");
Expect(0, 8959, '\P{Is_Blk=	mathematical_operators}', "");
Expect(1, 8959, '\P{^Is_Blk=	mathematical_operators}', "");
Expect(0, 8703, '\p{Is_Blk=	mathematical_operators}', "");
Expect(1, 8703, '\p{^Is_Blk=	mathematical_operators}', "");
Expect(1, 8703, '\P{Is_Blk=	mathematical_operators}', "");
Expect(0, 8703, '\P{^Is_Blk=	mathematical_operators}', "");
Error('\p{Block=	 CJK-COMPATIBILITY_IDEOGRAPHS/a/Supplement}');
Error('\P{Block=	 CJK-COMPATIBILITY_IDEOGRAPHS/a/Supplement}');
Expect(1, 195103, '\p{Block: cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^Block: cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{Block: cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^Block: cjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\p{Block: cjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\p{^Block: cjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\P{Block: cjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\P{^Block: cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{Block=_CJK-CompatibilityideographsSupplement}', "");
Expect(0, 195103, '\p{^Block=_CJK-CompatibilityideographsSupplement}', "");
Expect(0, 195103, '\P{Block=_CJK-CompatibilityideographsSupplement}', "");
Expect(1, 195103, '\P{^Block=_CJK-CompatibilityideographsSupplement}', "");
Expect(0, 194559, '\p{Block=_CJK-CompatibilityideographsSupplement}', "");
Expect(1, 194559, '\p{^Block=_CJK-CompatibilityideographsSupplement}', "");
Expect(1, 194559, '\P{Block=_CJK-CompatibilityideographsSupplement}', "");
Expect(0, 194559, '\P{^Block=_CJK-CompatibilityideographsSupplement}', "");
Error('\p{Blk=		CJK_compatibility	IDEOGRAPHS	SUPPLEMENT/a/}');
Error('\P{Blk=		CJK_compatibility	IDEOGRAPHS	SUPPLEMENT/a/}');
Expect(1, 195103, '\p{Blk=cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^Blk=cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{Blk=cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^Blk=cjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\p{Blk=cjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\p{^Blk=cjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\P{Blk=cjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\P{^Blk=cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{Blk:	 	cjk-COMPATIBILITY_Ideographs-Supplement}', "");
Expect(0, 195103, '\p{^Blk:	 	cjk-COMPATIBILITY_Ideographs-Supplement}', "");
Expect(0, 195103, '\P{Blk:	 	cjk-COMPATIBILITY_Ideographs-Supplement}', "");
Expect(1, 195103, '\P{^Blk:	 	cjk-COMPATIBILITY_Ideographs-Supplement}', "");
Expect(0, 194559, '\p{Blk:	 	cjk-COMPATIBILITY_Ideographs-Supplement}', "");
Expect(1, 194559, '\p{^Blk:	 	cjk-COMPATIBILITY_Ideographs-Supplement}', "");
Expect(1, 194559, '\P{Blk:	 	cjk-COMPATIBILITY_Ideographs-Supplement}', "");
Expect(0, 194559, '\P{^Blk:	 	cjk-COMPATIBILITY_Ideographs-Supplement}', "");
Error('\p{Is_Block=--CJK COMPATIBILITY:=Ideographs_Supplement}');
Error('\P{Is_Block=--CJK COMPATIBILITY:=Ideographs_Supplement}');
Expect(1, 195103, '\p{Is_Block: cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^Is_Block: cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{Is_Block: cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^Is_Block: cjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\p{Is_Block: cjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\p{^Is_Block: cjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\P{Is_Block: cjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\P{^Is_Block: cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{Is_Block=_	cjk-Compatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^Is_Block=_	cjk-Compatibilityideographssupplement}', "");
Expect(0, 195103, '\P{Is_Block=_	cjk-Compatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^Is_Block=_	cjk-Compatibilityideographssupplement}', "");
Expect(0, 194559, '\p{Is_Block=_	cjk-Compatibilityideographssupplement}', "");
Expect(1, 194559, '\p{^Is_Block=_	cjk-Compatibilityideographssupplement}', "");
Expect(1, 194559, '\P{Is_Block=_	cjk-Compatibilityideographssupplement}', "");
Expect(0, 194559, '\P{^Is_Block=_	cjk-Compatibilityideographssupplement}', "");
Error('\p{Is_Blk=__cjk	Compatibility/a/ideographs	Supplement}');
Error('\P{Is_Blk=__cjk	Compatibility/a/ideographs	Supplement}');
Expect(1, 195103, '\p{Is_Blk=cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^Is_Blk=cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{Is_Blk=cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^Is_Blk=cjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\p{Is_Blk=cjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\p{^Is_Blk=cjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\P{Is_Blk=cjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\P{^Is_Blk=cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{Is_Blk=	CJK-Compatibility-Ideographs	supplement}', "");
Expect(0, 195103, '\p{^Is_Blk=	CJK-Compatibility-Ideographs	supplement}', "");
Expect(0, 195103, '\P{Is_Blk=	CJK-Compatibility-Ideographs	supplement}', "");
Expect(1, 195103, '\P{^Is_Blk=	CJK-Compatibility-Ideographs	supplement}', "");
Expect(0, 194559, '\p{Is_Blk=	CJK-Compatibility-Ideographs	supplement}', "");
Expect(1, 194559, '\p{^Is_Blk=	CJK-Compatibility-Ideographs	supplement}', "");
Expect(1, 194559, '\P{Is_Blk=	CJK-Compatibility-Ideographs	supplement}', "");
Expect(0, 194559, '\P{^Is_Blk=	CJK-Compatibility-Ideographs	supplement}', "");
Error('\p{Block= ipa-Extensions/a/}');
Error('\P{Block= ipa-Extensions/a/}');
Expect(1, 687, '\p{Block=ipaextensions}', "");
Expect(0, 687, '\p{^Block=ipaextensions}', "");
Expect(0, 687, '\P{Block=ipaextensions}', "");
Expect(1, 687, '\P{^Block=ipaextensions}', "");
Expect(0, 591, '\p{Block=ipaextensions}', "");
Expect(1, 591, '\p{^Block=ipaextensions}', "");
Expect(1, 591, '\P{Block=ipaextensions}', "");
Expect(0, 591, '\P{^Block=ipaextensions}', "");
Expect(1, 687, '\p{Block=	 IPA-extensions}', "");
Expect(0, 687, '\p{^Block=	 IPA-extensions}', "");
Expect(0, 687, '\P{Block=	 IPA-extensions}', "");
Expect(1, 687, '\P{^Block=	 IPA-extensions}', "");
Expect(0, 591, '\p{Block=	 IPA-extensions}', "");
Expect(1, 591, '\p{^Block=	 IPA-extensions}', "");
Expect(1, 591, '\P{Block=	 IPA-extensions}', "");
Expect(0, 591, '\P{^Block=	 IPA-extensions}', "");
Error('\p{Blk=/a/__IPAextensions}');
Error('\P{Blk=/a/__IPAextensions}');
Expect(1, 687, '\p{Blk=ipaextensions}', "");
Expect(0, 687, '\p{^Blk=ipaextensions}', "");
Expect(0, 687, '\P{Blk=ipaextensions}', "");
Expect(1, 687, '\P{^Blk=ipaextensions}', "");
Expect(0, 591, '\p{Blk=ipaextensions}', "");
Expect(1, 591, '\p{^Blk=ipaextensions}', "");
Expect(1, 591, '\P{Blk=ipaextensions}', "");
Expect(0, 591, '\P{^Blk=ipaextensions}', "");
Expect(1, 687, '\p{Blk=	_IPA_EXTENSIONS}', "");
Expect(0, 687, '\p{^Blk=	_IPA_EXTENSIONS}', "");
Expect(0, 687, '\P{Blk=	_IPA_EXTENSIONS}', "");
Expect(1, 687, '\P{^Blk=	_IPA_EXTENSIONS}', "");
Expect(0, 591, '\p{Blk=	_IPA_EXTENSIONS}', "");
Expect(1, 591, '\p{^Blk=	_IPA_EXTENSIONS}', "");
Expect(1, 591, '\P{Blk=	_IPA_EXTENSIONS}', "");
Expect(0, 591, '\P{^Blk=	_IPA_EXTENSIONS}', "");
Error('\p{Is_Block=	-IPA-extensions:=}');
Error('\P{Is_Block=	-IPA-extensions:=}');
Expect(1, 687, '\p{Is_Block=ipaextensions}', "");
Expect(0, 687, '\p{^Is_Block=ipaextensions}', "");
Expect(0, 687, '\P{Is_Block=ipaextensions}', "");
Expect(1, 687, '\P{^Is_Block=ipaextensions}', "");
Expect(0, 591, '\p{Is_Block=ipaextensions}', "");
Expect(1, 591, '\p{^Is_Block=ipaextensions}', "");
Expect(1, 591, '\P{Is_Block=ipaextensions}', "");
Expect(0, 591, '\P{^Is_Block=ipaextensions}', "");
Expect(1, 687, '\p{Is_Block=  IPA	EXTENSIONS}', "");
Expect(0, 687, '\p{^Is_Block=  IPA	EXTENSIONS}', "");
Expect(0, 687, '\P{Is_Block=  IPA	EXTENSIONS}', "");
Expect(1, 687, '\P{^Is_Block=  IPA	EXTENSIONS}', "");
Expect(0, 591, '\p{Is_Block=  IPA	EXTENSIONS}', "");
Expect(1, 591, '\p{^Is_Block=  IPA	EXTENSIONS}', "");
Expect(1, 591, '\P{Is_Block=  IPA	EXTENSIONS}', "");
Expect(0, 591, '\P{^Is_Block=  IPA	EXTENSIONS}', "");
Error('\p{Is_Blk= /a/IPA	Extensions}');
Error('\P{Is_Blk= /a/IPA	Extensions}');
Expect(1, 687, '\p{Is_Blk=ipaextensions}', "");
Expect(0, 687, '\p{^Is_Blk=ipaextensions}', "");
Expect(0, 687, '\P{Is_Blk=ipaextensions}', "");
Expect(1, 687, '\P{^Is_Blk=ipaextensions}', "");
Expect(0, 591, '\p{Is_Blk=ipaextensions}', "");
Expect(1, 591, '\p{^Is_Blk=ipaextensions}', "");
Expect(1, 591, '\P{Is_Blk=ipaextensions}', "");
Expect(0, 591, '\P{^Is_Blk=ipaextensions}', "");
Expect(1, 687, '\p{Is_Blk= IPAExtensions}', "");
Expect(0, 687, '\p{^Is_Blk= IPAExtensions}', "");
Expect(0, 687, '\P{Is_Blk= IPAExtensions}', "");
Expect(1, 687, '\P{^Is_Blk= IPAExtensions}', "");
Expect(0, 591, '\p{Is_Blk= IPAExtensions}', "");
Expect(1, 591, '\p{^Is_Blk= IPAExtensions}', "");
Expect(1, 591, '\P{Is_Blk= IPAExtensions}', "");
Expect(0, 591, '\P{^Is_Blk= IPAExtensions}', "");
Error('\p{Block=-/a/kannada}');
Error('\P{Block=-/a/kannada}');
Expect(1, 3327, '\p{Block=kannada}', "");
Expect(0, 3327, '\p{^Block=kannada}', "");
Expect(0, 3327, '\P{Block=kannada}', "");
Expect(1, 3327, '\P{^Block=kannada}', "");
Expect(0, 3199, '\p{Block=kannada}', "");
Expect(1, 3199, '\p{^Block=kannada}', "");
Expect(1, 3199, '\P{Block=kannada}', "");
Expect(0, 3199, '\P{^Block=kannada}', "");
Expect(1, 3327, '\p{Block=__Kannada}', "");
Expect(0, 3327, '\p{^Block=__Kannada}', "");
Expect(0, 3327, '\P{Block=__Kannada}', "");
Expect(1, 3327, '\P{^Block=__Kannada}', "");
Expect(0, 3199, '\p{Block=__Kannada}', "");
Expect(1, 3199, '\p{^Block=__Kannada}', "");
Expect(1, 3199, '\P{Block=__Kannada}', "");
Expect(0, 3199, '\P{^Block=__Kannada}', "");
Error('\p{Blk=_ Kannada:=}');
Error('\P{Blk=_ Kannada:=}');
Expect(1, 3327, '\p{Blk=kannada}', "");
Expect(0, 3327, '\p{^Blk=kannada}', "");
Expect(0, 3327, '\P{Blk=kannada}', "");
Expect(1, 3327, '\P{^Blk=kannada}', "");
Expect(0, 3199, '\p{Blk=kannada}', "");
Expect(1, 3199, '\p{^Blk=kannada}', "");
Expect(1, 3199, '\P{Blk=kannada}', "");
Expect(0, 3199, '\P{^Blk=kannada}', "");
Expect(1, 3327, '\p{Blk=	_Kannada}', "");
Expect(0, 3327, '\p{^Blk=	_Kannada}', "");
Expect(0, 3327, '\P{Blk=	_Kannada}', "");
Expect(1, 3327, '\P{^Blk=	_Kannada}', "");
Expect(0, 3199, '\p{Blk=	_Kannada}', "");
Expect(1, 3199, '\p{^Blk=	_Kannada}', "");
Expect(1, 3199, '\P{Blk=	_Kannada}', "");
Expect(0, 3199, '\P{^Blk=	_Kannada}', "");
Error('\p{Is_Block=-/a/kannada}');
Error('\P{Is_Block=-/a/kannada}');
Expect(1, 3327, '\p{Is_Block=kannada}', "");
Expect(0, 3327, '\p{^Is_Block=kannada}', "");
Expect(0, 3327, '\P{Is_Block=kannada}', "");
Expect(1, 3327, '\P{^Is_Block=kannada}', "");
Expect(0, 3199, '\p{Is_Block=kannada}', "");
Expect(1, 3199, '\p{^Is_Block=kannada}', "");
Expect(1, 3199, '\P{Is_Block=kannada}', "");
Expect(0, 3199, '\P{^Is_Block=kannada}', "");
Expect(1, 3327, '\p{Is_Block= -Kannada}', "");
Expect(0, 3327, '\p{^Is_Block= -Kannada}', "");
Expect(0, 3327, '\P{Is_Block= -Kannada}', "");
Expect(1, 3327, '\P{^Is_Block= -Kannada}', "");
Expect(0, 3199, '\p{Is_Block= -Kannada}', "");
Expect(1, 3199, '\p{^Is_Block= -Kannada}', "");
Expect(1, 3199, '\P{Is_Block= -Kannada}', "");
Expect(0, 3199, '\P{^Is_Block= -Kannada}', "");
Error('\p{Is_Blk=-Kannada/a/}');
Error('\P{Is_Blk=-Kannada/a/}');
Expect(1, 3327, '\p{Is_Blk=kannada}', "");
Expect(0, 3327, '\p{^Is_Blk=kannada}', "");
Expect(0, 3327, '\P{Is_Blk=kannada}', "");
Expect(1, 3327, '\P{^Is_Blk=kannada}', "");
Expect(0, 3199, '\p{Is_Blk=kannada}', "");
Expect(1, 3199, '\p{^Is_Blk=kannada}', "");
Expect(1, 3199, '\P{Is_Blk=kannada}', "");
Expect(0, 3199, '\P{^Is_Blk=kannada}', "");
Expect(1, 3327, '\p{Is_Blk=  kannada}', "");
Expect(0, 3327, '\p{^Is_Blk=  kannada}', "");
Expect(0, 3327, '\P{Is_Blk=  kannada}', "");
Expect(1, 3327, '\P{^Is_Blk=  kannada}', "");
Expect(0, 3199, '\p{Is_Blk=  kannada}', "");
Expect(1, 3199, '\p{^Is_Blk=  kannada}', "");
Expect(1, 3199, '\P{Is_Blk=  kannada}', "");
Expect(0, 3199, '\P{^Is_Blk=  kannada}', "");
Error('\p{Block=/a/ latin_EXTENDED ADDITIONAL}');
Error('\P{Block=/a/ latin_EXTENDED ADDITIONAL}');
Expect(1, 7935, '\p{Block=latinextendedadditional}', "");
Expect(0, 7935, '\p{^Block=latinextendedadditional}', "");
Expect(0, 7935, '\P{Block=latinextendedadditional}', "");
Expect(1, 7935, '\P{^Block=latinextendedadditional}', "");
Expect(0, 7679, '\p{Block=latinextendedadditional}', "");
Expect(1, 7679, '\p{^Block=latinextendedadditional}', "");
Expect(1, 7679, '\P{Block=latinextendedadditional}', "");
Expect(0, 7679, '\P{^Block=latinextendedadditional}', "");
Expect(1, 7935, '\p{Block=	_Latin	extended	Additional}', "");
Expect(0, 7935, '\p{^Block=	_Latin	extended	Additional}', "");
Expect(0, 7935, '\P{Block=	_Latin	extended	Additional}', "");
Expect(1, 7935, '\P{^Block=	_Latin	extended	Additional}', "");
Expect(0, 7679, '\p{Block=	_Latin	extended	Additional}', "");
Expect(1, 7679, '\p{^Block=	_Latin	extended	Additional}', "");
Expect(1, 7679, '\P{Block=	_Latin	extended	Additional}', "");
Expect(0, 7679, '\P{^Block=	_Latin	extended	Additional}', "");
Error('\p{Blk=	/a/Latin Extended Additional}');
Error('\P{Blk=	/a/Latin Extended Additional}');
Expect(1, 7935, '\p{Blk=latinextendedadditional}', "");
Expect(0, 7935, '\p{^Blk=latinextendedadditional}', "");
Expect(0, 7935, '\P{Blk=latinextendedadditional}', "");
Expect(1, 7935, '\P{^Blk=latinextendedadditional}', "");
Expect(0, 7679, '\p{Blk=latinextendedadditional}', "");
Expect(1, 7679, '\p{^Blk=latinextendedadditional}', "");
Expect(1, 7679, '\P{Blk=latinextendedadditional}', "");
Expect(0, 7679, '\P{^Blk=latinextendedadditional}', "");
Expect(1, 7935, '\p{Blk: 	LATIN Extended-additional}', "");
Expect(0, 7935, '\p{^Blk: 	LATIN Extended-additional}', "");
Expect(0, 7935, '\P{Blk: 	LATIN Extended-additional}', "");
Expect(1, 7935, '\P{^Blk: 	LATIN Extended-additional}', "");
Expect(0, 7679, '\p{Blk: 	LATIN Extended-additional}', "");
Expect(1, 7679, '\p{^Blk: 	LATIN Extended-additional}', "");
Expect(1, 7679, '\P{Blk: 	LATIN Extended-additional}', "");
Expect(0, 7679, '\P{^Blk: 	LATIN Extended-additional}', "");
Error('\p{Is_Block=_-Latin:=Extended	Additional}');
Error('\P{Is_Block=_-Latin:=Extended	Additional}');
Expect(1, 7935, '\p{Is_Block=latinextendedadditional}', "");
Expect(0, 7935, '\p{^Is_Block=latinextendedadditional}', "");
Expect(0, 7935, '\P{Is_Block=latinextendedadditional}', "");
Expect(1, 7935, '\P{^Is_Block=latinextendedadditional}', "");
Expect(0, 7679, '\p{Is_Block=latinextendedadditional}', "");
Expect(1, 7679, '\p{^Is_Block=latinextendedadditional}', "");
Expect(1, 7679, '\P{Is_Block=latinextendedadditional}', "");
Expect(0, 7679, '\P{^Is_Block=latinextendedadditional}', "");
Expect(1, 7935, '\p{Is_Block= Latin_EXTENDEDAdditional}', "");
Expect(0, 7935, '\p{^Is_Block= Latin_EXTENDEDAdditional}', "");
Expect(0, 7935, '\P{Is_Block= Latin_EXTENDEDAdditional}', "");
Expect(1, 7935, '\P{^Is_Block= Latin_EXTENDEDAdditional}', "");
Expect(0, 7679, '\p{Is_Block= Latin_EXTENDEDAdditional}', "");
Expect(1, 7679, '\p{^Is_Block= Latin_EXTENDEDAdditional}', "");
Expect(1, 7679, '\P{Is_Block= Latin_EXTENDEDAdditional}', "");
Expect(0, 7679, '\P{^Is_Block= Latin_EXTENDEDAdditional}', "");
Error('\p{Is_Blk=:=Latin_EXTENDED	ADDITIONAL}');
Error('\P{Is_Blk=:=Latin_EXTENDED	ADDITIONAL}');
Expect(1, 7935, '\p{Is_Blk: latinextendedadditional}', "");
Expect(0, 7935, '\p{^Is_Blk: latinextendedadditional}', "");
Expect(0, 7935, '\P{Is_Blk: latinextendedadditional}', "");
Expect(1, 7935, '\P{^Is_Blk: latinextendedadditional}', "");
Expect(0, 7679, '\p{Is_Blk: latinextendedadditional}', "");
Expect(1, 7679, '\p{^Is_Blk: latinextendedadditional}', "");
Expect(1, 7679, '\P{Is_Blk: latinextendedadditional}', "");
Expect(0, 7679, '\P{^Is_Blk: latinextendedadditional}', "");
Expect(1, 7935, '\p{Is_Blk=_-latin_extended_ADDITIONAL}', "");
Expect(0, 7935, '\p{^Is_Blk=_-latin_extended_ADDITIONAL}', "");
Expect(0, 7935, '\P{Is_Blk=_-latin_extended_ADDITIONAL}', "");
Expect(1, 7935, '\P{^Is_Blk=_-latin_extended_ADDITIONAL}', "");
Expect(0, 7679, '\p{Is_Blk=_-latin_extended_ADDITIONAL}', "");
Expect(1, 7679, '\p{^Is_Blk=_-latin_extended_ADDITIONAL}', "");
Expect(1, 7679, '\P{Is_Blk=_-latin_extended_ADDITIONAL}', "");
Expect(0, 7679, '\P{^Is_Blk=_-latin_extended_ADDITIONAL}', "");
Error('\p{Block= _cham:=}');
Error('\P{Block= _cham:=}');
Expect(1, 43615, '\p{Block=cham}', "");
Expect(0, 43615, '\p{^Block=cham}', "");
Expect(0, 43615, '\P{Block=cham}', "");
Expect(1, 43615, '\P{^Block=cham}', "");
Expect(0, 43519, '\p{Block=cham}', "");
Expect(1, 43519, '\p{^Block=cham}', "");
Expect(1, 43519, '\P{Block=cham}', "");
Expect(0, 43519, '\P{^Block=cham}', "");
Expect(1, 43615, '\p{Block=  Cham}', "");
Expect(0, 43615, '\p{^Block=  Cham}', "");
Expect(0, 43615, '\P{Block=  Cham}', "");
Expect(1, 43615, '\P{^Block=  Cham}', "");
Expect(0, 43519, '\p{Block=  Cham}', "");
Expect(1, 43519, '\p{^Block=  Cham}', "");
Expect(1, 43519, '\P{Block=  Cham}', "");
Expect(0, 43519, '\P{^Block=  Cham}', "");
Error('\p{Blk=_	Cham/a/}');
Error('\P{Blk=_	Cham/a/}');
Expect(1, 43615, '\p{Blk=cham}', "");
Expect(0, 43615, '\p{^Blk=cham}', "");
Expect(0, 43615, '\P{Blk=cham}', "");
Expect(1, 43615, '\P{^Blk=cham}', "");
Expect(0, 43519, '\p{Blk=cham}', "");
Expect(1, 43519, '\p{^Blk=cham}', "");
Expect(1, 43519, '\P{Blk=cham}', "");
Expect(0, 43519, '\P{^Blk=cham}', "");
Expect(1, 43615, '\p{Blk=- cham}', "");
Expect(0, 43615, '\p{^Blk=- cham}', "");
Expect(0, 43615, '\P{Blk=- cham}', "");
Expect(1, 43615, '\P{^Blk=- cham}', "");
Expect(0, 43519, '\p{Blk=- cham}', "");
Expect(1, 43519, '\p{^Blk=- cham}', "");
Expect(1, 43519, '\P{Blk=- cham}', "");
Expect(0, 43519, '\P{^Blk=- cham}', "");
Error('\p{Is_Block=_Cham/a/}');
Error('\P{Is_Block=_Cham/a/}');
Expect(1, 43615, '\p{Is_Block=cham}', "");
Expect(0, 43615, '\p{^Is_Block=cham}', "");
Expect(0, 43615, '\P{Is_Block=cham}', "");
Expect(1, 43615, '\P{^Is_Block=cham}', "");
Expect(0, 43519, '\p{Is_Block=cham}', "");
Expect(1, 43519, '\p{^Is_Block=cham}', "");
Expect(1, 43519, '\P{Is_Block=cham}', "");
Expect(0, 43519, '\P{^Is_Block=cham}', "");
Expect(1, 43615, '\p{Is_Block=	_Cham}', "");
Expect(0, 43615, '\p{^Is_Block=	_Cham}', "");
Expect(0, 43615, '\P{Is_Block=	_Cham}', "");
Expect(1, 43615, '\P{^Is_Block=	_Cham}', "");
Expect(0, 43519, '\p{Is_Block=	_Cham}', "");
Expect(1, 43519, '\p{^Is_Block=	_Cham}', "");
Expect(1, 43519, '\P{Is_Block=	_Cham}', "");
Expect(0, 43519, '\P{^Is_Block=	_Cham}', "");
Error('\p{Is_Blk=	cham:=}');
Error('\P{Is_Blk=	cham:=}');
Expect(1, 43615, '\p{Is_Blk=cham}', "");
Expect(0, 43615, '\p{^Is_Blk=cham}', "");
Expect(0, 43615, '\P{Is_Blk=cham}', "");
Expect(1, 43615, '\P{^Is_Blk=cham}', "");
Expect(0, 43519, '\p{Is_Blk=cham}', "");
Expect(1, 43519, '\p{^Is_Blk=cham}', "");
Expect(1, 43519, '\P{Is_Blk=cham}', "");
Expect(0, 43519, '\P{^Is_Blk=cham}', "");
Expect(1, 43615, '\p{Is_Blk=-cham}', "");
Expect(0, 43615, '\p{^Is_Blk=-cham}', "");
Expect(0, 43615, '\P{Is_Blk=-cham}', "");
Expect(1, 43615, '\P{^Is_Blk=-cham}', "");
Expect(0, 43519, '\p{Is_Blk=-cham}', "");
Expect(1, 43519, '\p{^Is_Blk=-cham}', "");
Expect(1, 43519, '\P{Is_Blk=-cham}', "");
Expect(0, 43519, '\P{^Is_Blk=-cham}', "");
Error('\p{Block=:=--cyrillicSUPPLEMENT}');
Error('\P{Block=:=--cyrillicSUPPLEMENT}');
Expect(1, 1327, '\p{Block=cyrillicsupplement}', "");
Expect(0, 1327, '\p{^Block=cyrillicsupplement}', "");
Expect(0, 1327, '\P{Block=cyrillicsupplement}', "");
Expect(1, 1327, '\P{^Block=cyrillicsupplement}', "");
Expect(0, 1279, '\p{Block=cyrillicsupplement}', "");
Expect(1, 1279, '\p{^Block=cyrillicsupplement}', "");
Expect(1, 1279, '\P{Block=cyrillicsupplement}', "");
Expect(0, 1279, '\P{^Block=cyrillicsupplement}', "");
Expect(1, 1327, '\p{Block= 	CYRILLICSupplement}', "");
Expect(0, 1327, '\p{^Block= 	CYRILLICSupplement}', "");
Expect(0, 1327, '\P{Block= 	CYRILLICSupplement}', "");
Expect(1, 1327, '\P{^Block= 	CYRILLICSupplement}', "");
Expect(0, 1279, '\p{Block= 	CYRILLICSupplement}', "");
Expect(1, 1279, '\p{^Block= 	CYRILLICSupplement}', "");
Expect(1, 1279, '\P{Block= 	CYRILLICSupplement}', "");
Expect(0, 1279, '\P{^Block= 	CYRILLICSupplement}', "");
Error('\p{Blk=-:=cyrillic-Supplementary}');
Error('\P{Blk=-:=cyrillic-Supplementary}');
Expect(1, 1327, '\p{Blk=cyrillicsupplementary}', "");
Expect(0, 1327, '\p{^Blk=cyrillicsupplementary}', "");
Expect(0, 1327, '\P{Blk=cyrillicsupplementary}', "");
Expect(1, 1327, '\P{^Blk=cyrillicsupplementary}', "");
Expect(0, 1279, '\p{Blk=cyrillicsupplementary}', "");
Expect(1, 1279, '\p{^Blk=cyrillicsupplementary}', "");
Expect(1, 1279, '\P{Blk=cyrillicsupplementary}', "");
Expect(0, 1279, '\P{^Blk=cyrillicsupplementary}', "");
Expect(1, 1327, '\p{Blk=CYRILLIC Supplementary}', "");
Expect(0, 1327, '\p{^Blk=CYRILLIC Supplementary}', "");
Expect(0, 1327, '\P{Blk=CYRILLIC Supplementary}', "");
Expect(1, 1327, '\P{^Blk=CYRILLIC Supplementary}', "");
Expect(0, 1279, '\p{Blk=CYRILLIC Supplementary}', "");
Expect(1, 1279, '\p{^Blk=CYRILLIC Supplementary}', "");
Expect(1, 1279, '\P{Blk=CYRILLIC Supplementary}', "");
Expect(0, 1279, '\P{^Blk=CYRILLIC Supplementary}', "");
Error('\p{Is_Block=CYRILLIC/a/SUPPLEMENT}');
Error('\P{Is_Block=CYRILLIC/a/SUPPLEMENT}');
Expect(1, 1327, '\p{Is_Block=cyrillicsupplement}', "");
Expect(0, 1327, '\p{^Is_Block=cyrillicsupplement}', "");
Expect(0, 1327, '\P{Is_Block=cyrillicsupplement}', "");
Expect(1, 1327, '\P{^Is_Block=cyrillicsupplement}', "");
Expect(0, 1279, '\p{Is_Block=cyrillicsupplement}', "");
Expect(1, 1279, '\p{^Is_Block=cyrillicsupplement}', "");
Expect(1, 1279, '\P{Is_Block=cyrillicsupplement}', "");
Expect(0, 1279, '\P{^Is_Block=cyrillicsupplement}', "");
Expect(1, 1327, '\p{Is_Block=__cyrillic_supplement}', "");
Expect(0, 1327, '\p{^Is_Block=__cyrillic_supplement}', "");
Expect(0, 1327, '\P{Is_Block=__cyrillic_supplement}', "");
Expect(1, 1327, '\P{^Is_Block=__cyrillic_supplement}', "");
Expect(0, 1279, '\p{Is_Block=__cyrillic_supplement}', "");
Expect(1, 1279, '\p{^Is_Block=__cyrillic_supplement}', "");
Expect(1, 1279, '\P{Is_Block=__cyrillic_supplement}', "");
Expect(0, 1279, '\P{^Is_Block=__cyrillic_supplement}', "");
Error('\p{Is_Blk=__cyrillic:=Supplementary}');
Error('\P{Is_Blk=__cyrillic:=Supplementary}');
Expect(1, 1327, '\p{Is_Blk=cyrillicsupplementary}', "");
Expect(0, 1327, '\p{^Is_Blk=cyrillicsupplementary}', "");
Expect(0, 1327, '\P{Is_Blk=cyrillicsupplementary}', "");
Expect(1, 1327, '\P{^Is_Blk=cyrillicsupplementary}', "");
Expect(0, 1279, '\p{Is_Blk=cyrillicsupplementary}', "");
Expect(1, 1279, '\p{^Is_Blk=cyrillicsupplementary}', "");
Expect(1, 1279, '\P{Is_Blk=cyrillicsupplementary}', "");
Expect(0, 1279, '\P{^Is_Blk=cyrillicsupplementary}', "");
Expect(1, 1327, '\p{Is_Blk=_	Cyrillicsupplementary}', "");
Expect(0, 1327, '\p{^Is_Blk=_	Cyrillicsupplementary}', "");
Expect(0, 1327, '\P{Is_Blk=_	Cyrillicsupplementary}', "");
Expect(1, 1327, '\P{^Is_Blk=_	Cyrillicsupplementary}', "");
Expect(0, 1279, '\p{Is_Blk=_	Cyrillicsupplementary}', "");
Expect(1, 1279, '\p{^Is_Blk=_	Cyrillicsupplementary}', "");
Expect(1, 1279, '\P{Is_Blk=_	Cyrillicsupplementary}', "");
Expect(0, 1279, '\P{^Is_Blk=_	Cyrillicsupplementary}', "");
Error('\p{Block=_/a/GREEK_and_COPTIC}');
Error('\P{Block=_/a/GREEK_and_COPTIC}');
Expect(1, 1023, '\p{Block=greekandcoptic}', "");
Expect(0, 1023, '\p{^Block=greekandcoptic}', "");
Expect(0, 1023, '\P{Block=greekandcoptic}', "");
Expect(1, 1023, '\P{^Block=greekandcoptic}', "");
Expect(0, 879, '\p{Block=greekandcoptic}', "");
Expect(1, 879, '\p{^Block=greekandcoptic}', "");
Expect(1, 879, '\P{Block=greekandcoptic}', "");
Expect(0, 879, '\P{^Block=greekandcoptic}', "");
Expect(1, 1023, '\p{Block= -Greek-andCoptic}', "");
Expect(0, 1023, '\p{^Block= -Greek-andCoptic}', "");
Expect(0, 1023, '\P{Block= -Greek-andCoptic}', "");
Expect(1, 1023, '\P{^Block= -Greek-andCoptic}', "");
Expect(0, 879, '\p{Block= -Greek-andCoptic}', "");
Expect(1, 879, '\p{^Block= -Greek-andCoptic}', "");
Expect(1, 879, '\P{Block= -Greek-andCoptic}', "");
Expect(0, 879, '\P{^Block= -Greek-andCoptic}', "");
Error('\p{Blk=		greek:=}');
Error('\P{Blk=		greek:=}');
Expect(1, 1023, '\p{Blk=greek}', "");
Expect(0, 1023, '\p{^Blk=greek}', "");
Expect(0, 1023, '\P{Blk=greek}', "");
Expect(1, 1023, '\P{^Blk=greek}', "");
Expect(0, 879, '\p{Blk=greek}', "");
Expect(1, 879, '\p{^Blk=greek}', "");
Expect(1, 879, '\P{Blk=greek}', "");
Expect(0, 879, '\P{^Blk=greek}', "");
Expect(1, 1023, '\p{Blk= greek}', "");
Expect(0, 1023, '\p{^Blk= greek}', "");
Expect(0, 1023, '\P{Blk= greek}', "");
Expect(1, 1023, '\P{^Blk= greek}', "");
Expect(0, 879, '\p{Blk= greek}', "");
Expect(1, 879, '\p{^Blk= greek}', "");
Expect(1, 879, '\P{Blk= greek}', "");
Expect(0, 879, '\P{^Blk= greek}', "");
Error('\p{Is_Block=	/a/GREEKAND-COPTIC}');
Error('\P{Is_Block=	/a/GREEKAND-COPTIC}');
Expect(1, 1023, '\p{Is_Block: greekandcoptic}', "");
Expect(0, 1023, '\p{^Is_Block: greekandcoptic}', "");
Expect(0, 1023, '\P{Is_Block: greekandcoptic}', "");
Expect(1, 1023, '\P{^Is_Block: greekandcoptic}', "");
Expect(0, 879, '\p{Is_Block: greekandcoptic}', "");
Expect(1, 879, '\p{^Is_Block: greekandcoptic}', "");
Expect(1, 879, '\P{Is_Block: greekandcoptic}', "");
Expect(0, 879, '\P{^Is_Block: greekandcoptic}', "");
Expect(1, 1023, '\p{Is_Block=-	Greek And	Coptic}', "");
Expect(0, 1023, '\p{^Is_Block=-	Greek And	Coptic}', "");
Expect(0, 1023, '\P{Is_Block=-	Greek And	Coptic}', "");
Expect(1, 1023, '\P{^Is_Block=-	Greek And	Coptic}', "");
Expect(0, 879, '\p{Is_Block=-	Greek And	Coptic}', "");
Expect(1, 879, '\p{^Is_Block=-	Greek And	Coptic}', "");
Expect(1, 879, '\P{Is_Block=-	Greek And	Coptic}', "");
Expect(0, 879, '\P{^Is_Block=-	Greek And	Coptic}', "");
Error('\p{Is_Blk=/a/_-GREEK}');
Error('\P{Is_Blk=/a/_-GREEK}');
Expect(1, 1023, '\p{Is_Blk=greek}', "");
Expect(0, 1023, '\p{^Is_Blk=greek}', "");
Expect(0, 1023, '\P{Is_Blk=greek}', "");
Expect(1, 1023, '\P{^Is_Blk=greek}', "");
Expect(0, 879, '\p{Is_Blk=greek}', "");
Expect(1, 879, '\p{^Is_Blk=greek}', "");
Expect(1, 879, '\P{Is_Blk=greek}', "");
Expect(0, 879, '\P{^Is_Blk=greek}', "");
Expect(1, 1023, '\p{Is_Blk=__GREEK}', "");
Expect(0, 1023, '\p{^Is_Blk=__GREEK}', "");
Expect(0, 1023, '\P{Is_Blk=__GREEK}', "");
Expect(1, 1023, '\P{^Is_Blk=__GREEK}', "");
Expect(0, 879, '\p{Is_Blk=__GREEK}', "");
Expect(1, 879, '\p{^Is_Blk=__GREEK}', "");
Expect(1, 879, '\P{Is_Blk=__GREEK}', "");
Expect(0, 879, '\P{^Is_Blk=__GREEK}', "");
Error('\p{Block=		miscellaneous/a/MATHEMATICAL-SYMBOLS-B}');
Error('\P{Block=		miscellaneous/a/MATHEMATICAL-SYMBOLS-B}');
Expect(1, 10751, '\p{Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\p{Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\p{^Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\P{Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\P{^Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{Block=__MISCELLANEOUS	Mathematical SymbolsB}', "");
Expect(0, 10751, '\p{^Block=__MISCELLANEOUS	Mathematical SymbolsB}', "");
Expect(0, 10751, '\P{Block=__MISCELLANEOUS	Mathematical SymbolsB}', "");
Expect(1, 10751, '\P{^Block=__MISCELLANEOUS	Mathematical SymbolsB}', "");
Expect(0, 10623, '\p{Block=__MISCELLANEOUS	Mathematical SymbolsB}', "");
Expect(1, 10623, '\p{^Block=__MISCELLANEOUS	Mathematical SymbolsB}', "");
Expect(1, 10623, '\P{Block=__MISCELLANEOUS	Mathematical SymbolsB}', "");
Expect(0, 10623, '\P{^Block=__MISCELLANEOUS	Mathematical SymbolsB}', "");
Error('\p{Blk=	_MISCELLANEOUS_MATHEMATICAL_symbols_B:=}');
Error('\P{Blk=	_MISCELLANEOUS_MATHEMATICAL_symbols_B:=}');
Expect(1, 10751, '\p{Blk:miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^Blk:miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{Blk:miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^Blk:miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\p{Blk:miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\p{^Blk:miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\P{Blk:miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\P{^Blk:miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{Blk=	Miscellaneous_Mathematical_symbols_B}', "");
Expect(0, 10751, '\p{^Blk=	Miscellaneous_Mathematical_symbols_B}', "");
Expect(0, 10751, '\P{Blk=	Miscellaneous_Mathematical_symbols_B}', "");
Expect(1, 10751, '\P{^Blk=	Miscellaneous_Mathematical_symbols_B}', "");
Expect(0, 10623, '\p{Blk=	Miscellaneous_Mathematical_symbols_B}', "");
Expect(1, 10623, '\p{^Blk=	Miscellaneous_Mathematical_symbols_B}', "");
Expect(1, 10623, '\P{Blk=	Miscellaneous_Mathematical_symbols_B}', "");
Expect(0, 10623, '\P{^Blk=	Miscellaneous_Mathematical_symbols_B}', "");
Error('\p{Is_Block::=-MISCELLANEOUS MATHEMATICAL	Symbols_b}');
Error('\P{Is_Block::=-MISCELLANEOUS MATHEMATICAL	Symbols_b}');
Expect(1, 10751, '\p{Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\p{Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\p{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\P{Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\P{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{Is_Block=-_miscellaneous-Mathematical	Symbols-b}', "");
Expect(0, 10751, '\p{^Is_Block=-_miscellaneous-Mathematical	Symbols-b}', "");
Expect(0, 10751, '\P{Is_Block=-_miscellaneous-Mathematical	Symbols-b}', "");
Expect(1, 10751, '\P{^Is_Block=-_miscellaneous-Mathematical	Symbols-b}', "");
Expect(0, 10623, '\p{Is_Block=-_miscellaneous-Mathematical	Symbols-b}', "");
Expect(1, 10623, '\p{^Is_Block=-_miscellaneous-Mathematical	Symbols-b}', "");
Expect(1, 10623, '\P{Is_Block=-_miscellaneous-Mathematical	Symbols-b}', "");
Expect(0, 10623, '\P{^Is_Block=-_miscellaneous-Mathematical	Symbols-b}', "");
Error('\p{Is_Blk=-	Miscellaneous-mathematical:=SYMBOLS	B}');
Error('\P{Is_Blk=-	Miscellaneous-mathematical:=SYMBOLS	B}');
Expect(1, 10751, '\p{Is_Blk=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^Is_Blk=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{Is_Blk=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^Is_Blk=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\p{Is_Blk=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\p{^Is_Blk=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\P{Is_Blk=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\P{^Is_Blk=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{Is_Blk=	_Miscellaneous Mathematical_symbols_b}', "");
Expect(0, 10751, '\p{^Is_Blk=	_Miscellaneous Mathematical_symbols_b}', "");
Expect(0, 10751, '\P{Is_Blk=	_Miscellaneous Mathematical_symbols_b}', "");
Expect(1, 10751, '\P{^Is_Blk=	_Miscellaneous Mathematical_symbols_b}', "");
Expect(0, 10623, '\p{Is_Blk=	_Miscellaneous Mathematical_symbols_b}', "");
Expect(1, 10623, '\p{^Is_Blk=	_Miscellaneous Mathematical_symbols_b}', "");
Expect(1, 10623, '\P{Is_Blk=	_Miscellaneous Mathematical_symbols_b}', "");
Expect(0, 10623, '\P{^Is_Blk=	_Miscellaneous Mathematical_symbols_b}', "");
Error('\p{Block=_:=Bengali}');
Error('\P{Block=_:=Bengali}');
Expect(1, 2559, '\p{Block=bengali}', "");
Expect(0, 2559, '\p{^Block=bengali}', "");
Expect(0, 2559, '\P{Block=bengali}', "");
Expect(1, 2559, '\P{^Block=bengali}', "");
Expect(0, 2431, '\p{Block=bengali}', "");
Expect(1, 2431, '\p{^Block=bengali}', "");
Expect(1, 2431, '\P{Block=bengali}', "");
Expect(0, 2431, '\P{^Block=bengali}', "");
Expect(1, 2559, '\p{Block= bengali}', "");
Expect(0, 2559, '\p{^Block= bengali}', "");
Expect(0, 2559, '\P{Block= bengali}', "");
Expect(1, 2559, '\P{^Block= bengali}', "");
Expect(0, 2431, '\p{Block= bengali}', "");
Expect(1, 2431, '\p{^Block= bengali}', "");
Expect(1, 2431, '\P{Block= bengali}', "");
Expect(0, 2431, '\P{^Block= bengali}', "");
Error('\p{Blk=	-bengali:=}');
Error('\P{Blk=	-bengali:=}');
Expect(1, 2559, '\p{Blk: bengali}', "");
Expect(0, 2559, '\p{^Blk: bengali}', "");
Expect(0, 2559, '\P{Blk: bengali}', "");
Expect(1, 2559, '\P{^Blk: bengali}', "");
Expect(0, 2431, '\p{Blk: bengali}', "");
Expect(1, 2431, '\p{^Blk: bengali}', "");
Expect(1, 2431, '\P{Blk: bengali}', "");
Expect(0, 2431, '\P{^Blk: bengali}', "");
Expect(1, 2559, '\p{Blk=_Bengali}', "");
Expect(0, 2559, '\p{^Blk=_Bengali}', "");
Expect(0, 2559, '\P{Blk=_Bengali}', "");
Expect(1, 2559, '\P{^Blk=_Bengali}', "");
Expect(0, 2431, '\p{Blk=_Bengali}', "");
Expect(1, 2431, '\p{^Blk=_Bengali}', "");
Expect(1, 2431, '\P{Blk=_Bengali}', "");
Expect(0, 2431, '\P{^Blk=_Bengali}', "");
Error('\p{Is_Block= :=Bengali}');
Error('\P{Is_Block= :=Bengali}');
Expect(1, 2559, '\p{Is_Block=bengali}', "");
Expect(0, 2559, '\p{^Is_Block=bengali}', "");
Expect(0, 2559, '\P{Is_Block=bengali}', "");
Expect(1, 2559, '\P{^Is_Block=bengali}', "");
Expect(0, 2431, '\p{Is_Block=bengali}', "");
Expect(1, 2431, '\p{^Is_Block=bengali}', "");
Expect(1, 2431, '\P{Is_Block=bengali}', "");
Expect(0, 2431, '\P{^Is_Block=bengali}', "");
Expect(1, 2559, '\p{Is_Block=	-Bengali}', "");
Expect(0, 2559, '\p{^Is_Block=	-Bengali}', "");
Expect(0, 2559, '\P{Is_Block=	-Bengali}', "");
Expect(1, 2559, '\P{^Is_Block=	-Bengali}', "");
Expect(0, 2431, '\p{Is_Block=	-Bengali}', "");
Expect(1, 2431, '\p{^Is_Block=	-Bengali}', "");
Expect(1, 2431, '\P{Is_Block=	-Bengali}', "");
Expect(0, 2431, '\P{^Is_Block=	-Bengali}', "");
Error('\p{Is_Blk=:=	Bengali}');
Error('\P{Is_Blk=:=	Bengali}');
Expect(1, 2559, '\p{Is_Blk=bengali}', "");
Expect(0, 2559, '\p{^Is_Blk=bengali}', "");
Expect(0, 2559, '\P{Is_Blk=bengali}', "");
Expect(1, 2559, '\P{^Is_Blk=bengali}', "");
Expect(0, 2431, '\p{Is_Blk=bengali}', "");
Expect(1, 2431, '\p{^Is_Blk=bengali}', "");
Expect(1, 2431, '\P{Is_Blk=bengali}', "");
Expect(0, 2431, '\P{^Is_Blk=bengali}', "");
Expect(1, 2559, '\p{Is_Blk= Bengali}', "");
Expect(0, 2559, '\p{^Is_Blk= Bengali}', "");
Expect(0, 2559, '\P{Is_Blk= Bengali}', "");
Expect(1, 2559, '\P{^Is_Blk= Bengali}', "");
Expect(0, 2431, '\p{Is_Blk= Bengali}', "");
Expect(1, 2431, '\p{^Is_Blk= Bengali}', "");
Expect(1, 2431, '\P{Is_Blk= Bengali}', "");
Expect(0, 2431, '\P{^Is_Blk= Bengali}', "");
Error('\p{Block=-_Cypriot/a/SYLLABARY}');
Error('\P{Block=-_Cypriot/a/SYLLABARY}');
Expect(1, 67647, '\p{Block=cypriotsyllabary}', "");
Expect(0, 67647, '\p{^Block=cypriotsyllabary}', "");
Expect(0, 67647, '\P{Block=cypriotsyllabary}', "");
Expect(1, 67647, '\P{^Block=cypriotsyllabary}', "");
Expect(0, 67583, '\p{Block=cypriotsyllabary}', "");
Expect(1, 67583, '\p{^Block=cypriotsyllabary}', "");
Expect(1, 67583, '\P{Block=cypriotsyllabary}', "");
Expect(0, 67583, '\P{^Block=cypriotsyllabary}', "");
Expect(1, 67647, '\p{Block=_CypriotSYLLABARY}', "");
Expect(0, 67647, '\p{^Block=_CypriotSYLLABARY}', "");
Expect(0, 67647, '\P{Block=_CypriotSYLLABARY}', "");
Expect(1, 67647, '\P{^Block=_CypriotSYLLABARY}', "");
Expect(0, 67583, '\p{Block=_CypriotSYLLABARY}', "");
Expect(1, 67583, '\p{^Block=_CypriotSYLLABARY}', "");
Expect(1, 67583, '\P{Block=_CypriotSYLLABARY}', "");
Expect(0, 67583, '\P{^Block=_CypriotSYLLABARY}', "");
Error('\p{Blk=_	cypriotSyllabary:=}');
Error('\P{Blk=_	cypriotSyllabary:=}');
Expect(1, 67647, '\p{Blk=cypriotsyllabary}', "");
Expect(0, 67647, '\p{^Blk=cypriotsyllabary}', "");
Expect(0, 67647, '\P{Blk=cypriotsyllabary}', "");
Expect(1, 67647, '\P{^Blk=cypriotsyllabary}', "");
Expect(0, 67583, '\p{Blk=cypriotsyllabary}', "");
Expect(1, 67583, '\p{^Blk=cypriotsyllabary}', "");
Expect(1, 67583, '\P{Blk=cypriotsyllabary}', "");
Expect(0, 67583, '\P{^Blk=cypriotsyllabary}', "");
Expect(1, 67647, '\p{Blk=	Cypriot	Syllabary}', "");
Expect(0, 67647, '\p{^Blk=	Cypriot	Syllabary}', "");
Expect(0, 67647, '\P{Blk=	Cypriot	Syllabary}', "");
Expect(1, 67647, '\P{^Blk=	Cypriot	Syllabary}', "");
Expect(0, 67583, '\p{Blk=	Cypriot	Syllabary}', "");
Expect(1, 67583, '\p{^Blk=	Cypriot	Syllabary}', "");
Expect(1, 67583, '\P{Blk=	Cypriot	Syllabary}', "");
Expect(0, 67583, '\P{^Blk=	Cypriot	Syllabary}', "");
Error('\p{Is_Block:		/a/CYPRIOT-Syllabary}');
Error('\P{Is_Block:		/a/CYPRIOT-Syllabary}');
Expect(1, 67647, '\p{Is_Block=cypriotsyllabary}', "");
Expect(0, 67647, '\p{^Is_Block=cypriotsyllabary}', "");
Expect(0, 67647, '\P{Is_Block=cypriotsyllabary}', "");
Expect(1, 67647, '\P{^Is_Block=cypriotsyllabary}', "");
Expect(0, 67583, '\p{Is_Block=cypriotsyllabary}', "");
Expect(1, 67583, '\p{^Is_Block=cypriotsyllabary}', "");
Expect(1, 67583, '\P{Is_Block=cypriotsyllabary}', "");
Expect(0, 67583, '\P{^Is_Block=cypriotsyllabary}', "");
Expect(1, 67647, '\p{Is_Block:   	 Cypriot-Syllabary}', "");
Expect(0, 67647, '\p{^Is_Block:   	 Cypriot-Syllabary}', "");
Expect(0, 67647, '\P{Is_Block:   	 Cypriot-Syllabary}', "");
Expect(1, 67647, '\P{^Is_Block:   	 Cypriot-Syllabary}', "");
Expect(0, 67583, '\p{Is_Block:   	 Cypriot-Syllabary}', "");
Expect(1, 67583, '\p{^Is_Block:   	 Cypriot-Syllabary}', "");
Expect(1, 67583, '\P{Is_Block:   	 Cypriot-Syllabary}', "");
Expect(0, 67583, '\P{^Is_Block:   	 Cypriot-Syllabary}', "");
Error('\p{Is_Blk=_-Cypriot_Syllabary/a/}');
Error('\P{Is_Blk=_-Cypriot_Syllabary/a/}');
Expect(1, 67647, '\p{Is_Blk=cypriotsyllabary}', "");
Expect(0, 67647, '\p{^Is_Blk=cypriotsyllabary}', "");
Expect(0, 67647, '\P{Is_Blk=cypriotsyllabary}', "");
Expect(1, 67647, '\P{^Is_Blk=cypriotsyllabary}', "");
Expect(0, 67583, '\p{Is_Blk=cypriotsyllabary}', "");
Expect(1, 67583, '\p{^Is_Blk=cypriotsyllabary}', "");
Expect(1, 67583, '\P{Is_Blk=cypriotsyllabary}', "");
Expect(0, 67583, '\P{^Is_Blk=cypriotsyllabary}', "");
Expect(1, 67647, '\p{Is_Blk=-CYPRIOT_Syllabary}', "");
Expect(0, 67647, '\p{^Is_Blk=-CYPRIOT_Syllabary}', "");
Expect(0, 67647, '\P{Is_Blk=-CYPRIOT_Syllabary}', "");
Expect(1, 67647, '\P{^Is_Blk=-CYPRIOT_Syllabary}', "");
Expect(0, 67583, '\p{Is_Blk=-CYPRIOT_Syllabary}', "");
Expect(1, 67583, '\p{^Is_Blk=-CYPRIOT_Syllabary}', "");
Expect(1, 67583, '\P{Is_Blk=-CYPRIOT_Syllabary}', "");
Expect(0, 67583, '\P{^Is_Blk=-CYPRIOT_Syllabary}', "");
Error('\p{Block=	supplemental:=Punctuation}');
Error('\P{Block=	supplemental:=Punctuation}');
Expect(1, 11903, '\p{Block=supplementalpunctuation}', "");
Expect(0, 11903, '\p{^Block=supplementalpunctuation}', "");
Expect(0, 11903, '\P{Block=supplementalpunctuation}', "");
Expect(1, 11903, '\P{^Block=supplementalpunctuation}', "");
Expect(0, 11775, '\p{Block=supplementalpunctuation}', "");
Expect(1, 11775, '\p{^Block=supplementalpunctuation}', "");
Expect(1, 11775, '\P{Block=supplementalpunctuation}', "");
Expect(0, 11775, '\P{^Block=supplementalpunctuation}', "");
Expect(1, 11903, '\p{Block:_-SUPPLEMENTAL Punctuation}', "");
Expect(0, 11903, '\p{^Block:_-SUPPLEMENTAL Punctuation}', "");
Expect(0, 11903, '\P{Block:_-SUPPLEMENTAL Punctuation}', "");
Expect(1, 11903, '\P{^Block:_-SUPPLEMENTAL Punctuation}', "");
Expect(0, 11775, '\p{Block:_-SUPPLEMENTAL Punctuation}', "");
Expect(1, 11775, '\p{^Block:_-SUPPLEMENTAL Punctuation}', "");
Expect(1, 11775, '\P{Block:_-SUPPLEMENTAL Punctuation}', "");
Expect(0, 11775, '\P{^Block:_-SUPPLEMENTAL Punctuation}', "");
Error('\p{Blk=__supplemental:=PUNCTUATION}');
Error('\P{Blk=__supplemental:=PUNCTUATION}');
Expect(1, 11903, '\p{Blk=supplementalpunctuation}', "");
Expect(0, 11903, '\p{^Blk=supplementalpunctuation}', "");
Expect(0, 11903, '\P{Blk=supplementalpunctuation}', "");
Expect(1, 11903, '\P{^Blk=supplementalpunctuation}', "");
Expect(0, 11775, '\p{Blk=supplementalpunctuation}', "");
Expect(1, 11775, '\p{^Blk=supplementalpunctuation}', "");
Expect(1, 11775, '\P{Blk=supplementalpunctuation}', "");
Expect(0, 11775, '\P{^Blk=supplementalpunctuation}', "");
Expect(1, 11903, '\p{Blk= SUPPLEMENTAL-punctuation}', "");
Expect(0, 11903, '\p{^Blk= SUPPLEMENTAL-punctuation}', "");
Expect(0, 11903, '\P{Blk= SUPPLEMENTAL-punctuation}', "");
Expect(1, 11903, '\P{^Blk= SUPPLEMENTAL-punctuation}', "");
Expect(0, 11775, '\p{Blk= SUPPLEMENTAL-punctuation}', "");
Expect(1, 11775, '\p{^Blk= SUPPLEMENTAL-punctuation}', "");
Expect(1, 11775, '\P{Blk= SUPPLEMENTAL-punctuation}', "");
Expect(0, 11775, '\P{^Blk= SUPPLEMENTAL-punctuation}', "");
Error('\p{Is_Block=/a/-Supplemental_Punctuation}');
Error('\P{Is_Block=/a/-Supplemental_Punctuation}');
Expect(1, 11903, '\p{Is_Block: supplementalpunctuation}', "");
Expect(0, 11903, '\p{^Is_Block: supplementalpunctuation}', "");
Expect(0, 11903, '\P{Is_Block: supplementalpunctuation}', "");
Expect(1, 11903, '\P{^Is_Block: supplementalpunctuation}', "");
Expect(0, 11775, '\p{Is_Block: supplementalpunctuation}', "");
Expect(1, 11775, '\p{^Is_Block: supplementalpunctuation}', "");
Expect(1, 11775, '\P{Is_Block: supplementalpunctuation}', "");
Expect(0, 11775, '\P{^Is_Block: supplementalpunctuation}', "");
Expect(1, 11903, '\p{Is_Block=-SupplementalPunctuation}', "");
Expect(0, 11903, '\p{^Is_Block=-SupplementalPunctuation}', "");
Expect(0, 11903, '\P{Is_Block=-SupplementalPunctuation}', "");
Expect(1, 11903, '\P{^Is_Block=-SupplementalPunctuation}', "");
Expect(0, 11775, '\p{Is_Block=-SupplementalPunctuation}', "");
Expect(1, 11775, '\p{^Is_Block=-SupplementalPunctuation}', "");
Expect(1, 11775, '\P{Is_Block=-SupplementalPunctuation}', "");
Expect(0, 11775, '\P{^Is_Block=-SupplementalPunctuation}', "");
Error('\p{Is_Blk:	 	Supplementalpunctuation/a/}');
Error('\P{Is_Blk:	 	Supplementalpunctuation/a/}');
Expect(1, 11903, '\p{Is_Blk=supplementalpunctuation}', "");
Expect(0, 11903, '\p{^Is_Blk=supplementalpunctuation}', "");
Expect(0, 11903, '\P{Is_Blk=supplementalpunctuation}', "");
Expect(1, 11903, '\P{^Is_Blk=supplementalpunctuation}', "");
Expect(0, 11775, '\p{Is_Blk=supplementalpunctuation}', "");
Expect(1, 11775, '\p{^Is_Blk=supplementalpunctuation}', "");
Expect(1, 11775, '\P{Is_Blk=supplementalpunctuation}', "");
Expect(0, 11775, '\P{^Is_Blk=supplementalpunctuation}', "");
Expect(1, 11903, '\p{Is_Blk=-Supplemental-Punctuation}', "");
Expect(0, 11903, '\p{^Is_Blk=-Supplemental-Punctuation}', "");
Expect(0, 11903, '\P{Is_Blk=-Supplemental-Punctuation}', "");
Expect(1, 11903, '\P{^Is_Blk=-Supplemental-Punctuation}', "");
Expect(0, 11775, '\p{Is_Blk=-Supplemental-Punctuation}', "");
Expect(1, 11775, '\p{^Is_Blk=-Supplemental-Punctuation}', "");
Expect(1, 11775, '\P{Is_Blk=-Supplemental-Punctuation}', "");
Expect(0, 11775, '\P{^Is_Blk=-Supplemental-Punctuation}', "");
Error('\p{Block=_/a/Coptic}');
Error('\P{Block=_/a/Coptic}');
Expect(1, 11519, '\p{Block=coptic}', "");
Expect(0, 11519, '\p{^Block=coptic}', "");
Expect(0, 11519, '\P{Block=coptic}', "");
Expect(1, 11519, '\P{^Block=coptic}', "");
Expect(0, 11391, '\p{Block=coptic}', "");
Expect(1, 11391, '\p{^Block=coptic}', "");
Expect(1, 11391, '\P{Block=coptic}', "");
Expect(0, 11391, '\P{^Block=coptic}', "");
Expect(1, 11519, '\p{Block=_ Coptic}', "");
Expect(0, 11519, '\p{^Block=_ Coptic}', "");
Expect(0, 11519, '\P{Block=_ Coptic}', "");
Expect(1, 11519, '\P{^Block=_ Coptic}', "");
Expect(0, 11391, '\p{Block=_ Coptic}', "");
Expect(1, 11391, '\p{^Block=_ Coptic}', "");
Expect(1, 11391, '\P{Block=_ Coptic}', "");
Expect(0, 11391, '\P{^Block=_ Coptic}', "");
Error('\p{Blk=/a/_ Coptic}');
Error('\P{Blk=/a/_ Coptic}');
Expect(1, 11519, '\p{Blk=coptic}', "");
Expect(0, 11519, '\p{^Blk=coptic}', "");
Expect(0, 11519, '\P{Blk=coptic}', "");
Expect(1, 11519, '\P{^Blk=coptic}', "");
Expect(0, 11391, '\p{Blk=coptic}', "");
Expect(1, 11391, '\p{^Blk=coptic}', "");
Expect(1, 11391, '\P{Blk=coptic}', "");
Expect(0, 11391, '\P{^Blk=coptic}', "");
Expect(1, 11519, '\p{Blk=-COPTIC}', "");
Expect(0, 11519, '\p{^Blk=-COPTIC}', "");
Expect(0, 11519, '\P{Blk=-COPTIC}', "");
Expect(1, 11519, '\P{^Blk=-COPTIC}', "");
Expect(0, 11391, '\p{Blk=-COPTIC}', "");
Expect(1, 11391, '\p{^Blk=-COPTIC}', "");
Expect(1, 11391, '\P{Blk=-COPTIC}', "");
Expect(0, 11391, '\P{^Blk=-COPTIC}', "");
Error('\p{Is_Block=/a/ _COPTIC}');
Error('\P{Is_Block=/a/ _COPTIC}');
Expect(1, 11519, '\p{Is_Block=coptic}', "");
Expect(0, 11519, '\p{^Is_Block=coptic}', "");
Expect(0, 11519, '\P{Is_Block=coptic}', "");
Expect(1, 11519, '\P{^Is_Block=coptic}', "");
Expect(0, 11391, '\p{Is_Block=coptic}', "");
Expect(1, 11391, '\p{^Is_Block=coptic}', "");
Expect(1, 11391, '\P{Is_Block=coptic}', "");
Expect(0, 11391, '\P{^Is_Block=coptic}', "");
Expect(1, 11519, '\p{Is_Block=	COPTIC}', "");
Expect(0, 11519, '\p{^Is_Block=	COPTIC}', "");
Expect(0, 11519, '\P{Is_Block=	COPTIC}', "");
Expect(1, 11519, '\P{^Is_Block=	COPTIC}', "");
Expect(0, 11391, '\p{Is_Block=	COPTIC}', "");
Expect(1, 11391, '\p{^Is_Block=	COPTIC}', "");
Expect(1, 11391, '\P{Is_Block=	COPTIC}', "");
Expect(0, 11391, '\P{^Is_Block=	COPTIC}', "");
Error('\p{Is_Blk=--Coptic:=}');
Error('\P{Is_Blk=--Coptic:=}');
Expect(1, 11519, '\p{Is_Blk=coptic}', "");
Expect(0, 11519, '\p{^Is_Blk=coptic}', "");
Expect(0, 11519, '\P{Is_Blk=coptic}', "");
Expect(1, 11519, '\P{^Is_Blk=coptic}', "");
Expect(0, 11391, '\p{Is_Blk=coptic}', "");
Expect(1, 11391, '\p{^Is_Blk=coptic}', "");
Expect(1, 11391, '\P{Is_Blk=coptic}', "");
Expect(0, 11391, '\P{^Is_Blk=coptic}', "");
Expect(1, 11519, '\p{Is_Blk=_Coptic}', "");
Expect(0, 11519, '\p{^Is_Blk=_Coptic}', "");
Expect(0, 11519, '\P{Is_Blk=_Coptic}', "");
Expect(1, 11519, '\P{^Is_Blk=_Coptic}', "");
Expect(0, 11391, '\p{Is_Blk=_Coptic}', "");
Expect(1, 11391, '\p{^Is_Blk=_Coptic}', "");
Expect(1, 11391, '\P{Is_Blk=_Coptic}', "");
Expect(0, 11391, '\P{^Is_Blk=_Coptic}', "");
Error('\p{Block= :=Supplemental-Arrows b}');
Error('\P{Block= :=Supplemental-Arrows b}');
Expect(1, 10623, '\p{Block=supplementalarrowsb}', "");
Expect(0, 10623, '\p{^Block=supplementalarrowsb}', "");
Expect(0, 10623, '\P{Block=supplementalarrowsb}', "");
Expect(1, 10623, '\P{^Block=supplementalarrowsb}', "");
Expect(0, 10495, '\p{Block=supplementalarrowsb}', "");
Expect(1, 10495, '\p{^Block=supplementalarrowsb}', "");
Expect(1, 10495, '\P{Block=supplementalarrowsb}', "");
Expect(0, 10495, '\P{^Block=supplementalarrowsb}', "");
Expect(1, 10623, '\p{Block= -Supplemental-Arrows B}', "");
Expect(0, 10623, '\p{^Block= -Supplemental-Arrows B}', "");
Expect(0, 10623, '\P{Block= -Supplemental-Arrows B}', "");
Expect(1, 10623, '\P{^Block= -Supplemental-Arrows B}', "");
Expect(0, 10495, '\p{Block= -Supplemental-Arrows B}', "");
Expect(1, 10495, '\p{^Block= -Supplemental-Arrows B}', "");
Expect(1, 10495, '\P{Block= -Supplemental-Arrows B}', "");
Expect(0, 10495, '\P{^Block= -Supplemental-Arrows B}', "");
Error('\p{Blk=-	SUPPLEMENTALArrowsB/a/}');
Error('\P{Blk=-	SUPPLEMENTALArrowsB/a/}');
Expect(1, 10623, '\p{Blk=supplementalarrowsb}', "");
Expect(0, 10623, '\p{^Blk=supplementalarrowsb}', "");
Expect(0, 10623, '\P{Blk=supplementalarrowsb}', "");
Expect(1, 10623, '\P{^Blk=supplementalarrowsb}', "");
Expect(0, 10495, '\p{Blk=supplementalarrowsb}', "");
Expect(1, 10495, '\p{^Blk=supplementalarrowsb}', "");
Expect(1, 10495, '\P{Blk=supplementalarrowsb}', "");
Expect(0, 10495, '\P{^Blk=supplementalarrowsb}', "");
Expect(1, 10623, '\p{Blk=	 supplemental-arrows-B}', "");
Expect(0, 10623, '\p{^Blk=	 supplemental-arrows-B}', "");
Expect(0, 10623, '\P{Blk=	 supplemental-arrows-B}', "");
Expect(1, 10623, '\P{^Blk=	 supplemental-arrows-B}', "");
Expect(0, 10495, '\p{Blk=	 supplemental-arrows-B}', "");
Expect(1, 10495, '\p{^Blk=	 supplemental-arrows-B}', "");
Expect(1, 10495, '\P{Blk=	 supplemental-arrows-B}', "");
Expect(0, 10495, '\P{^Blk=	 supplemental-arrows-B}', "");
Error('\p{Is_Block=_	supplemental	arrows_B/a/}');
Error('\P{Is_Block=_	supplemental	arrows_B/a/}');
Expect(1, 10623, '\p{Is_Block: supplementalarrowsb}', "");
Expect(0, 10623, '\p{^Is_Block: supplementalarrowsb}', "");
Expect(0, 10623, '\P{Is_Block: supplementalarrowsb}', "");
Expect(1, 10623, '\P{^Is_Block: supplementalarrowsb}', "");
Expect(0, 10495, '\p{Is_Block: supplementalarrowsb}', "");
Expect(1, 10495, '\p{^Is_Block: supplementalarrowsb}', "");
Expect(1, 10495, '\P{Is_Block: supplementalarrowsb}', "");
Expect(0, 10495, '\P{^Is_Block: supplementalarrowsb}', "");
Expect(1, 10623, '\p{Is_Block= Supplemental-ARROWS_b}', "");
Expect(0, 10623, '\p{^Is_Block= Supplemental-ARROWS_b}', "");
Expect(0, 10623, '\P{Is_Block= Supplemental-ARROWS_b}', "");
Expect(1, 10623, '\P{^Is_Block= Supplemental-ARROWS_b}', "");
Expect(0, 10495, '\p{Is_Block= Supplemental-ARROWS_b}', "");
Expect(1, 10495, '\p{^Is_Block= Supplemental-ARROWS_b}', "");
Expect(1, 10495, '\P{Is_Block= Supplemental-ARROWS_b}', "");
Expect(0, 10495, '\P{^Is_Block= Supplemental-ARROWS_b}', "");
Error('\p{Is_Blk=_	Supplemental_ARROWS-B:=}');
Error('\P{Is_Blk=_	Supplemental_ARROWS-B:=}');
Expect(1, 10623, '\p{Is_Blk=supplementalarrowsb}', "");
Expect(0, 10623, '\p{^Is_Blk=supplementalarrowsb}', "");
Expect(0, 10623, '\P{Is_Blk=supplementalarrowsb}', "");
Expect(1, 10623, '\P{^Is_Blk=supplementalarrowsb}', "");
Expect(0, 10495, '\p{Is_Blk=supplementalarrowsb}', "");
Expect(1, 10495, '\p{^Is_Blk=supplementalarrowsb}', "");
Expect(1, 10495, '\P{Is_Blk=supplementalarrowsb}', "");
Expect(0, 10495, '\P{^Is_Blk=supplementalarrowsb}', "");
Expect(1, 10623, '\p{Is_Blk= -supplemental	Arrows B}', "");
Expect(0, 10623, '\p{^Is_Blk= -supplemental	Arrows B}', "");
Expect(0, 10623, '\P{Is_Blk= -supplemental	Arrows B}', "");
Expect(1, 10623, '\P{^Is_Blk= -supplemental	Arrows B}', "");
Expect(0, 10495, '\p{Is_Blk= -supplemental	Arrows B}', "");
Expect(1, 10495, '\p{^Is_Blk= -supplemental	Arrows B}', "");
Expect(1, 10495, '\P{Is_Blk= -supplemental	Arrows B}', "");
Expect(0, 10495, '\P{^Is_Blk= -supplemental	Arrows B}', "");
Error('\p{Block=_:=TIBETAN}');
Error('\P{Block=_:=TIBETAN}');
Expect(1, 4095, '\p{Block=tibetan}', "");
Expect(0, 4095, '\p{^Block=tibetan}', "");
Expect(0, 4095, '\P{Block=tibetan}', "");
Expect(1, 4095, '\P{^Block=tibetan}', "");
Expect(0, 3839, '\p{Block=tibetan}', "");
Expect(1, 3839, '\p{^Block=tibetan}', "");
Expect(1, 3839, '\P{Block=tibetan}', "");
Expect(0, 3839, '\P{^Block=tibetan}', "");
Expect(1, 4095, '\p{Block=- Tibetan}', "");
Expect(0, 4095, '\p{^Block=- Tibetan}', "");
Expect(0, 4095, '\P{Block=- Tibetan}', "");
Expect(1, 4095, '\P{^Block=- Tibetan}', "");
Expect(0, 3839, '\p{Block=- Tibetan}', "");
Expect(1, 3839, '\p{^Block=- Tibetan}', "");
Expect(1, 3839, '\P{Block=- Tibetan}', "");
Expect(0, 3839, '\P{^Block=- Tibetan}', "");
Error('\p{Blk=_ Tibetan:=}');
Error('\P{Blk=_ Tibetan:=}');
Expect(1, 4095, '\p{Blk=tibetan}', "");
Expect(0, 4095, '\p{^Blk=tibetan}', "");
Expect(0, 4095, '\P{Blk=tibetan}', "");
Expect(1, 4095, '\P{^Blk=tibetan}', "");
Expect(0, 3839, '\p{Blk=tibetan}', "");
Expect(1, 3839, '\p{^Blk=tibetan}', "");
Expect(1, 3839, '\P{Blk=tibetan}', "");
Expect(0, 3839, '\P{^Blk=tibetan}', "");
Expect(1, 4095, '\p{Blk=_ tibetan}', "");
Expect(0, 4095, '\p{^Blk=_ tibetan}', "");
Expect(0, 4095, '\P{Blk=_ tibetan}', "");
Expect(1, 4095, '\P{^Blk=_ tibetan}', "");
Expect(0, 3839, '\p{Blk=_ tibetan}', "");
Expect(1, 3839, '\p{^Blk=_ tibetan}', "");
Expect(1, 3839, '\P{Blk=_ tibetan}', "");
Expect(0, 3839, '\P{^Blk=_ tibetan}', "");
Error('\p{Is_Block=/a/tibetan}');
Error('\P{Is_Block=/a/tibetan}');
Expect(1, 4095, '\p{Is_Block=tibetan}', "");
Expect(0, 4095, '\p{^Is_Block=tibetan}', "");
Expect(0, 4095, '\P{Is_Block=tibetan}', "");
Expect(1, 4095, '\P{^Is_Block=tibetan}', "");
Expect(0, 3839, '\p{Is_Block=tibetan}', "");
Expect(1, 3839, '\p{^Is_Block=tibetan}', "");
Expect(1, 3839, '\P{Is_Block=tibetan}', "");
Expect(0, 3839, '\P{^Is_Block=tibetan}', "");
Expect(1, 4095, '\p{Is_Block=	 TIBETAN}', "");
Expect(0, 4095, '\p{^Is_Block=	 TIBETAN}', "");
Expect(0, 4095, '\P{Is_Block=	 TIBETAN}', "");
Expect(1, 4095, '\P{^Is_Block=	 TIBETAN}', "");
Expect(0, 3839, '\p{Is_Block=	 TIBETAN}', "");
Expect(1, 3839, '\p{^Is_Block=	 TIBETAN}', "");
Expect(1, 3839, '\P{Is_Block=	 TIBETAN}', "");
Expect(0, 3839, '\P{^Is_Block=	 TIBETAN}', "");
Error('\p{Is_Blk:		Tibetan/a/}');
Error('\P{Is_Blk:		Tibetan/a/}');
Expect(1, 4095, '\p{Is_Blk=tibetan}', "");
Expect(0, 4095, '\p{^Is_Blk=tibetan}', "");
Expect(0, 4095, '\P{Is_Blk=tibetan}', "");
Expect(1, 4095, '\P{^Is_Blk=tibetan}', "");
Expect(0, 3839, '\p{Is_Blk=tibetan}', "");
Expect(1, 3839, '\p{^Is_Blk=tibetan}', "");
Expect(1, 3839, '\P{Is_Blk=tibetan}', "");
Expect(0, 3839, '\P{^Is_Blk=tibetan}', "");
Expect(1, 4095, '\p{Is_Blk=- Tibetan}', "");
Expect(0, 4095, '\p{^Is_Blk=- Tibetan}', "");
Expect(0, 4095, '\P{Is_Blk=- Tibetan}', "");
Expect(1, 4095, '\P{^Is_Blk=- Tibetan}', "");
Expect(0, 3839, '\p{Is_Blk=- Tibetan}', "");
Expect(1, 3839, '\p{^Is_Blk=- Tibetan}', "");
Expect(1, 3839, '\P{Is_Blk=- Tibetan}', "");
Expect(0, 3839, '\P{^Is_Blk=- Tibetan}', "");
Error('\p{Block=-:=DOMINO	TILES}');
Error('\P{Block=-:=DOMINO	TILES}');
Expect(1, 127135, '\p{Block=dominotiles}', "");
Expect(0, 127135, '\p{^Block=dominotiles}', "");
Expect(0, 127135, '\P{Block=dominotiles}', "");
Expect(1, 127135, '\P{^Block=dominotiles}', "");
Expect(0, 127023, '\p{Block=dominotiles}', "");
Expect(1, 127023, '\p{^Block=dominotiles}', "");
Expect(1, 127023, '\P{Block=dominotiles}', "");
Expect(0, 127023, '\P{^Block=dominotiles}', "");
Expect(1, 127135, '\p{Block=-domino Tiles}', "");
Expect(0, 127135, '\p{^Block=-domino Tiles}', "");
Expect(0, 127135, '\P{Block=-domino Tiles}', "");
Expect(1, 127135, '\P{^Block=-domino Tiles}', "");
Expect(0, 127023, '\p{Block=-domino Tiles}', "");
Expect(1, 127023, '\p{^Block=-domino Tiles}', "");
Expect(1, 127023, '\P{Block=-domino Tiles}', "");
Expect(0, 127023, '\P{^Block=-domino Tiles}', "");
Error('\p{Blk=-:=DominoTILES}');
Error('\P{Blk=-:=DominoTILES}');
Expect(1, 127135, '\p{Blk=dominotiles}', "");
Expect(0, 127135, '\p{^Blk=dominotiles}', "");
Expect(0, 127135, '\P{Blk=dominotiles}', "");
Expect(1, 127135, '\P{^Blk=dominotiles}', "");
Expect(0, 127023, '\p{Blk=dominotiles}', "");
Expect(1, 127023, '\p{^Blk=dominotiles}', "");
Expect(1, 127023, '\P{Blk=dominotiles}', "");
Expect(0, 127023, '\P{^Blk=dominotiles}', "");
Expect(1, 127135, '\p{Blk=-	domino	tiles}', "");
Expect(0, 127135, '\p{^Blk=-	domino	tiles}', "");
Expect(0, 127135, '\P{Blk=-	domino	tiles}', "");
Expect(1, 127135, '\P{^Blk=-	domino	tiles}', "");
Expect(0, 127023, '\p{Blk=-	domino	tiles}', "");
Expect(1, 127023, '\p{^Blk=-	domino	tiles}', "");
Expect(1, 127023, '\P{Blk=-	domino	tiles}', "");
Expect(0, 127023, '\P{^Blk=-	domino	tiles}', "");
Error('\p{Is_Block=/a/_domino_Tiles}');
Error('\P{Is_Block=/a/_domino_Tiles}');
Expect(1, 127135, '\p{Is_Block=dominotiles}', "");
Expect(0, 127135, '\p{^Is_Block=dominotiles}', "");
Expect(0, 127135, '\P{Is_Block=dominotiles}', "");
Expect(1, 127135, '\P{^Is_Block=dominotiles}', "");
Expect(0, 127023, '\p{Is_Block=dominotiles}', "");
Expect(1, 127023, '\p{^Is_Block=dominotiles}', "");
Expect(1, 127023, '\P{Is_Block=dominotiles}', "");
Expect(0, 127023, '\P{^Is_Block=dominotiles}', "");
Expect(1, 127135, '\p{Is_Block:--domino_Tiles}', "");
Expect(0, 127135, '\p{^Is_Block:--domino_Tiles}', "");
Expect(0, 127135, '\P{Is_Block:--domino_Tiles}', "");
Expect(1, 127135, '\P{^Is_Block:--domino_Tiles}', "");
Expect(0, 127023, '\p{Is_Block:--domino_Tiles}', "");
Expect(1, 127023, '\p{^Is_Block:--domino_Tiles}', "");
Expect(1, 127023, '\P{Is_Block:--domino_Tiles}', "");
Expect(0, 127023, '\P{^Is_Block:--domino_Tiles}', "");
Error('\p{Is_Blk:   	:=DominoTILES}');
Error('\P{Is_Blk:   	:=DominoTILES}');
Expect(1, 127135, '\p{Is_Blk=dominotiles}', "");
Expect(0, 127135, '\p{^Is_Blk=dominotiles}', "");
Expect(0, 127135, '\P{Is_Blk=dominotiles}', "");
Expect(1, 127135, '\P{^Is_Blk=dominotiles}', "");
Expect(0, 127023, '\p{Is_Blk=dominotiles}', "");
Expect(1, 127023, '\p{^Is_Blk=dominotiles}', "");
Expect(1, 127023, '\P{Is_Blk=dominotiles}', "");
Expect(0, 127023, '\P{^Is_Blk=dominotiles}', "");
Expect(1, 127135, '\p{Is_Blk:  _DOMINOTiles}', "");
Expect(0, 127135, '\p{^Is_Blk:  _DOMINOTiles}', "");
Expect(0, 127135, '\P{Is_Blk:  _DOMINOTiles}', "");
Expect(1, 127135, '\P{^Is_Blk:  _DOMINOTiles}', "");
Expect(0, 127023, '\p{Is_Blk:  _DOMINOTiles}', "");
Expect(1, 127023, '\p{^Is_Blk:  _DOMINOTiles}', "");
Expect(1, 127023, '\P{Is_Blk:  _DOMINOTiles}', "");
Expect(0, 127023, '\P{^Is_Blk:  _DOMINOTiles}', "");
Error('\p{Block=-	CJK	Symbols/a/And-punctuation}');
Error('\P{Block=-	CJK	Symbols/a/And-punctuation}');
Expect(1, 12351, '\p{Block=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^Block=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{Block=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^Block=cjksymbolsandpunctuation}', "");
Expect(0, 12287, '\p{Block=cjksymbolsandpunctuation}', "");
Expect(1, 12287, '\p{^Block=cjksymbolsandpunctuation}', "");
Expect(1, 12287, '\P{Block=cjksymbolsandpunctuation}', "");
Expect(0, 12287, '\P{^Block=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{Block=	 cjk_SYMBOLS	And_Punctuation}', "");
Expect(0, 12351, '\p{^Block=	 cjk_SYMBOLS	And_Punctuation}', "");
Expect(0, 12351, '\P{Block=	 cjk_SYMBOLS	And_Punctuation}', "");
Expect(1, 12351, '\P{^Block=	 cjk_SYMBOLS	And_Punctuation}', "");
Expect(0, 12287, '\p{Block=	 cjk_SYMBOLS	And_Punctuation}', "");
Expect(1, 12287, '\p{^Block=	 cjk_SYMBOLS	And_Punctuation}', "");
Expect(1, 12287, '\P{Block=	 cjk_SYMBOLS	And_Punctuation}', "");
Expect(0, 12287, '\P{^Block=	 cjk_SYMBOLS	And_Punctuation}', "");
Error('\p{Blk=/a/cjk_SYMBOLS-ANDPunctuation}');
Error('\P{Blk=/a/cjk_SYMBOLS-ANDPunctuation}');
Expect(1, 12351, '\p{Blk: cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^Blk: cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{Blk: cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^Blk: cjksymbolsandpunctuation}', "");
Expect(0, 12287, '\p{Blk: cjksymbolsandpunctuation}', "");
Expect(1, 12287, '\p{^Blk: cjksymbolsandpunctuation}', "");
Expect(1, 12287, '\P{Blk: cjksymbolsandpunctuation}', "");
Expect(0, 12287, '\P{^Blk: cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{Blk=	_CJK-symbols-AND	Punctuation}', "");
Expect(0, 12351, '\p{^Blk=	_CJK-symbols-AND	Punctuation}', "");
Expect(0, 12351, '\P{Blk=	_CJK-symbols-AND	Punctuation}', "");
Expect(1, 12351, '\P{^Blk=	_CJK-symbols-AND	Punctuation}', "");
Expect(0, 12287, '\p{Blk=	_CJK-symbols-AND	Punctuation}', "");
Expect(1, 12287, '\p{^Blk=	_CJK-symbols-AND	Punctuation}', "");
Expect(1, 12287, '\P{Blk=	_CJK-symbols-AND	Punctuation}', "");
Expect(0, 12287, '\P{^Blk=	_CJK-symbols-AND	Punctuation}', "");
Error('\p{Is_Block=	:=CJK SYMBOLS_AND	PUNCTUATION}');
Error('\P{Is_Block=	:=CJK SYMBOLS_AND	PUNCTUATION}');
Expect(1, 12351, '\p{Is_Block=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^Is_Block=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{Is_Block=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^Is_Block=cjksymbolsandpunctuation}', "");
Expect(0, 12287, '\p{Is_Block=cjksymbolsandpunctuation}', "");
Expect(1, 12287, '\p{^Is_Block=cjksymbolsandpunctuation}', "");
Expect(1, 12287, '\P{Is_Block=cjksymbolsandpunctuation}', "");
Expect(0, 12287, '\P{^Is_Block=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{Is_Block= -cjk-SYMBOLSandpunctuation}', "");
Expect(0, 12351, '\p{^Is_Block= -cjk-SYMBOLSandpunctuation}', "");
Expect(0, 12351, '\P{Is_Block= -cjk-SYMBOLSandpunctuation}', "");
Expect(1, 12351, '\P{^Is_Block= -cjk-SYMBOLSandpunctuation}', "");
Expect(0, 12287, '\p{Is_Block= -cjk-SYMBOLSandpunctuation}', "");
Expect(1, 12287, '\p{^Is_Block= -cjk-SYMBOLSandpunctuation}', "");
Expect(1, 12287, '\P{Is_Block= -cjk-SYMBOLSandpunctuation}', "");
Expect(0, 12287, '\P{^Is_Block= -cjk-SYMBOLSandpunctuation}', "");
Error('\p{Is_Blk=/a/_	CJK-symbols	And punctuation}');
Error('\P{Is_Blk=/a/_	CJK-symbols	And punctuation}');
Expect(1, 12351, '\p{Is_Blk=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^Is_Blk=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{Is_Blk=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^Is_Blk=cjksymbolsandpunctuation}', "");
Expect(0, 12287, '\p{Is_Blk=cjksymbolsandpunctuation}', "");
Expect(1, 12287, '\p{^Is_Blk=cjksymbolsandpunctuation}', "");
Expect(1, 12287, '\P{Is_Blk=cjksymbolsandpunctuation}', "");
Expect(0, 12287, '\P{^Is_Blk=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{Is_Blk=-_CJK	Symbols_And	Punctuation}', "");
Expect(0, 12351, '\p{^Is_Blk=-_CJK	Symbols_And	Punctuation}', "");
Expect(0, 12351, '\P{Is_Blk=-_CJK	Symbols_And	Punctuation}', "");
Expect(1, 12351, '\P{^Is_Blk=-_CJK	Symbols_And	Punctuation}', "");
Expect(0, 12287, '\p{Is_Blk=-_CJK	Symbols_And	Punctuation}', "");
Expect(1, 12287, '\p{^Is_Blk=-_CJK	Symbols_And	Punctuation}', "");
Expect(1, 12287, '\P{Is_Blk=-_CJK	Symbols_And	Punctuation}', "");
Expect(0, 12287, '\P{^Is_Blk=-_CJK	Symbols_And	Punctuation}', "");
Error('\p{Block=	Hangul:=Compatibility-Jamo}');
Error('\P{Block=	Hangul:=Compatibility-Jamo}');
Expect(1, 12687, '\p{Block=hangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^Block=hangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{Block=hangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^Block=hangulcompatibilityjamo}', "");
Expect(0, 12591, '\p{Block=hangulcompatibilityjamo}', "");
Expect(1, 12591, '\p{^Block=hangulcompatibilityjamo}', "");
Expect(1, 12591, '\P{Block=hangulcompatibilityjamo}', "");
Expect(0, 12591, '\P{^Block=hangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{Block:   -_HANGUL_Compatibility_Jamo}', "");
Expect(0, 12687, '\p{^Block:   -_HANGUL_Compatibility_Jamo}', "");
Expect(0, 12687, '\P{Block:   -_HANGUL_Compatibility_Jamo}', "");
Expect(1, 12687, '\P{^Block:   -_HANGUL_Compatibility_Jamo}', "");
Expect(0, 12591, '\p{Block:   -_HANGUL_Compatibility_Jamo}', "");
Expect(1, 12591, '\p{^Block:   -_HANGUL_Compatibility_Jamo}', "");
Expect(1, 12591, '\P{Block:   -_HANGUL_Compatibility_Jamo}', "");
Expect(0, 12591, '\P{^Block:   -_HANGUL_Compatibility_Jamo}', "");
Error('\p{Blk=-/a/hangul-Compatibility jamo}');
Error('\P{Blk=-/a/hangul-Compatibility jamo}');
Expect(1, 12687, '\p{Blk=hangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^Blk=hangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{Blk=hangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^Blk=hangulcompatibilityjamo}', "");
Expect(0, 12591, '\p{Blk=hangulcompatibilityjamo}', "");
Expect(1, 12591, '\p{^Blk=hangulcompatibilityjamo}', "");
Expect(1, 12591, '\P{Blk=hangulcompatibilityjamo}', "");
Expect(0, 12591, '\P{^Blk=hangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{Blk= Hangul_COMPATIBILITY	Jamo}', "");
Expect(0, 12687, '\p{^Blk= Hangul_COMPATIBILITY	Jamo}', "");
Expect(0, 12687, '\P{Blk= Hangul_COMPATIBILITY	Jamo}', "");
Expect(1, 12687, '\P{^Blk= Hangul_COMPATIBILITY	Jamo}', "");
Expect(0, 12591, '\p{Blk= Hangul_COMPATIBILITY	Jamo}', "");
Expect(1, 12591, '\p{^Blk= Hangul_COMPATIBILITY	Jamo}', "");
Expect(1, 12591, '\P{Blk= Hangul_COMPATIBILITY	Jamo}', "");
Expect(0, 12591, '\P{^Blk= Hangul_COMPATIBILITY	Jamo}', "");
Error('\p{Is_Block=-Hangul_COMPATIBILITY/a/jamo}');
Error('\P{Is_Block=-Hangul_COMPATIBILITY/a/jamo}');
Expect(1, 12687, '\p{Is_Block=hangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^Is_Block=hangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{Is_Block=hangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^Is_Block=hangulcompatibilityjamo}', "");
Expect(0, 12591, '\p{Is_Block=hangulcompatibilityjamo}', "");
Expect(1, 12591, '\p{^Is_Block=hangulcompatibilityjamo}', "");
Expect(1, 12591, '\P{Is_Block=hangulcompatibilityjamo}', "");
Expect(0, 12591, '\P{^Is_Block=hangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{Is_Block=	_HangulCOMPATIBILITY Jamo}', "");
Expect(0, 12687, '\p{^Is_Block=	_HangulCOMPATIBILITY Jamo}', "");
Expect(0, 12687, '\P{Is_Block=	_HangulCOMPATIBILITY Jamo}', "");
Expect(1, 12687, '\P{^Is_Block=	_HangulCOMPATIBILITY Jamo}', "");
Expect(0, 12591, '\p{Is_Block=	_HangulCOMPATIBILITY Jamo}', "");
Expect(1, 12591, '\p{^Is_Block=	_HangulCOMPATIBILITY Jamo}', "");
Expect(1, 12591, '\P{Is_Block=	_HangulCOMPATIBILITY Jamo}', "");
Expect(0, 12591, '\P{^Is_Block=	_HangulCOMPATIBILITY Jamo}', "");
Error('\p{Is_Blk=/a/_HANGULcompatibility	jamo}');
Error('\P{Is_Blk=/a/_HANGULcompatibility	jamo}');
Expect(1, 12687, '\p{Is_Blk:   hangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^Is_Blk:   hangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{Is_Blk:   hangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^Is_Blk:   hangulcompatibilityjamo}', "");
Expect(0, 12591, '\p{Is_Blk:   hangulcompatibilityjamo}', "");
Expect(1, 12591, '\p{^Is_Blk:   hangulcompatibilityjamo}', "");
Expect(1, 12591, '\P{Is_Blk:   hangulcompatibilityjamo}', "");
Expect(0, 12591, '\P{^Is_Blk:   hangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{Is_Blk= 	hangul-COMPATIBILITY-JAMO}', "");
Expect(0, 12687, '\p{^Is_Blk= 	hangul-COMPATIBILITY-JAMO}', "");
Expect(0, 12687, '\P{Is_Blk= 	hangul-COMPATIBILITY-JAMO}', "");
Expect(1, 12687, '\P{^Is_Blk= 	hangul-COMPATIBILITY-JAMO}', "");
Expect(0, 12591, '\p{Is_Blk= 	hangul-COMPATIBILITY-JAMO}', "");
Expect(1, 12591, '\p{^Is_Blk= 	hangul-COMPATIBILITY-JAMO}', "");
Expect(1, 12591, '\P{Is_Blk= 	hangul-COMPATIBILITY-JAMO}', "");
Expect(0, 12591, '\P{^Is_Blk= 	hangul-COMPATIBILITY-JAMO}', "");
Error('\p{Block= OLD:=Persian}');
Error('\P{Block= OLD:=Persian}');
Expect(1, 66527, '\p{Block=oldpersian}', "");
Expect(0, 66527, '\p{^Block=oldpersian}', "");
Expect(0, 66527, '\P{Block=oldpersian}', "");
Expect(1, 66527, '\P{^Block=oldpersian}', "");
Expect(0, 66463, '\p{Block=oldpersian}', "");
Expect(1, 66463, '\p{^Block=oldpersian}', "");
Expect(1, 66463, '\P{Block=oldpersian}', "");
Expect(0, 66463, '\P{^Block=oldpersian}', "");
Expect(1, 66527, '\p{Block:    OLD	persian}', "");
Expect(0, 66527, '\p{^Block:    OLD	persian}', "");
Expect(0, 66527, '\P{Block:    OLD	persian}', "");
Expect(1, 66527, '\P{^Block:    OLD	persian}', "");
Expect(0, 66463, '\p{Block:    OLD	persian}', "");
Expect(1, 66463, '\p{^Block:    OLD	persian}', "");
Expect(1, 66463, '\P{Block:    OLD	persian}', "");
Expect(0, 66463, '\P{^Block:    OLD	persian}', "");
Error('\p{Blk=:=OLD_persian}');
Error('\P{Blk=:=OLD_persian}');
Expect(1, 66527, '\p{Blk=oldpersian}', "");
Expect(0, 66527, '\p{^Blk=oldpersian}', "");
Expect(0, 66527, '\P{Blk=oldpersian}', "");
Expect(1, 66527, '\P{^Blk=oldpersian}', "");
Expect(0, 66463, '\p{Blk=oldpersian}', "");
Expect(1, 66463, '\p{^Blk=oldpersian}', "");
Expect(1, 66463, '\P{Blk=oldpersian}', "");
Expect(0, 66463, '\P{^Blk=oldpersian}', "");
Expect(1, 66527, '\p{Blk: -Old	PERSIAN}', "");
Expect(0, 66527, '\p{^Blk: -Old	PERSIAN}', "");
Expect(0, 66527, '\P{Blk: -Old	PERSIAN}', "");
Expect(1, 66527, '\P{^Blk: -Old	PERSIAN}', "");
Expect(0, 66463, '\p{Blk: -Old	PERSIAN}', "");
Expect(1, 66463, '\p{^Blk: -Old	PERSIAN}', "");
Expect(1, 66463, '\P{Blk: -Old	PERSIAN}', "");
Expect(0, 66463, '\P{^Blk: -Old	PERSIAN}', "");
Error('\p{Is_Block= -Old:=PERSIAN}');
Error('\P{Is_Block= -Old:=PERSIAN}');
Expect(1, 66527, '\p{Is_Block=oldpersian}', "");
Expect(0, 66527, '\p{^Is_Block=oldpersian}', "");
Expect(0, 66527, '\P{Is_Block=oldpersian}', "");
Expect(1, 66527, '\P{^Is_Block=oldpersian}', "");
Expect(0, 66463, '\p{Is_Block=oldpersian}', "");
Expect(1, 66463, '\p{^Is_Block=oldpersian}', "");
Expect(1, 66463, '\P{Is_Block=oldpersian}', "");
Expect(0, 66463, '\P{^Is_Block=oldpersian}', "");
Expect(1, 66527, '\p{Is_Block=	 OLDPersian}', "");
Expect(0, 66527, '\p{^Is_Block=	 OLDPersian}', "");
Expect(0, 66527, '\P{Is_Block=	 OLDPersian}', "");
Expect(1, 66527, '\P{^Is_Block=	 OLDPersian}', "");
Expect(0, 66463, '\p{Is_Block=	 OLDPersian}', "");
Expect(1, 66463, '\p{^Is_Block=	 OLDPersian}', "");
Expect(1, 66463, '\P{Is_Block=	 OLDPersian}', "");
Expect(0, 66463, '\P{^Is_Block=	 OLDPersian}', "");
Error('\p{Is_Blk:	-	OLD persian:=}');
Error('\P{Is_Blk:	-	OLD persian:=}');
Expect(1, 66527, '\p{Is_Blk=oldpersian}', "");
Expect(0, 66527, '\p{^Is_Blk=oldpersian}', "");
Expect(0, 66527, '\P{Is_Blk=oldpersian}', "");
Expect(1, 66527, '\P{^Is_Blk=oldpersian}', "");
Expect(0, 66463, '\p{Is_Blk=oldpersian}', "");
Expect(1, 66463, '\p{^Is_Blk=oldpersian}', "");
Expect(1, 66463, '\P{Is_Blk=oldpersian}', "");
Expect(0, 66463, '\P{^Is_Blk=oldpersian}', "");
Expect(1, 66527, '\p{Is_Blk=		old	Persian}', "");
Expect(0, 66527, '\p{^Is_Blk=		old	Persian}', "");
Expect(0, 66527, '\P{Is_Blk=		old	Persian}', "");
Expect(1, 66527, '\P{^Is_Blk=		old	Persian}', "");
Expect(0, 66463, '\p{Is_Blk=		old	Persian}', "");
Expect(1, 66463, '\p{^Is_Blk=		old	Persian}', "");
Expect(1, 66463, '\P{Is_Blk=		old	Persian}', "");
Expect(0, 66463, '\P{^Is_Blk=		old	Persian}', "");
Error('\p{Block=__Modifier_Tone/a/Letters}');
Error('\P{Block=__Modifier_Tone/a/Letters}');
Expect(1, 42783, '\p{Block=modifiertoneletters}', "");
Expect(0, 42783, '\p{^Block=modifiertoneletters}', "");
Expect(0, 42783, '\P{Block=modifiertoneletters}', "");
Expect(1, 42783, '\P{^Block=modifiertoneletters}', "");
Expect(0, 42751, '\p{Block=modifiertoneletters}', "");
Expect(1, 42751, '\p{^Block=modifiertoneletters}', "");
Expect(1, 42751, '\P{Block=modifiertoneletters}', "");
Expect(0, 42751, '\P{^Block=modifiertoneletters}', "");
Expect(1, 42783, '\p{Block=_	MODIFIERTONE-LETTERS}', "");
Expect(0, 42783, '\p{^Block=_	MODIFIERTONE-LETTERS}', "");
Expect(0, 42783, '\P{Block=_	MODIFIERTONE-LETTERS}', "");
Expect(1, 42783, '\P{^Block=_	MODIFIERTONE-LETTERS}', "");
Expect(0, 42751, '\p{Block=_	MODIFIERTONE-LETTERS}', "");
Expect(1, 42751, '\p{^Block=_	MODIFIERTONE-LETTERS}', "");
Expect(1, 42751, '\P{Block=_	MODIFIERTONE-LETTERS}', "");
Expect(0, 42751, '\P{^Block=_	MODIFIERTONE-LETTERS}', "");
Error('\p{Blk=-Modifier_tone Letters/a/}');
Error('\P{Blk=-Modifier_tone Letters/a/}');
Expect(1, 42783, '\p{Blk=modifiertoneletters}', "");
Expect(0, 42783, '\p{^Blk=modifiertoneletters}', "");
Expect(0, 42783, '\P{Blk=modifiertoneletters}', "");
Expect(1, 42783, '\P{^Blk=modifiertoneletters}', "");
Expect(0, 42751, '\p{Blk=modifiertoneletters}', "");
Expect(1, 42751, '\p{^Blk=modifiertoneletters}', "");
Expect(1, 42751, '\P{Blk=modifiertoneletters}', "");
Expect(0, 42751, '\P{^Blk=modifiertoneletters}', "");
Expect(1, 42783, '\p{Blk=	 ModifierToneLetters}', "");
Expect(0, 42783, '\p{^Blk=	 ModifierToneLetters}', "");
Expect(0, 42783, '\P{Blk=	 ModifierToneLetters}', "");
Expect(1, 42783, '\P{^Blk=	 ModifierToneLetters}', "");
Expect(0, 42751, '\p{Blk=	 ModifierToneLetters}', "");
Expect(1, 42751, '\p{^Blk=	 ModifierToneLetters}', "");
Expect(1, 42751, '\P{Blk=	 ModifierToneLetters}', "");
Expect(0, 42751, '\P{^Blk=	 ModifierToneLetters}', "");
Error('\p{Is_Block: 	/a/Modifier-TONE	Letters}');
Error('\P{Is_Block: 	/a/Modifier-TONE	Letters}');
Expect(1, 42783, '\p{Is_Block=modifiertoneletters}', "");
Expect(0, 42783, '\p{^Is_Block=modifiertoneletters}', "");
Expect(0, 42783, '\P{Is_Block=modifiertoneletters}', "");
Expect(1, 42783, '\P{^Is_Block=modifiertoneletters}', "");
Expect(0, 42751, '\p{Is_Block=modifiertoneletters}', "");
Expect(1, 42751, '\p{^Is_Block=modifiertoneletters}', "");
Expect(1, 42751, '\P{Is_Block=modifiertoneletters}', "");
Expect(0, 42751, '\P{^Is_Block=modifiertoneletters}', "");
Expect(1, 42783, '\p{Is_Block=Modifier_Tone-Letters}', "");
Expect(0, 42783, '\p{^Is_Block=Modifier_Tone-Letters}', "");
Expect(0, 42783, '\P{Is_Block=Modifier_Tone-Letters}', "");
Expect(1, 42783, '\P{^Is_Block=Modifier_Tone-Letters}', "");
Expect(0, 42751, '\p{Is_Block=Modifier_Tone-Letters}', "");
Expect(1, 42751, '\p{^Is_Block=Modifier_Tone-Letters}', "");
Expect(1, 42751, '\P{Is_Block=Modifier_Tone-Letters}', "");
Expect(0, 42751, '\P{^Is_Block=Modifier_Tone-Letters}', "");
Error('\p{Is_Blk= _Modifier/a/Tone-LETTERS}');
Error('\P{Is_Blk= _Modifier/a/Tone-LETTERS}');
Expect(1, 42783, '\p{Is_Blk=modifiertoneletters}', "");
Expect(0, 42783, '\p{^Is_Blk=modifiertoneletters}', "");
Expect(0, 42783, '\P{Is_Blk=modifiertoneletters}', "");
Expect(1, 42783, '\P{^Is_Blk=modifiertoneletters}', "");
Expect(0, 42751, '\p{Is_Blk=modifiertoneletters}', "");
Expect(1, 42751, '\p{^Is_Blk=modifiertoneletters}', "");
Expect(1, 42751, '\P{Is_Blk=modifiertoneletters}', "");
Expect(0, 42751, '\P{^Is_Blk=modifiertoneletters}', "");
Expect(1, 42783, '\p{Is_Blk:	-MODIFIERTONE Letters}', "");
Expect(0, 42783, '\p{^Is_Blk:	-MODIFIERTONE Letters}', "");
Expect(0, 42783, '\P{Is_Blk:	-MODIFIERTONE Letters}', "");
Expect(1, 42783, '\P{^Is_Blk:	-MODIFIERTONE Letters}', "");
Expect(0, 42751, '\p{Is_Blk:	-MODIFIERTONE Letters}', "");
Expect(1, 42751, '\p{^Is_Blk:	-MODIFIERTONE Letters}', "");
Expect(1, 42751, '\P{Is_Blk:	-MODIFIERTONE Letters}', "");
Expect(0, 42751, '\P{^Is_Blk:	-MODIFIERTONE Letters}', "");
Error('\p{Block=	:=Ethiopic-SUPPLEMENT}');
Error('\P{Block=	:=Ethiopic-SUPPLEMENT}');
Expect(1, 5023, '\p{Block=ethiopicsupplement}', "");
Expect(0, 5023, '\p{^Block=ethiopicsupplement}', "");
Expect(0, 5023, '\P{Block=ethiopicsupplement}', "");
Expect(1, 5023, '\P{^Block=ethiopicsupplement}', "");
Expect(0, 4991, '\p{Block=ethiopicsupplement}', "");
Expect(1, 4991, '\p{^Block=ethiopicsupplement}', "");
Expect(1, 4991, '\P{Block=ethiopicsupplement}', "");
Expect(0, 4991, '\P{^Block=ethiopicsupplement}', "");
Expect(1, 5023, '\p{Block= _Ethiopic-supplement}', "");
Expect(0, 5023, '\p{^Block= _Ethiopic-supplement}', "");
Expect(0, 5023, '\P{Block= _Ethiopic-supplement}', "");
Expect(1, 5023, '\P{^Block= _Ethiopic-supplement}', "");
Expect(0, 4991, '\p{Block= _Ethiopic-supplement}', "");
Expect(1, 4991, '\p{^Block= _Ethiopic-supplement}', "");
Expect(1, 4991, '\P{Block= _Ethiopic-supplement}', "");
Expect(0, 4991, '\P{^Block= _Ethiopic-supplement}', "");
Error('\p{Blk= _ETHIOPICsupplement:=}');
Error('\P{Blk= _ETHIOPICsupplement:=}');
Expect(1, 5023, '\p{Blk=ethiopicsupplement}', "");
Expect(0, 5023, '\p{^Blk=ethiopicsupplement}', "");
Expect(0, 5023, '\P{Blk=ethiopicsupplement}', "");
Expect(1, 5023, '\P{^Blk=ethiopicsupplement}', "");
Expect(0, 4991, '\p{Blk=ethiopicsupplement}', "");
Expect(1, 4991, '\p{^Blk=ethiopicsupplement}', "");
Expect(1, 4991, '\P{Blk=ethiopicsupplement}', "");
Expect(0, 4991, '\P{^Blk=ethiopicsupplement}', "");
Expect(1, 5023, '\p{Blk:   _-Ethiopic-SUPPLEMENT}', "");
Expect(0, 5023, '\p{^Blk:   _-Ethiopic-SUPPLEMENT}', "");
Expect(0, 5023, '\P{Blk:   _-Ethiopic-SUPPLEMENT}', "");
Expect(1, 5023, '\P{^Blk:   _-Ethiopic-SUPPLEMENT}', "");
Expect(0, 4991, '\p{Blk:   _-Ethiopic-SUPPLEMENT}', "");
Expect(1, 4991, '\p{^Blk:   _-Ethiopic-SUPPLEMENT}', "");
Expect(1, 4991, '\P{Blk:   _-Ethiopic-SUPPLEMENT}', "");
Expect(0, 4991, '\P{^Blk:   _-Ethiopic-SUPPLEMENT}', "");
Error('\p{Is_Block= /a/Ethiopicsupplement}');
Error('\P{Is_Block= /a/Ethiopicsupplement}');
Expect(1, 5023, '\p{Is_Block=ethiopicsupplement}', "");
Expect(0, 5023, '\p{^Is_Block=ethiopicsupplement}', "");
Expect(0, 5023, '\P{Is_Block=ethiopicsupplement}', "");
Expect(1, 5023, '\P{^Is_Block=ethiopicsupplement}', "");
Expect(0, 4991, '\p{Is_Block=ethiopicsupplement}', "");
Expect(1, 4991, '\p{^Is_Block=ethiopicsupplement}', "");
Expect(1, 4991, '\P{Is_Block=ethiopicsupplement}', "");
Expect(0, 4991, '\P{^Is_Block=ethiopicsupplement}', "");
Expect(1, 5023, '\p{Is_Block=	Ethiopic supplement}', "");
Expect(0, 5023, '\p{^Is_Block=	Ethiopic supplement}', "");
Expect(0, 5023, '\P{Is_Block=	Ethiopic supplement}', "");
Expect(1, 5023, '\P{^Is_Block=	Ethiopic supplement}', "");
Expect(0, 4991, '\p{Is_Block=	Ethiopic supplement}', "");
Expect(1, 4991, '\p{^Is_Block=	Ethiopic supplement}', "");
Expect(1, 4991, '\P{Is_Block=	Ethiopic supplement}', "");
Expect(0, 4991, '\P{^Is_Block=	Ethiopic supplement}', "");
Error('\p{Is_Blk=	Ethiopic/a/Supplement}');
Error('\P{Is_Blk=	Ethiopic/a/Supplement}');
Expect(1, 5023, '\p{Is_Blk=ethiopicsupplement}', "");
Expect(0, 5023, '\p{^Is_Blk=ethiopicsupplement}', "");
Expect(0, 5023, '\P{Is_Blk=ethiopicsupplement}', "");
Expect(1, 5023, '\P{^Is_Blk=ethiopicsupplement}', "");
Expect(0, 4991, '\p{Is_Blk=ethiopicsupplement}', "");
Expect(1, 4991, '\p{^Is_Blk=ethiopicsupplement}', "");
Expect(1, 4991, '\P{Is_Blk=ethiopicsupplement}', "");
Expect(0, 4991, '\P{^Is_Blk=ethiopicsupplement}', "");
Expect(1, 5023, '\p{Is_Blk=	ethiopic-Supplement}', "");
Expect(0, 5023, '\p{^Is_Blk=	ethiopic-Supplement}', "");
Expect(0, 5023, '\P{Is_Blk=	ethiopic-Supplement}', "");
Expect(1, 5023, '\P{^Is_Blk=	ethiopic-Supplement}', "");
Expect(0, 4991, '\p{Is_Blk=	ethiopic-Supplement}', "");
Expect(1, 4991, '\p{^Is_Blk=	ethiopic-Supplement}', "");
Expect(1, 4991, '\P{Is_Blk=	ethiopic-Supplement}', "");
Expect(0, 4991, '\P{^Is_Blk=	ethiopic-Supplement}', "");
Error('\p{Block=-linear-B/a/Syllabary}');
Error('\P{Block=-linear-B/a/Syllabary}');
Expect(1, 65663, '\p{Block:	linearbsyllabary}', "");
Expect(0, 65663, '\p{^Block:	linearbsyllabary}', "");
Expect(0, 65663, '\P{Block:	linearbsyllabary}', "");
Expect(1, 65663, '\P{^Block:	linearbsyllabary}', "");
Expect(0, 1, '\p{Block:	linearbsyllabary}', "");
Expect(1, 1, '\p{^Block:	linearbsyllabary}', "");
Expect(1, 1, '\P{Block:	linearbsyllabary}', "");
Expect(0, 1, '\P{^Block:	linearbsyllabary}', "");
Expect(1, 65663, '\p{Block= Linear_B	SYLLABARY}', "");
Expect(0, 65663, '\p{^Block= Linear_B	SYLLABARY}', "");
Expect(0, 65663, '\P{Block= Linear_B	SYLLABARY}', "");
Expect(1, 65663, '\P{^Block= Linear_B	SYLLABARY}', "");
Expect(0, 1, '\p{Block= Linear_B	SYLLABARY}', "");
Expect(1, 1, '\p{^Block= Linear_B	SYLLABARY}', "");
Expect(1, 1, '\P{Block= Linear_B	SYLLABARY}', "");
Expect(0, 1, '\P{^Block= Linear_B	SYLLABARY}', "");
Error('\p{Blk=-/a/LINEAR	B	syllabary}');
Error('\P{Blk=-/a/LINEAR	B	syllabary}');
Expect(1, 65663, '\p{Blk=linearbsyllabary}', "");
Expect(0, 65663, '\p{^Blk=linearbsyllabary}', "");
Expect(0, 65663, '\P{Blk=linearbsyllabary}', "");
Expect(1, 65663, '\P{^Blk=linearbsyllabary}', "");
Expect(0, 1, '\p{Blk=linearbsyllabary}', "");
Expect(1, 1, '\p{^Blk=linearbsyllabary}', "");
Expect(1, 1, '\P{Blk=linearbsyllabary}', "");
Expect(0, 1, '\P{^Blk=linearbsyllabary}', "");
Expect(1, 65663, '\p{Blk= 	linear-BSyllabary}', "");
Expect(0, 65663, '\p{^Blk= 	linear-BSyllabary}', "");
Expect(0, 65663, '\P{Blk= 	linear-BSyllabary}', "");
Expect(1, 65663, '\P{^Blk= 	linear-BSyllabary}', "");
Expect(0, 1, '\p{Blk= 	linear-BSyllabary}', "");
Expect(1, 1, '\p{^Blk= 	linear-BSyllabary}', "");
Expect(1, 1, '\P{Blk= 	linear-BSyllabary}', "");
Expect(0, 1, '\P{^Blk= 	linear-BSyllabary}', "");
Error('\p{Is_Block=  Linear	B/a/SYLLABARY}');
Error('\P{Is_Block=  Linear	B/a/SYLLABARY}');
Expect(1, 65663, '\p{Is_Block=linearbsyllabary}', "");
Expect(0, 65663, '\p{^Is_Block=linearbsyllabary}', "");
Expect(0, 65663, '\P{Is_Block=linearbsyllabary}', "");
Expect(1, 65663, '\P{^Is_Block=linearbsyllabary}', "");
Expect(0, 1, '\p{Is_Block=linearbsyllabary}', "");
Expect(1, 1, '\p{^Is_Block=linearbsyllabary}', "");
Expect(1, 1, '\P{Is_Block=linearbsyllabary}', "");
Expect(0, 1, '\P{^Is_Block=linearbsyllabary}', "");
Expect(1, 65663, '\p{Is_Block=_Linear	B Syllabary}', "");
Expect(0, 65663, '\p{^Is_Block=_Linear	B Syllabary}', "");
Expect(0, 65663, '\P{Is_Block=_Linear	B Syllabary}', "");
Expect(1, 65663, '\P{^Is_Block=_Linear	B Syllabary}', "");
Expect(0, 1, '\p{Is_Block=_Linear	B Syllabary}', "");
Expect(1, 1, '\p{^Is_Block=_Linear	B Syllabary}', "");
Expect(1, 1, '\P{Is_Block=_Linear	B Syllabary}', "");
Expect(0, 1, '\P{^Is_Block=_Linear	B Syllabary}', "");
Error('\p{Is_Blk=_:=LINEARb Syllabary}');
Error('\P{Is_Blk=_:=LINEARb Syllabary}');
Expect(1, 65663, '\p{Is_Blk:   linearbsyllabary}', "");
Expect(0, 65663, '\p{^Is_Blk:   linearbsyllabary}', "");
Expect(0, 65663, '\P{Is_Blk:   linearbsyllabary}', "");
Expect(1, 65663, '\P{^Is_Blk:   linearbsyllabary}', "");
Expect(0, 1, '\p{Is_Blk:   linearbsyllabary}', "");
Expect(1, 1, '\p{^Is_Blk:   linearbsyllabary}', "");
Expect(1, 1, '\P{Is_Blk:   linearbsyllabary}', "");
Expect(0, 1, '\P{^Is_Blk:   linearbsyllabary}', "");
Expect(1, 65663, '\p{Is_Blk=	_Linear	b syllabary}', "");
Expect(0, 65663, '\p{^Is_Blk=	_Linear	b syllabary}', "");
Expect(0, 65663, '\P{Is_Blk=	_Linear	b syllabary}', "");
Expect(1, 65663, '\P{^Is_Blk=	_Linear	b syllabary}', "");
Expect(0, 1, '\p{Is_Blk=	_Linear	b syllabary}', "");
Expect(1, 1, '\p{^Is_Blk=	_Linear	b syllabary}', "");
Expect(1, 1, '\P{Is_Blk=	_Linear	b syllabary}', "");
Expect(0, 1, '\P{^Is_Blk=	_Linear	b syllabary}', "");
Error('\p{Block= _Enclosed:=CJK LettersAndmonths}');
Error('\P{Block= _Enclosed:=CJK LettersAndmonths}');
Expect(1, 13055, '\p{Block=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^Block=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{Block=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^Block=enclosedcjklettersandmonths}', "");
Expect(0, 12799, '\p{Block=enclosedcjklettersandmonths}', "");
Expect(1, 12799, '\p{^Block=enclosedcjklettersandmonths}', "");
Expect(1, 12799, '\P{Block=enclosedcjklettersandmonths}', "");
Expect(0, 12799, '\P{^Block=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{Block=_ENCLOSEDCJK-Letters_And	Months}', "");
Expect(0, 13055, '\p{^Block=_ENCLOSEDCJK-Letters_And	Months}', "");
Expect(0, 13055, '\P{Block=_ENCLOSEDCJK-Letters_And	Months}', "");
Expect(1, 13055, '\P{^Block=_ENCLOSEDCJK-Letters_And	Months}', "");
Expect(0, 12799, '\p{Block=_ENCLOSEDCJK-Letters_And	Months}', "");
Expect(1, 12799, '\p{^Block=_ENCLOSEDCJK-Letters_And	Months}', "");
Expect(1, 12799, '\P{Block=_ENCLOSEDCJK-Letters_And	Months}', "");
Expect(0, 12799, '\P{^Block=_ENCLOSEDCJK-Letters_And	Months}', "");
Error('\p{Blk=	:=ENCLOSED cjkLetters-and	MONTHS}');
Error('\P{Blk=	:=ENCLOSED cjkLetters-and	MONTHS}');
Expect(1, 13055, '\p{Blk=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^Blk=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{Blk=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^Blk=enclosedcjklettersandmonths}', "");
Expect(0, 12799, '\p{Blk=enclosedcjklettersandmonths}', "");
Expect(1, 12799, '\p{^Blk=enclosedcjklettersandmonths}', "");
Expect(1, 12799, '\P{Blk=enclosedcjklettersandmonths}', "");
Expect(0, 12799, '\P{^Blk=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{Blk=_ENCLOSED_CJK LETTERS	andMONTHS}', "");
Expect(0, 13055, '\p{^Blk=_ENCLOSED_CJK LETTERS	andMONTHS}', "");
Expect(0, 13055, '\P{Blk=_ENCLOSED_CJK LETTERS	andMONTHS}', "");
Expect(1, 13055, '\P{^Blk=_ENCLOSED_CJK LETTERS	andMONTHS}', "");
Expect(0, 12799, '\p{Blk=_ENCLOSED_CJK LETTERS	andMONTHS}', "");
Expect(1, 12799, '\p{^Blk=_ENCLOSED_CJK LETTERS	andMONTHS}', "");
Expect(1, 12799, '\P{Blk=_ENCLOSED_CJK LETTERS	andMONTHS}', "");
Expect(0, 12799, '\P{^Blk=_ENCLOSED_CJK LETTERS	andMONTHS}', "");
Error('\p{Is_Block= _enclosed CJK:=LETTERS-AND	Months}');
Error('\P{Is_Block= _enclosed CJK:=LETTERS-AND	Months}');
Expect(1, 13055, '\p{Is_Block=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^Is_Block=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{Is_Block=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^Is_Block=enclosedcjklettersandmonths}', "");
Expect(0, 12799, '\p{Is_Block=enclosedcjklettersandmonths}', "");
Expect(1, 12799, '\p{^Is_Block=enclosedcjklettersandmonths}', "");
Expect(1, 12799, '\P{Is_Block=enclosedcjklettersandmonths}', "");
Expect(0, 12799, '\P{^Is_Block=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{Is_Block=	_ENCLOSED_CJK_Letters-AND	months}', "");
Expect(0, 13055, '\p{^Is_Block=	_ENCLOSED_CJK_Letters-AND	months}', "");
Expect(0, 13055, '\P{Is_Block=	_ENCLOSED_CJK_Letters-AND	months}', "");
Expect(1, 13055, '\P{^Is_Block=	_ENCLOSED_CJK_Letters-AND	months}', "");
Expect(0, 12799, '\p{Is_Block=	_ENCLOSED_CJK_Letters-AND	months}', "");
Expect(1, 12799, '\p{^Is_Block=	_ENCLOSED_CJK_Letters-AND	months}', "");
Expect(1, 12799, '\P{Is_Block=	_ENCLOSED_CJK_Letters-AND	months}', "");
Expect(0, 12799, '\P{^Is_Block=	_ENCLOSED_CJK_Letters-AND	months}', "");
Error('\p{Is_Blk=-/a/ENCLOSED	CJK letters and_Months}');
Error('\P{Is_Blk=-/a/ENCLOSED	CJK letters and_Months}');
Expect(1, 13055, '\p{Is_Blk=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^Is_Blk=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{Is_Blk=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^Is_Blk=enclosedcjklettersandmonths}', "");
Expect(0, 12799, '\p{Is_Blk=enclosedcjklettersandmonths}', "");
Expect(1, 12799, '\p{^Is_Blk=enclosedcjklettersandmonths}', "");
Expect(1, 12799, '\P{Is_Blk=enclosedcjklettersandmonths}', "");
Expect(0, 12799, '\P{^Is_Blk=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{Is_Blk=-enclosed CJKletters_AND_Months}', "");
Expect(0, 13055, '\p{^Is_Blk=-enclosed CJKletters_AND_Months}', "");
Expect(0, 13055, '\P{Is_Blk=-enclosed CJKletters_AND_Months}', "");
Expect(1, 13055, '\P{^Is_Blk=-enclosed CJKletters_AND_Months}', "");
Expect(0, 12799, '\p{Is_Blk=-enclosed CJKletters_AND_Months}', "");
Expect(1, 12799, '\p{^Is_Blk=-enclosed CJKletters_AND_Months}', "");
Expect(1, 12799, '\P{Is_Blk=-enclosed CJKletters_AND_Months}', "");
Expect(0, 12799, '\P{^Is_Blk=-enclosed CJKletters_AND_Months}', "");
Error('\p{Block=:=COMBININGDiacriticalmarkssupplement}');
Error('\P{Block=:=COMBININGDiacriticalmarkssupplement}');
Expect(1, 7679, '\p{Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\p{Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\p{^Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\P{Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\P{^Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{Block=-	Combining_Diacritical-marks Supplement}', "");
Expect(0, 7679, '\p{^Block=-	Combining_Diacritical-marks Supplement}', "");
Expect(0, 7679, '\P{Block=-	Combining_Diacritical-marks Supplement}', "");
Expect(1, 7679, '\P{^Block=-	Combining_Diacritical-marks Supplement}', "");
Expect(0, 7615, '\p{Block=-	Combining_Diacritical-marks Supplement}', "");
Expect(1, 7615, '\p{^Block=-	Combining_Diacritical-marks Supplement}', "");
Expect(1, 7615, '\P{Block=-	Combining_Diacritical-marks Supplement}', "");
Expect(0, 7615, '\P{^Block=-	Combining_Diacritical-marks Supplement}', "");
Error('\p{Blk= /a/Combining-diacriticalMARKS_Supplement}');
Error('\P{Blk= /a/Combining-diacriticalMARKS_Supplement}');
Expect(1, 7679, '\p{Blk=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^Blk=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{Blk=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^Blk=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\p{Blk=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\p{^Blk=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\P{Blk=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\P{^Blk=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{Blk=_-Combining_diacritical marksSupplement}', "");
Expect(0, 7679, '\p{^Blk=_-Combining_diacritical marksSupplement}', "");
Expect(0, 7679, '\P{Blk=_-Combining_diacritical marksSupplement}', "");
Expect(1, 7679, '\P{^Blk=_-Combining_diacritical marksSupplement}', "");
Expect(0, 7615, '\p{Blk=_-Combining_diacritical marksSupplement}', "");
Expect(1, 7615, '\p{^Blk=_-Combining_diacritical marksSupplement}', "");
Expect(1, 7615, '\P{Blk=_-Combining_diacritical marksSupplement}', "");
Expect(0, 7615, '\P{^Blk=_-Combining_diacritical marksSupplement}', "");
Error('\p{Is_Block=/a/COMBINING-Diacritical-MARKS-Supplement}');
Error('\P{Is_Block=/a/COMBINING-Diacritical-MARKS-Supplement}');
Expect(1, 7679, '\p{Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\p{Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\p{^Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\P{Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\P{^Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{Is_Block= 	Combining_DIACRITICAL-marks_Supplement}', "");
Expect(0, 7679, '\p{^Is_Block= 	Combining_DIACRITICAL-marks_Supplement}', "");
Expect(0, 7679, '\P{Is_Block= 	Combining_DIACRITICAL-marks_Supplement}', "");
Expect(1, 7679, '\P{^Is_Block= 	Combining_DIACRITICAL-marks_Supplement}', "");
Expect(0, 7615, '\p{Is_Block= 	Combining_DIACRITICAL-marks_Supplement}', "");
Expect(1, 7615, '\p{^Is_Block= 	Combining_DIACRITICAL-marks_Supplement}', "");
Expect(1, 7615, '\P{Is_Block= 	Combining_DIACRITICAL-marks_Supplement}', "");
Expect(0, 7615, '\P{^Is_Block= 	Combining_DIACRITICAL-marks_Supplement}', "");
Error('\p{Is_Blk=_:=COMBINING	Diacritical-Markssupplement}');
Error('\P{Is_Blk=_:=COMBINING	Diacritical-Markssupplement}');
Expect(1, 7679, '\p{Is_Blk=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^Is_Blk=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{Is_Blk=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^Is_Blk=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\p{Is_Blk=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\p{^Is_Blk=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\P{Is_Blk=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\P{^Is_Blk=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{Is_Blk=_-Combining DIACRITICAL_MARKS	Supplement}', "");
Expect(0, 7679, '\p{^Is_Blk=_-Combining DIACRITICAL_MARKS	Supplement}', "");
Expect(0, 7679, '\P{Is_Blk=_-Combining DIACRITICAL_MARKS	Supplement}', "");
Expect(1, 7679, '\P{^Is_Blk=_-Combining DIACRITICAL_MARKS	Supplement}', "");
Expect(0, 7615, '\p{Is_Blk=_-Combining DIACRITICAL_MARKS	Supplement}', "");
Expect(1, 7615, '\p{^Is_Blk=_-Combining DIACRITICAL_MARKS	Supplement}', "");
Expect(1, 7615, '\P{Is_Blk=_-Combining DIACRITICAL_MARKS	Supplement}', "");
Expect(0, 7615, '\P{^Is_Blk=_-Combining DIACRITICAL_MARKS	Supplement}', "");
Error('\p{Block=:=Bopomofo}');
Error('\P{Block=:=Bopomofo}');
Expect(1, 12591, '\p{Block:bopomofo}', "");
Expect(0, 12591, '\p{^Block:bopomofo}', "");
Expect(0, 12591, '\P{Block:bopomofo}', "");
Expect(1, 12591, '\P{^Block:bopomofo}', "");
Expect(0, 12543, '\p{Block:bopomofo}', "");
Expect(1, 12543, '\p{^Block:bopomofo}', "");
Expect(1, 12543, '\P{Block:bopomofo}', "");
Expect(0, 12543, '\P{^Block:bopomofo}', "");
Expect(1, 12591, '\p{Block= BOPOMOFO}', "");
Expect(0, 12591, '\p{^Block= BOPOMOFO}', "");
Expect(0, 12591, '\P{Block= BOPOMOFO}', "");
Expect(1, 12591, '\P{^Block= BOPOMOFO}', "");
Expect(0, 12543, '\p{Block= BOPOMOFO}', "");
Expect(1, 12543, '\p{^Block= BOPOMOFO}', "");
Expect(1, 12543, '\P{Block= BOPOMOFO}', "");
Expect(0, 12543, '\P{^Block= BOPOMOFO}', "");
Error('\p{Blk=:= BOPOMOFO}');
Error('\P{Blk=:= BOPOMOFO}');
Expect(1, 12591, '\p{Blk=bopomofo}', "");
Expect(0, 12591, '\p{^Blk=bopomofo}', "");
Expect(0, 12591, '\P{Blk=bopomofo}', "");
Expect(1, 12591, '\P{^Blk=bopomofo}', "");
Expect(0, 12543, '\p{Blk=bopomofo}', "");
Expect(1, 12543, '\p{^Blk=bopomofo}', "");
Expect(1, 12543, '\P{Blk=bopomofo}', "");
Expect(0, 12543, '\P{^Blk=bopomofo}', "");
Expect(1, 12591, '\p{Blk=- Bopomofo}', "");
Expect(0, 12591, '\p{^Blk=- Bopomofo}', "");
Expect(0, 12591, '\P{Blk=- Bopomofo}', "");
Expect(1, 12591, '\P{^Blk=- Bopomofo}', "");
Expect(0, 12543, '\p{Blk=- Bopomofo}', "");
Expect(1, 12543, '\p{^Blk=- Bopomofo}', "");
Expect(1, 12543, '\P{Blk=- Bopomofo}', "");
Expect(0, 12543, '\P{^Blk=- Bopomofo}', "");
Error('\p{Is_Block=--bopomofo/a/}');
Error('\P{Is_Block=--bopomofo/a/}');
Expect(1, 12591, '\p{Is_Block=bopomofo}', "");
Expect(0, 12591, '\p{^Is_Block=bopomofo}', "");
Expect(0, 12591, '\P{Is_Block=bopomofo}', "");
Expect(1, 12591, '\P{^Is_Block=bopomofo}', "");
Expect(0, 12543, '\p{Is_Block=bopomofo}', "");
Expect(1, 12543, '\p{^Is_Block=bopomofo}', "");
Expect(1, 12543, '\P{Is_Block=bopomofo}', "");
Expect(0, 12543, '\P{^Is_Block=bopomofo}', "");
Expect(1, 12591, '\p{Is_Block=_Bopomofo}', "");
Expect(0, 12591, '\p{^Is_Block=_Bopomofo}', "");
Expect(0, 12591, '\P{Is_Block=_Bopomofo}', "");
Expect(1, 12591, '\P{^Is_Block=_Bopomofo}', "");
Expect(0, 12543, '\p{Is_Block=_Bopomofo}', "");
Expect(1, 12543, '\p{^Is_Block=_Bopomofo}', "");
Expect(1, 12543, '\P{Is_Block=_Bopomofo}', "");
Expect(0, 12543, '\P{^Is_Block=_Bopomofo}', "");
Error('\p{Is_Blk=:=--Bopomofo}');
Error('\P{Is_Blk=:=--Bopomofo}');
Expect(1, 12591, '\p{Is_Blk=bopomofo}', "");
Expect(0, 12591, '\p{^Is_Blk=bopomofo}', "");
Expect(0, 12591, '\P{Is_Blk=bopomofo}', "");
Expect(1, 12591, '\P{^Is_Blk=bopomofo}', "");
Expect(0, 12543, '\p{Is_Blk=bopomofo}', "");
Expect(1, 12543, '\p{^Is_Blk=bopomofo}', "");
Expect(1, 12543, '\P{Is_Blk=bopomofo}', "");
Expect(0, 12543, '\P{^Is_Blk=bopomofo}', "");
Expect(1, 12591, '\p{Is_Blk=	 Bopomofo}', "");
Expect(0, 12591, '\p{^Is_Blk=	 Bopomofo}', "");
Expect(0, 12591, '\P{Is_Blk=	 Bopomofo}', "");
Expect(1, 12591, '\P{^Is_Blk=	 Bopomofo}', "");
Expect(0, 12543, '\p{Is_Blk=	 Bopomofo}', "");
Expect(1, 12543, '\p{^Is_Blk=	 Bopomofo}', "");
Expect(1, 12543, '\P{Is_Blk=	 Bopomofo}', "");
Expect(0, 12543, '\P{^Is_Blk=	 Bopomofo}', "");
Error('\p{Block=_Miscellaneous_technical:=}');
Error('\P{Block=_Miscellaneous_technical:=}');
Expect(1, 9215, '\p{Block=miscellaneoustechnical}', "");
Expect(0, 9215, '\p{^Block=miscellaneoustechnical}', "");
Expect(0, 9215, '\P{Block=miscellaneoustechnical}', "");
Expect(1, 9215, '\P{^Block=miscellaneoustechnical}', "");
Expect(0, 8959, '\p{Block=miscellaneoustechnical}', "");
Expect(1, 8959, '\p{^Block=miscellaneoustechnical}', "");
Expect(1, 8959, '\P{Block=miscellaneoustechnical}', "");
Expect(0, 8959, '\P{^Block=miscellaneoustechnical}', "");
Expect(1, 9215, '\p{Block=-	Miscellaneous TECHNICAL}', "");
Expect(0, 9215, '\p{^Block=-	Miscellaneous TECHNICAL}', "");
Expect(0, 9215, '\P{Block=-	Miscellaneous TECHNICAL}', "");
Expect(1, 9215, '\P{^Block=-	Miscellaneous TECHNICAL}', "");
Expect(0, 8959, '\p{Block=-	Miscellaneous TECHNICAL}', "");
Expect(1, 8959, '\p{^Block=-	Miscellaneous TECHNICAL}', "");
Expect(1, 8959, '\P{Block=-	Miscellaneous TECHNICAL}', "");
Expect(0, 8959, '\P{^Block=-	Miscellaneous TECHNICAL}', "");
Error('\p{Blk=/a/-_MISCELLANEOUSTechnical}');
Error('\P{Blk=/a/-_MISCELLANEOUSTechnical}');
Expect(1, 9215, '\p{Blk=miscellaneoustechnical}', "");
Expect(0, 9215, '\p{^Blk=miscellaneoustechnical}', "");
Expect(0, 9215, '\P{Blk=miscellaneoustechnical}', "");
Expect(1, 9215, '\P{^Blk=miscellaneoustechnical}', "");
Expect(0, 8959, '\p{Blk=miscellaneoustechnical}', "");
Expect(1, 8959, '\p{^Blk=miscellaneoustechnical}', "");
Expect(1, 8959, '\P{Blk=miscellaneoustechnical}', "");
Expect(0, 8959, '\P{^Blk=miscellaneoustechnical}', "");
Expect(1, 9215, '\p{Blk=- MISCELLANEOUS_technical}', "");
Expect(0, 9215, '\p{^Blk=- MISCELLANEOUS_technical}', "");
Expect(0, 9215, '\P{Blk=- MISCELLANEOUS_technical}', "");
Expect(1, 9215, '\P{^Blk=- MISCELLANEOUS_technical}', "");
Expect(0, 8959, '\p{Blk=- MISCELLANEOUS_technical}', "");
Expect(1, 8959, '\p{^Blk=- MISCELLANEOUS_technical}', "");
Expect(1, 8959, '\P{Blk=- MISCELLANEOUS_technical}', "");
Expect(0, 8959, '\P{^Blk=- MISCELLANEOUS_technical}', "");
Error('\p{Is_Block=/a/_-MiscellaneousTechnical}');
Error('\P{Is_Block=/a/_-MiscellaneousTechnical}');
Expect(1, 9215, '\p{Is_Block=miscellaneoustechnical}', "");
Expect(0, 9215, '\p{^Is_Block=miscellaneoustechnical}', "");
Expect(0, 9215, '\P{Is_Block=miscellaneoustechnical}', "");
Expect(1, 9215, '\P{^Is_Block=miscellaneoustechnical}', "");
Expect(0, 8959, '\p{Is_Block=miscellaneoustechnical}', "");
Expect(1, 8959, '\p{^Is_Block=miscellaneoustechnical}', "");
Expect(1, 8959, '\P{Is_Block=miscellaneoustechnical}', "");
Expect(0, 8959, '\P{^Is_Block=miscellaneoustechnical}', "");
Expect(1, 9215, '\p{Is_Block=	miscellaneous	Technical}', "");
Expect(0, 9215, '\p{^Is_Block=	miscellaneous	Technical}', "");
Expect(0, 9215, '\P{Is_Block=	miscellaneous	Technical}', "");
Expect(1, 9215, '\P{^Is_Block=	miscellaneous	Technical}', "");
Expect(0, 8959, '\p{Is_Block=	miscellaneous	Technical}', "");
Expect(1, 8959, '\p{^Is_Block=	miscellaneous	Technical}', "");
Expect(1, 8959, '\P{Is_Block=	miscellaneous	Technical}', "");
Expect(0, 8959, '\P{^Is_Block=	miscellaneous	Technical}', "");
Error('\p{Is_Blk:-Miscellaneous:=TECHNICAL}');
Error('\P{Is_Blk:-Miscellaneous:=TECHNICAL}');
Expect(1, 9215, '\p{Is_Blk=miscellaneoustechnical}', "");
Expect(0, 9215, '\p{^Is_Blk=miscellaneoustechnical}', "");
Expect(0, 9215, '\P{Is_Blk=miscellaneoustechnical}', "");
Expect(1, 9215, '\P{^Is_Blk=miscellaneoustechnical}', "");
Expect(0, 8959, '\p{Is_Blk=miscellaneoustechnical}', "");
Expect(1, 8959, '\p{^Is_Blk=miscellaneoustechnical}', "");
Expect(1, 8959, '\P{Is_Blk=miscellaneoustechnical}', "");
Expect(0, 8959, '\P{^Is_Blk=miscellaneoustechnical}', "");
Expect(1, 9215, '\p{Is_Blk=__miscellaneous Technical}', "");
Expect(0, 9215, '\p{^Is_Blk=__miscellaneous Technical}', "");
Expect(0, 9215, '\P{Is_Blk=__miscellaneous Technical}', "");
Expect(1, 9215, '\P{^Is_Blk=__miscellaneous Technical}', "");
Expect(0, 8959, '\p{Is_Blk=__miscellaneous Technical}', "");
Expect(1, 8959, '\p{^Is_Blk=__miscellaneous Technical}', "");
Expect(1, 8959, '\P{Is_Blk=__miscellaneous Technical}', "");
Expect(0, 8959, '\P{^Is_Blk=__miscellaneous Technical}', "");
Error('\p{Block=-:=Osmanya}');
Error('\P{Block=-:=Osmanya}');
Expect(1, 66735, '\p{Block=osmanya}', "");
Expect(0, 66735, '\p{^Block=osmanya}', "");
Expect(0, 66735, '\P{Block=osmanya}', "");
Expect(1, 66735, '\P{^Block=osmanya}', "");
Expect(0, 66687, '\p{Block=osmanya}', "");
Expect(1, 66687, '\p{^Block=osmanya}', "");
Expect(1, 66687, '\P{Block=osmanya}', "");
Expect(0, 66687, '\P{^Block=osmanya}', "");
Expect(1, 66735, '\p{Block=-Osmanya}', "");
Expect(0, 66735, '\p{^Block=-Osmanya}', "");
Expect(0, 66735, '\P{Block=-Osmanya}', "");
Expect(1, 66735, '\P{^Block=-Osmanya}', "");
Expect(0, 66687, '\p{Block=-Osmanya}', "");
Expect(1, 66687, '\p{^Block=-Osmanya}', "");
Expect(1, 66687, '\P{Block=-Osmanya}', "");
Expect(0, 66687, '\P{^Block=-Osmanya}', "");
Error('\p{Blk=/a/Osmanya}');
Error('\P{Blk=/a/Osmanya}');
Expect(1, 66735, '\p{Blk=osmanya}', "");
Expect(0, 66735, '\p{^Blk=osmanya}', "");
Expect(0, 66735, '\P{Blk=osmanya}', "");
Expect(1, 66735, '\P{^Blk=osmanya}', "");
Expect(0, 66687, '\p{Blk=osmanya}', "");
Expect(1, 66687, '\p{^Blk=osmanya}', "");
Expect(1, 66687, '\P{Blk=osmanya}', "");
Expect(0, 66687, '\P{^Blk=osmanya}', "");
Expect(1, 66735, '\p{Blk=_-osmanya}', "");
Expect(0, 66735, '\p{^Blk=_-osmanya}', "");
Expect(0, 66735, '\P{Blk=_-osmanya}', "");
Expect(1, 66735, '\P{^Blk=_-osmanya}', "");
Expect(0, 66687, '\p{Blk=_-osmanya}', "");
Expect(1, 66687, '\p{^Blk=_-osmanya}', "");
Expect(1, 66687, '\P{Blk=_-osmanya}', "");
Expect(0, 66687, '\P{^Blk=_-osmanya}', "");
Error('\p{Is_Block= -OSMANYA/a/}');
Error('\P{Is_Block= -OSMANYA/a/}');
Expect(1, 66735, '\p{Is_Block=osmanya}', "");
Expect(0, 66735, '\p{^Is_Block=osmanya}', "");
Expect(0, 66735, '\P{Is_Block=osmanya}', "");
Expect(1, 66735, '\P{^Is_Block=osmanya}', "");
Expect(0, 66687, '\p{Is_Block=osmanya}', "");
Expect(1, 66687, '\p{^Is_Block=osmanya}', "");
Expect(1, 66687, '\P{Is_Block=osmanya}', "");
Expect(0, 66687, '\P{^Is_Block=osmanya}', "");
Expect(1, 66735, '\p{Is_Block=	_OSMANYA}', "");
Expect(0, 66735, '\p{^Is_Block=	_OSMANYA}', "");
Expect(0, 66735, '\P{Is_Block=	_OSMANYA}', "");
Expect(1, 66735, '\P{^Is_Block=	_OSMANYA}', "");
Expect(0, 66687, '\p{Is_Block=	_OSMANYA}', "");
Expect(1, 66687, '\p{^Is_Block=	_OSMANYA}', "");
Expect(1, 66687, '\P{Is_Block=	_OSMANYA}', "");
Expect(0, 66687, '\P{^Is_Block=	_OSMANYA}', "");
Error('\p{Is_Blk=/a/	_Osmanya}');
Error('\P{Is_Blk=/a/	_Osmanya}');
Expect(1, 66735, '\p{Is_Blk=osmanya}', "");
Expect(0, 66735, '\p{^Is_Blk=osmanya}', "");
Expect(0, 66735, '\P{Is_Blk=osmanya}', "");
Expect(1, 66735, '\P{^Is_Blk=osmanya}', "");
Expect(0, 66687, '\p{Is_Blk=osmanya}', "");
Expect(1, 66687, '\p{^Is_Blk=osmanya}', "");
Expect(1, 66687, '\P{Is_Blk=osmanya}', "");
Expect(0, 66687, '\P{^Is_Blk=osmanya}', "");
Expect(1, 66735, '\p{Is_Blk= _Osmanya}', "");
Expect(0, 66735, '\p{^Is_Blk= _Osmanya}', "");
Expect(0, 66735, '\P{Is_Blk= _Osmanya}', "");
Expect(1, 66735, '\P{^Is_Blk= _Osmanya}', "");
Expect(0, 66687, '\p{Is_Blk= _Osmanya}', "");
Expect(1, 66687, '\p{^Is_Blk= _Osmanya}', "");
Expect(1, 66687, '\P{Is_Blk= _Osmanya}', "");
Expect(0, 66687, '\P{^Is_Blk= _Osmanya}', "");
Error('\p{Block:   		Mahjong/a/tiles}');
Error('\P{Block:   		Mahjong/a/tiles}');
Expect(1, 127023, '\p{Block=mahjongtiles}', "");
Expect(0, 127023, '\p{^Block=mahjongtiles}', "");
Expect(0, 127023, '\P{Block=mahjongtiles}', "");
Expect(1, 127023, '\P{^Block=mahjongtiles}', "");
Expect(0, 126975, '\p{Block=mahjongtiles}', "");
Expect(1, 126975, '\p{^Block=mahjongtiles}', "");
Expect(1, 126975, '\P{Block=mahjongtiles}', "");
Expect(0, 126975, '\P{^Block=mahjongtiles}', "");
Expect(1, 127023, '\p{Block=_ Mahjong Tiles}', "");
Expect(0, 127023, '\p{^Block=_ Mahjong Tiles}', "");
Expect(0, 127023, '\P{Block=_ Mahjong Tiles}', "");
Expect(1, 127023, '\P{^Block=_ Mahjong Tiles}', "");
Expect(0, 126975, '\p{Block=_ Mahjong Tiles}', "");
Expect(1, 126975, '\p{^Block=_ Mahjong Tiles}', "");
Expect(1, 126975, '\P{Block=_ Mahjong Tiles}', "");
Expect(0, 126975, '\P{^Block=_ Mahjong Tiles}', "");
Error('\p{Blk=:=	 mahjong Tiles}');
Error('\P{Blk=:=	 mahjong Tiles}');
Expect(1, 127023, '\p{Blk=mahjongtiles}', "");
Expect(0, 127023, '\p{^Blk=mahjongtiles}', "");
Expect(0, 127023, '\P{Blk=mahjongtiles}', "");
Expect(1, 127023, '\P{^Blk=mahjongtiles}', "");
Expect(0, 126975, '\p{Blk=mahjongtiles}', "");
Expect(1, 126975, '\p{^Blk=mahjongtiles}', "");
Expect(1, 126975, '\P{Blk=mahjongtiles}', "");
Expect(0, 126975, '\P{^Blk=mahjongtiles}', "");
Expect(1, 127023, '\p{Blk= Mahjong Tiles}', "");
Expect(0, 127023, '\p{^Blk= Mahjong Tiles}', "");
Expect(0, 127023, '\P{Blk= Mahjong Tiles}', "");
Expect(1, 127023, '\P{^Blk= Mahjong Tiles}', "");
Expect(0, 126975, '\p{Blk= Mahjong Tiles}', "");
Expect(1, 126975, '\p{^Blk= Mahjong Tiles}', "");
Expect(1, 126975, '\P{Blk= Mahjong Tiles}', "");
Expect(0, 126975, '\P{^Blk= Mahjong Tiles}', "");
Error('\p{Is_Block= :=Mahjong_TILES}');
Error('\P{Is_Block= :=Mahjong_TILES}');
Expect(1, 127023, '\p{Is_Block=mahjongtiles}', "");
Expect(0, 127023, '\p{^Is_Block=mahjongtiles}', "");
Expect(0, 127023, '\P{Is_Block=mahjongtiles}', "");
Expect(1, 127023, '\P{^Is_Block=mahjongtiles}', "");
Expect(0, 126975, '\p{Is_Block=mahjongtiles}', "");
Expect(1, 126975, '\p{^Is_Block=mahjongtiles}', "");
Expect(1, 126975, '\P{Is_Block=mahjongtiles}', "");
Expect(0, 126975, '\P{^Is_Block=mahjongtiles}', "");
Expect(1, 127023, '\p{Is_Block: - MahjongTiles}', "");
Expect(0, 127023, '\p{^Is_Block: - MahjongTiles}', "");
Expect(0, 127023, '\P{Is_Block: - MahjongTiles}', "");
Expect(1, 127023, '\P{^Is_Block: - MahjongTiles}', "");
Expect(0, 126975, '\p{Is_Block: - MahjongTiles}', "");
Expect(1, 126975, '\p{^Is_Block: - MahjongTiles}', "");
Expect(1, 126975, '\P{Is_Block: - MahjongTiles}', "");
Expect(0, 126975, '\P{^Is_Block: - MahjongTiles}', "");
Error('\p{Is_Blk=/a/MAHJONG_Tiles}');
Error('\P{Is_Blk=/a/MAHJONG_Tiles}');
Expect(1, 127023, '\p{Is_Blk:	mahjongtiles}', "");
Expect(0, 127023, '\p{^Is_Blk:	mahjongtiles}', "");
Expect(0, 127023, '\P{Is_Blk:	mahjongtiles}', "");
Expect(1, 127023, '\P{^Is_Blk:	mahjongtiles}', "");
Expect(0, 126975, '\p{Is_Blk:	mahjongtiles}', "");
Expect(1, 126975, '\p{^Is_Blk:	mahjongtiles}', "");
Expect(1, 126975, '\P{Is_Blk:	mahjongtiles}', "");
Expect(0, 126975, '\P{^Is_Blk:	mahjongtiles}', "");
Expect(1, 127023, '\p{Is_Blk=  Mahjongtiles}', "");
Expect(0, 127023, '\p{^Is_Blk=  Mahjongtiles}', "");
Expect(0, 127023, '\P{Is_Blk=  Mahjongtiles}', "");
Expect(1, 127023, '\P{^Is_Blk=  Mahjongtiles}', "");
Expect(0, 126975, '\p{Is_Blk=  Mahjongtiles}', "");
Expect(1, 126975, '\p{^Is_Blk=  Mahjongtiles}', "");
Expect(1, 126975, '\P{Is_Blk=  Mahjongtiles}', "");
Expect(0, 126975, '\P{^Is_Blk=  Mahjongtiles}', "");
Error('\p{Block= :=Arrows}');
Error('\P{Block= :=Arrows}');
Expect(1, 8703, '\p{Block=arrows}', "");
Expect(0, 8703, '\p{^Block=arrows}', "");
Expect(0, 8703, '\P{Block=arrows}', "");
Expect(1, 8703, '\P{^Block=arrows}', "");
Expect(0, 8591, '\p{Block=arrows}', "");
Expect(1, 8591, '\p{^Block=arrows}', "");
Expect(1, 8591, '\P{Block=arrows}', "");
Expect(0, 8591, '\P{^Block=arrows}', "");
Expect(1, 8703, '\p{Block:	_ ARROWS}', "");
Expect(0, 8703, '\p{^Block:	_ ARROWS}', "");
Expect(0, 8703, '\P{Block:	_ ARROWS}', "");
Expect(1, 8703, '\P{^Block:	_ ARROWS}', "");
Expect(0, 8591, '\p{Block:	_ ARROWS}', "");
Expect(1, 8591, '\p{^Block:	_ ARROWS}', "");
Expect(1, 8591, '\P{Block:	_ ARROWS}', "");
Expect(0, 8591, '\P{^Block:	_ ARROWS}', "");
Error('\p{Blk=	/a/ARROWS}');
Error('\P{Blk=	/a/ARROWS}');
Expect(1, 8703, '\p{Blk=arrows}', "");
Expect(0, 8703, '\p{^Blk=arrows}', "");
Expect(0, 8703, '\P{Blk=arrows}', "");
Expect(1, 8703, '\P{^Blk=arrows}', "");
Expect(0, 8591, '\p{Blk=arrows}', "");
Expect(1, 8591, '\p{^Blk=arrows}', "");
Expect(1, 8591, '\P{Blk=arrows}', "");
Expect(0, 8591, '\P{^Blk=arrows}', "");
Expect(1, 8703, '\p{Blk=	_ARROWS}', "");
Expect(0, 8703, '\p{^Blk=	_ARROWS}', "");
Expect(0, 8703, '\P{Blk=	_ARROWS}', "");
Expect(1, 8703, '\P{^Blk=	_ARROWS}', "");
Expect(0, 8591, '\p{Blk=	_ARROWS}', "");
Expect(1, 8591, '\p{^Blk=	_ARROWS}', "");
Expect(1, 8591, '\P{Blk=	_ARROWS}', "");
Expect(0, 8591, '\P{^Blk=	_ARROWS}', "");
Error('\p{Is_Block=-/a/arrows}');
Error('\P{Is_Block=-/a/arrows}');
Expect(1, 8703, '\p{Is_Block=arrows}', "");
Expect(0, 8703, '\p{^Is_Block=arrows}', "");
Expect(0, 8703, '\P{Is_Block=arrows}', "");
Expect(1, 8703, '\P{^Is_Block=arrows}', "");
Expect(0, 8591, '\p{Is_Block=arrows}', "");
Expect(1, 8591, '\p{^Is_Block=arrows}', "");
Expect(1, 8591, '\P{Is_Block=arrows}', "");
Expect(0, 8591, '\P{^Is_Block=arrows}', "");
Expect(1, 8703, '\p{Is_Block=	Arrows}', "");
Expect(0, 8703, '\p{^Is_Block=	Arrows}', "");
Expect(0, 8703, '\P{Is_Block=	Arrows}', "");
Expect(1, 8703, '\P{^Is_Block=	Arrows}', "");
Expect(0, 8591, '\p{Is_Block=	Arrows}', "");
Expect(1, 8591, '\p{^Is_Block=	Arrows}', "");
Expect(1, 8591, '\P{Is_Block=	Arrows}', "");
Expect(0, 8591, '\P{^Is_Block=	Arrows}', "");
Error('\p{Is_Blk= -arrows:=}');
Error('\P{Is_Blk= -arrows:=}');
Expect(1, 8703, '\p{Is_Blk:	arrows}', "");
Expect(0, 8703, '\p{^Is_Blk:	arrows}', "");
Expect(0, 8703, '\P{Is_Blk:	arrows}', "");
Expect(1, 8703, '\P{^Is_Blk:	arrows}', "");
Expect(0, 8591, '\p{Is_Blk:	arrows}', "");
Expect(1, 8591, '\p{^Is_Blk:	arrows}', "");
Expect(1, 8591, '\P{Is_Blk:	arrows}', "");
Expect(0, 8591, '\P{^Is_Blk:	arrows}', "");
Expect(1, 8703, '\p{Is_Blk=_arrows}', "");
Expect(0, 8703, '\p{^Is_Blk=_arrows}', "");
Expect(0, 8703, '\P{Is_Blk=_arrows}', "");
Expect(1, 8703, '\P{^Is_Blk=_arrows}', "");
Expect(0, 8591, '\p{Is_Blk=_arrows}', "");
Expect(1, 8591, '\p{^Is_Blk=_arrows}', "");
Expect(1, 8591, '\P{Is_Blk=_arrows}', "");
Expect(0, 8591, '\P{^Is_Blk=_arrows}', "");
Error('\p{Block=-:=BLOCK elements}');
Error('\P{Block=-:=BLOCK elements}');
Expect(1, 9631, '\p{Block=blockelements}', "");
Expect(0, 9631, '\p{^Block=blockelements}', "");
Expect(0, 9631, '\P{Block=blockelements}', "");
Expect(1, 9631, '\P{^Block=blockelements}', "");
Expect(0, 9599, '\p{Block=blockelements}', "");
Expect(1, 9599, '\p{^Block=blockelements}', "");
Expect(1, 9599, '\P{Block=blockelements}', "");
Expect(0, 9599, '\P{^Block=blockelements}', "");
Expect(1, 9631, '\p{Block=	BLOCKelements}', "");
Expect(0, 9631, '\p{^Block=	BLOCKelements}', "");
Expect(0, 9631, '\P{Block=	BLOCKelements}', "");
Expect(1, 9631, '\P{^Block=	BLOCKelements}', "");
Expect(0, 9599, '\p{Block=	BLOCKelements}', "");
Expect(1, 9599, '\p{^Block=	BLOCKelements}', "");
Expect(1, 9599, '\P{Block=	BLOCKelements}', "");
Expect(0, 9599, '\P{^Block=	BLOCKelements}', "");
Error('\p{Blk=-	BLOCK:=ELEMENTS}');
Error('\P{Blk=-	BLOCK:=ELEMENTS}');
Expect(1, 9631, '\p{Blk=blockelements}', "");
Expect(0, 9631, '\p{^Blk=blockelements}', "");
Expect(0, 9631, '\P{Blk=blockelements}', "");
Expect(1, 9631, '\P{^Blk=blockelements}', "");
Expect(0, 9599, '\p{Blk=blockelements}', "");
Expect(1, 9599, '\p{^Blk=blockelements}', "");
Expect(1, 9599, '\P{Blk=blockelements}', "");
Expect(0, 9599, '\P{^Blk=blockelements}', "");
Expect(1, 9631, '\p{Blk=	_Block-ELEMENTS}', "");
Expect(0, 9631, '\p{^Blk=	_Block-ELEMENTS}', "");
Expect(0, 9631, '\P{Blk=	_Block-ELEMENTS}', "");
Expect(1, 9631, '\P{^Blk=	_Block-ELEMENTS}', "");
Expect(0, 9599, '\p{Blk=	_Block-ELEMENTS}', "");
Expect(1, 9599, '\p{^Blk=	_Block-ELEMENTS}', "");
Expect(1, 9599, '\P{Blk=	_Block-ELEMENTS}', "");
Expect(0, 9599, '\P{^Blk=	_Block-ELEMENTS}', "");
Error('\p{Is_Block:	 /a/BLOCKElements}');
Error('\P{Is_Block:	 /a/BLOCKElements}');
Expect(1, 9631, '\p{Is_Block=blockelements}', "");
Expect(0, 9631, '\p{^Is_Block=blockelements}', "");
Expect(0, 9631, '\P{Is_Block=blockelements}', "");
Expect(1, 9631, '\P{^Is_Block=blockelements}', "");
Expect(0, 9599, '\p{Is_Block=blockelements}', "");
Expect(1, 9599, '\p{^Is_Block=blockelements}', "");
Expect(1, 9599, '\P{Is_Block=blockelements}', "");
Expect(0, 9599, '\P{^Is_Block=blockelements}', "");
Expect(1, 9631, '\p{Is_Block=_block elements}', "");
Expect(0, 9631, '\p{^Is_Block=_block elements}', "");
Expect(0, 9631, '\P{Is_Block=_block elements}', "");
Expect(1, 9631, '\P{^Is_Block=_block elements}', "");
Expect(0, 9599, '\p{Is_Block=_block elements}', "");
Expect(1, 9599, '\p{^Is_Block=_block elements}', "");
Expect(1, 9599, '\P{Is_Block=_block elements}', "");
Expect(0, 9599, '\P{^Is_Block=_block elements}', "");
Error('\p{Is_Blk=	_BLOCK/a/ELEMENTS}');
Error('\P{Is_Blk=	_BLOCK/a/ELEMENTS}');
Expect(1, 9631, '\p{Is_Blk=blockelements}', "");
Expect(0, 9631, '\p{^Is_Blk=blockelements}', "");
Expect(0, 9631, '\P{Is_Blk=blockelements}', "");
Expect(1, 9631, '\P{^Is_Blk=blockelements}', "");
Expect(0, 9599, '\p{Is_Blk=blockelements}', "");
Expect(1, 9599, '\p{^Is_Blk=blockelements}', "");
Expect(1, 9599, '\P{Is_Blk=blockelements}', "");
Expect(0, 9599, '\P{^Is_Blk=blockelements}', "");
Expect(1, 9631, '\p{Is_Blk=-_Block elements}', "");
Expect(0, 9631, '\p{^Is_Blk=-_Block elements}', "");
Expect(0, 9631, '\P{Is_Blk=-_Block elements}', "");
Expect(1, 9631, '\P{^Is_Blk=-_Block elements}', "");
Expect(0, 9599, '\p{Is_Blk=-_Block elements}', "");
Expect(1, 9599, '\p{^Is_Blk=-_Block elements}', "");
Expect(1, 9599, '\P{Is_Blk=-_Block elements}', "");
Expect(0, 9599, '\P{^Is_Blk=-_Block elements}', "");
Error('\p{Block=_:=CJK	strokes}');
Error('\P{Block=_:=CJK	strokes}');
Expect(1, 12783, '\p{Block=cjkstrokes}', "");
Expect(0, 12783, '\p{^Block=cjkstrokes}', "");
Expect(0, 12783, '\P{Block=cjkstrokes}', "");
Expect(1, 12783, '\P{^Block=cjkstrokes}', "");
Expect(0, 12735, '\p{Block=cjkstrokes}', "");
Expect(1, 12735, '\p{^Block=cjkstrokes}', "");
Expect(1, 12735, '\P{Block=cjkstrokes}', "");
Expect(0, 12735, '\P{^Block=cjkstrokes}', "");
Expect(1, 12783, '\p{Block=CJK STROKES}', "");
Expect(0, 12783, '\p{^Block=CJK STROKES}', "");
Expect(0, 12783, '\P{Block=CJK STROKES}', "");
Expect(1, 12783, '\P{^Block=CJK STROKES}', "");
Expect(0, 12735, '\p{Block=CJK STROKES}', "");
Expect(1, 12735, '\p{^Block=CJK STROKES}', "");
Expect(1, 12735, '\P{Block=CJK STROKES}', "");
Expect(0, 12735, '\P{^Block=CJK STROKES}', "");
Error('\p{Blk=:=	CJK-STROKES}');
Error('\P{Blk=:=	CJK-STROKES}');
Expect(1, 12783, '\p{Blk:   cjkstrokes}', "");
Expect(0, 12783, '\p{^Blk:   cjkstrokes}', "");
Expect(0, 12783, '\P{Blk:   cjkstrokes}', "");
Expect(1, 12783, '\P{^Blk:   cjkstrokes}', "");
Expect(0, 12735, '\p{Blk:   cjkstrokes}', "");
Expect(1, 12735, '\p{^Blk:   cjkstrokes}', "");
Expect(1, 12735, '\P{Blk:   cjkstrokes}', "");
Expect(0, 12735, '\P{^Blk:   cjkstrokes}', "");
Expect(1, 12783, '\p{Blk=-_CJK	Strokes}', "");
Expect(0, 12783, '\p{^Blk=-_CJK	Strokes}', "");
Expect(0, 12783, '\P{Blk=-_CJK	Strokes}', "");
Expect(1, 12783, '\P{^Blk=-_CJK	Strokes}', "");
Expect(0, 12735, '\p{Blk=-_CJK	Strokes}', "");
Expect(1, 12735, '\p{^Blk=-_CJK	Strokes}', "");
Expect(1, 12735, '\P{Blk=-_CJK	Strokes}', "");
Expect(0, 12735, '\P{^Blk=-_CJK	Strokes}', "");
Error('\p{Is_Block=/a/-	cjkStrokes}');
Error('\P{Is_Block=/a/-	cjkStrokes}');
Expect(1, 12783, '\p{Is_Block=cjkstrokes}', "");
Expect(0, 12783, '\p{^Is_Block=cjkstrokes}', "");
Expect(0, 12783, '\P{Is_Block=cjkstrokes}', "");
Expect(1, 12783, '\P{^Is_Block=cjkstrokes}', "");
Expect(0, 12735, '\p{Is_Block=cjkstrokes}', "");
Expect(1, 12735, '\p{^Is_Block=cjkstrokes}', "");
Expect(1, 12735, '\P{Is_Block=cjkstrokes}', "");
Expect(0, 12735, '\P{^Is_Block=cjkstrokes}', "");
Expect(1, 12783, '\p{Is_Block=-cjk-strokes}', "");
Expect(0, 12783, '\p{^Is_Block=-cjk-strokes}', "");
Expect(0, 12783, '\P{Is_Block=-cjk-strokes}', "");
Expect(1, 12783, '\P{^Is_Block=-cjk-strokes}', "");
Expect(0, 12735, '\p{Is_Block=-cjk-strokes}', "");
Expect(1, 12735, '\p{^Is_Block=-cjk-strokes}', "");
Expect(1, 12735, '\P{Is_Block=-cjk-strokes}', "");
Expect(0, 12735, '\P{^Is_Block=-cjk-strokes}', "");
Error('\p{Is_Blk=:=_ cjk_Strokes}');
Error('\P{Is_Blk=:=_ cjk_Strokes}');
Expect(1, 12783, '\p{Is_Blk=cjkstrokes}', "");
Expect(0, 12783, '\p{^Is_Blk=cjkstrokes}', "");
Expect(0, 12783, '\P{Is_Blk=cjkstrokes}', "");
Expect(1, 12783, '\P{^Is_Blk=cjkstrokes}', "");
Expect(0, 12735, '\p{Is_Blk=cjkstrokes}', "");
Expect(1, 12735, '\p{^Is_Blk=cjkstrokes}', "");
Expect(1, 12735, '\P{Is_Blk=cjkstrokes}', "");
Expect(0, 12735, '\P{^Is_Blk=cjkstrokes}', "");
Expect(1, 12783, '\p{Is_Blk=-_CJK	STROKES}', "");
Expect(0, 12783, '\p{^Is_Blk=-_CJK	STROKES}', "");
Expect(0, 12783, '\P{Is_Blk=-_CJK	STROKES}', "");
Expect(1, 12783, '\P{^Is_Blk=-_CJK	STROKES}', "");
Expect(0, 12735, '\p{Is_Blk=-_CJK	STROKES}', "");
Expect(1, 12735, '\p{^Is_Blk=-_CJK	STROKES}', "");
Expect(1, 12735, '\P{Is_Blk=-_CJK	STROKES}', "");
Expect(0, 12735, '\P{^Is_Blk=-_CJK	STROKES}', "");
Error('\p{Block= /a/NO_block}');
Error('\P{Block= /a/NO_block}');
Expect(1, 2303, '\p{Block=noblock}', "");
Expect(0, 2303, '\p{^Block=noblock}', "");
Expect(0, 2303, '\P{Block=noblock}', "");
Expect(1, 2303, '\P{^Block=noblock}', "");
Expect(0, 2111, '\p{Block=noblock}', "");
Expect(1, 2111, '\p{^Block=noblock}', "");
Expect(1, 2111, '\P{Block=noblock}', "");
Expect(0, 2111, '\P{^Block=noblock}', "");
Expect(1, 2303, '\p{Block=__NO	BLOCK}', "");
Expect(0, 2303, '\p{^Block=__NO	BLOCK}', "");
Expect(0, 2303, '\P{Block=__NO	BLOCK}', "");
Expect(1, 2303, '\P{^Block=__NO	BLOCK}', "");
Expect(0, 2111, '\p{Block=__NO	BLOCK}', "");
Expect(1, 2111, '\p{^Block=__NO	BLOCK}', "");
Expect(1, 2111, '\P{Block=__NO	BLOCK}', "");
Expect(0, 2111, '\P{^Block=__NO	BLOCK}', "");
Error('\p{Blk=No/a/Block}');
Error('\P{Blk=No/a/Block}');
Expect(1, 2303, '\p{Blk=noblock}', "");
Expect(0, 2303, '\p{^Blk=noblock}', "");
Expect(0, 2303, '\P{Blk=noblock}', "");
Expect(1, 2303, '\P{^Blk=noblock}', "");
Expect(0, 2111, '\p{Blk=noblock}', "");
Expect(1, 2111, '\p{^Blk=noblock}', "");
Expect(1, 2111, '\P{Blk=noblock}', "");
Expect(0, 2111, '\P{^Blk=noblock}', "");
Expect(1, 2303, '\p{Blk= 	No-BLOCK}', "");
Expect(0, 2303, '\p{^Blk= 	No-BLOCK}', "");
Expect(0, 2303, '\P{Blk= 	No-BLOCK}', "");
Expect(1, 2303, '\P{^Blk= 	No-BLOCK}', "");
Expect(0, 2111, '\p{Blk= 	No-BLOCK}', "");
Expect(1, 2111, '\p{^Blk= 	No-BLOCK}', "");
Expect(1, 2111, '\P{Blk= 	No-BLOCK}', "");
Expect(0, 2111, '\P{^Blk= 	No-BLOCK}', "");
Error('\p{Is_Block=/a/_-no	Block}');
Error('\P{Is_Block=/a/_-no	Block}');
Expect(1, 2303, '\p{Is_Block=noblock}', "");
Expect(0, 2303, '\p{^Is_Block=noblock}', "");
Expect(0, 2303, '\P{Is_Block=noblock}', "");
Expect(1, 2303, '\P{^Is_Block=noblock}', "");
Expect(0, 2111, '\p{Is_Block=noblock}', "");
Expect(1, 2111, '\p{^Is_Block=noblock}', "");
Expect(1, 2111, '\P{Is_Block=noblock}', "");
Expect(0, 2111, '\P{^Is_Block=noblock}', "");
Expect(1, 2303, '\p{Is_Block=	 No-BLOCK}', "");
Expect(0, 2303, '\p{^Is_Block=	 No-BLOCK}', "");
Expect(0, 2303, '\P{Is_Block=	 No-BLOCK}', "");
Expect(1, 2303, '\P{^Is_Block=	 No-BLOCK}', "");
Expect(0, 2111, '\p{Is_Block=	 No-BLOCK}', "");
Expect(1, 2111, '\p{^Is_Block=	 No-BLOCK}', "");
Expect(1, 2111, '\P{Is_Block=	 No-BLOCK}', "");
Expect(0, 2111, '\P{^Is_Block=	 No-BLOCK}', "");
Error('\p{Is_Blk=-_No BLOCK/a/}');
Error('\P{Is_Blk=-_No BLOCK/a/}');
Expect(1, 2303, '\p{Is_Blk=noblock}', "");
Expect(0, 2303, '\p{^Is_Blk=noblock}', "");
Expect(0, 2303, '\P{Is_Blk=noblock}', "");
Expect(1, 2303, '\P{^Is_Blk=noblock}', "");
Expect(0, 2111, '\p{Is_Blk=noblock}', "");
Expect(1, 2111, '\p{^Is_Blk=noblock}', "");
Expect(1, 2111, '\P{Is_Blk=noblock}', "");
Expect(0, 2111, '\P{^Is_Blk=noblock}', "");
Expect(1, 2303, '\p{Is_Blk=No-Block}', "");
Expect(0, 2303, '\p{^Is_Blk=No-Block}', "");
Expect(0, 2303, '\P{Is_Blk=No-Block}', "");
Expect(1, 2303, '\P{^Is_Blk=No-Block}', "");
Expect(0, 2111, '\p{Is_Blk=No-Block}', "");
Expect(1, 2111, '\p{^Is_Blk=No-Block}', "");
Expect(1, 2111, '\P{Is_Blk=No-Block}', "");
Expect(0, 2111, '\P{^Is_Blk=No-Block}', "");
Error('\p{Block=-/a/CJK compatibility}');
Error('\P{Block=-/a/CJK compatibility}');
Expect(1, 13311, '\p{Block=cjkcompatibility}', "");
Expect(0, 13311, '\p{^Block=cjkcompatibility}', "");
Expect(0, 13311, '\P{Block=cjkcompatibility}', "");
Expect(1, 13311, '\P{^Block=cjkcompatibility}', "");
Expect(0, 13055, '\p{Block=cjkcompatibility}', "");
Expect(1, 13055, '\p{^Block=cjkcompatibility}', "");
Expect(1, 13055, '\P{Block=cjkcompatibility}', "");
Expect(0, 13055, '\P{^Block=cjkcompatibility}', "");
Expect(1, 13311, '\p{Block=-CJK	COMPATIBILITY}', "");
Expect(0, 13311, '\p{^Block=-CJK	COMPATIBILITY}', "");
Expect(0, 13311, '\P{Block=-CJK	COMPATIBILITY}', "");
Expect(1, 13311, '\P{^Block=-CJK	COMPATIBILITY}', "");
Expect(0, 13055, '\p{Block=-CJK	COMPATIBILITY}', "");
Expect(1, 13055, '\p{^Block=-CJK	COMPATIBILITY}', "");
Expect(1, 13055, '\P{Block=-CJK	COMPATIBILITY}', "");
Expect(0, 13055, '\P{^Block=-CJK	COMPATIBILITY}', "");
Error('\p{Blk=	CJKCOMPATIBILITY/a/}');
Error('\P{Blk=	CJKCOMPATIBILITY/a/}');
Expect(1, 13311, '\p{Blk=cjkcompatibility}', "");
Expect(0, 13311, '\p{^Blk=cjkcompatibility}', "");
Expect(0, 13311, '\P{Blk=cjkcompatibility}', "");
Expect(1, 13311, '\P{^Blk=cjkcompatibility}', "");
Expect(0, 13055, '\p{Blk=cjkcompatibility}', "");
Expect(1, 13055, '\p{^Blk=cjkcompatibility}', "");
Expect(1, 13055, '\P{Blk=cjkcompatibility}', "");
Expect(0, 13055, '\P{^Blk=cjkcompatibility}', "");
Expect(1, 13311, '\p{Blk=--cjk_compatibility}', "");
Expect(0, 13311, '\p{^Blk=--cjk_compatibility}', "");
Expect(0, 13311, '\P{Blk=--cjk_compatibility}', "");
Expect(1, 13311, '\P{^Blk=--cjk_compatibility}', "");
Expect(0, 13055, '\p{Blk=--cjk_compatibility}', "");
Expect(1, 13055, '\p{^Blk=--cjk_compatibility}', "");
Expect(1, 13055, '\P{Blk=--cjk_compatibility}', "");
Expect(0, 13055, '\P{^Blk=--cjk_compatibility}', "");
Error('\p{Is_Block=_CJK-Compatibility/a/}');
Error('\P{Is_Block=_CJK-Compatibility/a/}');
Expect(1, 13311, '\p{Is_Block=cjkcompatibility}', "");
Expect(0, 13311, '\p{^Is_Block=cjkcompatibility}', "");
Expect(0, 13311, '\P{Is_Block=cjkcompatibility}', "");
Expect(1, 13311, '\P{^Is_Block=cjkcompatibility}', "");
Expect(0, 13055, '\p{Is_Block=cjkcompatibility}', "");
Expect(1, 13055, '\p{^Is_Block=cjkcompatibility}', "");
Expect(1, 13055, '\P{Is_Block=cjkcompatibility}', "");
Expect(0, 13055, '\P{^Is_Block=cjkcompatibility}', "");
Expect(1, 13311, '\p{Is_Block=	cjk	compatibility}', "");
Expect(0, 13311, '\p{^Is_Block=	cjk	compatibility}', "");
Expect(0, 13311, '\P{Is_Block=	cjk	compatibility}', "");
Expect(1, 13311, '\P{^Is_Block=	cjk	compatibility}', "");
Expect(0, 13055, '\p{Is_Block=	cjk	compatibility}', "");
Expect(1, 13055, '\p{^Is_Block=	cjk	compatibility}', "");
Expect(1, 13055, '\P{Is_Block=	cjk	compatibility}', "");
Expect(0, 13055, '\P{^Is_Block=	cjk	compatibility}', "");
Error('\p{Is_Blk= /a/CJK_COMPATIBILITY}');
Error('\P{Is_Blk= /a/CJK_COMPATIBILITY}');
Expect(1, 13311, '\p{Is_Blk=cjkcompatibility}', "");
Expect(0, 13311, '\p{^Is_Blk=cjkcompatibility}', "");
Expect(0, 13311, '\P{Is_Blk=cjkcompatibility}', "");
Expect(1, 13311, '\P{^Is_Blk=cjkcompatibility}', "");
Expect(0, 13055, '\p{Is_Blk=cjkcompatibility}', "");
Expect(1, 13055, '\p{^Is_Blk=cjkcompatibility}', "");
Expect(1, 13055, '\P{Is_Blk=cjkcompatibility}', "");
Expect(0, 13055, '\P{^Is_Blk=cjkcompatibility}', "");
Expect(1, 13311, '\p{Is_Blk=-_CJKCompatibility}', "");
Expect(0, 13311, '\p{^Is_Blk=-_CJKCompatibility}', "");
Expect(0, 13311, '\P{Is_Blk=-_CJKCompatibility}', "");
Expect(1, 13311, '\P{^Is_Blk=-_CJKCompatibility}', "");
Expect(0, 13055, '\p{Is_Blk=-_CJKCompatibility}', "");
Expect(1, 13055, '\p{^Is_Blk=-_CJKCompatibility}', "");
Expect(1, 13055, '\P{Is_Blk=-_CJKCompatibility}', "");
Expect(0, 13055, '\P{^Is_Blk=-_CJKCompatibility}', "");
Error('\p{Block=_Vedic:=extensions}');
Error('\P{Block=_Vedic:=extensions}');
Expect(1, 7423, '\p{Block=vedicextensions}', "");
Expect(0, 7423, '\p{^Block=vedicextensions}', "");
Expect(0, 7423, '\P{Block=vedicextensions}', "");
Expect(1, 7423, '\P{^Block=vedicextensions}', "");
Expect(0, 7375, '\p{Block=vedicextensions}', "");
Expect(1, 7375, '\p{^Block=vedicextensions}', "");
Expect(1, 7375, '\P{Block=vedicextensions}', "");
Expect(0, 7375, '\P{^Block=vedicextensions}', "");
Expect(1, 7423, '\p{Block=--VedicExtensions}', "");
Expect(0, 7423, '\p{^Block=--VedicExtensions}', "");
Expect(0, 7423, '\P{Block=--VedicExtensions}', "");
Expect(1, 7423, '\P{^Block=--VedicExtensions}', "");
Expect(0, 7375, '\p{Block=--VedicExtensions}', "");
Expect(1, 7375, '\p{^Block=--VedicExtensions}', "");
Expect(1, 7375, '\P{Block=--VedicExtensions}', "");
Expect(0, 7375, '\P{^Block=--VedicExtensions}', "");
Error('\p{Blk=		Vedic:=Extensions}');
Error('\P{Blk=		Vedic:=Extensions}');
Expect(1, 7423, '\p{Blk=vedicextensions}', "");
Expect(0, 7423, '\p{^Blk=vedicextensions}', "");
Expect(0, 7423, '\P{Blk=vedicextensions}', "");
Expect(1, 7423, '\P{^Blk=vedicextensions}', "");
Expect(0, 7375, '\p{Blk=vedicextensions}', "");
Expect(1, 7375, '\p{^Blk=vedicextensions}', "");
Expect(1, 7375, '\P{Blk=vedicextensions}', "");
Expect(0, 7375, '\P{^Blk=vedicextensions}', "");
Expect(1, 7423, '\p{Blk=_vedic_Extensions}', "");
Expect(0, 7423, '\p{^Blk=_vedic_Extensions}', "");
Expect(0, 7423, '\P{Blk=_vedic_Extensions}', "");
Expect(1, 7423, '\P{^Blk=_vedic_Extensions}', "");
Expect(0, 7375, '\p{Blk=_vedic_Extensions}', "");
Expect(1, 7375, '\p{^Blk=_vedic_Extensions}', "");
Expect(1, 7375, '\P{Blk=_vedic_Extensions}', "");
Expect(0, 7375, '\P{^Blk=_vedic_Extensions}', "");
Error('\p{Is_Block=- vedic:=Extensions}');
Error('\P{Is_Block=- vedic:=Extensions}');
Expect(1, 7423, '\p{Is_Block=vedicextensions}', "");
Expect(0, 7423, '\p{^Is_Block=vedicextensions}', "");
Expect(0, 7423, '\P{Is_Block=vedicextensions}', "");
Expect(1, 7423, '\P{^Is_Block=vedicextensions}', "");
Expect(0, 7375, '\p{Is_Block=vedicextensions}', "");
Expect(1, 7375, '\p{^Is_Block=vedicextensions}', "");
Expect(1, 7375, '\P{Is_Block=vedicextensions}', "");
Expect(0, 7375, '\P{^Is_Block=vedicextensions}', "");
Expect(1, 7423, '\p{Is_Block=	Vedicextensions}', "");
Expect(0, 7423, '\p{^Is_Block=	Vedicextensions}', "");
Expect(0, 7423, '\P{Is_Block=	Vedicextensions}', "");
Expect(1, 7423, '\P{^Is_Block=	Vedicextensions}', "");
Expect(0, 7375, '\p{Is_Block=	Vedicextensions}', "");
Expect(1, 7375, '\p{^Is_Block=	Vedicextensions}', "");
Expect(1, 7375, '\P{Is_Block=	Vedicextensions}', "");
Expect(0, 7375, '\P{^Is_Block=	Vedicextensions}', "");
Error('\p{Is_Blk=:=_Vedic	Extensions}');
Error('\P{Is_Blk=:=_Vedic	Extensions}');
Expect(1, 7423, '\p{Is_Blk=vedicextensions}', "");
Expect(0, 7423, '\p{^Is_Blk=vedicextensions}', "");
Expect(0, 7423, '\P{Is_Blk=vedicextensions}', "");
Expect(1, 7423, '\P{^Is_Blk=vedicextensions}', "");
Expect(0, 7375, '\p{Is_Blk=vedicextensions}', "");
Expect(1, 7375, '\p{^Is_Blk=vedicextensions}', "");
Expect(1, 7375, '\P{Is_Blk=vedicextensions}', "");
Expect(0, 7375, '\P{^Is_Blk=vedicextensions}', "");
Expect(1, 7423, '\p{Is_Blk=_ vedic	extensions}', "");
Expect(0, 7423, '\p{^Is_Blk=_ vedic	extensions}', "");
Expect(0, 7423, '\P{Is_Blk=_ vedic	extensions}', "");
Expect(1, 7423, '\P{^Is_Blk=_ vedic	extensions}', "");
Expect(0, 7375, '\p{Is_Blk=_ vedic	extensions}', "");
Expect(1, 7375, '\p{^Is_Blk=_ vedic	extensions}', "");
Expect(1, 7375, '\P{Is_Blk=_ vedic	extensions}', "");
Expect(0, 7375, '\P{^Is_Blk=_ vedic	extensions}', "");
Error('\p{Block=-/a/TaiViet}');
Error('\P{Block=-/a/TaiViet}');
Expect(1, 43743, '\p{Block=taiviet}', "");
Expect(0, 43743, '\p{^Block=taiviet}', "");
Expect(0, 43743, '\P{Block=taiviet}', "");
Expect(1, 43743, '\P{^Block=taiviet}', "");
Expect(0, 43647, '\p{Block=taiviet}', "");
Expect(1, 43647, '\p{^Block=taiviet}', "");
Expect(1, 43647, '\P{Block=taiviet}', "");
Expect(0, 43647, '\P{^Block=taiviet}', "");
Expect(1, 43743, '\p{Block=	_Tai-VIET}', "");
Expect(0, 43743, '\p{^Block=	_Tai-VIET}', "");
Expect(0, 43743, '\P{Block=	_Tai-VIET}', "");
Expect(1, 43743, '\P{^Block=	_Tai-VIET}', "");
Expect(0, 43647, '\p{Block=	_Tai-VIET}', "");
Expect(1, 43647, '\p{^Block=	_Tai-VIET}', "");
Expect(1, 43647, '\P{Block=	_Tai-VIET}', "");
Expect(0, 43647, '\P{^Block=	_Tai-VIET}', "");
Error('\p{Blk=-:=Tai	Viet}');
Error('\P{Blk=-:=Tai	Viet}');
Expect(1, 43743, '\p{Blk=taiviet}', "");
Expect(0, 43743, '\p{^Blk=taiviet}', "");
Expect(0, 43743, '\P{Blk=taiviet}', "");
Expect(1, 43743, '\P{^Blk=taiviet}', "");
Expect(0, 43647, '\p{Blk=taiviet}', "");
Expect(1, 43647, '\p{^Blk=taiviet}', "");
Expect(1, 43647, '\P{Blk=taiviet}', "");
Expect(0, 43647, '\P{^Blk=taiviet}', "");
Expect(1, 43743, '\p{Blk=-Tai	Viet}', "");
Expect(0, 43743, '\p{^Blk=-Tai	Viet}', "");
Expect(0, 43743, '\P{Blk=-Tai	Viet}', "");
Expect(1, 43743, '\P{^Blk=-Tai	Viet}', "");
Expect(0, 43647, '\p{Blk=-Tai	Viet}', "");
Expect(1, 43647, '\p{^Blk=-Tai	Viet}', "");
Expect(1, 43647, '\P{Blk=-Tai	Viet}', "");
Expect(0, 43647, '\P{^Blk=-Tai	Viet}', "");
Error('\p{Is_Block= /a/tai_Viet}');
Error('\P{Is_Block= /a/tai_Viet}');
Expect(1, 43743, '\p{Is_Block=taiviet}', "");
Expect(0, 43743, '\p{^Is_Block=taiviet}', "");
Expect(0, 43743, '\P{Is_Block=taiviet}', "");
Expect(1, 43743, '\P{^Is_Block=taiviet}', "");
Expect(0, 43647, '\p{Is_Block=taiviet}', "");
Expect(1, 43647, '\p{^Is_Block=taiviet}', "");
Expect(1, 43647, '\P{Is_Block=taiviet}', "");
Expect(0, 43647, '\P{^Is_Block=taiviet}', "");
Expect(1, 43743, '\p{Is_Block= _Tai	viet}', "");
Expect(0, 43743, '\p{^Is_Block= _Tai	viet}', "");
Expect(0, 43743, '\P{Is_Block= _Tai	viet}', "");
Expect(1, 43743, '\P{^Is_Block= _Tai	viet}', "");
Expect(0, 43647, '\p{Is_Block= _Tai	viet}', "");
Expect(1, 43647, '\p{^Is_Block= _Tai	viet}', "");
Expect(1, 43647, '\P{Is_Block= _Tai	viet}', "");
Expect(0, 43647, '\P{^Is_Block= _Tai	viet}', "");
Error('\p{Is_Blk=/a/__Tai	Viet}');
Error('\P{Is_Blk=/a/__Tai	Viet}');
Expect(1, 43743, '\p{Is_Blk=taiviet}', "");
Expect(0, 43743, '\p{^Is_Blk=taiviet}', "");
Expect(0, 43743, '\P{Is_Blk=taiviet}', "");
Expect(1, 43743, '\P{^Is_Blk=taiviet}', "");
Expect(0, 43647, '\p{Is_Blk=taiviet}', "");
Expect(1, 43647, '\p{^Is_Blk=taiviet}', "");
Expect(1, 43647, '\P{Is_Blk=taiviet}', "");
Expect(0, 43647, '\P{^Is_Blk=taiviet}', "");
Expect(1, 43743, '\p{Is_Blk=- Tai-Viet}', "");
Expect(0, 43743, '\p{^Is_Blk=- Tai-Viet}', "");
Expect(0, 43743, '\P{Is_Blk=- Tai-Viet}', "");
Expect(1, 43743, '\P{^Is_Blk=- Tai-Viet}', "");
Expect(0, 43647, '\p{Is_Blk=- Tai-Viet}', "");
Expect(1, 43647, '\p{^Is_Blk=- Tai-Viet}', "");
Expect(1, 43647, '\P{Is_Blk=- Tai-Viet}', "");
Expect(0, 43647, '\P{^Is_Blk=- Tai-Viet}', "");
Error('\p{Block= -Cyrillic Extended:=B}');
Error('\P{Block= -Cyrillic Extended:=B}');
Expect(1, 42655, '\p{Block: cyrillicextendedb}', "");
Expect(0, 42655, '\p{^Block: cyrillicextendedb}', "");
Expect(0, 42655, '\P{Block: cyrillicextendedb}', "");
Expect(1, 42655, '\P{^Block: cyrillicextendedb}', "");
Expect(0, 42559, '\p{Block: cyrillicextendedb}', "");
Expect(1, 42559, '\p{^Block: cyrillicextendedb}', "");
Expect(1, 42559, '\P{Block: cyrillicextendedb}', "");
Expect(0, 42559, '\P{^Block: cyrillicextendedb}', "");
Expect(1, 42655, '\p{Block=-CYRILLIC	extendedB}', "");
Expect(0, 42655, '\p{^Block=-CYRILLIC	extendedB}', "");
Expect(0, 42655, '\P{Block=-CYRILLIC	extendedB}', "");
Expect(1, 42655, '\P{^Block=-CYRILLIC	extendedB}', "");
Expect(0, 42559, '\p{Block=-CYRILLIC	extendedB}', "");
Expect(1, 42559, '\p{^Block=-CYRILLIC	extendedB}', "");
Expect(1, 42559, '\P{Block=-CYRILLIC	extendedB}', "");
Expect(0, 42559, '\P{^Block=-CYRILLIC	extendedB}', "");
Error('\p{Blk=/a/Cyrillic	EXTENDED_b}');
Error('\P{Blk=/a/Cyrillic	EXTENDED_b}');
Expect(1, 42655, '\p{Blk=cyrillicextendedb}', "");
Expect(0, 42655, '\p{^Blk=cyrillicextendedb}', "");
Expect(0, 42655, '\P{Blk=cyrillicextendedb}', "");
Expect(1, 42655, '\P{^Blk=cyrillicextendedb}', "");
Expect(0, 42559, '\p{Blk=cyrillicextendedb}', "");
Expect(1, 42559, '\p{^Blk=cyrillicextendedb}', "");
Expect(1, 42559, '\P{Blk=cyrillicextendedb}', "");
Expect(0, 42559, '\P{^Blk=cyrillicextendedb}', "");
Expect(1, 42655, '\p{Blk=__CyrillicextendedB}', "");
Expect(0, 42655, '\p{^Blk=__CyrillicextendedB}', "");
Expect(0, 42655, '\P{Blk=__CyrillicextendedB}', "");
Expect(1, 42655, '\P{^Blk=__CyrillicextendedB}', "");
Expect(0, 42559, '\p{Blk=__CyrillicextendedB}', "");
Expect(1, 42559, '\p{^Blk=__CyrillicextendedB}', "");
Expect(1, 42559, '\P{Blk=__CyrillicextendedB}', "");
Expect(0, 42559, '\P{^Blk=__CyrillicextendedB}', "");
Error('\p{Is_Block=/a/cyrillic-extended	B}');
Error('\P{Is_Block=/a/cyrillic-extended	B}');
Expect(1, 42655, '\p{Is_Block=cyrillicextendedb}', "");
Expect(0, 42655, '\p{^Is_Block=cyrillicextendedb}', "");
Expect(0, 42655, '\P{Is_Block=cyrillicextendedb}', "");
Expect(1, 42655, '\P{^Is_Block=cyrillicextendedb}', "");
Expect(0, 42559, '\p{Is_Block=cyrillicextendedb}', "");
Expect(1, 42559, '\p{^Is_Block=cyrillicextendedb}', "");
Expect(1, 42559, '\P{Is_Block=cyrillicextendedb}', "");
Expect(0, 42559, '\P{^Is_Block=cyrillicextendedb}', "");
Expect(1, 42655, '\p{Is_Block= -Cyrillic	Extended B}', "");
Expect(0, 42655, '\p{^Is_Block= -Cyrillic	Extended B}', "");
Expect(0, 42655, '\P{Is_Block= -Cyrillic	Extended B}', "");
Expect(1, 42655, '\P{^Is_Block= -Cyrillic	Extended B}', "");
Expect(0, 42559, '\p{Is_Block= -Cyrillic	Extended B}', "");
Expect(1, 42559, '\p{^Is_Block= -Cyrillic	Extended B}', "");
Expect(1, 42559, '\P{Is_Block= -Cyrillic	Extended B}', "");
Expect(0, 42559, '\P{^Is_Block= -Cyrillic	Extended B}', "");
Error('\p{Is_Blk=	_Cyrillic_Extended:=b}');
Error('\P{Is_Blk=	_Cyrillic_Extended:=b}');
Expect(1, 42655, '\p{Is_Blk=cyrillicextendedb}', "");
Expect(0, 42655, '\p{^Is_Blk=cyrillicextendedb}', "");
Expect(0, 42655, '\P{Is_Blk=cyrillicextendedb}', "");
Expect(1, 42655, '\P{^Is_Blk=cyrillicextendedb}', "");
Expect(0, 42559, '\p{Is_Blk=cyrillicextendedb}', "");
Expect(1, 42559, '\p{^Is_Blk=cyrillicextendedb}', "");
Expect(1, 42559, '\P{Is_Blk=cyrillicextendedb}', "");
Expect(0, 42559, '\P{^Is_Blk=cyrillicextendedb}', "");
Expect(1, 42655, '\p{Is_Blk=_CYRILLICextended	b}', "");
Expect(0, 42655, '\p{^Is_Blk=_CYRILLICextended	b}', "");
Expect(0, 42655, '\P{Is_Blk=_CYRILLICextended	b}', "");
Expect(1, 42655, '\P{^Is_Blk=_CYRILLICextended	b}', "");
Expect(0, 42559, '\p{Is_Blk=_CYRILLICextended	b}', "");
Expect(1, 42559, '\p{^Is_Blk=_CYRILLICextended	b}', "");
Expect(1, 42559, '\P{Is_Blk=_CYRILLICextended	b}', "");
Expect(0, 42559, '\P{^Is_Blk=_CYRILLICextended	b}', "");
Error('\p{Block=_PhoneticEXTENSIONS/a/}');
Error('\P{Block=_PhoneticEXTENSIONS/a/}');
Expect(1, 7551, '\p{Block=phoneticextensions}', "");
Expect(0, 7551, '\p{^Block=phoneticextensions}', "");
Expect(0, 7551, '\P{Block=phoneticextensions}', "");
Expect(1, 7551, '\P{^Block=phoneticextensions}', "");
Expect(0, 7423, '\p{Block=phoneticextensions}', "");
Expect(1, 7423, '\p{^Block=phoneticextensions}', "");
Expect(1, 7423, '\P{Block=phoneticextensions}', "");
Expect(0, 7423, '\P{^Block=phoneticextensions}', "");
Expect(1, 7551, '\p{Block:_PhoneticExtensions}', "");
Expect(0, 7551, '\p{^Block:_PhoneticExtensions}', "");
Expect(0, 7551, '\P{Block:_PhoneticExtensions}', "");
Expect(1, 7551, '\P{^Block:_PhoneticExtensions}', "");
Expect(0, 7423, '\p{Block:_PhoneticExtensions}', "");
Expect(1, 7423, '\p{^Block:_PhoneticExtensions}', "");
Expect(1, 7423, '\P{Block:_PhoneticExtensions}', "");
Expect(0, 7423, '\P{^Block:_PhoneticExtensions}', "");
Error('\p{Blk=	:=PhoneticExtensions}');
Error('\P{Blk=	:=PhoneticExtensions}');
Expect(1, 7551, '\p{Blk=phoneticextensions}', "");
Expect(0, 7551, '\p{^Blk=phoneticextensions}', "");
Expect(0, 7551, '\P{Blk=phoneticextensions}', "");
Expect(1, 7551, '\P{^Blk=phoneticextensions}', "");
Expect(0, 7423, '\p{Blk=phoneticextensions}', "");
Expect(1, 7423, '\p{^Blk=phoneticextensions}', "");
Expect(1, 7423, '\P{Blk=phoneticextensions}', "");
Expect(0, 7423, '\P{^Blk=phoneticextensions}', "");
Expect(1, 7551, '\p{Blk= -PHONETIC_Extensions}', "");
Expect(0, 7551, '\p{^Blk= -PHONETIC_Extensions}', "");
Expect(0, 7551, '\P{Blk= -PHONETIC_Extensions}', "");
Expect(1, 7551, '\P{^Blk= -PHONETIC_Extensions}', "");
Expect(0, 7423, '\p{Blk= -PHONETIC_Extensions}', "");
Expect(1, 7423, '\p{^Blk= -PHONETIC_Extensions}', "");
Expect(1, 7423, '\P{Blk= -PHONETIC_Extensions}', "");
Expect(0, 7423, '\P{^Blk= -PHONETIC_Extensions}', "");
Error('\p{Is_Block=:=--PHONETIC_Extensions}');
Error('\P{Is_Block=:=--PHONETIC_Extensions}');
Expect(1, 7551, '\p{Is_Block=phoneticextensions}', "");
Expect(0, 7551, '\p{^Is_Block=phoneticextensions}', "");
Expect(0, 7551, '\P{Is_Block=phoneticextensions}', "");
Expect(1, 7551, '\P{^Is_Block=phoneticextensions}', "");
Expect(0, 7423, '\p{Is_Block=phoneticextensions}', "");
Expect(1, 7423, '\p{^Is_Block=phoneticextensions}', "");
Expect(1, 7423, '\P{Is_Block=phoneticextensions}', "");
Expect(0, 7423, '\P{^Is_Block=phoneticextensions}', "");
Expect(1, 7551, '\p{Is_Block:PhoneticEXTENSIONS}', "");
Expect(0, 7551, '\p{^Is_Block:PhoneticEXTENSIONS}', "");
Expect(0, 7551, '\P{Is_Block:PhoneticEXTENSIONS}', "");
Expect(1, 7551, '\P{^Is_Block:PhoneticEXTENSIONS}', "");
Expect(0, 7423, '\p{Is_Block:PhoneticEXTENSIONS}', "");
Expect(1, 7423, '\p{^Is_Block:PhoneticEXTENSIONS}', "");
Expect(1, 7423, '\P{Is_Block:PhoneticEXTENSIONS}', "");
Expect(0, 7423, '\P{^Is_Block:PhoneticEXTENSIONS}', "");
Error('\p{Is_Blk=:=--PhoneticExtensions}');
Error('\P{Is_Blk=:=--PhoneticExtensions}');
Expect(1, 7551, '\p{Is_Blk=phoneticextensions}', "");
Expect(0, 7551, '\p{^Is_Blk=phoneticextensions}', "");
Expect(0, 7551, '\P{Is_Blk=phoneticextensions}', "");
Expect(1, 7551, '\P{^Is_Blk=phoneticextensions}', "");
Expect(0, 7423, '\p{Is_Blk=phoneticextensions}', "");
Expect(1, 7423, '\p{^Is_Blk=phoneticextensions}', "");
Expect(1, 7423, '\P{Is_Blk=phoneticextensions}', "");
Expect(0, 7423, '\P{^Is_Blk=phoneticextensions}', "");
Expect(1, 7551, '\p{Is_Blk=- PHONETIC-Extensions}', "");
Expect(0, 7551, '\p{^Is_Blk=- PHONETIC-Extensions}', "");
Expect(0, 7551, '\P{Is_Blk=- PHONETIC-Extensions}', "");
Expect(1, 7551, '\P{^Is_Blk=- PHONETIC-Extensions}', "");
Expect(0, 7423, '\p{Is_Blk=- PHONETIC-Extensions}', "");
Expect(1, 7423, '\p{^Is_Blk=- PHONETIC-Extensions}', "");
Expect(1, 7423, '\P{Is_Blk=- PHONETIC-Extensions}', "");
Expect(0, 7423, '\P{^Is_Blk=- PHONETIC-Extensions}', "");
Error('\p{Block=/a/Tai-Xuan-Jing Symbols}');
Error('\P{Block=/a/Tai-Xuan-Jing Symbols}');
Expect(1, 119647, '\p{Block=taixuanjingsymbols}', "");
Expect(0, 119647, '\p{^Block=taixuanjingsymbols}', "");
Expect(0, 119647, '\P{Block=taixuanjingsymbols}', "");
Expect(1, 119647, '\P{^Block=taixuanjingsymbols}', "");
Expect(0, 119551, '\p{Block=taixuanjingsymbols}', "");
Expect(1, 119551, '\p{^Block=taixuanjingsymbols}', "");
Expect(1, 119551, '\P{Block=taixuanjingsymbols}', "");
Expect(0, 119551, '\P{^Block=taixuanjingsymbols}', "");
Expect(1, 119647, '\p{Block=- Tai-XUAN	Jing_SYMBOLS}', "");
Expect(0, 119647, '\p{^Block=- Tai-XUAN	Jing_SYMBOLS}', "");
Expect(0, 119647, '\P{Block=- Tai-XUAN	Jing_SYMBOLS}', "");
Expect(1, 119647, '\P{^Block=- Tai-XUAN	Jing_SYMBOLS}', "");
Expect(0, 119551, '\p{Block=- Tai-XUAN	Jing_SYMBOLS}', "");
Expect(1, 119551, '\p{^Block=- Tai-XUAN	Jing_SYMBOLS}', "");
Expect(1, 119551, '\P{Block=- Tai-XUAN	Jing_SYMBOLS}', "");
Expect(0, 119551, '\P{^Block=- Tai-XUAN	Jing_SYMBOLS}', "");
Error('\p{Blk=_:=Tai XuanJingSymbols}');
Error('\P{Blk=_:=Tai XuanJingSymbols}');
Expect(1, 119647, '\p{Blk=taixuanjingsymbols}', "");
Expect(0, 119647, '\p{^Blk=taixuanjingsymbols}', "");
Expect(0, 119647, '\P{Blk=taixuanjingsymbols}', "");
Expect(1, 119647, '\P{^Blk=taixuanjingsymbols}', "");
Expect(0, 119551, '\p{Blk=taixuanjingsymbols}', "");
Expect(1, 119551, '\p{^Blk=taixuanjingsymbols}', "");
Expect(1, 119551, '\P{Blk=taixuanjingsymbols}', "");
Expect(0, 119551, '\P{^Blk=taixuanjingsymbols}', "");
Expect(1, 119647, '\p{Blk=-TaiXuan_Jing_SYMBOLS}', "");
Expect(0, 119647, '\p{^Blk=-TaiXuan_Jing_SYMBOLS}', "");
Expect(0, 119647, '\P{Blk=-TaiXuan_Jing_SYMBOLS}', "");
Expect(1, 119647, '\P{^Blk=-TaiXuan_Jing_SYMBOLS}', "");
Expect(0, 119551, '\p{Blk=-TaiXuan_Jing_SYMBOLS}', "");
Expect(1, 119551, '\p{^Blk=-TaiXuan_Jing_SYMBOLS}', "");
Expect(1, 119551, '\P{Blk=-TaiXuan_Jing_SYMBOLS}', "");
Expect(0, 119551, '\P{^Blk=-TaiXuan_Jing_SYMBOLS}', "");
Error('\p{Is_Block= 	Tai:=Xuan JING	Symbols}');
Error('\P{Is_Block= 	Tai:=Xuan JING	Symbols}');
Expect(1, 119647, '\p{Is_Block=taixuanjingsymbols}', "");
Expect(0, 119647, '\p{^Is_Block=taixuanjingsymbols}', "");
Expect(0, 119647, '\P{Is_Block=taixuanjingsymbols}', "");
Expect(1, 119647, '\P{^Is_Block=taixuanjingsymbols}', "");
Expect(0, 119551, '\p{Is_Block=taixuanjingsymbols}', "");
Expect(1, 119551, '\p{^Is_Block=taixuanjingsymbols}', "");
Expect(1, 119551, '\P{Is_Block=taixuanjingsymbols}', "");
Expect(0, 119551, '\P{^Is_Block=taixuanjingsymbols}', "");
Expect(1, 119647, '\p{Is_Block=-	tai	XUAN-JING-symbols}', "");
Expect(0, 119647, '\p{^Is_Block=-	tai	XUAN-JING-symbols}', "");
Expect(0, 119647, '\P{Is_Block=-	tai	XUAN-JING-symbols}', "");
Expect(1, 119647, '\P{^Is_Block=-	tai	XUAN-JING-symbols}', "");
Expect(0, 119551, '\p{Is_Block=-	tai	XUAN-JING-symbols}', "");
Expect(1, 119551, '\p{^Is_Block=-	tai	XUAN-JING-symbols}', "");
Expect(1, 119551, '\P{Is_Block=-	tai	XUAN-JING-symbols}', "");
Expect(0, 119551, '\P{^Is_Block=-	tai	XUAN-JING-symbols}', "");
Error('\p{Is_Blk= /a/Tai-XUAN_Jing_SYMBOLS}');
Error('\P{Is_Blk= /a/Tai-XUAN_Jing_SYMBOLS}');
Expect(1, 119647, '\p{Is_Blk=taixuanjingsymbols}', "");
Expect(0, 119647, '\p{^Is_Blk=taixuanjingsymbols}', "");
Expect(0, 119647, '\P{Is_Blk=taixuanjingsymbols}', "");
Expect(1, 119647, '\P{^Is_Blk=taixuanjingsymbols}', "");
Expect(0, 119551, '\p{Is_Blk=taixuanjingsymbols}', "");
Expect(1, 119551, '\p{^Is_Blk=taixuanjingsymbols}', "");
Expect(1, 119551, '\P{Is_Blk=taixuanjingsymbols}', "");
Expect(0, 119551, '\P{^Is_Blk=taixuanjingsymbols}', "");
Expect(1, 119647, '\p{Is_Blk=_tai-Xuan-jing	SYMBOLS}', "");
Expect(0, 119647, '\p{^Is_Blk=_tai-Xuan-jing	SYMBOLS}', "");
Expect(0, 119647, '\P{Is_Blk=_tai-Xuan-jing	SYMBOLS}', "");
Expect(1, 119647, '\P{^Is_Blk=_tai-Xuan-jing	SYMBOLS}', "");
Expect(0, 119551, '\p{Is_Blk=_tai-Xuan-jing	SYMBOLS}', "");
Expect(1, 119551, '\p{^Is_Blk=_tai-Xuan-jing	SYMBOLS}', "");
Expect(1, 119551, '\P{Is_Blk=_tai-Xuan-jing	SYMBOLS}', "");
Expect(0, 119551, '\P{^Is_Blk=_tai-Xuan-jing	SYMBOLS}', "");
Error('\p{Block:-/a/Malayalam}');
Error('\P{Block:-/a/Malayalam}');
Expect(1, 3455, '\p{Block:malayalam}', "");
Expect(0, 3455, '\p{^Block:malayalam}', "");
Expect(0, 3455, '\P{Block:malayalam}', "");
Expect(1, 3455, '\P{^Block:malayalam}', "");
Expect(0, 3327, '\p{Block:malayalam}', "");
Expect(1, 3327, '\p{^Block:malayalam}', "");
Expect(1, 3327, '\P{Block:malayalam}', "");
Expect(0, 3327, '\P{^Block:malayalam}', "");
Expect(1, 3455, '\p{Block:   __Malayalam}', "");
Expect(0, 3455, '\p{^Block:   __Malayalam}', "");
Expect(0, 3455, '\P{Block:   __Malayalam}', "");
Expect(1, 3455, '\P{^Block:   __Malayalam}', "");
Expect(0, 3327, '\p{Block:   __Malayalam}', "");
Expect(1, 3327, '\p{^Block:   __Malayalam}', "");
Expect(1, 3327, '\P{Block:   __Malayalam}', "");
Expect(0, 3327, '\P{^Block:   __Malayalam}', "");
Error('\p{Blk=/a/ Malayalam}');
Error('\P{Blk=/a/ Malayalam}');
Expect(1, 3455, '\p{Blk=malayalam}', "");
Expect(0, 3455, '\p{^Blk=malayalam}', "");
Expect(0, 3455, '\P{Blk=malayalam}', "");
Expect(1, 3455, '\P{^Blk=malayalam}', "");
Expect(0, 3327, '\p{Blk=malayalam}', "");
Expect(1, 3327, '\p{^Blk=malayalam}', "");
Expect(1, 3327, '\P{Blk=malayalam}', "");
Expect(0, 3327, '\P{^Blk=malayalam}', "");
Expect(1, 3455, '\p{Blk= -Malayalam}', "");
Expect(0, 3455, '\p{^Blk= -Malayalam}', "");
Expect(0, 3455, '\P{Blk= -Malayalam}', "");
Expect(1, 3455, '\P{^Blk= -Malayalam}', "");
Expect(0, 3327, '\p{Blk= -Malayalam}', "");
Expect(1, 3327, '\p{^Blk= -Malayalam}', "");
Expect(1, 3327, '\P{Blk= -Malayalam}', "");
Expect(0, 3327, '\P{^Blk= -Malayalam}', "");
Error('\p{Is_Block=		MALAYALAM/a/}');
Error('\P{Is_Block=		MALAYALAM/a/}');
Expect(1, 3455, '\p{Is_Block:   malayalam}', "");
Expect(0, 3455, '\p{^Is_Block:   malayalam}', "");
Expect(0, 3455, '\P{Is_Block:   malayalam}', "");
Expect(1, 3455, '\P{^Is_Block:   malayalam}', "");
Expect(0, 3327, '\p{Is_Block:   malayalam}', "");
Expect(1, 3327, '\p{^Is_Block:   malayalam}', "");
Expect(1, 3327, '\P{Is_Block:   malayalam}', "");
Expect(0, 3327, '\P{^Is_Block:   malayalam}', "");
Expect(1, 3455, '\p{Is_Block=  malayalam}', "");
Expect(0, 3455, '\p{^Is_Block=  malayalam}', "");
Expect(0, 3455, '\P{Is_Block=  malayalam}', "");
Expect(1, 3455, '\P{^Is_Block=  malayalam}', "");
Expect(0, 3327, '\p{Is_Block=  malayalam}', "");
Expect(1, 3327, '\p{^Is_Block=  malayalam}', "");
Expect(1, 3327, '\P{Is_Block=  malayalam}', "");
Expect(0, 3327, '\P{^Is_Block=  malayalam}', "");
Error('\p{Is_Blk:   :=Malayalam}');
Error('\P{Is_Blk:   :=Malayalam}');
Expect(1, 3455, '\p{Is_Blk=malayalam}', "");
Expect(0, 3455, '\p{^Is_Blk=malayalam}', "");
Expect(0, 3455, '\P{Is_Blk=malayalam}', "");
Expect(1, 3455, '\P{^Is_Blk=malayalam}', "");
Expect(0, 3327, '\p{Is_Blk=malayalam}', "");
Expect(1, 3327, '\p{^Is_Blk=malayalam}', "");
Expect(1, 3327, '\P{Is_Blk=malayalam}', "");
Expect(0, 3327, '\P{^Is_Blk=malayalam}', "");
Expect(1, 3455, '\p{Is_Blk= Malayalam}', "");
Expect(0, 3455, '\p{^Is_Blk= Malayalam}', "");
Expect(0, 3455, '\P{Is_Blk= Malayalam}', "");
Expect(1, 3455, '\P{^Is_Blk= Malayalam}', "");
Expect(0, 3327, '\p{Is_Blk= Malayalam}', "");
Expect(1, 3327, '\p{^Is_Blk= Malayalam}', "");
Expect(1, 3327, '\P{Is_Blk= Malayalam}', "");
Expect(0, 3327, '\P{^Is_Blk= Malayalam}', "");
Error('\p{Block=	-LISU:=}');
Error('\P{Block=	-LISU:=}');
Expect(1, 42239, '\p{Block=lisu}', "");
Expect(0, 42239, '\p{^Block=lisu}', "");
Expect(0, 42239, '\P{Block=lisu}', "");
Expect(1, 42239, '\P{^Block=lisu}', "");
Expect(0, 42191, '\p{Block=lisu}', "");
Expect(1, 42191, '\p{^Block=lisu}', "");
Expect(1, 42191, '\P{Block=lisu}', "");
Expect(0, 42191, '\P{^Block=lisu}', "");
Expect(1, 42239, '\p{Block=_LISU}', "");
Expect(0, 42239, '\p{^Block=_LISU}', "");
Expect(0, 42239, '\P{Block=_LISU}', "");
Expect(1, 42239, '\P{^Block=_LISU}', "");
Expect(0, 42191, '\p{Block=_LISU}', "");
Expect(1, 42191, '\p{^Block=_LISU}', "");
Expect(1, 42191, '\P{Block=_LISU}', "");
Expect(0, 42191, '\P{^Block=_LISU}', "");
Error('\p{Blk=-:=Lisu}');
Error('\P{Blk=-:=Lisu}');
Expect(1, 42239, '\p{Blk=lisu}', "");
Expect(0, 42239, '\p{^Blk=lisu}', "");
Expect(0, 42239, '\P{Blk=lisu}', "");
Expect(1, 42239, '\P{^Blk=lisu}', "");
Expect(0, 42191, '\p{Blk=lisu}', "");
Expect(1, 42191, '\p{^Blk=lisu}', "");
Expect(1, 42191, '\P{Blk=lisu}', "");
Expect(0, 42191, '\P{^Blk=lisu}', "");
Expect(1, 42239, '\p{Blk=-Lisu}', "");
Expect(0, 42239, '\p{^Blk=-Lisu}', "");
Expect(0, 42239, '\P{Blk=-Lisu}', "");
Expect(1, 42239, '\P{^Blk=-Lisu}', "");
Expect(0, 42191, '\p{Blk=-Lisu}', "");
Expect(1, 42191, '\p{^Blk=-Lisu}', "");
Expect(1, 42191, '\P{Blk=-Lisu}', "");
Expect(0, 42191, '\P{^Blk=-Lisu}', "");
Error('\p{Is_Block= 	Lisu:=}');
Error('\P{Is_Block= 	Lisu:=}');
Expect(1, 42239, '\p{Is_Block=lisu}', "");
Expect(0, 42239, '\p{^Is_Block=lisu}', "");
Expect(0, 42239, '\P{Is_Block=lisu}', "");
Expect(1, 42239, '\P{^Is_Block=lisu}', "");
Expect(0, 42191, '\p{Is_Block=lisu}', "");
Expect(1, 42191, '\p{^Is_Block=lisu}', "");
Expect(1, 42191, '\P{Is_Block=lisu}', "");
Expect(0, 42191, '\P{^Is_Block=lisu}', "");
Expect(1, 42239, '\p{Is_Block=-	Lisu}', "");
Expect(0, 42239, '\p{^Is_Block=-	Lisu}', "");
Expect(0, 42239, '\P{Is_Block=-	Lisu}', "");
Expect(1, 42239, '\P{^Is_Block=-	Lisu}', "");
Expect(0, 42191, '\p{Is_Block=-	Lisu}', "");
Expect(1, 42191, '\p{^Is_Block=-	Lisu}', "");
Expect(1, 42191, '\P{Is_Block=-	Lisu}', "");
Expect(0, 42191, '\P{^Is_Block=-	Lisu}', "");
Error('\p{Is_Blk=-/a/lisu}');
Error('\P{Is_Blk=-/a/lisu}');
Expect(1, 42239, '\p{Is_Blk:   lisu}', "");
Expect(0, 42239, '\p{^Is_Blk:   lisu}', "");
Expect(0, 42239, '\P{Is_Blk:   lisu}', "");
Expect(1, 42239, '\P{^Is_Blk:   lisu}', "");
Expect(0, 42191, '\p{Is_Blk:   lisu}', "");
Expect(1, 42191, '\p{^Is_Blk:   lisu}', "");
Expect(1, 42191, '\P{Is_Blk:   lisu}', "");
Expect(0, 42191, '\P{^Is_Blk:   lisu}', "");
Expect(1, 42239, '\p{Is_Blk=_-Lisu}', "");
Expect(0, 42239, '\p{^Is_Blk=_-Lisu}', "");
Expect(0, 42239, '\P{Is_Blk=_-Lisu}', "");
Expect(1, 42239, '\P{^Is_Blk=_-Lisu}', "");
Expect(0, 42191, '\p{Is_Blk=_-Lisu}', "");
Expect(1, 42191, '\p{^Is_Blk=_-Lisu}', "");
Expect(1, 42191, '\P{Is_Blk=_-Lisu}', "");
Expect(0, 42191, '\P{^Is_Blk=_-Lisu}', "");
Error('\p{Block=Arabic:=PRESENTATION-FORMS A}');
Error('\P{Block=Arabic:=PRESENTATION-FORMS A}');
Expect(1, 65023, '\p{Block=arabicpresentationformsa}', "");
Expect(0, 65023, '\p{^Block=arabicpresentationformsa}', "");
Expect(0, 65023, '\P{Block=arabicpresentationformsa}', "");
Expect(1, 65023, '\P{^Block=arabicpresentationformsa}', "");
Expect(0, 64335, '\p{Block=arabicpresentationformsa}', "");
Expect(1, 64335, '\p{^Block=arabicpresentationformsa}', "");
Expect(1, 64335, '\P{Block=arabicpresentationformsa}', "");
Expect(0, 64335, '\P{^Block=arabicpresentationformsa}', "");
Expect(1, 65023, '\p{Block=-arabic-PRESENTATION_Forms-A}', "");
Expect(0, 65023, '\p{^Block=-arabic-PRESENTATION_Forms-A}', "");
Expect(0, 65023, '\P{Block=-arabic-PRESENTATION_Forms-A}', "");
Expect(1, 65023, '\P{^Block=-arabic-PRESENTATION_Forms-A}', "");
Expect(0, 64335, '\p{Block=-arabic-PRESENTATION_Forms-A}', "");
Expect(1, 64335, '\p{^Block=-arabic-PRESENTATION_Forms-A}', "");
Expect(1, 64335, '\P{Block=-arabic-PRESENTATION_Forms-A}', "");
Expect(0, 64335, '\P{^Block=-arabic-PRESENTATION_Forms-A}', "");
Error('\p{Blk=	_Arabic	PRESENTATIONFORMS/a/a}');
Error('\P{Blk=	_Arabic	PRESENTATIONFORMS/a/a}');
Expect(1, 65023, '\p{Blk=arabicpresentationformsa}', "");
Expect(0, 65023, '\p{^Blk=arabicpresentationformsa}', "");
Expect(0, 65023, '\P{Blk=arabicpresentationformsa}', "");
Expect(1, 65023, '\P{^Blk=arabicpresentationformsa}', "");
Expect(0, 64335, '\p{Blk=arabicpresentationformsa}', "");
Expect(1, 64335, '\p{^Blk=arabicpresentationformsa}', "");
Expect(1, 64335, '\P{Blk=arabicpresentationformsa}', "");
Expect(0, 64335, '\P{^Blk=arabicpresentationformsa}', "");
Expect(1, 65023, '\p{Blk=	ARABIC PresentationForms	A}', "");
Expect(0, 65023, '\p{^Blk=	ARABIC PresentationForms	A}', "");
Expect(0, 65023, '\P{Blk=	ARABIC PresentationForms	A}', "");
Expect(1, 65023, '\P{^Blk=	ARABIC PresentationForms	A}', "");
Expect(0, 64335, '\p{Blk=	ARABIC PresentationForms	A}', "");
Expect(1, 64335, '\p{^Blk=	ARABIC PresentationForms	A}', "");
Expect(1, 64335, '\P{Blk=	ARABIC PresentationForms	A}', "");
Expect(0, 64335, '\P{^Blk=	ARABIC PresentationForms	A}', "");
Error('\p{Is_Block=		Arabic-Presentation	Forms-A/a/}');
Error('\P{Is_Block=		Arabic-Presentation	Forms-A/a/}');
Expect(1, 65023, '\p{Is_Block=arabicpresentationformsa}', "");
Expect(0, 65023, '\p{^Is_Block=arabicpresentationformsa}', "");
Expect(0, 65023, '\P{Is_Block=arabicpresentationformsa}', "");
Expect(1, 65023, '\P{^Is_Block=arabicpresentationformsa}', "");
Expect(0, 64335, '\p{Is_Block=arabicpresentationformsa}', "");
Expect(1, 64335, '\p{^Is_Block=arabicpresentationformsa}', "");
Expect(1, 64335, '\P{Is_Block=arabicpresentationformsa}', "");
Expect(0, 64335, '\P{^Is_Block=arabicpresentationformsa}', "");
Expect(1, 65023, '\p{Is_Block=__Arabic-presentation	FORMSa}', "");
Expect(0, 65023, '\p{^Is_Block=__Arabic-presentation	FORMSa}', "");
Expect(0, 65023, '\P{Is_Block=__Arabic-presentation	FORMSa}', "");
Expect(1, 65023, '\P{^Is_Block=__Arabic-presentation	FORMSa}', "");
Expect(0, 64335, '\p{Is_Block=__Arabic-presentation	FORMSa}', "");
Expect(1, 64335, '\p{^Is_Block=__Arabic-presentation	FORMSa}', "");
Expect(1, 64335, '\P{Is_Block=__Arabic-presentation	FORMSa}', "");
Expect(0, 64335, '\P{^Is_Block=__Arabic-presentation	FORMSa}', "");
Error('\p{Is_Blk= Arabic	PRESENTATION/a/forms_A}');
Error('\P{Is_Blk= Arabic	PRESENTATION/a/forms_A}');
Expect(1, 65023, '\p{Is_Blk=arabicpresentationformsa}', "");
Expect(0, 65023, '\p{^Is_Blk=arabicpresentationformsa}', "");
Expect(0, 65023, '\P{Is_Blk=arabicpresentationformsa}', "");
Expect(1, 65023, '\P{^Is_Blk=arabicpresentationformsa}', "");
Expect(0, 64335, '\p{Is_Blk=arabicpresentationformsa}', "");
Expect(1, 64335, '\p{^Is_Blk=arabicpresentationformsa}', "");
Expect(1, 64335, '\P{Is_Blk=arabicpresentationformsa}', "");
Expect(0, 64335, '\P{^Is_Blk=arabicpresentationformsa}', "");
Expect(1, 65023, '\p{Is_Blk=-_Arabic	presentation-Forms A}', "");
Expect(0, 65023, '\p{^Is_Blk=-_Arabic	presentation-Forms A}', "");
Expect(0, 65023, '\P{Is_Blk=-_Arabic	presentation-Forms A}', "");
Expect(1, 65023, '\P{^Is_Blk=-_Arabic	presentation-Forms A}', "");
Expect(0, 64335, '\p{Is_Blk=-_Arabic	presentation-Forms A}', "");
Expect(1, 64335, '\p{^Is_Blk=-_Arabic	presentation-Forms A}', "");
Expect(1, 64335, '\P{Is_Blk=-_Arabic	presentation-Forms A}', "");
Expect(0, 64335, '\P{^Is_Blk=-_Arabic	presentation-Forms A}', "");
Error('\p{Block= tai-le/a/}');
Error('\P{Block= tai-le/a/}');
Expect(1, 6527, '\p{Block=taile}', "");
Expect(0, 6527, '\p{^Block=taile}', "");
Expect(0, 6527, '\P{Block=taile}', "");
Expect(1, 6527, '\P{^Block=taile}', "");
Expect(0, 6479, '\p{Block=taile}', "");
Expect(1, 6479, '\p{^Block=taile}', "");
Expect(1, 6479, '\P{Block=taile}', "");
Expect(0, 6479, '\P{^Block=taile}', "");
Expect(1, 6527, '\p{Block=_	tai Le}', "");
Expect(0, 6527, '\p{^Block=_	tai Le}', "");
Expect(0, 6527, '\P{Block=_	tai Le}', "");
Expect(1, 6527, '\P{^Block=_	tai Le}', "");
Expect(0, 6479, '\p{Block=_	tai Le}', "");
Expect(1, 6479, '\p{^Block=_	tai Le}', "");
Expect(1, 6479, '\P{Block=_	tai Le}', "");
Expect(0, 6479, '\P{^Block=_	tai Le}', "");
Error('\p{Blk=/a/_Tai Le}');
Error('\P{Blk=/a/_Tai Le}');
Expect(1, 6527, '\p{Blk=taile}', "");
Expect(0, 6527, '\p{^Blk=taile}', "");
Expect(0, 6527, '\P{Blk=taile}', "");
Expect(1, 6527, '\P{^Blk=taile}', "");
Expect(0, 6479, '\p{Blk=taile}', "");
Expect(1, 6479, '\p{^Blk=taile}', "");
Expect(1, 6479, '\P{Blk=taile}', "");
Expect(0, 6479, '\P{^Blk=taile}', "");
Expect(1, 6527, '\p{Blk= TAI_LE}', "");
Expect(0, 6527, '\p{^Blk= TAI_LE}', "");
Expect(0, 6527, '\P{Blk= TAI_LE}', "");
Expect(1, 6527, '\P{^Blk= TAI_LE}', "");
Expect(0, 6479, '\p{Blk= TAI_LE}', "");
Expect(1, 6479, '\p{^Blk= TAI_LE}', "");
Expect(1, 6479, '\P{Blk= TAI_LE}', "");
Expect(0, 6479, '\P{^Blk= TAI_LE}', "");
Error('\p{Is_Block=:=	_Tai le}');
Error('\P{Is_Block=:=	_Tai le}');
Expect(1, 6527, '\p{Is_Block=taile}', "");
Expect(0, 6527, '\p{^Is_Block=taile}', "");
Expect(0, 6527, '\P{Is_Block=taile}', "");
Expect(1, 6527, '\P{^Is_Block=taile}', "");
Expect(0, 6479, '\p{Is_Block=taile}', "");
Expect(1, 6479, '\p{^Is_Block=taile}', "");
Expect(1, 6479, '\P{Is_Block=taile}', "");
Expect(0, 6479, '\P{^Is_Block=taile}', "");
Expect(1, 6527, '\p{Is_Block=taiLE}', "");
Expect(0, 6527, '\p{^Is_Block=taiLE}', "");
Expect(0, 6527, '\P{Is_Block=taiLE}', "");
Expect(1, 6527, '\P{^Is_Block=taiLE}', "");
Expect(0, 6479, '\p{Is_Block=taiLE}', "");
Expect(1, 6479, '\p{^Is_Block=taiLE}', "");
Expect(1, 6479, '\P{Is_Block=taiLE}', "");
Expect(0, 6479, '\P{^Is_Block=taiLE}', "");
Error('\p{Is_Blk=/a/TAI_Le}');
Error('\P{Is_Blk=/a/TAI_Le}');
Expect(1, 6527, '\p{Is_Blk:	taile}', "");
Expect(0, 6527, '\p{^Is_Blk:	taile}', "");
Expect(0, 6527, '\P{Is_Blk:	taile}', "");
Expect(1, 6527, '\P{^Is_Blk:	taile}', "");
Expect(0, 6479, '\p{Is_Blk:	taile}', "");
Expect(1, 6479, '\p{^Is_Blk:	taile}', "");
Expect(1, 6479, '\P{Is_Blk:	taile}', "");
Expect(0, 6479, '\P{^Is_Blk:	taile}', "");
Expect(1, 6527, '\p{Is_Blk=- TaiLE}', "");
Expect(0, 6527, '\p{^Is_Blk=- TaiLE}', "");
Expect(0, 6527, '\P{Is_Blk=- TaiLE}', "");
Expect(1, 6527, '\P{^Is_Blk=- TaiLE}', "");
Expect(0, 6479, '\p{Is_Blk=- TaiLE}', "");
Expect(1, 6479, '\p{^Is_Blk=- TaiLE}', "");
Expect(1, 6479, '\P{Is_Blk=- TaiLE}', "");
Expect(0, 6479, '\P{^Is_Blk=- TaiLE}', "");
Error('\p{Block= /a/combiningDIACRITICAL marks}');
Error('\P{Block= /a/combiningDIACRITICAL marks}');
Expect(1, 879, '\p{Block=combiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^Block=combiningdiacriticalmarks}', "");
Expect(0, 879, '\P{Block=combiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^Block=combiningdiacriticalmarks}', "");
Expect(0, 767, '\p{Block=combiningdiacriticalmarks}', "");
Expect(1, 767, '\p{^Block=combiningdiacriticalmarks}', "");
Expect(1, 767, '\P{Block=combiningdiacriticalmarks}', "");
Expect(0, 767, '\P{^Block=combiningdiacriticalmarks}', "");
Expect(1, 879, '\p{Block= -Combining Diacritical	Marks}', "");
Expect(0, 879, '\p{^Block= -Combining Diacritical	Marks}', "");
Expect(0, 879, '\P{Block= -Combining Diacritical	Marks}', "");
Expect(1, 879, '\P{^Block= -Combining Diacritical	Marks}', "");
Expect(0, 767, '\p{Block= -Combining Diacritical	Marks}', "");
Expect(1, 767, '\p{^Block= -Combining Diacritical	Marks}', "");
Expect(1, 767, '\P{Block= -Combining Diacritical	Marks}', "");
Expect(0, 767, '\P{^Block= -Combining Diacritical	Marks}', "");
Error('\p{Blk:	-:=Combining_DIACRITICAL-marks}');
Error('\P{Blk:	-:=Combining_DIACRITICAL-marks}');
Expect(1, 879, '\p{Blk=combiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^Blk=combiningdiacriticalmarks}', "");
Expect(0, 879, '\P{Blk=combiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^Blk=combiningdiacriticalmarks}', "");
Expect(0, 767, '\p{Blk=combiningdiacriticalmarks}', "");
Expect(1, 767, '\p{^Blk=combiningdiacriticalmarks}', "");
Expect(1, 767, '\P{Blk=combiningdiacriticalmarks}', "");
Expect(0, 767, '\P{^Blk=combiningdiacriticalmarks}', "");
Expect(1, 879, '\p{Blk: 	Combining	DIACRITICAL MARKS}', "");
Expect(0, 879, '\p{^Blk: 	Combining	DIACRITICAL MARKS}', "");
Expect(0, 879, '\P{Blk: 	Combining	DIACRITICAL MARKS}', "");
Expect(1, 879, '\P{^Blk: 	Combining	DIACRITICAL MARKS}', "");
Expect(0, 767, '\p{Blk: 	Combining	DIACRITICAL MARKS}', "");
Expect(1, 767, '\p{^Blk: 	Combining	DIACRITICAL MARKS}', "");
Expect(1, 767, '\P{Blk: 	Combining	DIACRITICAL MARKS}', "");
Expect(0, 767, '\P{^Blk: 	Combining	DIACRITICAL MARKS}', "");
Error('\p{Is_Block=	Combining:=Diacritical	marks}');
Error('\P{Is_Block=	Combining:=Diacritical	marks}');
Expect(1, 879, '\p{Is_Block=combiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^Is_Block=combiningdiacriticalmarks}', "");
Expect(0, 879, '\P{Is_Block=combiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^Is_Block=combiningdiacriticalmarks}', "");
Expect(0, 767, '\p{Is_Block=combiningdiacriticalmarks}', "");
Expect(1, 767, '\p{^Is_Block=combiningdiacriticalmarks}', "");
Expect(1, 767, '\P{Is_Block=combiningdiacriticalmarks}', "");
Expect(0, 767, '\P{^Is_Block=combiningdiacriticalmarks}', "");
Expect(1, 879, '\p{Is_Block= 	combining	DiacriticalMarks}', "");
Expect(0, 879, '\p{^Is_Block= 	combining	DiacriticalMarks}', "");
Expect(0, 879, '\P{Is_Block= 	combining	DiacriticalMarks}', "");
Expect(1, 879, '\P{^Is_Block= 	combining	DiacriticalMarks}', "");
Expect(0, 767, '\p{Is_Block= 	combining	DiacriticalMarks}', "");
Expect(1, 767, '\p{^Is_Block= 	combining	DiacriticalMarks}', "");
Expect(1, 767, '\P{Is_Block= 	combining	DiacriticalMarks}', "");
Expect(0, 767, '\P{^Is_Block= 	combining	DiacriticalMarks}', "");
Error('\p{Is_Blk= /a/Combining Diacritical_Marks}');
Error('\P{Is_Blk= /a/Combining Diacritical_Marks}');
Expect(1, 879, '\p{Is_Blk=combiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^Is_Blk=combiningdiacriticalmarks}', "");
Expect(0, 879, '\P{Is_Blk=combiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^Is_Blk=combiningdiacriticalmarks}', "");
Expect(0, 767, '\p{Is_Blk=combiningdiacriticalmarks}', "");
Expect(1, 767, '\p{^Is_Blk=combiningdiacriticalmarks}', "");
Expect(1, 767, '\P{Is_Blk=combiningdiacriticalmarks}', "");
Expect(0, 767, '\P{^Is_Blk=combiningdiacriticalmarks}', "");
Expect(1, 879, '\p{Is_Blk=Combiningdiacritical	marks}', "");
Expect(0, 879, '\p{^Is_Blk=Combiningdiacritical	marks}', "");
Expect(0, 879, '\P{Is_Blk=Combiningdiacritical	marks}', "");
Expect(1, 879, '\P{^Is_Blk=Combiningdiacritical	marks}', "");
Expect(0, 767, '\p{Is_Blk=Combiningdiacritical	marks}', "");
Expect(1, 767, '\p{^Is_Blk=Combiningdiacritical	marks}', "");
Expect(1, 767, '\P{Is_Blk=Combiningdiacritical	marks}', "");
Expect(0, 767, '\P{^Is_Blk=Combiningdiacritical	marks}', "");
Error('\p{Block=	latin_Extended:=B}');
Error('\P{Block=	latin_Extended:=B}');
Expect(1, 591, '\p{Block=latinextendedb}', "");
Expect(0, 591, '\p{^Block=latinextendedb}', "");
Expect(0, 591, '\P{Block=latinextendedb}', "");
Expect(1, 591, '\P{^Block=latinextendedb}', "");
Expect(0, 383, '\p{Block=latinextendedb}', "");
Expect(1, 383, '\p{^Block=latinextendedb}', "");
Expect(1, 383, '\P{Block=latinextendedb}', "");
Expect(0, 383, '\P{^Block=latinextendedb}', "");
Expect(1, 591, '\p{Block=	latinExtended	b}', "");
Expect(0, 591, '\p{^Block=	latinExtended	b}', "");
Expect(0, 591, '\P{Block=	latinExtended	b}', "");
Expect(1, 591, '\P{^Block=	latinExtended	b}', "");
Expect(0, 383, '\p{Block=	latinExtended	b}', "");
Expect(1, 383, '\p{^Block=	latinExtended	b}', "");
Expect(1, 383, '\P{Block=	latinExtended	b}', "");
Expect(0, 383, '\P{^Block=	latinExtended	b}', "");
Error('\p{Blk=_Latin/a/EXTENDED_B}');
Error('\P{Blk=_Latin/a/EXTENDED_B}');
Expect(1, 591, '\p{Blk=latinextendedb}', "");
Expect(0, 591, '\p{^Blk=latinextendedb}', "");
Expect(0, 591, '\P{Blk=latinextendedb}', "");
Expect(1, 591, '\P{^Blk=latinextendedb}', "");
Expect(0, 383, '\p{Blk=latinextendedb}', "");
Expect(1, 383, '\p{^Blk=latinextendedb}', "");
Expect(1, 383, '\P{Blk=latinextendedb}', "");
Expect(0, 383, '\P{^Blk=latinextendedb}', "");
Expect(1, 591, '\p{Blk=	-latin	ExtendedB}', "");
Expect(0, 591, '\p{^Blk=	-latin	ExtendedB}', "");
Expect(0, 591, '\P{Blk=	-latin	ExtendedB}', "");
Expect(1, 591, '\P{^Blk=	-latin	ExtendedB}', "");
Expect(0, 383, '\p{Blk=	-latin	ExtendedB}', "");
Expect(1, 383, '\p{^Blk=	-latin	ExtendedB}', "");
Expect(1, 383, '\P{Blk=	-latin	ExtendedB}', "");
Expect(0, 383, '\P{^Blk=	-latin	ExtendedB}', "");
Error('\p{Is_Block=/a/-	Latin-extended B}');
Error('\P{Is_Block=/a/-	Latin-extended B}');
Expect(1, 591, '\p{Is_Block=latinextendedb}', "");
Expect(0, 591, '\p{^Is_Block=latinextendedb}', "");
Expect(0, 591, '\P{Is_Block=latinextendedb}', "");
Expect(1, 591, '\P{^Is_Block=latinextendedb}', "");
Expect(0, 383, '\p{Is_Block=latinextendedb}', "");
Expect(1, 383, '\p{^Is_Block=latinextendedb}', "");
Expect(1, 383, '\P{Is_Block=latinextendedb}', "");
Expect(0, 383, '\P{^Is_Block=latinextendedb}', "");
Expect(1, 591, '\p{Is_Block= latinExtended B}', "");
Expect(0, 591, '\p{^Is_Block= latinExtended B}', "");
Expect(0, 591, '\P{Is_Block= latinExtended B}', "");
Expect(1, 591, '\P{^Is_Block= latinExtended B}', "");
Expect(0, 383, '\p{Is_Block= latinExtended B}', "");
Expect(1, 383, '\p{^Is_Block= latinExtended B}', "");
Expect(1, 383, '\P{Is_Block= latinExtended B}', "");
Expect(0, 383, '\P{^Is_Block= latinExtended B}', "");
Error('\p{Is_Blk=	latin Extended:=b}');
Error('\P{Is_Blk=	latin Extended:=b}');
Expect(1, 591, '\p{Is_Blk:latinextendedb}', "");
Expect(0, 591, '\p{^Is_Blk:latinextendedb}', "");
Expect(0, 591, '\P{Is_Blk:latinextendedb}', "");
Expect(1, 591, '\P{^Is_Blk:latinextendedb}', "");
Expect(0, 383, '\p{Is_Blk:latinextendedb}', "");
Expect(1, 383, '\p{^Is_Blk:latinextendedb}', "");
Expect(1, 383, '\P{Is_Blk:latinextendedb}', "");
Expect(0, 383, '\P{^Is_Blk:latinextendedb}', "");
Expect(1, 591, '\p{Is_Blk=_latin-ExtendedB}', "");
Expect(0, 591, '\p{^Is_Blk=_latin-ExtendedB}', "");
Expect(0, 591, '\P{Is_Blk=_latin-ExtendedB}', "");
Expect(1, 591, '\P{^Is_Blk=_latin-ExtendedB}', "");
Expect(0, 383, '\p{Is_Blk=_latin-ExtendedB}', "");
Expect(1, 383, '\p{^Is_Blk=_latin-ExtendedB}', "");
Expect(1, 383, '\P{Is_Blk=_latin-ExtendedB}', "");
Expect(0, 383, '\P{^Is_Blk=_latin-ExtendedB}', "");
Error('\p{Block= supplemental ARROWS_A/a/}');
Error('\P{Block= supplemental ARROWS_A/a/}');
Expect(1, 10239, '\p{Block:	supplementalarrowsa}', "");
Expect(0, 10239, '\p{^Block:	supplementalarrowsa}', "");
Expect(0, 10239, '\P{Block:	supplementalarrowsa}', "");
Expect(1, 10239, '\P{^Block:	supplementalarrowsa}', "");
Expect(0, 10223, '\p{Block:	supplementalarrowsa}', "");
Expect(1, 10223, '\p{^Block:	supplementalarrowsa}', "");
Expect(1, 10223, '\P{Block:	supplementalarrowsa}', "");
Expect(0, 10223, '\P{^Block:	supplementalarrowsa}', "");
Expect(1, 10239, '\p{Block= 	SUPPLEMENTAL	ARROWS-A}', "");
Expect(0, 10239, '\p{^Block= 	SUPPLEMENTAL	ARROWS-A}', "");
Expect(0, 10239, '\P{Block= 	SUPPLEMENTAL	ARROWS-A}', "");
Expect(1, 10239, '\P{^Block= 	SUPPLEMENTAL	ARROWS-A}', "");
Expect(0, 10223, '\p{Block= 	SUPPLEMENTAL	ARROWS-A}', "");
Expect(1, 10223, '\p{^Block= 	SUPPLEMENTAL	ARROWS-A}', "");
Expect(1, 10223, '\P{Block= 	SUPPLEMENTAL	ARROWS-A}', "");
Expect(0, 10223, '\P{^Block= 	SUPPLEMENTAL	ARROWS-A}', "");
Error('\p{Blk=:=_	supplemental	Arrowsa}');
Error('\P{Blk=:=_	supplemental	Arrowsa}');
Expect(1, 10239, '\p{Blk:supplementalarrowsa}', "");
Expect(0, 10239, '\p{^Blk:supplementalarrowsa}', "");
Expect(0, 10239, '\P{Blk:supplementalarrowsa}', "");
Expect(1, 10239, '\P{^Blk:supplementalarrowsa}', "");
Expect(0, 10223, '\p{Blk:supplementalarrowsa}', "");
Expect(1, 10223, '\p{^Blk:supplementalarrowsa}', "");
Expect(1, 10223, '\P{Blk:supplementalarrowsa}', "");
Expect(0, 10223, '\P{^Blk:supplementalarrowsa}', "");
Expect(1, 10239, '\p{Blk=--SUPPLEMENTALArrowsA}', "");
Expect(0, 10239, '\p{^Blk=--SUPPLEMENTALArrowsA}', "");
Expect(0, 10239, '\P{Blk=--SUPPLEMENTALArrowsA}', "");
Expect(1, 10239, '\P{^Blk=--SUPPLEMENTALArrowsA}', "");
Expect(0, 10223, '\p{Blk=--SUPPLEMENTALArrowsA}', "");
Expect(1, 10223, '\p{^Blk=--SUPPLEMENTALArrowsA}', "");
Expect(1, 10223, '\P{Blk=--SUPPLEMENTALArrowsA}', "");
Expect(0, 10223, '\P{^Blk=--SUPPLEMENTALArrowsA}', "");
Error('\p{Is_Block=:=- Supplemental-ARROWS_a}');
Error('\P{Is_Block=:=- Supplemental-ARROWS_a}');
Expect(1, 10239, '\p{Is_Block=supplementalarrowsa}', "");
Expect(0, 10239, '\p{^Is_Block=supplementalarrowsa}', "");
Expect(0, 10239, '\P{Is_Block=supplementalarrowsa}', "");
Expect(1, 10239, '\P{^Is_Block=supplementalarrowsa}', "");
Expect(0, 10223, '\p{Is_Block=supplementalarrowsa}', "");
Expect(1, 10223, '\p{^Is_Block=supplementalarrowsa}', "");
Expect(1, 10223, '\P{Is_Block=supplementalarrowsa}', "");
Expect(0, 10223, '\P{^Is_Block=supplementalarrowsa}', "");
Expect(1, 10239, '\p{Is_Block= Supplemental Arrows-A}', "");
Expect(0, 10239, '\p{^Is_Block= Supplemental Arrows-A}', "");
Expect(0, 10239, '\P{Is_Block= Supplemental Arrows-A}', "");
Expect(1, 10239, '\P{^Is_Block= Supplemental Arrows-A}', "");
Expect(0, 10223, '\p{Is_Block= Supplemental Arrows-A}', "");
Expect(1, 10223, '\p{^Is_Block= Supplemental Arrows-A}', "");
Expect(1, 10223, '\P{Is_Block= Supplemental Arrows-A}', "");
Expect(0, 10223, '\P{^Is_Block= Supplemental Arrows-A}', "");
Error('\p{Is_Blk=/a/	Supplemental	Arrows-A}');
Error('\P{Is_Blk=/a/	Supplemental	Arrows-A}');
Expect(1, 10239, '\p{Is_Blk=supplementalarrowsa}', "");
Expect(0, 10239, '\p{^Is_Blk=supplementalarrowsa}', "");
Expect(0, 10239, '\P{Is_Blk=supplementalarrowsa}', "");
Expect(1, 10239, '\P{^Is_Blk=supplementalarrowsa}', "");
Expect(0, 10223, '\p{Is_Blk=supplementalarrowsa}', "");
Expect(1, 10223, '\p{^Is_Blk=supplementalarrowsa}', "");
Expect(1, 10223, '\P{Is_Blk=supplementalarrowsa}', "");
Expect(0, 10223, '\P{^Is_Blk=supplementalarrowsa}', "");
Expect(1, 10239, '\p{Is_Blk= Supplemental arrows	A}', "");
Expect(0, 10239, '\p{^Is_Blk= Supplemental arrows	A}', "");
Expect(0, 10239, '\P{Is_Blk= Supplemental arrows	A}', "");
Expect(1, 10239, '\P{^Is_Blk= Supplemental arrows	A}', "");
Expect(0, 10223, '\p{Is_Blk= Supplemental arrows	A}', "");
Expect(1, 10223, '\p{^Is_Blk= Supplemental arrows	A}', "");
Expect(1, 10223, '\P{Is_Blk= Supplemental arrows	A}', "");
Expect(0, 10223, '\P{^Is_Blk= Supplemental arrows	A}', "");
Error('\p{Block=_Javanese:=}');
Error('\P{Block=_Javanese:=}');
Expect(1, 43487, '\p{Block=javanese}', "");
Expect(0, 43487, '\p{^Block=javanese}', "");
Expect(0, 43487, '\P{Block=javanese}', "");
Expect(1, 43487, '\P{^Block=javanese}', "");
Expect(0, 43391, '\p{Block=javanese}', "");
Expect(1, 43391, '\p{^Block=javanese}', "");
Expect(1, 43391, '\P{Block=javanese}', "");
Expect(0, 43391, '\P{^Block=javanese}', "");
Expect(1, 43487, '\p{Block=- Javanese}', "");
Expect(0, 43487, '\p{^Block=- Javanese}', "");
Expect(0, 43487, '\P{Block=- Javanese}', "");
Expect(1, 43487, '\P{^Block=- Javanese}', "");
Expect(0, 43391, '\p{Block=- Javanese}', "");
Expect(1, 43391, '\p{^Block=- Javanese}', "");
Expect(1, 43391, '\P{Block=- Javanese}', "");
Expect(0, 43391, '\P{^Block=- Javanese}', "");
Error('\p{Blk= /a/JAVANESE}');
Error('\P{Blk= /a/JAVANESE}');
Expect(1, 43487, '\p{Blk=javanese}', "");
Expect(0, 43487, '\p{^Blk=javanese}', "");
Expect(0, 43487, '\P{Blk=javanese}', "");
Expect(1, 43487, '\P{^Blk=javanese}', "");
Expect(0, 43391, '\p{Blk=javanese}', "");
Expect(1, 43391, '\p{^Blk=javanese}', "");
Expect(1, 43391, '\P{Blk=javanese}', "");
Expect(0, 43391, '\P{^Blk=javanese}', "");
Expect(1, 43487, '\p{Blk=_Javanese}', "");
Expect(0, 43487, '\p{^Blk=_Javanese}', "");
Expect(0, 43487, '\P{Blk=_Javanese}', "");
Expect(1, 43487, '\P{^Blk=_Javanese}', "");
Expect(0, 43391, '\p{Blk=_Javanese}', "");
Expect(1, 43391, '\p{^Blk=_Javanese}', "");
Expect(1, 43391, '\P{Blk=_Javanese}', "");
Expect(0, 43391, '\P{^Blk=_Javanese}', "");
Error('\p{Is_Block=:=-Javanese}');
Error('\P{Is_Block=:=-Javanese}');
Expect(1, 43487, '\p{Is_Block=javanese}', "");
Expect(0, 43487, '\p{^Is_Block=javanese}', "");
Expect(0, 43487, '\P{Is_Block=javanese}', "");
Expect(1, 43487, '\P{^Is_Block=javanese}', "");
Expect(0, 43391, '\p{Is_Block=javanese}', "");
Expect(1, 43391, '\p{^Is_Block=javanese}', "");
Expect(1, 43391, '\P{Is_Block=javanese}', "");
Expect(0, 43391, '\P{^Is_Block=javanese}', "");
Expect(1, 43487, '\p{Is_Block=-_Javanese}', "");
Expect(0, 43487, '\p{^Is_Block=-_Javanese}', "");
Expect(0, 43487, '\P{Is_Block=-_Javanese}', "");
Expect(1, 43487, '\P{^Is_Block=-_Javanese}', "");
Expect(0, 43391, '\p{Is_Block=-_Javanese}', "");
Expect(1, 43391, '\p{^Is_Block=-_Javanese}', "");
Expect(1, 43391, '\P{Is_Block=-_Javanese}', "");
Expect(0, 43391, '\P{^Is_Block=-_Javanese}', "");
Error('\p{Is_Blk= Javanese:=}');
Error('\P{Is_Blk= Javanese:=}');
Expect(1, 43487, '\p{Is_Blk=javanese}', "");
Expect(0, 43487, '\p{^Is_Blk=javanese}', "");
Expect(0, 43487, '\P{Is_Blk=javanese}', "");
Expect(1, 43487, '\P{^Is_Blk=javanese}', "");
Expect(0, 43391, '\p{Is_Blk=javanese}', "");
Expect(1, 43391, '\p{^Is_Blk=javanese}', "");
Expect(1, 43391, '\P{Is_Blk=javanese}', "");
Expect(0, 43391, '\P{^Is_Blk=javanese}', "");
Expect(1, 43487, '\p{Is_Blk=_Javanese}', "");
Expect(0, 43487, '\p{^Is_Blk=_Javanese}', "");
Expect(0, 43487, '\P{Is_Blk=_Javanese}', "");
Expect(1, 43487, '\P{^Is_Blk=_Javanese}', "");
Expect(0, 43391, '\p{Is_Blk=_Javanese}', "");
Expect(1, 43391, '\p{^Is_Blk=_Javanese}', "");
Expect(1, 43391, '\P{Is_Blk=_Javanese}', "");
Expect(0, 43391, '\P{^Is_Blk=_Javanese}', "");
Error('\p{Block=  SUPPLEMENTARY Private/a/use_AreaA}');
Error('\P{Block=  SUPPLEMENTARY Private/a/use_AreaA}');
Expect(1, 983040, '\p{Block=supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^Block=supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{Block=supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^Block=supplementaryprivateuseareaa}', "");
Expect(0, 1, '\p{Block=supplementaryprivateuseareaa}', "");
Expect(1, 1, '\p{^Block=supplementaryprivateuseareaa}', "");
Expect(1, 1, '\P{Block=supplementaryprivateuseareaa}', "");
Expect(0, 1, '\P{^Block=supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{Block=--supplementary	private_USE	Area_A}', "");
Expect(0, 983040, '\p{^Block=--supplementary	private_USE	Area_A}', "");
Expect(0, 983040, '\P{Block=--supplementary	private_USE	Area_A}', "");
Expect(1, 983040, '\P{^Block=--supplementary	private_USE	Area_A}', "");
Expect(0, 1, '\p{Block=--supplementary	private_USE	Area_A}', "");
Expect(1, 1, '\p{^Block=--supplementary	private_USE	Area_A}', "");
Expect(1, 1, '\P{Block=--supplementary	private_USE	Area_A}', "");
Expect(0, 1, '\P{^Block=--supplementary	private_USE	Area_A}', "");
Error('\p{Blk=- SUPPLEMENTARY/a/PRIVATE usearea-A}');
Error('\P{Blk=- SUPPLEMENTARY/a/PRIVATE usearea-A}');
Expect(1, 983040, '\p{Blk=supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^Blk=supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{Blk=supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^Blk=supplementaryprivateuseareaa}', "");
Expect(0, 1, '\p{Blk=supplementaryprivateuseareaa}', "");
Expect(1, 1, '\p{^Blk=supplementaryprivateuseareaa}', "");
Expect(1, 1, '\P{Blk=supplementaryprivateuseareaa}', "");
Expect(0, 1, '\P{^Blk=supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{Blk=__SUPPLEMENTARY private-Use	Area-A}', "");
Expect(0, 983040, '\p{^Blk=__SUPPLEMENTARY private-Use	Area-A}', "");
Expect(0, 983040, '\P{Blk=__SUPPLEMENTARY private-Use	Area-A}', "");
Expect(1, 983040, '\P{^Blk=__SUPPLEMENTARY private-Use	Area-A}', "");
Expect(0, 1, '\p{Blk=__SUPPLEMENTARY private-Use	Area-A}', "");
Expect(1, 1, '\p{^Blk=__SUPPLEMENTARY private-Use	Area-A}', "");
Expect(1, 1, '\P{Blk=__SUPPLEMENTARY private-Use	Area-A}', "");
Expect(0, 1, '\P{^Blk=__SUPPLEMENTARY private-Use	Area-A}', "");
Error('\p{Is_Block=	_Supplementaryprivate	USEArea:=A}');
Error('\P{Is_Block=	_Supplementaryprivate	USEArea:=A}');
Expect(1, 983040, '\p{Is_Block: supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^Is_Block: supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{Is_Block: supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^Is_Block: supplementaryprivateuseareaa}', "");
Expect(0, 1, '\p{Is_Block: supplementaryprivateuseareaa}', "");
Expect(1, 1, '\p{^Is_Block: supplementaryprivateuseareaa}', "");
Expect(1, 1, '\P{Is_Block: supplementaryprivateuseareaa}', "");
Expect(0, 1, '\P{^Is_Block: supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{Is_Block= -Supplementary	PrivateUse-Area-A}', "");
Expect(0, 983040, '\p{^Is_Block= -Supplementary	PrivateUse-Area-A}', "");
Expect(0, 983040, '\P{Is_Block= -Supplementary	PrivateUse-Area-A}', "");
Expect(1, 983040, '\P{^Is_Block= -Supplementary	PrivateUse-Area-A}', "");
Expect(0, 1, '\p{Is_Block= -Supplementary	PrivateUse-Area-A}', "");
Expect(1, 1, '\p{^Is_Block= -Supplementary	PrivateUse-Area-A}', "");
Expect(1, 1, '\P{Is_Block= -Supplementary	PrivateUse-Area-A}', "");
Expect(0, 1, '\P{^Is_Block= -Supplementary	PrivateUse-Area-A}', "");
Error('\p{Is_Blk=	Supplementary:=PrivateUse	area_A}');
Error('\P{Is_Blk=	Supplementary:=PrivateUse	area_A}');
Expect(1, 983040, '\p{Is_Blk=supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^Is_Blk=supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{Is_Blk=supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^Is_Blk=supplementaryprivateuseareaa}', "");
Expect(0, 1, '\p{Is_Blk=supplementaryprivateuseareaa}', "");
Expect(1, 1, '\p{^Is_Blk=supplementaryprivateuseareaa}', "");
Expect(1, 1, '\P{Is_Blk=supplementaryprivateuseareaa}', "");
Expect(0, 1, '\P{^Is_Blk=supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{Is_Blk=		supplementary_private_Use	area A}', "");
Expect(0, 983040, '\p{^Is_Blk=		supplementary_private_Use	area A}', "");
Expect(0, 983040, '\P{Is_Blk=		supplementary_private_Use	area A}', "");
Expect(1, 983040, '\P{^Is_Blk=		supplementary_private_Use	area A}', "");
Expect(0, 1, '\p{Is_Blk=		supplementary_private_Use	area A}', "");
Expect(1, 1, '\p{^Is_Blk=		supplementary_private_Use	area A}', "");
Expect(1, 1, '\P{Is_Blk=		supplementary_private_Use	area A}', "");
Expect(0, 1, '\P{^Is_Blk=		supplementary_private_Use	area A}', "");
Error('\p{Block=-/a/hanunoo}');
Error('\P{Block=-/a/hanunoo}');
Expect(1, 5951, '\p{Block=hanunoo}', "");
Expect(0, 5951, '\p{^Block=hanunoo}', "");
Expect(0, 5951, '\P{Block=hanunoo}', "");
Expect(1, 5951, '\P{^Block=hanunoo}', "");
Expect(0, 5919, '\p{Block=hanunoo}', "");
Expect(1, 5919, '\p{^Block=hanunoo}', "");
Expect(1, 5919, '\P{Block=hanunoo}', "");
Expect(0, 5919, '\P{^Block=hanunoo}', "");
Expect(1, 5951, '\p{Block=		Hanunoo}', "");
Expect(0, 5951, '\p{^Block=		Hanunoo}', "");
Expect(0, 5951, '\P{Block=		Hanunoo}', "");
Expect(1, 5951, '\P{^Block=		Hanunoo}', "");
Expect(0, 5919, '\p{Block=		Hanunoo}', "");
Expect(1, 5919, '\p{^Block=		Hanunoo}', "");
Expect(1, 5919, '\P{Block=		Hanunoo}', "");
Expect(0, 5919, '\P{^Block=		Hanunoo}', "");
Error('\p{Blk=--HANUNOO/a/}');
Error('\P{Blk=--HANUNOO/a/}');
Expect(1, 5951, '\p{Blk=hanunoo}', "");
Expect(0, 5951, '\p{^Blk=hanunoo}', "");
Expect(0, 5951, '\P{Blk=hanunoo}', "");
Expect(1, 5951, '\P{^Blk=hanunoo}', "");
Expect(0, 5919, '\p{Blk=hanunoo}', "");
Expect(1, 5919, '\p{^Blk=hanunoo}', "");
Expect(1, 5919, '\P{Blk=hanunoo}', "");
Expect(0, 5919, '\P{^Blk=hanunoo}', "");
Expect(1, 5951, '\p{Blk=-	Hanunoo}', "");
Expect(0, 5951, '\p{^Blk=-	Hanunoo}', "");
Expect(0, 5951, '\P{Blk=-	Hanunoo}', "");
Expect(1, 5951, '\P{^Blk=-	Hanunoo}', "");
Expect(0, 5919, '\p{Blk=-	Hanunoo}', "");
Expect(1, 5919, '\p{^Blk=-	Hanunoo}', "");
Expect(1, 5919, '\P{Blk=-	Hanunoo}', "");
Expect(0, 5919, '\P{^Blk=-	Hanunoo}', "");
Error('\p{Is_Block=-Hanunoo/a/}');
Error('\P{Is_Block=-Hanunoo/a/}');
Expect(1, 5951, '\p{Is_Block=hanunoo}', "");
Expect(0, 5951, '\p{^Is_Block=hanunoo}', "");
Expect(0, 5951, '\P{Is_Block=hanunoo}', "");
Expect(1, 5951, '\P{^Is_Block=hanunoo}', "");
Expect(0, 5919, '\p{Is_Block=hanunoo}', "");
Expect(1, 5919, '\p{^Is_Block=hanunoo}', "");
Expect(1, 5919, '\P{Is_Block=hanunoo}', "");
Expect(0, 5919, '\P{^Is_Block=hanunoo}', "");
Expect(1, 5951, '\p{Is_Block=HANUNOO}', "");
Expect(0, 5951, '\p{^Is_Block=HANUNOO}', "");
Expect(0, 5951, '\P{Is_Block=HANUNOO}', "");
Expect(1, 5951, '\P{^Is_Block=HANUNOO}', "");
Expect(0, 5919, '\p{Is_Block=HANUNOO}', "");
Expect(1, 5919, '\p{^Is_Block=HANUNOO}', "");
Expect(1, 5919, '\P{Is_Block=HANUNOO}', "");
Expect(0, 5919, '\P{^Is_Block=HANUNOO}', "");
Error('\p{Is_Blk= 	HANUNOO:=}');
Error('\P{Is_Blk= 	HANUNOO:=}');
Expect(1, 5951, '\p{Is_Blk=hanunoo}', "");
Expect(0, 5951, '\p{^Is_Blk=hanunoo}', "");
Expect(0, 5951, '\P{Is_Blk=hanunoo}', "");
Expect(1, 5951, '\P{^Is_Blk=hanunoo}', "");
Expect(0, 5919, '\p{Is_Blk=hanunoo}', "");
Expect(1, 5919, '\p{^Is_Blk=hanunoo}', "");
Expect(1, 5919, '\P{Is_Blk=hanunoo}', "");
Expect(0, 5919, '\P{^Is_Blk=hanunoo}', "");
Expect(1, 5951, '\p{Is_Blk=-	Hanunoo}', "");
Expect(0, 5951, '\p{^Is_Blk=-	Hanunoo}', "");
Expect(0, 5951, '\P{Is_Blk=-	Hanunoo}', "");
Expect(1, 5951, '\P{^Is_Blk=-	Hanunoo}', "");
Expect(0, 5919, '\p{Is_Blk=-	Hanunoo}', "");
Expect(1, 5919, '\p{^Is_Blk=-	Hanunoo}', "");
Expect(1, 5919, '\P{Is_Blk=-	Hanunoo}', "");
Expect(0, 5919, '\P{^Is_Blk=-	Hanunoo}', "");
Error('\p{Block=_Low:=SURROGATES}');
Error('\P{Block=_Low:=SURROGATES}');
Expect(0, 1, '\p{Block:   lowsurrogates}', "");
Expect(1, 1, '\p{^Block:   lowsurrogates}', "");
Expect(1, 1, '\P{Block:   lowsurrogates}', "");
Expect(0, 1, '\P{^Block:   lowsurrogates}', "");
Expect(0, 1, '\p{Block=	Low_Surrogates}', "");
Expect(1, 1, '\p{^Block=	Low_Surrogates}', "");
Expect(1, 1, '\P{Block=	Low_Surrogates}', "");
Expect(0, 1, '\P{^Block=	Low_Surrogates}', "");
Error('\p{Blk:   _lowSURROGATES:=}');
Error('\P{Blk:   _lowSURROGATES:=}');
Expect(0, 1, '\p{Blk=lowsurrogates}', "");
Expect(1, 1, '\p{^Blk=lowsurrogates}', "");
Expect(1, 1, '\P{Blk=lowsurrogates}', "");
Expect(0, 1, '\P{^Blk=lowsurrogates}', "");
Expect(0, 1, '\p{Blk=	Low_Surrogates}', "");
Expect(1, 1, '\p{^Blk=	Low_Surrogates}', "");
Expect(1, 1, '\P{Blk=	Low_Surrogates}', "");
Expect(0, 1, '\P{^Blk=	Low_Surrogates}', "");
Error('\p{Is_Block= /a/LOW-Surrogates}');
Error('\P{Is_Block= /a/LOW-Surrogates}');
Expect(0, 1, '\p{Is_Block:lowsurrogates}', "");
Expect(1, 1, '\p{^Is_Block:lowsurrogates}', "");
Expect(1, 1, '\P{Is_Block:lowsurrogates}', "");
Expect(0, 1, '\P{^Is_Block:lowsurrogates}', "");
Expect(0, 1, '\p{Is_Block= Low_surrogates}', "");
Expect(1, 1, '\p{^Is_Block= Low_surrogates}', "");
Expect(1, 1, '\P{Is_Block= Low_surrogates}', "");
Expect(0, 1, '\P{^Is_Block= Low_surrogates}', "");
Error('\p{Is_Blk= -LOW:=surrogates}');
Error('\P{Is_Blk= -LOW:=surrogates}');
Expect(0, 1, '\p{Is_Blk=lowsurrogates}', "");
Expect(1, 1, '\p{^Is_Blk=lowsurrogates}', "");
Expect(1, 1, '\P{Is_Blk=lowsurrogates}', "");
Expect(0, 1, '\P{^Is_Blk=lowsurrogates}', "");
Expect(0, 1, '\p{Is_Blk=Low SURROGATES}', "");
Expect(1, 1, '\p{^Is_Blk=Low SURROGATES}', "");
Expect(1, 1, '\P{Is_Blk=Low SURROGATES}', "");
Expect(0, 1, '\P{^Is_Blk=Low SURROGATES}', "");
Error('\p{Block: /a/ KATAKANA}');
Error('\P{Block: /a/ KATAKANA}');
Expect(1, 12543, '\p{Block=katakana}', "");
Expect(0, 12543, '\p{^Block=katakana}', "");
Expect(0, 12543, '\P{Block=katakana}', "");
Expect(1, 12543, '\P{^Block=katakana}', "");
Expect(0, 12447, '\p{Block=katakana}', "");
Expect(1, 12447, '\p{^Block=katakana}', "");
Expect(1, 12447, '\P{Block=katakana}', "");
Expect(0, 12447, '\P{^Block=katakana}', "");
Expect(1, 12543, '\p{Block=-Katakana}', "");
Expect(0, 12543, '\p{^Block=-Katakana}', "");
Expect(0, 12543, '\P{Block=-Katakana}', "");
Expect(1, 12543, '\P{^Block=-Katakana}', "");
Expect(0, 12447, '\p{Block=-Katakana}', "");
Expect(1, 12447, '\p{^Block=-Katakana}', "");
Expect(1, 12447, '\P{Block=-Katakana}', "");
Expect(0, 12447, '\P{^Block=-Katakana}', "");
Error('\p{Blk=/a/-KATAKANA}');
Error('\P{Blk=/a/-KATAKANA}');
Expect(1, 12543, '\p{Blk=katakana}', "");
Expect(0, 12543, '\p{^Blk=katakana}', "");
Expect(0, 12543, '\P{Blk=katakana}', "");
Expect(1, 12543, '\P{^Blk=katakana}', "");
Expect(0, 12447, '\p{Blk=katakana}', "");
Expect(1, 12447, '\p{^Blk=katakana}', "");
Expect(1, 12447, '\P{Blk=katakana}', "");
Expect(0, 12447, '\P{^Blk=katakana}', "");
Expect(1, 12543, '\p{Blk:   Katakana}', "");
Expect(0, 12543, '\p{^Blk:   Katakana}', "");
Expect(0, 12543, '\P{Blk:   Katakana}', "");
Expect(1, 12543, '\P{^Blk:   Katakana}', "");
Expect(0, 12447, '\p{Blk:   Katakana}', "");
Expect(1, 12447, '\p{^Blk:   Katakana}', "");
Expect(1, 12447, '\P{Blk:   Katakana}', "");
Expect(0, 12447, '\P{^Blk:   Katakana}', "");
Error('\p{Is_Block=/a/--Katakana}');
Error('\P{Is_Block=/a/--Katakana}');
Expect(1, 12543, '\p{Is_Block=katakana}', "");
Expect(0, 12543, '\p{^Is_Block=katakana}', "");
Expect(0, 12543, '\P{Is_Block=katakana}', "");
Expect(1, 12543, '\P{^Is_Block=katakana}', "");
Expect(0, 12447, '\p{Is_Block=katakana}', "");
Expect(1, 12447, '\p{^Is_Block=katakana}', "");
Expect(1, 12447, '\P{Is_Block=katakana}', "");
Expect(0, 12447, '\P{^Is_Block=katakana}', "");
Expect(1, 12543, '\p{Is_Block=-	katakana}', "");
Expect(0, 12543, '\p{^Is_Block=-	katakana}', "");
Expect(0, 12543, '\P{Is_Block=-	katakana}', "");
Expect(1, 12543, '\P{^Is_Block=-	katakana}', "");
Expect(0, 12447, '\p{Is_Block=-	katakana}', "");
Expect(1, 12447, '\p{^Is_Block=-	katakana}', "");
Expect(1, 12447, '\P{Is_Block=-	katakana}', "");
Expect(0, 12447, '\P{^Is_Block=-	katakana}', "");
Error('\p{Is_Blk=:=KATAKANA}');
Error('\P{Is_Blk=:=KATAKANA}');
Expect(1, 12543, '\p{Is_Blk=katakana}', "");
Expect(0, 12543, '\p{^Is_Blk=katakana}', "");
Expect(0, 12543, '\P{Is_Blk=katakana}', "");
Expect(1, 12543, '\P{^Is_Blk=katakana}', "");
Expect(0, 12447, '\p{Is_Blk=katakana}', "");
Expect(1, 12447, '\p{^Is_Blk=katakana}', "");
Expect(1, 12447, '\P{Is_Blk=katakana}', "");
Expect(0, 12447, '\P{^Is_Blk=katakana}', "");
Expect(1, 12543, '\p{Is_Blk= -Katakana}', "");
Expect(0, 12543, '\p{^Is_Blk= -Katakana}', "");
Expect(0, 12543, '\P{Is_Blk= -Katakana}', "");
Expect(1, 12543, '\P{^Is_Blk= -Katakana}', "");
Expect(0, 12447, '\p{Is_Blk= -Katakana}', "");
Expect(1, 12447, '\p{^Is_Blk= -Katakana}', "");
Expect(1, 12447, '\P{Is_Blk= -Katakana}', "");
Expect(0, 12447, '\P{^Is_Blk= -Katakana}', "");
Error('\p{Block=_	Cuneiform/a/}');
Error('\P{Block=_	Cuneiform/a/}');
Expect(1, 74751, '\p{Block=cuneiform}', "");
Expect(0, 74751, '\p{^Block=cuneiform}', "");
Expect(0, 74751, '\P{Block=cuneiform}', "");
Expect(1, 74751, '\P{^Block=cuneiform}', "");
Expect(0, 73727, '\p{Block=cuneiform}', "");
Expect(1, 73727, '\p{^Block=cuneiform}', "");
Expect(1, 73727, '\P{Block=cuneiform}', "");
Expect(0, 73727, '\P{^Block=cuneiform}', "");
Expect(1, 74751, '\p{Block=_Cuneiform}', "");
Expect(0, 74751, '\p{^Block=_Cuneiform}', "");
Expect(0, 74751, '\P{Block=_Cuneiform}', "");
Expect(1, 74751, '\P{^Block=_Cuneiform}', "");
Expect(0, 73727, '\p{Block=_Cuneiform}', "");
Expect(1, 73727, '\p{^Block=_Cuneiform}', "");
Expect(1, 73727, '\P{Block=_Cuneiform}', "");
Expect(0, 73727, '\P{^Block=_Cuneiform}', "");
Error('\p{Blk=	CUNEIFORM/a/}');
Error('\P{Blk=	CUNEIFORM/a/}');
Expect(1, 74751, '\p{Blk=cuneiform}', "");
Expect(0, 74751, '\p{^Blk=cuneiform}', "");
Expect(0, 74751, '\P{Blk=cuneiform}', "");
Expect(1, 74751, '\P{^Blk=cuneiform}', "");
Expect(0, 73727, '\p{Blk=cuneiform}', "");
Expect(1, 73727, '\p{^Blk=cuneiform}', "");
Expect(1, 73727, '\P{Blk=cuneiform}', "");
Expect(0, 73727, '\P{^Blk=cuneiform}', "");
Expect(1, 74751, '\p{Blk:	_cuneiform}', "");
Expect(0, 74751, '\p{^Blk:	_cuneiform}', "");
Expect(0, 74751, '\P{Blk:	_cuneiform}', "");
Expect(1, 74751, '\P{^Blk:	_cuneiform}', "");
Expect(0, 73727, '\p{Blk:	_cuneiform}', "");
Expect(1, 73727, '\p{^Blk:	_cuneiform}', "");
Expect(1, 73727, '\P{Blk:	_cuneiform}', "");
Expect(0, 73727, '\P{^Blk:	_cuneiform}', "");
Error('\p{Is_Block=:=_-cuneiform}');
Error('\P{Is_Block=:=_-cuneiform}');
Expect(1, 74751, '\p{Is_Block=cuneiform}', "");
Expect(0, 74751, '\p{^Is_Block=cuneiform}', "");
Expect(0, 74751, '\P{Is_Block=cuneiform}', "");
Expect(1, 74751, '\P{^Is_Block=cuneiform}', "");
Expect(0, 73727, '\p{Is_Block=cuneiform}', "");
Expect(1, 73727, '\p{^Is_Block=cuneiform}', "");
Expect(1, 73727, '\P{Is_Block=cuneiform}', "");
Expect(0, 73727, '\P{^Is_Block=cuneiform}', "");
Expect(1, 74751, '\p{Is_Block=-	CUNEIFORM}', "");
Expect(0, 74751, '\p{^Is_Block=-	CUNEIFORM}', "");
Expect(0, 74751, '\P{Is_Block=-	CUNEIFORM}', "");
Expect(1, 74751, '\P{^Is_Block=-	CUNEIFORM}', "");
Expect(0, 73727, '\p{Is_Block=-	CUNEIFORM}', "");
Expect(1, 73727, '\p{^Is_Block=-	CUNEIFORM}', "");
Expect(1, 73727, '\P{Is_Block=-	CUNEIFORM}', "");
Expect(0, 73727, '\P{^Is_Block=-	CUNEIFORM}', "");
Error('\p{Is_Blk=:=-Cuneiform}');
Error('\P{Is_Blk=:=-Cuneiform}');
Expect(1, 74751, '\p{Is_Blk=cuneiform}', "");
Expect(0, 74751, '\p{^Is_Blk=cuneiform}', "");
Expect(0, 74751, '\P{Is_Blk=cuneiform}', "");
Expect(1, 74751, '\P{^Is_Blk=cuneiform}', "");
Expect(0, 73727, '\p{Is_Blk=cuneiform}', "");
Expect(1, 73727, '\p{^Is_Blk=cuneiform}', "");
Expect(1, 73727, '\P{Is_Blk=cuneiform}', "");
Expect(0, 73727, '\P{^Is_Blk=cuneiform}', "");
Expect(1, 74751, '\p{Is_Blk=-	Cuneiform}', "");
Expect(0, 74751, '\p{^Is_Blk=-	Cuneiform}', "");
Expect(0, 74751, '\P{Is_Blk=-	Cuneiform}', "");
Expect(1, 74751, '\P{^Is_Blk=-	Cuneiform}', "");
Expect(0, 73727, '\p{Is_Blk=-	Cuneiform}', "");
Expect(1, 73727, '\p{^Is_Blk=-	Cuneiform}', "");
Expect(1, 73727, '\P{Is_Blk=-	Cuneiform}', "");
Expect(0, 73727, '\P{^Is_Blk=-	Cuneiform}', "");
Error('\p{Block=:=	 HighSurrogates}');
Error('\P{Block=:=	 HighSurrogates}');
Expect(0, 55295, '\p{Block=highsurrogates}', "");
Expect(1, 55295, '\p{^Block=highsurrogates}', "");
Expect(1, 55295, '\P{Block=highsurrogates}', "");
Expect(0, 55295, '\P{^Block=highsurrogates}', "");
Expect(0, 55295, '\p{Block=--high Surrogates}', "");
Expect(1, 55295, '\p{^Block=--high Surrogates}', "");
Expect(1, 55295, '\P{Block=--high Surrogates}', "");
Expect(0, 55295, '\P{^Block=--high Surrogates}', "");
Error('\p{Blk= _High SURROGATES/a/}');
Error('\P{Blk= _High SURROGATES/a/}');
Expect(0, 55295, '\p{Blk=highsurrogates}', "");
Expect(1, 55295, '\p{^Blk=highsurrogates}', "");
Expect(1, 55295, '\P{Blk=highsurrogates}', "");
Expect(0, 55295, '\P{^Blk=highsurrogates}', "");
Expect(0, 55295, '\p{Blk=_High-surrogates}', "");
Expect(1, 55295, '\p{^Blk=_High-surrogates}', "");
Expect(1, 55295, '\P{Blk=_High-surrogates}', "");
Expect(0, 55295, '\P{^Blk=_High-surrogates}', "");
Error('\p{Is_Block:	:=High_Surrogates}');
Error('\P{Is_Block:	:=High_Surrogates}');
Expect(0, 55295, '\p{Is_Block:   highsurrogates}', "");
Expect(1, 55295, '\p{^Is_Block:   highsurrogates}', "");
Expect(1, 55295, '\P{Is_Block:   highsurrogates}', "");
Expect(0, 55295, '\P{^Is_Block:   highsurrogates}', "");
Expect(0, 55295, '\p{Is_Block=-HighSurrogates}', "");
Expect(1, 55295, '\p{^Is_Block=-HighSurrogates}', "");
Expect(1, 55295, '\P{Is_Block=-HighSurrogates}', "");
Expect(0, 55295, '\P{^Is_Block=-HighSurrogates}', "");
Error('\p{Is_Blk=-/a/high	SURROGATES}');
Error('\P{Is_Blk=-/a/high	SURROGATES}');
Expect(0, 55295, '\p{Is_Blk=highsurrogates}', "");
Expect(1, 55295, '\p{^Is_Blk=highsurrogates}', "");
Expect(1, 55295, '\P{Is_Blk=highsurrogates}', "");
Expect(0, 55295, '\P{^Is_Blk=highsurrogates}', "");
Expect(0, 55295, '\p{Is_Blk=- HIGH-SURROGATES}', "");
Expect(1, 55295, '\p{^Is_Blk=- HIGH-SURROGATES}', "");
Expect(1, 55295, '\P{Is_Blk=- HIGH-SURROGATES}', "");
Expect(0, 55295, '\P{^Is_Blk=- HIGH-SURROGATES}', "");
Error('\p{Block=__ruminumeral:=symbols}');
Error('\P{Block=__ruminumeral:=symbols}');
Expect(1, 69247, '\p{Block=ruminumeralsymbols}', "");
Expect(0, 69247, '\p{^Block=ruminumeralsymbols}', "");
Expect(0, 69247, '\P{Block=ruminumeralsymbols}', "");
Expect(1, 69247, '\P{^Block=ruminumeralsymbols}', "");
Expect(0, 69215, '\p{Block=ruminumeralsymbols}', "");
Expect(1, 69215, '\p{^Block=ruminumeralsymbols}', "");
Expect(1, 69215, '\P{Block=ruminumeralsymbols}', "");
Expect(0, 69215, '\P{^Block=ruminumeralsymbols}', "");
Expect(1, 69247, '\p{Block=_RUMI_Numeral_symbols}', "");
Expect(0, 69247, '\p{^Block=_RUMI_Numeral_symbols}', "");
Expect(0, 69247, '\P{Block=_RUMI_Numeral_symbols}', "");
Expect(1, 69247, '\P{^Block=_RUMI_Numeral_symbols}', "");
Expect(0, 69215, '\p{Block=_RUMI_Numeral_symbols}', "");
Expect(1, 69215, '\p{^Block=_RUMI_Numeral_symbols}', "");
Expect(1, 69215, '\P{Block=_RUMI_Numeral_symbols}', "");
Expect(0, 69215, '\P{^Block=_RUMI_Numeral_symbols}', "");
Error('\p{Blk=:=RumiNumeral	Symbols}');
Error('\P{Blk=:=RumiNumeral	Symbols}');
Expect(1, 69247, '\p{Blk=ruminumeralsymbols}', "");
Expect(0, 69247, '\p{^Blk=ruminumeralsymbols}', "");
Expect(0, 69247, '\P{Blk=ruminumeralsymbols}', "");
Expect(1, 69247, '\P{^Blk=ruminumeralsymbols}', "");
Expect(0, 69215, '\p{Blk=ruminumeralsymbols}', "");
Expect(1, 69215, '\p{^Blk=ruminumeralsymbols}', "");
Expect(1, 69215, '\P{Blk=ruminumeralsymbols}', "");
Expect(0, 69215, '\P{^Blk=ruminumeralsymbols}', "");
Expect(1, 69247, '\p{Blk:		_RUMI NUMERAL_symbols}', "");
Expect(0, 69247, '\p{^Blk:		_RUMI NUMERAL_symbols}', "");
Expect(0, 69247, '\P{Blk:		_RUMI NUMERAL_symbols}', "");
Expect(1, 69247, '\P{^Blk:		_RUMI NUMERAL_symbols}', "");
Expect(0, 69215, '\p{Blk:		_RUMI NUMERAL_symbols}', "");
Expect(1, 69215, '\p{^Blk:		_RUMI NUMERAL_symbols}', "");
Expect(1, 69215, '\P{Blk:		_RUMI NUMERAL_symbols}', "");
Expect(0, 69215, '\P{^Blk:		_RUMI NUMERAL_symbols}', "");
Error('\p{Is_Block=-/a/RUMI numeral	Symbols}');
Error('\P{Is_Block=-/a/RUMI numeral	Symbols}');
Expect(1, 69247, '\p{Is_Block=ruminumeralsymbols}', "");
Expect(0, 69247, '\p{^Is_Block=ruminumeralsymbols}', "");
Expect(0, 69247, '\P{Is_Block=ruminumeralsymbols}', "");
Expect(1, 69247, '\P{^Is_Block=ruminumeralsymbols}', "");
Expect(0, 69215, '\p{Is_Block=ruminumeralsymbols}', "");
Expect(1, 69215, '\p{^Is_Block=ruminumeralsymbols}', "");
Expect(1, 69215, '\P{Is_Block=ruminumeralsymbols}', "");
Expect(0, 69215, '\P{^Is_Block=ruminumeralsymbols}', "");
Expect(1, 69247, '\p{Is_Block=-_rumi Numeral-SYMBOLS}', "");
Expect(0, 69247, '\p{^Is_Block=-_rumi Numeral-SYMBOLS}', "");
Expect(0, 69247, '\P{Is_Block=-_rumi Numeral-SYMBOLS}', "");
Expect(1, 69247, '\P{^Is_Block=-_rumi Numeral-SYMBOLS}', "");
Expect(0, 69215, '\p{Is_Block=-_rumi Numeral-SYMBOLS}', "");
Expect(1, 69215, '\p{^Is_Block=-_rumi Numeral-SYMBOLS}', "");
Expect(1, 69215, '\P{Is_Block=-_rumi Numeral-SYMBOLS}', "");
Expect(0, 69215, '\P{^Is_Block=-_rumi Numeral-SYMBOLS}', "");
Error('\p{Is_Blk=_	Rumi/a/NUMERAL Symbols}');
Error('\P{Is_Blk=_	Rumi/a/NUMERAL Symbols}');
Expect(1, 69247, '\p{Is_Blk=ruminumeralsymbols}', "");
Expect(0, 69247, '\p{^Is_Blk=ruminumeralsymbols}', "");
Expect(0, 69247, '\P{Is_Blk=ruminumeralsymbols}', "");
Expect(1, 69247, '\P{^Is_Blk=ruminumeralsymbols}', "");
Expect(0, 69215, '\p{Is_Blk=ruminumeralsymbols}', "");
Expect(1, 69215, '\p{^Is_Blk=ruminumeralsymbols}', "");
Expect(1, 69215, '\P{Is_Blk=ruminumeralsymbols}', "");
Expect(0, 69215, '\P{^Is_Blk=ruminumeralsymbols}', "");
Expect(1, 69247, '\p{Is_Blk=_	rumi NUMERALSYMBOLS}', "");
Expect(0, 69247, '\p{^Is_Blk=_	rumi NUMERALSYMBOLS}', "");
Expect(0, 69247, '\P{Is_Blk=_	rumi NUMERALSYMBOLS}', "");
Expect(1, 69247, '\P{^Is_Blk=_	rumi NUMERALSYMBOLS}', "");
Expect(0, 69215, '\p{Is_Blk=_	rumi NUMERALSYMBOLS}', "");
Expect(1, 69215, '\p{^Is_Blk=_	rumi NUMERALSYMBOLS}', "");
Expect(1, 69215, '\P{Is_Blk=_	rumi NUMERALSYMBOLS}', "");
Expect(0, 69215, '\P{^Is_Blk=_	rumi NUMERALSYMBOLS}', "");
Error('\p{Block= -VariationSELECTORS/a/Supplement}');
Error('\P{Block= -VariationSELECTORS/a/Supplement}');
Expect(1, 917999, '\p{Block:	variationselectorssupplement}', "");
Expect(0, 917999, '\p{^Block:	variationselectorssupplement}', "");
Expect(0, 917999, '\P{Block:	variationselectorssupplement}', "");
Expect(1, 917999, '\P{^Block:	variationselectorssupplement}', "");
Expect(0, 917759, '\p{Block:	variationselectorssupplement}', "");
Expect(1, 917759, '\p{^Block:	variationselectorssupplement}', "");
Expect(1, 917759, '\P{Block:	variationselectorssupplement}', "");
Expect(0, 917759, '\P{^Block:	variationselectorssupplement}', "");
Expect(1, 917999, '\p{Block=--Variation Selectors_SUPPLEMENT}', "");
Expect(0, 917999, '\p{^Block=--Variation Selectors_SUPPLEMENT}', "");
Expect(0, 917999, '\P{Block=--Variation Selectors_SUPPLEMENT}', "");
Expect(1, 917999, '\P{^Block=--Variation Selectors_SUPPLEMENT}', "");
Expect(0, 917759, '\p{Block=--Variation Selectors_SUPPLEMENT}', "");
Expect(1, 917759, '\p{^Block=--Variation Selectors_SUPPLEMENT}', "");
Expect(1, 917759, '\P{Block=--Variation Selectors_SUPPLEMENT}', "");
Expect(0, 917759, '\P{^Block=--Variation Selectors_SUPPLEMENT}', "");
Error('\p{Blk=-/a/VariationSELECTORS-supplement}');
Error('\P{Blk=-/a/VariationSELECTORS-supplement}');
Expect(1, 917999, '\p{Blk=variationselectorssupplement}', "");
Expect(0, 917999, '\p{^Blk=variationselectorssupplement}', "");
Expect(0, 917999, '\P{Blk=variationselectorssupplement}', "");
Expect(1, 917999, '\P{^Blk=variationselectorssupplement}', "");
Expect(0, 917759, '\p{Blk=variationselectorssupplement}', "");
Expect(1, 917759, '\p{^Blk=variationselectorssupplement}', "");
Expect(1, 917759, '\P{Blk=variationselectorssupplement}', "");
Expect(0, 917759, '\P{^Blk=variationselectorssupplement}', "");
Expect(1, 917999, '\p{Blk=-_VARIATION	SELECTORS Supplement}', "");
Expect(0, 917999, '\p{^Blk=-_VARIATION	SELECTORS Supplement}', "");
Expect(0, 917999, '\P{Blk=-_VARIATION	SELECTORS Supplement}', "");
Expect(1, 917999, '\P{^Blk=-_VARIATION	SELECTORS Supplement}', "");
Expect(0, 917759, '\p{Blk=-_VARIATION	SELECTORS Supplement}', "");
Expect(1, 917759, '\p{^Blk=-_VARIATION	SELECTORS Supplement}', "");
Expect(1, 917759, '\P{Blk=-_VARIATION	SELECTORS Supplement}', "");
Expect(0, 917759, '\P{^Blk=-_VARIATION	SELECTORS Supplement}', "");
Error('\p{Is_Block: _Variation-SELECTORS Supplement:=}');
Error('\P{Is_Block: _Variation-SELECTORS Supplement:=}');
Expect(1, 917999, '\p{Is_Block=variationselectorssupplement}', "");
Expect(0, 917999, '\p{^Is_Block=variationselectorssupplement}', "");
Expect(0, 917999, '\P{Is_Block=variationselectorssupplement}', "");
Expect(1, 917999, '\P{^Is_Block=variationselectorssupplement}', "");
Expect(0, 917759, '\p{Is_Block=variationselectorssupplement}', "");
Expect(1, 917759, '\p{^Is_Block=variationselectorssupplement}', "");
Expect(1, 917759, '\P{Is_Block=variationselectorssupplement}', "");
Expect(0, 917759, '\P{^Is_Block=variationselectorssupplement}', "");
Expect(1, 917999, '\p{Is_Block=	variationSELECTORSSupplement}', "");
Expect(0, 917999, '\p{^Is_Block=	variationSELECTORSSupplement}', "");
Expect(0, 917999, '\P{Is_Block=	variationSELECTORSSupplement}', "");
Expect(1, 917999, '\P{^Is_Block=	variationSELECTORSSupplement}', "");
Expect(0, 917759, '\p{Is_Block=	variationSELECTORSSupplement}', "");
Expect(1, 917759, '\p{^Is_Block=	variationSELECTORSSupplement}', "");
Expect(1, 917759, '\P{Is_Block=	variationSELECTORSSupplement}', "");
Expect(0, 917759, '\P{^Is_Block=	variationSELECTORSSupplement}', "");
Error('\p{Is_Blk=:= 	variation-Selectors-Supplement}');
Error('\P{Is_Blk=:= 	variation-Selectors-Supplement}');
Expect(1, 917999, '\p{Is_Blk: variationselectorssupplement}', "");
Expect(0, 917999, '\p{^Is_Blk: variationselectorssupplement}', "");
Expect(0, 917999, '\P{Is_Blk: variationselectorssupplement}', "");
Expect(1, 917999, '\P{^Is_Blk: variationselectorssupplement}', "");
Expect(0, 917759, '\p{Is_Blk: variationselectorssupplement}', "");
Expect(1, 917759, '\p{^Is_Blk: variationselectorssupplement}', "");
Expect(1, 917759, '\P{Is_Blk: variationselectorssupplement}', "");
Expect(0, 917759, '\P{^Is_Blk: variationselectorssupplement}', "");
Expect(1, 917999, '\p{Is_Blk= -variation-SELECTORS-supplement}', "");
Expect(0, 917999, '\p{^Is_Blk= -variation-SELECTORS-supplement}', "");
Expect(0, 917999, '\P{Is_Blk= -variation-SELECTORS-supplement}', "");
Expect(1, 917999, '\P{^Is_Blk= -variation-SELECTORS-supplement}', "");
Expect(0, 917759, '\p{Is_Blk= -variation-SELECTORS-supplement}', "");
Expect(1, 917759, '\p{^Is_Blk= -variation-SELECTORS-supplement}', "");
Expect(1, 917759, '\P{Is_Blk= -variation-SELECTORS-supplement}', "");
Expect(0, 917759, '\P{^Is_Blk= -variation-SELECTORS-supplement}', "");
Error('\p{Block=_:=Georgian_Supplement}');
Error('\P{Block=_:=Georgian_Supplement}');
Expect(1, 11567, '\p{Block=georgiansupplement}', "");
Expect(0, 11567, '\p{^Block=georgiansupplement}', "");
Expect(0, 11567, '\P{Block=georgiansupplement}', "");
Expect(1, 11567, '\P{^Block=georgiansupplement}', "");
Expect(0, 11519, '\p{Block=georgiansupplement}', "");
Expect(1, 11519, '\p{^Block=georgiansupplement}', "");
Expect(1, 11519, '\P{Block=georgiansupplement}', "");
Expect(0, 11519, '\P{^Block=georgiansupplement}', "");
Expect(1, 11567, '\p{Block=- GEORGIAN	Supplement}', "");
Expect(0, 11567, '\p{^Block=- GEORGIAN	Supplement}', "");
Expect(0, 11567, '\P{Block=- GEORGIAN	Supplement}', "");
Expect(1, 11567, '\P{^Block=- GEORGIAN	Supplement}', "");
Expect(0, 11519, '\p{Block=- GEORGIAN	Supplement}', "");
Expect(1, 11519, '\p{^Block=- GEORGIAN	Supplement}', "");
Expect(1, 11519, '\P{Block=- GEORGIAN	Supplement}', "");
Expect(0, 11519, '\P{^Block=- GEORGIAN	Supplement}', "");
Error('\p{Blk=_/a/georgian-SUPPLEMENT}');
Error('\P{Blk=_/a/georgian-SUPPLEMENT}');
Expect(1, 11567, '\p{Blk:   georgiansupplement}', "");
Expect(0, 11567, '\p{^Blk:   georgiansupplement}', "");
Expect(0, 11567, '\P{Blk:   georgiansupplement}', "");
Expect(1, 11567, '\P{^Blk:   georgiansupplement}', "");
Expect(0, 11519, '\p{Blk:   georgiansupplement}', "");
Expect(1, 11519, '\p{^Blk:   georgiansupplement}', "");
Expect(1, 11519, '\P{Blk:   georgiansupplement}', "");
Expect(0, 11519, '\P{^Blk:   georgiansupplement}', "");
Expect(1, 11567, '\p{Blk=	-Georgian Supplement}', "");
Expect(0, 11567, '\p{^Blk=	-Georgian Supplement}', "");
Expect(0, 11567, '\P{Blk=	-Georgian Supplement}', "");
Expect(1, 11567, '\P{^Blk=	-Georgian Supplement}', "");
Expect(0, 11519, '\p{Blk=	-Georgian Supplement}', "");
Expect(1, 11519, '\p{^Blk=	-Georgian Supplement}', "");
Expect(1, 11519, '\P{Blk=	-Georgian Supplement}', "");
Expect(0, 11519, '\P{^Blk=	-Georgian Supplement}', "");
Error('\p{Is_Block:   Georgian:=SUPPLEMENT}');
Error('\P{Is_Block:   Georgian:=SUPPLEMENT}');
Expect(1, 11567, '\p{Is_Block=georgiansupplement}', "");
Expect(0, 11567, '\p{^Is_Block=georgiansupplement}', "");
Expect(0, 11567, '\P{Is_Block=georgiansupplement}', "");
Expect(1, 11567, '\P{^Is_Block=georgiansupplement}', "");
Expect(0, 11519, '\p{Is_Block=georgiansupplement}', "");
Expect(1, 11519, '\p{^Is_Block=georgiansupplement}', "");
Expect(1, 11519, '\P{Is_Block=georgiansupplement}', "");
Expect(0, 11519, '\P{^Is_Block=georgiansupplement}', "");
Expect(1, 11567, '\p{Is_Block=--Georgian_Supplement}', "");
Expect(0, 11567, '\p{^Is_Block=--Georgian_Supplement}', "");
Expect(0, 11567, '\P{Is_Block=--Georgian_Supplement}', "");
Expect(1, 11567, '\P{^Is_Block=--Georgian_Supplement}', "");
Expect(0, 11519, '\p{Is_Block=--Georgian_Supplement}', "");
Expect(1, 11519, '\p{^Is_Block=--Georgian_Supplement}', "");
Expect(1, 11519, '\P{Is_Block=--Georgian_Supplement}', "");
Expect(0, 11519, '\P{^Is_Block=--Georgian_Supplement}', "");
Error('\p{Is_Blk=_Georgian	Supplement/a/}');
Error('\P{Is_Blk=_Georgian	Supplement/a/}');
Expect(1, 11567, '\p{Is_Blk=georgiansupplement}', "");
Expect(0, 11567, '\p{^Is_Blk=georgiansupplement}', "");
Expect(0, 11567, '\P{Is_Blk=georgiansupplement}', "");
Expect(1, 11567, '\P{^Is_Blk=georgiansupplement}', "");
Expect(0, 11519, '\p{Is_Blk=georgiansupplement}', "");
Expect(1, 11519, '\p{^Is_Blk=georgiansupplement}', "");
Expect(1, 11519, '\P{Is_Blk=georgiansupplement}', "");
Expect(0, 11519, '\P{^Is_Blk=georgiansupplement}', "");
Expect(1, 11567, '\p{Is_Blk=Georgian	supplement}', "");
Expect(0, 11567, '\p{^Is_Blk=Georgian	supplement}', "");
Expect(0, 11567, '\P{Is_Blk=Georgian	supplement}', "");
Expect(1, 11567, '\P{^Is_Blk=Georgian	supplement}', "");
Expect(0, 11519, '\p{Is_Blk=Georgian	supplement}', "");
Expect(1, 11519, '\p{^Is_Blk=Georgian	supplement}', "");
Expect(1, 11519, '\P{Is_Blk=Georgian	supplement}', "");
Expect(0, 11519, '\P{^Is_Blk=Georgian	supplement}', "");
Error('\p{Block=_-Myanmar/a/}');
Error('\P{Block=_-Myanmar/a/}');
Expect(1, 4255, '\p{Block=myanmar}', "");
Expect(0, 4255, '\p{^Block=myanmar}', "");
Expect(0, 4255, '\P{Block=myanmar}', "");
Expect(1, 4255, '\P{^Block=myanmar}', "");
Expect(0, 4095, '\p{Block=myanmar}', "");
Expect(1, 4095, '\p{^Block=myanmar}', "");
Expect(1, 4095, '\P{Block=myanmar}', "");
Expect(0, 4095, '\P{^Block=myanmar}', "");
Expect(1, 4255, '\p{Block:   _MYANMAR}', "");
Expect(0, 4255, '\p{^Block:   _MYANMAR}', "");
Expect(0, 4255, '\P{Block:   _MYANMAR}', "");
Expect(1, 4255, '\P{^Block:   _MYANMAR}', "");
Expect(0, 4095, '\p{Block:   _MYANMAR}', "");
Expect(1, 4095, '\p{^Block:   _MYANMAR}', "");
Expect(1, 4095, '\P{Block:   _MYANMAR}', "");
Expect(0, 4095, '\P{^Block:   _MYANMAR}', "");
Error('\p{Blk=:=_Myanmar}');
Error('\P{Blk=:=_Myanmar}');
Expect(1, 4255, '\p{Blk=myanmar}', "");
Expect(0, 4255, '\p{^Blk=myanmar}', "");
Expect(0, 4255, '\P{Blk=myanmar}', "");
Expect(1, 4255, '\P{^Blk=myanmar}', "");
Expect(0, 4095, '\p{Blk=myanmar}', "");
Expect(1, 4095, '\p{^Blk=myanmar}', "");
Expect(1, 4095, '\P{Blk=myanmar}', "");
Expect(0, 4095, '\P{^Blk=myanmar}', "");
Expect(1, 4255, '\p{Blk=	_Myanmar}', "");
Expect(0, 4255, '\p{^Blk=	_Myanmar}', "");
Expect(0, 4255, '\P{Blk=	_Myanmar}', "");
Expect(1, 4255, '\P{^Blk=	_Myanmar}', "");
Expect(0, 4095, '\p{Blk=	_Myanmar}', "");
Expect(1, 4095, '\p{^Blk=	_Myanmar}', "");
Expect(1, 4095, '\P{Blk=	_Myanmar}', "");
Expect(0, 4095, '\P{^Blk=	_Myanmar}', "");
Error('\p{Is_Block=/a/--Myanmar}');
Error('\P{Is_Block=/a/--Myanmar}');
Expect(1, 4255, '\p{Is_Block=myanmar}', "");
Expect(0, 4255, '\p{^Is_Block=myanmar}', "");
Expect(0, 4255, '\P{Is_Block=myanmar}', "");
Expect(1, 4255, '\P{^Is_Block=myanmar}', "");
Expect(0, 4095, '\p{Is_Block=myanmar}', "");
Expect(1, 4095, '\p{^Is_Block=myanmar}', "");
Expect(1, 4095, '\P{Is_Block=myanmar}', "");
Expect(0, 4095, '\P{^Is_Block=myanmar}', "");
Expect(1, 4255, '\p{Is_Block=_Myanmar}', "");
Expect(0, 4255, '\p{^Is_Block=_Myanmar}', "");
Expect(0, 4255, '\P{Is_Block=_Myanmar}', "");
Expect(1, 4255, '\P{^Is_Block=_Myanmar}', "");
Expect(0, 4095, '\p{Is_Block=_Myanmar}', "");
Expect(1, 4095, '\p{^Is_Block=_Myanmar}', "");
Expect(1, 4095, '\P{Is_Block=_Myanmar}', "");
Expect(0, 4095, '\P{^Is_Block=_Myanmar}', "");
Error('\p{Is_Blk=-Myanmar/a/}');
Error('\P{Is_Blk=-Myanmar/a/}');
Expect(1, 4255, '\p{Is_Blk=myanmar}', "");
Expect(0, 4255, '\p{^Is_Blk=myanmar}', "");
Expect(0, 4255, '\P{Is_Blk=myanmar}', "");
Expect(1, 4255, '\P{^Is_Blk=myanmar}', "");
Expect(0, 4095, '\p{Is_Blk=myanmar}', "");
Expect(1, 4095, '\p{^Is_Blk=myanmar}', "");
Expect(1, 4095, '\P{Is_Blk=myanmar}', "");
Expect(0, 4095, '\P{^Is_Blk=myanmar}', "");
Expect(1, 4255, '\p{Is_Blk: 	MYANMAR}', "");
Expect(0, 4255, '\p{^Is_Blk: 	MYANMAR}', "");
Expect(0, 4255, '\P{Is_Blk: 	MYANMAR}', "");
Expect(1, 4255, '\P{^Is_Blk: 	MYANMAR}', "");
Expect(0, 4095, '\p{Is_Blk: 	MYANMAR}', "");
Expect(1, 4095, '\p{^Is_Blk: 	MYANMAR}', "");
Expect(1, 4095, '\P{Is_Blk: 	MYANMAR}', "");
Expect(0, 4095, '\P{^Is_Blk: 	MYANMAR}', "");
Error('\p{Block: /a/_Vertical_Forms}');
Error('\P{Block: /a/_Vertical_Forms}');
Expect(1, 65055, '\p{Block=verticalforms}', "");
Expect(0, 65055, '\p{^Block=verticalforms}', "");
Expect(0, 65055, '\P{Block=verticalforms}', "");
Expect(1, 65055, '\P{^Block=verticalforms}', "");
Expect(0, 65039, '\p{Block=verticalforms}', "");
Expect(1, 65039, '\p{^Block=verticalforms}', "");
Expect(1, 65039, '\P{Block=verticalforms}', "");
Expect(0, 65039, '\P{^Block=verticalforms}', "");
Expect(1, 65055, '\p{Block=-	vertical_forms}', "");
Expect(0, 65055, '\p{^Block=-	vertical_forms}', "");
Expect(0, 65055, '\P{Block=-	vertical_forms}', "");
Expect(1, 65055, '\P{^Block=-	vertical_forms}', "");
Expect(0, 65039, '\p{Block=-	vertical_forms}', "");
Expect(1, 65039, '\p{^Block=-	vertical_forms}', "");
Expect(1, 65039, '\P{Block=-	vertical_forms}', "");
Expect(0, 65039, '\P{^Block=-	vertical_forms}', "");
Error('\p{Blk=	-vertical:=Forms}');
Error('\P{Blk=	-vertical:=Forms}');
Expect(1, 65055, '\p{Blk=verticalforms}', "");
Expect(0, 65055, '\p{^Blk=verticalforms}', "");
Expect(0, 65055, '\P{Blk=verticalforms}', "");
Expect(1, 65055, '\P{^Blk=verticalforms}', "");
Expect(0, 65039, '\p{Blk=verticalforms}', "");
Expect(1, 65039, '\p{^Blk=verticalforms}', "");
Expect(1, 65039, '\P{Blk=verticalforms}', "");
Expect(0, 65039, '\P{^Blk=verticalforms}', "");
Expect(1, 65055, '\p{Blk=-VerticalForms}', "");
Expect(0, 65055, '\p{^Blk=-VerticalForms}', "");
Expect(0, 65055, '\P{Blk=-VerticalForms}', "");
Expect(1, 65055, '\P{^Blk=-VerticalForms}', "");
Expect(0, 65039, '\p{Blk=-VerticalForms}', "");
Expect(1, 65039, '\p{^Blk=-VerticalForms}', "");
Expect(1, 65039, '\P{Blk=-VerticalForms}', "");
Expect(0, 65039, '\P{^Blk=-VerticalForms}', "");
Error('\p{Is_Block=	/a/Vertical-forms}');
Error('\P{Is_Block=	/a/Vertical-forms}');
Expect(1, 65055, '\p{Is_Block=verticalforms}', "");
Expect(0, 65055, '\p{^Is_Block=verticalforms}', "");
Expect(0, 65055, '\P{Is_Block=verticalforms}', "");
Expect(1, 65055, '\P{^Is_Block=verticalforms}', "");
Expect(0, 65039, '\p{Is_Block=verticalforms}', "");
Expect(1, 65039, '\p{^Is_Block=verticalforms}', "");
Expect(1, 65039, '\P{Is_Block=verticalforms}', "");
Expect(0, 65039, '\P{^Is_Block=verticalforms}', "");
Expect(1, 65055, '\p{Is_Block= vertical_FORMS}', "");
Expect(0, 65055, '\p{^Is_Block= vertical_FORMS}', "");
Expect(0, 65055, '\P{Is_Block= vertical_FORMS}', "");
Expect(1, 65055, '\P{^Is_Block= vertical_FORMS}', "");
Expect(0, 65039, '\p{Is_Block= vertical_FORMS}', "");
Expect(1, 65039, '\p{^Is_Block= vertical_FORMS}', "");
Expect(1, 65039, '\P{Is_Block= vertical_FORMS}', "");
Expect(0, 65039, '\P{^Is_Block= vertical_FORMS}', "");
Error('\p{Is_Blk=/a/	Vertical	forms}');
Error('\P{Is_Blk=/a/	Vertical	forms}');
Expect(1, 65055, '\p{Is_Blk=verticalforms}', "");
Expect(0, 65055, '\p{^Is_Blk=verticalforms}', "");
Expect(0, 65055, '\P{Is_Blk=verticalforms}', "");
Expect(1, 65055, '\P{^Is_Blk=verticalforms}', "");
Expect(0, 65039, '\p{Is_Blk=verticalforms}', "");
Expect(1, 65039, '\p{^Is_Blk=verticalforms}', "");
Expect(1, 65039, '\P{Is_Blk=verticalforms}', "");
Expect(0, 65039, '\P{^Is_Blk=verticalforms}', "");
Expect(1, 65055, '\p{Is_Blk=_VERTICAL	Forms}', "");
Expect(0, 65055, '\p{^Is_Blk=_VERTICAL	Forms}', "");
Expect(0, 65055, '\P{Is_Blk=_VERTICAL	Forms}', "");
Expect(1, 65055, '\P{^Is_Blk=_VERTICAL	Forms}', "");
Expect(0, 65039, '\p{Is_Blk=_VERTICAL	Forms}', "");
Expect(1, 65039, '\p{^Is_Blk=_VERTICAL	Forms}', "");
Expect(1, 65039, '\P{Is_Blk=_VERTICAL	Forms}', "");
Expect(0, 65039, '\P{^Is_Blk=_VERTICAL	Forms}', "");
Error('\p{Block=:=-	Kaithi}');
Error('\P{Block=:=-	Kaithi}');
Expect(1, 69839, '\p{Block=kaithi}', "");
Expect(0, 69839, '\p{^Block=kaithi}', "");
Expect(0, 69839, '\P{Block=kaithi}', "");
Expect(1, 69839, '\P{^Block=kaithi}', "");
Expect(0, 69759, '\p{Block=kaithi}', "");
Expect(1, 69759, '\p{^Block=kaithi}', "");
Expect(1, 69759, '\P{Block=kaithi}', "");
Expect(0, 69759, '\P{^Block=kaithi}', "");
Expect(1, 69839, '\p{Block=	Kaithi}', "");
Expect(0, 69839, '\p{^Block=	Kaithi}', "");
Expect(0, 69839, '\P{Block=	Kaithi}', "");
Expect(1, 69839, '\P{^Block=	Kaithi}', "");
Expect(0, 69759, '\p{Block=	Kaithi}', "");
Expect(1, 69759, '\p{^Block=	Kaithi}', "");
Expect(1, 69759, '\P{Block=	Kaithi}', "");
Expect(0, 69759, '\P{^Block=	Kaithi}', "");
Error('\p{Blk=/a/ 	KAITHI}');
Error('\P{Blk=/a/ 	KAITHI}');
Expect(1, 69839, '\p{Blk: kaithi}', "");
Expect(0, 69839, '\p{^Blk: kaithi}', "");
Expect(0, 69839, '\P{Blk: kaithi}', "");
Expect(1, 69839, '\P{^Blk: kaithi}', "");
Expect(0, 69759, '\p{Blk: kaithi}', "");
Expect(1, 69759, '\p{^Blk: kaithi}', "");
Expect(1, 69759, '\P{Blk: kaithi}', "");
Expect(0, 69759, '\P{^Blk: kaithi}', "");
Expect(1, 69839, '\p{Blk:	-Kaithi}', "");
Expect(0, 69839, '\p{^Blk:	-Kaithi}', "");
Expect(0, 69839, '\P{Blk:	-Kaithi}', "");
Expect(1, 69839, '\P{^Blk:	-Kaithi}', "");
Expect(0, 69759, '\p{Blk:	-Kaithi}', "");
Expect(1, 69759, '\p{^Blk:	-Kaithi}', "");
Expect(1, 69759, '\P{Blk:	-Kaithi}', "");
Expect(0, 69759, '\P{^Blk:	-Kaithi}', "");
Error('\p{Is_Block=	:=Kaithi}');
Error('\P{Is_Block=	:=Kaithi}');
Expect(1, 69839, '\p{Is_Block=kaithi}', "");
Expect(0, 69839, '\p{^Is_Block=kaithi}', "");
Expect(0, 69839, '\P{Is_Block=kaithi}', "");
Expect(1, 69839, '\P{^Is_Block=kaithi}', "");
Expect(0, 69759, '\p{Is_Block=kaithi}', "");
Expect(1, 69759, '\p{^Is_Block=kaithi}', "");
Expect(1, 69759, '\P{Is_Block=kaithi}', "");
Expect(0, 69759, '\P{^Is_Block=kaithi}', "");
Expect(1, 69839, '\p{Is_Block=- KAITHI}', "");
Expect(0, 69839, '\p{^Is_Block=- KAITHI}', "");
Expect(0, 69839, '\P{Is_Block=- KAITHI}', "");
Expect(1, 69839, '\P{^Is_Block=- KAITHI}', "");
Expect(0, 69759, '\p{Is_Block=- KAITHI}', "");
Expect(1, 69759, '\p{^Is_Block=- KAITHI}', "");
Expect(1, 69759, '\P{Is_Block=- KAITHI}', "");
Expect(0, 69759, '\P{^Is_Block=- KAITHI}', "");
Error('\p{Is_Blk=-/a/kaithi}');
Error('\P{Is_Blk=-/a/kaithi}');
Expect(1, 69839, '\p{Is_Blk=kaithi}', "");
Expect(0, 69839, '\p{^Is_Blk=kaithi}', "");
Expect(0, 69839, '\P{Is_Blk=kaithi}', "");
Expect(1, 69839, '\P{^Is_Blk=kaithi}', "");
Expect(0, 69759, '\p{Is_Blk=kaithi}', "");
Expect(1, 69759, '\p{^Is_Blk=kaithi}', "");
Expect(1, 69759, '\P{Is_Blk=kaithi}', "");
Expect(0, 69759, '\P{^Is_Blk=kaithi}', "");
Expect(1, 69839, '\p{Is_Blk:		KAITHI}', "");
Expect(0, 69839, '\p{^Is_Blk:		KAITHI}', "");
Expect(0, 69839, '\P{Is_Blk:		KAITHI}', "");
Expect(1, 69839, '\P{^Is_Blk:		KAITHI}', "");
Expect(0, 69759, '\p{Is_Blk:		KAITHI}', "");
Expect(1, 69759, '\p{^Is_Blk:		KAITHI}', "");
Expect(1, 69759, '\P{Is_Blk:		KAITHI}', "");
Expect(0, 69759, '\P{^Is_Blk:		KAITHI}', "");
Error('\p{Block=		Sinhala:=}');
Error('\P{Block=		Sinhala:=}');
Expect(1, 3583, '\p{Block: sinhala}', "");
Expect(0, 3583, '\p{^Block: sinhala}', "");
Expect(0, 3583, '\P{Block: sinhala}', "");
Expect(1, 3583, '\P{^Block: sinhala}', "");
Expect(0, 3455, '\p{Block: sinhala}', "");
Expect(1, 3455, '\p{^Block: sinhala}', "");
Expect(1, 3455, '\P{Block: sinhala}', "");
Expect(0, 3455, '\P{^Block: sinhala}', "");
Expect(1, 3583, '\p{Block: 	-Sinhala}', "");
Expect(0, 3583, '\p{^Block: 	-Sinhala}', "");
Expect(0, 3583, '\P{Block: 	-Sinhala}', "");
Expect(1, 3583, '\P{^Block: 	-Sinhala}', "");
Expect(0, 3455, '\p{Block: 	-Sinhala}', "");
Expect(1, 3455, '\p{^Block: 	-Sinhala}', "");
Expect(1, 3455, '\P{Block: 	-Sinhala}', "");
Expect(0, 3455, '\P{^Block: 	-Sinhala}', "");
Error('\p{Blk=:=  Sinhala}');
Error('\P{Blk=:=  Sinhala}');
Expect(1, 3583, '\p{Blk=sinhala}', "");
Expect(0, 3583, '\p{^Blk=sinhala}', "");
Expect(0, 3583, '\P{Blk=sinhala}', "");
Expect(1, 3583, '\P{^Blk=sinhala}', "");
Expect(0, 3455, '\p{Blk=sinhala}', "");
Expect(1, 3455, '\p{^Blk=sinhala}', "");
Expect(1, 3455, '\P{Blk=sinhala}', "");
Expect(0, 3455, '\P{^Blk=sinhala}', "");
Expect(1, 3583, '\p{Blk=Sinhala}', "");
Expect(0, 3583, '\p{^Blk=Sinhala}', "");
Expect(0, 3583, '\P{Blk=Sinhala}', "");
Expect(1, 3583, '\P{^Blk=Sinhala}', "");
Expect(0, 3455, '\p{Blk=Sinhala}', "");
Expect(1, 3455, '\p{^Blk=Sinhala}', "");
Expect(1, 3455, '\P{Blk=Sinhala}', "");
Expect(0, 3455, '\P{^Blk=Sinhala}', "");
Error('\p{Is_Block=:=_-sinhala}');
Error('\P{Is_Block=:=_-sinhala}');
Expect(1, 3583, '\p{Is_Block:sinhala}', "");
Expect(0, 3583, '\p{^Is_Block:sinhala}', "");
Expect(0, 3583, '\P{Is_Block:sinhala}', "");
Expect(1, 3583, '\P{^Is_Block:sinhala}', "");
Expect(0, 3455, '\p{Is_Block:sinhala}', "");
Expect(1, 3455, '\p{^Is_Block:sinhala}', "");
Expect(1, 3455, '\P{Is_Block:sinhala}', "");
Expect(0, 3455, '\P{^Is_Block:sinhala}', "");
Expect(1, 3583, '\p{Is_Block=- sinhala}', "");
Expect(0, 3583, '\p{^Is_Block=- sinhala}', "");
Expect(0, 3583, '\P{Is_Block=- sinhala}', "");
Expect(1, 3583, '\P{^Is_Block=- sinhala}', "");
Expect(0, 3455, '\p{Is_Block=- sinhala}', "");
Expect(1, 3455, '\p{^Is_Block=- sinhala}', "");
Expect(1, 3455, '\P{Is_Block=- sinhala}', "");
Expect(0, 3455, '\P{^Is_Block=- sinhala}', "");
Error('\p{Is_Blk=_:=Sinhala}');
Error('\P{Is_Blk=_:=Sinhala}');
Expect(1, 3583, '\p{Is_Blk:   sinhala}', "");
Expect(0, 3583, '\p{^Is_Blk:   sinhala}', "");
Expect(0, 3583, '\P{Is_Blk:   sinhala}', "");
Expect(1, 3583, '\P{^Is_Blk:   sinhala}', "");
Expect(0, 3455, '\p{Is_Blk:   sinhala}', "");
Expect(1, 3455, '\p{^Is_Blk:   sinhala}', "");
Expect(1, 3455, '\P{Is_Blk:   sinhala}', "");
Expect(0, 3455, '\P{^Is_Blk:   sinhala}', "");
Expect(1, 3583, '\p{Is_Blk= SINHALA}', "");
Expect(0, 3583, '\p{^Is_Blk= SINHALA}', "");
Expect(0, 3583, '\P{Is_Blk= SINHALA}', "");
Expect(1, 3583, '\P{^Is_Blk= SINHALA}', "");
Expect(0, 3455, '\p{Is_Blk= SINHALA}', "");
Expect(1, 3455, '\p{^Is_Blk= SINHALA}', "");
Expect(1, 3455, '\P{Is_Blk= SINHALA}', "");
Expect(0, 3455, '\P{^Is_Blk= SINHALA}', "");
Error('\p{Block=:=	-Glagolitic}');
Error('\P{Block=:=	-Glagolitic}');
Expect(1, 11359, '\p{Block=glagolitic}', "");
Expect(0, 11359, '\p{^Block=glagolitic}', "");
Expect(0, 11359, '\P{Block=glagolitic}', "");
Expect(1, 11359, '\P{^Block=glagolitic}', "");
Expect(0, 11263, '\p{Block=glagolitic}', "");
Expect(1, 11263, '\p{^Block=glagolitic}', "");
Expect(1, 11263, '\P{Block=glagolitic}', "");
Expect(0, 11263, '\P{^Block=glagolitic}', "");
Expect(1, 11359, '\p{Block= Glagolitic}', "");
Expect(0, 11359, '\p{^Block= Glagolitic}', "");
Expect(0, 11359, '\P{Block= Glagolitic}', "");
Expect(1, 11359, '\P{^Block= Glagolitic}', "");
Expect(0, 11263, '\p{Block= Glagolitic}', "");
Expect(1, 11263, '\p{^Block= Glagolitic}', "");
Expect(1, 11263, '\P{Block= Glagolitic}', "");
Expect(0, 11263, '\P{^Block= Glagolitic}', "");
Error('\p{Blk=_-glagolitic/a/}');
Error('\P{Blk=_-glagolitic/a/}');
Expect(1, 11359, '\p{Blk=glagolitic}', "");
Expect(0, 11359, '\p{^Blk=glagolitic}', "");
Expect(0, 11359, '\P{Blk=glagolitic}', "");
Expect(1, 11359, '\P{^Blk=glagolitic}', "");
Expect(0, 11263, '\p{Blk=glagolitic}', "");
Expect(1, 11263, '\p{^Blk=glagolitic}', "");
Expect(1, 11263, '\P{Blk=glagolitic}', "");
Expect(0, 11263, '\P{^Blk=glagolitic}', "");
Expect(1, 11359, '\p{Blk=_	GLAGOLITIC}', "");
Expect(0, 11359, '\p{^Blk=_	GLAGOLITIC}', "");
Expect(0, 11359, '\P{Blk=_	GLAGOLITIC}', "");
Expect(1, 11359, '\P{^Blk=_	GLAGOLITIC}', "");
Expect(0, 11263, '\p{Blk=_	GLAGOLITIC}', "");
Expect(1, 11263, '\p{^Blk=_	GLAGOLITIC}', "");
Expect(1, 11263, '\P{Blk=_	GLAGOLITIC}', "");
Expect(0, 11263, '\P{^Blk=_	GLAGOLITIC}', "");
Error('\p{Is_Block=:= 	Glagolitic}');
Error('\P{Is_Block=:= 	Glagolitic}');
Expect(1, 11359, '\p{Is_Block=glagolitic}', "");
Expect(0, 11359, '\p{^Is_Block=glagolitic}', "");
Expect(0, 11359, '\P{Is_Block=glagolitic}', "");
Expect(1, 11359, '\P{^Is_Block=glagolitic}', "");
Expect(0, 11263, '\p{Is_Block=glagolitic}', "");
Expect(1, 11263, '\p{^Is_Block=glagolitic}', "");
Expect(1, 11263, '\P{Is_Block=glagolitic}', "");
Expect(0, 11263, '\P{^Is_Block=glagolitic}', "");
Expect(1, 11359, '\p{Is_Block= GLAGOLITIC}', "");
Expect(0, 11359, '\p{^Is_Block= GLAGOLITIC}', "");
Expect(0, 11359, '\P{Is_Block= GLAGOLITIC}', "");
Expect(1, 11359, '\P{^Is_Block= GLAGOLITIC}', "");
Expect(0, 11263, '\p{Is_Block= GLAGOLITIC}', "");
Expect(1, 11263, '\p{^Is_Block= GLAGOLITIC}', "");
Expect(1, 11263, '\P{Is_Block= GLAGOLITIC}', "");
Expect(0, 11263, '\P{^Is_Block= GLAGOLITIC}', "");
Error('\p{Is_Blk=:=-GLAGOLITIC}');
Error('\P{Is_Blk=:=-GLAGOLITIC}');
Expect(1, 11359, '\p{Is_Blk=glagolitic}', "");
Expect(0, 11359, '\p{^Is_Blk=glagolitic}', "");
Expect(0, 11359, '\P{Is_Blk=glagolitic}', "");
Expect(1, 11359, '\P{^Is_Blk=glagolitic}', "");
Expect(0, 11263, '\p{Is_Blk=glagolitic}', "");
Expect(1, 11263, '\p{^Is_Blk=glagolitic}', "");
Expect(1, 11263, '\P{Is_Blk=glagolitic}', "");
Expect(0, 11263, '\P{^Is_Blk=glagolitic}', "");
Expect(1, 11359, '\p{Is_Blk=GLAGOLITIC}', "");
Expect(0, 11359, '\p{^Is_Blk=GLAGOLITIC}', "");
Expect(0, 11359, '\P{Is_Blk=GLAGOLITIC}', "");
Expect(1, 11359, '\P{^Is_Blk=GLAGOLITIC}', "");
Expect(0, 11263, '\p{Is_Blk=GLAGOLITIC}', "");
Expect(1, 11263, '\p{^Is_Blk=GLAGOLITIC}', "");
Expect(1, 11263, '\P{Is_Blk=GLAGOLITIC}', "");
Expect(0, 11263, '\P{^Is_Blk=GLAGOLITIC}', "");
Error('\p{Block=	/a/TAGALOG}');
Error('\P{Block=	/a/TAGALOG}');
Expect(1, 5919, '\p{Block=tagalog}', "");
Expect(0, 5919, '\p{^Block=tagalog}', "");
Expect(0, 5919, '\P{Block=tagalog}', "");
Expect(1, 5919, '\P{^Block=tagalog}', "");
Expect(0, 5887, '\p{Block=tagalog}', "");
Expect(1, 5887, '\p{^Block=tagalog}', "");
Expect(1, 5887, '\P{Block=tagalog}', "");
Expect(0, 5887, '\P{^Block=tagalog}', "");
Expect(1, 5919, '\p{Block=-	Tagalog}', "");
Expect(0, 5919, '\p{^Block=-	Tagalog}', "");
Expect(0, 5919, '\P{Block=-	Tagalog}', "");
Expect(1, 5919, '\P{^Block=-	Tagalog}', "");
Expect(0, 5887, '\p{Block=-	Tagalog}', "");
Expect(1, 5887, '\p{^Block=-	Tagalog}', "");
Expect(1, 5887, '\P{Block=-	Tagalog}', "");
Expect(0, 5887, '\P{^Block=-	Tagalog}', "");
Error('\p{Blk: 	/a/tagalog}');
Error('\P{Blk: 	/a/tagalog}');
Expect(1, 5919, '\p{Blk=tagalog}', "");
Expect(0, 5919, '\p{^Blk=tagalog}', "");
Expect(0, 5919, '\P{Blk=tagalog}', "");
Expect(1, 5919, '\P{^Blk=tagalog}', "");
Expect(0, 5887, '\p{Blk=tagalog}', "");
Expect(1, 5887, '\p{^Blk=tagalog}', "");
Expect(1, 5887, '\P{Blk=tagalog}', "");
Expect(0, 5887, '\P{^Blk=tagalog}', "");
Expect(1, 5919, '\p{Blk=	 TAGALOG}', "");
Expect(0, 5919, '\p{^Blk=	 TAGALOG}', "");
Expect(0, 5919, '\P{Blk=	 TAGALOG}', "");
Expect(1, 5919, '\P{^Blk=	 TAGALOG}', "");
Expect(0, 5887, '\p{Blk=	 TAGALOG}', "");
Expect(1, 5887, '\p{^Blk=	 TAGALOG}', "");
Expect(1, 5887, '\P{Blk=	 TAGALOG}', "");
Expect(0, 5887, '\P{^Blk=	 TAGALOG}', "");
Error('\p{Is_Block=	/a/Tagalog}');
Error('\P{Is_Block=	/a/Tagalog}');
Expect(1, 5919, '\p{Is_Block:	tagalog}', "");
Expect(0, 5919, '\p{^Is_Block:	tagalog}', "");
Expect(0, 5919, '\P{Is_Block:	tagalog}', "");
Expect(1, 5919, '\P{^Is_Block:	tagalog}', "");
Expect(0, 5887, '\p{Is_Block:	tagalog}', "");
Expect(1, 5887, '\p{^Is_Block:	tagalog}', "");
Expect(1, 5887, '\P{Is_Block:	tagalog}', "");
Expect(0, 5887, '\P{^Is_Block:	tagalog}', "");
Expect(1, 5919, '\p{Is_Block=	TAGALOG}', "");
Expect(0, 5919, '\p{^Is_Block=	TAGALOG}', "");
Expect(0, 5919, '\P{Is_Block=	TAGALOG}', "");
Expect(1, 5919, '\P{^Is_Block=	TAGALOG}', "");
Expect(0, 5887, '\p{Is_Block=	TAGALOG}', "");
Expect(1, 5887, '\p{^Is_Block=	TAGALOG}', "");
Expect(1, 5887, '\P{Is_Block=	TAGALOG}', "");
Expect(0, 5887, '\P{^Is_Block=	TAGALOG}', "");
Error('\p{Is_Blk=/a/Tagalog}');
Error('\P{Is_Blk=/a/Tagalog}');
Expect(1, 5919, '\p{Is_Blk=tagalog}', "");
Expect(0, 5919, '\p{^Is_Blk=tagalog}', "");
Expect(0, 5919, '\P{Is_Blk=tagalog}', "");
Expect(1, 5919, '\P{^Is_Blk=tagalog}', "");
Expect(0, 5887, '\p{Is_Blk=tagalog}', "");
Expect(1, 5887, '\p{^Is_Blk=tagalog}', "");
Expect(1, 5887, '\P{Is_Blk=tagalog}', "");
Expect(0, 5887, '\P{^Is_Blk=tagalog}', "");
Expect(1, 5919, '\p{Is_Blk= TAGALOG}', "");
Expect(0, 5919, '\p{^Is_Blk= TAGALOG}', "");
Expect(0, 5919, '\P{Is_Blk= TAGALOG}', "");
Expect(1, 5919, '\P{^Is_Blk= TAGALOG}', "");
Expect(0, 5887, '\p{Is_Blk= TAGALOG}', "");
Expect(1, 5887, '\p{^Is_Blk= TAGALOG}', "");
Expect(1, 5887, '\P{Is_Blk= TAGALOG}', "");
Expect(0, 5887, '\P{^Is_Blk= TAGALOG}', "");
Error('\p{Block=/a/	kharoshthi}');
Error('\P{Block=/a/	kharoshthi}');
Expect(1, 68191, '\p{Block=kharoshthi}', "");
Expect(0, 68191, '\p{^Block=kharoshthi}', "");
Expect(0, 68191, '\P{Block=kharoshthi}', "");
Expect(1, 68191, '\P{^Block=kharoshthi}', "");
Expect(0, 68095, '\p{Block=kharoshthi}', "");
Expect(1, 68095, '\p{^Block=kharoshthi}', "");
Expect(1, 68095, '\P{Block=kharoshthi}', "");
Expect(0, 68095, '\P{^Block=kharoshthi}', "");
Expect(1, 68191, '\p{Block=_Kharoshthi}', "");
Expect(0, 68191, '\p{^Block=_Kharoshthi}', "");
Expect(0, 68191, '\P{Block=_Kharoshthi}', "");
Expect(1, 68191, '\P{^Block=_Kharoshthi}', "");
Expect(0, 68095, '\p{Block=_Kharoshthi}', "");
Expect(1, 68095, '\p{^Block=_Kharoshthi}', "");
Expect(1, 68095, '\P{Block=_Kharoshthi}', "");
Expect(0, 68095, '\P{^Block=_Kharoshthi}', "");
Error('\p{Blk:  -KHAROSHTHI/a/}');
Error('\P{Blk:  -KHAROSHTHI/a/}');
Expect(1, 68191, '\p{Blk=kharoshthi}', "");
Expect(0, 68191, '\p{^Blk=kharoshthi}', "");
Expect(0, 68191, '\P{Blk=kharoshthi}', "");
Expect(1, 68191, '\P{^Blk=kharoshthi}', "");
Expect(0, 68095, '\p{Blk=kharoshthi}', "");
Expect(1, 68095, '\p{^Blk=kharoshthi}', "");
Expect(1, 68095, '\P{Blk=kharoshthi}', "");
Expect(0, 68095, '\P{^Blk=kharoshthi}', "");
Expect(1, 68191, '\p{Blk=	-Kharoshthi}', "");
Expect(0, 68191, '\p{^Blk=	-Kharoshthi}', "");
Expect(0, 68191, '\P{Blk=	-Kharoshthi}', "");
Expect(1, 68191, '\P{^Blk=	-Kharoshthi}', "");
Expect(0, 68095, '\p{Blk=	-Kharoshthi}', "");
Expect(1, 68095, '\p{^Blk=	-Kharoshthi}', "");
Expect(1, 68095, '\P{Blk=	-Kharoshthi}', "");
Expect(0, 68095, '\P{^Blk=	-Kharoshthi}', "");
Error('\p{Is_Block= _KHAROSHTHI/a/}');
Error('\P{Is_Block= _KHAROSHTHI/a/}');
Expect(1, 68191, '\p{Is_Block=kharoshthi}', "");
Expect(0, 68191, '\p{^Is_Block=kharoshthi}', "");
Expect(0, 68191, '\P{Is_Block=kharoshthi}', "");
Expect(1, 68191, '\P{^Is_Block=kharoshthi}', "");
Expect(0, 68095, '\p{Is_Block=kharoshthi}', "");
Expect(1, 68095, '\p{^Is_Block=kharoshthi}', "");
Expect(1, 68095, '\P{Is_Block=kharoshthi}', "");
Expect(0, 68095, '\P{^Is_Block=kharoshthi}', "");
Expect(1, 68191, '\p{Is_Block:		KHAROSHTHI}', "");
Expect(0, 68191, '\p{^Is_Block:		KHAROSHTHI}', "");
Expect(0, 68191, '\P{Is_Block:		KHAROSHTHI}', "");
Expect(1, 68191, '\P{^Is_Block:		KHAROSHTHI}', "");
Expect(0, 68095, '\p{Is_Block:		KHAROSHTHI}', "");
Expect(1, 68095, '\p{^Is_Block:		KHAROSHTHI}', "");
Expect(1, 68095, '\P{Is_Block:		KHAROSHTHI}', "");
Expect(0, 68095, '\P{^Is_Block:		KHAROSHTHI}', "");
Error('\p{Is_Blk=/a/ Kharoshthi}');
Error('\P{Is_Blk=/a/ Kharoshthi}');
Expect(1, 68191, '\p{Is_Blk=kharoshthi}', "");
Expect(0, 68191, '\p{^Is_Blk=kharoshthi}', "");
Expect(0, 68191, '\P{Is_Blk=kharoshthi}', "");
Expect(1, 68191, '\P{^Is_Blk=kharoshthi}', "");
Expect(0, 68095, '\p{Is_Blk=kharoshthi}', "");
Expect(1, 68095, '\p{^Is_Blk=kharoshthi}', "");
Expect(1, 68095, '\P{Is_Blk=kharoshthi}', "");
Expect(0, 68095, '\P{^Is_Blk=kharoshthi}', "");
Expect(1, 68191, '\p{Is_Blk=-kharoshthi}', "");
Expect(0, 68191, '\p{^Is_Blk=-kharoshthi}', "");
Expect(0, 68191, '\P{Is_Blk=-kharoshthi}', "");
Expect(1, 68191, '\P{^Is_Blk=-kharoshthi}', "");
Expect(0, 68095, '\p{Is_Blk=-kharoshthi}', "");
Expect(1, 68095, '\p{^Is_Blk=-kharoshthi}', "");
Expect(1, 68095, '\P{Is_Blk=-kharoshthi}', "");
Expect(0, 68095, '\P{^Is_Blk=-kharoshthi}', "");
Error('\p{Block=_Arabic:=Supplement}');
Error('\P{Block=_Arabic:=Supplement}');
Expect(1, 1919, '\p{Block=arabicsupplement}', "");
Expect(0, 1919, '\p{^Block=arabicsupplement}', "");
Expect(0, 1919, '\P{Block=arabicsupplement}', "");
Expect(1, 1919, '\P{^Block=arabicsupplement}', "");
Expect(0, 1871, '\p{Block=arabicsupplement}', "");
Expect(1, 1871, '\p{^Block=arabicsupplement}', "");
Expect(1, 1871, '\P{Block=arabicsupplement}', "");
Expect(0, 1871, '\P{^Block=arabicsupplement}', "");
Expect(1, 1919, '\p{Block:_-ARABICsupplement}', "");
Expect(0, 1919, '\p{^Block:_-ARABICsupplement}', "");
Expect(0, 1919, '\P{Block:_-ARABICsupplement}', "");
Expect(1, 1919, '\P{^Block:_-ARABICsupplement}', "");
Expect(0, 1871, '\p{Block:_-ARABICsupplement}', "");
Expect(1, 1871, '\p{^Block:_-ARABICsupplement}', "");
Expect(1, 1871, '\P{Block:_-ARABICsupplement}', "");
Expect(0, 1871, '\P{^Block:_-ARABICsupplement}', "");
Error('\p{Blk=-:=Arabic Supplement}');
Error('\P{Blk=-:=Arabic Supplement}');
Expect(1, 1919, '\p{Blk:	arabicsupplement}', "");
Expect(0, 1919, '\p{^Blk:	arabicsupplement}', "");
Expect(0, 1919, '\P{Blk:	arabicsupplement}', "");
Expect(1, 1919, '\P{^Blk:	arabicsupplement}', "");
Expect(0, 1871, '\p{Blk:	arabicsupplement}', "");
Expect(1, 1871, '\p{^Blk:	arabicsupplement}', "");
Expect(1, 1871, '\P{Blk:	arabicsupplement}', "");
Expect(0, 1871, '\P{^Blk:	arabicsupplement}', "");
Expect(1, 1919, '\p{Blk=	_ARABIC_Supplement}', "");
Expect(0, 1919, '\p{^Blk=	_ARABIC_Supplement}', "");
Expect(0, 1919, '\P{Blk=	_ARABIC_Supplement}', "");
Expect(1, 1919, '\P{^Blk=	_ARABIC_Supplement}', "");
Expect(0, 1871, '\p{Blk=	_ARABIC_Supplement}', "");
Expect(1, 1871, '\p{^Blk=	_ARABIC_Supplement}', "");
Expect(1, 1871, '\P{Blk=	_ARABIC_Supplement}', "");
Expect(0, 1871, '\P{^Blk=	_ARABIC_Supplement}', "");
Error('\p{Is_Block=  ARABIC:=SUPPLEMENT}');
Error('\P{Is_Block=  ARABIC:=SUPPLEMENT}');
Expect(1, 1919, '\p{Is_Block=arabicsupplement}', "");
Expect(0, 1919, '\p{^Is_Block=arabicsupplement}', "");
Expect(0, 1919, '\P{Is_Block=arabicsupplement}', "");
Expect(1, 1919, '\P{^Is_Block=arabicsupplement}', "");
Expect(0, 1871, '\p{Is_Block=arabicsupplement}', "");
Expect(1, 1871, '\p{^Is_Block=arabicsupplement}', "");
Expect(1, 1871, '\P{Is_Block=arabicsupplement}', "");
Expect(0, 1871, '\P{^Is_Block=arabicsupplement}', "");
Expect(1, 1919, '\p{Is_Block= _ARABICSupplement}', "");
Expect(0, 1919, '\p{^Is_Block= _ARABICSupplement}', "");
Expect(0, 1919, '\P{Is_Block= _ARABICSupplement}', "");
Expect(1, 1919, '\P{^Is_Block= _ARABICSupplement}', "");
Expect(0, 1871, '\p{Is_Block= _ARABICSupplement}', "");
Expect(1, 1871, '\p{^Is_Block= _ARABICSupplement}', "");
Expect(1, 1871, '\P{Is_Block= _ARABICSupplement}', "");
Expect(0, 1871, '\P{^Is_Block= _ARABICSupplement}', "");
Error('\p{Is_Blk:-/a/arabicsupplement}');
Error('\P{Is_Blk:-/a/arabicsupplement}');
Expect(1, 1919, '\p{Is_Blk=arabicsupplement}', "");
Expect(0, 1919, '\p{^Is_Blk=arabicsupplement}', "");
Expect(0, 1919, '\P{Is_Blk=arabicsupplement}', "");
Expect(1, 1919, '\P{^Is_Blk=arabicsupplement}', "");
Expect(0, 1871, '\p{Is_Blk=arabicsupplement}', "");
Expect(1, 1871, '\p{^Is_Blk=arabicsupplement}', "");
Expect(1, 1871, '\P{Is_Blk=arabicsupplement}', "");
Expect(0, 1871, '\P{^Is_Blk=arabicsupplement}', "");
Expect(1, 1919, '\p{Is_Blk:   -	ARABIC Supplement}', "");
Expect(0, 1919, '\p{^Is_Blk:   -	ARABIC Supplement}', "");
Expect(0, 1919, '\P{Is_Blk:   -	ARABIC Supplement}', "");
Expect(1, 1919, '\P{^Is_Blk:   -	ARABIC Supplement}', "");
Expect(0, 1871, '\p{Is_Blk:   -	ARABIC Supplement}', "");
Expect(1, 1871, '\p{^Is_Blk:   -	ARABIC Supplement}', "");
Expect(1, 1871, '\P{Is_Blk:   -	ARABIC Supplement}', "");
Expect(0, 1871, '\P{^Is_Blk:   -	ARABIC Supplement}', "");
Error('\p{Block=_Cuneiform/a/Numbers-AND-Punctuation}');
Error('\P{Block=_Cuneiform/a/Numbers-AND-Punctuation}');
Expect(1, 74879, '\p{Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\p{Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\p{^Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\P{Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\P{^Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{Block=_CUNEIFORM NUMBERS-AND_Punctuation}', "");
Expect(0, 74879, '\p{^Block=_CUNEIFORM NUMBERS-AND_Punctuation}', "");
Expect(0, 74879, '\P{Block=_CUNEIFORM NUMBERS-AND_Punctuation}', "");
Expect(1, 74879, '\P{^Block=_CUNEIFORM NUMBERS-AND_Punctuation}', "");
Expect(0, 74751, '\p{Block=_CUNEIFORM NUMBERS-AND_Punctuation}', "");
Expect(1, 74751, '\p{^Block=_CUNEIFORM NUMBERS-AND_Punctuation}', "");
Expect(1, 74751, '\P{Block=_CUNEIFORM NUMBERS-AND_Punctuation}', "");
Expect(0, 74751, '\P{^Block=_CUNEIFORM NUMBERS-AND_Punctuation}', "");
Error('\p{Blk=_CUNEIFORM	numbers:=and	PUNCTUATION}');
Error('\P{Blk=_CUNEIFORM	numbers:=and	PUNCTUATION}');
Expect(1, 74879, '\p{Blk=cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^Blk=cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{Blk=cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^Blk=cuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\p{Blk=cuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\p{^Blk=cuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\P{Blk=cuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\P{^Blk=cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{Blk=_	Cuneiform Numbers_And	Punctuation}', "");
Expect(0, 74879, '\p{^Blk=_	Cuneiform Numbers_And	Punctuation}', "");
Expect(0, 74879, '\P{Blk=_	Cuneiform Numbers_And	Punctuation}', "");
Expect(1, 74879, '\P{^Blk=_	Cuneiform Numbers_And	Punctuation}', "");
Expect(0, 74751, '\p{Blk=_	Cuneiform Numbers_And	Punctuation}', "");
Expect(1, 74751, '\p{^Blk=_	Cuneiform Numbers_And	Punctuation}', "");
Expect(1, 74751, '\P{Blk=_	Cuneiform Numbers_And	Punctuation}', "");
Expect(0, 74751, '\P{^Blk=_	Cuneiform Numbers_And	Punctuation}', "");
Error('\p{Is_Block=-/a/Cuneiform_Numbers_And	PUNCTUATION}');
Error('\P{Is_Block=-/a/Cuneiform_Numbers_And	PUNCTUATION}');
Expect(1, 74879, '\p{Is_Block:cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^Is_Block:cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{Is_Block:cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^Is_Block:cuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\p{Is_Block:cuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\p{^Is_Block:cuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\P{Is_Block:cuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\P{^Is_Block:cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{Is_Block=	 Cuneiform-NUMBERS andPUNCTUATION}', "");
Expect(0, 74879, '\p{^Is_Block=	 Cuneiform-NUMBERS andPUNCTUATION}', "");
Expect(0, 74879, '\P{Is_Block=	 Cuneiform-NUMBERS andPUNCTUATION}', "");
Expect(1, 74879, '\P{^Is_Block=	 Cuneiform-NUMBERS andPUNCTUATION}', "");
Expect(0, 74751, '\p{Is_Block=	 Cuneiform-NUMBERS andPUNCTUATION}', "");
Expect(1, 74751, '\p{^Is_Block=	 Cuneiform-NUMBERS andPUNCTUATION}', "");
Expect(1, 74751, '\P{Is_Block=	 Cuneiform-NUMBERS andPUNCTUATION}', "");
Expect(0, 74751, '\P{^Is_Block=	 Cuneiform-NUMBERS andPUNCTUATION}', "");
Error('\p{Is_Blk=-:=Cuneiform NumbersAnd_PUNCTUATION}');
Error('\P{Is_Blk=-:=Cuneiform NumbersAnd_PUNCTUATION}');
Expect(1, 74879, '\p{Is_Blk=cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^Is_Blk=cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{Is_Blk=cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^Is_Blk=cuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\p{Is_Blk=cuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\p{^Is_Blk=cuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\P{Is_Blk=cuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\P{^Is_Blk=cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{Is_Blk=	Cuneiformnumbers-and_punctuation}', "");
Expect(0, 74879, '\p{^Is_Blk=	Cuneiformnumbers-and_punctuation}', "");
Expect(0, 74879, '\P{Is_Blk=	Cuneiformnumbers-and_punctuation}', "");
Expect(1, 74879, '\P{^Is_Blk=	Cuneiformnumbers-and_punctuation}', "");
Expect(0, 74751, '\p{Is_Blk=	Cuneiformnumbers-and_punctuation}', "");
Expect(1, 74751, '\p{^Is_Blk=	Cuneiformnumbers-and_punctuation}', "");
Expect(1, 74751, '\P{Is_Blk=	Cuneiformnumbers-and_punctuation}', "");
Expect(0, 74751, '\P{^Is_Blk=	Cuneiformnumbers-and_punctuation}', "");
Error('\p{Block=/a/_-Devanagari_EXTENDED}');
Error('\P{Block=/a/_-Devanagari_EXTENDED}');
Expect(1, 43263, '\p{Block=devanagariextended}', "");
Expect(0, 43263, '\p{^Block=devanagariextended}', "");
Expect(0, 43263, '\P{Block=devanagariextended}', "");
Expect(1, 43263, '\P{^Block=devanagariextended}', "");
Expect(0, 43231, '\p{Block=devanagariextended}', "");
Expect(1, 43231, '\p{^Block=devanagariextended}', "");
Expect(1, 43231, '\P{Block=devanagariextended}', "");
Expect(0, 43231, '\P{^Block=devanagariextended}', "");
Expect(1, 43263, '\p{Block= DEVANAGARI	Extended}', "");
Expect(0, 43263, '\p{^Block= DEVANAGARI	Extended}', "");
Expect(0, 43263, '\P{Block= DEVANAGARI	Extended}', "");
Expect(1, 43263, '\P{^Block= DEVANAGARI	Extended}', "");
Expect(0, 43231, '\p{Block= DEVANAGARI	Extended}', "");
Expect(1, 43231, '\p{^Block= DEVANAGARI	Extended}', "");
Expect(1, 43231, '\P{Block= DEVANAGARI	Extended}', "");
Expect(0, 43231, '\P{^Block= DEVANAGARI	Extended}', "");
Error('\p{Blk=-	Devanagari_Extended/a/}');
Error('\P{Blk=-	Devanagari_Extended/a/}');
Expect(1, 43263, '\p{Blk=devanagariextended}', "");
Expect(0, 43263, '\p{^Blk=devanagariextended}', "");
Expect(0, 43263, '\P{Blk=devanagariextended}', "");
Expect(1, 43263, '\P{^Blk=devanagariextended}', "");
Expect(0, 43231, '\p{Blk=devanagariextended}', "");
Expect(1, 43231, '\p{^Blk=devanagariextended}', "");
Expect(1, 43231, '\P{Blk=devanagariextended}', "");
Expect(0, 43231, '\P{^Blk=devanagariextended}', "");
Expect(1, 43263, '\p{Blk=_ Devanagari Extended}', "");
Expect(0, 43263, '\p{^Blk=_ Devanagari Extended}', "");
Expect(0, 43263, '\P{Blk=_ Devanagari Extended}', "");
Expect(1, 43263, '\P{^Blk=_ Devanagari Extended}', "");
Expect(0, 43231, '\p{Blk=_ Devanagari Extended}', "");
Expect(1, 43231, '\p{^Blk=_ Devanagari Extended}', "");
Expect(1, 43231, '\P{Blk=_ Devanagari Extended}', "");
Expect(0, 43231, '\P{^Blk=_ Devanagari Extended}', "");
Error('\p{Is_Block=	 Devanagari:=Extended}');
Error('\P{Is_Block=	 Devanagari:=Extended}');
Expect(1, 43263, '\p{Is_Block=devanagariextended}', "");
Expect(0, 43263, '\p{^Is_Block=devanagariextended}', "");
Expect(0, 43263, '\P{Is_Block=devanagariextended}', "");
Expect(1, 43263, '\P{^Is_Block=devanagariextended}', "");
Expect(0, 43231, '\p{Is_Block=devanagariextended}', "");
Expect(1, 43231, '\p{^Is_Block=devanagariextended}', "");
Expect(1, 43231, '\P{Is_Block=devanagariextended}', "");
Expect(0, 43231, '\P{^Is_Block=devanagariextended}', "");
Expect(1, 43263, '\p{Is_Block= 	DEVANAGARI	Extended}', "");
Expect(0, 43263, '\p{^Is_Block= 	DEVANAGARI	Extended}', "");
Expect(0, 43263, '\P{Is_Block= 	DEVANAGARI	Extended}', "");
Expect(1, 43263, '\P{^Is_Block= 	DEVANAGARI	Extended}', "");
Expect(0, 43231, '\p{Is_Block= 	DEVANAGARI	Extended}', "");
Expect(1, 43231, '\p{^Is_Block= 	DEVANAGARI	Extended}', "");
Expect(1, 43231, '\P{Is_Block= 	DEVANAGARI	Extended}', "");
Expect(0, 43231, '\P{^Is_Block= 	DEVANAGARI	Extended}', "");
Error('\p{Is_Blk=	_Devanagari:=Extended}');
Error('\P{Is_Blk=	_Devanagari:=Extended}');
Expect(1, 43263, '\p{Is_Blk=devanagariextended}', "");
Expect(0, 43263, '\p{^Is_Blk=devanagariextended}', "");
Expect(0, 43263, '\P{Is_Blk=devanagariextended}', "");
Expect(1, 43263, '\P{^Is_Blk=devanagariextended}', "");
Expect(0, 43231, '\p{Is_Blk=devanagariextended}', "");
Expect(1, 43231, '\p{^Is_Blk=devanagariextended}', "");
Expect(1, 43231, '\P{Is_Blk=devanagariextended}', "");
Expect(0, 43231, '\P{^Is_Blk=devanagariextended}', "");
Expect(1, 43263, '\p{Is_Blk= -devanagari_EXTENDED}', "");
Expect(0, 43263, '\p{^Is_Blk= -devanagari_EXTENDED}', "");
Expect(0, 43263, '\P{Is_Blk= -devanagari_EXTENDED}', "");
Expect(1, 43263, '\P{^Is_Blk= -devanagari_EXTENDED}', "");
Expect(0, 43231, '\p{Is_Blk= -devanagari_EXTENDED}', "");
Expect(1, 43231, '\p{^Is_Blk= -devanagari_EXTENDED}', "");
Expect(1, 43231, '\P{Is_Blk= -devanagari_EXTENDED}', "");
Expect(0, 43231, '\P{^Is_Blk= -devanagari_EXTENDED}', "");
Error('\p{Block= YiSyllables:=}');
Error('\P{Block= YiSyllables:=}');
Expect(1, 42127, '\p{Block=yisyllables}', "");
Expect(0, 42127, '\p{^Block=yisyllables}', "");
Expect(0, 42127, '\P{Block=yisyllables}', "");
Expect(1, 42127, '\P{^Block=yisyllables}', "");
Expect(0, 40959, '\p{Block=yisyllables}', "");
Expect(1, 40959, '\p{^Block=yisyllables}', "");
Expect(1, 40959, '\P{Block=yisyllables}', "");
Expect(0, 40959, '\P{^Block=yisyllables}', "");
Expect(1, 42127, '\p{Block=_-Yi syllables}', "");
Expect(0, 42127, '\p{^Block=_-Yi syllables}', "");
Expect(0, 42127, '\P{Block=_-Yi syllables}', "");
Expect(1, 42127, '\P{^Block=_-Yi syllables}', "");
Expect(0, 40959, '\p{Block=_-Yi syllables}', "");
Expect(1, 40959, '\p{^Block=_-Yi syllables}', "");
Expect(1, 40959, '\P{Block=_-Yi syllables}', "");
Expect(0, 40959, '\P{^Block=_-Yi syllables}', "");
Error('\p{Blk=	/a/Yi	syllables}');
Error('\P{Blk=	/a/Yi	syllables}');
Expect(1, 42127, '\p{Blk=yisyllables}', "");
Expect(0, 42127, '\p{^Blk=yisyllables}', "");
Expect(0, 42127, '\P{Blk=yisyllables}', "");
Expect(1, 42127, '\P{^Blk=yisyllables}', "");
Expect(0, 40959, '\p{Blk=yisyllables}', "");
Expect(1, 40959, '\p{^Blk=yisyllables}', "");
Expect(1, 40959, '\P{Blk=yisyllables}', "");
Expect(0, 40959, '\P{^Blk=yisyllables}', "");
Expect(1, 42127, '\p{Blk= 	Yi-SYLLABLES}', "");
Expect(0, 42127, '\p{^Blk= 	Yi-SYLLABLES}', "");
Expect(0, 42127, '\P{Blk= 	Yi-SYLLABLES}', "");
Expect(1, 42127, '\P{^Blk= 	Yi-SYLLABLES}', "");
Expect(0, 40959, '\p{Blk= 	Yi-SYLLABLES}', "");
Expect(1, 40959, '\p{^Blk= 	Yi-SYLLABLES}', "");
Expect(1, 40959, '\P{Blk= 	Yi-SYLLABLES}', "");
Expect(0, 40959, '\P{^Blk= 	Yi-SYLLABLES}', "");
Error('\p{Is_Block=:=YiSYLLABLES}');
Error('\P{Is_Block=:=YiSYLLABLES}');
Expect(1, 42127, '\p{Is_Block:yisyllables}', "");
Expect(0, 42127, '\p{^Is_Block:yisyllables}', "");
Expect(0, 42127, '\P{Is_Block:yisyllables}', "");
Expect(1, 42127, '\P{^Is_Block:yisyllables}', "");
Expect(0, 40959, '\p{Is_Block:yisyllables}', "");
Expect(1, 40959, '\p{^Is_Block:yisyllables}', "");
Expect(1, 40959, '\P{Is_Block:yisyllables}', "");
Expect(0, 40959, '\P{^Is_Block:yisyllables}', "");
Expect(1, 42127, '\p{Is_Block:   _	Yi-Syllables}', "");
Expect(0, 42127, '\p{^Is_Block:   _	Yi-Syllables}', "");
Expect(0, 42127, '\P{Is_Block:   _	Yi-Syllables}', "");
Expect(1, 42127, '\P{^Is_Block:   _	Yi-Syllables}', "");
Expect(0, 40959, '\p{Is_Block:   _	Yi-Syllables}', "");
Expect(1, 40959, '\p{^Is_Block:   _	Yi-Syllables}', "");
Expect(1, 40959, '\P{Is_Block:   _	Yi-Syllables}', "");
Expect(0, 40959, '\P{^Is_Block:   _	Yi-Syllables}', "");
Error('\p{Is_Blk=__Yi SYLLABLES:=}');
Error('\P{Is_Blk=__Yi SYLLABLES:=}');
Expect(1, 42127, '\p{Is_Blk=yisyllables}', "");
Expect(0, 42127, '\p{^Is_Blk=yisyllables}', "");
Expect(0, 42127, '\P{Is_Blk=yisyllables}', "");
Expect(1, 42127, '\P{^Is_Blk=yisyllables}', "");
Expect(0, 40959, '\p{Is_Blk=yisyllables}', "");
Expect(1, 40959, '\p{^Is_Blk=yisyllables}', "");
Expect(1, 40959, '\P{Is_Blk=yisyllables}', "");
Expect(0, 40959, '\P{^Is_Blk=yisyllables}', "");
Expect(1, 42127, '\p{Is_Blk=_YI	Syllables}', "");
Expect(0, 42127, '\p{^Is_Blk=_YI	Syllables}', "");
Expect(0, 42127, '\P{Is_Blk=_YI	Syllables}', "");
Expect(1, 42127, '\P{^Is_Blk=_YI	Syllables}', "");
Expect(0, 40959, '\p{Is_Blk=_YI	Syllables}', "");
Expect(1, 40959, '\p{^Is_Blk=_YI	Syllables}', "");
Expect(1, 40959, '\P{Is_Blk=_YI	Syllables}', "");
Expect(0, 40959, '\P{^Is_Blk=_YI	Syllables}', "");
Error('\p{Block::=	-Combining_HalfMarks}');
Error('\P{Block::=	-Combining_HalfMarks}');
Expect(1, 65071, '\p{Block=combininghalfmarks}', "");
Expect(0, 65071, '\p{^Block=combininghalfmarks}', "");
Expect(0, 65071, '\P{Block=combininghalfmarks}', "");
Expect(1, 65071, '\P{^Block=combininghalfmarks}', "");
Expect(0, 65055, '\p{Block=combininghalfmarks}', "");
Expect(1, 65055, '\p{^Block=combininghalfmarks}', "");
Expect(1, 65055, '\P{Block=combininghalfmarks}', "");
Expect(0, 65055, '\P{^Block=combininghalfmarks}', "");
Expect(1, 65071, '\p{Block=	Combininghalf Marks}', "");
Expect(0, 65071, '\p{^Block=	Combininghalf Marks}', "");
Expect(0, 65071, '\P{Block=	Combininghalf Marks}', "");
Expect(1, 65071, '\P{^Block=	Combininghalf Marks}', "");
Expect(0, 65055, '\p{Block=	Combininghalf Marks}', "");
Expect(1, 65055, '\p{^Block=	Combininghalf Marks}', "");
Expect(1, 65055, '\P{Block=	Combininghalf Marks}', "");
Expect(0, 65055, '\P{^Block=	Combininghalf Marks}', "");
Error('\p{Blk=	_combining half	Marks/a/}');
Error('\P{Blk=	_combining half	Marks/a/}');
Expect(1, 65071, '\p{Blk=combininghalfmarks}', "");
Expect(0, 65071, '\p{^Blk=combininghalfmarks}', "");
Expect(0, 65071, '\P{Blk=combininghalfmarks}', "");
Expect(1, 65071, '\P{^Blk=combininghalfmarks}', "");
Expect(0, 65055, '\p{Blk=combininghalfmarks}', "");
Expect(1, 65055, '\p{^Blk=combininghalfmarks}', "");
Expect(1, 65055, '\P{Blk=combininghalfmarks}', "");
Expect(0, 65055, '\P{^Blk=combininghalfmarks}', "");
Expect(1, 65071, '\p{Blk=	combining_half	marks}', "");
Expect(0, 65071, '\p{^Blk=	combining_half	marks}', "");
Expect(0, 65071, '\P{Blk=	combining_half	marks}', "");
Expect(1, 65071, '\P{^Blk=	combining_half	marks}', "");
Expect(0, 65055, '\p{Blk=	combining_half	marks}', "");
Expect(1, 65055, '\p{^Blk=	combining_half	marks}', "");
Expect(1, 65055, '\P{Blk=	combining_half	marks}', "");
Expect(0, 65055, '\P{^Blk=	combining_half	marks}', "");
Error('\p{Is_Block=-_COMBINING-Half-Marks/a/}');
Error('\P{Is_Block=-_COMBINING-Half-Marks/a/}');
Expect(1, 65071, '\p{Is_Block=combininghalfmarks}', "");
Expect(0, 65071, '\p{^Is_Block=combininghalfmarks}', "");
Expect(0, 65071, '\P{Is_Block=combininghalfmarks}', "");
Expect(1, 65071, '\P{^Is_Block=combininghalfmarks}', "");
Expect(0, 65055, '\p{Is_Block=combininghalfmarks}', "");
Expect(1, 65055, '\p{^Is_Block=combininghalfmarks}', "");
Expect(1, 65055, '\P{Is_Block=combininghalfmarks}', "");
Expect(0, 65055, '\P{^Is_Block=combininghalfmarks}', "");
Expect(1, 65071, '\p{Is_Block=- Combining_HALFMarks}', "");
Expect(0, 65071, '\p{^Is_Block=- Combining_HALFMarks}', "");
Expect(0, 65071, '\P{Is_Block=- Combining_HALFMarks}', "");
Expect(1, 65071, '\P{^Is_Block=- Combining_HALFMarks}', "");
Expect(0, 65055, '\p{Is_Block=- Combining_HALFMarks}', "");
Expect(1, 65055, '\p{^Is_Block=- Combining_HALFMarks}', "");
Expect(1, 65055, '\P{Is_Block=- Combining_HALFMarks}', "");
Expect(0, 65055, '\P{^Is_Block=- Combining_HALFMarks}', "");
Error('\p{Is_Blk=_	COMBINING:=HALF Marks}');
Error('\P{Is_Blk=_	COMBINING:=HALF Marks}');
Expect(1, 65071, '\p{Is_Blk=combininghalfmarks}', "");
Expect(0, 65071, '\p{^Is_Blk=combininghalfmarks}', "");
Expect(0, 65071, '\P{Is_Blk=combininghalfmarks}', "");
Expect(1, 65071, '\P{^Is_Blk=combininghalfmarks}', "");
Expect(0, 65055, '\p{Is_Blk=combininghalfmarks}', "");
Expect(1, 65055, '\p{^Is_Blk=combininghalfmarks}', "");
Expect(1, 65055, '\P{Is_Blk=combininghalfmarks}', "");
Expect(0, 65055, '\P{^Is_Blk=combininghalfmarks}', "");
Expect(1, 65071, '\p{Is_Blk= _COMBINING	half Marks}', "");
Expect(0, 65071, '\p{^Is_Blk= _COMBINING	half Marks}', "");
Expect(0, 65071, '\P{Is_Blk= _COMBINING	half Marks}', "");
Expect(1, 65071, '\P{^Is_Blk= _COMBINING	half Marks}', "");
Expect(0, 65055, '\p{Is_Blk= _COMBINING	half Marks}', "");
Expect(1, 65055, '\p{^Is_Blk= _COMBINING	half Marks}', "");
Expect(1, 65055, '\P{Is_Blk= _COMBINING	half Marks}', "");
Expect(0, 65055, '\P{^Is_Blk= _COMBINING	half Marks}', "");
Error('\p{Block=_:=MISCELLANEOUS	Symbols_and arrows}');
Error('\P{Block=_:=MISCELLANEOUS	Symbols_and arrows}');
Expect(1, 11263, '\p{Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\p{Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\p{^Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\P{Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\P{^Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{Block=-MISCELLANEOUS SYMBOLS	and_arrows}', "");
Expect(0, 11263, '\p{^Block=-MISCELLANEOUS SYMBOLS	and_arrows}', "");
Expect(0, 11263, '\P{Block=-MISCELLANEOUS SYMBOLS	and_arrows}', "");
Expect(1, 11263, '\P{^Block=-MISCELLANEOUS SYMBOLS	and_arrows}', "");
Expect(0, 11007, '\p{Block=-MISCELLANEOUS SYMBOLS	and_arrows}', "");
Expect(1, 11007, '\p{^Block=-MISCELLANEOUS SYMBOLS	and_arrows}', "");
Expect(1, 11007, '\P{Block=-MISCELLANEOUS SYMBOLS	and_arrows}', "");
Expect(0, 11007, '\P{^Block=-MISCELLANEOUS SYMBOLS	and_arrows}', "");
Error('\p{Blk=/a/Miscellaneous-SYMBOLS	And arrows}');
Error('\P{Blk=/a/Miscellaneous-SYMBOLS	And arrows}');
Expect(1, 11263, '\p{Blk=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^Blk=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{Blk=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^Blk=miscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\p{Blk=miscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\p{^Blk=miscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\P{Blk=miscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\P{^Blk=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{Blk:   	_MISCELLANEOUS Symbols_and_arrows}', "");
Expect(0, 11263, '\p{^Blk:   	_MISCELLANEOUS Symbols_and_arrows}', "");
Expect(0, 11263, '\P{Blk:   	_MISCELLANEOUS Symbols_and_arrows}', "");
Expect(1, 11263, '\P{^Blk:   	_MISCELLANEOUS Symbols_and_arrows}', "");
Expect(0, 11007, '\p{Blk:   	_MISCELLANEOUS Symbols_and_arrows}', "");
Expect(1, 11007, '\p{^Blk:   	_MISCELLANEOUS Symbols_and_arrows}', "");
Expect(1, 11007, '\P{Blk:   	_MISCELLANEOUS Symbols_and_arrows}', "");
Expect(0, 11007, '\P{^Blk:   	_MISCELLANEOUS Symbols_and_arrows}', "");
Error('\p{Is_Block=/a/_	Miscellaneoussymbols_AND Arrows}');
Error('\P{Is_Block=/a/_	Miscellaneoussymbols_AND Arrows}');
Expect(1, 11263, '\p{Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\p{Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\p{^Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\P{Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\P{^Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{Is_Block=- MISCELLANEOUSSYMBOLS_and	ARROWS}', "");
Expect(0, 11263, '\p{^Is_Block=- MISCELLANEOUSSYMBOLS_and	ARROWS}', "");
Expect(0, 11263, '\P{Is_Block=- MISCELLANEOUSSYMBOLS_and	ARROWS}', "");
Expect(1, 11263, '\P{^Is_Block=- MISCELLANEOUSSYMBOLS_and	ARROWS}', "");
Expect(0, 11007, '\p{Is_Block=- MISCELLANEOUSSYMBOLS_and	ARROWS}', "");
Expect(1, 11007, '\p{^Is_Block=- MISCELLANEOUSSYMBOLS_and	ARROWS}', "");
Expect(1, 11007, '\P{Is_Block=- MISCELLANEOUSSYMBOLS_and	ARROWS}', "");
Expect(0, 11007, '\P{^Is_Block=- MISCELLANEOUSSYMBOLS_and	ARROWS}', "");
Error('\p{Is_Blk=	-miscellaneous-Symbols	AND	arrows/a/}');
Error('\P{Is_Blk=	-miscellaneous-Symbols	AND	arrows/a/}');
Expect(1, 11263, '\p{Is_Blk=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^Is_Blk=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{Is_Blk=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^Is_Blk=miscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\p{Is_Blk=miscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\p{^Is_Blk=miscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\P{Is_Blk=miscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\P{^Is_Blk=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{Is_Blk:Miscellaneous	SymbolsAND	Arrows}', "");
Expect(0, 11263, '\p{^Is_Blk:Miscellaneous	SymbolsAND	Arrows}', "");
Expect(0, 11263, '\P{Is_Blk:Miscellaneous	SymbolsAND	Arrows}', "");
Expect(1, 11263, '\P{^Is_Blk:Miscellaneous	SymbolsAND	Arrows}', "");
Expect(0, 11007, '\p{Is_Blk:Miscellaneous	SymbolsAND	Arrows}', "");
Expect(1, 11007, '\p{^Is_Blk:Miscellaneous	SymbolsAND	Arrows}', "");
Expect(1, 11007, '\P{Is_Blk:Miscellaneous	SymbolsAND	Arrows}', "");
Expect(0, 11007, '\P{^Is_Blk:Miscellaneous	SymbolsAND	Arrows}', "");
Error('\p{Block=-	Halfwidth And/a/Fullwidth_Forms}');
Error('\P{Block=-	Halfwidth And/a/Fullwidth_Forms}');
Expect(1, 65519, '\p{Block:   halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^Block:   halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{Block:   halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^Block:   halfwidthandfullwidthforms}', "");
Expect(0, 65279, '\p{Block:   halfwidthandfullwidthforms}', "");
Expect(1, 65279, '\p{^Block:   halfwidthandfullwidthforms}', "");
Expect(1, 65279, '\P{Block:   halfwidthandfullwidthforms}', "");
Expect(0, 65279, '\P{^Block:   halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{Block=  Halfwidth_and Fullwidth	Forms}', "");
Expect(0, 65519, '\p{^Block=  Halfwidth_and Fullwidth	Forms}', "");
Expect(0, 65519, '\P{Block=  Halfwidth_and Fullwidth	Forms}', "");
Expect(1, 65519, '\P{^Block=  Halfwidth_and Fullwidth	Forms}', "");
Expect(0, 65279, '\p{Block=  Halfwidth_and Fullwidth	Forms}', "");
Expect(1, 65279, '\p{^Block=  Halfwidth_and Fullwidth	Forms}', "");
Expect(1, 65279, '\P{Block=  Halfwidth_and Fullwidth	Forms}', "");
Expect(0, 65279, '\P{^Block=  Halfwidth_and Fullwidth	Forms}', "");
Error('\p{Blk=-HALFWIDTH/a/And_fullwidth Forms}');
Error('\P{Blk=-HALFWIDTH/a/And_fullwidth Forms}');
Expect(1, 65519, '\p{Blk=halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^Blk=halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{Blk=halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^Blk=halfwidthandfullwidthforms}', "");
Expect(0, 65279, '\p{Blk=halfwidthandfullwidthforms}', "");
Expect(1, 65279, '\p{^Blk=halfwidthandfullwidthforms}', "");
Expect(1, 65279, '\P{Blk=halfwidthandfullwidthforms}', "");
Expect(0, 65279, '\P{^Blk=halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{Blk= Halfwidth	and	FULLWIDTH-forms}', "");
Expect(0, 65519, '\p{^Blk= Halfwidth	and	FULLWIDTH-forms}', "");
Expect(0, 65519, '\P{Blk= Halfwidth	and	FULLWIDTH-forms}', "");
Expect(1, 65519, '\P{^Blk= Halfwidth	and	FULLWIDTH-forms}', "");
Expect(0, 65279, '\p{Blk= Halfwidth	and	FULLWIDTH-forms}', "");
Expect(1, 65279, '\p{^Blk= Halfwidth	and	FULLWIDTH-forms}', "");
Expect(1, 65279, '\P{Blk= Halfwidth	and	FULLWIDTH-forms}', "");
Expect(0, 65279, '\P{^Blk= Halfwidth	and	FULLWIDTH-forms}', "");
Error('\p{Is_Block=:=_Halfwidthand_FullwidthFORMS}');
Error('\P{Is_Block=:=_Halfwidthand_FullwidthFORMS}');
Expect(1, 65519, '\p{Is_Block=halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^Is_Block=halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{Is_Block=halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^Is_Block=halfwidthandfullwidthforms}', "");
Expect(0, 65279, '\p{Is_Block=halfwidthandfullwidthforms}', "");
Expect(1, 65279, '\p{^Is_Block=halfwidthandfullwidthforms}', "");
Expect(1, 65279, '\P{Is_Block=halfwidthandfullwidthforms}', "");
Expect(0, 65279, '\P{^Is_Block=halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{Is_Block=	 halfwidth-AND fullwidth_Forms}', "");
Expect(0, 65519, '\p{^Is_Block=	 halfwidth-AND fullwidth_Forms}', "");
Expect(0, 65519, '\P{Is_Block=	 halfwidth-AND fullwidth_Forms}', "");
Expect(1, 65519, '\P{^Is_Block=	 halfwidth-AND fullwidth_Forms}', "");
Expect(0, 65279, '\p{Is_Block=	 halfwidth-AND fullwidth_Forms}', "");
Expect(1, 65279, '\p{^Is_Block=	 halfwidth-AND fullwidth_Forms}', "");
Expect(1, 65279, '\P{Is_Block=	 halfwidth-AND fullwidth_Forms}', "");
Expect(0, 65279, '\P{^Is_Block=	 halfwidth-AND fullwidth_Forms}', "");
Error('\p{Is_Blk=-/a/halfwidth_And fullwidthForms}');
Error('\P{Is_Blk=-/a/halfwidth_And fullwidthForms}');
Expect(1, 65519, '\p{Is_Blk=halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^Is_Blk=halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{Is_Blk=halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^Is_Blk=halfwidthandfullwidthforms}', "");
Expect(0, 65279, '\p{Is_Blk=halfwidthandfullwidthforms}', "");
Expect(1, 65279, '\p{^Is_Blk=halfwidthandfullwidthforms}', "");
Expect(1, 65279, '\P{Is_Blk=halfwidthandfullwidthforms}', "");
Expect(0, 65279, '\P{^Is_Blk=halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{Is_Blk=	-HalfwidthAND	fullwidth	Forms}', "");
Expect(0, 65519, '\p{^Is_Blk=	-HalfwidthAND	fullwidth	Forms}', "");
Expect(0, 65519, '\P{Is_Blk=	-HalfwidthAND	fullwidth	Forms}', "");
Expect(1, 65519, '\P{^Is_Blk=	-HalfwidthAND	fullwidth	Forms}', "");
Expect(0, 65279, '\p{Is_Blk=	-HalfwidthAND	fullwidth	Forms}', "");
Expect(1, 65279, '\p{^Is_Blk=	-HalfwidthAND	fullwidth	Forms}', "");
Expect(1, 65279, '\P{Is_Blk=	-HalfwidthAND	fullwidth	Forms}', "");
Expect(0, 65279, '\P{^Is_Blk=	-HalfwidthAND	fullwidth	Forms}', "");
Error('\p{Block=-_supplementary:=PRIVATE	Usearea-B}');
Error('\P{Block=-_supplementary:=PRIVATE	Usearea-B}');
Expect(1, 1048576, '\p{Block=supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^Block=supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{Block=supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^Block=supplementaryprivateuseareab}', "");
Expect(0, 1, '\p{Block=supplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^Block=supplementaryprivateuseareab}', "");
Expect(1, 1, '\P{Block=supplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^Block=supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{Block=	supplementaryPrivateUse	AREA B}', "");
Expect(0, 1048576, '\p{^Block=	supplementaryPrivateUse	AREA B}', "");
Expect(0, 1048576, '\P{Block=	supplementaryPrivateUse	AREA B}', "");
Expect(1, 1048576, '\P{^Block=	supplementaryPrivateUse	AREA B}', "");
Expect(0, 1, '\p{Block=	supplementaryPrivateUse	AREA B}', "");
Expect(1, 1, '\p{^Block=	supplementaryPrivateUse	AREA B}', "");
Expect(1, 1, '\P{Block=	supplementaryPrivateUse	AREA B}', "");
Expect(0, 1, '\P{^Block=	supplementaryPrivateUse	AREA B}', "");
Error('\p{Blk= /a/Supplementary-private_Use	AreaB}');
Error('\P{Blk= /a/Supplementary-private_Use	AreaB}');
Expect(1, 1048576, '\p{Blk=supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^Blk=supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{Blk=supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^Blk=supplementaryprivateuseareab}', "");
Expect(0, 1, '\p{Blk=supplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^Blk=supplementaryprivateuseareab}', "");
Expect(1, 1, '\P{Blk=supplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^Blk=supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{Blk= SUPPLEMENTARYprivate_USE AREA-B}', "");
Expect(0, 1048576, '\p{^Blk= SUPPLEMENTARYprivate_USE AREA-B}', "");
Expect(0, 1048576, '\P{Blk= SUPPLEMENTARYprivate_USE AREA-B}', "");
Expect(1, 1048576, '\P{^Blk= SUPPLEMENTARYprivate_USE AREA-B}', "");
Expect(0, 1, '\p{Blk= SUPPLEMENTARYprivate_USE AREA-B}', "");
Expect(1, 1, '\p{^Blk= SUPPLEMENTARYprivate_USE AREA-B}', "");
Expect(1, 1, '\P{Blk= SUPPLEMENTARYprivate_USE AREA-B}', "");
Expect(0, 1, '\P{^Blk= SUPPLEMENTARYprivate_USE AREA-B}', "");
Error('\p{Is_Block=:=_Supplementary Private_USE AREA_b}');
Error('\P{Is_Block=:=_Supplementary Private_USE AREA_b}');
Expect(1, 1048576, '\p{Is_Block=supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^Is_Block=supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{Is_Block=supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^Is_Block=supplementaryprivateuseareab}', "");
Expect(0, 1, '\p{Is_Block=supplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^Is_Block=supplementaryprivateuseareab}', "");
Expect(1, 1, '\P{Is_Block=supplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^Is_Block=supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{Is_Block:    Supplementary_PRIVATE Usearea	B}', "");
Expect(0, 1048576, '\p{^Is_Block:    Supplementary_PRIVATE Usearea	B}', "");
Expect(0, 1048576, '\P{Is_Block:    Supplementary_PRIVATE Usearea	B}', "");
Expect(1, 1048576, '\P{^Is_Block:    Supplementary_PRIVATE Usearea	B}', "");
Expect(0, 1, '\p{Is_Block:    Supplementary_PRIVATE Usearea	B}', "");
Expect(1, 1, '\p{^Is_Block:    Supplementary_PRIVATE Usearea	B}', "");
Expect(1, 1, '\P{Is_Block:    Supplementary_PRIVATE Usearea	B}', "");
Expect(0, 1, '\P{^Is_Block:    Supplementary_PRIVATE Usearea	B}', "");
Error('\p{Is_Blk=SUPPLEMENTARY	Private:=USE AREAB}');
Error('\P{Is_Blk=SUPPLEMENTARY	Private:=USE AREAB}');
Expect(1, 1048576, '\p{Is_Blk=supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^Is_Blk=supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{Is_Blk=supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^Is_Blk=supplementaryprivateuseareab}', "");
Expect(0, 1, '\p{Is_Blk=supplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^Is_Blk=supplementaryprivateuseareab}', "");
Expect(1, 1, '\P{Is_Blk=supplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^Is_Blk=supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{Is_Blk=_SUPPLEMENTARY_Private_Use-AREA_b}', "");
Expect(0, 1048576, '\p{^Is_Blk=_SUPPLEMENTARY_Private_Use-AREA_b}', "");
Expect(0, 1048576, '\P{Is_Blk=_SUPPLEMENTARY_Private_Use-AREA_b}', "");
Expect(1, 1048576, '\P{^Is_Blk=_SUPPLEMENTARY_Private_Use-AREA_b}', "");
Expect(0, 1, '\p{Is_Blk=_SUPPLEMENTARY_Private_Use-AREA_b}', "");
Expect(1, 1, '\p{^Is_Blk=_SUPPLEMENTARY_Private_Use-AREA_b}', "");
Expect(1, 1, '\P{Is_Blk=_SUPPLEMENTARY_Private_Use-AREA_b}', "");
Expect(0, 1, '\P{^Is_Blk=_SUPPLEMENTARY_Private_Use-AREA_b}', "");
Error('\p{Block: /a/-Sundanese}');
Error('\P{Block: /a/-Sundanese}');
Expect(1, 7103, '\p{Block=sundanese}', "");
Expect(0, 7103, '\p{^Block=sundanese}', "");
Expect(0, 7103, '\P{Block=sundanese}', "");
Expect(1, 7103, '\P{^Block=sundanese}', "");
Expect(0, 7039, '\p{Block=sundanese}', "");
Expect(1, 7039, '\p{^Block=sundanese}', "");
Expect(1, 7039, '\P{Block=sundanese}', "");
Expect(0, 7039, '\P{^Block=sundanese}', "");
Expect(1, 7103, '\p{Block=--Sundanese}', "");
Expect(0, 7103, '\p{^Block=--Sundanese}', "");
Expect(0, 7103, '\P{Block=--Sundanese}', "");
Expect(1, 7103, '\P{^Block=--Sundanese}', "");
Expect(0, 7039, '\p{Block=--Sundanese}', "");
Expect(1, 7039, '\p{^Block=--Sundanese}', "");
Expect(1, 7039, '\P{Block=--Sundanese}', "");
Expect(0, 7039, '\P{^Block=--Sundanese}', "");
Error('\p{Blk=:=  SUNDANESE}');
Error('\P{Blk=:=  SUNDANESE}');
Expect(1, 7103, '\p{Blk=sundanese}', "");
Expect(0, 7103, '\p{^Blk=sundanese}', "");
Expect(0, 7103, '\P{Blk=sundanese}', "");
Expect(1, 7103, '\P{^Blk=sundanese}', "");
Expect(0, 7039, '\p{Blk=sundanese}', "");
Expect(1, 7039, '\p{^Blk=sundanese}', "");
Expect(1, 7039, '\P{Blk=sundanese}', "");
Expect(0, 7039, '\P{^Blk=sundanese}', "");
Expect(1, 7103, '\p{Blk=_ Sundanese}', "");
Expect(0, 7103, '\p{^Blk=_ Sundanese}', "");
Expect(0, 7103, '\P{Blk=_ Sundanese}', "");
Expect(1, 7103, '\P{^Blk=_ Sundanese}', "");
Expect(0, 7039, '\p{Blk=_ Sundanese}', "");
Expect(1, 7039, '\p{^Blk=_ Sundanese}', "");
Expect(1, 7039, '\P{Blk=_ Sundanese}', "");
Expect(0, 7039, '\P{^Blk=_ Sundanese}', "");
Error('\p{Is_Block=	:=SUNDANESE}');
Error('\P{Is_Block=	:=SUNDANESE}');
Expect(1, 7103, '\p{Is_Block=sundanese}', "");
Expect(0, 7103, '\p{^Is_Block=sundanese}', "");
Expect(0, 7103, '\P{Is_Block=sundanese}', "");
Expect(1, 7103, '\P{^Is_Block=sundanese}', "");
Expect(0, 7039, '\p{Is_Block=sundanese}', "");
Expect(1, 7039, '\p{^Is_Block=sundanese}', "");
Expect(1, 7039, '\P{Is_Block=sundanese}', "");
Expect(0, 7039, '\P{^Is_Block=sundanese}', "");
Expect(1, 7103, '\p{Is_Block=  Sundanese}', "");
Expect(0, 7103, '\p{^Is_Block=  Sundanese}', "");
Expect(0, 7103, '\P{Is_Block=  Sundanese}', "");
Expect(1, 7103, '\P{^Is_Block=  Sundanese}', "");
Expect(0, 7039, '\p{Is_Block=  Sundanese}', "");
Expect(1, 7039, '\p{^Is_Block=  Sundanese}', "");
Expect(1, 7039, '\P{Is_Block=  Sundanese}', "");
Expect(0, 7039, '\P{^Is_Block=  Sundanese}', "");
Error('\p{Is_Blk=-Sundanese:=}');
Error('\P{Is_Blk=-Sundanese:=}');
Expect(1, 7103, '\p{Is_Blk=sundanese}', "");
Expect(0, 7103, '\p{^Is_Blk=sundanese}', "");
Expect(0, 7103, '\P{Is_Blk=sundanese}', "");
Expect(1, 7103, '\P{^Is_Blk=sundanese}', "");
Expect(0, 7039, '\p{Is_Blk=sundanese}', "");
Expect(1, 7039, '\p{^Is_Blk=sundanese}', "");
Expect(1, 7039, '\P{Is_Blk=sundanese}', "");
Expect(0, 7039, '\P{^Is_Blk=sundanese}', "");
Expect(1, 7103, '\p{Is_Blk=_Sundanese}', "");
Expect(0, 7103, '\p{^Is_Blk=_Sundanese}', "");
Expect(0, 7103, '\P{Is_Blk=_Sundanese}', "");
Expect(1, 7103, '\P{^Is_Blk=_Sundanese}', "");
Expect(0, 7039, '\p{Is_Blk=_Sundanese}', "");
Expect(1, 7039, '\p{^Is_Blk=_Sundanese}', "");
Expect(1, 7039, '\P{Is_Blk=_Sundanese}', "");
Expect(0, 7039, '\P{^Is_Blk=_Sundanese}', "");
Error('\p{Block=:= -Enclosedalphanumerics}');
Error('\P{Block=:= -Enclosedalphanumerics}');
Expect(1, 9471, '\p{Block=enclosedalphanumerics}', "");
Expect(0, 9471, '\p{^Block=enclosedalphanumerics}', "");
Expect(0, 9471, '\P{Block=enclosedalphanumerics}', "");
Expect(1, 9471, '\P{^Block=enclosedalphanumerics}', "");
Expect(0, 9311, '\p{Block=enclosedalphanumerics}', "");
Expect(1, 9311, '\p{^Block=enclosedalphanumerics}', "");
Expect(1, 9311, '\P{Block=enclosedalphanumerics}', "");
Expect(0, 9311, '\P{^Block=enclosedalphanumerics}', "");
Expect(1, 9471, '\p{Block=-Enclosed	ALPHANUMERICS}', "");
Expect(0, 9471, '\p{^Block=-Enclosed	ALPHANUMERICS}', "");
Expect(0, 9471, '\P{Block=-Enclosed	ALPHANUMERICS}', "");
Expect(1, 9471, '\P{^Block=-Enclosed	ALPHANUMERICS}', "");
Expect(0, 9311, '\p{Block=-Enclosed	ALPHANUMERICS}', "");
Expect(1, 9311, '\p{^Block=-Enclosed	ALPHANUMERICS}', "");
Expect(1, 9311, '\P{Block=-Enclosed	ALPHANUMERICS}', "");
Expect(0, 9311, '\P{^Block=-Enclosed	ALPHANUMERICS}', "");
Error('\p{Blk=	:=ENCLOSED	ALPHANUMERICS}');
Error('\P{Blk=	:=ENCLOSED	ALPHANUMERICS}');
Expect(1, 9471, '\p{Blk=enclosedalphanumerics}', "");
Expect(0, 9471, '\p{^Blk=enclosedalphanumerics}', "");
Expect(0, 9471, '\P{Blk=enclosedalphanumerics}', "");
Expect(1, 9471, '\P{^Blk=enclosedalphanumerics}', "");
Expect(0, 9311, '\p{Blk=enclosedalphanumerics}', "");
Expect(1, 9311, '\p{^Blk=enclosedalphanumerics}', "");
Expect(1, 9311, '\P{Blk=enclosedalphanumerics}', "");
Expect(0, 9311, '\P{^Blk=enclosedalphanumerics}', "");
Expect(1, 9471, '\p{Blk= _Enclosed Alphanumerics}', "");
Expect(0, 9471, '\p{^Blk= _Enclosed Alphanumerics}', "");
Expect(0, 9471, '\P{Blk= _Enclosed Alphanumerics}', "");
Expect(1, 9471, '\P{^Blk= _Enclosed Alphanumerics}', "");
Expect(0, 9311, '\p{Blk= _Enclosed Alphanumerics}', "");
Expect(1, 9311, '\p{^Blk= _Enclosed Alphanumerics}', "");
Expect(1, 9311, '\P{Blk= _Enclosed Alphanumerics}', "");
Expect(0, 9311, '\P{^Blk= _Enclosed Alphanumerics}', "");
Error('\p{Is_Block= Enclosed:=Alphanumerics}');
Error('\P{Is_Block= Enclosed:=Alphanumerics}');
Expect(1, 9471, '\p{Is_Block=enclosedalphanumerics}', "");
Expect(0, 9471, '\p{^Is_Block=enclosedalphanumerics}', "");
Expect(0, 9471, '\P{Is_Block=enclosedalphanumerics}', "");
Expect(1, 9471, '\P{^Is_Block=enclosedalphanumerics}', "");
Expect(0, 9311, '\p{Is_Block=enclosedalphanumerics}', "");
Expect(1, 9311, '\p{^Is_Block=enclosedalphanumerics}', "");
Expect(1, 9311, '\P{Is_Block=enclosedalphanumerics}', "");
Expect(0, 9311, '\P{^Is_Block=enclosedalphanumerics}', "");
Expect(1, 9471, '\p{Is_Block= _Enclosed	ALPHANUMERICS}', "");
Expect(0, 9471, '\p{^Is_Block= _Enclosed	ALPHANUMERICS}', "");
Expect(0, 9471, '\P{Is_Block= _Enclosed	ALPHANUMERICS}', "");
Expect(1, 9471, '\P{^Is_Block= _Enclosed	ALPHANUMERICS}', "");
Expect(0, 9311, '\p{Is_Block= _Enclosed	ALPHANUMERICS}', "");
Expect(1, 9311, '\p{^Is_Block= _Enclosed	ALPHANUMERICS}', "");
Expect(1, 9311, '\P{Is_Block= _Enclosed	ALPHANUMERICS}', "");
Expect(0, 9311, '\P{^Is_Block= _Enclosed	ALPHANUMERICS}', "");
Error('\p{Is_Blk:/a/__Enclosed	ALPHANUMERICS}');
Error('\P{Is_Blk:/a/__Enclosed	ALPHANUMERICS}');
Expect(1, 9471, '\p{Is_Blk=enclosedalphanumerics}', "");
Expect(0, 9471, '\p{^Is_Blk=enclosedalphanumerics}', "");
Expect(0, 9471, '\P{Is_Blk=enclosedalphanumerics}', "");
Expect(1, 9471, '\P{^Is_Blk=enclosedalphanumerics}', "");
Expect(0, 9311, '\p{Is_Blk=enclosedalphanumerics}', "");
Expect(1, 9311, '\p{^Is_Blk=enclosedalphanumerics}', "");
Expect(1, 9311, '\P{Is_Blk=enclosedalphanumerics}', "");
Expect(0, 9311, '\P{^Is_Blk=enclosedalphanumerics}', "");
Expect(1, 9471, '\p{Is_Blk= 	enclosed	Alphanumerics}', "");
Expect(0, 9471, '\p{^Is_Blk= 	enclosed	Alphanumerics}', "");
Expect(0, 9471, '\P{Is_Blk= 	enclosed	Alphanumerics}', "");
Expect(1, 9471, '\P{^Is_Blk= 	enclosed	Alphanumerics}', "");
Expect(0, 9311, '\p{Is_Blk= 	enclosed	Alphanumerics}', "");
Expect(1, 9311, '\p{^Is_Blk= 	enclosed	Alphanumerics}', "");
Expect(1, 9311, '\P{Is_Blk= 	enclosed	Alphanumerics}', "");
Expect(0, 9311, '\P{^Is_Blk= 	enclosed	Alphanumerics}', "");
Error('\p{Block=	/a/old SouthArabian}');
Error('\P{Block=	/a/old SouthArabian}');
Expect(1, 68223, '\p{Block=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Block=oldsoutharabian}', "");
Expect(0, 68223, '\P{Block=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Block=oldsoutharabian}', "");
Expect(0, 68191, '\p{Block=oldsoutharabian}', "");
Expect(1, 68191, '\p{^Block=oldsoutharabian}', "");
Expect(1, 68191, '\P{Block=oldsoutharabian}', "");
Expect(0, 68191, '\P{^Block=oldsoutharabian}', "");
Expect(1, 68223, '\p{Block: _	OLDSouth_Arabian}', "");
Expect(0, 68223, '\p{^Block: _	OLDSouth_Arabian}', "");
Expect(0, 68223, '\P{Block: _	OLDSouth_Arabian}', "");
Expect(1, 68223, '\P{^Block: _	OLDSouth_Arabian}', "");
Expect(0, 68191, '\p{Block: _	OLDSouth_Arabian}', "");
Expect(1, 68191, '\p{^Block: _	OLDSouth_Arabian}', "");
Expect(1, 68191, '\P{Block: _	OLDSouth_Arabian}', "");
Expect(0, 68191, '\P{^Block: _	OLDSouth_Arabian}', "");
Error('\p{Blk=	:=OldSoutharabian}');
Error('\P{Blk=	:=OldSoutharabian}');
Expect(1, 68223, '\p{Blk=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Blk=oldsoutharabian}', "");
Expect(0, 68223, '\P{Blk=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Blk=oldsoutharabian}', "");
Expect(0, 68191, '\p{Blk=oldsoutharabian}', "");
Expect(1, 68191, '\p{^Blk=oldsoutharabian}', "");
Expect(1, 68191, '\P{Blk=oldsoutharabian}', "");
Expect(0, 68191, '\P{^Blk=oldsoutharabian}', "");
Expect(1, 68223, '\p{Blk=		OLDSouth-ARABIAN}', "");
Expect(0, 68223, '\p{^Blk=		OLDSouth-ARABIAN}', "");
Expect(0, 68223, '\P{Blk=		OLDSouth-ARABIAN}', "");
Expect(1, 68223, '\P{^Blk=		OLDSouth-ARABIAN}', "");
Expect(0, 68191, '\p{Blk=		OLDSouth-ARABIAN}', "");
Expect(1, 68191, '\p{^Blk=		OLDSouth-ARABIAN}', "");
Expect(1, 68191, '\P{Blk=		OLDSouth-ARABIAN}', "");
Expect(0, 68191, '\P{^Blk=		OLDSouth-ARABIAN}', "");
Error('\p{Is_Block=-Old	south_ARABIAN/a/}');
Error('\P{Is_Block=-Old	south_ARABIAN/a/}');
Expect(1, 68223, '\p{Is_Block=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Is_Block=oldsoutharabian}', "");
Expect(0, 68223, '\P{Is_Block=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Is_Block=oldsoutharabian}', "");
Expect(0, 68191, '\p{Is_Block=oldsoutharabian}', "");
Expect(1, 68191, '\p{^Is_Block=oldsoutharabian}', "");
Expect(1, 68191, '\P{Is_Block=oldsoutharabian}', "");
Expect(0, 68191, '\P{^Is_Block=oldsoutharabian}', "");
Expect(1, 68223, '\p{Is_Block=-Old-South Arabian}', "");
Expect(0, 68223, '\p{^Is_Block=-Old-South Arabian}', "");
Expect(0, 68223, '\P{Is_Block=-Old-South Arabian}', "");
Expect(1, 68223, '\P{^Is_Block=-Old-South Arabian}', "");
Expect(0, 68191, '\p{Is_Block=-Old-South Arabian}', "");
Expect(1, 68191, '\p{^Is_Block=-Old-South Arabian}', "");
Expect(1, 68191, '\P{Is_Block=-Old-South Arabian}', "");
Expect(0, 68191, '\P{^Is_Block=-Old-South Arabian}', "");
Error('\p{Is_Blk= /a/Old_South Arabian}');
Error('\P{Is_Blk= /a/Old_South Arabian}');
Expect(1, 68223, '\p{Is_Blk=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Is_Blk=oldsoutharabian}', "");
Expect(0, 68223, '\P{Is_Blk=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Is_Blk=oldsoutharabian}', "");
Expect(0, 68191, '\p{Is_Blk=oldsoutharabian}', "");
Expect(1, 68191, '\p{^Is_Blk=oldsoutharabian}', "");
Expect(1, 68191, '\P{Is_Blk=oldsoutharabian}', "");
Expect(0, 68191, '\P{^Is_Blk=oldsoutharabian}', "");
Expect(1, 68223, '\p{Is_Blk=--old_SOUTH	arabian}', "");
Expect(0, 68223, '\p{^Is_Blk=--old_SOUTH	arabian}', "");
Expect(0, 68223, '\P{Is_Blk=--old_SOUTH	arabian}', "");
Expect(1, 68223, '\P{^Is_Blk=--old_SOUTH	arabian}', "");
Expect(0, 68191, '\p{Is_Blk=--old_SOUTH	arabian}', "");
Expect(1, 68191, '\p{^Is_Blk=--old_SOUTH	arabian}', "");
Expect(1, 68191, '\P{Is_Blk=--old_SOUTH	arabian}', "");
Expect(0, 68191, '\P{^Is_Blk=--old_SOUTH	arabian}', "");
Error('\p{Block=/a/--Tags}');
Error('\P{Block=/a/--Tags}');
Expect(1, 917631, '\p{Block=tags}', "");
Expect(0, 917631, '\p{^Block=tags}', "");
Expect(0, 917631, '\P{Block=tags}', "");
Expect(1, 917631, '\P{^Block=tags}', "");
Expect(0, 1, '\p{Block=tags}', "");
Expect(1, 1, '\p{^Block=tags}', "");
Expect(1, 1, '\P{Block=tags}', "");
Expect(0, 1, '\P{^Block=tags}', "");
Expect(1, 917631, '\p{Block=_-Tags}', "");
Expect(0, 917631, '\p{^Block=_-Tags}', "");
Expect(0, 917631, '\P{Block=_-Tags}', "");
Expect(1, 917631, '\P{^Block=_-Tags}', "");
Expect(0, 1, '\p{Block=_-Tags}', "");
Expect(1, 1, '\p{^Block=_-Tags}', "");
Expect(1, 1, '\P{Block=_-Tags}', "");
Expect(0, 1, '\P{^Block=_-Tags}', "");
Error('\p{Blk= :=tags}');
Error('\P{Blk= :=tags}');
Expect(1, 917631, '\p{Blk=tags}', "");
Expect(0, 917631, '\p{^Blk=tags}', "");
Expect(0, 917631, '\P{Blk=tags}', "");
Expect(1, 917631, '\P{^Blk=tags}', "");
Expect(0, 1, '\p{Blk=tags}', "");
Expect(1, 1, '\p{^Blk=tags}', "");
Expect(1, 1, '\P{Blk=tags}', "");
Expect(0, 1, '\P{^Blk=tags}', "");
Expect(1, 917631, '\p{Blk:	 	Tags}', "");
Expect(0, 917631, '\p{^Blk:	 	Tags}', "");
Expect(0, 917631, '\P{Blk:	 	Tags}', "");
Expect(1, 917631, '\P{^Blk:	 	Tags}', "");
Expect(0, 1, '\p{Blk:	 	Tags}', "");
Expect(1, 1, '\p{^Blk:	 	Tags}', "");
Expect(1, 1, '\P{Blk:	 	Tags}', "");
Expect(0, 1, '\P{^Blk:	 	Tags}', "");
Error('\p{Is_Block=:=_	Tags}');
Error('\P{Is_Block=:=_	Tags}');
Expect(1, 917631, '\p{Is_Block=tags}', "");
Expect(0, 917631, '\p{^Is_Block=tags}', "");
Expect(0, 917631, '\P{Is_Block=tags}', "");
Expect(1, 917631, '\P{^Is_Block=tags}', "");
Expect(0, 1, '\p{Is_Block=tags}', "");
Expect(1, 1, '\p{^Is_Block=tags}', "");
Expect(1, 1, '\P{Is_Block=tags}', "");
Expect(0, 1, '\P{^Is_Block=tags}', "");
Expect(1, 917631, '\p{Is_Block= Tags}', "");
Expect(0, 917631, '\p{^Is_Block= Tags}', "");
Expect(0, 917631, '\P{Is_Block= Tags}', "");
Expect(1, 917631, '\P{^Is_Block= Tags}', "");
Expect(0, 1, '\p{Is_Block= Tags}', "");
Expect(1, 1, '\p{^Is_Block= Tags}', "");
Expect(1, 1, '\P{Is_Block= Tags}', "");
Expect(0, 1, '\P{^Is_Block= Tags}', "");
Error('\p{Is_Blk=/a/Tags}');
Error('\P{Is_Blk=/a/Tags}');
Expect(1, 917631, '\p{Is_Blk=tags}', "");
Expect(0, 917631, '\p{^Is_Blk=tags}', "");
Expect(0, 917631, '\P{Is_Blk=tags}', "");
Expect(1, 917631, '\P{^Is_Blk=tags}', "");
Expect(0, 1, '\p{Is_Blk=tags}', "");
Expect(1, 1, '\p{^Is_Blk=tags}', "");
Expect(1, 1, '\P{Is_Blk=tags}', "");
Expect(0, 1, '\P{^Is_Blk=tags}', "");
Expect(1, 917631, '\p{Is_Blk= TAGS}', "");
Expect(0, 917631, '\p{^Is_Blk= TAGS}', "");
Expect(0, 917631, '\P{Is_Blk= TAGS}', "");
Expect(1, 917631, '\P{^Is_Blk= TAGS}', "");
Expect(0, 1, '\p{Is_Blk= TAGS}', "");
Expect(1, 1, '\p{^Is_Blk= TAGS}', "");
Expect(1, 1, '\P{Is_Blk= TAGS}', "");
Expect(0, 1, '\P{^Is_Blk= TAGS}', "");
Error('\p{Block=	Miscellaneous	Mathematical/a/symbols A}');
Error('\P{Block=	Miscellaneous	Mathematical/a/symbols A}');
Expect(1, 10223, '\p{Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\p{Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\p{^Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\P{Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\P{^Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{Block:_	Miscellaneous_Mathematical SymbolsA}', "");
Expect(0, 10223, '\p{^Block:_	Miscellaneous_Mathematical SymbolsA}', "");
Expect(0, 10223, '\P{Block:_	Miscellaneous_Mathematical SymbolsA}', "");
Expect(1, 10223, '\P{^Block:_	Miscellaneous_Mathematical SymbolsA}', "");
Expect(0, 10175, '\p{Block:_	Miscellaneous_Mathematical SymbolsA}', "");
Expect(1, 10175, '\p{^Block:_	Miscellaneous_Mathematical SymbolsA}', "");
Expect(1, 10175, '\P{Block:_	Miscellaneous_Mathematical SymbolsA}', "");
Expect(0, 10175, '\P{^Block:_	Miscellaneous_Mathematical SymbolsA}', "");
Error('\p{Blk=-_Miscellaneous-Mathematical	symbols_a/a/}');
Error('\P{Blk=-_Miscellaneous-Mathematical	symbols_a/a/}');
Expect(1, 10223, '\p{Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\p{Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\p{^Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\P{Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\P{^Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{Blk= 	MISCELLANEOUS Mathematical_Symbols-A}', "");
Expect(0, 10223, '\p{^Blk= 	MISCELLANEOUS Mathematical_Symbols-A}', "");
Expect(0, 10223, '\P{Blk= 	MISCELLANEOUS Mathematical_Symbols-A}', "");
Expect(1, 10223, '\P{^Blk= 	MISCELLANEOUS Mathematical_Symbols-A}', "");
Expect(0, 10175, '\p{Blk= 	MISCELLANEOUS Mathematical_Symbols-A}', "");
Expect(1, 10175, '\p{^Blk= 	MISCELLANEOUS Mathematical_Symbols-A}', "");
Expect(1, 10175, '\P{Blk= 	MISCELLANEOUS Mathematical_Symbols-A}', "");
Expect(0, 10175, '\P{^Blk= 	MISCELLANEOUS Mathematical_Symbols-A}', "");
Error('\p{Is_Block:   _miscellaneous/a/Mathematical	Symbols	A}');
Error('\P{Is_Block:   _miscellaneous/a/Mathematical	Symbols	A}');
Expect(1, 10223, '\p{Is_Block:	miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^Is_Block:	miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{Is_Block:	miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^Is_Block:	miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\p{Is_Block:	miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\p{^Is_Block:	miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\P{Is_Block:	miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\P{^Is_Block:	miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{Is_Block=-	Miscellaneous	MATHEMATICAL	Symbols	A}', "");
Expect(0, 10223, '\p{^Is_Block=-	Miscellaneous	MATHEMATICAL	Symbols	A}', "");
Expect(0, 10223, '\P{Is_Block=-	Miscellaneous	MATHEMATICAL	Symbols	A}', "");
Expect(1, 10223, '\P{^Is_Block=-	Miscellaneous	MATHEMATICAL	Symbols	A}', "");
Expect(0, 10175, '\p{Is_Block=-	Miscellaneous	MATHEMATICAL	Symbols	A}', "");
Expect(1, 10175, '\p{^Is_Block=-	Miscellaneous	MATHEMATICAL	Symbols	A}', "");
Expect(1, 10175, '\P{Is_Block=-	Miscellaneous	MATHEMATICAL	Symbols	A}', "");
Expect(0, 10175, '\P{^Is_Block=-	Miscellaneous	MATHEMATICAL	Symbols	A}', "");
Error('\p{Is_Blk=-:=MISCELLANEOUSMathematical_SYMBOLS	a}');
Error('\P{Is_Blk=-:=MISCELLANEOUSMathematical_SYMBOLS	a}');
Expect(1, 10223, '\p{Is_Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^Is_Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{Is_Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^Is_Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\p{Is_Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\p{^Is_Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\P{Is_Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\P{^Is_Blk=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{Is_Blk=_miscellaneous_Mathematical-SYMBOLS-a}', "");
Expect(0, 10223, '\p{^Is_Blk=_miscellaneous_Mathematical-SYMBOLS-a}', "");
Expect(0, 10223, '\P{Is_Blk=_miscellaneous_Mathematical-SYMBOLS-a}', "");
Expect(1, 10223, '\P{^Is_Blk=_miscellaneous_Mathematical-SYMBOLS-a}', "");
Expect(0, 10175, '\p{Is_Blk=_miscellaneous_Mathematical-SYMBOLS-a}', "");
Expect(1, 10175, '\p{^Is_Blk=_miscellaneous_Mathematical-SYMBOLS-a}', "");
Expect(1, 10175, '\P{Is_Blk=_miscellaneous_Mathematical-SYMBOLS-a}', "");
Expect(0, 10175, '\P{^Is_Blk=_miscellaneous_Mathematical-SYMBOLS-a}', "");
Error('\p{Block=:=_-BRAILLE	patterns}');
Error('\P{Block=:=_-BRAILLE	patterns}');
Expect(1, 10495, '\p{Block=braillepatterns}', "");
Expect(0, 10495, '\p{^Block=braillepatterns}', "");
Expect(0, 10495, '\P{Block=braillepatterns}', "");
Expect(1, 10495, '\P{^Block=braillepatterns}', "");
Expect(0, 10239, '\p{Block=braillepatterns}', "");
Expect(1, 10239, '\p{^Block=braillepatterns}', "");
Expect(1, 10239, '\P{Block=braillepatterns}', "");
Expect(0, 10239, '\P{^Block=braillepatterns}', "");
Expect(1, 10495, '\p{Block=--BRAILLE Patterns}', "");
Expect(0, 10495, '\p{^Block=--BRAILLE Patterns}', "");
Expect(0, 10495, '\P{Block=--BRAILLE Patterns}', "");
Expect(1, 10495, '\P{^Block=--BRAILLE Patterns}', "");
Expect(0, 10239, '\p{Block=--BRAILLE Patterns}', "");
Expect(1, 10239, '\p{^Block=--BRAILLE Patterns}', "");
Expect(1, 10239, '\P{Block=--BRAILLE Patterns}', "");
Expect(0, 10239, '\P{^Block=--BRAILLE Patterns}', "");
Error('\p{Blk=Braille PATTERNS:=}');
Error('\P{Blk=Braille PATTERNS:=}');
Expect(1, 10495, '\p{Blk=braillepatterns}', "");
Expect(0, 10495, '\p{^Blk=braillepatterns}', "");
Expect(0, 10495, '\P{Blk=braillepatterns}', "");
Expect(1, 10495, '\P{^Blk=braillepatterns}', "");
Expect(0, 10239, '\p{Blk=braillepatterns}', "");
Expect(1, 10239, '\p{^Blk=braillepatterns}', "");
Expect(1, 10239, '\P{Blk=braillepatterns}', "");
Expect(0, 10239, '\P{^Blk=braillepatterns}', "");
Expect(1, 10495, '\p{Blk=braille_patterns}', "");
Expect(0, 10495, '\p{^Blk=braille_patterns}', "");
Expect(0, 10495, '\P{Blk=braille_patterns}', "");
Expect(1, 10495, '\P{^Blk=braille_patterns}', "");
Expect(0, 10239, '\p{Blk=braille_patterns}', "");
Expect(1, 10239, '\p{^Blk=braille_patterns}', "");
Expect(1, 10239, '\P{Blk=braille_patterns}', "");
Expect(0, 10239, '\P{^Blk=braille_patterns}', "");
Error('\p{Is_Block=--Braille Patterns/a/}');
Error('\P{Is_Block=--Braille Patterns/a/}');
Expect(1, 10495, '\p{Is_Block=braillepatterns}', "");
Expect(0, 10495, '\p{^Is_Block=braillepatterns}', "");
Expect(0, 10495, '\P{Is_Block=braillepatterns}', "");
Expect(1, 10495, '\P{^Is_Block=braillepatterns}', "");
Expect(0, 10239, '\p{Is_Block=braillepatterns}', "");
Expect(1, 10239, '\p{^Is_Block=braillepatterns}', "");
Expect(1, 10239, '\P{Is_Block=braillepatterns}', "");
Expect(0, 10239, '\P{^Is_Block=braillepatterns}', "");
Expect(1, 10495, '\p{Is_Block=_	BRAILLE_patterns}', "");
Expect(0, 10495, '\p{^Is_Block=_	BRAILLE_patterns}', "");
Expect(0, 10495, '\P{Is_Block=_	BRAILLE_patterns}', "");
Expect(1, 10495, '\P{^Is_Block=_	BRAILLE_patterns}', "");
Expect(0, 10239, '\p{Is_Block=_	BRAILLE_patterns}', "");
Expect(1, 10239, '\p{^Is_Block=_	BRAILLE_patterns}', "");
Expect(1, 10239, '\P{Is_Block=_	BRAILLE_patterns}', "");
Expect(0, 10239, '\P{^Is_Block=_	BRAILLE_patterns}', "");
Error('\p{Is_Blk:    	Braille/a/PATTERNS}');
Error('\P{Is_Blk:    	Braille/a/PATTERNS}');
Expect(1, 10495, '\p{Is_Blk=braillepatterns}', "");
Expect(0, 10495, '\p{^Is_Blk=braillepatterns}', "");
Expect(0, 10495, '\P{Is_Blk=braillepatterns}', "");
Expect(1, 10495, '\P{^Is_Blk=braillepatterns}', "");
Expect(0, 10239, '\p{Is_Blk=braillepatterns}', "");
Expect(1, 10239, '\p{^Is_Blk=braillepatterns}', "");
Expect(1, 10239, '\P{Is_Blk=braillepatterns}', "");
Expect(0, 10239, '\P{^Is_Blk=braillepatterns}', "");
Expect(1, 10495, '\p{Is_Blk=	BRAILLE_PATTERNS}', "");
Expect(0, 10495, '\p{^Is_Blk=	BRAILLE_PATTERNS}', "");
Expect(0, 10495, '\P{Is_Blk=	BRAILLE_PATTERNS}', "");
Expect(1, 10495, '\P{^Is_Blk=	BRAILLE_PATTERNS}', "");
Expect(0, 10239, '\p{Is_Blk=	BRAILLE_PATTERNS}', "");
Expect(1, 10239, '\p{^Is_Blk=	BRAILLE_PATTERNS}', "");
Expect(1, 10239, '\P{Is_Blk=	BRAILLE_PATTERNS}', "");
Expect(0, 10239, '\P{^Is_Blk=	BRAILLE_PATTERNS}', "");
Error('\p{Block=	/a/ORIYA}');
Error('\P{Block=	/a/ORIYA}');
Expect(1, 2943, '\p{Block: oriya}', "");
Expect(0, 2943, '\p{^Block: oriya}', "");
Expect(0, 2943, '\P{Block: oriya}', "");
Expect(1, 2943, '\P{^Block: oriya}', "");
Expect(0, 2815, '\p{Block: oriya}', "");
Expect(1, 2815, '\p{^Block: oriya}', "");
Expect(1, 2815, '\P{Block: oriya}', "");
Expect(0, 2815, '\P{^Block: oriya}', "");
Expect(1, 2943, '\p{Block=--Oriya}', "");
Expect(0, 2943, '\p{^Block=--Oriya}', "");
Expect(0, 2943, '\P{Block=--Oriya}', "");
Expect(1, 2943, '\P{^Block=--Oriya}', "");
Expect(0, 2815, '\p{Block=--Oriya}', "");
Expect(1, 2815, '\p{^Block=--Oriya}', "");
Expect(1, 2815, '\P{Block=--Oriya}', "");
Expect(0, 2815, '\P{^Block=--Oriya}', "");
Error('\p{Blk=__Oriya:=}');
Error('\P{Blk=__Oriya:=}');
Expect(1, 2943, '\p{Blk=oriya}', "");
Expect(0, 2943, '\p{^Blk=oriya}', "");
Expect(0, 2943, '\P{Blk=oriya}', "");
Expect(1, 2943, '\P{^Blk=oriya}', "");
Expect(0, 2815, '\p{Blk=oriya}', "");
Expect(1, 2815, '\p{^Blk=oriya}', "");
Expect(1, 2815, '\P{Blk=oriya}', "");
Expect(0, 2815, '\P{^Blk=oriya}', "");
Expect(1, 2943, '\p{Blk=--Oriya}', "");
Expect(0, 2943, '\p{^Blk=--Oriya}', "");
Expect(0, 2943, '\P{Blk=--Oriya}', "");
Expect(1, 2943, '\P{^Blk=--Oriya}', "");
Expect(0, 2815, '\p{Blk=--Oriya}', "");
Expect(1, 2815, '\p{^Blk=--Oriya}', "");
Expect(1, 2815, '\P{Blk=--Oriya}', "");
Expect(0, 2815, '\P{^Blk=--Oriya}', "");
Error('\p{Is_Block=_-ORIYA/a/}');
Error('\P{Is_Block=_-ORIYA/a/}');
Expect(1, 2943, '\p{Is_Block=oriya}', "");
Expect(0, 2943, '\p{^Is_Block=oriya}', "");
Expect(0, 2943, '\P{Is_Block=oriya}', "");
Expect(1, 2943, '\P{^Is_Block=oriya}', "");
Expect(0, 2815, '\p{Is_Block=oriya}', "");
Expect(1, 2815, '\p{^Is_Block=oriya}', "");
Expect(1, 2815, '\P{Is_Block=oriya}', "");
Expect(0, 2815, '\P{^Is_Block=oriya}', "");
Expect(1, 2943, '\p{Is_Block=		Oriya}', "");
Expect(0, 2943, '\p{^Is_Block=		Oriya}', "");
Expect(0, 2943, '\P{Is_Block=		Oriya}', "");
Expect(1, 2943, '\P{^Is_Block=		Oriya}', "");
Expect(0, 2815, '\p{Is_Block=		Oriya}', "");
Expect(1, 2815, '\p{^Is_Block=		Oriya}', "");
Expect(1, 2815, '\P{Is_Block=		Oriya}', "");
Expect(0, 2815, '\P{^Is_Block=		Oriya}', "");
Error('\p{Is_Blk=/a/ _ORIYA}');
Error('\P{Is_Blk=/a/ _ORIYA}');
Expect(1, 2943, '\p{Is_Blk=oriya}', "");
Expect(0, 2943, '\p{^Is_Blk=oriya}', "");
Expect(0, 2943, '\P{Is_Blk=oriya}', "");
Expect(1, 2943, '\P{^Is_Blk=oriya}', "");
Expect(0, 2815, '\p{Is_Blk=oriya}', "");
Expect(1, 2815, '\p{^Is_Blk=oriya}', "");
Expect(1, 2815, '\P{Is_Blk=oriya}', "");
Expect(0, 2815, '\P{^Is_Blk=oriya}', "");
Expect(1, 2943, '\p{Is_Blk: -	Oriya}', "");
Expect(0, 2943, '\p{^Is_Blk: -	Oriya}', "");
Expect(0, 2943, '\P{Is_Blk: -	Oriya}', "");
Expect(1, 2943, '\P{^Is_Blk: -	Oriya}', "");
Expect(0, 2815, '\p{Is_Blk: -	Oriya}', "");
Expect(1, 2815, '\p{^Is_Blk: -	Oriya}', "");
Expect(1, 2815, '\P{Is_Blk: -	Oriya}', "");
Expect(0, 2815, '\P{^Is_Blk: -	Oriya}', "");
Error('\p{Block=:=-	LINEAR B-ideograms}');
Error('\P{Block=:=-	LINEAR B-ideograms}');
Expect(1, 65791, '\p{Block=linearbideograms}', "");
Expect(0, 65791, '\p{^Block=linearbideograms}', "");
Expect(0, 65791, '\P{Block=linearbideograms}', "");
Expect(1, 65791, '\P{^Block=linearbideograms}', "");
Expect(0, 65663, '\p{Block=linearbideograms}', "");
Expect(1, 65663, '\p{^Block=linearbideograms}', "");
Expect(1, 65663, '\P{Block=linearbideograms}', "");
Expect(0, 65663, '\P{^Block=linearbideograms}', "");
Expect(1, 65791, '\p{Block=-LinearB	Ideograms}', "");
Expect(0, 65791, '\p{^Block=-LinearB	Ideograms}', "");
Expect(0, 65791, '\P{Block=-LinearB	Ideograms}', "");
Expect(1, 65791, '\P{^Block=-LinearB	Ideograms}', "");
Expect(0, 65663, '\p{Block=-LinearB	Ideograms}', "");
Expect(1, 65663, '\p{^Block=-LinearB	Ideograms}', "");
Expect(1, 65663, '\P{Block=-LinearB	Ideograms}', "");
Expect(0, 65663, '\P{^Block=-LinearB	Ideograms}', "");
Error('\p{Blk=/a/__Linearb	Ideograms}');
Error('\P{Blk=/a/__Linearb	Ideograms}');
Expect(1, 65791, '\p{Blk=linearbideograms}', "");
Expect(0, 65791, '\p{^Blk=linearbideograms}', "");
Expect(0, 65791, '\P{Blk=linearbideograms}', "");
Expect(1, 65791, '\P{^Blk=linearbideograms}', "");
Expect(0, 65663, '\p{Blk=linearbideograms}', "");
Expect(1, 65663, '\p{^Blk=linearbideograms}', "");
Expect(1, 65663, '\P{Blk=linearbideograms}', "");
Expect(0, 65663, '\P{^Blk=linearbideograms}', "");
Expect(1, 65791, '\p{Blk: 	 Linear	B IDEOGRAMS}', "");
Expect(0, 65791, '\p{^Blk: 	 Linear	B IDEOGRAMS}', "");
Expect(0, 65791, '\P{Blk: 	 Linear	B IDEOGRAMS}', "");
Expect(1, 65791, '\P{^Blk: 	 Linear	B IDEOGRAMS}', "");
Expect(0, 65663, '\p{Blk: 	 Linear	B IDEOGRAMS}', "");
Expect(1, 65663, '\p{^Blk: 	 Linear	B IDEOGRAMS}', "");
Expect(1, 65663, '\P{Blk: 	 Linear	B IDEOGRAMS}', "");
Expect(0, 65663, '\P{^Blk: 	 Linear	B IDEOGRAMS}', "");
Error('\p{Is_Block=	 Linear B/a/ideograms}');
Error('\P{Is_Block=	 Linear B/a/ideograms}');
Expect(1, 65791, '\p{Is_Block=linearbideograms}', "");
Expect(0, 65791, '\p{^Is_Block=linearbideograms}', "");
Expect(0, 65791, '\P{Is_Block=linearbideograms}', "");
Expect(1, 65791, '\P{^Is_Block=linearbideograms}', "");
Expect(0, 65663, '\p{Is_Block=linearbideograms}', "");
Expect(1, 65663, '\p{^Is_Block=linearbideograms}', "");
Expect(1, 65663, '\P{Is_Block=linearbideograms}', "");
Expect(0, 65663, '\P{^Is_Block=linearbideograms}', "");
Expect(1, 65791, '\p{Is_Block=	_Linear	B Ideograms}', "");
Expect(0, 65791, '\p{^Is_Block=	_Linear	B Ideograms}', "");
Expect(0, 65791, '\P{Is_Block=	_Linear	B Ideograms}', "");
Expect(1, 65791, '\P{^Is_Block=	_Linear	B Ideograms}', "");
Expect(0, 65663, '\p{Is_Block=	_Linear	B Ideograms}', "");
Expect(1, 65663, '\p{^Is_Block=	_Linear	B Ideograms}', "");
Expect(1, 65663, '\P{Is_Block=	_Linear	B Ideograms}', "");
Expect(0, 65663, '\P{^Is_Block=	_Linear	B Ideograms}', "");
Error('\p{Is_Blk=/a/	LINEAR BIDEOGRAMS}');
Error('\P{Is_Blk=/a/	LINEAR BIDEOGRAMS}');
Expect(1, 65791, '\p{Is_Blk=linearbideograms}', "");
Expect(0, 65791, '\p{^Is_Blk=linearbideograms}', "");
Expect(0, 65791, '\P{Is_Blk=linearbideograms}', "");
Expect(1, 65791, '\P{^Is_Blk=linearbideograms}', "");
Expect(0, 65663, '\p{Is_Blk=linearbideograms}', "");
Expect(1, 65663, '\p{^Is_Blk=linearbideograms}', "");
Expect(1, 65663, '\P{Is_Blk=linearbideograms}', "");
Expect(0, 65663, '\P{^Is_Blk=linearbideograms}', "");
Expect(1, 65791, '\p{Is_Blk=-LINEAR_b ideograms}', "");
Expect(0, 65791, '\p{^Is_Blk=-LINEAR_b ideograms}', "");
Expect(0, 65791, '\P{Is_Blk=-LINEAR_b ideograms}', "");
Expect(1, 65791, '\P{^Is_Blk=-LINEAR_b ideograms}', "");
Expect(0, 65663, '\p{Is_Blk=-LINEAR_b ideograms}', "");
Expect(1, 65663, '\p{^Is_Blk=-LINEAR_b ideograms}', "");
Expect(1, 65663, '\P{Is_Blk=-LINEAR_b ideograms}', "");
Expect(0, 65663, '\P{^Is_Blk=-LINEAR_b ideograms}', "");
Error('\p{Block=:=  Cherokee}');
Error('\P{Block=:=  Cherokee}');
Expect(1, 5119, '\p{Block=cherokee}', "");
Expect(0, 5119, '\p{^Block=cherokee}', "");
Expect(0, 5119, '\P{Block=cherokee}', "");
Expect(1, 5119, '\P{^Block=cherokee}', "");
Expect(0, 5023, '\p{Block=cherokee}', "");
Expect(1, 5023, '\p{^Block=cherokee}', "");
Expect(1, 5023, '\P{Block=cherokee}', "");
Expect(0, 5023, '\P{^Block=cherokee}', "");
Expect(1, 5119, '\p{Block=	-Cherokee}', "");
Expect(0, 5119, '\p{^Block=	-Cherokee}', "");
Expect(0, 5119, '\P{Block=	-Cherokee}', "");
Expect(1, 5119, '\P{^Block=	-Cherokee}', "");
Expect(0, 5023, '\p{Block=	-Cherokee}', "");
Expect(1, 5023, '\p{^Block=	-Cherokee}', "");
Expect(1, 5023, '\P{Block=	-Cherokee}', "");
Expect(0, 5023, '\P{^Block=	-Cherokee}', "");
Error('\p{Blk=/a/Cherokee}');
Error('\P{Blk=/a/Cherokee}');
Expect(1, 5119, '\p{Blk=cherokee}', "");
Expect(0, 5119, '\p{^Blk=cherokee}', "");
Expect(0, 5119, '\P{Blk=cherokee}', "");
Expect(1, 5119, '\P{^Blk=cherokee}', "");
Expect(0, 5023, '\p{Blk=cherokee}', "");
Expect(1, 5023, '\p{^Blk=cherokee}', "");
Expect(1, 5023, '\P{Blk=cherokee}', "");
Expect(0, 5023, '\P{^Blk=cherokee}', "");
Expect(1, 5119, '\p{Blk=	CHEROKEE}', "");
Expect(0, 5119, '\p{^Blk=	CHEROKEE}', "");
Expect(0, 5119, '\P{Blk=	CHEROKEE}', "");
Expect(1, 5119, '\P{^Blk=	CHEROKEE}', "");
Expect(0, 5023, '\p{Blk=	CHEROKEE}', "");
Expect(1, 5023, '\p{^Blk=	CHEROKEE}', "");
Expect(1, 5023, '\P{Blk=	CHEROKEE}', "");
Expect(0, 5023, '\P{^Blk=	CHEROKEE}', "");
Error('\p{Is_Block=:= 	Cherokee}');
Error('\P{Is_Block=:= 	Cherokee}');
Expect(1, 5119, '\p{Is_Block=cherokee}', "");
Expect(0, 5119, '\p{^Is_Block=cherokee}', "");
Expect(0, 5119, '\P{Is_Block=cherokee}', "");
Expect(1, 5119, '\P{^Is_Block=cherokee}', "");
Expect(0, 5023, '\p{Is_Block=cherokee}', "");
Expect(1, 5023, '\p{^Is_Block=cherokee}', "");
Expect(1, 5023, '\P{Is_Block=cherokee}', "");
Expect(0, 5023, '\P{^Is_Block=cherokee}', "");
Expect(1, 5119, '\p{Is_Block= -Cherokee}', "");
Expect(0, 5119, '\p{^Is_Block= -Cherokee}', "");
Expect(0, 5119, '\P{Is_Block= -Cherokee}', "");
Expect(1, 5119, '\P{^Is_Block= -Cherokee}', "");
Expect(0, 5023, '\p{Is_Block= -Cherokee}', "");
Expect(1, 5023, '\p{^Is_Block= -Cherokee}', "");
Expect(1, 5023, '\P{Is_Block= -Cherokee}', "");
Expect(0, 5023, '\P{^Is_Block= -Cherokee}', "");
Error('\p{Is_Blk=-_CHEROKEE/a/}');
Error('\P{Is_Blk=-_CHEROKEE/a/}');
Expect(1, 5119, '\p{Is_Blk=cherokee}', "");
Expect(0, 5119, '\p{^Is_Blk=cherokee}', "");
Expect(0, 5119, '\P{Is_Blk=cherokee}', "");
Expect(1, 5119, '\P{^Is_Blk=cherokee}', "");
Expect(0, 5023, '\p{Is_Blk=cherokee}', "");
Expect(1, 5023, '\p{^Is_Blk=cherokee}', "");
Expect(1, 5023, '\P{Is_Blk=cherokee}', "");
Expect(0, 5023, '\P{^Is_Blk=cherokee}', "");
Expect(1, 5119, '\p{Is_Blk=  Cherokee}', "");
Expect(0, 5119, '\p{^Is_Blk=  Cherokee}', "");
Expect(0, 5119, '\P{Is_Blk=  Cherokee}', "");
Expect(1, 5119, '\P{^Is_Blk=  Cherokee}', "");
Expect(0, 5023, '\p{Is_Blk=  Cherokee}', "");
Expect(1, 5023, '\p{^Is_Blk=  Cherokee}', "");
Expect(1, 5023, '\P{Is_Blk=  Cherokee}', "");
Expect(0, 5023, '\P{^Is_Blk=  Cherokee}', "");
Error('\p{Block=	BOPOMOFO/a/Extended}');
Error('\P{Block=	BOPOMOFO/a/Extended}');
Expect(1, 12735, '\p{Block:	bopomofoextended}', "");
Expect(0, 12735, '\p{^Block:	bopomofoextended}', "");
Expect(0, 12735, '\P{Block:	bopomofoextended}', "");
Expect(1, 12735, '\P{^Block:	bopomofoextended}', "");
Expect(0, 12703, '\p{Block:	bopomofoextended}', "");
Expect(1, 12703, '\p{^Block:	bopomofoextended}', "");
Expect(1, 12703, '\P{Block:	bopomofoextended}', "");
Expect(0, 12703, '\P{^Block:	bopomofoextended}', "");
Expect(1, 12735, '\p{Block=-_Bopomofo EXTENDED}', "");
Expect(0, 12735, '\p{^Block=-_Bopomofo EXTENDED}', "");
Expect(0, 12735, '\P{Block=-_Bopomofo EXTENDED}', "");
Expect(1, 12735, '\P{^Block=-_Bopomofo EXTENDED}', "");
Expect(0, 12703, '\p{Block=-_Bopomofo EXTENDED}', "");
Expect(1, 12703, '\p{^Block=-_Bopomofo EXTENDED}', "");
Expect(1, 12703, '\P{Block=-_Bopomofo EXTENDED}', "");
Expect(0, 12703, '\P{^Block=-_Bopomofo EXTENDED}', "");
Error('\p{Blk=:=-bopomofo	Extended}');
Error('\P{Blk=:=-bopomofo	Extended}');
Expect(1, 12735, '\p{Blk:bopomofoextended}', "");
Expect(0, 12735, '\p{^Blk:bopomofoextended}', "");
Expect(0, 12735, '\P{Blk:bopomofoextended}', "");
Expect(1, 12735, '\P{^Blk:bopomofoextended}', "");
Expect(0, 12703, '\p{Blk:bopomofoextended}', "");
Expect(1, 12703, '\p{^Blk:bopomofoextended}', "");
Expect(1, 12703, '\P{Blk:bopomofoextended}', "");
Expect(0, 12703, '\P{^Blk:bopomofoextended}', "");
Expect(1, 12735, '\p{Blk=	BOPOMOFO_Extended}', "");
Expect(0, 12735, '\p{^Blk=	BOPOMOFO_Extended}', "");
Expect(0, 12735, '\P{Blk=	BOPOMOFO_Extended}', "");
Expect(1, 12735, '\P{^Blk=	BOPOMOFO_Extended}', "");
Expect(0, 12703, '\p{Blk=	BOPOMOFO_Extended}', "");
Expect(1, 12703, '\p{^Blk=	BOPOMOFO_Extended}', "");
Expect(1, 12703, '\P{Blk=	BOPOMOFO_Extended}', "");
Expect(0, 12703, '\P{^Blk=	BOPOMOFO_Extended}', "");
Error('\p{Is_Block=:=bopomofo EXTENDED}');
Error('\P{Is_Block=:=bopomofo EXTENDED}');
Expect(1, 12735, '\p{Is_Block=bopomofoextended}', "");
Expect(0, 12735, '\p{^Is_Block=bopomofoextended}', "");
Expect(0, 12735, '\P{Is_Block=bopomofoextended}', "");
Expect(1, 12735, '\P{^Is_Block=bopomofoextended}', "");
Expect(0, 12703, '\p{Is_Block=bopomofoextended}', "");
Expect(1, 12703, '\p{^Is_Block=bopomofoextended}', "");
Expect(1, 12703, '\P{Is_Block=bopomofoextended}', "");
Expect(0, 12703, '\P{^Is_Block=bopomofoextended}', "");
Expect(1, 12735, '\p{Is_Block= _Bopomofo	Extended}', "");
Expect(0, 12735, '\p{^Is_Block= _Bopomofo	Extended}', "");
Expect(0, 12735, '\P{Is_Block= _Bopomofo	Extended}', "");
Expect(1, 12735, '\P{^Is_Block= _Bopomofo	Extended}', "");
Expect(0, 12703, '\p{Is_Block= _Bopomofo	Extended}', "");
Expect(1, 12703, '\p{^Is_Block= _Bopomofo	Extended}', "");
Expect(1, 12703, '\P{Is_Block= _Bopomofo	Extended}', "");
Expect(0, 12703, '\P{^Is_Block= _Bopomofo	Extended}', "");
Error('\p{Is_Blk=	/a/bopomofo	Extended}');
Error('\P{Is_Blk=	/a/bopomofo	Extended}');
Expect(1, 12735, '\p{Is_Blk=bopomofoextended}', "");
Expect(0, 12735, '\p{^Is_Blk=bopomofoextended}', "");
Expect(0, 12735, '\P{Is_Blk=bopomofoextended}', "");
Expect(1, 12735, '\P{^Is_Blk=bopomofoextended}', "");
Expect(0, 12703, '\p{Is_Blk=bopomofoextended}', "");
Expect(1, 12703, '\p{^Is_Blk=bopomofoextended}', "");
Expect(1, 12703, '\P{Is_Blk=bopomofoextended}', "");
Expect(0, 12703, '\P{^Is_Blk=bopomofoextended}', "");
Expect(1, 12735, '\p{Is_Blk=Bopomofo	extended}', "");
Expect(0, 12735, '\p{^Is_Blk=Bopomofo	extended}', "");
Expect(0, 12735, '\P{Is_Blk=Bopomofo	extended}', "");
Expect(1, 12735, '\P{^Is_Blk=Bopomofo	extended}', "");
Expect(0, 12703, '\p{Is_Blk=Bopomofo	extended}', "");
Expect(1, 12703, '\p{^Is_Blk=Bopomofo	extended}', "");
Expect(1, 12703, '\P{Is_Blk=Bopomofo	extended}', "");
Expect(0, 12703, '\P{^Is_Blk=Bopomofo	extended}', "");
Error('\p{Block=  ogham/a/}');
Error('\P{Block=  ogham/a/}');
Expect(1, 5791, '\p{Block=ogham}', "");
Expect(0, 5791, '\p{^Block=ogham}', "");
Expect(0, 5791, '\P{Block=ogham}', "");
Expect(1, 5791, '\P{^Block=ogham}', "");
Expect(0, 5759, '\p{Block=ogham}', "");
Expect(1, 5759, '\p{^Block=ogham}', "");
Expect(1, 5759, '\P{Block=ogham}', "");
Expect(0, 5759, '\P{^Block=ogham}', "");
Expect(1, 5791, '\p{Block=	Ogham}', "");
Expect(0, 5791, '\p{^Block=	Ogham}', "");
Expect(0, 5791, '\P{Block=	Ogham}', "");
Expect(1, 5791, '\P{^Block=	Ogham}', "");
Expect(0, 5759, '\p{Block=	Ogham}', "");
Expect(1, 5759, '\p{^Block=	Ogham}', "");
Expect(1, 5759, '\P{Block=	Ogham}', "");
Expect(0, 5759, '\P{^Block=	Ogham}', "");
Error('\p{Blk=	/a/ogham}');
Error('\P{Blk=	/a/ogham}');
Expect(1, 5791, '\p{Blk=ogham}', "");
Expect(0, 5791, '\p{^Blk=ogham}', "");
Expect(0, 5791, '\P{Blk=ogham}', "");
Expect(1, 5791, '\P{^Blk=ogham}', "");
Expect(0, 5759, '\p{Blk=ogham}', "");
Expect(1, 5759, '\p{^Blk=ogham}', "");
Expect(1, 5759, '\P{Blk=ogham}', "");
Expect(0, 5759, '\P{^Blk=ogham}', "");
Expect(1, 5791, '\p{Blk=		Ogham}', "");
Expect(0, 5791, '\p{^Blk=		Ogham}', "");
Expect(0, 5791, '\P{Blk=		Ogham}', "");
Expect(1, 5791, '\P{^Blk=		Ogham}', "");
Expect(0, 5759, '\p{Blk=		Ogham}', "");
Expect(1, 5759, '\p{^Blk=		Ogham}', "");
Expect(1, 5759, '\P{Blk=		Ogham}', "");
Expect(0, 5759, '\P{^Blk=		Ogham}', "");
Error('\p{Is_Block=:= -OGHAM}');
Error('\P{Is_Block=:= -OGHAM}');
Expect(1, 5791, '\p{Is_Block=ogham}', "");
Expect(0, 5791, '\p{^Is_Block=ogham}', "");
Expect(0, 5791, '\P{Is_Block=ogham}', "");
Expect(1, 5791, '\P{^Is_Block=ogham}', "");
Expect(0, 5759, '\p{Is_Block=ogham}', "");
Expect(1, 5759, '\p{^Is_Block=ogham}', "");
Expect(1, 5759, '\P{Is_Block=ogham}', "");
Expect(0, 5759, '\P{^Is_Block=ogham}', "");
Expect(1, 5791, '\p{Is_Block= _OGHAM}', "");
Expect(0, 5791, '\p{^Is_Block= _OGHAM}', "");
Expect(0, 5791, '\P{Is_Block= _OGHAM}', "");
Expect(1, 5791, '\P{^Is_Block= _OGHAM}', "");
Expect(0, 5759, '\p{Is_Block= _OGHAM}', "");
Expect(1, 5759, '\p{^Is_Block= _OGHAM}', "");
Expect(1, 5759, '\P{Is_Block= _OGHAM}', "");
Expect(0, 5759, '\P{^Is_Block= _OGHAM}', "");
Error('\p{Is_Blk=/a/_	ogham}');
Error('\P{Is_Blk=/a/_	ogham}');
Expect(1, 5791, '\p{Is_Blk=ogham}', "");
Expect(0, 5791, '\p{^Is_Blk=ogham}', "");
Expect(0, 5791, '\P{Is_Blk=ogham}', "");
Expect(1, 5791, '\P{^Is_Blk=ogham}', "");
Expect(0, 5759, '\p{Is_Blk=ogham}', "");
Expect(1, 5759, '\p{^Is_Blk=ogham}', "");
Expect(1, 5759, '\P{Is_Blk=ogham}', "");
Expect(0, 5759, '\P{^Is_Blk=ogham}', "");
Expect(1, 5791, '\p{Is_Blk:	_ Ogham}', "");
Expect(0, 5791, '\p{^Is_Blk:	_ Ogham}', "");
Expect(0, 5791, '\P{Is_Blk:	_ Ogham}', "");
Expect(1, 5791, '\P{^Is_Blk:	_ Ogham}', "");
Expect(0, 5759, '\p{Is_Blk:	_ Ogham}', "");
Expect(1, 5759, '\p{^Is_Blk:	_ Ogham}', "");
Expect(1, 5759, '\P{Is_Blk:	_ Ogham}', "");
Expect(0, 5759, '\P{^Is_Blk:	_ Ogham}', "");
Error('\p{Block=:=	 SAMARITAN}');
Error('\P{Block=:=	 SAMARITAN}');
Expect(1, 2111, '\p{Block=samaritan}', "");
Expect(0, 2111, '\p{^Block=samaritan}', "");
Expect(0, 2111, '\P{Block=samaritan}', "");
Expect(1, 2111, '\P{^Block=samaritan}', "");
Expect(0, 2047, '\p{Block=samaritan}', "");
Expect(1, 2047, '\p{^Block=samaritan}', "");
Expect(1, 2047, '\P{Block=samaritan}', "");
Expect(0, 2047, '\P{^Block=samaritan}', "");
Expect(1, 2111, '\p{Block=	 samaritan}', "");
Expect(0, 2111, '\p{^Block=	 samaritan}', "");
Expect(0, 2111, '\P{Block=	 samaritan}', "");
Expect(1, 2111, '\P{^Block=	 samaritan}', "");
Expect(0, 2047, '\p{Block=	 samaritan}', "");
Expect(1, 2047, '\p{^Block=	 samaritan}', "");
Expect(1, 2047, '\P{Block=	 samaritan}', "");
Expect(0, 2047, '\P{^Block=	 samaritan}', "");
Error('\p{Blk=/a/-	Samaritan}');
Error('\P{Blk=/a/-	Samaritan}');
Expect(1, 2111, '\p{Blk=samaritan}', "");
Expect(0, 2111, '\p{^Blk=samaritan}', "");
Expect(0, 2111, '\P{Blk=samaritan}', "");
Expect(1, 2111, '\P{^Blk=samaritan}', "");
Expect(0, 2047, '\p{Blk=samaritan}', "");
Expect(1, 2047, '\p{^Blk=samaritan}', "");
Expect(1, 2047, '\P{Blk=samaritan}', "");
Expect(0, 2047, '\P{^Blk=samaritan}', "");
Expect(1, 2111, '\p{Blk=  Samaritan}', "");
Expect(0, 2111, '\p{^Blk=  Samaritan}', "");
Expect(0, 2111, '\P{Blk=  Samaritan}', "");
Expect(1, 2111, '\P{^Blk=  Samaritan}', "");
Expect(0, 2047, '\p{Blk=  Samaritan}', "");
Expect(1, 2047, '\p{^Blk=  Samaritan}', "");
Expect(1, 2047, '\P{Blk=  Samaritan}', "");
Expect(0, 2047, '\P{^Blk=  Samaritan}', "");
Error('\p{Is_Block=-/a/Samaritan}');
Error('\P{Is_Block=-/a/Samaritan}');
Expect(1, 2111, '\p{Is_Block=samaritan}', "");
Expect(0, 2111, '\p{^Is_Block=samaritan}', "");
Expect(0, 2111, '\P{Is_Block=samaritan}', "");
Expect(1, 2111, '\P{^Is_Block=samaritan}', "");
Expect(0, 2047, '\p{Is_Block=samaritan}', "");
Expect(1, 2047, '\p{^Is_Block=samaritan}', "");
Expect(1, 2047, '\P{Is_Block=samaritan}', "");
Expect(0, 2047, '\P{^Is_Block=samaritan}', "");
Expect(1, 2111, '\p{Is_Block=	Samaritan}', "");
Expect(0, 2111, '\p{^Is_Block=	Samaritan}', "");
Expect(0, 2111, '\P{Is_Block=	Samaritan}', "");
Expect(1, 2111, '\P{^Is_Block=	Samaritan}', "");
Expect(0, 2047, '\p{Is_Block=	Samaritan}', "");
Expect(1, 2047, '\p{^Is_Block=	Samaritan}', "");
Expect(1, 2047, '\P{Is_Block=	Samaritan}', "");
Expect(0, 2047, '\P{^Is_Block=	Samaritan}', "");
Error('\p{Is_Blk=:= Samaritan}');
Error('\P{Is_Blk=:= Samaritan}');
Expect(1, 2111, '\p{Is_Blk=samaritan}', "");
Expect(0, 2111, '\p{^Is_Blk=samaritan}', "");
Expect(0, 2111, '\P{Is_Blk=samaritan}', "");
Expect(1, 2111, '\P{^Is_Blk=samaritan}', "");
Expect(0, 2047, '\p{Is_Blk=samaritan}', "");
Expect(1, 2047, '\p{^Is_Blk=samaritan}', "");
Expect(1, 2047, '\P{Is_Blk=samaritan}', "");
Expect(0, 2047, '\P{^Is_Blk=samaritan}', "");
Expect(1, 2111, '\p{Is_Blk=_-Samaritan}', "");
Expect(0, 2111, '\p{^Is_Blk=_-Samaritan}', "");
Expect(0, 2111, '\P{Is_Blk=_-Samaritan}', "");
Expect(1, 2111, '\P{^Is_Blk=_-Samaritan}', "");
Expect(0, 2047, '\p{Is_Blk=_-Samaritan}', "");
Expect(1, 2047, '\p{^Is_Blk=_-Samaritan}', "");
Expect(1, 2047, '\P{Is_Blk=_-Samaritan}', "");
Expect(0, 2047, '\P{^Is_Blk=_-Samaritan}', "");
Error('\p{Block=:= vai}');
Error('\P{Block=:= vai}');
Expect(1, 42559, '\p{Block=vai}', "");
Expect(0, 42559, '\p{^Block=vai}', "");
Expect(0, 42559, '\P{Block=vai}', "");
Expect(1, 42559, '\P{^Block=vai}', "");
Expect(0, 42239, '\p{Block=vai}', "");
Expect(1, 42239, '\p{^Block=vai}', "");
Expect(1, 42239, '\P{Block=vai}', "");
Expect(0, 42239, '\P{^Block=vai}', "");
Expect(1, 42559, '\p{Block:    Vai}', "");
Expect(0, 42559, '\p{^Block:    Vai}', "");
Expect(0, 42559, '\P{Block:    Vai}', "");
Expect(1, 42559, '\P{^Block:    Vai}', "");
Expect(0, 42239, '\p{Block:    Vai}', "");
Expect(1, 42239, '\p{^Block:    Vai}', "");
Expect(1, 42239, '\P{Block:    Vai}', "");
Expect(0, 42239, '\P{^Block:    Vai}', "");
Error('\p{Blk=:=Vai}');
Error('\P{Blk=:=Vai}');
Expect(1, 42559, '\p{Blk=vai}', "");
Expect(0, 42559, '\p{^Blk=vai}', "");
Expect(0, 42559, '\P{Blk=vai}', "");
Expect(1, 42559, '\P{^Blk=vai}', "");
Expect(0, 42239, '\p{Blk=vai}', "");
Expect(1, 42239, '\p{^Blk=vai}', "");
Expect(1, 42239, '\P{Blk=vai}', "");
Expect(0, 42239, '\P{^Blk=vai}', "");
Expect(1, 42559, '\p{Blk=_Vai}', "");
Expect(0, 42559, '\p{^Blk=_Vai}', "");
Expect(0, 42559, '\P{Blk=_Vai}', "");
Expect(1, 42559, '\P{^Blk=_Vai}', "");
Expect(0, 42239, '\p{Blk=_Vai}', "");
Expect(1, 42239, '\p{^Blk=_Vai}', "");
Expect(1, 42239, '\P{Blk=_Vai}', "");
Expect(0, 42239, '\P{^Blk=_Vai}', "");
Error('\p{Is_Block: -vai/a/}');
Error('\P{Is_Block: -vai/a/}');
Expect(1, 42559, '\p{Is_Block=vai}', "");
Expect(0, 42559, '\p{^Is_Block=vai}', "");
Expect(0, 42559, '\P{Is_Block=vai}', "");
Expect(1, 42559, '\P{^Is_Block=vai}', "");
Expect(0, 42239, '\p{Is_Block=vai}', "");
Expect(1, 42239, '\p{^Is_Block=vai}', "");
Expect(1, 42239, '\P{Is_Block=vai}', "");
Expect(0, 42239, '\P{^Is_Block=vai}', "");
Expect(1, 42559, '\p{Is_Block:	-	vai}', "");
Expect(0, 42559, '\p{^Is_Block:	-	vai}', "");
Expect(0, 42559, '\P{Is_Block:	-	vai}', "");
Expect(1, 42559, '\P{^Is_Block:	-	vai}', "");
Expect(0, 42239, '\p{Is_Block:	-	vai}', "");
Expect(1, 42239, '\p{^Is_Block:	-	vai}', "");
Expect(1, 42239, '\P{Is_Block:	-	vai}', "");
Expect(0, 42239, '\P{^Is_Block:	-	vai}', "");
Error('\p{Is_Blk=/a/VAI}');
Error('\P{Is_Blk=/a/VAI}');
Expect(1, 42559, '\p{Is_Blk=vai}', "");
Expect(0, 42559, '\p{^Is_Blk=vai}', "");
Expect(0, 42559, '\P{Is_Blk=vai}', "");
Expect(1, 42559, '\P{^Is_Blk=vai}', "");
Expect(0, 42239, '\p{Is_Blk=vai}', "");
Expect(1, 42239, '\p{^Is_Blk=vai}', "");
Expect(1, 42239, '\P{Is_Blk=vai}', "");
Expect(0, 42239, '\P{^Is_Blk=vai}', "");
Expect(1, 42559, '\p{Is_Blk=  Vai}', "");
Expect(0, 42559, '\p{^Is_Blk=  Vai}', "");
Expect(0, 42559, '\P{Is_Blk=  Vai}', "");
Expect(1, 42559, '\P{^Is_Blk=  Vai}', "");
Expect(0, 42239, '\p{Is_Blk=  Vai}', "");
Expect(1, 42239, '\p{^Is_Blk=  Vai}', "");
Expect(1, 42239, '\P{Is_Blk=  Vai}', "");
Expect(0, 42239, '\P{^Is_Blk=  Vai}', "");
Error('\p{Block: :=	 general Punctuation}');
Error('\P{Block: :=	 general Punctuation}');
Expect(1, 8303, '\p{Block=generalpunctuation}', "");
Expect(0, 8303, '\p{^Block=generalpunctuation}', "");
Expect(0, 8303, '\P{Block=generalpunctuation}', "");
Expect(1, 8303, '\P{^Block=generalpunctuation}', "");
Expect(0, 8191, '\p{Block=generalpunctuation}', "");
Expect(1, 8191, '\p{^Block=generalpunctuation}', "");
Expect(1, 8191, '\P{Block=generalpunctuation}', "");
Expect(0, 8191, '\P{^Block=generalpunctuation}', "");
Expect(1, 8303, '\p{Block:  _general	punctuation}', "");
Expect(0, 8303, '\p{^Block:  _general	punctuation}', "");
Expect(0, 8303, '\P{Block:  _general	punctuation}', "");
Expect(1, 8303, '\P{^Block:  _general	punctuation}', "");
Expect(0, 8191, '\p{Block:  _general	punctuation}', "");
Expect(1, 8191, '\p{^Block:  _general	punctuation}', "");
Expect(1, 8191, '\P{Block:  _general	punctuation}', "");
Expect(0, 8191, '\P{^Block:  _general	punctuation}', "");
Error('\p{Blk:_GENERAL Punctuation:=}');
Error('\P{Blk:_GENERAL Punctuation:=}');
Expect(1, 8303, '\p{Blk=generalpunctuation}', "");
Expect(0, 8303, '\p{^Blk=generalpunctuation}', "");
Expect(0, 8303, '\P{Blk=generalpunctuation}', "");
Expect(1, 8303, '\P{^Blk=generalpunctuation}', "");
Expect(0, 8191, '\p{Blk=generalpunctuation}', "");
Expect(1, 8191, '\p{^Blk=generalpunctuation}', "");
Expect(1, 8191, '\P{Blk=generalpunctuation}', "");
Expect(0, 8191, '\P{^Blk=generalpunctuation}', "");
Expect(1, 8303, '\p{Blk=	general-Punctuation}', "");
Expect(0, 8303, '\p{^Blk=	general-Punctuation}', "");
Expect(0, 8303, '\P{Blk=	general-Punctuation}', "");
Expect(1, 8303, '\P{^Blk=	general-Punctuation}', "");
Expect(0, 8191, '\p{Blk=	general-Punctuation}', "");
Expect(1, 8191, '\p{^Blk=	general-Punctuation}', "");
Expect(1, 8191, '\P{Blk=	general-Punctuation}', "");
Expect(0, 8191, '\P{^Blk=	general-Punctuation}', "");
Error('\p{Is_Block=General Punctuation:=}');
Error('\P{Is_Block=General Punctuation:=}');
Expect(1, 8303, '\p{Is_Block=generalpunctuation}', "");
Expect(0, 8303, '\p{^Is_Block=generalpunctuation}', "");
Expect(0, 8303, '\P{Is_Block=generalpunctuation}', "");
Expect(1, 8303, '\P{^Is_Block=generalpunctuation}', "");
Expect(0, 8191, '\p{Is_Block=generalpunctuation}', "");
Expect(1, 8191, '\p{^Is_Block=generalpunctuation}', "");
Expect(1, 8191, '\P{Is_Block=generalpunctuation}', "");
Expect(0, 8191, '\P{^Is_Block=generalpunctuation}', "");
Expect(1, 8303, '\p{Is_Block=General_punctuation}', "");
Expect(0, 8303, '\p{^Is_Block=General_punctuation}', "");
Expect(0, 8303, '\P{Is_Block=General_punctuation}', "");
Expect(1, 8303, '\P{^Is_Block=General_punctuation}', "");
Expect(0, 8191, '\p{Is_Block=General_punctuation}', "");
Expect(1, 8191, '\p{^Is_Block=General_punctuation}', "");
Expect(1, 8191, '\P{Is_Block=General_punctuation}', "");
Expect(0, 8191, '\P{^Is_Block=General_punctuation}', "");
Error('\p{Is_Blk=/a/  GENERALPUNCTUATION}');
Error('\P{Is_Blk=/a/  GENERALPUNCTUATION}');
Expect(1, 8303, '\p{Is_Blk=generalpunctuation}', "");
Expect(0, 8303, '\p{^Is_Blk=generalpunctuation}', "");
Expect(0, 8303, '\P{Is_Blk=generalpunctuation}', "");
Expect(1, 8303, '\P{^Is_Blk=generalpunctuation}', "");
Expect(0, 8191, '\p{Is_Blk=generalpunctuation}', "");
Expect(1, 8191, '\p{^Is_Blk=generalpunctuation}', "");
Expect(1, 8191, '\P{Is_Blk=generalpunctuation}', "");
Expect(0, 8191, '\P{^Is_Blk=generalpunctuation}', "");
Expect(1, 8303, '\p{Is_Blk= 	GENERALPunctuation}', "");
Expect(0, 8303, '\p{^Is_Blk= 	GENERALPunctuation}', "");
Expect(0, 8303, '\P{Is_Blk= 	GENERALPunctuation}', "");
Expect(1, 8303, '\P{^Is_Blk= 	GENERALPunctuation}', "");
Expect(0, 8191, '\p{Is_Blk= 	GENERALPunctuation}', "");
Expect(1, 8191, '\p{^Is_Blk= 	GENERALPunctuation}', "");
Expect(1, 8191, '\P{Is_Blk= 	GENERALPunctuation}', "");
Expect(0, 8191, '\P{^Is_Blk= 	GENERALPunctuation}', "");
Error('\p{Block=/a/	-rejang}');
Error('\P{Block=/a/	-rejang}');
Expect(1, 43359, '\p{Block: rejang}', "");
Expect(0, 43359, '\p{^Block: rejang}', "");
Expect(0, 43359, '\P{Block: rejang}', "");
Expect(1, 43359, '\P{^Block: rejang}', "");
Expect(0, 43311, '\p{Block: rejang}', "");
Expect(1, 43311, '\p{^Block: rejang}', "");
Expect(1, 43311, '\P{Block: rejang}', "");
Expect(0, 43311, '\P{^Block: rejang}', "");
Expect(1, 43359, '\p{Block=- rejang}', "");
Expect(0, 43359, '\p{^Block=- rejang}', "");
Expect(0, 43359, '\P{Block=- rejang}', "");
Expect(1, 43359, '\P{^Block=- rejang}', "");
Expect(0, 43311, '\p{Block=- rejang}', "");
Expect(1, 43311, '\p{^Block=- rejang}', "");
Expect(1, 43311, '\P{Block=- rejang}', "");
Expect(0, 43311, '\P{^Block=- rejang}', "");
Error('\p{Blk=	_Rejang:=}');
Error('\P{Blk=	_Rejang:=}');
Expect(1, 43359, '\p{Blk=rejang}', "");
Expect(0, 43359, '\p{^Blk=rejang}', "");
Expect(0, 43359, '\P{Blk=rejang}', "");
Expect(1, 43359, '\P{^Blk=rejang}', "");
Expect(0, 43311, '\p{Blk=rejang}', "");
Expect(1, 43311, '\p{^Blk=rejang}', "");
Expect(1, 43311, '\P{Blk=rejang}', "");
Expect(0, 43311, '\P{^Blk=rejang}', "");
Expect(1, 43359, '\p{Blk=	rejang}', "");
Expect(0, 43359, '\p{^Blk=	rejang}', "");
Expect(0, 43359, '\P{Blk=	rejang}', "");
Expect(1, 43359, '\P{^Blk=	rejang}', "");
Expect(0, 43311, '\p{Blk=	rejang}', "");
Expect(1, 43311, '\p{^Blk=	rejang}', "");
Expect(1, 43311, '\P{Blk=	rejang}', "");
Expect(0, 43311, '\P{^Blk=	rejang}', "");
Error('\p{Is_Block=--Rejang/a/}');
Error('\P{Is_Block=--Rejang/a/}');
Expect(1, 43359, '\p{Is_Block=rejang}', "");
Expect(0, 43359, '\p{^Is_Block=rejang}', "");
Expect(0, 43359, '\P{Is_Block=rejang}', "");
Expect(1, 43359, '\P{^Is_Block=rejang}', "");
Expect(0, 43311, '\p{Is_Block=rejang}', "");
Expect(1, 43311, '\p{^Is_Block=rejang}', "");
Expect(1, 43311, '\P{Is_Block=rejang}', "");
Expect(0, 43311, '\P{^Is_Block=rejang}', "");
Expect(1, 43359, '\p{Is_Block= _rejang}', "");
Expect(0, 43359, '\p{^Is_Block= _rejang}', "");
Expect(0, 43359, '\P{Is_Block= _rejang}', "");
Expect(1, 43359, '\P{^Is_Block= _rejang}', "");
Expect(0, 43311, '\p{Is_Block= _rejang}', "");
Expect(1, 43311, '\p{^Is_Block= _rejang}', "");
Expect(1, 43311, '\P{Is_Block= _rejang}', "");
Expect(0, 43311, '\P{^Is_Block= _rejang}', "");
Error('\p{Is_Blk:   _/a/REJANG}');
Error('\P{Is_Blk:   _/a/REJANG}');
Expect(1, 43359, '\p{Is_Blk=rejang}', "");
Expect(0, 43359, '\p{^Is_Blk=rejang}', "");
Expect(0, 43359, '\P{Is_Blk=rejang}', "");
Expect(1, 43359, '\P{^Is_Blk=rejang}', "");
Expect(0, 43311, '\p{Is_Blk=rejang}', "");
Expect(1, 43311, '\p{^Is_Blk=rejang}', "");
Expect(1, 43311, '\P{Is_Blk=rejang}', "");
Expect(0, 43311, '\P{^Is_Blk=rejang}', "");
Expect(1, 43359, '\p{Is_Blk=_Rejang}', "");
Expect(0, 43359, '\p{^Is_Blk=_Rejang}', "");
Expect(0, 43359, '\P{Is_Blk=_Rejang}', "");
Expect(1, 43359, '\P{^Is_Blk=_Rejang}', "");
Expect(0, 43311, '\p{Is_Blk=_Rejang}', "");
Expect(1, 43311, '\p{^Is_Blk=_Rejang}', "");
Expect(1, 43311, '\P{Is_Blk=_Rejang}', "");
Expect(0, 43311, '\P{^Is_Blk=_Rejang}', "");
Error('\p{Block=	:=OLD-TURKIC}');
Error('\P{Block=	:=OLD-TURKIC}');
Expect(1, 68687, '\p{Block=oldturkic}', "");
Expect(0, 68687, '\p{^Block=oldturkic}', "");
Expect(0, 68687, '\P{Block=oldturkic}', "");
Expect(1, 68687, '\P{^Block=oldturkic}', "");
Expect(0, 68607, '\p{Block=oldturkic}', "");
Expect(1, 68607, '\p{^Block=oldturkic}', "");
Expect(1, 68607, '\P{Block=oldturkic}', "");
Expect(0, 68607, '\P{^Block=oldturkic}', "");
Expect(1, 68687, '\p{Block= Old Turkic}', "");
Expect(0, 68687, '\p{^Block= Old Turkic}', "");
Expect(0, 68687, '\P{Block= Old Turkic}', "");
Expect(1, 68687, '\P{^Block= Old Turkic}', "");
Expect(0, 68607, '\p{Block= Old Turkic}', "");
Expect(1, 68607, '\p{^Block= Old Turkic}', "");
Expect(1, 68607, '\P{Block= Old Turkic}', "");
Expect(0, 68607, '\P{^Block= Old Turkic}', "");
Error('\p{Blk=_:=OLD	TURKIC}');
Error('\P{Blk=_:=OLD	TURKIC}');
Expect(1, 68687, '\p{Blk=oldturkic}', "");
Expect(0, 68687, '\p{^Blk=oldturkic}', "");
Expect(0, 68687, '\P{Blk=oldturkic}', "");
Expect(1, 68687, '\P{^Blk=oldturkic}', "");
Expect(0, 68607, '\p{Blk=oldturkic}', "");
Expect(1, 68607, '\p{^Blk=oldturkic}', "");
Expect(1, 68607, '\P{Blk=oldturkic}', "");
Expect(0, 68607, '\P{^Blk=oldturkic}', "");
Expect(1, 68687, '\p{Blk=	_old TURKIC}', "");
Expect(0, 68687, '\p{^Blk=	_old TURKIC}', "");
Expect(0, 68687, '\P{Blk=	_old TURKIC}', "");
Expect(1, 68687, '\P{^Blk=	_old TURKIC}', "");
Expect(0, 68607, '\p{Blk=	_old TURKIC}', "");
Expect(1, 68607, '\p{^Blk=	_old TURKIC}', "");
Expect(1, 68607, '\P{Blk=	_old TURKIC}', "");
Expect(0, 68607, '\P{^Blk=	_old TURKIC}', "");
Error('\p{Is_Block=Old	Turkic/a/}');
Error('\P{Is_Block=Old	Turkic/a/}');
Expect(1, 68687, '\p{Is_Block=oldturkic}', "");
Expect(0, 68687, '\p{^Is_Block=oldturkic}', "");
Expect(0, 68687, '\P{Is_Block=oldturkic}', "");
Expect(1, 68687, '\P{^Is_Block=oldturkic}', "");
Expect(0, 68607, '\p{Is_Block=oldturkic}', "");
Expect(1, 68607, '\p{^Is_Block=oldturkic}', "");
Expect(1, 68607, '\P{Is_Block=oldturkic}', "");
Expect(0, 68607, '\P{^Is_Block=oldturkic}', "");
Expect(1, 68687, '\p{Is_Block=-	OldTurkic}', "");
Expect(0, 68687, '\p{^Is_Block=-	OldTurkic}', "");
Expect(0, 68687, '\P{Is_Block=-	OldTurkic}', "");
Expect(1, 68687, '\P{^Is_Block=-	OldTurkic}', "");
Expect(0, 68607, '\p{Is_Block=-	OldTurkic}', "");
Expect(1, 68607, '\p{^Is_Block=-	OldTurkic}', "");
Expect(1, 68607, '\P{Is_Block=-	OldTurkic}', "");
Expect(0, 68607, '\P{^Is_Block=-	OldTurkic}', "");
Error('\p{Is_Blk=	-old:=Turkic}');
Error('\P{Is_Blk=	-old:=Turkic}');
Expect(1, 68687, '\p{Is_Blk=oldturkic}', "");
Expect(0, 68687, '\p{^Is_Blk=oldturkic}', "");
Expect(0, 68687, '\P{Is_Blk=oldturkic}', "");
Expect(1, 68687, '\P{^Is_Blk=oldturkic}', "");
Expect(0, 68607, '\p{Is_Blk=oldturkic}', "");
Expect(1, 68607, '\p{^Is_Blk=oldturkic}', "");
Expect(1, 68607, '\P{Is_Blk=oldturkic}', "");
Expect(0, 68607, '\P{^Is_Blk=oldturkic}', "");
Expect(1, 68687, '\p{Is_Blk=_Old-turkic}', "");
Expect(0, 68687, '\p{^Is_Blk=_Old-turkic}', "");
Expect(0, 68687, '\P{Is_Blk=_Old-turkic}', "");
Expect(1, 68687, '\P{^Is_Blk=_Old-turkic}', "");
Expect(0, 68607, '\p{Is_Blk=_Old-turkic}', "");
Expect(1, 68607, '\p{^Is_Blk=_Old-turkic}', "");
Expect(1, 68607, '\P{Is_Blk=_Old-turkic}', "");
Expect(0, 68607, '\P{^Is_Blk=_Old-turkic}', "");
Error('\p{Block= /a/Ol-CHIKI}');
Error('\P{Block= /a/Ol-CHIKI}');
Expect(1, 7295, '\p{Block=olchiki}', "");
Expect(0, 7295, '\p{^Block=olchiki}', "");
Expect(0, 7295, '\P{Block=olchiki}', "");
Expect(1, 7295, '\P{^Block=olchiki}', "");
Expect(0, 7247, '\p{Block=olchiki}', "");
Expect(1, 7247, '\p{^Block=olchiki}', "");
Expect(1, 7247, '\P{Block=olchiki}', "");
Expect(0, 7247, '\P{^Block=olchiki}', "");
Expect(1, 7295, '\p{Block=	_ol_CHIKI}', "");
Expect(0, 7295, '\p{^Block=	_ol_CHIKI}', "");
Expect(0, 7295, '\P{Block=	_ol_CHIKI}', "");
Expect(1, 7295, '\P{^Block=	_ol_CHIKI}', "");
Expect(0, 7247, '\p{Block=	_ol_CHIKI}', "");
Expect(1, 7247, '\p{^Block=	_ol_CHIKI}', "");
Expect(1, 7247, '\P{Block=	_ol_CHIKI}', "");
Expect(0, 7247, '\P{^Block=	_ol_CHIKI}', "");
Error('\p{Blk=/a/	OLChiki}');
Error('\P{Blk=/a/	OLChiki}');
Expect(1, 7295, '\p{Blk=olchiki}', "");
Expect(0, 7295, '\p{^Blk=olchiki}', "");
Expect(0, 7295, '\P{Blk=olchiki}', "");
Expect(1, 7295, '\P{^Blk=olchiki}', "");
Expect(0, 7247, '\p{Blk=olchiki}', "");
Expect(1, 7247, '\p{^Blk=olchiki}', "");
Expect(1, 7247, '\P{Blk=olchiki}', "");
Expect(0, 7247, '\P{^Blk=olchiki}', "");
Expect(1, 7295, '\p{Blk=-Ol_Chiki}', "");
Expect(0, 7295, '\p{^Blk=-Ol_Chiki}', "");
Expect(0, 7295, '\P{Blk=-Ol_Chiki}', "");
Expect(1, 7295, '\P{^Blk=-Ol_Chiki}', "");
Expect(0, 7247, '\p{Blk=-Ol_Chiki}', "");
Expect(1, 7247, '\p{^Blk=-Ol_Chiki}', "");
Expect(1, 7247, '\P{Blk=-Ol_Chiki}', "");
Expect(0, 7247, '\P{^Blk=-Ol_Chiki}', "");
Error('\p{Is_Block= /a/Ol Chiki}');
Error('\P{Is_Block= /a/Ol Chiki}');
Expect(1, 7295, '\p{Is_Block=olchiki}', "");
Expect(0, 7295, '\p{^Is_Block=olchiki}', "");
Expect(0, 7295, '\P{Is_Block=olchiki}', "");
Expect(1, 7295, '\P{^Is_Block=olchiki}', "");
Expect(0, 7247, '\p{Is_Block=olchiki}', "");
Expect(1, 7247, '\p{^Is_Block=olchiki}', "");
Expect(1, 7247, '\P{Is_Block=olchiki}', "");
Expect(0, 7247, '\P{^Is_Block=olchiki}', "");
Expect(1, 7295, '\p{Is_Block=	Ol	chiki}', "");
Expect(0, 7295, '\p{^Is_Block=	Ol	chiki}', "");
Expect(0, 7295, '\P{Is_Block=	Ol	chiki}', "");
Expect(1, 7295, '\P{^Is_Block=	Ol	chiki}', "");
Expect(0, 7247, '\p{Is_Block=	Ol	chiki}', "");
Expect(1, 7247, '\p{^Is_Block=	Ol	chiki}', "");
Expect(1, 7247, '\P{Is_Block=	Ol	chiki}', "");
Expect(0, 7247, '\P{^Is_Block=	Ol	chiki}', "");
Error('\p{Is_Blk=_ Ol_CHIKI:=}');
Error('\P{Is_Blk=_ Ol_CHIKI:=}');
Expect(1, 7295, '\p{Is_Blk=olchiki}', "");
Expect(0, 7295, '\p{^Is_Blk=olchiki}', "");
Expect(0, 7295, '\P{Is_Blk=olchiki}', "");
Expect(1, 7295, '\P{^Is_Blk=olchiki}', "");
Expect(0, 7247, '\p{Is_Blk=olchiki}', "");
Expect(1, 7247, '\p{^Is_Blk=olchiki}', "");
Expect(1, 7247, '\P{Is_Blk=olchiki}', "");
Expect(0, 7247, '\P{^Is_Blk=olchiki}', "");
Expect(1, 7295, '\p{Is_Blk=-_OL-Chiki}', "");
Expect(0, 7295, '\p{^Is_Blk=-_OL-Chiki}', "");
Expect(0, 7295, '\P{Is_Blk=-_OL-Chiki}', "");
Expect(1, 7295, '\P{^Is_Blk=-_OL-Chiki}', "");
Expect(0, 7247, '\p{Is_Blk=-_OL-Chiki}', "");
Expect(1, 7247, '\p{^Is_Blk=-_OL-Chiki}', "");
Expect(1, 7247, '\P{Is_Blk=-_OL-Chiki}', "");
Expect(0, 7247, '\P{^Is_Blk=-_OL-Chiki}', "");
Error('\p{Block=:=	-Kanbun}');
Error('\P{Block=:=	-Kanbun}');
Expect(1, 12703, '\p{Block:kanbun}', "");
Expect(0, 12703, '\p{^Block:kanbun}', "");
Expect(0, 12703, '\P{Block:kanbun}', "");
Expect(1, 12703, '\P{^Block:kanbun}', "");
Expect(0, 12687, '\p{Block:kanbun}', "");
Expect(1, 12687, '\p{^Block:kanbun}', "");
Expect(1, 12687, '\P{Block:kanbun}', "");
Expect(0, 12687, '\P{^Block:kanbun}', "");
Expect(1, 12703, '\p{Block=-	Kanbun}', "");
Expect(0, 12703, '\p{^Block=-	Kanbun}', "");
Expect(0, 12703, '\P{Block=-	Kanbun}', "");
Expect(1, 12703, '\P{^Block=-	Kanbun}', "");
Expect(0, 12687, '\p{Block=-	Kanbun}', "");
Expect(1, 12687, '\p{^Block=-	Kanbun}', "");
Expect(1, 12687, '\P{Block=-	Kanbun}', "");
Expect(0, 12687, '\P{^Block=-	Kanbun}', "");
Error('\p{Blk=_/a/KANBUN}');
Error('\P{Blk=_/a/KANBUN}');
Expect(1, 12703, '\p{Blk=kanbun}', "");
Expect(0, 12703, '\p{^Blk=kanbun}', "");
Expect(0, 12703, '\P{Blk=kanbun}', "");
Expect(1, 12703, '\P{^Blk=kanbun}', "");
Expect(0, 12687, '\p{Blk=kanbun}', "");
Expect(1, 12687, '\p{^Blk=kanbun}', "");
Expect(1, 12687, '\P{Blk=kanbun}', "");
Expect(0, 12687, '\P{^Blk=kanbun}', "");
Expect(1, 12703, '\p{Blk=-_KANBUN}', "");
Expect(0, 12703, '\p{^Blk=-_KANBUN}', "");
Expect(0, 12703, '\P{Blk=-_KANBUN}', "");
Expect(1, 12703, '\P{^Blk=-_KANBUN}', "");
Expect(0, 12687, '\p{Blk=-_KANBUN}', "");
Expect(1, 12687, '\p{^Blk=-_KANBUN}', "");
Expect(1, 12687, '\P{Blk=-_KANBUN}', "");
Expect(0, 12687, '\P{^Blk=-_KANBUN}', "");
Error('\p{Is_Block=/a/_kanbun}');
Error('\P{Is_Block=/a/_kanbun}');
Expect(1, 12703, '\p{Is_Block=kanbun}', "");
Expect(0, 12703, '\p{^Is_Block=kanbun}', "");
Expect(0, 12703, '\P{Is_Block=kanbun}', "");
Expect(1, 12703, '\P{^Is_Block=kanbun}', "");
Expect(0, 12687, '\p{Is_Block=kanbun}', "");
Expect(1, 12687, '\p{^Is_Block=kanbun}', "");
Expect(1, 12687, '\P{Is_Block=kanbun}', "");
Expect(0, 12687, '\P{^Is_Block=kanbun}', "");
Expect(1, 12703, '\p{Is_Block=__kanbun}', "");
Expect(0, 12703, '\p{^Is_Block=__kanbun}', "");
Expect(0, 12703, '\P{Is_Block=__kanbun}', "");
Expect(1, 12703, '\P{^Is_Block=__kanbun}', "");
Expect(0, 12687, '\p{Is_Block=__kanbun}', "");
Expect(1, 12687, '\p{^Is_Block=__kanbun}', "");
Expect(1, 12687, '\P{Is_Block=__kanbun}', "");
Expect(0, 12687, '\P{^Is_Block=__kanbun}', "");
Error('\p{Is_Blk=/a/	-KANBUN}');
Error('\P{Is_Blk=/a/	-KANBUN}');
Expect(1, 12703, '\p{Is_Blk=kanbun}', "");
Expect(0, 12703, '\p{^Is_Blk=kanbun}', "");
Expect(0, 12703, '\P{Is_Blk=kanbun}', "");
Expect(1, 12703, '\P{^Is_Blk=kanbun}', "");
Expect(0, 12687, '\p{Is_Blk=kanbun}', "");
Expect(1, 12687, '\p{^Is_Blk=kanbun}', "");
Expect(1, 12687, '\P{Is_Blk=kanbun}', "");
Expect(0, 12687, '\P{^Is_Blk=kanbun}', "");
Expect(1, 12703, '\p{Is_Blk=	 kanbun}', "");
Expect(0, 12703, '\p{^Is_Blk=	 kanbun}', "");
Expect(0, 12703, '\P{Is_Blk=	 kanbun}', "");
Expect(1, 12703, '\P{^Is_Blk=	 kanbun}', "");
Expect(0, 12687, '\p{Is_Blk=	 kanbun}', "");
Expect(1, 12687, '\p{^Is_Blk=	 kanbun}', "");
Expect(1, 12687, '\P{Is_Blk=	 kanbun}', "");
Expect(0, 12687, '\P{^Is_Blk=	 kanbun}', "");
Error('\p{Block= 	CYRILLIC_Extended	A:=}');
Error('\P{Block= 	CYRILLIC_Extended	A:=}');
Expect(1, 11775, '\p{Block:cyrillicextendeda}', "");
Expect(0, 11775, '\p{^Block:cyrillicextendeda}', "");
Expect(0, 11775, '\P{Block:cyrillicextendeda}', "");
Expect(1, 11775, '\P{^Block:cyrillicextendeda}', "");
Expect(0, 11743, '\p{Block:cyrillicextendeda}', "");
Expect(1, 11743, '\p{^Block:cyrillicextendeda}', "");
Expect(1, 11743, '\P{Block:cyrillicextendeda}', "");
Expect(0, 11743, '\P{^Block:cyrillicextendeda}', "");
Expect(1, 11775, '\p{Block=_-CYRILLIC extended-A}', "");
Expect(0, 11775, '\p{^Block=_-CYRILLIC extended-A}', "");
Expect(0, 11775, '\P{Block=_-CYRILLIC extended-A}', "");
Expect(1, 11775, '\P{^Block=_-CYRILLIC extended-A}', "");
Expect(0, 11743, '\p{Block=_-CYRILLIC extended-A}', "");
Expect(1, 11743, '\p{^Block=_-CYRILLIC extended-A}', "");
Expect(1, 11743, '\P{Block=_-CYRILLIC extended-A}', "");
Expect(0, 11743, '\P{^Block=_-CYRILLIC extended-A}', "");
Error('\p{Blk=	/a/cyrillic ExtendedA}');
Error('\P{Blk=	/a/cyrillic ExtendedA}');
Expect(1, 11775, '\p{Blk=cyrillicextendeda}', "");
Expect(0, 11775, '\p{^Blk=cyrillicextendeda}', "");
Expect(0, 11775, '\P{Blk=cyrillicextendeda}', "");
Expect(1, 11775, '\P{^Blk=cyrillicextendeda}', "");
Expect(0, 11743, '\p{Blk=cyrillicextendeda}', "");
Expect(1, 11743, '\p{^Blk=cyrillicextendeda}', "");
Expect(1, 11743, '\P{Blk=cyrillicextendeda}', "");
Expect(0, 11743, '\P{^Blk=cyrillicextendeda}', "");
Expect(1, 11775, '\p{Blk:		_Cyrillic Extended-a}', "");
Expect(0, 11775, '\p{^Blk:		_Cyrillic Extended-a}', "");
Expect(0, 11775, '\P{Blk:		_Cyrillic Extended-a}', "");
Expect(1, 11775, '\P{^Blk:		_Cyrillic Extended-a}', "");
Expect(0, 11743, '\p{Blk:		_Cyrillic Extended-a}', "");
Expect(1, 11743, '\p{^Blk:		_Cyrillic Extended-a}', "");
Expect(1, 11743, '\P{Blk:		_Cyrillic Extended-a}', "");
Expect(0, 11743, '\P{^Blk:		_Cyrillic Extended-a}', "");
Error('\p{Is_Block=_/a/Cyrillic	extendedA}');
Error('\P{Is_Block=_/a/Cyrillic	extendedA}');
Expect(1, 11775, '\p{Is_Block=cyrillicextendeda}', "");
Expect(0, 11775, '\p{^Is_Block=cyrillicextendeda}', "");
Expect(0, 11775, '\P{Is_Block=cyrillicextendeda}', "");
Expect(1, 11775, '\P{^Is_Block=cyrillicextendeda}', "");
Expect(0, 11743, '\p{Is_Block=cyrillicextendeda}', "");
Expect(1, 11743, '\p{^Is_Block=cyrillicextendeda}', "");
Expect(1, 11743, '\P{Is_Block=cyrillicextendeda}', "");
Expect(0, 11743, '\P{^Is_Block=cyrillicextendeda}', "");
Expect(1, 11775, '\p{Is_Block= Cyrillic_EXTENDEDA}', "");
Expect(0, 11775, '\p{^Is_Block= Cyrillic_EXTENDEDA}', "");
Expect(0, 11775, '\P{Is_Block= Cyrillic_EXTENDEDA}', "");
Expect(1, 11775, '\P{^Is_Block= Cyrillic_EXTENDEDA}', "");
Expect(0, 11743, '\p{Is_Block= Cyrillic_EXTENDEDA}', "");
Expect(1, 11743, '\p{^Is_Block= Cyrillic_EXTENDEDA}', "");
Expect(1, 11743, '\P{Is_Block= Cyrillic_EXTENDEDA}', "");
Expect(0, 11743, '\P{^Is_Block= Cyrillic_EXTENDEDA}', "");
Error('\p{Is_Blk=-/a/Cyrillic	Extended-A}');
Error('\P{Is_Blk=-/a/Cyrillic	Extended-A}');
Expect(1, 11775, '\p{Is_Blk=cyrillicextendeda}', "");
Expect(0, 11775, '\p{^Is_Blk=cyrillicextendeda}', "");
Expect(0, 11775, '\P{Is_Blk=cyrillicextendeda}', "");
Expect(1, 11775, '\P{^Is_Blk=cyrillicextendeda}', "");
Expect(0, 11743, '\p{Is_Blk=cyrillicextendeda}', "");
Expect(1, 11743, '\p{^Is_Blk=cyrillicextendeda}', "");
Expect(1, 11743, '\P{Is_Blk=cyrillicextendeda}', "");
Expect(0, 11743, '\P{^Is_Blk=cyrillicextendeda}', "");
Expect(1, 11775, '\p{Is_Blk=-_cyrillic-Extended	A}', "");
Expect(0, 11775, '\p{^Is_Blk=-_cyrillic-Extended	A}', "");
Expect(0, 11775, '\P{Is_Blk=-_cyrillic-Extended	A}', "");
Expect(1, 11775, '\P{^Is_Blk=-_cyrillic-Extended	A}', "");
Expect(0, 11743, '\p{Is_Blk=-_cyrillic-Extended	A}', "");
Expect(1, 11743, '\p{^Is_Blk=-_cyrillic-Extended	A}', "");
Expect(1, 11743, '\P{Is_Blk=-_cyrillic-Extended	A}', "");
Expect(0, 11743, '\P{^Is_Blk=-_cyrillic-Extended	A}', "");
Error('\p{Block=-Hebrew/a/}');
Error('\P{Block=-Hebrew/a/}');
Expect(1, 1535, '\p{Block=hebrew}', "");
Expect(0, 1535, '\p{^Block=hebrew}', "");
Expect(0, 1535, '\P{Block=hebrew}', "");
Expect(1, 1535, '\P{^Block=hebrew}', "");
Expect(0, 1423, '\p{Block=hebrew}', "");
Expect(1, 1423, '\p{^Block=hebrew}', "");
Expect(1, 1423, '\P{Block=hebrew}', "");
Expect(0, 1423, '\P{^Block=hebrew}', "");
Expect(1, 1535, '\p{Block=-Hebrew}', "");
Expect(0, 1535, '\p{^Block=-Hebrew}', "");
Expect(0, 1535, '\P{Block=-Hebrew}', "");
Expect(1, 1535, '\P{^Block=-Hebrew}', "");
Expect(0, 1423, '\p{Block=-Hebrew}', "");
Expect(1, 1423, '\p{^Block=-Hebrew}', "");
Expect(1, 1423, '\P{Block=-Hebrew}', "");
Expect(0, 1423, '\P{^Block=-Hebrew}', "");
Error('\p{Blk:   /a/_hebrew}');
Error('\P{Blk:   /a/_hebrew}');
Expect(1, 1535, '\p{Blk=hebrew}', "");
Expect(0, 1535, '\p{^Blk=hebrew}', "");
Expect(0, 1535, '\P{Blk=hebrew}', "");
Expect(1, 1535, '\P{^Blk=hebrew}', "");
Expect(0, 1423, '\p{Blk=hebrew}', "");
Expect(1, 1423, '\p{^Blk=hebrew}', "");
Expect(1, 1423, '\P{Blk=hebrew}', "");
Expect(0, 1423, '\P{^Blk=hebrew}', "");
Expect(1, 1535, '\p{Blk=_hebrew}', "");
Expect(0, 1535, '\p{^Blk=_hebrew}', "");
Expect(0, 1535, '\P{Blk=_hebrew}', "");
Expect(1, 1535, '\P{^Blk=_hebrew}', "");
Expect(0, 1423, '\p{Blk=_hebrew}', "");
Expect(1, 1423, '\p{^Blk=_hebrew}', "");
Expect(1, 1423, '\P{Blk=_hebrew}', "");
Expect(0, 1423, '\P{^Blk=_hebrew}', "");
Error('\p{Is_Block= :=Hebrew}');
Error('\P{Is_Block= :=Hebrew}');
Expect(1, 1535, '\p{Is_Block=hebrew}', "");
Expect(0, 1535, '\p{^Is_Block=hebrew}', "");
Expect(0, 1535, '\P{Is_Block=hebrew}', "");
Expect(1, 1535, '\P{^Is_Block=hebrew}', "");
Expect(0, 1423, '\p{Is_Block=hebrew}', "");
Expect(1, 1423, '\p{^Is_Block=hebrew}', "");
Expect(1, 1423, '\P{Is_Block=hebrew}', "");
Expect(0, 1423, '\P{^Is_Block=hebrew}', "");
Expect(1, 1535, '\p{Is_Block=	_Hebrew}', "");
Expect(0, 1535, '\p{^Is_Block=	_Hebrew}', "");
Expect(0, 1535, '\P{Is_Block=	_Hebrew}', "");
Expect(1, 1535, '\P{^Is_Block=	_Hebrew}', "");
Expect(0, 1423, '\p{Is_Block=	_Hebrew}', "");
Expect(1, 1423, '\p{^Is_Block=	_Hebrew}', "");
Expect(1, 1423, '\P{Is_Block=	_Hebrew}', "");
Expect(0, 1423, '\P{^Is_Block=	_Hebrew}', "");
Error('\p{Is_Blk=/a/-_Hebrew}');
Error('\P{Is_Blk=/a/-_Hebrew}');
Expect(1, 1535, '\p{Is_Blk=hebrew}', "");
Expect(0, 1535, '\p{^Is_Blk=hebrew}', "");
Expect(0, 1535, '\P{Is_Blk=hebrew}', "");
Expect(1, 1535, '\P{^Is_Blk=hebrew}', "");
Expect(0, 1423, '\p{Is_Blk=hebrew}', "");
Expect(1, 1423, '\p{^Is_Blk=hebrew}', "");
Expect(1, 1423, '\P{Is_Blk=hebrew}', "");
Expect(0, 1423, '\P{^Is_Blk=hebrew}', "");
Expect(1, 1535, '\p{Is_Blk= hebrew}', "");
Expect(0, 1535, '\p{^Is_Blk= hebrew}', "");
Expect(0, 1535, '\P{Is_Blk= hebrew}', "");
Expect(1, 1535, '\P{^Is_Blk= hebrew}', "");
Expect(0, 1423, '\p{Is_Blk= hebrew}', "");
Expect(1, 1423, '\p{^Is_Blk= hebrew}', "");
Expect(1, 1423, '\P{Is_Blk= hebrew}', "");
Expect(0, 1423, '\P{^Is_Blk= hebrew}', "");
Error('\p{Block=-Cyrillic/a/}');
Error('\P{Block=-Cyrillic/a/}');
Expect(1, 1279, '\p{Block:cyrillic}', "");
Expect(0, 1279, '\p{^Block:cyrillic}', "");
Expect(0, 1279, '\P{Block:cyrillic}', "");
Expect(1, 1279, '\P{^Block:cyrillic}', "");
Expect(0, 1023, '\p{Block:cyrillic}', "");
Expect(1, 1023, '\p{^Block:cyrillic}', "");
Expect(1, 1023, '\P{Block:cyrillic}', "");
Expect(0, 1023, '\P{^Block:cyrillic}', "");
Expect(1, 1279, '\p{Block= 	Cyrillic}', "");
Expect(0, 1279, '\p{^Block= 	Cyrillic}', "");
Expect(0, 1279, '\P{Block= 	Cyrillic}', "");
Expect(1, 1279, '\P{^Block= 	Cyrillic}', "");
Expect(0, 1023, '\p{Block= 	Cyrillic}', "");
Expect(1, 1023, '\p{^Block= 	Cyrillic}', "");
Expect(1, 1023, '\P{Block= 	Cyrillic}', "");
Expect(0, 1023, '\P{^Block= 	Cyrillic}', "");
Error('\p{Blk:   /a/cyrillic}');
Error('\P{Blk:   /a/cyrillic}');
Expect(1, 1279, '\p{Blk:	cyrillic}', "");
Expect(0, 1279, '\p{^Blk:	cyrillic}', "");
Expect(0, 1279, '\P{Blk:	cyrillic}', "");
Expect(1, 1279, '\P{^Blk:	cyrillic}', "");
Expect(0, 1023, '\p{Blk:	cyrillic}', "");
Expect(1, 1023, '\p{^Blk:	cyrillic}', "");
Expect(1, 1023, '\P{Blk:	cyrillic}', "");
Expect(0, 1023, '\P{^Blk:	cyrillic}', "");
Expect(1, 1279, '\p{Blk:   	CYRILLIC}', "");
Expect(0, 1279, '\p{^Blk:   	CYRILLIC}', "");
Expect(0, 1279, '\P{Blk:   	CYRILLIC}', "");
Expect(1, 1279, '\P{^Blk:   	CYRILLIC}', "");
Expect(0, 1023, '\p{Blk:   	CYRILLIC}', "");
Expect(1, 1023, '\p{^Blk:   	CYRILLIC}', "");
Expect(1, 1023, '\P{Blk:   	CYRILLIC}', "");
Expect(0, 1023, '\P{^Blk:   	CYRILLIC}', "");
Error('\p{Is_Block:	 :=Cyrillic}');
Error('\P{Is_Block:	 :=Cyrillic}');
Expect(1, 1279, '\p{Is_Block=cyrillic}', "");
Expect(0, 1279, '\p{^Is_Block=cyrillic}', "");
Expect(0, 1279, '\P{Is_Block=cyrillic}', "");
Expect(1, 1279, '\P{^Is_Block=cyrillic}', "");
Expect(0, 1023, '\p{Is_Block=cyrillic}', "");
Expect(1, 1023, '\p{^Is_Block=cyrillic}', "");
Expect(1, 1023, '\P{Is_Block=cyrillic}', "");
Expect(0, 1023, '\P{^Is_Block=cyrillic}', "");
Expect(1, 1279, '\p{Is_Block=	cyrillic}', "");
Expect(0, 1279, '\p{^Is_Block=	cyrillic}', "");
Expect(0, 1279, '\P{Is_Block=	cyrillic}', "");
Expect(1, 1279, '\P{^Is_Block=	cyrillic}', "");
Expect(0, 1023, '\p{Is_Block=	cyrillic}', "");
Expect(1, 1023, '\p{^Is_Block=	cyrillic}', "");
Expect(1, 1023, '\P{Is_Block=	cyrillic}', "");
Expect(0, 1023, '\P{^Is_Block=	cyrillic}', "");
Error('\p{Is_Blk=	/a/Cyrillic}');
Error('\P{Is_Blk=	/a/Cyrillic}');
Expect(1, 1279, '\p{Is_Blk:   cyrillic}', "");
Expect(0, 1279, '\p{^Is_Blk:   cyrillic}', "");
Expect(0, 1279, '\P{Is_Blk:   cyrillic}', "");
Expect(1, 1279, '\P{^Is_Blk:   cyrillic}', "");
Expect(0, 1023, '\p{Is_Blk:   cyrillic}', "");
Expect(1, 1023, '\p{^Is_Blk:   cyrillic}', "");
Expect(1, 1023, '\P{Is_Blk:   cyrillic}', "");
Expect(0, 1023, '\P{^Is_Blk:   cyrillic}', "");
Expect(1, 1279, '\p{Is_Blk=-Cyrillic}', "");
Expect(0, 1279, '\p{^Is_Blk=-Cyrillic}', "");
Expect(0, 1279, '\P{Is_Blk=-Cyrillic}', "");
Expect(1, 1279, '\P{^Is_Blk=-Cyrillic}', "");
Expect(0, 1023, '\p{Is_Blk=-Cyrillic}', "");
Expect(1, 1023, '\p{^Is_Blk=-Cyrillic}', "");
Expect(1, 1023, '\P{Is_Blk=-Cyrillic}', "");
Expect(0, 1023, '\P{^Is_Blk=-Cyrillic}', "");
Error('\p{Block=:= _Latin Extended-A}');
Error('\P{Block=:= _Latin Extended-A}');
Expect(1, 383, '\p{Block=latinextendeda}', "");
Expect(0, 383, '\p{^Block=latinextendeda}', "");
Expect(0, 383, '\P{Block=latinextendeda}', "");
Expect(1, 383, '\P{^Block=latinextendeda}', "");
Expect(0, 255, '\p{Block=latinextendeda}', "");
Expect(1, 255, '\p{^Block=latinextendeda}', "");
Expect(1, 255, '\P{Block=latinextendeda}', "");
Expect(0, 255, '\P{^Block=latinextendeda}', "");
Expect(1, 383, '\p{Block:		_LATIN-ExtendedA}', "");
Expect(0, 383, '\p{^Block:		_LATIN-ExtendedA}', "");
Expect(0, 383, '\P{Block:		_LATIN-ExtendedA}', "");
Expect(1, 383, '\P{^Block:		_LATIN-ExtendedA}', "");
Expect(0, 255, '\p{Block:		_LATIN-ExtendedA}', "");
Expect(1, 255, '\p{^Block:		_LATIN-ExtendedA}', "");
Expect(1, 255, '\P{Block:		_LATIN-ExtendedA}', "");
Expect(0, 255, '\P{^Block:		_LATIN-ExtendedA}', "");
Error('\p{Blk=/a/Latin	Extended A}');
Error('\P{Blk=/a/Latin	Extended A}');
Expect(1, 383, '\p{Blk=latinextendeda}', "");
Expect(0, 383, '\p{^Blk=latinextendeda}', "");
Expect(0, 383, '\P{Blk=latinextendeda}', "");
Expect(1, 383, '\P{^Blk=latinextendeda}', "");
Expect(0, 255, '\p{Blk=latinextendeda}', "");
Expect(1, 255, '\p{^Blk=latinextendeda}', "");
Expect(1, 255, '\P{Blk=latinextendeda}', "");
Expect(0, 255, '\P{^Blk=latinextendeda}', "");
Expect(1, 383, '\p{Blk=	-Latin	Extended_A}', "");
Expect(0, 383, '\p{^Blk=	-Latin	Extended_A}', "");
Expect(0, 383, '\P{Blk=	-Latin	Extended_A}', "");
Expect(1, 383, '\P{^Blk=	-Latin	Extended_A}', "");
Expect(0, 255, '\p{Blk=	-Latin	Extended_A}', "");
Expect(1, 255, '\p{^Blk=	-Latin	Extended_A}', "");
Expect(1, 255, '\P{Blk=	-Latin	Extended_A}', "");
Expect(0, 255, '\P{^Blk=	-Latin	Extended_A}', "");
Error('\p{Is_Block= _latin-extended:=a}');
Error('\P{Is_Block= _latin-extended:=a}');
Expect(1, 383, '\p{Is_Block=latinextendeda}', "");
Expect(0, 383, '\p{^Is_Block=latinextendeda}', "");
Expect(0, 383, '\P{Is_Block=latinextendeda}', "");
Expect(1, 383, '\P{^Is_Block=latinextendeda}', "");
Expect(0, 255, '\p{Is_Block=latinextendeda}', "");
Expect(1, 255, '\p{^Is_Block=latinextendeda}', "");
Expect(1, 255, '\P{Is_Block=latinextendeda}', "");
Expect(0, 255, '\P{^Is_Block=latinextendeda}', "");
Expect(1, 383, '\p{Is_Block=-Latin ExtendedA}', "");
Expect(0, 383, '\p{^Is_Block=-Latin ExtendedA}', "");
Expect(0, 383, '\P{Is_Block=-Latin ExtendedA}', "");
Expect(1, 383, '\P{^Is_Block=-Latin ExtendedA}', "");
Expect(0, 255, '\p{Is_Block=-Latin ExtendedA}', "");
Expect(1, 255, '\p{^Is_Block=-Latin ExtendedA}', "");
Expect(1, 255, '\P{Is_Block=-Latin ExtendedA}', "");
Expect(0, 255, '\P{^Is_Block=-Latin ExtendedA}', "");
Error('\p{Is_Blk=	/a/latin-EXTENDED A}');
Error('\P{Is_Blk=	/a/latin-EXTENDED A}');
Expect(1, 383, '\p{Is_Blk=latinextendeda}', "");
Expect(0, 383, '\p{^Is_Blk=latinextendeda}', "");
Expect(0, 383, '\P{Is_Blk=latinextendeda}', "");
Expect(1, 383, '\P{^Is_Blk=latinextendeda}', "");
Expect(0, 255, '\p{Is_Blk=latinextendeda}', "");
Expect(1, 255, '\p{^Is_Blk=latinextendeda}', "");
Expect(1, 255, '\P{Is_Blk=latinextendeda}', "");
Expect(0, 255, '\P{^Is_Blk=latinextendeda}', "");
Expect(1, 383, '\p{Is_Blk: -LATIN EXTENDED-A}', "");
Expect(0, 383, '\p{^Is_Blk: -LATIN EXTENDED-A}', "");
Expect(0, 383, '\P{Is_Blk: -LATIN EXTENDED-A}', "");
Expect(1, 383, '\P{^Is_Blk: -LATIN EXTENDED-A}', "");
Expect(0, 255, '\p{Is_Blk: -LATIN EXTENDED-A}', "");
Expect(1, 255, '\p{^Is_Blk: -LATIN EXTENDED-A}', "");
Expect(1, 255, '\P{Is_Blk: -LATIN EXTENDED-A}', "");
Expect(0, 255, '\P{^Is_Blk: -LATIN EXTENDED-A}', "");
Error('\p{Block:	-Balinese:=}');
Error('\P{Block:	-Balinese:=}');
Expect(1, 7039, '\p{Block=balinese}', "");
Expect(0, 7039, '\p{^Block=balinese}', "");
Expect(0, 7039, '\P{Block=balinese}', "");
Expect(1, 7039, '\P{^Block=balinese}', "");
Expect(0, 6911, '\p{Block=balinese}', "");
Expect(1, 6911, '\p{^Block=balinese}', "");
Expect(1, 6911, '\P{Block=balinese}', "");
Expect(0, 6911, '\P{^Block=balinese}', "");
Expect(1, 7039, '\p{Block=-balinese}', "");
Expect(0, 7039, '\p{^Block=-balinese}', "");
Expect(0, 7039, '\P{Block=-balinese}', "");
Expect(1, 7039, '\P{^Block=-balinese}', "");
Expect(0, 6911, '\p{Block=-balinese}', "");
Expect(1, 6911, '\p{^Block=-balinese}', "");
Expect(1, 6911, '\P{Block=-balinese}', "");
Expect(0, 6911, '\P{^Block=-balinese}', "");
Error('\p{Blk:   	/a/balinese}');
Error('\P{Blk:   	/a/balinese}');
Expect(1, 7039, '\p{Blk=balinese}', "");
Expect(0, 7039, '\p{^Blk=balinese}', "");
Expect(0, 7039, '\P{Blk=balinese}', "");
Expect(1, 7039, '\P{^Blk=balinese}', "");
Expect(0, 6911, '\p{Blk=balinese}', "");
Expect(1, 6911, '\p{^Blk=balinese}', "");
Expect(1, 6911, '\P{Blk=balinese}', "");
Expect(0, 6911, '\P{^Blk=balinese}', "");
Expect(1, 7039, '\p{Blk=_BALINESE}', "");
Expect(0, 7039, '\p{^Blk=_BALINESE}', "");
Expect(0, 7039, '\P{Blk=_BALINESE}', "");
Expect(1, 7039, '\P{^Blk=_BALINESE}', "");
Expect(0, 6911, '\p{Blk=_BALINESE}', "");
Expect(1, 6911, '\p{^Blk=_BALINESE}', "");
Expect(1, 6911, '\P{Blk=_BALINESE}', "");
Expect(0, 6911, '\P{^Blk=_BALINESE}', "");
Error('\p{Is_Block=:= _Balinese}');
Error('\P{Is_Block=:= _Balinese}');
Expect(1, 7039, '\p{Is_Block=balinese}', "");
Expect(0, 7039, '\p{^Is_Block=balinese}', "");
Expect(0, 7039, '\P{Is_Block=balinese}', "");
Expect(1, 7039, '\P{^Is_Block=balinese}', "");
Expect(0, 6911, '\p{Is_Block=balinese}', "");
Expect(1, 6911, '\p{^Is_Block=balinese}', "");
Expect(1, 6911, '\P{Is_Block=balinese}', "");
Expect(0, 6911, '\P{^Is_Block=balinese}', "");
Expect(1, 7039, '\p{Is_Block=-BALINESE}', "");
Expect(0, 7039, '\p{^Is_Block=-BALINESE}', "");
Expect(0, 7039, '\P{Is_Block=-BALINESE}', "");
Expect(1, 7039, '\P{^Is_Block=-BALINESE}', "");
Expect(0, 6911, '\p{Is_Block=-BALINESE}', "");
Expect(1, 6911, '\p{^Is_Block=-BALINESE}', "");
Expect(1, 6911, '\P{Is_Block=-BALINESE}', "");
Expect(0, 6911, '\P{^Is_Block=-BALINESE}', "");
Error('\p{Is_Blk= _Balinese:=}');
Error('\P{Is_Blk= _Balinese:=}');
Expect(1, 7039, '\p{Is_Blk=balinese}', "");
Expect(0, 7039, '\p{^Is_Blk=balinese}', "");
Expect(0, 7039, '\P{Is_Blk=balinese}', "");
Expect(1, 7039, '\P{^Is_Blk=balinese}', "");
Expect(0, 6911, '\p{Is_Blk=balinese}', "");
Expect(1, 6911, '\p{^Is_Blk=balinese}', "");
Expect(1, 6911, '\P{Is_Blk=balinese}', "");
Expect(0, 6911, '\P{^Is_Blk=balinese}', "");
Expect(1, 7039, '\p{Is_Blk=-	BALINESE}', "");
Expect(0, 7039, '\p{^Is_Blk=-	BALINESE}', "");
Expect(0, 7039, '\P{Is_Blk=-	BALINESE}', "");
Expect(1, 7039, '\P{^Is_Blk=-	BALINESE}', "");
Expect(0, 6911, '\p{Is_Blk=-	BALINESE}', "");
Expect(1, 6911, '\p{^Is_Blk=-	BALINESE}', "");
Expect(1, 6911, '\P{Is_Blk=-	BALINESE}', "");
Expect(0, 6911, '\P{^Is_Blk=-	BALINESE}', "");
Error('\p{Block=:=__avestan}');
Error('\P{Block=:=__avestan}');
Expect(1, 68415, '\p{Block=avestan}', "");
Expect(0, 68415, '\p{^Block=avestan}', "");
Expect(0, 68415, '\P{Block=avestan}', "");
Expect(1, 68415, '\P{^Block=avestan}', "");
Expect(0, 68351, '\p{Block=avestan}', "");
Expect(1, 68351, '\p{^Block=avestan}', "");
Expect(1, 68351, '\P{Block=avestan}', "");
Expect(0, 68351, '\P{^Block=avestan}', "");
Expect(1, 68415, '\p{Block=-avestan}', "");
Expect(0, 68415, '\p{^Block=-avestan}', "");
Expect(0, 68415, '\P{Block=-avestan}', "");
Expect(1, 68415, '\P{^Block=-avestan}', "");
Expect(0, 68351, '\p{Block=-avestan}', "");
Expect(1, 68351, '\p{^Block=-avestan}', "");
Expect(1, 68351, '\P{Block=-avestan}', "");
Expect(0, 68351, '\P{^Block=-avestan}', "");
Error('\p{Blk=-:=Avestan}');
Error('\P{Blk=-:=Avestan}');
Expect(1, 68415, '\p{Blk=avestan}', "");
Expect(0, 68415, '\p{^Blk=avestan}', "");
Expect(0, 68415, '\P{Blk=avestan}', "");
Expect(1, 68415, '\P{^Blk=avestan}', "");
Expect(0, 68351, '\p{Blk=avestan}', "");
Expect(1, 68351, '\p{^Blk=avestan}', "");
Expect(1, 68351, '\P{Blk=avestan}', "");
Expect(0, 68351, '\P{^Blk=avestan}', "");
Expect(1, 68415, '\p{Blk=_Avestan}', "");
Expect(0, 68415, '\p{^Blk=_Avestan}', "");
Expect(0, 68415, '\P{Blk=_Avestan}', "");
Expect(1, 68415, '\P{^Blk=_Avestan}', "");
Expect(0, 68351, '\p{Blk=_Avestan}', "");
Expect(1, 68351, '\p{^Blk=_Avestan}', "");
Expect(1, 68351, '\P{Blk=_Avestan}', "");
Expect(0, 68351, '\P{^Blk=_Avestan}', "");
Error('\p{Is_Block=	 avestan:=}');
Error('\P{Is_Block=	 avestan:=}');
Expect(1, 68415, '\p{Is_Block=avestan}', "");
Expect(0, 68415, '\p{^Is_Block=avestan}', "");
Expect(0, 68415, '\P{Is_Block=avestan}', "");
Expect(1, 68415, '\P{^Is_Block=avestan}', "");
Expect(0, 68351, '\p{Is_Block=avestan}', "");
Expect(1, 68351, '\p{^Is_Block=avestan}', "");
Expect(1, 68351, '\P{Is_Block=avestan}', "");
Expect(0, 68351, '\P{^Is_Block=avestan}', "");
Expect(1, 68415, '\p{Is_Block=-AVESTAN}', "");
Expect(0, 68415, '\p{^Is_Block=-AVESTAN}', "");
Expect(0, 68415, '\P{Is_Block=-AVESTAN}', "");
Expect(1, 68415, '\P{^Is_Block=-AVESTAN}', "");
Expect(0, 68351, '\p{Is_Block=-AVESTAN}', "");
Expect(1, 68351, '\p{^Is_Block=-AVESTAN}', "");
Expect(1, 68351, '\P{Is_Block=-AVESTAN}', "");
Expect(0, 68351, '\P{^Is_Block=-AVESTAN}', "");
Error('\p{Is_Blk= 	AVESTAN/a/}');
Error('\P{Is_Blk= 	AVESTAN/a/}');
Expect(1, 68415, '\p{Is_Blk=avestan}', "");
Expect(0, 68415, '\p{^Is_Blk=avestan}', "");
Expect(0, 68415, '\P{Is_Blk=avestan}', "");
Expect(1, 68415, '\P{^Is_Blk=avestan}', "");
Expect(0, 68351, '\p{Is_Blk=avestan}', "");
Expect(1, 68351, '\p{^Is_Blk=avestan}', "");
Expect(1, 68351, '\P{Is_Blk=avestan}', "");
Expect(0, 68351, '\P{^Is_Blk=avestan}', "");
Expect(1, 68415, '\p{Is_Blk=	 AVESTAN}', "");
Expect(0, 68415, '\p{^Is_Blk=	 AVESTAN}', "");
Expect(0, 68415, '\P{Is_Blk=	 AVESTAN}', "");
Expect(1, 68415, '\P{^Is_Blk=	 AVESTAN}', "");
Expect(0, 68351, '\p{Is_Blk=	 AVESTAN}', "");
Expect(1, 68351, '\p{^Is_Blk=	 AVESTAN}', "");
Expect(1, 68351, '\P{Is_Blk=	 AVESTAN}', "");
Expect(0, 68351, '\P{^Is_Blk=	 AVESTAN}', "");
Error('\p{Block=	-Myanmar:=ExtendedA}');
Error('\P{Block=	-Myanmar:=ExtendedA}');
Expect(1, 43647, '\p{Block=myanmarextendeda}', "");
Expect(0, 43647, '\p{^Block=myanmarextendeda}', "");
Expect(0, 43647, '\P{Block=myanmarextendeda}', "");
Expect(1, 43647, '\P{^Block=myanmarextendeda}', "");
Expect(0, 43615, '\p{Block=myanmarextendeda}', "");
Expect(1, 43615, '\p{^Block=myanmarextendeda}', "");
Expect(1, 43615, '\P{Block=myanmarextendeda}', "");
Expect(0, 43615, '\P{^Block=myanmarextendeda}', "");
Expect(1, 43647, '\p{Block=	 Myanmar-extended A}', "");
Expect(0, 43647, '\p{^Block=	 Myanmar-extended A}', "");
Expect(0, 43647, '\P{Block=	 Myanmar-extended A}', "");
Expect(1, 43647, '\P{^Block=	 Myanmar-extended A}', "");
Expect(0, 43615, '\p{Block=	 Myanmar-extended A}', "");
Expect(1, 43615, '\p{^Block=	 Myanmar-extended A}', "");
Expect(1, 43615, '\P{Block=	 Myanmar-extended A}', "");
Expect(0, 43615, '\P{^Block=	 Myanmar-extended A}', "");
Error('\p{Blk=-	Myanmar/a/Extended	a}');
Error('\P{Blk=-	Myanmar/a/Extended	a}');
Expect(1, 43647, '\p{Blk=myanmarextendeda}', "");
Expect(0, 43647, '\p{^Blk=myanmarextendeda}', "");
Expect(0, 43647, '\P{Blk=myanmarextendeda}', "");
Expect(1, 43647, '\P{^Blk=myanmarextendeda}', "");
Expect(0, 43615, '\p{Blk=myanmarextendeda}', "");
Expect(1, 43615, '\p{^Blk=myanmarextendeda}', "");
Expect(1, 43615, '\P{Blk=myanmarextendeda}', "");
Expect(0, 43615, '\P{^Blk=myanmarextendeda}', "");
Expect(1, 43647, '\p{Blk=	_MYANMAR_Extended A}', "");
Expect(0, 43647, '\p{^Blk=	_MYANMAR_Extended A}', "");
Expect(0, 43647, '\P{Blk=	_MYANMAR_Extended A}', "");
Expect(1, 43647, '\P{^Blk=	_MYANMAR_Extended A}', "");
Expect(0, 43615, '\p{Blk=	_MYANMAR_Extended A}', "");
Expect(1, 43615, '\p{^Blk=	_MYANMAR_Extended A}', "");
Expect(1, 43615, '\P{Blk=	_MYANMAR_Extended A}', "");
Expect(0, 43615, '\P{^Blk=	_MYANMAR_Extended A}', "");
Error('\p{Is_Block=_	Myanmar_Extended A:=}');
Error('\P{Is_Block=_	Myanmar_Extended A:=}');
Expect(1, 43647, '\p{Is_Block=myanmarextendeda}', "");
Expect(0, 43647, '\p{^Is_Block=myanmarextendeda}', "");
Expect(0, 43647, '\P{Is_Block=myanmarextendeda}', "");
Expect(1, 43647, '\P{^Is_Block=myanmarextendeda}', "");
Expect(0, 43615, '\p{Is_Block=myanmarextendeda}', "");
Expect(1, 43615, '\p{^Is_Block=myanmarextendeda}', "");
Expect(1, 43615, '\P{Is_Block=myanmarextendeda}', "");
Expect(0, 43615, '\P{^Is_Block=myanmarextendeda}', "");
Expect(1, 43647, '\p{Is_Block=__Myanmar EXTENDEDA}', "");
Expect(0, 43647, '\p{^Is_Block=__Myanmar EXTENDEDA}', "");
Expect(0, 43647, '\P{Is_Block=__Myanmar EXTENDEDA}', "");
Expect(1, 43647, '\P{^Is_Block=__Myanmar EXTENDEDA}', "");
Expect(0, 43615, '\p{Is_Block=__Myanmar EXTENDEDA}', "");
Expect(1, 43615, '\p{^Is_Block=__Myanmar EXTENDEDA}', "");
Expect(1, 43615, '\P{Is_Block=__Myanmar EXTENDEDA}', "");
Expect(0, 43615, '\P{^Is_Block=__Myanmar EXTENDEDA}', "");
Error('\p{Is_Blk=-:=Myanmar	EXTENDEDA}');
Error('\P{Is_Blk=-:=Myanmar	EXTENDEDA}');
Expect(1, 43647, '\p{Is_Blk=myanmarextendeda}', "");
Expect(0, 43647, '\p{^Is_Blk=myanmarextendeda}', "");
Expect(0, 43647, '\P{Is_Blk=myanmarextendeda}', "");
Expect(1, 43647, '\P{^Is_Blk=myanmarextendeda}', "");
Expect(0, 43615, '\p{Is_Blk=myanmarextendeda}', "");
Expect(1, 43615, '\p{^Is_Blk=myanmarextendeda}', "");
Expect(1, 43615, '\P{Is_Blk=myanmarextendeda}', "");
Expect(0, 43615, '\P{^Is_Blk=myanmarextendeda}', "");
Expect(1, 43647, '\p{Is_Blk= myanmar	extended	A}', "");
Expect(0, 43647, '\p{^Is_Blk= myanmar	extended	A}', "");
Expect(0, 43647, '\P{Is_Blk= myanmar	extended	A}', "");
Expect(1, 43647, '\P{^Is_Blk= myanmar	extended	A}', "");
Expect(0, 43615, '\p{Is_Blk= myanmar	extended	A}', "");
Expect(1, 43615, '\p{^Is_Blk= myanmar	extended	A}', "");
Expect(1, 43615, '\P{Is_Blk= myanmar	extended	A}', "");
Expect(0, 43615, '\P{^Is_Blk= myanmar	extended	A}', "");
Error('\p{Block= Counting/a/ROD	Numerals}');
Error('\P{Block= Counting/a/ROD	Numerals}');
Expect(1, 119679, '\p{Block=countingrodnumerals}', "");
Expect(0, 119679, '\p{^Block=countingrodnumerals}', "");
Expect(0, 119679, '\P{Block=countingrodnumerals}', "");
Expect(1, 119679, '\P{^Block=countingrodnumerals}', "");
Expect(0, 119647, '\p{Block=countingrodnumerals}', "");
Expect(1, 119647, '\p{^Block=countingrodnumerals}', "");
Expect(1, 119647, '\P{Block=countingrodnumerals}', "");
Expect(0, 119647, '\P{^Block=countingrodnumerals}', "");
Expect(1, 119679, '\p{Block=		CountingRod	Numerals}', "");
Expect(0, 119679, '\p{^Block=		CountingRod	Numerals}', "");
Expect(0, 119679, '\P{Block=		CountingRod	Numerals}', "");
Expect(1, 119679, '\P{^Block=		CountingRod	Numerals}', "");
Expect(0, 119647, '\p{Block=		CountingRod	Numerals}', "");
Expect(1, 119647, '\p{^Block=		CountingRod	Numerals}', "");
Expect(1, 119647, '\P{Block=		CountingRod	Numerals}', "");
Expect(0, 119647, '\P{^Block=		CountingRod	Numerals}', "");
Error('\p{Blk= counting:=Rod Numerals}');
Error('\P{Blk= counting:=Rod Numerals}');
Expect(1, 119679, '\p{Blk=countingrodnumerals}', "");
Expect(0, 119679, '\p{^Blk=countingrodnumerals}', "");
Expect(0, 119679, '\P{Blk=countingrodnumerals}', "");
Expect(1, 119679, '\P{^Blk=countingrodnumerals}', "");
Expect(0, 119647, '\p{Blk=countingrodnumerals}', "");
Expect(1, 119647, '\p{^Blk=countingrodnumerals}', "");
Expect(1, 119647, '\P{Blk=countingrodnumerals}', "");
Expect(0, 119647, '\P{^Blk=countingrodnumerals}', "");
Expect(1, 119679, '\p{Blk=- Countingrodnumerals}', "");
Expect(0, 119679, '\p{^Blk=- Countingrodnumerals}', "");
Expect(0, 119679, '\P{Blk=- Countingrodnumerals}', "");
Expect(1, 119679, '\P{^Blk=- Countingrodnumerals}', "");
Expect(0, 119647, '\p{Blk=- Countingrodnumerals}', "");
Expect(1, 119647, '\p{^Blk=- Countingrodnumerals}', "");
Expect(1, 119647, '\P{Blk=- Countingrodnumerals}', "");
Expect(0, 119647, '\P{^Blk=- Countingrodnumerals}', "");
Error('\p{Is_Block= Counting_Rod_Numerals/a/}');
Error('\P{Is_Block= Counting_Rod_Numerals/a/}');
Expect(1, 119679, '\p{Is_Block=countingrodnumerals}', "");
Expect(0, 119679, '\p{^Is_Block=countingrodnumerals}', "");
Expect(0, 119679, '\P{Is_Block=countingrodnumerals}', "");
Expect(1, 119679, '\P{^Is_Block=countingrodnumerals}', "");
Expect(0, 119647, '\p{Is_Block=countingrodnumerals}', "");
Expect(1, 119647, '\p{^Is_Block=countingrodnumerals}', "");
Expect(1, 119647, '\P{Is_Block=countingrodnumerals}', "");
Expect(0, 119647, '\P{^Is_Block=countingrodnumerals}', "");
Expect(1, 119679, '\p{Is_Block: -counting rod	Numerals}', "");
Expect(0, 119679, '\p{^Is_Block: -counting rod	Numerals}', "");
Expect(0, 119679, '\P{Is_Block: -counting rod	Numerals}', "");
Expect(1, 119679, '\P{^Is_Block: -counting rod	Numerals}', "");
Expect(0, 119647, '\p{Is_Block: -counting rod	Numerals}', "");
Expect(1, 119647, '\p{^Is_Block: -counting rod	Numerals}', "");
Expect(1, 119647, '\P{Is_Block: -counting rod	Numerals}', "");
Expect(0, 119647, '\P{^Is_Block: -counting rod	Numerals}', "");
Error('\p{Is_Blk=	_CountingROD	Numerals:=}');
Error('\P{Is_Blk=	_CountingROD	Numerals:=}');
Expect(1, 119679, '\p{Is_Blk=countingrodnumerals}', "");
Expect(0, 119679, '\p{^Is_Blk=countingrodnumerals}', "");
Expect(0, 119679, '\P{Is_Blk=countingrodnumerals}', "");
Expect(1, 119679, '\P{^Is_Blk=countingrodnumerals}', "");
Expect(0, 119647, '\p{Is_Blk=countingrodnumerals}', "");
Expect(1, 119647, '\p{^Is_Blk=countingrodnumerals}', "");
Expect(1, 119647, '\P{Is_Blk=countingrodnumerals}', "");
Expect(0, 119647, '\P{^Is_Blk=countingrodnumerals}', "");
Expect(1, 119679, '\p{Is_Blk=	COUNTING	RODNUMERALS}', "");
Expect(0, 119679, '\p{^Is_Blk=	COUNTING	RODNUMERALS}', "");
Expect(0, 119679, '\P{Is_Blk=	COUNTING	RODNUMERALS}', "");
Expect(1, 119679, '\P{^Is_Blk=	COUNTING	RODNUMERALS}', "");
Expect(0, 119647, '\p{Is_Blk=	COUNTING	RODNUMERALS}', "");
Expect(1, 119647, '\p{^Is_Blk=	COUNTING	RODNUMERALS}', "");
Expect(1, 119647, '\P{Is_Blk=	COUNTING	RODNUMERALS}', "");
Expect(0, 119647, '\P{^Is_Blk=	COUNTING	RODNUMERALS}', "");
Error('\p{Block:   _/a/BYZANTINE musical	Symbols}');
Error('\P{Block:   _/a/BYZANTINE musical	Symbols}');
Expect(1, 119039, '\p{Block=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^Block=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{Block=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^Block=byzantinemusicalsymbols}', "");
Expect(0, 118783, '\p{Block=byzantinemusicalsymbols}', "");
Expect(1, 118783, '\p{^Block=byzantinemusicalsymbols}', "");
Expect(1, 118783, '\P{Block=byzantinemusicalsymbols}', "");
Expect(0, 118783, '\P{^Block=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{Block=	byzantinemusical-SYMBOLS}', "");
Expect(0, 119039, '\p{^Block=	byzantinemusical-SYMBOLS}', "");
Expect(0, 119039, '\P{Block=	byzantinemusical-SYMBOLS}', "");
Expect(1, 119039, '\P{^Block=	byzantinemusical-SYMBOLS}', "");
Expect(0, 118783, '\p{Block=	byzantinemusical-SYMBOLS}', "");
Expect(1, 118783, '\p{^Block=	byzantinemusical-SYMBOLS}', "");
Expect(1, 118783, '\P{Block=	byzantinemusical-SYMBOLS}', "");
Expect(0, 118783, '\P{^Block=	byzantinemusical-SYMBOLS}', "");
Error('\p{Blk=	/a/BYZANTINE_Musical-symbols}');
Error('\P{Blk=	/a/BYZANTINE_Musical-symbols}');
Expect(1, 119039, '\p{Blk=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^Blk=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{Blk=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^Blk=byzantinemusicalsymbols}', "");
Expect(0, 118783, '\p{Blk=byzantinemusicalsymbols}', "");
Expect(1, 118783, '\p{^Blk=byzantinemusicalsymbols}', "");
Expect(1, 118783, '\P{Blk=byzantinemusicalsymbols}', "");
Expect(0, 118783, '\P{^Blk=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{Blk=	-BYZANTINE_musical	Symbols}', "");
Expect(0, 119039, '\p{^Blk=	-BYZANTINE_musical	Symbols}', "");
Expect(0, 119039, '\P{Blk=	-BYZANTINE_musical	Symbols}', "");
Expect(1, 119039, '\P{^Blk=	-BYZANTINE_musical	Symbols}', "");
Expect(0, 118783, '\p{Blk=	-BYZANTINE_musical	Symbols}', "");
Expect(1, 118783, '\p{^Blk=	-BYZANTINE_musical	Symbols}', "");
Expect(1, 118783, '\P{Blk=	-BYZANTINE_musical	Symbols}', "");
Expect(0, 118783, '\P{^Blk=	-BYZANTINE_musical	Symbols}', "");
Error('\p{Is_Block=/a/ -Byzantine-Musical_Symbols}');
Error('\P{Is_Block=/a/ -Byzantine-Musical_Symbols}');
Expect(1, 119039, '\p{Is_Block=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^Is_Block=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{Is_Block=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^Is_Block=byzantinemusicalsymbols}', "");
Expect(0, 118783, '\p{Is_Block=byzantinemusicalsymbols}', "");
Expect(1, 118783, '\p{^Is_Block=byzantinemusicalsymbols}', "");
Expect(1, 118783, '\P{Is_Block=byzantinemusicalsymbols}', "");
Expect(0, 118783, '\P{^Is_Block=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{Is_Block=_-ByzantineMusicalsymbols}', "");
Expect(0, 119039, '\p{^Is_Block=_-ByzantineMusicalsymbols}', "");
Expect(0, 119039, '\P{Is_Block=_-ByzantineMusicalsymbols}', "");
Expect(1, 119039, '\P{^Is_Block=_-ByzantineMusicalsymbols}', "");
Expect(0, 118783, '\p{Is_Block=_-ByzantineMusicalsymbols}', "");
Expect(1, 118783, '\p{^Is_Block=_-ByzantineMusicalsymbols}', "");
Expect(1, 118783, '\P{Is_Block=_-ByzantineMusicalsymbols}', "");
Expect(0, 118783, '\P{^Is_Block=_-ByzantineMusicalsymbols}', "");
Error('\p{Is_Blk=	Byzantine_Musical:=symbols}');
Error('\P{Is_Blk=	Byzantine_Musical:=symbols}');
Expect(1, 119039, '\p{Is_Blk=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^Is_Blk=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{Is_Blk=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^Is_Blk=byzantinemusicalsymbols}', "");
Expect(0, 118783, '\p{Is_Blk=byzantinemusicalsymbols}', "");
Expect(1, 118783, '\p{^Is_Blk=byzantinemusicalsymbols}', "");
Expect(1, 118783, '\P{Is_Blk=byzantinemusicalsymbols}', "");
Expect(0, 118783, '\P{^Is_Blk=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{Is_Blk=__byzantine	MusicalSYMBOLS}', "");
Expect(0, 119039, '\p{^Is_Blk=__byzantine	MusicalSYMBOLS}', "");
Expect(0, 119039, '\P{Is_Blk=__byzantine	MusicalSYMBOLS}', "");
Expect(1, 119039, '\P{^Is_Blk=__byzantine	MusicalSYMBOLS}', "");
Expect(0, 118783, '\p{Is_Blk=__byzantine	MusicalSYMBOLS}', "");
Expect(1, 118783, '\p{^Is_Blk=__byzantine	MusicalSYMBOLS}', "");
Expect(1, 118783, '\P{Is_Blk=__byzantine	MusicalSYMBOLS}', "");
Expect(0, 118783, '\P{^Is_Blk=__byzantine	MusicalSYMBOLS}', "");
Error('\p{Block=/a/	_Tamil}');
Error('\P{Block=/a/	_Tamil}');
Expect(1, 3071, '\p{Block=tamil}', "");
Expect(0, 3071, '\p{^Block=tamil}', "");
Expect(0, 3071, '\P{Block=tamil}', "");
Expect(1, 3071, '\P{^Block=tamil}', "");
Expect(0, 2943, '\p{Block=tamil}', "");
Expect(1, 2943, '\p{^Block=tamil}', "");
Expect(1, 2943, '\P{Block=tamil}', "");
Expect(0, 2943, '\P{^Block=tamil}', "");
Expect(1, 3071, '\p{Block=-_Tamil}', "");
Expect(0, 3071, '\p{^Block=-_Tamil}', "");
Expect(0, 3071, '\P{Block=-_Tamil}', "");
Expect(1, 3071, '\P{^Block=-_Tamil}', "");
Expect(0, 2943, '\p{Block=-_Tamil}', "");
Expect(1, 2943, '\p{^Block=-_Tamil}', "");
Expect(1, 2943, '\P{Block=-_Tamil}', "");
Expect(0, 2943, '\P{^Block=-_Tamil}', "");
Error('\p{Blk=/a/ -TAMIL}');
Error('\P{Blk=/a/ -TAMIL}');
Expect(1, 3071, '\p{Blk:	tamil}', "");
Expect(0, 3071, '\p{^Blk:	tamil}', "");
Expect(0, 3071, '\P{Blk:	tamil}', "");
Expect(1, 3071, '\P{^Blk:	tamil}', "");
Expect(0, 2943, '\p{Blk:	tamil}', "");
Expect(1, 2943, '\p{^Blk:	tamil}', "");
Expect(1, 2943, '\P{Blk:	tamil}', "");
Expect(0, 2943, '\P{^Blk:	tamil}', "");
Expect(1, 3071, '\p{Blk= -TAMIL}', "");
Expect(0, 3071, '\p{^Blk= -TAMIL}', "");
Expect(0, 3071, '\P{Blk= -TAMIL}', "");
Expect(1, 3071, '\P{^Blk= -TAMIL}', "");
Expect(0, 2943, '\p{Blk= -TAMIL}', "");
Expect(1, 2943, '\p{^Blk= -TAMIL}', "");
Expect(1, 2943, '\P{Blk= -TAMIL}', "");
Expect(0, 2943, '\P{^Blk= -TAMIL}', "");
Error('\p{Is_Block=	:=TAMIL}');
Error('\P{Is_Block=	:=TAMIL}');
Expect(1, 3071, '\p{Is_Block=tamil}', "");
Expect(0, 3071, '\p{^Is_Block=tamil}', "");
Expect(0, 3071, '\P{Is_Block=tamil}', "");
Expect(1, 3071, '\P{^Is_Block=tamil}', "");
Expect(0, 2943, '\p{Is_Block=tamil}', "");
Expect(1, 2943, '\p{^Is_Block=tamil}', "");
Expect(1, 2943, '\P{Is_Block=tamil}', "");
Expect(0, 2943, '\P{^Is_Block=tamil}', "");
Expect(1, 3071, '\p{Is_Block= -Tamil}', "");
Expect(0, 3071, '\p{^Is_Block= -Tamil}', "");
Expect(0, 3071, '\P{Is_Block= -Tamil}', "");
Expect(1, 3071, '\P{^Is_Block= -Tamil}', "");
Expect(0, 2943, '\p{Is_Block= -Tamil}', "");
Expect(1, 2943, '\p{^Is_Block= -Tamil}', "");
Expect(1, 2943, '\P{Is_Block= -Tamil}', "");
Expect(0, 2943, '\P{^Is_Block= -Tamil}', "");
Error('\p{Is_Blk=:=-_tamil}');
Error('\P{Is_Blk=:=-_tamil}');
Expect(1, 3071, '\p{Is_Blk=tamil}', "");
Expect(0, 3071, '\p{^Is_Blk=tamil}', "");
Expect(0, 3071, '\P{Is_Blk=tamil}', "");
Expect(1, 3071, '\P{^Is_Blk=tamil}', "");
Expect(0, 2943, '\p{Is_Blk=tamil}', "");
Expect(1, 2943, '\p{^Is_Blk=tamil}', "");
Expect(1, 2943, '\P{Is_Blk=tamil}', "");
Expect(0, 2943, '\P{^Is_Blk=tamil}', "");
Expect(1, 3071, '\p{Is_Blk=_Tamil}', "");
Expect(0, 3071, '\p{^Is_Blk=_Tamil}', "");
Expect(0, 3071, '\P{Is_Blk=_Tamil}', "");
Expect(1, 3071, '\P{^Is_Blk=_Tamil}', "");
Expect(0, 2943, '\p{Is_Blk=_Tamil}', "");
Expect(1, 2943, '\p{^Is_Blk=_Tamil}', "");
Expect(1, 2943, '\P{Is_Blk=_Tamil}', "");
Expect(0, 2943, '\P{^Is_Blk=_Tamil}', "");
Error('\p{Block= /a/Specials}');
Error('\P{Block= /a/Specials}');
Expect(1, 65520, '\p{Block:   specials}', "");
Expect(0, 65520, '\p{^Block:   specials}', "");
Expect(0, 65520, '\P{Block:   specials}', "");
Expect(1, 65520, '\P{^Block:   specials}', "");
Expect(0, 65519, '\p{Block:   specials}', "");
Expect(1, 65519, '\p{^Block:   specials}', "");
Expect(1, 65519, '\P{Block:   specials}', "");
Expect(0, 65519, '\P{^Block:   specials}', "");
Expect(1, 65520, '\p{Block=	Specials}', "");
Expect(0, 65520, '\p{^Block=	Specials}', "");
Expect(0, 65520, '\P{Block=	Specials}', "");
Expect(1, 65520, '\P{^Block=	Specials}', "");
Expect(0, 65519, '\p{Block=	Specials}', "");
Expect(1, 65519, '\p{^Block=	Specials}', "");
Expect(1, 65519, '\P{Block=	Specials}', "");
Expect(0, 65519, '\P{^Block=	Specials}', "");
Error('\p{Blk=-:=Specials}');
Error('\P{Blk=-:=Specials}');
Expect(1, 65520, '\p{Blk=specials}', "");
Expect(0, 65520, '\p{^Blk=specials}', "");
Expect(0, 65520, '\P{Blk=specials}', "");
Expect(1, 65520, '\P{^Blk=specials}', "");
Expect(0, 65519, '\p{Blk=specials}', "");
Expect(1, 65519, '\p{^Blk=specials}', "");
Expect(1, 65519, '\P{Blk=specials}', "");
Expect(0, 65519, '\P{^Blk=specials}', "");
Expect(1, 65520, '\p{Blk=	 Specials}', "");
Expect(0, 65520, '\p{^Blk=	 Specials}', "");
Expect(0, 65520, '\P{Blk=	 Specials}', "");
Expect(1, 65520, '\P{^Blk=	 Specials}', "");
Expect(0, 65519, '\p{Blk=	 Specials}', "");
Expect(1, 65519, '\p{^Blk=	 Specials}', "");
Expect(1, 65519, '\P{Blk=	 Specials}', "");
Expect(0, 65519, '\P{^Blk=	 Specials}', "");
Error('\p{Is_Block:	_specials:=}');
Error('\P{Is_Block:	_specials:=}');
Expect(1, 65520, '\p{Is_Block=specials}', "");
Expect(0, 65520, '\p{^Is_Block=specials}', "");
Expect(0, 65520, '\P{Is_Block=specials}', "");
Expect(1, 65520, '\P{^Is_Block=specials}', "");
Expect(0, 65519, '\p{Is_Block=specials}', "");
Expect(1, 65519, '\p{^Is_Block=specials}', "");
Expect(1, 65519, '\P{Is_Block=specials}', "");
Expect(0, 65519, '\P{^Is_Block=specials}', "");
Expect(1, 65520, '\p{Is_Block=-	Specials}', "");
Expect(0, 65520, '\p{^Is_Block=-	Specials}', "");
Expect(0, 65520, '\P{Is_Block=-	Specials}', "");
Expect(1, 65520, '\P{^Is_Block=-	Specials}', "");
Expect(0, 65519, '\p{Is_Block=-	Specials}', "");
Expect(1, 65519, '\p{^Is_Block=-	Specials}', "");
Expect(1, 65519, '\P{Is_Block=-	Specials}', "");
Expect(0, 65519, '\P{^Is_Block=-	Specials}', "");
Error('\p{Is_Blk=	:=SPECIALS}');
Error('\P{Is_Blk=	:=SPECIALS}');
Expect(1, 65520, '\p{Is_Blk=specials}', "");
Expect(0, 65520, '\p{^Is_Blk=specials}', "");
Expect(0, 65520, '\P{Is_Blk=specials}', "");
Expect(1, 65520, '\P{^Is_Blk=specials}', "");
Expect(0, 65519, '\p{Is_Blk=specials}', "");
Expect(1, 65519, '\p{^Is_Blk=specials}', "");
Expect(1, 65519, '\P{Is_Blk=specials}', "");
Expect(0, 65519, '\P{^Is_Blk=specials}', "");
Expect(1, 65520, '\p{Is_Blk=-	SPECIALS}', "");
Expect(0, 65520, '\p{^Is_Blk=-	SPECIALS}', "");
Expect(0, 65520, '\P{Is_Blk=-	SPECIALS}', "");
Expect(1, 65520, '\P{^Is_Blk=-	SPECIALS}', "");
Expect(0, 65519, '\p{Is_Blk=-	SPECIALS}', "");
Expect(1, 65519, '\p{^Is_Blk=-	SPECIALS}', "");
Expect(1, 65519, '\P{Is_Blk=-	SPECIALS}', "");
Expect(0, 65519, '\P{^Is_Blk=-	SPECIALS}', "");
Error('\p{Block= :=Georgian}');
Error('\P{Block= :=Georgian}');
Expect(1, 4351, '\p{Block:	georgian}', "");
Expect(0, 4351, '\p{^Block:	georgian}', "");
Expect(0, 4351, '\P{Block:	georgian}', "");
Expect(1, 4351, '\P{^Block:	georgian}', "");
Expect(0, 4255, '\p{Block:	georgian}', "");
Expect(1, 4255, '\p{^Block:	georgian}', "");
Expect(1, 4255, '\P{Block:	georgian}', "");
Expect(0, 4255, '\P{^Block:	georgian}', "");
Expect(1, 4351, '\p{Block= georgian}', "");
Expect(0, 4351, '\p{^Block= georgian}', "");
Expect(0, 4351, '\P{Block= georgian}', "");
Expect(1, 4351, '\P{^Block= georgian}', "");
Expect(0, 4255, '\p{Block= georgian}', "");
Expect(1, 4255, '\p{^Block= georgian}', "");
Expect(1, 4255, '\P{Block= georgian}', "");
Expect(0, 4255, '\P{^Block= georgian}', "");
Error('\p{Blk=:=Georgian}');
Error('\P{Blk=:=Georgian}');
Expect(1, 4351, '\p{Blk=georgian}', "");
Expect(0, 4351, '\p{^Blk=georgian}', "");
Expect(0, 4351, '\P{Blk=georgian}', "");
Expect(1, 4351, '\P{^Blk=georgian}', "");
Expect(0, 4255, '\p{Blk=georgian}', "");
Expect(1, 4255, '\p{^Blk=georgian}', "");
Expect(1, 4255, '\P{Blk=georgian}', "");
Expect(0, 4255, '\P{^Blk=georgian}', "");
Expect(1, 4351, '\p{Blk=- georgian}', "");
Expect(0, 4351, '\p{^Blk=- georgian}', "");
Expect(0, 4351, '\P{Blk=- georgian}', "");
Expect(1, 4351, '\P{^Blk=- georgian}', "");
Expect(0, 4255, '\p{Blk=- georgian}', "");
Expect(1, 4255, '\p{^Blk=- georgian}', "");
Expect(1, 4255, '\P{Blk=- georgian}', "");
Expect(0, 4255, '\P{^Blk=- georgian}', "");
Error('\p{Is_Block=Georgian/a/}');
Error('\P{Is_Block=Georgian/a/}');
Expect(1, 4351, '\p{Is_Block=georgian}', "");
Expect(0, 4351, '\p{^Is_Block=georgian}', "");
Expect(0, 4351, '\P{Is_Block=georgian}', "");
Expect(1, 4351, '\P{^Is_Block=georgian}', "");
Expect(0, 4255, '\p{Is_Block=georgian}', "");
Expect(1, 4255, '\p{^Is_Block=georgian}', "");
Expect(1, 4255, '\P{Is_Block=georgian}', "");
Expect(0, 4255, '\P{^Is_Block=georgian}', "");
Expect(1, 4351, '\p{Is_Block=-_GEORGIAN}', "");
Expect(0, 4351, '\p{^Is_Block=-_GEORGIAN}', "");
Expect(0, 4351, '\P{Is_Block=-_GEORGIAN}', "");
Expect(1, 4351, '\P{^Is_Block=-_GEORGIAN}', "");
Expect(0, 4255, '\p{Is_Block=-_GEORGIAN}', "");
Expect(1, 4255, '\p{^Is_Block=-_GEORGIAN}', "");
Expect(1, 4255, '\P{Is_Block=-_GEORGIAN}', "");
Expect(0, 4255, '\P{^Is_Block=-_GEORGIAN}', "");
Error('\p{Is_Blk:-:=georgian}');
Error('\P{Is_Blk:-:=georgian}');
Expect(1, 4351, '\p{Is_Blk=georgian}', "");
Expect(0, 4351, '\p{^Is_Blk=georgian}', "");
Expect(0, 4351, '\P{Is_Blk=georgian}', "");
Expect(1, 4351, '\P{^Is_Blk=georgian}', "");
Expect(0, 4255, '\p{Is_Blk=georgian}', "");
Expect(1, 4255, '\p{^Is_Blk=georgian}', "");
Expect(1, 4255, '\P{Is_Blk=georgian}', "");
Expect(0, 4255, '\P{^Is_Blk=georgian}', "");
Expect(1, 4351, '\p{Is_Blk= Georgian}', "");
Expect(0, 4351, '\p{^Is_Blk= Georgian}', "");
Expect(0, 4351, '\P{Is_Blk= Georgian}', "");
Expect(1, 4351, '\P{^Is_Blk= Georgian}', "");
Expect(0, 4255, '\p{Is_Blk= Georgian}', "");
Expect(1, 4255, '\p{^Is_Blk= Georgian}', "");
Expect(1, 4255, '\P{Is_Blk= Georgian}', "");
Expect(0, 4255, '\P{^Is_Blk= Georgian}', "");
Error('\p{Block=/a/__Kayah_LI}');
Error('\P{Block=/a/__Kayah_LI}');
Expect(1, 43311, '\p{Block=kayahli}', "");
Expect(0, 43311, '\p{^Block=kayahli}', "");
Expect(0, 43311, '\P{Block=kayahli}', "");
Expect(1, 43311, '\P{^Block=kayahli}', "");
Expect(0, 43263, '\p{Block=kayahli}', "");
Expect(1, 43263, '\p{^Block=kayahli}', "");
Expect(1, 43263, '\P{Block=kayahli}', "");
Expect(0, 43263, '\P{^Block=kayahli}', "");
Expect(1, 43311, '\p{Block=	KAYAH	li}', "");
Expect(0, 43311, '\p{^Block=	KAYAH	li}', "");
Expect(0, 43311, '\P{Block=	KAYAH	li}', "");
Expect(1, 43311, '\P{^Block=	KAYAH	li}', "");
Expect(0, 43263, '\p{Block=	KAYAH	li}', "");
Expect(1, 43263, '\p{^Block=	KAYAH	li}', "");
Expect(1, 43263, '\P{Block=	KAYAH	li}', "");
Expect(0, 43263, '\P{^Block=	KAYAH	li}', "");
Error('\p{Blk=	_kayah:=Li}');
Error('\P{Blk=	_kayah:=Li}');
Expect(1, 43311, '\p{Blk=kayahli}', "");
Expect(0, 43311, '\p{^Blk=kayahli}', "");
Expect(0, 43311, '\P{Blk=kayahli}', "");
Expect(1, 43311, '\P{^Blk=kayahli}', "");
Expect(0, 43263, '\p{Blk=kayahli}', "");
Expect(1, 43263, '\p{^Blk=kayahli}', "");
Expect(1, 43263, '\P{Blk=kayahli}', "");
Expect(0, 43263, '\P{^Blk=kayahli}', "");
Expect(1, 43311, '\p{Blk= Kayah_Li}', "");
Expect(0, 43311, '\p{^Blk= Kayah_Li}', "");
Expect(0, 43311, '\P{Blk= Kayah_Li}', "");
Expect(1, 43311, '\P{^Blk= Kayah_Li}', "");
Expect(0, 43263, '\p{Blk= Kayah_Li}', "");
Expect(1, 43263, '\p{^Blk= Kayah_Li}', "");
Expect(1, 43263, '\P{Blk= Kayah_Li}', "");
Expect(0, 43263, '\P{^Blk= Kayah_Li}', "");
Error('\p{Is_Block=	_KAYAH/a/Li}');
Error('\P{Is_Block=	_KAYAH/a/Li}');
Expect(1, 43311, '\p{Is_Block=kayahli}', "");
Expect(0, 43311, '\p{^Is_Block=kayahli}', "");
Expect(0, 43311, '\P{Is_Block=kayahli}', "");
Expect(1, 43311, '\P{^Is_Block=kayahli}', "");
Expect(0, 43263, '\p{Is_Block=kayahli}', "");
Expect(1, 43263, '\p{^Is_Block=kayahli}', "");
Expect(1, 43263, '\P{Is_Block=kayahli}', "");
Expect(0, 43263, '\P{^Is_Block=kayahli}', "");
Expect(1, 43311, '\p{Is_Block=	 Kayah_Li}', "");
Expect(0, 43311, '\p{^Is_Block=	 Kayah_Li}', "");
Expect(0, 43311, '\P{Is_Block=	 Kayah_Li}', "");
Expect(1, 43311, '\P{^Is_Block=	 Kayah_Li}', "");
Expect(0, 43263, '\p{Is_Block=	 Kayah_Li}', "");
Expect(1, 43263, '\p{^Is_Block=	 Kayah_Li}', "");
Expect(1, 43263, '\P{Is_Block=	 Kayah_Li}', "");
Expect(0, 43263, '\P{^Is_Block=	 Kayah_Li}', "");
Error('\p{Is_Blk=	/a/KayahLI}');
Error('\P{Is_Blk=	/a/KayahLI}');
Expect(1, 43311, '\p{Is_Blk=kayahli}', "");
Expect(0, 43311, '\p{^Is_Blk=kayahli}', "");
Expect(0, 43311, '\P{Is_Blk=kayahli}', "");
Expect(1, 43311, '\P{^Is_Blk=kayahli}', "");
Expect(0, 43263, '\p{Is_Blk=kayahli}', "");
Expect(1, 43263, '\p{^Is_Blk=kayahli}', "");
Expect(1, 43263, '\P{Is_Blk=kayahli}', "");
Expect(0, 43263, '\P{^Is_Blk=kayahli}', "");
Expect(1, 43311, '\p{Is_Blk=	KAYAH li}', "");
Expect(0, 43311, '\p{^Is_Blk=	KAYAH li}', "");
Expect(0, 43311, '\P{Is_Blk=	KAYAH li}', "");
Expect(1, 43311, '\P{^Is_Blk=	KAYAH li}', "");
Expect(0, 43263, '\p{Is_Blk=	KAYAH li}', "");
Expect(1, 43263, '\p{^Is_Blk=	KAYAH li}', "");
Expect(1, 43263, '\P{Is_Blk=	KAYAH li}', "");
Expect(0, 43263, '\P{^Is_Blk=	KAYAH li}', "");
Error('\p{Block=/a/_ CJK Compatibility-Forms}');
Error('\P{Block=/a/_ CJK Compatibility-Forms}');
Expect(1, 65103, '\p{Block=cjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^Block=cjkcompatibilityforms}', "");
Expect(0, 65103, '\P{Block=cjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^Block=cjkcompatibilityforms}', "");
Expect(0, 65071, '\p{Block=cjkcompatibilityforms}', "");
Expect(1, 65071, '\p{^Block=cjkcompatibilityforms}', "");
Expect(1, 65071, '\P{Block=cjkcompatibilityforms}', "");
Expect(0, 65071, '\P{^Block=cjkcompatibilityforms}', "");
Expect(1, 65103, '\p{Block=	 CJK-Compatibility Forms}', "");
Expect(0, 65103, '\p{^Block=	 CJK-Compatibility Forms}', "");
Expect(0, 65103, '\P{Block=	 CJK-Compatibility Forms}', "");
Expect(1, 65103, '\P{^Block=	 CJK-Compatibility Forms}', "");
Expect(0, 65071, '\p{Block=	 CJK-Compatibility Forms}', "");
Expect(1, 65071, '\p{^Block=	 CJK-Compatibility Forms}', "");
Expect(1, 65071, '\P{Block=	 CJK-Compatibility Forms}', "");
Expect(0, 65071, '\P{^Block=	 CJK-Compatibility Forms}', "");
Error('\p{Blk=_:=CJKCompatibilityForms}');
Error('\P{Blk=_:=CJKCompatibilityForms}');
Expect(1, 65103, '\p{Blk:   cjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^Blk:   cjkcompatibilityforms}', "");
Expect(0, 65103, '\P{Blk:   cjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^Blk:   cjkcompatibilityforms}', "");
Expect(0, 65071, '\p{Blk:   cjkcompatibilityforms}', "");
Expect(1, 65071, '\p{^Blk:   cjkcompatibilityforms}', "");
Expect(1, 65071, '\P{Blk:   cjkcompatibilityforms}', "");
Expect(0, 65071, '\P{^Blk:   cjkcompatibilityforms}', "");
Expect(1, 65103, '\p{Blk=  cjk_compatibility-Forms}', "");
Expect(0, 65103, '\p{^Blk=  cjk_compatibility-Forms}', "");
Expect(0, 65103, '\P{Blk=  cjk_compatibility-Forms}', "");
Expect(1, 65103, '\P{^Blk=  cjk_compatibility-Forms}', "");
Expect(0, 65071, '\p{Blk=  cjk_compatibility-Forms}', "");
Expect(1, 65071, '\p{^Blk=  cjk_compatibility-Forms}', "");
Expect(1, 65071, '\P{Blk=  cjk_compatibility-Forms}', "");
Expect(0, 65071, '\P{^Blk=  cjk_compatibility-Forms}', "");
Error('\p{Is_Block=- CJK:=Compatibility_Forms}');
Error('\P{Is_Block=- CJK:=Compatibility_Forms}');
Expect(1, 65103, '\p{Is_Block=cjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^Is_Block=cjkcompatibilityforms}', "");
Expect(0, 65103, '\P{Is_Block=cjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^Is_Block=cjkcompatibilityforms}', "");
Expect(0, 65071, '\p{Is_Block=cjkcompatibilityforms}', "");
Expect(1, 65071, '\p{^Is_Block=cjkcompatibilityforms}', "");
Expect(1, 65071, '\P{Is_Block=cjkcompatibilityforms}', "");
Expect(0, 65071, '\P{^Is_Block=cjkcompatibilityforms}', "");
Expect(1, 65103, '\p{Is_Block=_	CJKCompatibility	FORMS}', "");
Expect(0, 65103, '\p{^Is_Block=_	CJKCompatibility	FORMS}', "");
Expect(0, 65103, '\P{Is_Block=_	CJKCompatibility	FORMS}', "");
Expect(1, 65103, '\P{^Is_Block=_	CJKCompatibility	FORMS}', "");
Expect(0, 65071, '\p{Is_Block=_	CJKCompatibility	FORMS}', "");
Expect(1, 65071, '\p{^Is_Block=_	CJKCompatibility	FORMS}', "");
Expect(1, 65071, '\P{Is_Block=_	CJKCompatibility	FORMS}', "");
Expect(0, 65071, '\P{^Is_Block=_	CJKCompatibility	FORMS}', "");
Error('\p{Is_Blk=__CJK	Compatibility/a/Forms}');
Error('\P{Is_Blk=__CJK	Compatibility/a/Forms}');
Expect(1, 65103, '\p{Is_Blk=cjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^Is_Blk=cjkcompatibilityforms}', "");
Expect(0, 65103, '\P{Is_Blk=cjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^Is_Blk=cjkcompatibilityforms}', "");
Expect(0, 65071, '\p{Is_Blk=cjkcompatibilityforms}', "");
Expect(1, 65071, '\p{^Is_Blk=cjkcompatibilityforms}', "");
Expect(1, 65071, '\P{Is_Blk=cjkcompatibilityforms}', "");
Expect(0, 65071, '\P{^Is_Blk=cjkcompatibilityforms}', "");
Expect(1, 65103, '\p{Is_Blk:	_CJK	Compatibility-Forms}', "");
Expect(0, 65103, '\p{^Is_Blk:	_CJK	Compatibility-Forms}', "");
Expect(0, 65103, '\P{Is_Blk:	_CJK	Compatibility-Forms}', "");
Expect(1, 65103, '\P{^Is_Blk:	_CJK	Compatibility-Forms}', "");
Expect(0, 65071, '\p{Is_Blk:	_CJK	Compatibility-Forms}', "");
Expect(1, 65071, '\p{^Is_Blk:	_CJK	Compatibility-Forms}', "");
Expect(1, 65071, '\P{Is_Blk:	_CJK	Compatibility-Forms}', "");
Expect(0, 65071, '\P{^Is_Blk:	_CJK	Compatibility-Forms}', "");
Error('\p{Block=:=__TIFINAGH}');
Error('\P{Block=:=__TIFINAGH}');
Expect(1, 11647, '\p{Block=tifinagh}', "");
Expect(0, 11647, '\p{^Block=tifinagh}', "");
Expect(0, 11647, '\P{Block=tifinagh}', "");
Expect(1, 11647, '\P{^Block=tifinagh}', "");
Expect(0, 11567, '\p{Block=tifinagh}', "");
Expect(1, 11567, '\p{^Block=tifinagh}', "");
Expect(1, 11567, '\P{Block=tifinagh}', "");
Expect(0, 11567, '\P{^Block=tifinagh}', "");
Expect(1, 11647, '\p{Block= tifinagh}', "");
Expect(0, 11647, '\p{^Block= tifinagh}', "");
Expect(0, 11647, '\P{Block= tifinagh}', "");
Expect(1, 11647, '\P{^Block= tifinagh}', "");
Expect(0, 11567, '\p{Block= tifinagh}', "");
Expect(1, 11567, '\p{^Block= tifinagh}', "");
Expect(1, 11567, '\P{Block= tifinagh}', "");
Expect(0, 11567, '\P{^Block= tifinagh}', "");
Error('\p{Blk= :=Tifinagh}');
Error('\P{Blk= :=Tifinagh}');
Expect(1, 11647, '\p{Blk: tifinagh}', "");
Expect(0, 11647, '\p{^Blk: tifinagh}', "");
Expect(0, 11647, '\P{Blk: tifinagh}', "");
Expect(1, 11647, '\P{^Blk: tifinagh}', "");
Expect(0, 11567, '\p{Blk: tifinagh}', "");
Expect(1, 11567, '\p{^Blk: tifinagh}', "");
Expect(1, 11567, '\P{Blk: tifinagh}', "");
Expect(0, 11567, '\P{^Blk: tifinagh}', "");
Expect(1, 11647, '\p{Blk=	Tifinagh}', "");
Expect(0, 11647, '\p{^Blk=	Tifinagh}', "");
Expect(0, 11647, '\P{Blk=	Tifinagh}', "");
Expect(1, 11647, '\P{^Blk=	Tifinagh}', "");
Expect(0, 11567, '\p{Blk=	Tifinagh}', "");
Expect(1, 11567, '\p{^Blk=	Tifinagh}', "");
Expect(1, 11567, '\P{Blk=	Tifinagh}', "");
Expect(0, 11567, '\P{^Blk=	Tifinagh}', "");
Error('\p{Is_Block= :=TIFINAGH}');
Error('\P{Is_Block= :=TIFINAGH}');
Expect(1, 11647, '\p{Is_Block=tifinagh}', "");
Expect(0, 11647, '\p{^Is_Block=tifinagh}', "");
Expect(0, 11647, '\P{Is_Block=tifinagh}', "");
Expect(1, 11647, '\P{^Is_Block=tifinagh}', "");
Expect(0, 11567, '\p{Is_Block=tifinagh}', "");
Expect(1, 11567, '\p{^Is_Block=tifinagh}', "");
Expect(1, 11567, '\P{Is_Block=tifinagh}', "");
Expect(0, 11567, '\P{^Is_Block=tifinagh}', "");
Expect(1, 11647, '\p{Is_Block=	Tifinagh}', "");
Expect(0, 11647, '\p{^Is_Block=	Tifinagh}', "");
Expect(0, 11647, '\P{Is_Block=	Tifinagh}', "");
Expect(1, 11647, '\P{^Is_Block=	Tifinagh}', "");
Expect(0, 11567, '\p{Is_Block=	Tifinagh}', "");
Expect(1, 11567, '\p{^Is_Block=	Tifinagh}', "");
Expect(1, 11567, '\P{Is_Block=	Tifinagh}', "");
Expect(0, 11567, '\P{^Is_Block=	Tifinagh}', "");
Error('\p{Is_Blk:   :=tifinagh}');
Error('\P{Is_Blk:   :=tifinagh}');
Expect(1, 11647, '\p{Is_Blk:tifinagh}', "");
Expect(0, 11647, '\p{^Is_Blk:tifinagh}', "");
Expect(0, 11647, '\P{Is_Blk:tifinagh}', "");
Expect(1, 11647, '\P{^Is_Blk:tifinagh}', "");
Expect(0, 11567, '\p{Is_Blk:tifinagh}', "");
Expect(1, 11567, '\p{^Is_Blk:tifinagh}', "");
Expect(1, 11567, '\P{Is_Blk:tifinagh}', "");
Expect(0, 11567, '\P{^Is_Blk:tifinagh}', "");
Expect(1, 11647, '\p{Is_Blk=	tifinagh}', "");
Expect(0, 11647, '\p{^Is_Blk=	tifinagh}', "");
Expect(0, 11647, '\P{Is_Blk=	tifinagh}', "");
Expect(1, 11647, '\P{^Is_Blk=	tifinagh}', "");
Expect(0, 11567, '\p{Is_Blk=	tifinagh}', "");
Expect(1, 11567, '\p{^Is_Blk=	tifinagh}', "");
Expect(1, 11567, '\P{Is_Blk=	tifinagh}', "");
Expect(0, 11567, '\P{^Is_Blk=	tifinagh}', "");
Error('\p{Block=-/a/HangulJamo	extendedB}');
Error('\P{Block=-/a/HangulJamo	extendedB}');
Expect(1, 55295, '\p{Block=hanguljamoextendedb}', "");
Expect(0, 55295, '\p{^Block=hanguljamoextendedb}', "");
Expect(0, 55295, '\P{Block=hanguljamoextendedb}', "");
Expect(1, 55295, '\P{^Block=hanguljamoextendedb}', "");
Expect(0, 55215, '\p{Block=hanguljamoextendedb}', "");
Expect(1, 55215, '\p{^Block=hanguljamoextendedb}', "");
Expect(1, 55215, '\P{Block=hanguljamoextendedb}', "");
Expect(0, 55215, '\P{^Block=hanguljamoextendedb}', "");
Expect(1, 55295, '\p{Block=_-HANGUL_Jamo-EXTENDEDb}', "");
Expect(0, 55295, '\p{^Block=_-HANGUL_Jamo-EXTENDEDb}', "");
Expect(0, 55295, '\P{Block=_-HANGUL_Jamo-EXTENDEDb}', "");
Expect(1, 55295, '\P{^Block=_-HANGUL_Jamo-EXTENDEDb}', "");
Expect(0, 55215, '\p{Block=_-HANGUL_Jamo-EXTENDEDb}', "");
Expect(1, 55215, '\p{^Block=_-HANGUL_Jamo-EXTENDEDb}', "");
Expect(1, 55215, '\P{Block=_-HANGUL_Jamo-EXTENDEDb}', "");
Expect(0, 55215, '\P{^Block=_-HANGUL_Jamo-EXTENDEDb}', "");
Error('\p{Blk=	/a/hangul-Jamo extended b}');
Error('\P{Blk=	/a/hangul-Jamo extended b}');
Expect(1, 55295, '\p{Blk=hanguljamoextendedb}', "");
Expect(0, 55295, '\p{^Blk=hanguljamoextendedb}', "");
Expect(0, 55295, '\P{Blk=hanguljamoextendedb}', "");
Expect(1, 55295, '\P{^Blk=hanguljamoextendedb}', "");
Expect(0, 55215, '\p{Blk=hanguljamoextendedb}', "");
Expect(1, 55215, '\p{^Blk=hanguljamoextendedb}', "");
Expect(1, 55215, '\P{Blk=hanguljamoextendedb}', "");
Expect(0, 55215, '\P{^Blk=hanguljamoextendedb}', "");
Expect(1, 55295, '\p{Blk=Hangul-Jamo_Extended-B}', "");
Expect(0, 55295, '\p{^Blk=Hangul-Jamo_Extended-B}', "");
Expect(0, 55295, '\P{Blk=Hangul-Jamo_Extended-B}', "");
Expect(1, 55295, '\P{^Blk=Hangul-Jamo_Extended-B}', "");
Expect(0, 55215, '\p{Blk=Hangul-Jamo_Extended-B}', "");
Expect(1, 55215, '\p{^Blk=Hangul-Jamo_Extended-B}', "");
Expect(1, 55215, '\P{Blk=Hangul-Jamo_Extended-B}', "");
Expect(0, 55215, '\P{^Blk=Hangul-Jamo_Extended-B}', "");
Error('\p{Is_Block=-hangulJamo-Extended-b/a/}');
Error('\P{Is_Block=-hangulJamo-Extended-b/a/}');
Expect(1, 55295, '\p{Is_Block=hanguljamoextendedb}', "");
Expect(0, 55295, '\p{^Is_Block=hanguljamoextendedb}', "");
Expect(0, 55295, '\P{Is_Block=hanguljamoextendedb}', "");
Expect(1, 55295, '\P{^Is_Block=hanguljamoextendedb}', "");
Expect(0, 55215, '\p{Is_Block=hanguljamoextendedb}', "");
Expect(1, 55215, '\p{^Is_Block=hanguljamoextendedb}', "");
Expect(1, 55215, '\P{Is_Block=hanguljamoextendedb}', "");
Expect(0, 55215, '\P{^Is_Block=hanguljamoextendedb}', "");
Expect(1, 55295, '\p{Is_Block= -HANGUL Jamo	Extended_B}', "");
Expect(0, 55295, '\p{^Is_Block= -HANGUL Jamo	Extended_B}', "");
Expect(0, 55295, '\P{Is_Block= -HANGUL Jamo	Extended_B}', "");
Expect(1, 55295, '\P{^Is_Block= -HANGUL Jamo	Extended_B}', "");
Expect(0, 55215, '\p{Is_Block= -HANGUL Jamo	Extended_B}', "");
Expect(1, 55215, '\p{^Is_Block= -HANGUL Jamo	Extended_B}', "");
Expect(1, 55215, '\P{Is_Block= -HANGUL Jamo	Extended_B}', "");
Expect(0, 55215, '\P{^Is_Block= -HANGUL Jamo	Extended_B}', "");
Error('\p{Is_Blk= HangulJAMO	EXTENDED/a/B}');
Error('\P{Is_Blk= HangulJAMO	EXTENDED/a/B}');
Expect(1, 55295, '\p{Is_Blk:	hanguljamoextendedb}', "");
Expect(0, 55295, '\p{^Is_Blk:	hanguljamoextendedb}', "");
Expect(0, 55295, '\P{Is_Blk:	hanguljamoextendedb}', "");
Expect(1, 55295, '\P{^Is_Blk:	hanguljamoextendedb}', "");
Expect(0, 55215, '\p{Is_Blk:	hanguljamoextendedb}', "");
Expect(1, 55215, '\p{^Is_Blk:	hanguljamoextendedb}', "");
Expect(1, 55215, '\P{Is_Blk:	hanguljamoextendedb}', "");
Expect(0, 55215, '\P{^Is_Blk:	hanguljamoextendedb}', "");
Expect(1, 55295, '\p{Is_Blk=		Hanguljamo-Extended b}', "");
Expect(0, 55295, '\p{^Is_Blk=		Hanguljamo-Extended b}', "");
Expect(0, 55295, '\P{Is_Blk=		Hanguljamo-Extended b}', "");
Expect(1, 55295, '\P{^Is_Blk=		Hanguljamo-Extended b}', "");
Expect(0, 55215, '\p{Is_Blk=		Hanguljamo-Extended b}', "");
Expect(1, 55215, '\p{^Is_Blk=		Hanguljamo-Extended b}', "");
Expect(1, 55215, '\P{Is_Blk=		Hanguljamo-Extended b}', "");
Expect(0, 55215, '\P{^Is_Blk=		Hanguljamo-Extended b}', "");
Error('\p{Block=/a/_ Thai}');
Error('\P{Block=/a/_ Thai}');
Expect(1, 3711, '\p{Block=thai}', "");
Expect(0, 3711, '\p{^Block=thai}', "");
Expect(0, 3711, '\P{Block=thai}', "");
Expect(1, 3711, '\P{^Block=thai}', "");
Expect(0, 3583, '\p{Block=thai}', "");
Expect(1, 3583, '\p{^Block=thai}', "");
Expect(1, 3583, '\P{Block=thai}', "");
Expect(0, 3583, '\P{^Block=thai}', "");
Expect(1, 3711, '\p{Block=	Thai}', "");
Expect(0, 3711, '\p{^Block=	Thai}', "");
Expect(0, 3711, '\P{Block=	Thai}', "");
Expect(1, 3711, '\P{^Block=	Thai}', "");
Expect(0, 3583, '\p{Block=	Thai}', "");
Expect(1, 3583, '\p{^Block=	Thai}', "");
Expect(1, 3583, '\P{Block=	Thai}', "");
Expect(0, 3583, '\P{^Block=	Thai}', "");
Error('\p{Blk=	:=Thai}');
Error('\P{Blk=	:=Thai}');
Expect(1, 3711, '\p{Blk=thai}', "");
Expect(0, 3711, '\p{^Blk=thai}', "");
Expect(0, 3711, '\P{Blk=thai}', "");
Expect(1, 3711, '\P{^Blk=thai}', "");
Expect(0, 3583, '\p{Blk=thai}', "");
Expect(1, 3583, '\p{^Blk=thai}', "");
Expect(1, 3583, '\P{Blk=thai}', "");
Expect(0, 3583, '\P{^Blk=thai}', "");
Expect(1, 3711, '\p{Blk=-thai}', "");
Expect(0, 3711, '\p{^Blk=-thai}', "");
Expect(0, 3711, '\P{Blk=-thai}', "");
Expect(1, 3711, '\P{^Blk=-thai}', "");
Expect(0, 3583, '\p{Blk=-thai}', "");
Expect(1, 3583, '\p{^Blk=-thai}', "");
Expect(1, 3583, '\P{Blk=-thai}', "");
Expect(0, 3583, '\P{^Blk=-thai}', "");
Error('\p{Is_Block:/a/	-THAI}');
Error('\P{Is_Block:/a/	-THAI}');
Expect(1, 3711, '\p{Is_Block=thai}', "");
Expect(0, 3711, '\p{^Is_Block=thai}', "");
Expect(0, 3711, '\P{Is_Block=thai}', "");
Expect(1, 3711, '\P{^Is_Block=thai}', "");
Expect(0, 3583, '\p{Is_Block=thai}', "");
Expect(1, 3583, '\p{^Is_Block=thai}', "");
Expect(1, 3583, '\P{Is_Block=thai}', "");
Expect(0, 3583, '\P{^Is_Block=thai}', "");
Expect(1, 3711, '\p{Is_Block=_-Thai}', "");
Expect(0, 3711, '\p{^Is_Block=_-Thai}', "");
Expect(0, 3711, '\P{Is_Block=_-Thai}', "");
Expect(1, 3711, '\P{^Is_Block=_-Thai}', "");
Expect(0, 3583, '\p{Is_Block=_-Thai}', "");
Expect(1, 3583, '\p{^Is_Block=_-Thai}', "");
Expect(1, 3583, '\P{Is_Block=_-Thai}', "");
Expect(0, 3583, '\P{^Is_Block=_-Thai}', "");
Error('\p{Is_Blk=- Thai:=}');
Error('\P{Is_Blk=- Thai:=}');
Expect(1, 3711, '\p{Is_Blk:   thai}', "");
Expect(0, 3711, '\p{^Is_Blk:   thai}', "");
Expect(0, 3711, '\P{Is_Blk:   thai}', "");
Expect(1, 3711, '\P{^Is_Blk:   thai}', "");
Expect(0, 3583, '\p{Is_Blk:   thai}', "");
Expect(1, 3583, '\p{^Is_Blk:   thai}', "");
Expect(1, 3583, '\P{Is_Blk:   thai}', "");
Expect(0, 3583, '\P{^Is_Blk:   thai}', "");
Expect(1, 3711, '\p{Is_Blk=-Thai}', "");
Expect(0, 3711, '\p{^Is_Blk=-Thai}', "");
Expect(0, 3711, '\P{Is_Blk=-Thai}', "");
Expect(1, 3711, '\P{^Is_Blk=-Thai}', "");
Expect(0, 3583, '\p{Is_Blk=-Thai}', "");
Expect(1, 3583, '\p{^Is_Blk=-Thai}', "");
Expect(1, 3583, '\P{Is_Blk=-Thai}', "");
Expect(0, 3583, '\P{^Is_Blk=-Thai}', "");
Error('\p{Block= KHMER:=}');
Error('\P{Block= KHMER:=}');
Expect(1, 6143, '\p{Block=khmer}', "");
Expect(0, 6143, '\p{^Block=khmer}', "");
Expect(0, 6143, '\P{Block=khmer}', "");
Expect(1, 6143, '\P{^Block=khmer}', "");
Expect(0, 6015, '\p{Block=khmer}', "");
Expect(1, 6015, '\p{^Block=khmer}', "");
Expect(1, 6015, '\P{Block=khmer}', "");
Expect(0, 6015, '\P{^Block=khmer}', "");
Expect(1, 6143, '\p{Block= _Khmer}', "");
Expect(0, 6143, '\p{^Block= _Khmer}', "");
Expect(0, 6143, '\P{Block= _Khmer}', "");
Expect(1, 6143, '\P{^Block= _Khmer}', "");
Expect(0, 6015, '\p{Block= _Khmer}', "");
Expect(1, 6015, '\p{^Block= _Khmer}', "");
Expect(1, 6015, '\P{Block= _Khmer}', "");
Expect(0, 6015, '\P{^Block= _Khmer}', "");
Error('\p{Blk=/a/	-khmer}');
Error('\P{Blk=/a/	-khmer}');
Expect(1, 6143, '\p{Blk=khmer}', "");
Expect(0, 6143, '\p{^Blk=khmer}', "");
Expect(0, 6143, '\P{Blk=khmer}', "");
Expect(1, 6143, '\P{^Blk=khmer}', "");
Expect(0, 6015, '\p{Blk=khmer}', "");
Expect(1, 6015, '\p{^Blk=khmer}', "");
Expect(1, 6015, '\P{Blk=khmer}', "");
Expect(0, 6015, '\P{^Blk=khmer}', "");
Expect(1, 6143, '\p{Blk=_ Khmer}', "");
Expect(0, 6143, '\p{^Blk=_ Khmer}', "");
Expect(0, 6143, '\P{Blk=_ Khmer}', "");
Expect(1, 6143, '\P{^Blk=_ Khmer}', "");
Expect(0, 6015, '\p{Blk=_ Khmer}', "");
Expect(1, 6015, '\p{^Blk=_ Khmer}', "");
Expect(1, 6015, '\P{Blk=_ Khmer}', "");
Expect(0, 6015, '\P{^Blk=_ Khmer}', "");
Error('\p{Is_Block=/a/ -Khmer}');
Error('\P{Is_Block=/a/ -Khmer}');
Expect(1, 6143, '\p{Is_Block=khmer}', "");
Expect(0, 6143, '\p{^Is_Block=khmer}', "");
Expect(0, 6143, '\P{Is_Block=khmer}', "");
Expect(1, 6143, '\P{^Is_Block=khmer}', "");
Expect(0, 6015, '\p{Is_Block=khmer}', "");
Expect(1, 6015, '\p{^Is_Block=khmer}', "");
Expect(1, 6015, '\P{Is_Block=khmer}', "");
Expect(0, 6015, '\P{^Is_Block=khmer}', "");
Expect(1, 6143, '\p{Is_Block=-	khmer}', "");
Expect(0, 6143, '\p{^Is_Block=-	khmer}', "");
Expect(0, 6143, '\P{Is_Block=-	khmer}', "");
Expect(1, 6143, '\P{^Is_Block=-	khmer}', "");
Expect(0, 6015, '\p{Is_Block=-	khmer}', "");
Expect(1, 6015, '\p{^Is_Block=-	khmer}', "");
Expect(1, 6015, '\P{Is_Block=-	khmer}', "");
Expect(0, 6015, '\P{^Is_Block=-	khmer}', "");
Error('\p{Is_Blk:   :=--Khmer}');
Error('\P{Is_Blk:   :=--Khmer}');
Expect(1, 6143, '\p{Is_Blk=khmer}', "");
Expect(0, 6143, '\p{^Is_Blk=khmer}', "");
Expect(0, 6143, '\P{Is_Blk=khmer}', "");
Expect(1, 6143, '\P{^Is_Blk=khmer}', "");
Expect(0, 6015, '\p{Is_Blk=khmer}', "");
Expect(1, 6015, '\p{^Is_Blk=khmer}', "");
Expect(1, 6015, '\P{Is_Blk=khmer}', "");
Expect(0, 6015, '\P{^Is_Blk=khmer}', "");
Expect(1, 6143, '\p{Is_Blk=_-KHMER}', "");
Expect(0, 6143, '\p{^Is_Blk=_-KHMER}', "");
Expect(0, 6143, '\P{Is_Blk=_-KHMER}', "");
Expect(1, 6143, '\P{^Is_Blk=_-KHMER}', "");
Expect(0, 6015, '\p{Is_Blk=_-KHMER}', "");
Expect(1, 6015, '\p{^Is_Blk=_-KHMER}', "");
Expect(1, 6015, '\P{Is_Blk=_-KHMER}', "");
Expect(0, 6015, '\P{^Is_Blk=_-KHMER}', "");
Error('\p{Block: /a/	 Saurashtra}');
Error('\P{Block: /a/	 Saurashtra}');
Expect(1, 43231, '\p{Block=saurashtra}', "");
Expect(0, 43231, '\p{^Block=saurashtra}', "");
Expect(0, 43231, '\P{Block=saurashtra}', "");
Expect(1, 43231, '\P{^Block=saurashtra}', "");
Expect(0, 43135, '\p{Block=saurashtra}', "");
Expect(1, 43135, '\p{^Block=saurashtra}', "");
Expect(1, 43135, '\P{Block=saurashtra}', "");
Expect(0, 43135, '\P{^Block=saurashtra}', "");
Expect(1, 43231, '\p{Block=-_saurashtra}', "");
Expect(0, 43231, '\p{^Block=-_saurashtra}', "");
Expect(0, 43231, '\P{Block=-_saurashtra}', "");
Expect(1, 43231, '\P{^Block=-_saurashtra}', "");
Expect(0, 43135, '\p{Block=-_saurashtra}', "");
Expect(1, 43135, '\p{^Block=-_saurashtra}', "");
Expect(1, 43135, '\P{Block=-_saurashtra}', "");
Expect(0, 43135, '\P{^Block=-_saurashtra}', "");
Error('\p{Blk=_Saurashtra:=}');
Error('\P{Blk=_Saurashtra:=}');
Expect(1, 43231, '\p{Blk:	saurashtra}', "");
Expect(0, 43231, '\p{^Blk:	saurashtra}', "");
Expect(0, 43231, '\P{Blk:	saurashtra}', "");
Expect(1, 43231, '\P{^Blk:	saurashtra}', "");
Expect(0, 43135, '\p{Blk:	saurashtra}', "");
Expect(1, 43135, '\p{^Blk:	saurashtra}', "");
Expect(1, 43135, '\P{Blk:	saurashtra}', "");
Expect(0, 43135, '\P{^Blk:	saurashtra}', "");
Expect(1, 43231, '\p{Blk=  Saurashtra}', "");
Expect(0, 43231, '\p{^Blk=  Saurashtra}', "");
Expect(0, 43231, '\P{Blk=  Saurashtra}', "");
Expect(1, 43231, '\P{^Blk=  Saurashtra}', "");
Expect(0, 43135, '\p{Blk=  Saurashtra}', "");
Expect(1, 43135, '\p{^Blk=  Saurashtra}', "");
Expect(1, 43135, '\P{Blk=  Saurashtra}', "");
Expect(0, 43135, '\P{^Blk=  Saurashtra}', "");
Error('\p{Is_Block=_/a/Saurashtra}');
Error('\P{Is_Block=_/a/Saurashtra}');
Expect(1, 43231, '\p{Is_Block=saurashtra}', "");
Expect(0, 43231, '\p{^Is_Block=saurashtra}', "");
Expect(0, 43231, '\P{Is_Block=saurashtra}', "");
Expect(1, 43231, '\P{^Is_Block=saurashtra}', "");
Expect(0, 43135, '\p{Is_Block=saurashtra}', "");
Expect(1, 43135, '\p{^Is_Block=saurashtra}', "");
Expect(1, 43135, '\P{Is_Block=saurashtra}', "");
Expect(0, 43135, '\P{^Is_Block=saurashtra}', "");
Expect(1, 43231, '\p{Is_Block=-saurashtra}', "");
Expect(0, 43231, '\p{^Is_Block=-saurashtra}', "");
Expect(0, 43231, '\P{Is_Block=-saurashtra}', "");
Expect(1, 43231, '\P{^Is_Block=-saurashtra}', "");
Expect(0, 43135, '\p{Is_Block=-saurashtra}', "");
Expect(1, 43135, '\p{^Is_Block=-saurashtra}', "");
Expect(1, 43135, '\P{Is_Block=-saurashtra}', "");
Expect(0, 43135, '\P{^Is_Block=-saurashtra}', "");
Error('\p{Is_Blk=_SAURASHTRA/a/}');
Error('\P{Is_Blk=_SAURASHTRA/a/}');
Expect(1, 43231, '\p{Is_Blk=saurashtra}', "");
Expect(0, 43231, '\p{^Is_Blk=saurashtra}', "");
Expect(0, 43231, '\P{Is_Blk=saurashtra}', "");
Expect(1, 43231, '\P{^Is_Blk=saurashtra}', "");
Expect(0, 43135, '\p{Is_Blk=saurashtra}', "");
Expect(1, 43135, '\p{^Is_Blk=saurashtra}', "");
Expect(1, 43135, '\P{Is_Blk=saurashtra}', "");
Expect(0, 43135, '\P{^Is_Blk=saurashtra}', "");
Expect(1, 43231, '\p{Is_Blk=	SAURASHTRA}', "");
Expect(0, 43231, '\p{^Is_Blk=	SAURASHTRA}', "");
Expect(0, 43231, '\P{Is_Blk=	SAURASHTRA}', "");
Expect(1, 43231, '\P{^Is_Blk=	SAURASHTRA}', "");
Expect(0, 43135, '\p{Is_Blk=	SAURASHTRA}', "");
Expect(1, 43135, '\p{^Is_Blk=	SAURASHTRA}', "");
Expect(1, 43135, '\P{Is_Blk=	SAURASHTRA}', "");
Expect(0, 43135, '\P{^Is_Blk=	SAURASHTRA}', "");
Error('\p{Block: :=__GUJARATI}');
Error('\P{Block: :=__GUJARATI}');
Expect(1, 2815, '\p{Block=gujarati}', "");
Expect(0, 2815, '\p{^Block=gujarati}', "");
Expect(0, 2815, '\P{Block=gujarati}', "");
Expect(1, 2815, '\P{^Block=gujarati}', "");
Expect(0, 2687, '\p{Block=gujarati}', "");
Expect(1, 2687, '\p{^Block=gujarati}', "");
Expect(1, 2687, '\P{Block=gujarati}', "");
Expect(0, 2687, '\P{^Block=gujarati}', "");
Expect(1, 2815, '\p{Block=  Gujarati}', "");
Expect(0, 2815, '\p{^Block=  Gujarati}', "");
Expect(0, 2815, '\P{Block=  Gujarati}', "");
Expect(1, 2815, '\P{^Block=  Gujarati}', "");
Expect(0, 2687, '\p{Block=  Gujarati}', "");
Expect(1, 2687, '\p{^Block=  Gujarati}', "");
Expect(1, 2687, '\P{Block=  Gujarati}', "");
Expect(0, 2687, '\P{^Block=  Gujarati}', "");
Error('\p{Blk=_	gujarati:=}');
Error('\P{Blk=_	gujarati:=}');
Expect(1, 2815, '\p{Blk=gujarati}', "");
Expect(0, 2815, '\p{^Blk=gujarati}', "");
Expect(0, 2815, '\P{Blk=gujarati}', "");
Expect(1, 2815, '\P{^Blk=gujarati}', "");
Expect(0, 2687, '\p{Blk=gujarati}', "");
Expect(1, 2687, '\p{^Blk=gujarati}', "");
Expect(1, 2687, '\P{Blk=gujarati}', "");
Expect(0, 2687, '\P{^Blk=gujarati}', "");
Expect(1, 2815, '\p{Blk= -gujarati}', "");
Expect(0, 2815, '\p{^Blk= -gujarati}', "");
Expect(0, 2815, '\P{Blk= -gujarati}', "");
Expect(1, 2815, '\P{^Blk= -gujarati}', "");
Expect(0, 2687, '\p{Blk= -gujarati}', "");
Expect(1, 2687, '\p{^Blk= -gujarati}', "");
Expect(1, 2687, '\P{Blk= -gujarati}', "");
Expect(0, 2687, '\P{^Blk= -gujarati}', "");
Error('\p{Is_Block=	Gujarati:=}');
Error('\P{Is_Block=	Gujarati:=}');
Expect(1, 2815, '\p{Is_Block=gujarati}', "");
Expect(0, 2815, '\p{^Is_Block=gujarati}', "");
Expect(0, 2815, '\P{Is_Block=gujarati}', "");
Expect(1, 2815, '\P{^Is_Block=gujarati}', "");
Expect(0, 2687, '\p{Is_Block=gujarati}', "");
Expect(1, 2687, '\p{^Is_Block=gujarati}', "");
Expect(1, 2687, '\P{Is_Block=gujarati}', "");
Expect(0, 2687, '\P{^Is_Block=gujarati}', "");
Expect(1, 2815, '\p{Is_Block=Gujarati}', "");
Expect(0, 2815, '\p{^Is_Block=Gujarati}', "");
Expect(0, 2815, '\P{Is_Block=Gujarati}', "");
Expect(1, 2815, '\P{^Is_Block=Gujarati}', "");
Expect(0, 2687, '\p{Is_Block=Gujarati}', "");
Expect(1, 2687, '\p{^Is_Block=Gujarati}', "");
Expect(1, 2687, '\P{Is_Block=Gujarati}', "");
Expect(0, 2687, '\P{^Is_Block=Gujarati}', "");
Error('\p{Is_Blk=	:=gujarati}');
Error('\P{Is_Blk=	:=gujarati}');
Expect(1, 2815, '\p{Is_Blk=gujarati}', "");
Expect(0, 2815, '\p{^Is_Blk=gujarati}', "");
Expect(0, 2815, '\P{Is_Blk=gujarati}', "");
Expect(1, 2815, '\P{^Is_Blk=gujarati}', "");
Expect(0, 2687, '\p{Is_Blk=gujarati}', "");
Expect(1, 2687, '\p{^Is_Blk=gujarati}', "");
Expect(1, 2687, '\P{Is_Blk=gujarati}', "");
Expect(0, 2687, '\P{^Is_Blk=gujarati}', "");
Expect(1, 2815, '\p{Is_Blk=	 Gujarati}', "");
Expect(0, 2815, '\p{^Is_Blk=	 Gujarati}', "");
Expect(0, 2815, '\P{Is_Blk=	 Gujarati}', "");
Expect(1, 2815, '\P{^Is_Blk=	 Gujarati}', "");
Expect(0, 2687, '\p{Is_Blk=	 Gujarati}', "");
Expect(1, 2687, '\p{^Is_Blk=	 Gujarati}', "");
Expect(1, 2687, '\P{Is_Blk=	 Gujarati}', "");
Expect(0, 2687, '\P{^Is_Blk=	 Gujarati}', "");
Error('\p{Block=_/a/telugu}');
Error('\P{Block=_/a/telugu}');
Expect(1, 3199, '\p{Block=telugu}', "");
Expect(0, 3199, '\p{^Block=telugu}', "");
Expect(0, 3199, '\P{Block=telugu}', "");
Expect(1, 3199, '\P{^Block=telugu}', "");
Expect(0, 3071, '\p{Block=telugu}', "");
Expect(1, 3071, '\p{^Block=telugu}', "");
Expect(1, 3071, '\P{Block=telugu}', "");
Expect(0, 3071, '\P{^Block=telugu}', "");
Expect(1, 3199, '\p{Block=-_Telugu}', "");
Expect(0, 3199, '\p{^Block=-_Telugu}', "");
Expect(0, 3199, '\P{Block=-_Telugu}', "");
Expect(1, 3199, '\P{^Block=-_Telugu}', "");
Expect(0, 3071, '\p{Block=-_Telugu}', "");
Expect(1, 3071, '\p{^Block=-_Telugu}', "");
Expect(1, 3071, '\P{Block=-_Telugu}', "");
Expect(0, 3071, '\P{^Block=-_Telugu}', "");
Error('\p{Blk=:= 	Telugu}');
Error('\P{Blk=:= 	Telugu}');
Expect(1, 3199, '\p{Blk=telugu}', "");
Expect(0, 3199, '\p{^Blk=telugu}', "");
Expect(0, 3199, '\P{Blk=telugu}', "");
Expect(1, 3199, '\P{^Blk=telugu}', "");
Expect(0, 3071, '\p{Blk=telugu}', "");
Expect(1, 3071, '\p{^Blk=telugu}', "");
Expect(1, 3071, '\P{Blk=telugu}', "");
Expect(0, 3071, '\P{^Blk=telugu}', "");
Expect(1, 3199, '\p{Blk=__TELUGU}', "");
Expect(0, 3199, '\p{^Blk=__TELUGU}', "");
Expect(0, 3199, '\P{Blk=__TELUGU}', "");
Expect(1, 3199, '\P{^Blk=__TELUGU}', "");
Expect(0, 3071, '\p{Blk=__TELUGU}', "");
Expect(1, 3071, '\p{^Blk=__TELUGU}', "");
Expect(1, 3071, '\P{Blk=__TELUGU}', "");
Expect(0, 3071, '\P{^Blk=__TELUGU}', "");
Error('\p{Is_Block= :=TELUGU}');
Error('\P{Is_Block= :=TELUGU}');
Expect(1, 3199, '\p{Is_Block=telugu}', "");
Expect(0, 3199, '\p{^Is_Block=telugu}', "");
Expect(0, 3199, '\P{Is_Block=telugu}', "");
Expect(1, 3199, '\P{^Is_Block=telugu}', "");
Expect(0, 3071, '\p{Is_Block=telugu}', "");
Expect(1, 3071, '\p{^Is_Block=telugu}', "");
Expect(1, 3071, '\P{Is_Block=telugu}', "");
Expect(0, 3071, '\P{^Is_Block=telugu}', "");
Expect(1, 3199, '\p{Is_Block=__telugu}', "");
Expect(0, 3199, '\p{^Is_Block=__telugu}', "");
Expect(0, 3199, '\P{Is_Block=__telugu}', "");
Expect(1, 3199, '\P{^Is_Block=__telugu}', "");
Expect(0, 3071, '\p{Is_Block=__telugu}', "");
Expect(1, 3071, '\p{^Is_Block=__telugu}', "");
Expect(1, 3071, '\P{Is_Block=__telugu}', "");
Expect(0, 3071, '\P{^Is_Block=__telugu}', "");
Error('\p{Is_Blk=-_Telugu/a/}');
Error('\P{Is_Blk=-_Telugu/a/}');
Expect(1, 3199, '\p{Is_Blk=telugu}', "");
Expect(0, 3199, '\p{^Is_Blk=telugu}', "");
Expect(0, 3199, '\P{Is_Blk=telugu}', "");
Expect(1, 3199, '\P{^Is_Blk=telugu}', "");
Expect(0, 3071, '\p{Is_Blk=telugu}', "");
Expect(1, 3071, '\p{^Is_Blk=telugu}', "");
Expect(1, 3071, '\P{Is_Blk=telugu}', "");
Expect(0, 3071, '\P{^Is_Blk=telugu}', "");
Expect(1, 3199, '\p{Is_Blk=-	Telugu}', "");
Expect(0, 3199, '\p{^Is_Blk=-	Telugu}', "");
Expect(0, 3199, '\P{Is_Blk=-	Telugu}', "");
Expect(1, 3199, '\P{^Is_Blk=-	Telugu}', "");
Expect(0, 3071, '\p{Is_Blk=-	Telugu}', "");
Expect(1, 3071, '\p{^Is_Blk=-	Telugu}', "");
Expect(1, 3071, '\P{Is_Blk=-	Telugu}', "");
Expect(0, 3071, '\P{^Is_Blk=-	Telugu}', "");
Error('\p{Block=	 YI_RADICALS:=}');
Error('\P{Block=	 YI_RADICALS:=}');
Expect(1, 42191, '\p{Block=yiradicals}', "");
Expect(0, 42191, '\p{^Block=yiradicals}', "");
Expect(0, 42191, '\P{Block=yiradicals}', "");
Expect(1, 42191, '\P{^Block=yiradicals}', "");
Expect(0, 42127, '\p{Block=yiradicals}', "");
Expect(1, 42127, '\p{^Block=yiradicals}', "");
Expect(1, 42127, '\P{Block=yiradicals}', "");
Expect(0, 42127, '\P{^Block=yiradicals}', "");
Expect(1, 42191, '\p{Block=	Yi	RADICALS}', "");
Expect(0, 42191, '\p{^Block=	Yi	RADICALS}', "");
Expect(0, 42191, '\P{Block=	Yi	RADICALS}', "");
Expect(1, 42191, '\P{^Block=	Yi	RADICALS}', "");
Expect(0, 42127, '\p{Block=	Yi	RADICALS}', "");
Expect(1, 42127, '\p{^Block=	Yi	RADICALS}', "");
Expect(1, 42127, '\P{Block=	Yi	RADICALS}', "");
Expect(0, 42127, '\P{^Block=	Yi	RADICALS}', "");
Error('\p{Blk:	_ Yi_Radicals:=}');
Error('\P{Blk:	_ Yi_Radicals:=}');
Expect(1, 42191, '\p{Blk=yiradicals}', "");
Expect(0, 42191, '\p{^Blk=yiradicals}', "");
Expect(0, 42191, '\P{Blk=yiradicals}', "");
Expect(1, 42191, '\P{^Blk=yiradicals}', "");
Expect(0, 42127, '\p{Blk=yiradicals}', "");
Expect(1, 42127, '\p{^Blk=yiradicals}', "");
Expect(1, 42127, '\P{Blk=yiradicals}', "");
Expect(0, 42127, '\P{^Blk=yiradicals}', "");
Expect(1, 42191, '\p{Blk=_	yiRadicals}', "");
Expect(0, 42191, '\p{^Blk=_	yiRadicals}', "");
Expect(0, 42191, '\P{Blk=_	yiRadicals}', "");
Expect(1, 42191, '\P{^Blk=_	yiRadicals}', "");
Expect(0, 42127, '\p{Blk=_	yiRadicals}', "");
Expect(1, 42127, '\p{^Blk=_	yiRadicals}', "");
Expect(1, 42127, '\P{Blk=_	yiRadicals}', "");
Expect(0, 42127, '\P{^Blk=_	yiRadicals}', "");
Error('\p{Is_Block=-	yi/a/radicals}');
Error('\P{Is_Block=-	yi/a/radicals}');
Expect(1, 42191, '\p{Is_Block=yiradicals}', "");
Expect(0, 42191, '\p{^Is_Block=yiradicals}', "");
Expect(0, 42191, '\P{Is_Block=yiradicals}', "");
Expect(1, 42191, '\P{^Is_Block=yiradicals}', "");
Expect(0, 42127, '\p{Is_Block=yiradicals}', "");
Expect(1, 42127, '\p{^Is_Block=yiradicals}', "");
Expect(1, 42127, '\P{Is_Block=yiradicals}', "");
Expect(0, 42127, '\P{^Is_Block=yiradicals}', "");
Expect(1, 42191, '\p{Is_Block=-YI radicals}', "");
Expect(0, 42191, '\p{^Is_Block=-YI radicals}', "");
Expect(0, 42191, '\P{Is_Block=-YI radicals}', "");
Expect(1, 42191, '\P{^Is_Block=-YI radicals}', "");
Expect(0, 42127, '\p{Is_Block=-YI radicals}', "");
Expect(1, 42127, '\p{^Is_Block=-YI radicals}', "");
Expect(1, 42127, '\P{Is_Block=-YI radicals}', "");
Expect(0, 42127, '\P{^Is_Block=-YI radicals}', "");
Error('\p{Is_Blk=	-Yi/a/Radicals}');
Error('\P{Is_Blk=	-Yi/a/Radicals}');
Expect(1, 42191, '\p{Is_Blk=yiradicals}', "");
Expect(0, 42191, '\p{^Is_Blk=yiradicals}', "");
Expect(0, 42191, '\P{Is_Blk=yiradicals}', "");
Expect(1, 42191, '\P{^Is_Blk=yiradicals}', "");
Expect(0, 42127, '\p{Is_Blk=yiradicals}', "");
Expect(1, 42127, '\p{^Is_Blk=yiradicals}', "");
Expect(1, 42127, '\P{Is_Blk=yiradicals}', "");
Expect(0, 42127, '\P{^Is_Blk=yiradicals}', "");
Expect(1, 42191, '\p{Is_Blk=	-yi_Radicals}', "");
Expect(0, 42191, '\p{^Is_Blk=	-yi_Radicals}', "");
Expect(0, 42191, '\P{Is_Blk=	-yi_Radicals}', "");
Expect(1, 42191, '\P{^Is_Blk=	-yi_Radicals}', "");
Expect(0, 42127, '\p{Is_Blk=	-yi_Radicals}', "");
Expect(1, 42127, '\p{^Is_Blk=	-yi_Radicals}', "");
Expect(1, 42127, '\P{Is_Blk=	-yi_Radicals}', "");
Expect(0, 42127, '\P{^Is_Blk=	-yi_Radicals}', "");
Error('\p{East_Asian_Width=-/a/Wide}');
Error('\P{East_Asian_Width=-/a/Wide}');
Expect(1, 4447, '\p{East_Asian_Width=wide}', "");
Expect(0, 4447, '\p{^East_Asian_Width=wide}', "");
Expect(0, 4447, '\P{East_Asian_Width=wide}', "");
Expect(1, 4447, '\P{^East_Asian_Width=wide}', "");
Expect(0, 4351, '\p{East_Asian_Width=wide}', "");
Expect(1, 4351, '\p{^East_Asian_Width=wide}', "");
Expect(1, 4351, '\P{East_Asian_Width=wide}', "");
Expect(0, 4351, '\P{^East_Asian_Width=wide}', "");
Expect(1, 4447, '\p{East_Asian_Width= wide}', "");
Expect(0, 4447, '\p{^East_Asian_Width= wide}', "");
Expect(0, 4447, '\P{East_Asian_Width= wide}', "");
Expect(1, 4447, '\P{^East_Asian_Width= wide}', "");
Expect(0, 4351, '\p{East_Asian_Width= wide}', "");
Expect(1, 4351, '\p{^East_Asian_Width= wide}', "");
Expect(1, 4351, '\P{East_Asian_Width= wide}', "");
Expect(0, 4351, '\P{^East_Asian_Width= wide}', "");
Error('\p{Ea=-_W/a/}');
Error('\P{Ea=-_W/a/}');
Expect(1, 4447, '\p{Ea=w}', "");
Expect(0, 4447, '\p{^Ea=w}', "");
Expect(0, 4447, '\P{Ea=w}', "");
Expect(1, 4447, '\P{^Ea=w}', "");
Expect(0, 4351, '\p{Ea=w}', "");
Expect(1, 4351, '\p{^Ea=w}', "");
Expect(1, 4351, '\P{Ea=w}', "");
Expect(0, 4351, '\P{^Ea=w}', "");
Expect(1, 4447, '\p{Ea:__W}', "");
Expect(0, 4447, '\p{^Ea:__W}', "");
Expect(0, 4447, '\P{Ea:__W}', "");
Expect(1, 4447, '\P{^Ea:__W}', "");
Expect(0, 4351, '\p{Ea:__W}', "");
Expect(1, 4351, '\p{^Ea:__W}', "");
Expect(1, 4351, '\P{Ea:__W}', "");
Expect(0, 4351, '\P{^Ea:__W}', "");
Error('\p{Is_East_Asian_Width=_:=WIDE}');
Error('\P{Is_East_Asian_Width=_:=WIDE}');
Expect(1, 4447, '\p{Is_East_Asian_Width=wide}', "");
Expect(0, 4447, '\p{^Is_East_Asian_Width=wide}', "");
Expect(0, 4447, '\P{Is_East_Asian_Width=wide}', "");
Expect(1, 4447, '\P{^Is_East_Asian_Width=wide}', "");
Expect(0, 4351, '\p{Is_East_Asian_Width=wide}', "");
Expect(1, 4351, '\p{^Is_East_Asian_Width=wide}', "");
Expect(1, 4351, '\P{Is_East_Asian_Width=wide}', "");
Expect(0, 4351, '\P{^Is_East_Asian_Width=wide}', "");
Expect(1, 4447, '\p{Is_East_Asian_Width=  wide}', "");
Expect(0, 4447, '\p{^Is_East_Asian_Width=  wide}', "");
Expect(0, 4447, '\P{Is_East_Asian_Width=  wide}', "");
Expect(1, 4447, '\P{^Is_East_Asian_Width=  wide}', "");
Expect(0, 4351, '\p{Is_East_Asian_Width=  wide}', "");
Expect(1, 4351, '\p{^Is_East_Asian_Width=  wide}', "");
Expect(1, 4351, '\P{Is_East_Asian_Width=  wide}', "");
Expect(0, 4351, '\P{^Is_East_Asian_Width=  wide}', "");
Error('\p{Is_Ea:	_:=w}');
Error('\P{Is_Ea:	_:=w}');
Expect(1, 4447, '\p{Is_Ea=w}', "");
Expect(0, 4447, '\p{^Is_Ea=w}', "");
Expect(0, 4447, '\P{Is_Ea=w}', "");
Expect(1, 4447, '\P{^Is_Ea=w}', "");
Expect(0, 4351, '\p{Is_Ea=w}', "");
Expect(1, 4351, '\p{^Is_Ea=w}', "");
Expect(1, 4351, '\P{Is_Ea=w}', "");
Expect(0, 4351, '\P{^Is_Ea=w}', "");
Expect(1, 4447, '\p{Is_Ea=-W}', "");
Expect(0, 4447, '\p{^Is_Ea=-W}', "");
Expect(0, 4447, '\P{Is_Ea=-W}', "");
Expect(1, 4447, '\P{^Is_Ea=-W}', "");
Expect(0, 4351, '\p{Is_Ea=-W}', "");
Expect(1, 4351, '\p{^Is_Ea=-W}', "");
Expect(1, 4351, '\P{Is_Ea=-W}', "");
Expect(0, 4351, '\P{^Is_Ea=-W}', "");
Error('\p{East_Asian_Width=/a/	 fullwidth}');
Error('\P{East_Asian_Width=/a/	 fullwidth}');
Expect(1, 12288, '\p{East_Asian_Width=fullwidth}', "");
Expect(0, 12288, '\p{^East_Asian_Width=fullwidth}', "");
Expect(0, 12288, '\P{East_Asian_Width=fullwidth}', "");
Expect(1, 12288, '\P{^East_Asian_Width=fullwidth}', "");
Expect(0, 12287, '\p{East_Asian_Width=fullwidth}', "");
Expect(1, 12287, '\p{^East_Asian_Width=fullwidth}', "");
Expect(1, 12287, '\P{East_Asian_Width=fullwidth}', "");
Expect(0, 12287, '\P{^East_Asian_Width=fullwidth}', "");
Expect(1, 12288, '\p{East_Asian_Width=_	FULLWIDTH}', "");
Expect(0, 12288, '\p{^East_Asian_Width=_	FULLWIDTH}', "");
Expect(0, 12288, '\P{East_Asian_Width=_	FULLWIDTH}', "");
Expect(1, 12288, '\P{^East_Asian_Width=_	FULLWIDTH}', "");
Expect(0, 12287, '\p{East_Asian_Width=_	FULLWIDTH}', "");
Expect(1, 12287, '\p{^East_Asian_Width=_	FULLWIDTH}', "");
Expect(1, 12287, '\P{East_Asian_Width=_	FULLWIDTH}', "");
Expect(0, 12287, '\P{^East_Asian_Width=_	FULLWIDTH}', "");
Error('\p{Ea=	/a/F}');
Error('\P{Ea=	/a/F}');
Expect(1, 12288, '\p{Ea=f}', "");
Expect(0, 12288, '\p{^Ea=f}', "");
Expect(0, 12288, '\P{Ea=f}', "");
Expect(1, 12288, '\P{^Ea=f}', "");
Expect(0, 12287, '\p{Ea=f}', "");
Expect(1, 12287, '\p{^Ea=f}', "");
Expect(1, 12287, '\P{Ea=f}', "");
Expect(0, 12287, '\P{^Ea=f}', "");
Expect(1, 12288, '\p{Ea=_F}', "");
Expect(0, 12288, '\p{^Ea=_F}', "");
Expect(0, 12288, '\P{Ea=_F}', "");
Expect(1, 12288, '\P{^Ea=_F}', "");
Expect(0, 12287, '\p{Ea=_F}', "");
Expect(1, 12287, '\p{^Ea=_F}', "");
Expect(1, 12287, '\P{Ea=_F}', "");
Expect(0, 12287, '\P{^Ea=_F}', "");
Error('\p{Is_East_Asian_Width=/a/__Fullwidth}');
Error('\P{Is_East_Asian_Width=/a/__Fullwidth}');
Expect(1, 12288, '\p{Is_East_Asian_Width: fullwidth}', "");
Expect(0, 12288, '\p{^Is_East_Asian_Width: fullwidth}', "");
Expect(0, 12288, '\P{Is_East_Asian_Width: fullwidth}', "");
Expect(1, 12288, '\P{^Is_East_Asian_Width: fullwidth}', "");
Expect(0, 12287, '\p{Is_East_Asian_Width: fullwidth}', "");
Expect(1, 12287, '\p{^Is_East_Asian_Width: fullwidth}', "");
Expect(1, 12287, '\P{Is_East_Asian_Width: fullwidth}', "");
Expect(0, 12287, '\P{^Is_East_Asian_Width: fullwidth}', "");
Expect(1, 12288, '\p{Is_East_Asian_Width=__fullwidth}', "");
Expect(0, 12288, '\p{^Is_East_Asian_Width=__fullwidth}', "");
Expect(0, 12288, '\P{Is_East_Asian_Width=__fullwidth}', "");
Expect(1, 12288, '\P{^Is_East_Asian_Width=__fullwidth}', "");
Expect(0, 12287, '\p{Is_East_Asian_Width=__fullwidth}', "");
Expect(1, 12287, '\p{^Is_East_Asian_Width=__fullwidth}', "");
Expect(1, 12287, '\P{Is_East_Asian_Width=__fullwidth}', "");
Expect(0, 12287, '\P{^Is_East_Asian_Width=__fullwidth}', "");
Error('\p{Is_Ea=_:=F}');
Error('\P{Is_Ea=_:=F}');
Expect(1, 12288, '\p{Is_Ea=f}', "");
Expect(0, 12288, '\p{^Is_Ea=f}', "");
Expect(0, 12288, '\P{Is_Ea=f}', "");
Expect(1, 12288, '\P{^Is_Ea=f}', "");
Expect(0, 12287, '\p{Is_Ea=f}', "");
Expect(1, 12287, '\p{^Is_Ea=f}', "");
Expect(1, 12287, '\P{Is_Ea=f}', "");
Expect(0, 12287, '\P{^Is_Ea=f}', "");
Expect(1, 12288, '\p{Is_Ea=	_F}', "");
Expect(0, 12288, '\p{^Is_Ea=	_F}', "");
Expect(0, 12288, '\P{Is_Ea=	_F}', "");
Expect(1, 12288, '\P{^Is_Ea=	_F}', "");
Expect(0, 12287, '\p{Is_Ea=	_F}', "");
Expect(1, 12287, '\p{^Is_Ea=	_F}', "");
Expect(1, 12287, '\P{Is_Ea=	_F}', "");
Expect(0, 12287, '\P{^Is_Ea=	_F}', "");
Error('\p{East_Asian_Width=_:=ambiguous}');
Error('\P{East_Asian_Width=_:=ambiguous}');
Expect(1, 161, '\p{East_Asian_Width:ambiguous}', "");
Expect(0, 161, '\p{^East_Asian_Width:ambiguous}', "");
Expect(0, 161, '\P{East_Asian_Width:ambiguous}', "");
Expect(1, 161, '\P{^East_Asian_Width:ambiguous}', "");
Expect(0, 160, '\p{East_Asian_Width:ambiguous}', "");
Expect(1, 160, '\p{^East_Asian_Width:ambiguous}', "");
Expect(1, 160, '\P{East_Asian_Width:ambiguous}', "");
Expect(0, 160, '\P{^East_Asian_Width:ambiguous}', "");
Expect(1, 161, '\p{East_Asian_Width=Ambiguous}', "");
Expect(0, 161, '\p{^East_Asian_Width=Ambiguous}', "");
Expect(0, 161, '\P{East_Asian_Width=Ambiguous}', "");
Expect(1, 161, '\P{^East_Asian_Width=Ambiguous}', "");
Expect(0, 160, '\p{East_Asian_Width=Ambiguous}', "");
Expect(1, 160, '\p{^East_Asian_Width=Ambiguous}', "");
Expect(1, 160, '\P{East_Asian_Width=Ambiguous}', "");
Expect(0, 160, '\P{^East_Asian_Width=Ambiguous}', "");
Error('\p{Ea=/a/A}');
Error('\P{Ea=/a/A}');
Expect(1, 161, '\p{Ea=a}', "");
Expect(0, 161, '\p{^Ea=a}', "");
Expect(0, 161, '\P{Ea=a}', "");
Expect(1, 161, '\P{^Ea=a}', "");
Expect(0, 160, '\p{Ea=a}', "");
Expect(1, 160, '\p{^Ea=a}', "");
Expect(1, 160, '\P{Ea=a}', "");
Expect(0, 160, '\P{^Ea=a}', "");
Expect(1, 161, '\p{Ea=__a}', "");
Expect(0, 161, '\p{^Ea=__a}', "");
Expect(0, 161, '\P{Ea=__a}', "");
Expect(1, 161, '\P{^Ea=__a}', "");
Expect(0, 160, '\p{Ea=__a}', "");
Expect(1, 160, '\p{^Ea=__a}', "");
Expect(1, 160, '\P{Ea=__a}', "");
Expect(0, 160, '\P{^Ea=__a}', "");
Error('\p{Is_East_Asian_Width:	:= 	Ambiguous}');
Error('\P{Is_East_Asian_Width:	:= 	Ambiguous}');
Expect(1, 161, '\p{Is_East_Asian_Width=ambiguous}', "");
Expect(0, 161, '\p{^Is_East_Asian_Width=ambiguous}', "");
Expect(0, 161, '\P{Is_East_Asian_Width=ambiguous}', "");
Expect(1, 161, '\P{^Is_East_Asian_Width=ambiguous}', "");
Expect(0, 160, '\p{Is_East_Asian_Width=ambiguous}', "");
Expect(1, 160, '\p{^Is_East_Asian_Width=ambiguous}', "");
Expect(1, 160, '\P{Is_East_Asian_Width=ambiguous}', "");
Expect(0, 160, '\P{^Is_East_Asian_Width=ambiguous}', "");
Error('\p{Is_Ea=	_A/a/}');
Error('\P{Is_Ea=	_A/a/}');
Expect(1, 161, '\p{Is_Ea=a}', "");
Expect(0, 161, '\p{^Is_Ea=a}', "");
Expect(0, 161, '\P{Is_Ea=a}', "");
Expect(1, 161, '\P{^Is_Ea=a}', "");
Expect(0, 160, '\p{Is_Ea=a}', "");
Expect(1, 160, '\p{^Is_Ea=a}', "");
Expect(1, 160, '\P{Is_Ea=a}', "");
Expect(0, 160, '\P{^Is_Ea=a}', "");
Expect(1, 161, '\p{Is_Ea=	_A}', "");
Expect(0, 161, '\p{^Is_Ea=	_A}', "");
Expect(0, 161, '\P{Is_Ea=	_A}', "");
Expect(1, 161, '\P{^Is_Ea=	_A}', "");
Expect(0, 160, '\p{Is_Ea=	_A}', "");
Expect(1, 160, '\p{^Is_Ea=	_A}', "");
Expect(1, 160, '\P{Is_Ea=	_A}', "");
Expect(0, 160, '\P{^Is_Ea=	_A}', "");
Error('\p{East_Asian_Width=:=-	Narrow}');
Error('\P{East_Asian_Width=:=-	Narrow}');
Expect(1, 126, '\p{East_Asian_Width=narrow}', "");
Expect(0, 126, '\p{^East_Asian_Width=narrow}', "");
Expect(0, 126, '\P{East_Asian_Width=narrow}', "");
Expect(1, 126, '\P{^East_Asian_Width=narrow}', "");
Expect(0, 31, '\p{East_Asian_Width=narrow}', "");
Expect(1, 31, '\p{^East_Asian_Width=narrow}', "");
Expect(1, 31, '\P{East_Asian_Width=narrow}', "");
Expect(0, 31, '\P{^East_Asian_Width=narrow}', "");
Expect(1, 126, '\p{East_Asian_Width=_	Narrow}', "");
Expect(0, 126, '\p{^East_Asian_Width=_	Narrow}', "");
Expect(0, 126, '\P{East_Asian_Width=_	Narrow}', "");
Expect(1, 126, '\P{^East_Asian_Width=_	Narrow}', "");
Expect(0, 31, '\p{East_Asian_Width=_	Narrow}', "");
Expect(1, 31, '\p{^East_Asian_Width=_	Narrow}', "");
Expect(1, 31, '\P{East_Asian_Width=_	Narrow}', "");
Expect(0, 31, '\P{^East_Asian_Width=_	Narrow}', "");
Error('\p{Ea=--na/a/}');
Error('\P{Ea=--na/a/}');
Expect(1, 126, '\p{Ea=na}', "");
Expect(0, 126, '\p{^Ea=na}', "");
Expect(0, 126, '\P{Ea=na}', "");
Expect(1, 126, '\P{^Ea=na}', "");
Expect(0, 31, '\p{Ea=na}', "");
Expect(1, 31, '\p{^Ea=na}', "");
Expect(1, 31, '\P{Ea=na}', "");
Expect(0, 31, '\P{^Ea=na}', "");
Expect(1, 126, '\p{Ea=Na}', "");
Expect(0, 126, '\p{^Ea=Na}', "");
Expect(0, 126, '\P{Ea=Na}', "");
Expect(1, 126, '\P{^Ea=Na}', "");
Expect(0, 31, '\p{Ea=Na}', "");
Expect(1, 31, '\p{^Ea=Na}', "");
Expect(1, 31, '\P{Ea=Na}', "");
Expect(0, 31, '\P{^Ea=Na}', "");
Error('\p{Is_East_Asian_Width=_:=Narrow}');
Error('\P{Is_East_Asian_Width=_:=Narrow}');
Expect(1, 126, '\p{Is_East_Asian_Width=narrow}', "");
Expect(0, 126, '\p{^Is_East_Asian_Width=narrow}', "");
Expect(0, 126, '\P{Is_East_Asian_Width=narrow}', "");
Expect(1, 126, '\P{^Is_East_Asian_Width=narrow}', "");
Expect(0, 31, '\p{Is_East_Asian_Width=narrow}', "");
Expect(1, 31, '\p{^Is_East_Asian_Width=narrow}', "");
Expect(1, 31, '\P{Is_East_Asian_Width=narrow}', "");
Expect(0, 31, '\P{^Is_East_Asian_Width=narrow}', "");
Expect(1, 126, '\p{Is_East_Asian_Width=	 Narrow}', "");
Expect(0, 126, '\p{^Is_East_Asian_Width=	 Narrow}', "");
Expect(0, 126, '\P{Is_East_Asian_Width=	 Narrow}', "");
Expect(1, 126, '\P{^Is_East_Asian_Width=	 Narrow}', "");
Expect(0, 31, '\p{Is_East_Asian_Width=	 Narrow}', "");
Expect(1, 31, '\p{^Is_East_Asian_Width=	 Narrow}', "");
Expect(1, 31, '\P{Is_East_Asian_Width=	 Narrow}', "");
Expect(0, 31, '\P{^Is_East_Asian_Width=	 Narrow}', "");
Error('\p{Is_Ea=/a/ _Na}');
Error('\P{Is_Ea=/a/ _Na}');
Expect(1, 126, '\p{Is_Ea=na}', "");
Expect(0, 126, '\p{^Is_Ea=na}', "");
Expect(0, 126, '\P{Is_Ea=na}', "");
Expect(1, 126, '\P{^Is_Ea=na}', "");
Expect(0, 31, '\p{Is_Ea=na}', "");
Expect(1, 31, '\p{^Is_Ea=na}', "");
Expect(1, 31, '\P{Is_Ea=na}', "");
Expect(0, 31, '\P{^Is_Ea=na}', "");
Expect(1, 126, '\p{Is_Ea:- na}', "");
Expect(0, 126, '\p{^Is_Ea:- na}', "");
Expect(0, 126, '\P{Is_Ea:- na}', "");
Expect(1, 126, '\P{^Is_Ea:- na}', "");
Expect(0, 31, '\p{Is_Ea:- na}', "");
Expect(1, 31, '\p{^Is_Ea:- na}', "");
Expect(1, 31, '\P{Is_Ea:- na}', "");
Expect(0, 31, '\P{^Is_Ea:- na}', "");
Error('\p{East_Asian_Width= neutral:=}');
Error('\P{East_Asian_Width= neutral:=}');
Expect(1, 31, '\p{East_Asian_Width=neutral}', "");
Expect(0, 31, '\p{^East_Asian_Width=neutral}', "");
Expect(0, 31, '\P{East_Asian_Width=neutral}', "");
Expect(1, 31, '\P{^East_Asian_Width=neutral}', "");
Expect(0, 126, '\p{East_Asian_Width=neutral}', "");
Expect(1, 126, '\p{^East_Asian_Width=neutral}', "");
Expect(1, 126, '\P{East_Asian_Width=neutral}', "");
Expect(0, 126, '\P{^East_Asian_Width=neutral}', "");
Expect(1, 31, '\p{East_Asian_Width=	_Neutral}', "");
Expect(0, 31, '\p{^East_Asian_Width=	_Neutral}', "");
Expect(0, 31, '\P{East_Asian_Width=	_Neutral}', "");
Expect(1, 31, '\P{^East_Asian_Width=	_Neutral}', "");
Expect(0, 126, '\p{East_Asian_Width=	_Neutral}', "");
Expect(1, 126, '\p{^East_Asian_Width=	_Neutral}', "");
Expect(1, 126, '\P{East_Asian_Width=	_Neutral}', "");
Expect(0, 126, '\P{^East_Asian_Width=	_Neutral}', "");
Error('\p{Ea=_N/a/}');
Error('\P{Ea=_N/a/}');
Expect(1, 31, '\p{Ea=n}', "");
Expect(0, 31, '\p{^Ea=n}', "");
Expect(0, 31, '\P{Ea=n}', "");
Expect(1, 31, '\P{^Ea=n}', "");
Expect(0, 126, '\p{Ea=n}', "");
Expect(1, 126, '\p{^Ea=n}', "");
Expect(1, 126, '\P{Ea=n}', "");
Expect(0, 126, '\P{^Ea=n}', "");
Expect(1, 31, '\p{Ea=	-N}', "");
Expect(0, 31, '\p{^Ea=	-N}', "");
Expect(0, 31, '\P{Ea=	-N}', "");
Expect(1, 31, '\P{^Ea=	-N}', "");
Expect(0, 126, '\p{Ea=	-N}', "");
Expect(1, 126, '\p{^Ea=	-N}', "");
Expect(1, 126, '\P{Ea=	-N}', "");
Expect(0, 126, '\P{^Ea=	-N}', "");
Error('\p{Is_East_Asian_Width: _ Neutral:=}');
Error('\P{Is_East_Asian_Width: _ Neutral:=}');
Expect(1, 31, '\p{Is_East_Asian_Width=neutral}', "");
Expect(0, 31, '\p{^Is_East_Asian_Width=neutral}', "");
Expect(0, 31, '\P{Is_East_Asian_Width=neutral}', "");
Expect(1, 31, '\P{^Is_East_Asian_Width=neutral}', "");
Expect(0, 126, '\p{Is_East_Asian_Width=neutral}', "");
Expect(1, 126, '\p{^Is_East_Asian_Width=neutral}', "");
Expect(1, 126, '\P{Is_East_Asian_Width=neutral}', "");
Expect(0, 126, '\P{^Is_East_Asian_Width=neutral}', "");
Error('\p{Is_Ea= -N:=}');
Error('\P{Is_Ea= -N:=}');
Expect(1, 31, '\p{Is_Ea: n}', "");
Expect(0, 31, '\p{^Is_Ea: n}', "");
Expect(0, 31, '\P{Is_Ea: n}', "");
Expect(1, 31, '\P{^Is_Ea: n}', "");
Expect(0, 126, '\p{Is_Ea: n}', "");
Expect(1, 126, '\p{^Is_Ea: n}', "");
Expect(1, 126, '\P{Is_Ea: n}', "");
Expect(0, 126, '\P{^Is_Ea: n}', "");
Expect(1, 31, '\p{Is_Ea=-N}', "");
Expect(0, 31, '\p{^Is_Ea=-N}', "");
Expect(0, 31, '\P{Is_Ea=-N}', "");
Expect(1, 31, '\P{^Is_Ea=-N}', "");
Expect(0, 126, '\p{Is_Ea=-N}', "");
Expect(1, 126, '\p{^Is_Ea=-N}', "");
Expect(1, 126, '\P{Is_Ea=-N}', "");
Expect(0, 126, '\P{^Is_Ea=-N}', "");
Error('\p{East_Asian_Width=:=Halfwidth}');
Error('\P{East_Asian_Width=:=Halfwidth}');
Expect(1, 8361, '\p{East_Asian_Width=halfwidth}', "");
Expect(0, 8361, '\p{^East_Asian_Width=halfwidth}', "");
Expect(0, 8361, '\P{East_Asian_Width=halfwidth}', "");
Expect(1, 8361, '\P{^East_Asian_Width=halfwidth}', "");
Expect(0, 8360, '\p{East_Asian_Width=halfwidth}', "");
Expect(1, 8360, '\p{^East_Asian_Width=halfwidth}', "");
Expect(1, 8360, '\P{East_Asian_Width=halfwidth}', "");
Expect(0, 8360, '\P{^East_Asian_Width=halfwidth}', "");
Expect(1, 8361, '\p{East_Asian_Width=-_halfwidth}', "");
Expect(0, 8361, '\p{^East_Asian_Width=-_halfwidth}', "");
Expect(0, 8361, '\P{East_Asian_Width=-_halfwidth}', "");
Expect(1, 8361, '\P{^East_Asian_Width=-_halfwidth}', "");
Expect(0, 8360, '\p{East_Asian_Width=-_halfwidth}', "");
Expect(1, 8360, '\p{^East_Asian_Width=-_halfwidth}', "");
Expect(1, 8360, '\P{East_Asian_Width=-_halfwidth}', "");
Expect(0, 8360, '\P{^East_Asian_Width=-_halfwidth}', "");
Error('\p{Ea=-/a/h}');
Error('\P{Ea=-/a/h}');
Expect(1, 8361, '\p{Ea=h}', "");
Expect(0, 8361, '\p{^Ea=h}', "");
Expect(0, 8361, '\P{Ea=h}', "");
Expect(1, 8361, '\P{^Ea=h}', "");
Expect(0, 8360, '\p{Ea=h}', "");
Expect(1, 8360, '\p{^Ea=h}', "");
Expect(1, 8360, '\P{Ea=h}', "");
Expect(0, 8360, '\P{^Ea=h}', "");
Expect(1, 8361, '\p{Ea=	H}', "");
Expect(0, 8361, '\p{^Ea=	H}', "");
Expect(0, 8361, '\P{Ea=	H}', "");
Expect(1, 8361, '\P{^Ea=	H}', "");
Expect(0, 8360, '\p{Ea=	H}', "");
Expect(1, 8360, '\p{^Ea=	H}', "");
Expect(1, 8360, '\P{Ea=	H}', "");
Expect(0, 8360, '\P{^Ea=	H}', "");
Error('\p{Is_East_Asian_Width=_/a/halfwidth}');
Error('\P{Is_East_Asian_Width=_/a/halfwidth}');
Expect(1, 8361, '\p{Is_East_Asian_Width=halfwidth}', "");
Expect(0, 8361, '\p{^Is_East_Asian_Width=halfwidth}', "");
Expect(0, 8361, '\P{Is_East_Asian_Width=halfwidth}', "");
Expect(1, 8361, '\P{^Is_East_Asian_Width=halfwidth}', "");
Expect(0, 8360, '\p{Is_East_Asian_Width=halfwidth}', "");
Expect(1, 8360, '\p{^Is_East_Asian_Width=halfwidth}', "");
Expect(1, 8360, '\P{Is_East_Asian_Width=halfwidth}', "");
Expect(0, 8360, '\P{^Is_East_Asian_Width=halfwidth}', "");
Expect(1, 8361, '\p{Is_East_Asian_Width:    	Halfwidth}', "");
Expect(0, 8361, '\p{^Is_East_Asian_Width:    	Halfwidth}', "");
Expect(0, 8361, '\P{Is_East_Asian_Width:    	Halfwidth}', "");
Expect(1, 8361, '\P{^Is_East_Asian_Width:    	Halfwidth}', "");
Expect(0, 8360, '\p{Is_East_Asian_Width:    	Halfwidth}', "");
Expect(1, 8360, '\p{^Is_East_Asian_Width:    	Halfwidth}', "");
Expect(1, 8360, '\P{Is_East_Asian_Width:    	Halfwidth}', "");
Expect(0, 8360, '\P{^Is_East_Asian_Width:    	Halfwidth}', "");
Error('\p{Is_Ea:/a/	 h}');
Error('\P{Is_Ea:/a/	 h}');
Expect(1, 8361, '\p{Is_Ea=h}', "");
Expect(0, 8361, '\p{^Is_Ea=h}', "");
Expect(0, 8361, '\P{Is_Ea=h}', "");
Expect(1, 8361, '\P{^Is_Ea=h}', "");
Expect(0, 8360, '\p{Is_Ea=h}', "");
Expect(1, 8360, '\p{^Is_Ea=h}', "");
Expect(1, 8360, '\P{Is_Ea=h}', "");
Expect(0, 8360, '\P{^Is_Ea=h}', "");
Expect(1, 8361, '\p{Is_Ea= 	H}', "");
Expect(0, 8361, '\p{^Is_Ea= 	H}', "");
Expect(0, 8361, '\P{Is_Ea= 	H}', "");
Expect(1, 8361, '\P{^Is_Ea= 	H}', "");
Expect(0, 8360, '\p{Is_Ea= 	H}', "");
Expect(1, 8360, '\p{^Is_Ea= 	H}', "");
Expect(1, 8360, '\P{Is_Ea= 	H}', "");
Expect(0, 8360, '\P{^Is_Ea= 	H}', "");
Error('\p{ASCII_Hex_Digit=	:=YES}');
Error('\P{ASCII_Hex_Digit=	:=YES}');
Expect(1, 57, '\p{ASCII_Hex_Digit=yes}', "");
Expect(0, 57, '\p{^ASCII_Hex_Digit=yes}', "");
Expect(0, 57, '\P{ASCII_Hex_Digit=yes}', "");
Expect(1, 57, '\P{^ASCII_Hex_Digit=yes}', "");
Expect(0, 47, '\p{ASCII_Hex_Digit=yes}', "");
Expect(1, 47, '\p{^ASCII_Hex_Digit=yes}', "");
Expect(1, 47, '\P{ASCII_Hex_Digit=yes}', "");
Expect(0, 47, '\P{^ASCII_Hex_Digit=yes}', "");
Expect(1, 57, '\p{ASCII_Hex_Digit: Yes}', "");
Expect(0, 57, '\p{^ASCII_Hex_Digit: Yes}', "");
Expect(0, 57, '\P{ASCII_Hex_Digit: Yes}', "");
Expect(1, 57, '\P{^ASCII_Hex_Digit: Yes}', "");
Expect(0, 47, '\p{ASCII_Hex_Digit: Yes}', "");
Expect(1, 47, '\p{^ASCII_Hex_Digit: Yes}', "");
Expect(1, 47, '\P{ASCII_Hex_Digit: Yes}', "");
Expect(0, 47, '\P{^ASCII_Hex_Digit: Yes}', "");
Error('\p{AHex=	:=Y}');
Error('\P{AHex=	:=Y}');
Expect(1, 57, '\p{AHex=y}', "");
Expect(0, 57, '\p{^AHex=y}', "");
Expect(0, 57, '\P{AHex=y}', "");
Expect(1, 57, '\P{^AHex=y}', "");
Expect(0, 47, '\p{AHex=y}', "");
Expect(1, 47, '\p{^AHex=y}', "");
Expect(1, 47, '\P{AHex=y}', "");
Expect(0, 47, '\P{^AHex=y}', "");
Expect(1, 57, '\p{AHex= Y}', "");
Expect(0, 57, '\p{^AHex= Y}', "");
Expect(0, 57, '\P{AHex= Y}', "");
Expect(1, 57, '\P{^AHex= Y}', "");
Expect(0, 47, '\p{AHex= Y}', "");
Expect(1, 47, '\p{^AHex= Y}', "");
Expect(1, 47, '\P{AHex= Y}', "");
Expect(0, 47, '\P{^AHex= Y}', "");
Error('\p{Is_ASCII_Hex_Digit:	/a/	 T}');
Error('\P{Is_ASCII_Hex_Digit:	/a/	 T}');
Expect(1, 57, '\p{Is_ASCII_Hex_Digit=t}', "");
Expect(0, 57, '\p{^Is_ASCII_Hex_Digit=t}', "");
Expect(0, 57, '\P{Is_ASCII_Hex_Digit=t}', "");
Expect(1, 57, '\P{^Is_ASCII_Hex_Digit=t}', "");
Expect(0, 47, '\p{Is_ASCII_Hex_Digit=t}', "");
Expect(1, 47, '\p{^Is_ASCII_Hex_Digit=t}', "");
Expect(1, 47, '\P{Is_ASCII_Hex_Digit=t}', "");
Expect(0, 47, '\P{^Is_ASCII_Hex_Digit=t}', "");
Expect(1, 57, '\p{Is_ASCII_Hex_Digit: _T}', "");
Expect(0, 57, '\p{^Is_ASCII_Hex_Digit: _T}', "");
Expect(0, 57, '\P{Is_ASCII_Hex_Digit: _T}', "");
Expect(1, 57, '\P{^Is_ASCII_Hex_Digit: _T}', "");
Expect(0, 47, '\p{Is_ASCII_Hex_Digit: _T}', "");
Expect(1, 47, '\p{^Is_ASCII_Hex_Digit: _T}', "");
Expect(1, 47, '\P{Is_ASCII_Hex_Digit: _T}', "");
Expect(0, 47, '\P{^Is_ASCII_Hex_Digit: _T}', "");
Error('\p{Is_AHex= /a/TRUE}');
Error('\P{Is_AHex= /a/TRUE}');
Expect(1, 57, '\p{Is_AHex=true}', "");
Expect(0, 57, '\p{^Is_AHex=true}', "");
Expect(0, 57, '\P{Is_AHex=true}', "");
Expect(1, 57, '\P{^Is_AHex=true}', "");
Expect(0, 47, '\p{Is_AHex=true}', "");
Expect(1, 47, '\p{^Is_AHex=true}', "");
Expect(1, 47, '\P{Is_AHex=true}', "");
Expect(0, 47, '\P{^Is_AHex=true}', "");
Expect(1, 57, '\p{Is_AHex=_-True}', "");
Expect(0, 57, '\p{^Is_AHex=_-True}', "");
Expect(0, 57, '\P{Is_AHex=_-True}', "");
Expect(1, 57, '\P{^Is_AHex=_-True}', "");
Expect(0, 47, '\p{Is_AHex=_-True}', "");
Expect(1, 47, '\p{^Is_AHex=_-True}', "");
Expect(1, 47, '\P{Is_AHex=_-True}', "");
Expect(0, 47, '\P{^Is_AHex=_-True}', "");
Error('\p{ASCII_Hex_Digit=	-No/a/}');
Error('\P{ASCII_Hex_Digit=	-No/a/}');
Expect(1, 47, '\p{ASCII_Hex_Digit=no}', "");
Expect(0, 47, '\p{^ASCII_Hex_Digit=no}', "");
Expect(0, 47, '\P{ASCII_Hex_Digit=no}', "");
Expect(1, 47, '\P{^ASCII_Hex_Digit=no}', "");
Expect(0, 57, '\p{ASCII_Hex_Digit=no}', "");
Expect(1, 57, '\p{^ASCII_Hex_Digit=no}', "");
Expect(1, 57, '\P{ASCII_Hex_Digit=no}', "");
Expect(0, 57, '\P{^ASCII_Hex_Digit=no}', "");
Expect(1, 47, '\p{ASCII_Hex_Digit=_ no}', "");
Expect(0, 47, '\p{^ASCII_Hex_Digit=_ no}', "");
Expect(0, 47, '\P{ASCII_Hex_Digit=_ no}', "");
Expect(1, 47, '\P{^ASCII_Hex_Digit=_ no}', "");
Expect(0, 57, '\p{ASCII_Hex_Digit=_ no}', "");
Expect(1, 57, '\p{^ASCII_Hex_Digit=_ no}', "");
Expect(1, 57, '\P{ASCII_Hex_Digit=_ no}', "");
Expect(0, 57, '\P{^ASCII_Hex_Digit=_ no}', "");
Error('\p{AHex=/a/N}');
Error('\P{AHex=/a/N}');
Expect(1, 47, '\p{AHex=n}', "");
Expect(0, 47, '\p{^AHex=n}', "");
Expect(0, 47, '\P{AHex=n}', "");
Expect(1, 47, '\P{^AHex=n}', "");
Expect(0, 57, '\p{AHex=n}', "");
Expect(1, 57, '\p{^AHex=n}', "");
Expect(1, 57, '\P{AHex=n}', "");
Expect(0, 57, '\P{^AHex=n}', "");
Expect(1, 47, '\p{AHex=--n}', "");
Expect(0, 47, '\p{^AHex=--n}', "");
Expect(0, 47, '\P{AHex=--n}', "");
Expect(1, 47, '\P{^AHex=--n}', "");
Expect(0, 57, '\p{AHex=--n}', "");
Expect(1, 57, '\p{^AHex=--n}', "");
Expect(1, 57, '\P{AHex=--n}', "");
Expect(0, 57, '\P{^AHex=--n}', "");
Error('\p{Is_ASCII_Hex_Digit=	F:=}');
Error('\P{Is_ASCII_Hex_Digit=	F:=}');
Expect(1, 47, '\p{Is_ASCII_Hex_Digit=f}', "");
Expect(0, 47, '\p{^Is_ASCII_Hex_Digit=f}', "");
Expect(0, 47, '\P{Is_ASCII_Hex_Digit=f}', "");
Expect(1, 47, '\P{^Is_ASCII_Hex_Digit=f}', "");
Expect(0, 57, '\p{Is_ASCII_Hex_Digit=f}', "");
Expect(1, 57, '\p{^Is_ASCII_Hex_Digit=f}', "");
Expect(1, 57, '\P{Is_ASCII_Hex_Digit=f}', "");
Expect(0, 57, '\P{^Is_ASCII_Hex_Digit=f}', "");
Expect(1, 47, '\p{Is_ASCII_Hex_Digit=-_F}', "");
Expect(0, 47, '\p{^Is_ASCII_Hex_Digit=-_F}', "");
Expect(0, 47, '\P{Is_ASCII_Hex_Digit=-_F}', "");
Expect(1, 47, '\P{^Is_ASCII_Hex_Digit=-_F}', "");
Expect(0, 57, '\p{Is_ASCII_Hex_Digit=-_F}', "");
Expect(1, 57, '\p{^Is_ASCII_Hex_Digit=-_F}', "");
Expect(1, 57, '\P{Is_ASCII_Hex_Digit=-_F}', "");
Expect(0, 57, '\P{^Is_ASCII_Hex_Digit=-_F}', "");
Error('\p{Is_AHex= /a/False}');
Error('\P{Is_AHex= /a/False}');
Expect(1, 47, '\p{Is_AHex=false}', "");
Expect(0, 47, '\p{^Is_AHex=false}', "");
Expect(0, 47, '\P{Is_AHex=false}', "");
Expect(1, 47, '\P{^Is_AHex=false}', "");
Expect(0, 57, '\p{Is_AHex=false}', "");
Expect(1, 57, '\p{^Is_AHex=false}', "");
Expect(1, 57, '\P{Is_AHex=false}', "");
Expect(0, 57, '\P{^Is_AHex=false}', "");
Expect(1, 47, '\p{Is_AHex=	False}', "");
Expect(0, 47, '\p{^Is_AHex=	False}', "");
Expect(0, 47, '\P{Is_AHex=	False}', "");
Expect(1, 47, '\P{^Is_AHex=	False}', "");
Expect(0, 57, '\p{Is_AHex=	False}', "");
Expect(1, 57, '\p{^Is_AHex=	False}', "");
Expect(1, 57, '\P{Is_AHex=	False}', "");
Expect(0, 57, '\P{^Is_AHex=	False}', "");
Error('\p{Present_In: :=0	0_0_0-003.2}');
Error('\P{Present_In: :=0	0_0_0-003.2}');
Expect(1, 544, '\p{Present_In=3.2}', "");
Expect(0, 544, '\p{^Present_In=3.2}', "");
Expect(0, 544, '\P{Present_In=3.2}', "");
Expect(1, 544, '\P{^Present_In=3.2}', "");
Expect(0, 545, '\p{Present_In=3.2}', "");
Expect(1, 545, '\p{^Present_In=3.2}', "");
Expect(1, 545, '\P{Present_In=3.2}', "");
Expect(0, 545, '\P{^Present_In=3.2}', "");
Error('\p{In=:=_0000003.2}');
Error('\P{In=:=_0000003.2}');
Expect(1, 544, '\p{In=000003.2}', "");
Expect(0, 544, '\p{^In=000003.2}', "");
Expect(0, 544, '\P{In=000003.2}', "");
Expect(1, 544, '\P{^In=000003.2}', "");
Expect(0, 545, '\p{In=000003.2}', "");
Expect(1, 545, '\p{^In=000003.2}', "");
Expect(1, 545, '\P{In=000003.2}', "");
Expect(0, 545, '\P{^In=000003.2}', "");
Error('\p{Present_In=/a/- 0-2.0}');
Error('\P{Present_In=/a/- 0-2.0}');
Expect(1, 501, '\p{Present_In:	00000002.0}', "");
Expect(0, 501, '\p{^Present_In:	00000002.0}', "");
Expect(0, 501, '\P{Present_In:	00000002.0}', "");
Expect(1, 501, '\P{^Present_In:	00000002.0}', "");
Expect(0, 505, '\p{Present_In:	00000002.0}', "");
Expect(1, 505, '\p{^Present_In:	00000002.0}', "");
Expect(1, 505, '\P{Present_In:	00000002.0}', "");
Expect(0, 505, '\P{^Present_In:	00000002.0}', "");
Error('\p{In:   __000000000	2.0:=}');
Error('\P{In:   __000000000	2.0:=}');
Expect(1, 501, '\p{In:00000002.0}', "");
Expect(0, 501, '\p{^In:00000002.0}', "");
Expect(0, 501, '\P{In:00000002.0}', "");
Expect(1, 501, '\P{^In:00000002.0}', "");
Expect(0, 505, '\p{In:00000002.0}', "");
Expect(1, 505, '\p{^In:00000002.0}', "");
Expect(1, 505, '\P{In:00000002.0}', "");
Expect(0, 505, '\P{^In:00000002.0}', "");
Error('\p{Present_In= :=0	00 0	0-0001.1}');
Error('\P{Present_In= :=0	00 0	0-0001.1}');
Expect(1, 501, '\p{Present_In=0000_1.1}', "");
Expect(0, 501, '\p{^Present_In=0000_1.1}', "");
Expect(0, 501, '\P{Present_In=0000_1.1}', "");
Expect(1, 501, '\P{^Present_In=0000_1.1}', "");
Expect(0, 505, '\p{Present_In=0000_1.1}', "");
Expect(1, 505, '\p{^Present_In=0000_1.1}', "");
Expect(1, 505, '\P{Present_In=0000_1.1}', "");
Expect(0, 505, '\P{^Present_In=0000_1.1}', "");
Error('\p{In= _+0:=0 0	00 00001.1}');
Error('\P{In= _+0:=0 0	00 00001.1}');
Expect(1, 501, '\p{In=1.1}', "");
Expect(0, 501, '\p{^In=1.1}', "");
Expect(0, 501, '\P{In=1.1}', "");
Expect(1, 501, '\P{^In=1.1}', "");
Expect(0, 505, '\p{In=1.1}', "");
Expect(1, 505, '\p{^In=1.1}', "");
Expect(1, 505, '\P{In=1.1}', "");
Expect(0, 505, '\P{^In=1.1}', "");
Error('\p{Present_In=_-0000000/a/5.0}');
Error('\P{Present_In=_-0000000/a/5.0}');
Expect(1, 879, '\p{Present_In:	0005.0}', "");
Expect(0, 879, '\p{^Present_In:	0005.0}', "");
Expect(0, 879, '\P{Present_In:	0005.0}', "");
Expect(1, 879, '\P{^Present_In:	0005.0}', "");
Expect(0, 883, '\p{Present_In:	0005.0}', "");
Expect(1, 883, '\p{^Present_In:	0005.0}', "");
Expect(1, 883, '\P{Present_In:	0005.0}', "");
Expect(0, 883, '\P{^Present_In:	0005.0}', "");
Error('\p{In=_ +5.0/a/}');
Error('\P{In=_ +5.0/a/}');
Expect(1, 879, '\p{In=0_0_05.0}', "");
Expect(0, 879, '\p{^In=0_0_05.0}', "");
Expect(0, 879, '\P{In=0_0_05.0}', "");
Expect(1, 879, '\P{^In=0_0_05.0}', "");
Expect(0, 883, '\p{In=0_0_05.0}', "");
Expect(1, 883, '\p{^In=0_0_05.0}', "");
Expect(1, 883, '\P{In=0_0_05.0}', "");
Expect(0, 883, '\P{^In=0_0_05.0}', "");
Error('\p{Present_In=:=	0000000-3.0}');
Error('\P{Present_In=:=	0000000-3.0}');
Expect(1, 543, '\p{Present_In=+3.0}', "");
Expect(0, 543, '\p{^Present_In=+3.0}', "");
Expect(0, 543, '\P{Present_In=+3.0}', "");
Expect(1, 543, '\P{^Present_In=+3.0}', "");
Expect(0, 545, '\p{Present_In=+3.0}', "");
Expect(1, 545, '\p{^Present_In=+3.0}', "");
Expect(1, 545, '\P{Present_In=+3.0}', "");
Expect(0, 545, '\P{^Present_In=+3.0}', "");
Error('\p{In=-/a/3.0}');
Error('\P{In=-/a/3.0}');
Expect(1, 543, '\p{In=0000003.0}', "");
Expect(0, 543, '\p{^In=0000003.0}', "");
Expect(0, 543, '\P{In=0000003.0}', "");
Expect(1, 543, '\P{^In=0000003.0}', "");
Expect(0, 545, '\p{In=0000003.0}', "");
Expect(1, 545, '\p{^In=0000003.0}', "");
Expect(1, 545, '\P{In=0000003.0}', "");
Expect(0, 545, '\P{^In=0000003.0}', "");
Error('\p{Present_In=_:=UNASSIGNED}');
Error('\P{Present_In=_:=UNASSIGNED}');
Expect(1, 889, '\p{Present_In=unassigned}', "");
Expect(0, 889, '\p{^Present_In=unassigned}', "");
Expect(0, 889, '\P{Present_In=unassigned}', "");
Expect(1, 889, '\P{^Present_In=unassigned}', "");
Expect(0, 887, '\p{Present_In=unassigned}', "");
Expect(1, 887, '\p{^Present_In=unassigned}', "");
Expect(1, 887, '\P{Present_In=unassigned}', "");
Expect(0, 887, '\P{^Present_In=unassigned}', "");
Expect(1, 889, '\p{Present_In:    Unassigned}', "");
Expect(0, 889, '\p{^Present_In:    Unassigned}', "");
Expect(0, 889, '\P{Present_In:    Unassigned}', "");
Expect(1, 889, '\P{^Present_In:    Unassigned}', "");
Expect(0, 887, '\p{Present_In:    Unassigned}', "");
Expect(1, 887, '\p{^Present_In:    Unassigned}', "");
Expect(1, 887, '\P{Present_In:    Unassigned}', "");
Expect(0, 887, '\P{^Present_In:    Unassigned}', "");
Error('\p{In=-/a/unassigned}');
Error('\P{In=-/a/unassigned}');
Expect(1, 889, '\p{In=unassigned}', "");
Expect(0, 889, '\p{^In=unassigned}', "");
Expect(0, 889, '\P{In=unassigned}', "");
Expect(1, 889, '\P{^In=unassigned}', "");
Expect(0, 887, '\p{In=unassigned}', "");
Expect(1, 887, '\p{^In=unassigned}', "");
Expect(1, 887, '\P{In=unassigned}', "");
Expect(0, 887, '\P{^In=unassigned}', "");
Expect(1, 889, '\p{In=-unassigned}', "");
Expect(0, 889, '\p{^In=-unassigned}', "");
Expect(0, 889, '\P{In=-unassigned}', "");
Expect(1, 889, '\P{^In=-unassigned}', "");
Expect(0, 887, '\p{In=-unassigned}', "");
Expect(1, 887, '\p{^In=-unassigned}', "");
Expect(1, 887, '\P{In=-unassigned}', "");
Expect(0, 887, '\P{^In=-unassigned}', "");
Error('\p{Present_In=_/a/00000005.1}');
Error('\P{Present_In=_/a/00000005.1}');
Expect(1, 887, '\p{Present_In=000000005.1}', "");
Expect(0, 887, '\p{^Present_In=000000005.1}', "");
Expect(0, 887, '\P{Present_In=000000005.1}', "");
Expect(1, 887, '\P{^Present_In=000000005.1}', "");
Expect(0, 889, '\p{Present_In=000000005.1}', "");
Expect(1, 889, '\p{^Present_In=000000005.1}', "");
Expect(1, 889, '\P{Present_In=000000005.1}', "");
Expect(0, 889, '\P{^Present_In=000000005.1}', "");
Error('\p{In= +00/a/000000 5.1}');
Error('\P{In= +00/a/000000 5.1}');
Expect(1, 887, '\p{In=+00_00_00_05.1}', "");
Expect(0, 887, '\p{^In=+00_00_00_05.1}', "");
Expect(0, 887, '\P{In=+00_00_00_05.1}', "");
Expect(1, 887, '\P{^In=+00_00_00_05.1}', "");
Expect(0, 889, '\p{In=+00_00_00_05.1}', "");
Expect(1, 889, '\p{^In=+00_00_00_05.1}', "");
Expect(1, 889, '\P{In=+00_00_00_05.1}', "");
Expect(0, 889, '\P{^In=+00_00_00_05.1}', "");
Error('\p{Present_In=-	+0004.0/a/}');
Error('\P{Present_In=-	+0004.0/a/}');
Expect(1, 566, '\p{Present_In=+04.0}', "");
Expect(0, 566, '\p{^Present_In=+04.0}', "");
Expect(0, 566, '\P{Present_In=+04.0}', "");
Expect(1, 566, '\P{^Present_In=+04.0}', "");
Expect(0, 591, '\p{Present_In=+04.0}', "");
Expect(1, 591, '\p{^Present_In=+04.0}', "");
Expect(1, 591, '\P{Present_In=+04.0}', "");
Expect(0, 591, '\P{^Present_In=+04.0}', "");
Error('\p{In=/a/_-4.0}');
Error('\P{In=/a/_-4.0}');
Expect(1, 566, '\p{In: 0_0_0_0_04.0}', "");
Expect(0, 566, '\p{^In: 0_0_0_0_04.0}', "");
Expect(0, 566, '\P{In: 0_0_0_0_04.0}', "");
Expect(1, 566, '\P{^In: 0_0_0_0_04.0}', "");
Expect(0, 591, '\p{In: 0_0_0_0_04.0}', "");
Expect(1, 591, '\p{^In: 0_0_0_0_04.0}', "");
Expect(1, 591, '\P{In: 0_0_0_0_04.0}', "");
Expect(0, 591, '\P{^In: 0_0_0_0_04.0}', "");
Error('\p{Present_In=_ +5.2:=}');
Error('\P{Present_In=_ +5.2:=}');
Expect(1, 887, '\p{Present_In=05.2}', "");
Expect(0, 887, '\p{^Present_In=05.2}', "");
Expect(0, 887, '\P{Present_In=05.2}', "");
Expect(1, 887, '\P{^Present_In=05.2}', "");
Expect(0, 889, '\p{Present_In=05.2}', "");
Expect(1, 889, '\p{^Present_In=05.2}', "");
Expect(1, 889, '\P{Present_In=05.2}', "");
Expect(0, 889, '\P{^Present_In=05.2}', "");
Error('\p{In: 	/a/+005.2}');
Error('\P{In: 	/a/+005.2}');
Expect(1, 887, '\p{In=5.2}', "");
Expect(0, 887, '\p{^In=5.2}', "");
Expect(0, 887, '\P{In=5.2}', "");
Expect(1, 887, '\P{^In=5.2}', "");
Expect(0, 889, '\p{In=5.2}', "");
Expect(1, 889, '\p{^In=5.2}', "");
Expect(1, 889, '\P{In=5.2}', "");
Expect(0, 889, '\P{^In=5.2}', "");
Error('\p{Present_In:    -+00003.1:=}');
Error('\P{Present_In:    -+00003.1:=}');
Expect(1, 543, '\p{Present_In=0000003.1}', "");
Expect(0, 543, '\p{^Present_In=0000003.1}', "");
Expect(0, 543, '\P{Present_In=0000003.1}', "");
Expect(1, 543, '\P{^Present_In=0000003.1}', "");
Expect(0, 545, '\p{Present_In=0000003.1}', "");
Expect(1, 545, '\p{^Present_In=0000003.1}', "");
Expect(1, 545, '\P{Present_In=0000003.1}', "");
Expect(0, 545, '\P{^Present_In=0000003.1}', "");
Error('\p{In=	:=000-000-03.1}');
Error('\P{In=	:=000-000-03.1}');
Expect(1, 543, '\p{In=+00_00_03.1}', "");
Expect(0, 543, '\p{^In=+00_00_03.1}', "");
Expect(0, 543, '\P{In=+00_00_03.1}', "");
Expect(1, 543, '\P{^In=+00_00_03.1}', "");
Expect(0, 545, '\p{In=+00_00_03.1}', "");
Expect(1, 545, '\p{^In=+00_00_03.1}', "");
Expect(1, 545, '\P{In=+00_00_03.1}', "");
Expect(0, 545, '\P{^In=+00_00_03.1}', "");
Error('\p{Present_In=	0000000002.1:=}');
Error('\P{Present_In=	0000000002.1:=}');
Expect(1, 501, '\p{Present_In=+000000002.1}', "");
Expect(0, 501, '\p{^Present_In=+000000002.1}', "");
Expect(0, 501, '\P{Present_In=+000000002.1}', "");
Expect(1, 501, '\P{^Present_In=+000000002.1}', "");
Expect(0, 505, '\p{Present_In=+000000002.1}', "");
Expect(1, 505, '\p{^Present_In=+000000002.1}', "");
Expect(1, 505, '\P{Present_In=+000000002.1}', "");
Expect(0, 505, '\P{^Present_In=+000000002.1}', "");
Error('\p{In=  00_2.1/a/}');
Error('\P{In=  00_2.1/a/}');
Expect(1, 501, '\p{In:	0000000002.1}', "");
Expect(0, 501, '\p{^In:	0000000002.1}', "");
Expect(0, 501, '\P{In:	0000000002.1}', "");
Expect(1, 501, '\P{^In:	0000000002.1}', "");
Expect(0, 505, '\p{In:	0000000002.1}', "");
Expect(1, 505, '\p{^In:	0000000002.1}', "");
Expect(1, 505, '\P{In:	0000000002.1}', "");
Expect(0, 505, '\P{^In:	0000000002.1}', "");
Error('\p{Present_In=_ +000000_4.1:=}');
Error('\P{Present_In=_ +000000_4.1:=}');
Expect(1, 577, '\p{Present_In=+00004.1}', "");
Expect(0, 577, '\p{^Present_In=+00004.1}', "");
Expect(0, 577, '\P{Present_In=+00004.1}', "");
Expect(1, 577, '\P{^Present_In=+00004.1}', "");
Expect(0, 591, '\p{Present_In=+00004.1}', "");
Expect(1, 591, '\p{^Present_In=+00004.1}', "");
Expect(1, 591, '\P{Present_In=+00004.1}', "");
Expect(0, 591, '\P{^Present_In=+00004.1}', "");
Error('\p{In= -0000000-4.1/a/}');
Error('\P{In= -0000000-4.1/a/}');
Expect(1, 577, '\p{In=+00004.1}', "");
Expect(0, 577, '\p{^In=+00004.1}', "");
Expect(0, 577, '\P{In=+00004.1}', "");
Expect(1, 577, '\P{^In=+00004.1}', "");
Expect(0, 591, '\p{In=+00004.1}', "");
Expect(1, 591, '\p{^In=+00004.1}', "");
Expect(1, 591, '\P{In=+00004.1}', "");
Expect(0, 591, '\P{^In=+00004.1}', "");
Error('\p{Extender=	/a/yes}');
Error('\P{Extender=	/a/yes}');
Expect(1, 183, '\p{Extender=yes}', "");
Expect(0, 183, '\p{^Extender=yes}', "");
Expect(0, 183, '\P{Extender=yes}', "");
Expect(1, 183, '\P{^Extender=yes}', "");
Expect(0, 182, '\p{Extender=yes}', "");
Expect(1, 182, '\p{^Extender=yes}', "");
Expect(1, 182, '\P{Extender=yes}', "");
Expect(0, 182, '\P{^Extender=yes}', "");
Expect(1, 183, '\p{Extender=-yes}', "");
Expect(0, 183, '\p{^Extender=-yes}', "");
Expect(0, 183, '\P{Extender=-yes}', "");
Expect(1, 183, '\P{^Extender=-yes}', "");
Expect(0, 182, '\p{Extender=-yes}', "");
Expect(1, 182, '\p{^Extender=-yes}', "");
Expect(1, 182, '\P{Extender=-yes}', "");
Expect(0, 182, '\P{^Extender=-yes}', "");
Error('\p{Ext=/a/_	Y}');
Error('\P{Ext=/a/_	Y}');
Expect(1, 183, '\p{Ext=y}', "");
Expect(0, 183, '\p{^Ext=y}', "");
Expect(0, 183, '\P{Ext=y}', "");
Expect(1, 183, '\P{^Ext=y}', "");
Expect(0, 182, '\p{Ext=y}', "");
Expect(1, 182, '\p{^Ext=y}', "");
Expect(1, 182, '\P{Ext=y}', "");
Expect(0, 182, '\P{^Ext=y}', "");
Expect(1, 183, '\p{Ext=	-Y}', "");
Expect(0, 183, '\p{^Ext=	-Y}', "");
Expect(0, 183, '\P{Ext=	-Y}', "");
Expect(1, 183, '\P{^Ext=	-Y}', "");
Expect(0, 182, '\p{Ext=	-Y}', "");
Expect(1, 182, '\p{^Ext=	-Y}', "");
Expect(1, 182, '\P{Ext=	-Y}', "");
Expect(0, 182, '\P{^Ext=	-Y}', "");
Error('\p{Is_Extender=/a/ -T}');
Error('\P{Is_Extender=/a/ -T}');
Expect(1, 183, '\p{Is_Extender=t}', "");
Expect(0, 183, '\p{^Is_Extender=t}', "");
Expect(0, 183, '\P{Is_Extender=t}', "");
Expect(1, 183, '\P{^Is_Extender=t}', "");
Expect(0, 182, '\p{Is_Extender=t}', "");
Expect(1, 182, '\p{^Is_Extender=t}', "");
Expect(1, 182, '\P{Is_Extender=t}', "");
Expect(0, 182, '\P{^Is_Extender=t}', "");
Expect(1, 183, '\p{Is_Extender=  T}', "");
Expect(0, 183, '\p{^Is_Extender=  T}', "");
Expect(0, 183, '\P{Is_Extender=  T}', "");
Expect(1, 183, '\P{^Is_Extender=  T}', "");
Expect(0, 182, '\p{Is_Extender=  T}', "");
Expect(1, 182, '\p{^Is_Extender=  T}', "");
Expect(1, 182, '\P{Is_Extender=  T}', "");
Expect(0, 182, '\P{^Is_Extender=  T}', "");
Error('\p{Is_Ext=/a/	-true}');
Error('\P{Is_Ext=/a/	-true}');
Expect(1, 183, '\p{Is_Ext=true}', "");
Expect(0, 183, '\p{^Is_Ext=true}', "");
Expect(0, 183, '\P{Is_Ext=true}', "");
Expect(1, 183, '\P{^Is_Ext=true}', "");
Expect(0, 182, '\p{Is_Ext=true}', "");
Expect(1, 182, '\p{^Is_Ext=true}', "");
Expect(1, 182, '\P{Is_Ext=true}', "");
Expect(0, 182, '\P{^Is_Ext=true}', "");
Expect(1, 183, '\p{Is_Ext:	 True}', "");
Expect(0, 183, '\p{^Is_Ext:	 True}', "");
Expect(0, 183, '\P{Is_Ext:	 True}', "");
Expect(1, 183, '\P{^Is_Ext:	 True}', "");
Expect(0, 182, '\p{Is_Ext:	 True}', "");
Expect(1, 182, '\p{^Is_Ext:	 True}', "");
Expect(1, 182, '\P{Is_Ext:	 True}', "");
Expect(0, 182, '\P{^Is_Ext:	 True}', "");
Error('\p{Extender=_	no/a/}');
Error('\P{Extender=_	no/a/}');
Expect(1, 182, '\p{Extender=no}', "");
Expect(0, 182, '\p{^Extender=no}', "");
Expect(0, 182, '\P{Extender=no}', "");
Expect(1, 182, '\P{^Extender=no}', "");
Expect(0, 183, '\p{Extender=no}', "");
Expect(1, 183, '\p{^Extender=no}', "");
Expect(1, 183, '\P{Extender=no}', "");
Expect(0, 183, '\P{^Extender=no}', "");
Expect(1, 182, '\p{Extender= No}', "");
Expect(0, 182, '\p{^Extender= No}', "");
Expect(0, 182, '\P{Extender= No}', "");
Expect(1, 182, '\P{^Extender= No}', "");
Expect(0, 183, '\p{Extender= No}', "");
Expect(1, 183, '\p{^Extender= No}', "");
Expect(1, 183, '\P{Extender= No}', "");
Expect(0, 183, '\P{^Extender= No}', "");
Error('\p{Ext=	-N:=}');
Error('\P{Ext=	-N:=}');
Expect(1, 182, '\p{Ext=n}', "");
Expect(0, 182, '\p{^Ext=n}', "");
Expect(0, 182, '\P{Ext=n}', "");
Expect(1, 182, '\P{^Ext=n}', "");
Expect(0, 183, '\p{Ext=n}', "");
Expect(1, 183, '\p{^Ext=n}', "");
Expect(1, 183, '\P{Ext=n}', "");
Expect(0, 183, '\P{^Ext=n}', "");
Expect(1, 182, '\p{Ext=_	N}', "");
Expect(0, 182, '\p{^Ext=_	N}', "");
Expect(0, 182, '\P{Ext=_	N}', "");
Expect(1, 182, '\P{^Ext=_	N}', "");
Expect(0, 183, '\p{Ext=_	N}', "");
Expect(1, 183, '\p{^Ext=_	N}', "");
Expect(1, 183, '\P{Ext=_	N}', "");
Expect(0, 183, '\P{^Ext=_	N}', "");
Error('\p{Is_Extender=	F:=}');
Error('\P{Is_Extender=	F:=}');
Expect(1, 182, '\p{Is_Extender=f}', "");
Expect(0, 182, '\p{^Is_Extender=f}', "");
Expect(0, 182, '\P{Is_Extender=f}', "");
Expect(1, 182, '\P{^Is_Extender=f}', "");
Expect(0, 183, '\p{Is_Extender=f}', "");
Expect(1, 183, '\p{^Is_Extender=f}', "");
Expect(1, 183, '\P{Is_Extender=f}', "");
Expect(0, 183, '\P{^Is_Extender=f}', "");
Expect(1, 182, '\p{Is_Extender= 	F}', "");
Expect(0, 182, '\p{^Is_Extender= 	F}', "");
Expect(0, 182, '\P{Is_Extender= 	F}', "");
Expect(1, 182, '\P{^Is_Extender= 	F}', "");
Expect(0, 183, '\p{Is_Extender= 	F}', "");
Expect(1, 183, '\p{^Is_Extender= 	F}', "");
Expect(1, 183, '\P{Is_Extender= 	F}', "");
Expect(0, 183, '\P{^Is_Extender= 	F}', "");
Error('\p{Is_Ext=:=__FALSE}');
Error('\P{Is_Ext=:=__FALSE}');
Expect(1, 182, '\p{Is_Ext=false}', "");
Expect(0, 182, '\p{^Is_Ext=false}', "");
Expect(0, 182, '\P{Is_Ext=false}', "");
Expect(1, 182, '\P{^Is_Ext=false}', "");
Expect(0, 183, '\p{Is_Ext=false}', "");
Expect(1, 183, '\p{^Is_Ext=false}', "");
Expect(1, 183, '\P{Is_Ext=false}', "");
Expect(0, 183, '\P{^Is_Ext=false}', "");
Expect(1, 182, '\p{Is_Ext=	 false}', "");
Expect(0, 182, '\p{^Is_Ext=	 false}', "");
Expect(0, 182, '\P{Is_Ext=	 false}', "");
Expect(1, 182, '\P{^Is_Ext=	 false}', "");
Expect(0, 183, '\p{Is_Ext=	 false}', "");
Expect(1, 183, '\p{^Is_Ext=	 false}', "");
Expect(1, 183, '\P{Is_Ext=	 false}', "");
Expect(0, 183, '\P{^Is_Ext=	 false}', "");
Error('\p{IDS_Trinary_Operator=-:=yes}');
Error('\P{IDS_Trinary_Operator=-:=yes}');
Expect(1, 12275, '\p{IDS_Trinary_Operator:   yes}', "");
Expect(0, 12275, '\p{^IDS_Trinary_Operator:   yes}', "");
Expect(0, 12275, '\P{IDS_Trinary_Operator:   yes}', "");
Expect(1, 12275, '\P{^IDS_Trinary_Operator:   yes}', "");
Expect(0, 12273, '\p{IDS_Trinary_Operator:   yes}', "");
Expect(1, 12273, '\p{^IDS_Trinary_Operator:   yes}', "");
Expect(1, 12273, '\P{IDS_Trinary_Operator:   yes}', "");
Expect(0, 12273, '\P{^IDS_Trinary_Operator:   yes}', "");
Expect(1, 12275, '\p{IDS_Trinary_Operator=		yes}', "");
Expect(0, 12275, '\p{^IDS_Trinary_Operator=		yes}', "");
Expect(0, 12275, '\P{IDS_Trinary_Operator=		yes}', "");
Expect(1, 12275, '\P{^IDS_Trinary_Operator=		yes}', "");
Expect(0, 12273, '\p{IDS_Trinary_Operator=		yes}', "");
Expect(1, 12273, '\p{^IDS_Trinary_Operator=		yes}', "");
Expect(1, 12273, '\P{IDS_Trinary_Operator=		yes}', "");
Expect(0, 12273, '\P{^IDS_Trinary_Operator=		yes}', "");
Error('\p{IDST=_Y/a/}');
Error('\P{IDST=_Y/a/}');
Expect(1, 12275, '\p{IDST=y}', "");
Expect(0, 12275, '\p{^IDST=y}', "");
Expect(0, 12275, '\P{IDST=y}', "");
Expect(1, 12275, '\P{^IDST=y}', "");
Expect(0, 12273, '\p{IDST=y}', "");
Expect(1, 12273, '\p{^IDST=y}', "");
Expect(1, 12273, '\P{IDST=y}', "");
Expect(0, 12273, '\P{^IDST=y}', "");
Expect(1, 12275, '\p{IDST=	 Y}', "");
Expect(0, 12275, '\p{^IDST=	 Y}', "");
Expect(0, 12275, '\P{IDST=	 Y}', "");
Expect(1, 12275, '\P{^IDST=	 Y}', "");
Expect(0, 12273, '\p{IDST=	 Y}', "");
Expect(1, 12273, '\p{^IDST=	 Y}', "");
Expect(1, 12273, '\P{IDST=	 Y}', "");
Expect(0, 12273, '\P{^IDST=	 Y}', "");
Error('\p{Is_IDS_Trinary_Operator=:=_t}');
Error('\P{Is_IDS_Trinary_Operator=:=_t}');
Expect(1, 12275, '\p{Is_IDS_Trinary_Operator=t}', "");
Expect(0, 12275, '\p{^Is_IDS_Trinary_Operator=t}', "");
Expect(0, 12275, '\P{Is_IDS_Trinary_Operator=t}', "");
Expect(1, 12275, '\P{^Is_IDS_Trinary_Operator=t}', "");
Expect(0, 12273, '\p{Is_IDS_Trinary_Operator=t}', "");
Expect(1, 12273, '\p{^Is_IDS_Trinary_Operator=t}', "");
Expect(1, 12273, '\P{Is_IDS_Trinary_Operator=t}', "");
Expect(0, 12273, '\P{^Is_IDS_Trinary_Operator=t}', "");
Expect(1, 12275, '\p{Is_IDS_Trinary_Operator:   	T}', "");
Expect(0, 12275, '\p{^Is_IDS_Trinary_Operator:   	T}', "");
Expect(0, 12275, '\P{Is_IDS_Trinary_Operator:   	T}', "");
Expect(1, 12275, '\P{^Is_IDS_Trinary_Operator:   	T}', "");
Expect(0, 12273, '\p{Is_IDS_Trinary_Operator:   	T}', "");
Expect(1, 12273, '\p{^Is_IDS_Trinary_Operator:   	T}', "");
Expect(1, 12273, '\P{Is_IDS_Trinary_Operator:   	T}', "");
Expect(0, 12273, '\P{^Is_IDS_Trinary_Operator:   	T}', "");
Error('\p{Is_IDST=-:=True}');
Error('\P{Is_IDST=-:=True}');
Expect(1, 12275, '\p{Is_IDST=true}', "");
Expect(0, 12275, '\p{^Is_IDST=true}', "");
Expect(0, 12275, '\P{Is_IDST=true}', "");
Expect(1, 12275, '\P{^Is_IDST=true}', "");
Expect(0, 12273, '\p{Is_IDST=true}', "");
Expect(1, 12273, '\p{^Is_IDST=true}', "");
Expect(1, 12273, '\P{Is_IDST=true}', "");
Expect(0, 12273, '\P{^Is_IDST=true}', "");
Expect(1, 12275, '\p{Is_IDST=  TRUE}', "");
Expect(0, 12275, '\p{^Is_IDST=  TRUE}', "");
Expect(0, 12275, '\P{Is_IDST=  TRUE}', "");
Expect(1, 12275, '\P{^Is_IDST=  TRUE}', "");
Expect(0, 12273, '\p{Is_IDST=  TRUE}', "");
Expect(1, 12273, '\p{^Is_IDST=  TRUE}', "");
Expect(1, 12273, '\P{Is_IDST=  TRUE}', "");
Expect(0, 12273, '\P{^Is_IDST=  TRUE}', "");
Error('\p{IDS_Trinary_Operator=:=		NO}');
Error('\P{IDS_Trinary_Operator=:=		NO}');
Expect(1, 12273, '\p{IDS_Trinary_Operator=no}', "");
Expect(0, 12273, '\p{^IDS_Trinary_Operator=no}', "");
Expect(0, 12273, '\P{IDS_Trinary_Operator=no}', "");
Expect(1, 12273, '\P{^IDS_Trinary_Operator=no}', "");
Expect(0, 12275, '\p{IDS_Trinary_Operator=no}', "");
Expect(1, 12275, '\p{^IDS_Trinary_Operator=no}', "");
Expect(1, 12275, '\P{IDS_Trinary_Operator=no}', "");
Expect(0, 12275, '\P{^IDS_Trinary_Operator=no}', "");
Expect(1, 12273, '\p{IDS_Trinary_Operator= _no}', "");
Expect(0, 12273, '\p{^IDS_Trinary_Operator= _no}', "");
Expect(0, 12273, '\P{IDS_Trinary_Operator= _no}', "");
Expect(1, 12273, '\P{^IDS_Trinary_Operator= _no}', "");
Expect(0, 12275, '\p{IDS_Trinary_Operator= _no}', "");
Expect(1, 12275, '\p{^IDS_Trinary_Operator= _no}', "");
Expect(1, 12275, '\P{IDS_Trinary_Operator= _no}', "");
Expect(0, 12275, '\P{^IDS_Trinary_Operator= _no}', "");
Error('\p{IDST=	 N/a/}');
Error('\P{IDST=	 N/a/}');
Expect(1, 12273, '\p{IDST=n}', "");
Expect(0, 12273, '\p{^IDST=n}', "");
Expect(0, 12273, '\P{IDST=n}', "");
Expect(1, 12273, '\P{^IDST=n}', "");
Expect(0, 12275, '\p{IDST=n}', "");
Expect(1, 12275, '\p{^IDST=n}', "");
Expect(1, 12275, '\P{IDST=n}', "");
Expect(0, 12275, '\P{^IDST=n}', "");
Expect(1, 12273, '\p{IDST= 	N}', "");
Expect(0, 12273, '\p{^IDST= 	N}', "");
Expect(0, 12273, '\P{IDST= 	N}', "");
Expect(1, 12273, '\P{^IDST= 	N}', "");
Expect(0, 12275, '\p{IDST= 	N}', "");
Expect(1, 12275, '\p{^IDST= 	N}', "");
Expect(1, 12275, '\P{IDST= 	N}', "");
Expect(0, 12275, '\P{^IDST= 	N}', "");
Error('\p{Is_IDS_Trinary_Operator=	f:=}');
Error('\P{Is_IDS_Trinary_Operator=	f:=}');
Expect(1, 12273, '\p{Is_IDS_Trinary_Operator=f}', "");
Expect(0, 12273, '\p{^Is_IDS_Trinary_Operator=f}', "");
Expect(0, 12273, '\P{Is_IDS_Trinary_Operator=f}', "");
Expect(1, 12273, '\P{^Is_IDS_Trinary_Operator=f}', "");
Expect(0, 12275, '\p{Is_IDS_Trinary_Operator=f}', "");
Expect(1, 12275, '\p{^Is_IDS_Trinary_Operator=f}', "");
Expect(1, 12275, '\P{Is_IDS_Trinary_Operator=f}', "");
Expect(0, 12275, '\P{^Is_IDS_Trinary_Operator=f}', "");
Expect(1, 12273, '\p{Is_IDS_Trinary_Operator= -f}', "");
Expect(0, 12273, '\p{^Is_IDS_Trinary_Operator= -f}', "");
Expect(0, 12273, '\P{Is_IDS_Trinary_Operator= -f}', "");
Expect(1, 12273, '\P{^Is_IDS_Trinary_Operator= -f}', "");
Expect(0, 12275, '\p{Is_IDS_Trinary_Operator= -f}', "");
Expect(1, 12275, '\p{^Is_IDS_Trinary_Operator= -f}', "");
Expect(1, 12275, '\P{Is_IDS_Trinary_Operator= -f}', "");
Expect(0, 12275, '\P{^Is_IDS_Trinary_Operator= -f}', "");
Error('\p{Is_IDST=_:=false}');
Error('\P{Is_IDST=_:=false}');
Expect(1, 12273, '\p{Is_IDST=false}', "");
Expect(0, 12273, '\p{^Is_IDST=false}', "");
Expect(0, 12273, '\P{Is_IDST=false}', "");
Expect(1, 12273, '\P{^Is_IDST=false}', "");
Expect(0, 12275, '\p{Is_IDST=false}', "");
Expect(1, 12275, '\p{^Is_IDST=false}', "");
Expect(1, 12275, '\P{Is_IDST=false}', "");
Expect(0, 12275, '\P{^Is_IDST=false}', "");
Expect(1, 12273, '\p{Is_IDST=_	False}', "");
Expect(0, 12273, '\p{^Is_IDST=_	False}', "");
Expect(0, 12273, '\P{Is_IDST=_	False}', "");
Expect(1, 12273, '\P{^Is_IDST=_	False}', "");
Expect(0, 12275, '\p{Is_IDST=_	False}', "");
Expect(1, 12275, '\p{^Is_IDST=_	False}', "");
Expect(1, 12275, '\P{Is_IDST=_	False}', "");
Expect(0, 12275, '\P{^Is_IDST=_	False}', "");
Error('\p{Composition_Exclusion= /a/yes}');
Error('\P{Composition_Exclusion= /a/yes}');
Expect(1, 2399, '\p{Composition_Exclusion=yes}', "");
Expect(0, 2399, '\p{^Composition_Exclusion=yes}', "");
Expect(0, 2399, '\P{Composition_Exclusion=yes}', "");
Expect(1, 2399, '\P{^Composition_Exclusion=yes}', "");
Expect(0, 2391, '\p{Composition_Exclusion=yes}', "");
Expect(1, 2391, '\p{^Composition_Exclusion=yes}', "");
Expect(1, 2391, '\P{Composition_Exclusion=yes}', "");
Expect(0, 2391, '\P{^Composition_Exclusion=yes}', "");
Expect(1, 2399, '\p{Composition_Exclusion=- yes}', "");
Expect(0, 2399, '\p{^Composition_Exclusion=- yes}', "");
Expect(0, 2399, '\P{Composition_Exclusion=- yes}', "");
Expect(1, 2399, '\P{^Composition_Exclusion=- yes}', "");
Expect(0, 2391, '\p{Composition_Exclusion=- yes}', "");
Expect(1, 2391, '\p{^Composition_Exclusion=- yes}', "");
Expect(1, 2391, '\P{Composition_Exclusion=- yes}', "");
Expect(0, 2391, '\P{^Composition_Exclusion=- yes}', "");
Error('\p{CE=:= y}');
Error('\P{CE=:= y}');
Expect(1, 2399, '\p{CE=y}', "");
Expect(0, 2399, '\p{^CE=y}', "");
Expect(0, 2399, '\P{CE=y}', "");
Expect(1, 2399, '\P{^CE=y}', "");
Expect(0, 2391, '\p{CE=y}', "");
Expect(1, 2391, '\p{^CE=y}', "");
Expect(1, 2391, '\P{CE=y}', "");
Expect(0, 2391, '\P{^CE=y}', "");
Expect(1, 2399, '\p{CE=	Y}', "");
Expect(0, 2399, '\p{^CE=	Y}', "");
Expect(0, 2399, '\P{CE=	Y}', "");
Expect(1, 2399, '\P{^CE=	Y}', "");
Expect(0, 2391, '\p{CE=	Y}', "");
Expect(1, 2391, '\p{^CE=	Y}', "");
Expect(1, 2391, '\P{CE=	Y}', "");
Expect(0, 2391, '\P{^CE=	Y}', "");
Error('\p{Is_Composition_Exclusion=	_T/a/}');
Error('\P{Is_Composition_Exclusion=	_T/a/}');
Expect(1, 2399, '\p{Is_Composition_Exclusion=t}', "");
Expect(0, 2399, '\p{^Is_Composition_Exclusion=t}', "");
Expect(0, 2399, '\P{Is_Composition_Exclusion=t}', "");
Expect(1, 2399, '\P{^Is_Composition_Exclusion=t}', "");
Expect(0, 2391, '\p{Is_Composition_Exclusion=t}', "");
Expect(1, 2391, '\p{^Is_Composition_Exclusion=t}', "");
Expect(1, 2391, '\P{Is_Composition_Exclusion=t}', "");
Expect(0, 2391, '\P{^Is_Composition_Exclusion=t}', "");
Expect(1, 2399, '\p{Is_Composition_Exclusion=	_t}', "");
Expect(0, 2399, '\p{^Is_Composition_Exclusion=	_t}', "");
Expect(0, 2399, '\P{Is_Composition_Exclusion=	_t}', "");
Expect(1, 2399, '\P{^Is_Composition_Exclusion=	_t}', "");
Expect(0, 2391, '\p{Is_Composition_Exclusion=	_t}', "");
Expect(1, 2391, '\p{^Is_Composition_Exclusion=	_t}', "");
Expect(1, 2391, '\P{Is_Composition_Exclusion=	_t}', "");
Expect(0, 2391, '\P{^Is_Composition_Exclusion=	_t}', "");
Error('\p{Is_CE=:=  true}');
Error('\P{Is_CE=:=  true}');
Expect(1, 2399, '\p{Is_CE: true}', "");
Expect(0, 2399, '\p{^Is_CE: true}', "");
Expect(0, 2399, '\P{Is_CE: true}', "");
Expect(1, 2399, '\P{^Is_CE: true}', "");
Expect(0, 2391, '\p{Is_CE: true}', "");
Expect(1, 2391, '\p{^Is_CE: true}', "");
Expect(1, 2391, '\P{Is_CE: true}', "");
Expect(0, 2391, '\P{^Is_CE: true}', "");
Expect(1, 2399, '\p{Is_CE: 	True}', "");
Expect(0, 2399, '\p{^Is_CE: 	True}', "");
Expect(0, 2399, '\P{Is_CE: 	True}', "");
Expect(1, 2399, '\P{^Is_CE: 	True}', "");
Expect(0, 2391, '\p{Is_CE: 	True}', "");
Expect(1, 2391, '\p{^Is_CE: 	True}', "");
Expect(1, 2391, '\P{Is_CE: 	True}', "");
Expect(0, 2391, '\P{^Is_CE: 	True}', "");
Error('\p{Composition_Exclusion=-/a/NO}');
Error('\P{Composition_Exclusion=-/a/NO}');
Expect(1, 2391, '\p{Composition_Exclusion=no}', "");
Expect(0, 2391, '\p{^Composition_Exclusion=no}', "");
Expect(0, 2391, '\P{Composition_Exclusion=no}', "");
Expect(1, 2391, '\P{^Composition_Exclusion=no}', "");
Expect(0, 2399, '\p{Composition_Exclusion=no}', "");
Expect(1, 2399, '\p{^Composition_Exclusion=no}', "");
Expect(1, 2399, '\P{Composition_Exclusion=no}', "");
Expect(0, 2399, '\P{^Composition_Exclusion=no}', "");
Expect(1, 2391, '\p{Composition_Exclusion= NO}', "");
Expect(0, 2391, '\p{^Composition_Exclusion= NO}', "");
Expect(0, 2391, '\P{Composition_Exclusion= NO}', "");
Expect(1, 2391, '\P{^Composition_Exclusion= NO}', "");
Expect(0, 2399, '\p{Composition_Exclusion= NO}', "");
Expect(1, 2399, '\p{^Composition_Exclusion= NO}', "");
Expect(1, 2399, '\P{Composition_Exclusion= NO}', "");
Expect(0, 2399, '\P{^Composition_Exclusion= NO}', "");
Error('\p{CE=_/a/N}');
Error('\P{CE=_/a/N}');
Expect(1, 2391, '\p{CE=n}', "");
Expect(0, 2391, '\p{^CE=n}', "");
Expect(0, 2391, '\P{CE=n}', "");
Expect(1, 2391, '\P{^CE=n}', "");
Expect(0, 2399, '\p{CE=n}', "");
Expect(1, 2399, '\p{^CE=n}', "");
Expect(1, 2399, '\P{CE=n}', "");
Expect(0, 2399, '\P{^CE=n}', "");
Expect(1, 2391, '\p{CE=_N}', "");
Expect(0, 2391, '\p{^CE=_N}', "");
Expect(0, 2391, '\P{CE=_N}', "");
Expect(1, 2391, '\P{^CE=_N}', "");
Expect(0, 2399, '\p{CE=_N}', "");
Expect(1, 2399, '\p{^CE=_N}', "");
Expect(1, 2399, '\P{CE=_N}', "");
Expect(0, 2399, '\P{^CE=_N}', "");
Error('\p{Is_Composition_Exclusion=:=	 f}');
Error('\P{Is_Composition_Exclusion=:=	 f}');
Expect(1, 2391, '\p{Is_Composition_Exclusion=f}', "");
Expect(0, 2391, '\p{^Is_Composition_Exclusion=f}', "");
Expect(0, 2391, '\P{Is_Composition_Exclusion=f}', "");
Expect(1, 2391, '\P{^Is_Composition_Exclusion=f}', "");
Expect(0, 2399, '\p{Is_Composition_Exclusion=f}', "");
Expect(1, 2399, '\p{^Is_Composition_Exclusion=f}', "");
Expect(1, 2399, '\P{Is_Composition_Exclusion=f}', "");
Expect(0, 2399, '\P{^Is_Composition_Exclusion=f}', "");
Expect(1, 2391, '\p{Is_Composition_Exclusion=	-F}', "");
Expect(0, 2391, '\p{^Is_Composition_Exclusion=	-F}', "");
Expect(0, 2391, '\P{Is_Composition_Exclusion=	-F}', "");
Expect(1, 2391, '\P{^Is_Composition_Exclusion=	-F}', "");
Expect(0, 2399, '\p{Is_Composition_Exclusion=	-F}', "");
Expect(1, 2399, '\p{^Is_Composition_Exclusion=	-F}', "");
Expect(1, 2399, '\P{Is_Composition_Exclusion=	-F}', "");
Expect(0, 2399, '\P{^Is_Composition_Exclusion=	-F}', "");
Error('\p{Is_CE=_-False:=}');
Error('\P{Is_CE=_-False:=}');
Expect(1, 2391, '\p{Is_CE:	false}', "");
Expect(0, 2391, '\p{^Is_CE:	false}', "");
Expect(0, 2391, '\P{Is_CE:	false}', "");
Expect(1, 2391, '\P{^Is_CE:	false}', "");
Expect(0, 2399, '\p{Is_CE:	false}', "");
Expect(1, 2399, '\p{^Is_CE:	false}', "");
Expect(1, 2399, '\P{Is_CE:	false}', "");
Expect(0, 2399, '\P{^Is_CE:	false}', "");
Expect(1, 2391, '\p{Is_CE=		False}', "");
Expect(0, 2391, '\p{^Is_CE=		False}', "");
Expect(0, 2391, '\P{Is_CE=		False}', "");
Expect(1, 2391, '\P{^Is_CE=		False}', "");
Expect(0, 2399, '\p{Is_CE=		False}', "");
Expect(1, 2399, '\p{^Is_CE=		False}', "");
Expect(1, 2399, '\P{Is_CE=		False}', "");
Expect(0, 2399, '\P{^Is_CE=		False}', "");
Error('\p{STerm= _Yes:=}');
Error('\P{STerm= _Yes:=}');
Expect(1, 33, '\p{STerm=yes}', "");
Expect(0, 33, '\p{^STerm=yes}', "");
Expect(0, 33, '\P{STerm=yes}', "");
Expect(1, 33, '\P{^STerm=yes}', "");
Expect(0, 32, '\p{STerm=yes}', "");
Expect(1, 32, '\p{^STerm=yes}', "");
Expect(1, 32, '\P{STerm=yes}', "");
Expect(0, 32, '\P{^STerm=yes}', "");
Expect(1, 33, '\p{STerm=_ yes}', "");
Expect(0, 33, '\p{^STerm=_ yes}', "");
Expect(0, 33, '\P{STerm=_ yes}', "");
Expect(1, 33, '\P{^STerm=_ yes}', "");
Expect(0, 32, '\p{STerm=_ yes}', "");
Expect(1, 32, '\p{^STerm=_ yes}', "");
Expect(1, 32, '\P{STerm=_ yes}', "");
Expect(0, 32, '\P{^STerm=_ yes}', "");
Error('\p{Is_STerm=:=__Y}');
Error('\P{Is_STerm=:=__Y}');
Expect(1, 33, '\p{Is_STerm=y}', "");
Expect(0, 33, '\p{^Is_STerm=y}', "");
Expect(0, 33, '\P{Is_STerm=y}', "");
Expect(1, 33, '\P{^Is_STerm=y}', "");
Expect(0, 32, '\p{Is_STerm=y}', "");
Expect(1, 32, '\p{^Is_STerm=y}', "");
Expect(1, 32, '\P{Is_STerm=y}', "");
Expect(0, 32, '\P{^Is_STerm=y}', "");
Expect(1, 33, '\p{Is_STerm=Y}', "");
Expect(0, 33, '\p{^Is_STerm=Y}', "");
Expect(0, 33, '\P{Is_STerm=Y}', "");
Expect(1, 33, '\P{^Is_STerm=Y}', "");
Expect(0, 32, '\p{Is_STerm=Y}', "");
Expect(1, 32, '\p{^Is_STerm=Y}', "");
Expect(1, 32, '\P{Is_STerm=Y}', "");
Expect(0, 32, '\P{^Is_STerm=Y}', "");
Error('\p{STerm= /a/T}');
Error('\P{STerm= /a/T}');
Expect(1, 33, '\p{STerm=t}', "");
Expect(0, 33, '\p{^STerm=t}', "");
Expect(0, 33, '\P{STerm=t}', "");
Expect(1, 33, '\P{^STerm=t}', "");
Expect(0, 32, '\p{STerm=t}', "");
Expect(1, 32, '\p{^STerm=t}', "");
Expect(1, 32, '\P{STerm=t}', "");
Expect(0, 32, '\P{^STerm=t}', "");
Expect(1, 33, '\p{STerm=- t}', "");
Expect(0, 33, '\p{^STerm=- t}', "");
Expect(0, 33, '\P{STerm=- t}', "");
Expect(1, 33, '\P{^STerm=- t}', "");
Expect(0, 32, '\p{STerm=- t}', "");
Expect(1, 32, '\p{^STerm=- t}', "");
Expect(1, 32, '\P{STerm=- t}', "");
Expect(0, 32, '\P{^STerm=- t}', "");
Error('\p{Is_STerm=/a/-True}');
Error('\P{Is_STerm=/a/-True}');
Expect(1, 33, '\p{Is_STerm: true}', "");
Expect(0, 33, '\p{^Is_STerm: true}', "");
Expect(0, 33, '\P{Is_STerm: true}', "");
Expect(1, 33, '\P{^Is_STerm: true}', "");
Expect(0, 32, '\p{Is_STerm: true}', "");
Expect(1, 32, '\p{^Is_STerm: true}', "");
Expect(1, 32, '\P{Is_STerm: true}', "");
Expect(0, 32, '\P{^Is_STerm: true}', "");
Expect(1, 33, '\p{Is_STerm=_	True}', "");
Expect(0, 33, '\p{^Is_STerm=_	True}', "");
Expect(0, 33, '\P{Is_STerm=_	True}', "");
Expect(1, 33, '\P{^Is_STerm=_	True}', "");
Expect(0, 32, '\p{Is_STerm=_	True}', "");
Expect(1, 32, '\p{^Is_STerm=_	True}', "");
Expect(1, 32, '\P{Is_STerm=_	True}', "");
Expect(0, 32, '\P{^Is_STerm=_	True}', "");
Error('\p{STerm= :=No}');
Error('\P{STerm= :=No}');
Expect(1, 32, '\p{STerm=no}', "");
Expect(0, 32, '\p{^STerm=no}', "");
Expect(0, 32, '\P{STerm=no}', "");
Expect(1, 32, '\P{^STerm=no}', "");
Expect(0, 33, '\p{STerm=no}', "");
Expect(1, 33, '\p{^STerm=no}', "");
Expect(1, 33, '\P{STerm=no}', "");
Expect(0, 33, '\P{^STerm=no}', "");
Expect(1, 32, '\p{STerm=_no}', "");
Expect(0, 32, '\p{^STerm=_no}', "");
Expect(0, 32, '\P{STerm=_no}', "");
Expect(1, 32, '\P{^STerm=_no}', "");
Expect(0, 33, '\p{STerm=_no}', "");
Expect(1, 33, '\p{^STerm=_no}', "");
Expect(1, 33, '\P{STerm=_no}', "");
Expect(0, 33, '\P{^STerm=_no}', "");
Error('\p{Is_STerm=_:=N}');
Error('\P{Is_STerm=_:=N}');
Expect(1, 32, '\p{Is_STerm=n}', "");
Expect(0, 32, '\p{^Is_STerm=n}', "");
Expect(0, 32, '\P{Is_STerm=n}', "");
Expect(1, 32, '\P{^Is_STerm=n}', "");
Expect(0, 33, '\p{Is_STerm=n}', "");
Expect(1, 33, '\p{^Is_STerm=n}', "");
Expect(1, 33, '\P{Is_STerm=n}', "");
Expect(0, 33, '\P{^Is_STerm=n}', "");
Expect(1, 32, '\p{Is_STerm=--N}', "");
Expect(0, 32, '\p{^Is_STerm=--N}', "");
Expect(0, 32, '\P{Is_STerm=--N}', "");
Expect(1, 32, '\P{^Is_STerm=--N}', "");
Expect(0, 33, '\p{Is_STerm=--N}', "");
Expect(1, 33, '\p{^Is_STerm=--N}', "");
Expect(1, 33, '\P{Is_STerm=--N}', "");
Expect(0, 33, '\P{^Is_STerm=--N}', "");
Error('\p{STerm=F:=}');
Error('\P{STerm=F:=}');
Expect(1, 32, '\p{STerm:   f}', "");
Expect(0, 32, '\p{^STerm:   f}', "");
Expect(0, 32, '\P{STerm:   f}', "");
Expect(1, 32, '\P{^STerm:   f}', "");
Expect(0, 33, '\p{STerm:   f}', "");
Expect(1, 33, '\p{^STerm:   f}', "");
Expect(1, 33, '\P{STerm:   f}', "");
Expect(0, 33, '\P{^STerm:   f}', "");
Expect(1, 32, '\p{STerm=_f}', "");
Expect(0, 32, '\p{^STerm=_f}', "");
Expect(0, 32, '\P{STerm=_f}', "");
Expect(1, 32, '\P{^STerm=_f}', "");
Expect(0, 33, '\p{STerm=_f}', "");
Expect(1, 33, '\p{^STerm=_f}', "");
Expect(1, 33, '\P{STerm=_f}', "");
Expect(0, 33, '\P{^STerm=_f}', "");
Error('\p{Is_STerm=	 false/a/}');
Error('\P{Is_STerm=	 false/a/}');
Expect(1, 32, '\p{Is_STerm=false}', "");
Expect(0, 32, '\p{^Is_STerm=false}', "");
Expect(0, 32, '\P{Is_STerm=false}', "");
Expect(1, 32, '\P{^Is_STerm=false}', "");
Expect(0, 33, '\p{Is_STerm=false}', "");
Expect(1, 33, '\p{^Is_STerm=false}', "");
Expect(1, 33, '\P{Is_STerm=false}', "");
Expect(0, 33, '\P{^Is_STerm=false}', "");
Expect(1, 32, '\p{Is_STerm=	-False}', "");
Expect(0, 32, '\p{^Is_STerm=	-False}', "");
Expect(0, 32, '\P{Is_STerm=	-False}', "");
Expect(1, 32, '\P{^Is_STerm=	-False}', "");
Expect(0, 33, '\p{Is_STerm=	-False}', "");
Expect(1, 33, '\p{^Is_STerm=	-False}', "");
Expect(1, 33, '\P{Is_STerm=	-False}', "");
Expect(0, 33, '\P{^Is_STerm=	-False}', "");
Error('\p{Decomposition_Type=-:=fraction}');
Error('\P{Decomposition_Type=-:=fraction}');
Expect(1, 190, '\p{Decomposition_Type=fraction}', "");
Expect(0, 190, '\p{^Decomposition_Type=fraction}', "");
Expect(0, 190, '\P{Decomposition_Type=fraction}', "");
Expect(1, 190, '\P{^Decomposition_Type=fraction}', "");
Expect(0, 187, '\p{Decomposition_Type=fraction}', "");
Expect(1, 187, '\p{^Decomposition_Type=fraction}', "");
Expect(1, 187, '\P{Decomposition_Type=fraction}', "");
Expect(0, 187, '\P{^Decomposition_Type=fraction}', "");
Expect(1, 190, '\p{Decomposition_Type=		Fraction}', "");
Expect(0, 190, '\p{^Decomposition_Type=		Fraction}', "");
Expect(0, 190, '\P{Decomposition_Type=		Fraction}', "");
Expect(1, 190, '\P{^Decomposition_Type=		Fraction}', "");
Expect(0, 187, '\p{Decomposition_Type=		Fraction}', "");
Expect(1, 187, '\p{^Decomposition_Type=		Fraction}', "");
Expect(1, 187, '\P{Decomposition_Type=		Fraction}', "");
Expect(0, 187, '\P{^Decomposition_Type=		Fraction}', "");
Error('\p{Dt=/a/Fra}');
Error('\P{Dt=/a/Fra}');
Expect(1, 190, '\p{Dt=fra}', "");
Expect(0, 190, '\p{^Dt=fra}', "");
Expect(0, 190, '\P{Dt=fra}', "");
Expect(1, 190, '\P{^Dt=fra}', "");
Expect(0, 187, '\p{Dt=fra}', "");
Expect(1, 187, '\p{^Dt=fra}', "");
Expect(1, 187, '\P{Dt=fra}', "");
Expect(0, 187, '\P{^Dt=fra}', "");
Expect(1, 190, '\p{Dt= _FRA}', "");
Expect(0, 190, '\p{^Dt= _FRA}', "");
Expect(0, 190, '\P{Dt= _FRA}', "");
Expect(1, 190, '\P{^Dt= _FRA}', "");
Expect(0, 187, '\p{Dt= _FRA}', "");
Expect(1, 187, '\p{^Dt= _FRA}', "");
Expect(1, 187, '\P{Dt= _FRA}', "");
Expect(0, 187, '\P{^Dt= _FRA}', "");
Error('\p{Is_Decomposition_Type=	 fraction/a/}');
Error('\P{Is_Decomposition_Type=	 fraction/a/}');
Expect(1, 190, '\p{Is_Decomposition_Type=fraction}', "");
Expect(0, 190, '\p{^Is_Decomposition_Type=fraction}', "");
Expect(0, 190, '\P{Is_Decomposition_Type=fraction}', "");
Expect(1, 190, '\P{^Is_Decomposition_Type=fraction}', "");
Expect(0, 187, '\p{Is_Decomposition_Type=fraction}', "");
Expect(1, 187, '\p{^Is_Decomposition_Type=fraction}', "");
Expect(1, 187, '\P{Is_Decomposition_Type=fraction}', "");
Expect(0, 187, '\P{^Is_Decomposition_Type=fraction}', "");
Expect(1, 190, '\p{Is_Decomposition_Type=-fraction}', "");
Expect(0, 190, '\p{^Is_Decomposition_Type=-fraction}', "");
Expect(0, 190, '\P{Is_Decomposition_Type=-fraction}', "");
Expect(1, 190, '\P{^Is_Decomposition_Type=-fraction}', "");
Expect(0, 187, '\p{Is_Decomposition_Type=-fraction}', "");
Expect(1, 187, '\p{^Is_Decomposition_Type=-fraction}', "");
Expect(1, 187, '\P{Is_Decomposition_Type=-fraction}', "");
Expect(0, 187, '\P{^Is_Decomposition_Type=-fraction}', "");
Error('\p{Is_Dt=/a/		FRA}');
Error('\P{Is_Dt=/a/		FRA}');
Expect(1, 190, '\p{Is_Dt=fra}', "");
Expect(0, 190, '\p{^Is_Dt=fra}', "");
Expect(0, 190, '\P{Is_Dt=fra}', "");
Expect(1, 190, '\P{^Is_Dt=fra}', "");
Expect(0, 187, '\p{Is_Dt=fra}', "");
Expect(1, 187, '\p{^Is_Dt=fra}', "");
Expect(1, 187, '\P{Is_Dt=fra}', "");
Expect(0, 187, '\P{^Is_Dt=fra}', "");
Expect(1, 190, '\p{Is_Dt=	 Fra}', "");
Expect(0, 190, '\p{^Is_Dt=	 Fra}', "");
Expect(0, 190, '\P{Is_Dt=	 Fra}', "");
Expect(1, 190, '\P{^Is_Dt=	 Fra}', "");
Expect(0, 187, '\p{Is_Dt=	 Fra}', "");
Expect(1, 187, '\p{^Is_Dt=	 Fra}', "");
Expect(1, 187, '\P{Is_Dt=	 Fra}', "");
Expect(0, 187, '\P{^Is_Dt=	 Fra}', "");
Error('\p{Decomposition_Type=-	Circle:=}');
Error('\P{Decomposition_Type=-	Circle:=}');
Expect(1, 9331, '\p{Decomposition_Type=circle}', "");
Expect(0, 9331, '\p{^Decomposition_Type=circle}', "");
Expect(0, 9331, '\P{Decomposition_Type=circle}', "");
Expect(1, 9331, '\P{^Decomposition_Type=circle}', "");
Expect(0, 9311, '\p{Decomposition_Type=circle}', "");
Expect(1, 9311, '\p{^Decomposition_Type=circle}', "");
Expect(1, 9311, '\P{Decomposition_Type=circle}', "");
Expect(0, 9311, '\P{^Decomposition_Type=circle}', "");
Expect(1, 9331, '\p{Decomposition_Type=-circle}', "");
Expect(0, 9331, '\p{^Decomposition_Type=-circle}', "");
Expect(0, 9331, '\P{Decomposition_Type=-circle}', "");
Expect(1, 9331, '\P{^Decomposition_Type=-circle}', "");
Expect(0, 9311, '\p{Decomposition_Type=-circle}', "");
Expect(1, 9311, '\p{^Decomposition_Type=-circle}', "");
Expect(1, 9311, '\P{Decomposition_Type=-circle}', "");
Expect(0, 9311, '\P{^Decomposition_Type=-circle}', "");
Error('\p{Dt=		Enc:=}');
Error('\P{Dt=		Enc:=}');
Expect(1, 9331, '\p{Dt=enc}', "");
Expect(0, 9331, '\p{^Dt=enc}', "");
Expect(0, 9331, '\P{Dt=enc}', "");
Expect(1, 9331, '\P{^Dt=enc}', "");
Expect(0, 9311, '\p{Dt=enc}', "");
Expect(1, 9311, '\p{^Dt=enc}', "");
Expect(1, 9311, '\P{Dt=enc}', "");
Expect(0, 9311, '\P{^Dt=enc}', "");
Expect(1, 9331, '\p{Dt=Enc}', "");
Expect(0, 9331, '\p{^Dt=Enc}', "");
Expect(0, 9331, '\P{Dt=Enc}', "");
Expect(1, 9331, '\P{^Dt=Enc}', "");
Expect(0, 9311, '\p{Dt=Enc}', "");
Expect(1, 9311, '\p{^Dt=Enc}', "");
Expect(1, 9311, '\P{Dt=Enc}', "");
Expect(0, 9311, '\P{^Dt=Enc}', "");
Error('\p{Is_Decomposition_Type=:=	-circle}');
Error('\P{Is_Decomposition_Type=:=	-circle}');
Expect(1, 9331, '\p{Is_Decomposition_Type=circle}', "");
Expect(0, 9331, '\p{^Is_Decomposition_Type=circle}', "");
Expect(0, 9331, '\P{Is_Decomposition_Type=circle}', "");
Expect(1, 9331, '\P{^Is_Decomposition_Type=circle}', "");
Expect(0, 9311, '\p{Is_Decomposition_Type=circle}', "");
Expect(1, 9311, '\p{^Is_Decomposition_Type=circle}', "");
Expect(1, 9311, '\P{Is_Decomposition_Type=circle}', "");
Expect(0, 9311, '\P{^Is_Decomposition_Type=circle}', "");
Expect(1, 9331, '\p{Is_Decomposition_Type=--circle}', "");
Expect(0, 9331, '\p{^Is_Decomposition_Type=--circle}', "");
Expect(0, 9331, '\P{Is_Decomposition_Type=--circle}', "");
Expect(1, 9331, '\P{^Is_Decomposition_Type=--circle}', "");
Expect(0, 9311, '\p{Is_Decomposition_Type=--circle}', "");
Expect(1, 9311, '\p{^Is_Decomposition_Type=--circle}', "");
Expect(1, 9311, '\P{Is_Decomposition_Type=--circle}', "");
Expect(0, 9311, '\P{^Is_Decomposition_Type=--circle}', "");
Error('\p{Is_Dt=/a/	 ENC}');
Error('\P{Is_Dt=/a/	 ENC}');
Expect(1, 9331, '\p{Is_Dt=enc}', "");
Expect(0, 9331, '\p{^Is_Dt=enc}', "");
Expect(0, 9331, '\P{Is_Dt=enc}', "");
Expect(1, 9331, '\P{^Is_Dt=enc}', "");
Expect(0, 9311, '\p{Is_Dt=enc}', "");
Expect(1, 9311, '\p{^Is_Dt=enc}', "");
Expect(1, 9311, '\P{Is_Dt=enc}', "");
Expect(0, 9311, '\P{^Is_Dt=enc}', "");
Expect(1, 9331, '\p{Is_Dt=	ENC}', "");
Expect(0, 9331, '\p{^Is_Dt=	ENC}', "");
Expect(0, 9331, '\P{Is_Dt=	ENC}', "");
Expect(1, 9331, '\P{^Is_Dt=	ENC}', "");
Expect(0, 9311, '\p{Is_Dt=	ENC}', "");
Expect(1, 9311, '\p{^Is_Dt=	ENC}', "");
Expect(1, 9311, '\P{Is_Dt=	ENC}', "");
Expect(0, 9311, '\P{^Is_Dt=	ENC}', "");
Error('\p{Decomposition_Type=:=-_initial}');
Error('\P{Decomposition_Type=:=-_initial}');
Expect(1, 64340, '\p{Decomposition_Type=initial}', "");
Expect(0, 64340, '\p{^Decomposition_Type=initial}', "");
Expect(0, 64340, '\P{Decomposition_Type=initial}', "");
Expect(1, 64340, '\P{^Decomposition_Type=initial}', "");
Expect(0, 64339, '\p{Decomposition_Type=initial}', "");
Expect(1, 64339, '\p{^Decomposition_Type=initial}', "");
Expect(1, 64339, '\P{Decomposition_Type=initial}', "");
Expect(0, 64339, '\P{^Decomposition_Type=initial}', "");
Expect(1, 64340, '\p{Decomposition_Type=	Initial}', "");
Expect(0, 64340, '\p{^Decomposition_Type=	Initial}', "");
Expect(0, 64340, '\P{Decomposition_Type=	Initial}', "");
Expect(1, 64340, '\P{^Decomposition_Type=	Initial}', "");
Expect(0, 64339, '\p{Decomposition_Type=	Initial}', "");
Expect(1, 64339, '\p{^Decomposition_Type=	Initial}', "");
Expect(1, 64339, '\P{Decomposition_Type=	Initial}', "");
Expect(0, 64339, '\P{^Decomposition_Type=	Initial}', "");
Error('\p{Dt=	Init:=}');
Error('\P{Dt=	Init:=}');
Expect(1, 64340, '\p{Dt=init}', "");
Expect(0, 64340, '\p{^Dt=init}', "");
Expect(0, 64340, '\P{Dt=init}', "");
Expect(1, 64340, '\P{^Dt=init}', "");
Expect(0, 64339, '\p{Dt=init}', "");
Expect(1, 64339, '\p{^Dt=init}', "");
Expect(1, 64339, '\P{Dt=init}', "");
Expect(0, 64339, '\P{^Dt=init}', "");
Expect(1, 64340, '\p{Dt=	INIT}', "");
Expect(0, 64340, '\p{^Dt=	INIT}', "");
Expect(0, 64340, '\P{Dt=	INIT}', "");
Expect(1, 64340, '\P{^Dt=	INIT}', "");
Expect(0, 64339, '\p{Dt=	INIT}', "");
Expect(1, 64339, '\p{^Dt=	INIT}', "");
Expect(1, 64339, '\P{Dt=	INIT}', "");
Expect(0, 64339, '\P{^Dt=	INIT}', "");
Error('\p{Is_Decomposition_Type: /a/-_Initial}');
Error('\P{Is_Decomposition_Type: /a/-_Initial}');
Expect(1, 64340, '\p{Is_Decomposition_Type=initial}', "");
Expect(0, 64340, '\p{^Is_Decomposition_Type=initial}', "");
Expect(0, 64340, '\P{Is_Decomposition_Type=initial}', "");
Expect(1, 64340, '\P{^Is_Decomposition_Type=initial}', "");
Expect(0, 64339, '\p{Is_Decomposition_Type=initial}', "");
Expect(1, 64339, '\p{^Is_Decomposition_Type=initial}', "");
Expect(1, 64339, '\P{Is_Decomposition_Type=initial}', "");
Expect(0, 64339, '\P{^Is_Decomposition_Type=initial}', "");
Expect(1, 64340, '\p{Is_Decomposition_Type:    _Initial}', "");
Expect(0, 64340, '\p{^Is_Decomposition_Type:    _Initial}', "");
Expect(0, 64340, '\P{Is_Decomposition_Type:    _Initial}', "");
Expect(1, 64340, '\P{^Is_Decomposition_Type:    _Initial}', "");
Expect(0, 64339, '\p{Is_Decomposition_Type:    _Initial}', "");
Expect(1, 64339, '\p{^Is_Decomposition_Type:    _Initial}', "");
Expect(1, 64339, '\P{Is_Decomposition_Type:    _Initial}', "");
Expect(0, 64339, '\P{^Is_Decomposition_Type:    _Initial}', "");
Error('\p{Is_Dt= _Init/a/}');
Error('\P{Is_Dt= _Init/a/}');
Expect(1, 64340, '\p{Is_Dt=init}', "");
Expect(0, 64340, '\p{^Is_Dt=init}', "");
Expect(0, 64340, '\P{Is_Dt=init}', "");
Expect(1, 64340, '\P{^Is_Dt=init}', "");
Expect(0, 64339, '\p{Is_Dt=init}', "");
Expect(1, 64339, '\p{^Is_Dt=init}', "");
Expect(1, 64339, '\P{Is_Dt=init}', "");
Expect(0, 64339, '\P{^Is_Dt=init}', "");
Expect(1, 64340, '\p{Is_Dt=		init}', "");
Expect(0, 64340, '\p{^Is_Dt=		init}', "");
Expect(0, 64340, '\P{Is_Dt=		init}', "");
Expect(1, 64340, '\P{^Is_Dt=		init}', "");
Expect(0, 64339, '\p{Is_Dt=		init}', "");
Expect(1, 64339, '\p{^Is_Dt=		init}', "");
Expect(1, 64339, '\P{Is_Dt=		init}', "");
Expect(0, 64339, '\P{^Is_Dt=		init}', "");
Error('\p{Decomposition_Type=/a/ _font}');
Error('\P{Decomposition_Type=/a/ _font}');
Expect(1, 8450, '\p{Decomposition_Type:	font}', "");
Expect(0, 8450, '\p{^Decomposition_Type:	font}', "");
Expect(0, 8450, '\P{Decomposition_Type:	font}', "");
Expect(1, 8450, '\P{^Decomposition_Type:	font}', "");
Expect(0, 8449, '\p{Decomposition_Type:	font}', "");
Expect(1, 8449, '\p{^Decomposition_Type:	font}', "");
Expect(1, 8449, '\P{Decomposition_Type:	font}', "");
Expect(0, 8449, '\P{^Decomposition_Type:	font}', "");
Expect(1, 8450, '\p{Decomposition_Type=FONT}', "");
Expect(0, 8450, '\p{^Decomposition_Type=FONT}', "");
Expect(0, 8450, '\P{Decomposition_Type=FONT}', "");
Expect(1, 8450, '\P{^Decomposition_Type=FONT}', "");
Expect(0, 8449, '\p{Decomposition_Type=FONT}', "");
Expect(1, 8449, '\p{^Decomposition_Type=FONT}', "");
Expect(1, 8449, '\P{Decomposition_Type=FONT}', "");
Expect(0, 8449, '\P{^Decomposition_Type=FONT}', "");
Error('\p{Dt=:=-font}');
Error('\P{Dt=:=-font}');
Expect(1, 8450, '\p{Dt=font}', "");
Expect(0, 8450, '\p{^Dt=font}', "");
Expect(0, 8450, '\P{Dt=font}', "");
Expect(1, 8450, '\P{^Dt=font}', "");
Expect(0, 8449, '\p{Dt=font}', "");
Expect(1, 8449, '\p{^Dt=font}', "");
Expect(1, 8449, '\P{Dt=font}', "");
Expect(0, 8449, '\P{^Dt=font}', "");
Expect(1, 8450, '\p{Dt=  FONT}', "");
Expect(0, 8450, '\p{^Dt=  FONT}', "");
Expect(0, 8450, '\P{Dt=  FONT}', "");
Expect(1, 8450, '\P{^Dt=  FONT}', "");
Expect(0, 8449, '\p{Dt=  FONT}', "");
Expect(1, 8449, '\p{^Dt=  FONT}', "");
Expect(1, 8449, '\P{Dt=  FONT}', "");
Expect(0, 8449, '\P{^Dt=  FONT}', "");
Error('\p{Is_Decomposition_Type=_:=font}');
Error('\P{Is_Decomposition_Type=_:=font}');
Expect(1, 8450, '\p{Is_Decomposition_Type=font}', "");
Expect(0, 8450, '\p{^Is_Decomposition_Type=font}', "");
Expect(0, 8450, '\P{Is_Decomposition_Type=font}', "");
Expect(1, 8450, '\P{^Is_Decomposition_Type=font}', "");
Expect(0, 8449, '\p{Is_Decomposition_Type=font}', "");
Expect(1, 8449, '\p{^Is_Decomposition_Type=font}', "");
Expect(1, 8449, '\P{Is_Decomposition_Type=font}', "");
Expect(0, 8449, '\P{^Is_Decomposition_Type=font}', "");
Expect(1, 8450, '\p{Is_Decomposition_Type=_ Font}', "");
Expect(0, 8450, '\p{^Is_Decomposition_Type=_ Font}', "");
Expect(0, 8450, '\P{Is_Decomposition_Type=_ Font}', "");
Expect(1, 8450, '\P{^Is_Decomposition_Type=_ Font}', "");
Expect(0, 8449, '\p{Is_Decomposition_Type=_ Font}', "");
Expect(1, 8449, '\p{^Is_Decomposition_Type=_ Font}', "");
Expect(1, 8449, '\P{Is_Decomposition_Type=_ Font}', "");
Expect(0, 8449, '\P{^Is_Decomposition_Type=_ Font}', "");
Error('\p{Is_Dt=-_FONT/a/}');
Error('\P{Is_Dt=-_FONT/a/}');
Expect(1, 8450, '\p{Is_Dt=font}', "");
Expect(0, 8450, '\p{^Is_Dt=font}', "");
Expect(0, 8450, '\P{Is_Dt=font}', "");
Expect(1, 8450, '\P{^Is_Dt=font}', "");
Expect(0, 8449, '\p{Is_Dt=font}', "");
Expect(1, 8449, '\p{^Is_Dt=font}', "");
Expect(1, 8449, '\P{Is_Dt=font}', "");
Expect(0, 8449, '\P{^Is_Dt=font}', "");
Expect(1, 8450, '\p{Is_Dt= _Font}', "");
Expect(0, 8450, '\p{^Is_Dt= _Font}', "");
Expect(0, 8450, '\P{Is_Dt= _Font}', "");
Expect(1, 8450, '\P{^Is_Dt= _Font}', "");
Expect(0, 8449, '\p{Is_Dt= _Font}', "");
Expect(1, 8449, '\p{^Is_Dt= _Font}', "");
Expect(1, 8449, '\P{Is_Dt= _Font}', "");
Expect(0, 8449, '\P{^Is_Dt= _Font}', "");
Error('\p{Decomposition_Type=/a/ nobreak}');
Error('\P{Decomposition_Type=/a/ nobreak}');
Expect(1, 160, '\p{Decomposition_Type=nobreak}', "");
Expect(0, 160, '\p{^Decomposition_Type=nobreak}', "");
Expect(0, 160, '\P{Decomposition_Type=nobreak}', "");
Expect(1, 160, '\P{^Decomposition_Type=nobreak}', "");
Expect(0, 159, '\p{Decomposition_Type=nobreak}', "");
Expect(1, 159, '\p{^Decomposition_Type=nobreak}', "");
Expect(1, 159, '\P{Decomposition_Type=nobreak}', "");
Expect(0, 159, '\P{^Decomposition_Type=nobreak}', "");
Expect(1, 160, '\p{Decomposition_Type=		Nobreak}', "");
Expect(0, 160, '\p{^Decomposition_Type=		Nobreak}', "");
Expect(0, 160, '\P{Decomposition_Type=		Nobreak}', "");
Expect(1, 160, '\P{^Decomposition_Type=		Nobreak}', "");
Expect(0, 159, '\p{Decomposition_Type=		Nobreak}', "");
Expect(1, 159, '\p{^Decomposition_Type=		Nobreak}', "");
Expect(1, 159, '\P{Decomposition_Type=		Nobreak}', "");
Expect(0, 159, '\P{^Decomposition_Type=		Nobreak}', "");
Error('\p{Dt=:=_Nb}');
Error('\P{Dt=:=_Nb}');
Expect(1, 160, '\p{Dt=nb}', "");
Expect(0, 160, '\p{^Dt=nb}', "");
Expect(0, 160, '\P{Dt=nb}', "");
Expect(1, 160, '\P{^Dt=nb}', "");
Expect(0, 159, '\p{Dt=nb}', "");
Expect(1, 159, '\p{^Dt=nb}', "");
Expect(1, 159, '\P{Dt=nb}', "");
Expect(0, 159, '\P{^Dt=nb}', "");
Expect(1, 160, '\p{Dt=_nb}', "");
Expect(0, 160, '\p{^Dt=_nb}', "");
Expect(0, 160, '\P{Dt=_nb}', "");
Expect(1, 160, '\P{^Dt=_nb}', "");
Expect(0, 159, '\p{Dt=_nb}', "");
Expect(1, 159, '\p{^Dt=_nb}', "");
Expect(1, 159, '\P{Dt=_nb}', "");
Expect(0, 159, '\P{^Dt=_nb}', "");
Error('\p{Is_Decomposition_Type=/a/	NOBREAK}');
Error('\P{Is_Decomposition_Type=/a/	NOBREAK}');
Expect(1, 160, '\p{Is_Decomposition_Type:   nobreak}', "");
Expect(0, 160, '\p{^Is_Decomposition_Type:   nobreak}', "");
Expect(0, 160, '\P{Is_Decomposition_Type:   nobreak}', "");
Expect(1, 160, '\P{^Is_Decomposition_Type:   nobreak}', "");
Expect(0, 159, '\p{Is_Decomposition_Type:   nobreak}', "");
Expect(1, 159, '\p{^Is_Decomposition_Type:   nobreak}', "");
Expect(1, 159, '\P{Is_Decomposition_Type:   nobreak}', "");
Expect(0, 159, '\P{^Is_Decomposition_Type:   nobreak}', "");
Expect(1, 160, '\p{Is_Decomposition_Type=--nobreak}', "");
Expect(0, 160, '\p{^Is_Decomposition_Type=--nobreak}', "");
Expect(0, 160, '\P{Is_Decomposition_Type=--nobreak}', "");
Expect(1, 160, '\P{^Is_Decomposition_Type=--nobreak}', "");
Expect(0, 159, '\p{Is_Decomposition_Type=--nobreak}', "");
Expect(1, 159, '\p{^Is_Decomposition_Type=--nobreak}', "");
Expect(1, 159, '\P{Is_Decomposition_Type=--nobreak}', "");
Expect(0, 159, '\P{^Is_Decomposition_Type=--nobreak}', "");
Error('\p{Is_Dt=__NB:=}');
Error('\P{Is_Dt=__NB:=}');
Expect(1, 160, '\p{Is_Dt=nb}', "");
Expect(0, 160, '\p{^Is_Dt=nb}', "");
Expect(0, 160, '\P{Is_Dt=nb}', "");
Expect(1, 160, '\P{^Is_Dt=nb}', "");
Expect(0, 159, '\p{Is_Dt=nb}', "");
Expect(1, 159, '\p{^Is_Dt=nb}', "");
Expect(1, 159, '\P{Is_Dt=nb}', "");
Expect(0, 159, '\P{^Is_Dt=nb}', "");
Expect(1, 160, '\p{Is_Dt=	 Nb}', "");
Expect(0, 160, '\p{^Is_Dt=	 Nb}', "");
Expect(0, 160, '\P{Is_Dt=	 Nb}', "");
Expect(1, 160, '\P{^Is_Dt=	 Nb}', "");
Expect(0, 159, '\p{Is_Dt=	 Nb}', "");
Expect(1, 159, '\p{^Is_Dt=	 Nb}', "");
Expect(1, 159, '\P{Is_Dt=	 Nb}', "");
Expect(0, 159, '\P{^Is_Dt=	 Nb}', "");
Error('\p{Decomposition_Type=:=_ Noncanonical}');
Error('\P{Decomposition_Type=:=_ Noncanonical}');
Expect(1, 160, '\p{Decomposition_Type=noncanonical}', "");
Expect(0, 160, '\p{^Decomposition_Type=noncanonical}', "");
Expect(0, 160, '\P{Decomposition_Type=noncanonical}', "");
Expect(1, 160, '\P{^Decomposition_Type=noncanonical}', "");
Expect(0, 159, '\p{Decomposition_Type=noncanonical}', "");
Expect(1, 159, '\p{^Decomposition_Type=noncanonical}', "");
Expect(1, 159, '\P{Decomposition_Type=noncanonical}', "");
Expect(0, 159, '\P{^Decomposition_Type=noncanonical}', "");
Expect(1, 160, '\p{Decomposition_Type=_ NONcanonical}', "");
Expect(0, 160, '\p{^Decomposition_Type=_ NONcanonical}', "");
Expect(0, 160, '\P{Decomposition_Type=_ NONcanonical}', "");
Expect(1, 160, '\P{^Decomposition_Type=_ NONcanonical}', "");
Expect(0, 159, '\p{Decomposition_Type=_ NONcanonical}', "");
Expect(1, 159, '\p{^Decomposition_Type=_ NONcanonical}', "");
Expect(1, 159, '\P{Decomposition_Type=_ NONcanonical}', "");
Expect(0, 159, '\P{^Decomposition_Type=_ NONcanonical}', "");
Error('\p{Dt=	:=Non CANON}');
Error('\P{Dt=	:=Non CANON}');
Expect(1, 160, '\p{Dt=noncanon}', "");
Expect(0, 160, '\p{^Dt=noncanon}', "");
Expect(0, 160, '\P{Dt=noncanon}', "");
Expect(1, 160, '\P{^Dt=noncanon}', "");
Expect(0, 159, '\p{Dt=noncanon}', "");
Expect(1, 159, '\p{^Dt=noncanon}', "");
Expect(1, 159, '\P{Dt=noncanon}', "");
Expect(0, 159, '\P{^Dt=noncanon}', "");
Expect(1, 160, '\p{Dt= Non_Canon}', "");
Expect(0, 160, '\p{^Dt= Non_Canon}', "");
Expect(0, 160, '\P{Dt= Non_Canon}', "");
Expect(1, 160, '\P{^Dt= Non_Canon}', "");
Expect(0, 159, '\p{Dt= Non_Canon}', "");
Expect(1, 159, '\p{^Dt= Non_Canon}', "");
Expect(1, 159, '\P{Dt= Non_Canon}', "");
Expect(0, 159, '\P{^Dt= Non_Canon}', "");
Error('\p{Is_Decomposition_Type=		non/a/canonical}');
Error('\P{Is_Decomposition_Type=		non/a/canonical}');
Expect(1, 160, '\p{Is_Decomposition_Type: noncanonical}', "");
Expect(0, 160, '\p{^Is_Decomposition_Type: noncanonical}', "");
Expect(0, 160, '\P{Is_Decomposition_Type: noncanonical}', "");
Expect(1, 160, '\P{^Is_Decomposition_Type: noncanonical}', "");
Expect(0, 159, '\p{Is_Decomposition_Type: noncanonical}', "");
Expect(1, 159, '\p{^Is_Decomposition_Type: noncanonical}', "");
Expect(1, 159, '\P{Is_Decomposition_Type: noncanonical}', "");
Expect(0, 159, '\P{^Is_Decomposition_Type: noncanonical}', "");
Expect(1, 160, '\p{Is_Decomposition_Type=_Non-canonical}', "");
Expect(0, 160, '\p{^Is_Decomposition_Type=_Non-canonical}', "");
Expect(0, 160, '\P{Is_Decomposition_Type=_Non-canonical}', "");
Expect(1, 160, '\P{^Is_Decomposition_Type=_Non-canonical}', "");
Expect(0, 159, '\p{Is_Decomposition_Type=_Non-canonical}', "");
Expect(1, 159, '\p{^Is_Decomposition_Type=_Non-canonical}', "");
Expect(1, 159, '\P{Is_Decomposition_Type=_Non-canonical}', "");
Expect(0, 159, '\P{^Is_Decomposition_Type=_Non-canonical}', "");
Error('\p{Is_Dt=_ Non:=CANON}');
Error('\P{Is_Dt=_ Non:=CANON}');
Expect(1, 160, '\p{Is_Dt:   noncanon}', "");
Expect(0, 160, '\p{^Is_Dt:   noncanon}', "");
Expect(0, 160, '\P{Is_Dt:   noncanon}', "");
Expect(1, 160, '\P{^Is_Dt:   noncanon}', "");
Expect(0, 159, '\p{Is_Dt:   noncanon}', "");
Expect(1, 159, '\p{^Is_Dt:   noncanon}', "");
Expect(1, 159, '\P{Is_Dt:   noncanon}', "");
Expect(0, 159, '\P{^Is_Dt:   noncanon}', "");
Expect(1, 160, '\p{Is_Dt=_non canon}', "");
Expect(0, 160, '\p{^Is_Dt=_non canon}', "");
Expect(0, 160, '\P{Is_Dt=_non canon}', "");
Expect(1, 160, '\P{^Is_Dt=_non canon}', "");
Expect(0, 159, '\p{Is_Dt=_non canon}', "");
Expect(1, 159, '\p{^Is_Dt=_non canon}', "");
Expect(1, 159, '\P{Is_Dt=_non canon}', "");
Expect(0, 159, '\P{^Is_Dt=_non canon}', "");
Error('\p{Decomposition_Type= _final:=}');
Error('\P{Decomposition_Type= _final:=}');
Expect(1, 64337, '\p{Decomposition_Type=final}', "");
Expect(0, 64337, '\p{^Decomposition_Type=final}', "");
Expect(0, 64337, '\P{Decomposition_Type=final}', "");
Expect(1, 64337, '\P{^Decomposition_Type=final}', "");
Expect(0, 64336, '\p{Decomposition_Type=final}', "");
Expect(1, 64336, '\p{^Decomposition_Type=final}', "");
Expect(1, 64336, '\P{Decomposition_Type=final}', "");
Expect(0, 64336, '\P{^Decomposition_Type=final}', "");
Expect(1, 64337, '\p{Decomposition_Type=_	FINAL}', "");
Expect(0, 64337, '\p{^Decomposition_Type=_	FINAL}', "");
Expect(0, 64337, '\P{Decomposition_Type=_	FINAL}', "");
Expect(1, 64337, '\P{^Decomposition_Type=_	FINAL}', "");
Expect(0, 64336, '\p{Decomposition_Type=_	FINAL}', "");
Expect(1, 64336, '\p{^Decomposition_Type=_	FINAL}', "");
Expect(1, 64336, '\P{Decomposition_Type=_	FINAL}', "");
Expect(0, 64336, '\P{^Decomposition_Type=_	FINAL}', "");
Error('\p{Dt: 	/a/fin}');
Error('\P{Dt: 	/a/fin}');
Expect(1, 64337, '\p{Dt: fin}', "");
Expect(0, 64337, '\p{^Dt: fin}', "");
Expect(0, 64337, '\P{Dt: fin}', "");
Expect(1, 64337, '\P{^Dt: fin}', "");
Expect(0, 64336, '\p{Dt: fin}', "");
Expect(1, 64336, '\p{^Dt: fin}', "");
Expect(1, 64336, '\P{Dt: fin}', "");
Expect(0, 64336, '\P{^Dt: fin}', "");
Expect(1, 64337, '\p{Dt=-FIN}', "");
Expect(0, 64337, '\p{^Dt=-FIN}', "");
Expect(0, 64337, '\P{Dt=-FIN}', "");
Expect(1, 64337, '\P{^Dt=-FIN}', "");
Expect(0, 64336, '\p{Dt=-FIN}', "");
Expect(1, 64336, '\p{^Dt=-FIN}', "");
Expect(1, 64336, '\P{Dt=-FIN}', "");
Expect(0, 64336, '\P{^Dt=-FIN}', "");
Error('\p{Is_Decomposition_Type=/a/		FINAL}');
Error('\P{Is_Decomposition_Type=/a/		FINAL}');
Expect(1, 64337, '\p{Is_Decomposition_Type=final}', "");
Expect(0, 64337, '\p{^Is_Decomposition_Type=final}', "");
Expect(0, 64337, '\P{Is_Decomposition_Type=final}', "");
Expect(1, 64337, '\P{^Is_Decomposition_Type=final}', "");
Expect(0, 64336, '\p{Is_Decomposition_Type=final}', "");
Expect(1, 64336, '\p{^Is_Decomposition_Type=final}', "");
Expect(1, 64336, '\P{Is_Decomposition_Type=final}', "");
Expect(0, 64336, '\P{^Is_Decomposition_Type=final}', "");
Expect(1, 64337, '\p{Is_Decomposition_Type=		final}', "");
Expect(0, 64337, '\p{^Is_Decomposition_Type=		final}', "");
Expect(0, 64337, '\P{Is_Decomposition_Type=		final}', "");
Expect(1, 64337, '\P{^Is_Decomposition_Type=		final}', "");
Expect(0, 64336, '\p{Is_Decomposition_Type=		final}', "");
Expect(1, 64336, '\p{^Is_Decomposition_Type=		final}', "");
Expect(1, 64336, '\P{Is_Decomposition_Type=		final}', "");
Expect(0, 64336, '\P{^Is_Decomposition_Type=		final}', "");
Error('\p{Is_Dt=/a/- fin}');
Error('\P{Is_Dt=/a/- fin}');
Expect(1, 64337, '\p{Is_Dt=fin}', "");
Expect(0, 64337, '\p{^Is_Dt=fin}', "");
Expect(0, 64337, '\P{Is_Dt=fin}', "");
Expect(1, 64337, '\P{^Is_Dt=fin}', "");
Expect(0, 64336, '\p{Is_Dt=fin}', "");
Expect(1, 64336, '\p{^Is_Dt=fin}', "");
Expect(1, 64336, '\P{Is_Dt=fin}', "");
Expect(0, 64336, '\P{^Is_Dt=fin}', "");
Expect(1, 64337, '\p{Is_Dt=	 fin}', "");
Expect(0, 64337, '\p{^Is_Dt=	 fin}', "");
Expect(0, 64337, '\P{Is_Dt=	 fin}', "");
Expect(1, 64337, '\P{^Is_Dt=	 fin}', "");
Expect(0, 64336, '\p{Is_Dt=	 fin}', "");
Expect(1, 64336, '\p{^Is_Dt=	 fin}', "");
Expect(1, 64336, '\P{Is_Dt=	 fin}', "");
Expect(0, 64336, '\P{^Is_Dt=	 fin}', "");
Error('\p{Decomposition_Type=--Wide:=}');
Error('\P{Decomposition_Type=--Wide:=}');
Expect(1, 12288, '\p{Decomposition_Type=wide}', "");
Expect(0, 12288, '\p{^Decomposition_Type=wide}', "");
Expect(0, 12288, '\P{Decomposition_Type=wide}', "");
Expect(1, 12288, '\P{^Decomposition_Type=wide}', "");
Expect(0, 12287, '\p{Decomposition_Type=wide}', "");
Expect(1, 12287, '\p{^Decomposition_Type=wide}', "");
Expect(1, 12287, '\P{Decomposition_Type=wide}', "");
Expect(0, 12287, '\P{^Decomposition_Type=wide}', "");
Expect(1, 12288, '\p{Decomposition_Type=-Wide}', "");
Expect(0, 12288, '\p{^Decomposition_Type=-Wide}', "");
Expect(0, 12288, '\P{Decomposition_Type=-Wide}', "");
Expect(1, 12288, '\P{^Decomposition_Type=-Wide}', "");
Expect(0, 12287, '\p{Decomposition_Type=-Wide}', "");
Expect(1, 12287, '\p{^Decomposition_Type=-Wide}', "");
Expect(1, 12287, '\P{Decomposition_Type=-Wide}', "");
Expect(0, 12287, '\P{^Decomposition_Type=-Wide}', "");
Error('\p{Dt= :=WIDE}');
Error('\P{Dt= :=WIDE}');
Expect(1, 12288, '\p{Dt=wide}', "");
Expect(0, 12288, '\p{^Dt=wide}', "");
Expect(0, 12288, '\P{Dt=wide}', "");
Expect(1, 12288, '\P{^Dt=wide}', "");
Expect(0, 12287, '\p{Dt=wide}', "");
Expect(1, 12287, '\p{^Dt=wide}', "");
Expect(1, 12287, '\P{Dt=wide}', "");
Expect(0, 12287, '\P{^Dt=wide}', "");
Expect(1, 12288, '\p{Dt=		Wide}', "");
Expect(0, 12288, '\p{^Dt=		Wide}', "");
Expect(0, 12288, '\P{Dt=		Wide}', "");
Expect(1, 12288, '\P{^Dt=		Wide}', "");
Expect(0, 12287, '\p{Dt=		Wide}', "");
Expect(1, 12287, '\p{^Dt=		Wide}', "");
Expect(1, 12287, '\P{Dt=		Wide}', "");
Expect(0, 12287, '\P{^Dt=		Wide}', "");
Error('\p{Is_Decomposition_Type=:=Wide}');
Error('\P{Is_Decomposition_Type=:=Wide}');
Expect(1, 12288, '\p{Is_Decomposition_Type=wide}', "");
Expect(0, 12288, '\p{^Is_Decomposition_Type=wide}', "");
Expect(0, 12288, '\P{Is_Decomposition_Type=wide}', "");
Expect(1, 12288, '\P{^Is_Decomposition_Type=wide}', "");
Expect(0, 12287, '\p{Is_Decomposition_Type=wide}', "");
Expect(1, 12287, '\p{^Is_Decomposition_Type=wide}', "");
Expect(1, 12287, '\P{Is_Decomposition_Type=wide}', "");
Expect(0, 12287, '\P{^Is_Decomposition_Type=wide}', "");
Expect(1, 12288, '\p{Is_Decomposition_Type=--WIDE}', "");
Expect(0, 12288, '\p{^Is_Decomposition_Type=--WIDE}', "");
Expect(0, 12288, '\P{Is_Decomposition_Type=--WIDE}', "");
Expect(1, 12288, '\P{^Is_Decomposition_Type=--WIDE}', "");
Expect(0, 12287, '\p{Is_Decomposition_Type=--WIDE}', "");
Expect(1, 12287, '\p{^Is_Decomposition_Type=--WIDE}', "");
Expect(1, 12287, '\P{Is_Decomposition_Type=--WIDE}', "");
Expect(0, 12287, '\P{^Is_Decomposition_Type=--WIDE}', "");
Error('\p{Is_Dt=	-Wide/a/}');
Error('\P{Is_Dt=	-Wide/a/}');
Expect(1, 12288, '\p{Is_Dt:wide}', "");
Expect(0, 12288, '\p{^Is_Dt:wide}', "");
Expect(0, 12288, '\P{Is_Dt:wide}', "");
Expect(1, 12288, '\P{^Is_Dt:wide}', "");
Expect(0, 12287, '\p{Is_Dt:wide}', "");
Expect(1, 12287, '\p{^Is_Dt:wide}', "");
Expect(1, 12287, '\P{Is_Dt:wide}', "");
Expect(0, 12287, '\P{^Is_Dt:wide}', "");
Expect(1, 12288, '\p{Is_Dt= 	WIDE}', "");
Expect(0, 12288, '\p{^Is_Dt= 	WIDE}', "");
Expect(0, 12288, '\P{Is_Dt= 	WIDE}', "");
Expect(1, 12288, '\P{^Is_Dt= 	WIDE}', "");
Expect(0, 12287, '\p{Is_Dt= 	WIDE}', "");
Expect(1, 12287, '\p{^Is_Dt= 	WIDE}', "");
Expect(1, 12287, '\P{Is_Dt= 	WIDE}', "");
Expect(0, 12287, '\P{^Is_Dt= 	WIDE}', "");
Error('\p{Decomposition_Type= 	CANONICAL/a/}');
Error('\P{Decomposition_Type= 	CANONICAL/a/}');
Expect(1, 197, '\p{Decomposition_Type=canonical}', "");
Expect(0, 197, '\p{^Decomposition_Type=canonical}', "");
Expect(0, 197, '\P{Decomposition_Type=canonical}', "");
Expect(1, 197, '\P{^Decomposition_Type=canonical}', "");
Expect(0, 191, '\p{Decomposition_Type=canonical}', "");
Expect(1, 191, '\p{^Decomposition_Type=canonical}', "");
Expect(1, 191, '\P{Decomposition_Type=canonical}', "");
Expect(0, 191, '\P{^Decomposition_Type=canonical}', "");
Expect(1, 197, '\p{Decomposition_Type=-	CANONICAL}', "");
Expect(0, 197, '\p{^Decomposition_Type=-	CANONICAL}', "");
Expect(0, 197, '\P{Decomposition_Type=-	CANONICAL}', "");
Expect(1, 197, '\P{^Decomposition_Type=-	CANONICAL}', "");
Expect(0, 191, '\p{Decomposition_Type=-	CANONICAL}', "");
Expect(1, 191, '\p{^Decomposition_Type=-	CANONICAL}', "");
Expect(1, 191, '\P{Decomposition_Type=-	CANONICAL}', "");
Expect(0, 191, '\P{^Decomposition_Type=-	CANONICAL}', "");
Error('\p{Dt=/a/ Can}');
Error('\P{Dt=/a/ Can}');
Expect(1, 197, '\p{Dt=can}', "");
Expect(0, 197, '\p{^Dt=can}', "");
Expect(0, 197, '\P{Dt=can}', "");
Expect(1, 197, '\P{^Dt=can}', "");
Expect(0, 191, '\p{Dt=can}', "");
Expect(1, 191, '\p{^Dt=can}', "");
Expect(1, 191, '\P{Dt=can}', "");
Expect(0, 191, '\P{^Dt=can}', "");
Expect(1, 197, '\p{Dt=-_Can}', "");
Expect(0, 197, '\p{^Dt=-_Can}', "");
Expect(0, 197, '\P{Dt=-_Can}', "");
Expect(1, 197, '\P{^Dt=-_Can}', "");
Expect(0, 191, '\p{Dt=-_Can}', "");
Expect(1, 191, '\p{^Dt=-_Can}', "");
Expect(1, 191, '\P{Dt=-_Can}', "");
Expect(0, 191, '\P{^Dt=-_Can}', "");
Error('\p{Is_Decomposition_Type=	_Canonical:=}');
Error('\P{Is_Decomposition_Type=	_Canonical:=}');
Expect(1, 197, '\p{Is_Decomposition_Type=canonical}', "");
Expect(0, 197, '\p{^Is_Decomposition_Type=canonical}', "");
Expect(0, 197, '\P{Is_Decomposition_Type=canonical}', "");
Expect(1, 197, '\P{^Is_Decomposition_Type=canonical}', "");
Expect(0, 191, '\p{Is_Decomposition_Type=canonical}', "");
Expect(1, 191, '\p{^Is_Decomposition_Type=canonical}', "");
Expect(1, 191, '\P{Is_Decomposition_Type=canonical}', "");
Expect(0, 191, '\P{^Is_Decomposition_Type=canonical}', "");
Expect(1, 197, '\p{Is_Decomposition_Type= CANONICAL}', "");
Expect(0, 197, '\p{^Is_Decomposition_Type= CANONICAL}', "");
Expect(0, 197, '\P{Is_Decomposition_Type= CANONICAL}', "");
Expect(1, 197, '\P{^Is_Decomposition_Type= CANONICAL}', "");
Expect(0, 191, '\p{Is_Decomposition_Type= CANONICAL}', "");
Expect(1, 191, '\p{^Is_Decomposition_Type= CANONICAL}', "");
Expect(1, 191, '\P{Is_Decomposition_Type= CANONICAL}', "");
Expect(0, 191, '\P{^Is_Decomposition_Type= CANONICAL}', "");
Error('\p{Is_Dt=	-CAN:=}');
Error('\P{Is_Dt=	-CAN:=}');
Expect(1, 197, '\p{Is_Dt=can}', "");
Expect(0, 197, '\p{^Is_Dt=can}', "");
Expect(0, 197, '\P{Is_Dt=can}', "");
Expect(1, 197, '\P{^Is_Dt=can}', "");
Expect(0, 191, '\p{Is_Dt=can}', "");
Expect(1, 191, '\p{^Is_Dt=can}', "");
Expect(1, 191, '\P{Is_Dt=can}', "");
Expect(0, 191, '\P{^Is_Dt=can}', "");
Expect(1, 197, '\p{Is_Dt=_ CAN}', "");
Expect(0, 197, '\p{^Is_Dt=_ CAN}', "");
Expect(0, 197, '\P{Is_Dt=_ CAN}', "");
Expect(1, 197, '\P{^Is_Dt=_ CAN}', "");
Expect(0, 191, '\p{Is_Dt=_ CAN}', "");
Expect(1, 191, '\p{^Is_Dt=_ CAN}', "");
Expect(1, 191, '\P{Is_Dt=_ CAN}', "");
Expect(0, 191, '\P{^Is_Dt=_ CAN}', "");
Error('\p{Decomposition_Type=	/a/vertical}');
Error('\P{Decomposition_Type=	/a/vertical}');
Expect(1, 12447, '\p{Decomposition_Type=vertical}', "");
Expect(0, 12447, '\p{^Decomposition_Type=vertical}', "");
Expect(0, 12447, '\P{Decomposition_Type=vertical}', "");
Expect(1, 12447, '\P{^Decomposition_Type=vertical}', "");
Expect(0, 12446, '\p{Decomposition_Type=vertical}', "");
Expect(1, 12446, '\p{^Decomposition_Type=vertical}', "");
Expect(1, 12446, '\P{Decomposition_Type=vertical}', "");
Expect(0, 12446, '\P{^Decomposition_Type=vertical}', "");
Expect(1, 12447, '\p{Decomposition_Type=_ vertical}', "");
Expect(0, 12447, '\p{^Decomposition_Type=_ vertical}', "");
Expect(0, 12447, '\P{Decomposition_Type=_ vertical}', "");
Expect(1, 12447, '\P{^Decomposition_Type=_ vertical}', "");
Expect(0, 12446, '\p{Decomposition_Type=_ vertical}', "");
Expect(1, 12446, '\p{^Decomposition_Type=_ vertical}', "");
Expect(1, 12446, '\P{Decomposition_Type=_ vertical}', "");
Expect(0, 12446, '\P{^Decomposition_Type=_ vertical}', "");
Error('\p{Dt=:=--vert}');
Error('\P{Dt=:=--vert}');
Expect(1, 12447, '\p{Dt=vert}', "");
Expect(0, 12447, '\p{^Dt=vert}', "");
Expect(0, 12447, '\P{Dt=vert}', "");
Expect(1, 12447, '\P{^Dt=vert}', "");
Expect(0, 12446, '\p{Dt=vert}', "");
Expect(1, 12446, '\p{^Dt=vert}', "");
Expect(1, 12446, '\P{Dt=vert}', "");
Expect(0, 12446, '\P{^Dt=vert}', "");
Expect(1, 12447, '\p{Dt=	-vert}', "");
Expect(0, 12447, '\p{^Dt=	-vert}', "");
Expect(0, 12447, '\P{Dt=	-vert}', "");
Expect(1, 12447, '\P{^Dt=	-vert}', "");
Expect(0, 12446, '\p{Dt=	-vert}', "");
Expect(1, 12446, '\p{^Dt=	-vert}', "");
Expect(1, 12446, '\P{Dt=	-vert}', "");
Expect(0, 12446, '\P{^Dt=	-vert}', "");
Error('\p{Is_Decomposition_Type:-/a/Vertical}');
Error('\P{Is_Decomposition_Type:-/a/Vertical}');
Expect(1, 12447, '\p{Is_Decomposition_Type=vertical}', "");
Expect(0, 12447, '\p{^Is_Decomposition_Type=vertical}', "");
Expect(0, 12447, '\P{Is_Decomposition_Type=vertical}', "");
Expect(1, 12447, '\P{^Is_Decomposition_Type=vertical}', "");
Expect(0, 12446, '\p{Is_Decomposition_Type=vertical}', "");
Expect(1, 12446, '\p{^Is_Decomposition_Type=vertical}', "");
Expect(1, 12446, '\P{Is_Decomposition_Type=vertical}', "");
Expect(0, 12446, '\P{^Is_Decomposition_Type=vertical}', "");
Expect(1, 12447, '\p{Is_Decomposition_Type=--vertical}', "");
Expect(0, 12447, '\p{^Is_Decomposition_Type=--vertical}', "");
Expect(0, 12447, '\P{Is_Decomposition_Type=--vertical}', "");
Expect(1, 12447, '\P{^Is_Decomposition_Type=--vertical}', "");
Expect(0, 12446, '\p{Is_Decomposition_Type=--vertical}', "");
Expect(1, 12446, '\p{^Is_Decomposition_Type=--vertical}', "");
Expect(1, 12446, '\P{Is_Decomposition_Type=--vertical}', "");
Expect(0, 12446, '\P{^Is_Decomposition_Type=--vertical}', "");
Error('\p{Is_Dt= -VERT/a/}');
Error('\P{Is_Dt= -VERT/a/}');
Expect(1, 12447, '\p{Is_Dt=vert}', "");
Expect(0, 12447, '\p{^Is_Dt=vert}', "");
Expect(0, 12447, '\P{Is_Dt=vert}', "");
Expect(1, 12447, '\P{^Is_Dt=vert}', "");
Expect(0, 12446, '\p{Is_Dt=vert}', "");
Expect(1, 12446, '\p{^Is_Dt=vert}', "");
Expect(1, 12446, '\P{Is_Dt=vert}', "");
Expect(0, 12446, '\P{^Is_Dt=vert}', "");
Expect(1, 12447, '\p{Is_Dt=_ vert}', "");
Expect(0, 12447, '\p{^Is_Dt=_ vert}', "");
Expect(0, 12447, '\P{Is_Dt=_ vert}', "");
Expect(1, 12447, '\P{^Is_Dt=_ vert}', "");
Expect(0, 12446, '\p{Is_Dt=_ vert}', "");
Expect(1, 12446, '\p{^Is_Dt=_ vert}', "");
Expect(1, 12446, '\P{Is_Dt=_ vert}', "");
Expect(0, 12446, '\P{^Is_Dt=_ vert}', "");
Error('\p{Decomposition_Type:  Medial/a/}');
Error('\P{Decomposition_Type:  Medial/a/}');
Expect(1, 64341, '\p{Decomposition_Type=medial}', "");
Expect(0, 64341, '\p{^Decomposition_Type=medial}', "");
Expect(0, 64341, '\P{Decomposition_Type=medial}', "");
Expect(1, 64341, '\P{^Decomposition_Type=medial}', "");
Expect(0, 64340, '\p{Decomposition_Type=medial}', "");
Expect(1, 64340, '\p{^Decomposition_Type=medial}', "");
Expect(1, 64340, '\P{Decomposition_Type=medial}', "");
Expect(0, 64340, '\P{^Decomposition_Type=medial}', "");
Expect(1, 64341, '\p{Decomposition_Type:	_-Medial}', "");
Expect(0, 64341, '\p{^Decomposition_Type:	_-Medial}', "");
Expect(0, 64341, '\P{Decomposition_Type:	_-Medial}', "");
Expect(1, 64341, '\P{^Decomposition_Type:	_-Medial}', "");
Expect(0, 64340, '\p{Decomposition_Type:	_-Medial}', "");
Expect(1, 64340, '\p{^Decomposition_Type:	_-Medial}', "");
Expect(1, 64340, '\P{Decomposition_Type:	_-Medial}', "");
Expect(0, 64340, '\P{^Decomposition_Type:	_-Medial}', "");
Error('\p{Dt= _MED:=}');
Error('\P{Dt= _MED:=}');
Expect(1, 64341, '\p{Dt:med}', "");
Expect(0, 64341, '\p{^Dt:med}', "");
Expect(0, 64341, '\P{Dt:med}', "");
Expect(1, 64341, '\P{^Dt:med}', "");
Expect(0, 64340, '\p{Dt:med}', "");
Expect(1, 64340, '\p{^Dt:med}', "");
Expect(1, 64340, '\P{Dt:med}', "");
Expect(0, 64340, '\P{^Dt:med}', "");
Expect(1, 64341, '\p{Dt= -Med}', "");
Expect(0, 64341, '\p{^Dt= -Med}', "");
Expect(0, 64341, '\P{Dt= -Med}', "");
Expect(1, 64341, '\P{^Dt= -Med}', "");
Expect(0, 64340, '\p{Dt= -Med}', "");
Expect(1, 64340, '\p{^Dt= -Med}', "");
Expect(1, 64340, '\P{Dt= -Med}', "");
Expect(0, 64340, '\P{^Dt= -Med}', "");
Error('\p{Is_Decomposition_Type=:=	Medial}');
Error('\P{Is_Decomposition_Type=:=	Medial}');
Expect(1, 64341, '\p{Is_Decomposition_Type=medial}', "");
Expect(0, 64341, '\p{^Is_Decomposition_Type=medial}', "");
Expect(0, 64341, '\P{Is_Decomposition_Type=medial}', "");
Expect(1, 64341, '\P{^Is_Decomposition_Type=medial}', "");
Expect(0, 64340, '\p{Is_Decomposition_Type=medial}', "");
Expect(1, 64340, '\p{^Is_Decomposition_Type=medial}', "");
Expect(1, 64340, '\P{Is_Decomposition_Type=medial}', "");
Expect(0, 64340, '\P{^Is_Decomposition_Type=medial}', "");
Expect(1, 64341, '\p{Is_Decomposition_Type: 	medial}', "");
Expect(0, 64341, '\p{^Is_Decomposition_Type: 	medial}', "");
Expect(0, 64341, '\P{Is_Decomposition_Type: 	medial}', "");
Expect(1, 64341, '\P{^Is_Decomposition_Type: 	medial}', "");
Expect(0, 64340, '\p{Is_Decomposition_Type: 	medial}', "");
Expect(1, 64340, '\p{^Is_Decomposition_Type: 	medial}', "");
Expect(1, 64340, '\P{Is_Decomposition_Type: 	medial}', "");
Expect(0, 64340, '\P{^Is_Decomposition_Type: 	medial}', "");
Error('\p{Is_Dt=_/a/Med}');
Error('\P{Is_Dt=_/a/Med}');
Expect(1, 64341, '\p{Is_Dt:	med}', "");
Expect(0, 64341, '\p{^Is_Dt:	med}', "");
Expect(0, 64341, '\P{Is_Dt:	med}', "");
Expect(1, 64341, '\P{^Is_Dt:	med}', "");
Expect(0, 64340, '\p{Is_Dt:	med}', "");
Expect(1, 64340, '\p{^Is_Dt:	med}', "");
Expect(1, 64340, '\P{Is_Dt:	med}', "");
Expect(0, 64340, '\P{^Is_Dt:	med}', "");
Expect(1, 64341, '\p{Is_Dt=		MED}', "");
Expect(0, 64341, '\p{^Is_Dt=		MED}', "");
Expect(0, 64341, '\P{Is_Dt=		MED}', "");
Expect(1, 64341, '\P{^Is_Dt=		MED}', "");
Expect(0, 64340, '\p{Is_Dt=		MED}', "");
Expect(1, 64340, '\p{^Is_Dt=		MED}', "");
Expect(1, 64340, '\P{Is_Dt=		MED}', "");
Expect(0, 64340, '\P{^Is_Dt=		MED}', "");
Error('\p{Decomposition_Type=:=	NARROW}');
Error('\P{Decomposition_Type=:=	NARROW}');
Expect(1, 65470, '\p{Decomposition_Type=narrow}', "");
Expect(0, 65470, '\p{^Decomposition_Type=narrow}', "");
Expect(0, 65470, '\P{Decomposition_Type=narrow}', "");
Expect(1, 65470, '\P{^Decomposition_Type=narrow}', "");
Expect(0, 65376, '\p{Decomposition_Type=narrow}', "");
Expect(1, 65376, '\p{^Decomposition_Type=narrow}', "");
Expect(1, 65376, '\P{Decomposition_Type=narrow}', "");
Expect(0, 65376, '\P{^Decomposition_Type=narrow}', "");
Expect(1, 65470, '\p{Decomposition_Type=	 Narrow}', "");
Expect(0, 65470, '\p{^Decomposition_Type=	 Narrow}', "");
Expect(0, 65470, '\P{Decomposition_Type=	 Narrow}', "");
Expect(1, 65470, '\P{^Decomposition_Type=	 Narrow}', "");
Expect(0, 65376, '\p{Decomposition_Type=	 Narrow}', "");
Expect(1, 65376, '\p{^Decomposition_Type=	 Narrow}', "");
Expect(1, 65376, '\P{Decomposition_Type=	 Narrow}', "");
Expect(0, 65376, '\P{^Decomposition_Type=	 Narrow}', "");
Error('\p{Dt=_ Nar/a/}');
Error('\P{Dt=_ Nar/a/}');
Expect(1, 65470, '\p{Dt=nar}', "");
Expect(0, 65470, '\p{^Dt=nar}', "");
Expect(0, 65470, '\P{Dt=nar}', "");
Expect(1, 65470, '\P{^Dt=nar}', "");
Expect(0, 65376, '\p{Dt=nar}', "");
Expect(1, 65376, '\p{^Dt=nar}', "");
Expect(1, 65376, '\P{Dt=nar}', "");
Expect(0, 65376, '\P{^Dt=nar}', "");
Expect(1, 65470, '\p{Dt=_	Nar}', "");
Expect(0, 65470, '\p{^Dt=_	Nar}', "");
Expect(0, 65470, '\P{Dt=_	Nar}', "");
Expect(1, 65470, '\P{^Dt=_	Nar}', "");
Expect(0, 65376, '\p{Dt=_	Nar}', "");
Expect(1, 65376, '\p{^Dt=_	Nar}', "");
Expect(1, 65376, '\P{Dt=_	Nar}', "");
Expect(0, 65376, '\P{^Dt=_	Nar}', "");
Error('\p{Is_Decomposition_Type=/a/--Narrow}');
Error('\P{Is_Decomposition_Type=/a/--Narrow}');
Expect(1, 65470, '\p{Is_Decomposition_Type=narrow}', "");
Expect(0, 65470, '\p{^Is_Decomposition_Type=narrow}', "");
Expect(0, 65470, '\P{Is_Decomposition_Type=narrow}', "");
Expect(1, 65470, '\P{^Is_Decomposition_Type=narrow}', "");
Expect(0, 65376, '\p{Is_Decomposition_Type=narrow}', "");
Expect(1, 65376, '\p{^Is_Decomposition_Type=narrow}', "");
Expect(1, 65376, '\P{Is_Decomposition_Type=narrow}', "");
Expect(0, 65376, '\P{^Is_Decomposition_Type=narrow}', "");
Expect(1, 65470, '\p{Is_Decomposition_Type=		Narrow}', "");
Expect(0, 65470, '\p{^Is_Decomposition_Type=		Narrow}', "");
Expect(0, 65470, '\P{Is_Decomposition_Type=		Narrow}', "");
Expect(1, 65470, '\P{^Is_Decomposition_Type=		Narrow}', "");
Expect(0, 65376, '\p{Is_Decomposition_Type=		Narrow}', "");
Expect(1, 65376, '\p{^Is_Decomposition_Type=		Narrow}', "");
Expect(1, 65376, '\P{Is_Decomposition_Type=		Narrow}', "");
Expect(0, 65376, '\P{^Is_Decomposition_Type=		Narrow}', "");
Error('\p{Is_Dt=:=  Nar}');
Error('\P{Is_Dt=:=  Nar}');
Expect(1, 65470, '\p{Is_Dt=nar}', "");
Expect(0, 65470, '\p{^Is_Dt=nar}', "");
Expect(0, 65470, '\P{Is_Dt=nar}', "");
Expect(1, 65470, '\P{^Is_Dt=nar}', "");
Expect(0, 65376, '\p{Is_Dt=nar}', "");
Expect(1, 65376, '\p{^Is_Dt=nar}', "");
Expect(1, 65376, '\P{Is_Dt=nar}', "");
Expect(0, 65376, '\P{^Is_Dt=nar}', "");
Error('\p{Decomposition_Type=__Sub/a/}');
Error('\P{Decomposition_Type=__Sub/a/}');
Expect(1, 7530, '\p{Decomposition_Type=sub}', "");
Expect(0, 7530, '\p{^Decomposition_Type=sub}', "");
Expect(0, 7530, '\P{Decomposition_Type=sub}', "");
Expect(1, 7530, '\P{^Decomposition_Type=sub}', "");
Expect(0, 7521, '\p{Decomposition_Type=sub}', "");
Expect(1, 7521, '\p{^Decomposition_Type=sub}', "");
Expect(1, 7521, '\P{Decomposition_Type=sub}', "");
Expect(0, 7521, '\P{^Decomposition_Type=sub}', "");
Expect(1, 7530, '\p{Decomposition_Type:	 Sub}', "");
Expect(0, 7530, '\p{^Decomposition_Type:	 Sub}', "");
Expect(0, 7530, '\P{Decomposition_Type:	 Sub}', "");
Expect(1, 7530, '\P{^Decomposition_Type:	 Sub}', "");
Expect(0, 7521, '\p{Decomposition_Type:	 Sub}', "");
Expect(1, 7521, '\p{^Decomposition_Type:	 Sub}', "");
Expect(1, 7521, '\P{Decomposition_Type:	 Sub}', "");
Expect(0, 7521, '\P{^Decomposition_Type:	 Sub}', "");
Error('\p{Dt=-/a/SUB}');
Error('\P{Dt=-/a/SUB}');
Expect(1, 7530, '\p{Dt=sub}', "");
Expect(0, 7530, '\p{^Dt=sub}', "");
Expect(0, 7530, '\P{Dt=sub}', "");
Expect(1, 7530, '\P{^Dt=sub}', "");
Expect(0, 7521, '\p{Dt=sub}', "");
Expect(1, 7521, '\p{^Dt=sub}', "");
Expect(1, 7521, '\P{Dt=sub}', "");
Expect(0, 7521, '\P{^Dt=sub}', "");
Expect(1, 7530, '\p{Dt=-_Sub}', "");
Expect(0, 7530, '\p{^Dt=-_Sub}', "");
Expect(0, 7530, '\P{Dt=-_Sub}', "");
Expect(1, 7530, '\P{^Dt=-_Sub}', "");
Expect(0, 7521, '\p{Dt=-_Sub}', "");
Expect(1, 7521, '\p{^Dt=-_Sub}', "");
Expect(1, 7521, '\P{Dt=-_Sub}', "");
Expect(0, 7521, '\P{^Dt=-_Sub}', "");
Error('\p{Is_Decomposition_Type=	/a/sub}');
Error('\P{Is_Decomposition_Type=	/a/sub}');
Expect(1, 7530, '\p{Is_Decomposition_Type=sub}', "");
Expect(0, 7530, '\p{^Is_Decomposition_Type=sub}', "");
Expect(0, 7530, '\P{Is_Decomposition_Type=sub}', "");
Expect(1, 7530, '\P{^Is_Decomposition_Type=sub}', "");
Expect(0, 7521, '\p{Is_Decomposition_Type=sub}', "");
Expect(1, 7521, '\p{^Is_Decomposition_Type=sub}', "");
Expect(1, 7521, '\P{Is_Decomposition_Type=sub}', "");
Expect(0, 7521, '\P{^Is_Decomposition_Type=sub}', "");
Expect(1, 7530, '\p{Is_Decomposition_Type=_-sub}', "");
Expect(0, 7530, '\p{^Is_Decomposition_Type=_-sub}', "");
Expect(0, 7530, '\P{Is_Decomposition_Type=_-sub}', "");
Expect(1, 7530, '\P{^Is_Decomposition_Type=_-sub}', "");
Expect(0, 7521, '\p{Is_Decomposition_Type=_-sub}', "");
Expect(1, 7521, '\p{^Is_Decomposition_Type=_-sub}', "");
Expect(1, 7521, '\P{Is_Decomposition_Type=_-sub}', "");
Expect(0, 7521, '\P{^Is_Decomposition_Type=_-sub}', "");
Error('\p{Is_Dt=_/a/Sub}');
Error('\P{Is_Dt=_/a/Sub}');
Expect(1, 7530, '\p{Is_Dt=sub}', "");
Expect(0, 7530, '\p{^Is_Dt=sub}', "");
Expect(0, 7530, '\P{Is_Dt=sub}', "");
Expect(1, 7530, '\P{^Is_Dt=sub}', "");
Expect(0, 7521, '\p{Is_Dt=sub}', "");
Expect(1, 7521, '\p{^Is_Dt=sub}', "");
Expect(1, 7521, '\P{Is_Dt=sub}', "");
Expect(0, 7521, '\P{^Is_Dt=sub}', "");
Expect(1, 7530, '\p{Is_Dt=_ Sub}', "");
Expect(0, 7530, '\p{^Is_Dt=_ Sub}', "");
Expect(0, 7530, '\P{Is_Dt=_ Sub}', "");
Expect(1, 7530, '\P{^Is_Dt=_ Sub}', "");
Expect(0, 7521, '\p{Is_Dt=_ Sub}', "");
Expect(1, 7521, '\p{^Is_Dt=_ Sub}', "");
Expect(1, 7521, '\P{Is_Dt=_ Sub}', "");
Expect(0, 7521, '\P{^Is_Dt=_ Sub}', "");
Error('\p{Decomposition_Type= -Square:=}');
Error('\P{Decomposition_Type= -Square:=}');
Expect(1, 12880, '\p{Decomposition_Type:square}', "");
Expect(0, 12880, '\p{^Decomposition_Type:square}', "");
Expect(0, 12880, '\P{Decomposition_Type:square}', "");
Expect(1, 12880, '\P{^Decomposition_Type:square}', "");
Expect(0, 12879, '\p{Decomposition_Type:square}', "");
Expect(1, 12879, '\p{^Decomposition_Type:square}', "");
Expect(1, 12879, '\P{Decomposition_Type:square}', "");
Expect(0, 12879, '\P{^Decomposition_Type:square}', "");
Expect(1, 12880, '\p{Decomposition_Type=_	SQUARE}', "");
Expect(0, 12880, '\p{^Decomposition_Type=_	SQUARE}', "");
Expect(0, 12880, '\P{Decomposition_Type=_	SQUARE}', "");
Expect(1, 12880, '\P{^Decomposition_Type=_	SQUARE}', "");
Expect(0, 12879, '\p{Decomposition_Type=_	SQUARE}', "");
Expect(1, 12879, '\p{^Decomposition_Type=_	SQUARE}', "");
Expect(1, 12879, '\P{Decomposition_Type=_	SQUARE}', "");
Expect(0, 12879, '\P{^Decomposition_Type=_	SQUARE}', "");
Error('\p{Dt=/a/-	Sqr}');
Error('\P{Dt=/a/-	Sqr}');
Expect(1, 12880, '\p{Dt=sqr}', "");
Expect(0, 12880, '\p{^Dt=sqr}', "");
Expect(0, 12880, '\P{Dt=sqr}', "");
Expect(1, 12880, '\P{^Dt=sqr}', "");
Expect(0, 12879, '\p{Dt=sqr}', "");
Expect(1, 12879, '\p{^Dt=sqr}', "");
Expect(1, 12879, '\P{Dt=sqr}', "");
Expect(0, 12879, '\P{^Dt=sqr}', "");
Expect(1, 12880, '\p{Dt: 	sqr}', "");
Expect(0, 12880, '\p{^Dt: 	sqr}', "");
Expect(0, 12880, '\P{Dt: 	sqr}', "");
Expect(1, 12880, '\P{^Dt: 	sqr}', "");
Expect(0, 12879, '\p{Dt: 	sqr}', "");
Expect(1, 12879, '\p{^Dt: 	sqr}', "");
Expect(1, 12879, '\P{Dt: 	sqr}', "");
Expect(0, 12879, '\P{^Dt: 	sqr}', "");
Error('\p{Is_Decomposition_Type=-/a/Square}');
Error('\P{Is_Decomposition_Type=-/a/Square}');
Expect(1, 12880, '\p{Is_Decomposition_Type=square}', "");
Expect(0, 12880, '\p{^Is_Decomposition_Type=square}', "");
Expect(0, 12880, '\P{Is_Decomposition_Type=square}', "");
Expect(1, 12880, '\P{^Is_Decomposition_Type=square}', "");
Expect(0, 12879, '\p{Is_Decomposition_Type=square}', "");
Expect(1, 12879, '\p{^Is_Decomposition_Type=square}', "");
Expect(1, 12879, '\P{Is_Decomposition_Type=square}', "");
Expect(0, 12879, '\P{^Is_Decomposition_Type=square}', "");
Expect(1, 12880, '\p{Is_Decomposition_Type= -Square}', "");
Expect(0, 12880, '\p{^Is_Decomposition_Type= -Square}', "");
Expect(0, 12880, '\P{Is_Decomposition_Type= -Square}', "");
Expect(1, 12880, '\P{^Is_Decomposition_Type= -Square}', "");
Expect(0, 12879, '\p{Is_Decomposition_Type= -Square}', "");
Expect(1, 12879, '\p{^Is_Decomposition_Type= -Square}', "");
Expect(1, 12879, '\P{Is_Decomposition_Type= -Square}', "");
Expect(0, 12879, '\P{^Is_Decomposition_Type= -Square}', "");
Error('\p{Is_Dt=:= sqr}');
Error('\P{Is_Dt=:= sqr}');
Expect(1, 12880, '\p{Is_Dt=sqr}', "");
Expect(0, 12880, '\p{^Is_Dt=sqr}', "");
Expect(0, 12880, '\P{Is_Dt=sqr}', "");
Expect(1, 12880, '\P{^Is_Dt=sqr}', "");
Expect(0, 12879, '\p{Is_Dt=sqr}', "");
Expect(1, 12879, '\p{^Is_Dt=sqr}', "");
Expect(1, 12879, '\P{Is_Dt=sqr}', "");
Expect(0, 12879, '\P{^Is_Dt=sqr}', "");
Expect(1, 12880, '\p{Is_Dt: -Sqr}', "");
Expect(0, 12880, '\p{^Is_Dt: -Sqr}', "");
Expect(0, 12880, '\P{Is_Dt: -Sqr}', "");
Expect(1, 12880, '\P{^Is_Dt: -Sqr}', "");
Expect(0, 12879, '\p{Is_Dt: -Sqr}', "");
Expect(1, 12879, '\p{^Is_Dt: -Sqr}', "");
Expect(1, 12879, '\P{Is_Dt: -Sqr}', "");
Expect(0, 12879, '\P{^Is_Dt: -Sqr}', "");
Error('\p{Decomposition_Type=_:=Small}');
Error('\P{Decomposition_Type=_:=Small}');
Expect(1, 65106, '\p{Decomposition_Type=small}', "");
Expect(0, 65106, '\p{^Decomposition_Type=small}', "");
Expect(0, 65106, '\P{Decomposition_Type=small}', "");
Expect(1, 65106, '\P{^Decomposition_Type=small}', "");
Expect(0, 65103, '\p{Decomposition_Type=small}', "");
Expect(1, 65103, '\p{^Decomposition_Type=small}', "");
Expect(1, 65103, '\P{Decomposition_Type=small}', "");
Expect(0, 65103, '\P{^Decomposition_Type=small}', "");
Expect(1, 65106, '\p{Decomposition_Type=--Small}', "");
Expect(0, 65106, '\p{^Decomposition_Type=--Small}', "");
Expect(0, 65106, '\P{Decomposition_Type=--Small}', "");
Expect(1, 65106, '\P{^Decomposition_Type=--Small}', "");
Expect(0, 65103, '\p{Decomposition_Type=--Small}', "");
Expect(1, 65103, '\p{^Decomposition_Type=--Small}', "");
Expect(1, 65103, '\P{Decomposition_Type=--Small}', "");
Expect(0, 65103, '\P{^Decomposition_Type=--Small}', "");
Error('\p{Dt=/a/_-sml}');
Error('\P{Dt=/a/_-sml}');
Expect(1, 65106, '\p{Dt=sml}', "");
Expect(0, 65106, '\p{^Dt=sml}', "");
Expect(0, 65106, '\P{Dt=sml}', "");
Expect(1, 65106, '\P{^Dt=sml}', "");
Expect(0, 65103, '\p{Dt=sml}', "");
Expect(1, 65103, '\p{^Dt=sml}', "");
Expect(1, 65103, '\P{Dt=sml}', "");
Expect(0, 65103, '\P{^Dt=sml}', "");
Expect(1, 65106, '\p{Dt=_ SML}', "");
Expect(0, 65106, '\p{^Dt=_ SML}', "");
Expect(0, 65106, '\P{Dt=_ SML}', "");
Expect(1, 65106, '\P{^Dt=_ SML}', "");
Expect(0, 65103, '\p{Dt=_ SML}', "");
Expect(1, 65103, '\p{^Dt=_ SML}', "");
Expect(1, 65103, '\P{Dt=_ SML}', "");
Expect(0, 65103, '\P{^Dt=_ SML}', "");
Error('\p{Is_Decomposition_Type=/a/__SMALL}');
Error('\P{Is_Decomposition_Type=/a/__SMALL}');
Expect(1, 65106, '\p{Is_Decomposition_Type=small}', "");
Expect(0, 65106, '\p{^Is_Decomposition_Type=small}', "");
Expect(0, 65106, '\P{Is_Decomposition_Type=small}', "");
Expect(1, 65106, '\P{^Is_Decomposition_Type=small}', "");
Expect(0, 65103, '\p{Is_Decomposition_Type=small}', "");
Expect(1, 65103, '\p{^Is_Decomposition_Type=small}', "");
Expect(1, 65103, '\P{Is_Decomposition_Type=small}', "");
Expect(0, 65103, '\P{^Is_Decomposition_Type=small}', "");
Expect(1, 65106, '\p{Is_Decomposition_Type=_small}', "");
Expect(0, 65106, '\p{^Is_Decomposition_Type=_small}', "");
Expect(0, 65106, '\P{Is_Decomposition_Type=_small}', "");
Expect(1, 65106, '\P{^Is_Decomposition_Type=_small}', "");
Expect(0, 65103, '\p{Is_Decomposition_Type=_small}', "");
Expect(1, 65103, '\p{^Is_Decomposition_Type=_small}', "");
Expect(1, 65103, '\P{Is_Decomposition_Type=_small}', "");
Expect(0, 65103, '\P{^Is_Decomposition_Type=_small}', "");
Error('\p{Is_Dt=_Sml/a/}');
Error('\P{Is_Dt=_Sml/a/}');
Expect(1, 65106, '\p{Is_Dt=sml}', "");
Expect(0, 65106, '\p{^Is_Dt=sml}', "");
Expect(0, 65106, '\P{Is_Dt=sml}', "");
Expect(1, 65106, '\P{^Is_Dt=sml}', "");
Expect(0, 65103, '\p{Is_Dt=sml}', "");
Expect(1, 65103, '\p{^Is_Dt=sml}', "");
Expect(1, 65103, '\P{Is_Dt=sml}', "");
Expect(0, 65103, '\P{^Is_Dt=sml}', "");
Expect(1, 65106, '\p{Is_Dt=-Sml}', "");
Expect(0, 65106, '\p{^Is_Dt=-Sml}', "");
Expect(0, 65106, '\P{Is_Dt=-Sml}', "");
Expect(1, 65106, '\P{^Is_Dt=-Sml}', "");
Expect(0, 65103, '\p{Is_Dt=-Sml}', "");
Expect(1, 65103, '\p{^Is_Dt=-Sml}', "");
Expect(1, 65103, '\P{Is_Dt=-Sml}', "");
Expect(0, 65103, '\P{^Is_Dt=-Sml}', "");
Error('\p{Decomposition_Type=_ NONE:=}');
Error('\P{Decomposition_Type=_ NONE:=}');
Expect(1, 159, '\p{Decomposition_Type=none}', "");
Expect(0, 159, '\p{^Decomposition_Type=none}', "");
Expect(0, 159, '\P{Decomposition_Type=none}', "");
Expect(1, 159, '\P{^Decomposition_Type=none}', "");
Expect(0, 160, '\p{Decomposition_Type=none}', "");
Expect(1, 160, '\p{^Decomposition_Type=none}', "");
Expect(1, 160, '\P{Decomposition_Type=none}', "");
Expect(0, 160, '\P{^Decomposition_Type=none}', "");
Expect(1, 159, '\p{Decomposition_Type: None}', "");
Expect(0, 159, '\p{^Decomposition_Type: None}', "");
Expect(0, 159, '\P{Decomposition_Type: None}', "");
Expect(1, 159, '\P{^Decomposition_Type: None}', "");
Expect(0, 160, '\p{Decomposition_Type: None}', "");
Expect(1, 160, '\p{^Decomposition_Type: None}', "");
Expect(1, 160, '\P{Decomposition_Type: None}', "");
Expect(0, 160, '\P{^Decomposition_Type: None}', "");
Error('\p{Dt= :=None}');
Error('\P{Dt= :=None}');
Expect(1, 159, '\p{Dt=none}', "");
Expect(0, 159, '\p{^Dt=none}', "");
Expect(0, 159, '\P{Dt=none}', "");
Expect(1, 159, '\P{^Dt=none}', "");
Expect(0, 160, '\p{Dt=none}', "");
Expect(1, 160, '\p{^Dt=none}', "");
Expect(1, 160, '\P{Dt=none}', "");
Expect(0, 160, '\P{^Dt=none}', "");
Expect(1, 159, '\p{Dt=_	None}', "");
Expect(0, 159, '\p{^Dt=_	None}', "");
Expect(0, 159, '\P{Dt=_	None}', "");
Expect(1, 159, '\P{^Dt=_	None}', "");
Expect(0, 160, '\p{Dt=_	None}', "");
Expect(1, 160, '\p{^Dt=_	None}', "");
Expect(1, 160, '\P{Dt=_	None}', "");
Expect(0, 160, '\P{^Dt=_	None}', "");
Error('\p{Is_Decomposition_Type=_ None/a/}');
Error('\P{Is_Decomposition_Type=_ None/a/}');
Expect(1, 159, '\p{Is_Decomposition_Type=none}', "");
Expect(0, 159, '\p{^Is_Decomposition_Type=none}', "");
Expect(0, 159, '\P{Is_Decomposition_Type=none}', "");
Expect(1, 159, '\P{^Is_Decomposition_Type=none}', "");
Expect(0, 160, '\p{Is_Decomposition_Type=none}', "");
Expect(1, 160, '\p{^Is_Decomposition_Type=none}', "");
Expect(1, 160, '\P{Is_Decomposition_Type=none}', "");
Expect(0, 160, '\P{^Is_Decomposition_Type=none}', "");
Expect(1, 159, '\p{Is_Decomposition_Type=-None}', "");
Expect(0, 159, '\p{^Is_Decomposition_Type=-None}', "");
Expect(0, 159, '\P{Is_Decomposition_Type=-None}', "");
Expect(1, 159, '\P{^Is_Decomposition_Type=-None}', "");
Expect(0, 160, '\p{Is_Decomposition_Type=-None}', "");
Expect(1, 160, '\p{^Is_Decomposition_Type=-None}', "");
Expect(1, 160, '\P{Is_Decomposition_Type=-None}', "");
Expect(0, 160, '\P{^Is_Decomposition_Type=-None}', "");
Error('\p{Is_Dt=:=_NONE}');
Error('\P{Is_Dt=:=_NONE}');
Expect(1, 159, '\p{Is_Dt=none}', "");
Expect(0, 159, '\p{^Is_Dt=none}', "");
Expect(0, 159, '\P{Is_Dt=none}', "");
Expect(1, 159, '\P{^Is_Dt=none}', "");
Expect(0, 160, '\p{Is_Dt=none}', "");
Expect(1, 160, '\p{^Is_Dt=none}', "");
Expect(1, 160, '\P{Is_Dt=none}', "");
Expect(0, 160, '\P{^Is_Dt=none}', "");
Expect(1, 159, '\p{Is_Dt=	-NONE}', "");
Expect(0, 159, '\p{^Is_Dt=	-NONE}', "");
Expect(0, 159, '\P{Is_Dt=	-NONE}', "");
Expect(1, 159, '\P{^Is_Dt=	-NONE}', "");
Expect(0, 160, '\p{Is_Dt=	-NONE}', "");
Expect(1, 160, '\p{^Is_Dt=	-NONE}', "");
Expect(1, 160, '\P{Is_Dt=	-NONE}', "");
Expect(0, 160, '\P{^Is_Dt=	-NONE}', "");
Error('\p{Decomposition_Type:	:=	Isolated}');
Error('\P{Decomposition_Type:	:=	Isolated}');
Expect(1, 64336, '\p{Decomposition_Type=isolated}', "");
Expect(0, 64336, '\p{^Decomposition_Type=isolated}', "");
Expect(0, 64336, '\P{Decomposition_Type=isolated}', "");
Expect(1, 64336, '\P{^Decomposition_Type=isolated}', "");
Expect(0, 64335, '\p{Decomposition_Type=isolated}', "");
Expect(1, 64335, '\p{^Decomposition_Type=isolated}', "");
Expect(1, 64335, '\P{Decomposition_Type=isolated}', "");
Expect(0, 64335, '\P{^Decomposition_Type=isolated}', "");
Expect(1, 64336, '\p{Decomposition_Type=_isolated}', "");
Expect(0, 64336, '\p{^Decomposition_Type=_isolated}', "");
Expect(0, 64336, '\P{Decomposition_Type=_isolated}', "");
Expect(1, 64336, '\P{^Decomposition_Type=_isolated}', "");
Expect(0, 64335, '\p{Decomposition_Type=_isolated}', "");
Expect(1, 64335, '\p{^Decomposition_Type=_isolated}', "");
Expect(1, 64335, '\P{Decomposition_Type=_isolated}', "");
Expect(0, 64335, '\P{^Decomposition_Type=_isolated}', "");
Error('\p{Dt=/a/__Iso}');
Error('\P{Dt=/a/__Iso}');
Expect(1, 64336, '\p{Dt=iso}', "");
Expect(0, 64336, '\p{^Dt=iso}', "");
Expect(0, 64336, '\P{Dt=iso}', "");
Expect(1, 64336, '\P{^Dt=iso}', "");
Expect(0, 64335, '\p{Dt=iso}', "");
Expect(1, 64335, '\p{^Dt=iso}', "");
Expect(1, 64335, '\P{Dt=iso}', "");
Expect(0, 64335, '\P{^Dt=iso}', "");
Expect(1, 64336, '\p{Dt=_ ISO}', "");
Expect(0, 64336, '\p{^Dt=_ ISO}', "");
Expect(0, 64336, '\P{Dt=_ ISO}', "");
Expect(1, 64336, '\P{^Dt=_ ISO}', "");
Expect(0, 64335, '\p{Dt=_ ISO}', "");
Expect(1, 64335, '\p{^Dt=_ ISO}', "");
Expect(1, 64335, '\P{Dt=_ ISO}', "");
Expect(0, 64335, '\P{^Dt=_ ISO}', "");
Error('\p{Is_Decomposition_Type= /a/Isolated}');
Error('\P{Is_Decomposition_Type= /a/Isolated}');
Expect(1, 64336, '\p{Is_Decomposition_Type=isolated}', "");
Expect(0, 64336, '\p{^Is_Decomposition_Type=isolated}', "");
Expect(0, 64336, '\P{Is_Decomposition_Type=isolated}', "");
Expect(1, 64336, '\P{^Is_Decomposition_Type=isolated}', "");
Expect(0, 64335, '\p{Is_Decomposition_Type=isolated}', "");
Expect(1, 64335, '\p{^Is_Decomposition_Type=isolated}', "");
Expect(1, 64335, '\P{Is_Decomposition_Type=isolated}', "");
Expect(0, 64335, '\P{^Is_Decomposition_Type=isolated}', "");
Expect(1, 64336, '\p{Is_Decomposition_Type= _isolated}', "");
Expect(0, 64336, '\p{^Is_Decomposition_Type= _isolated}', "");
Expect(0, 64336, '\P{Is_Decomposition_Type= _isolated}', "");
Expect(1, 64336, '\P{^Is_Decomposition_Type= _isolated}', "");
Expect(0, 64335, '\p{Is_Decomposition_Type= _isolated}', "");
Expect(1, 64335, '\p{^Is_Decomposition_Type= _isolated}', "");
Expect(1, 64335, '\P{Is_Decomposition_Type= _isolated}', "");
Expect(0, 64335, '\P{^Is_Decomposition_Type= _isolated}', "");
Error('\p{Is_Dt=:= Iso}');
Error('\P{Is_Dt=:= Iso}');
Expect(1, 64336, '\p{Is_Dt=iso}', "");
Expect(0, 64336, '\p{^Is_Dt=iso}', "");
Expect(0, 64336, '\P{Is_Dt=iso}', "");
Expect(1, 64336, '\P{^Is_Dt=iso}', "");
Expect(0, 64335, '\p{Is_Dt=iso}', "");
Expect(1, 64335, '\p{^Is_Dt=iso}', "");
Expect(1, 64335, '\P{Is_Dt=iso}', "");
Expect(0, 64335, '\P{^Is_Dt=iso}', "");
Expect(1, 64336, '\p{Is_Dt= 	ISO}', "");
Expect(0, 64336, '\p{^Is_Dt= 	ISO}', "");
Expect(0, 64336, '\P{Is_Dt= 	ISO}', "");
Expect(1, 64336, '\P{^Is_Dt= 	ISO}', "");
Expect(0, 64335, '\p{Is_Dt= 	ISO}', "");
Expect(1, 64335, '\p{^Is_Dt= 	ISO}', "");
Expect(1, 64335, '\P{Is_Dt= 	ISO}', "");
Expect(0, 64335, '\P{^Is_Dt= 	ISO}', "");
Error('\p{Decomposition_Type=	/a/compat}');
Error('\P{Decomposition_Type=	/a/compat}');
Expect(1, 168, '\p{Decomposition_Type=compat}', "");
Expect(0, 168, '\p{^Decomposition_Type=compat}', "");
Expect(0, 168, '\P{Decomposition_Type=compat}', "");
Expect(1, 168, '\P{^Decomposition_Type=compat}', "");
Expect(0, 167, '\p{Decomposition_Type=compat}', "");
Expect(1, 167, '\p{^Decomposition_Type=compat}', "");
Expect(1, 167, '\P{Decomposition_Type=compat}', "");
Expect(0, 167, '\P{^Decomposition_Type=compat}', "");
Expect(1, 168, '\p{Decomposition_Type=__Compat}', "");
Expect(0, 168, '\p{^Decomposition_Type=__Compat}', "");
Expect(0, 168, '\P{Decomposition_Type=__Compat}', "");
Expect(1, 168, '\P{^Decomposition_Type=__Compat}', "");
Expect(0, 167, '\p{Decomposition_Type=__Compat}', "");
Expect(1, 167, '\p{^Decomposition_Type=__Compat}', "");
Expect(1, 167, '\P{Decomposition_Type=__Compat}', "");
Expect(0, 167, '\P{^Decomposition_Type=__Compat}', "");
Error('\p{Dt=_:=Com}');
Error('\P{Dt=_:=Com}');
Expect(1, 168, '\p{Dt=com}', "");
Expect(0, 168, '\p{^Dt=com}', "");
Expect(0, 168, '\P{Dt=com}', "");
Expect(1, 168, '\P{^Dt=com}', "");
Expect(0, 167, '\p{Dt=com}', "");
Expect(1, 167, '\p{^Dt=com}', "");
Expect(1, 167, '\P{Dt=com}', "");
Expect(0, 167, '\P{^Dt=com}', "");
Expect(1, 168, '\p{Dt=_Com}', "");
Expect(0, 168, '\p{^Dt=_Com}', "");
Expect(0, 168, '\P{Dt=_Com}', "");
Expect(1, 168, '\P{^Dt=_Com}', "");
Expect(0, 167, '\p{Dt=_Com}', "");
Expect(1, 167, '\p{^Dt=_Com}', "");
Expect(1, 167, '\P{Dt=_Com}', "");
Expect(0, 167, '\P{^Dt=_Com}', "");
Error('\p{Is_Decomposition_Type=/a/ _Compat}');
Error('\P{Is_Decomposition_Type=/a/ _Compat}');
Expect(1, 168, '\p{Is_Decomposition_Type=compat}', "");
Expect(0, 168, '\p{^Is_Decomposition_Type=compat}', "");
Expect(0, 168, '\P{Is_Decomposition_Type=compat}', "");
Expect(1, 168, '\P{^Is_Decomposition_Type=compat}', "");
Expect(0, 167, '\p{Is_Decomposition_Type=compat}', "");
Expect(1, 167, '\p{^Is_Decomposition_Type=compat}', "");
Expect(1, 167, '\P{Is_Decomposition_Type=compat}', "");
Expect(0, 167, '\P{^Is_Decomposition_Type=compat}', "");
Expect(1, 168, '\p{Is_Decomposition_Type=_Compat}', "");
Expect(0, 168, '\p{^Is_Decomposition_Type=_Compat}', "");
Expect(0, 168, '\P{Is_Decomposition_Type=_Compat}', "");
Expect(1, 168, '\P{^Is_Decomposition_Type=_Compat}', "");
Expect(0, 167, '\p{Is_Decomposition_Type=_Compat}', "");
Expect(1, 167, '\p{^Is_Decomposition_Type=_Compat}', "");
Expect(1, 167, '\P{Is_Decomposition_Type=_Compat}', "");
Expect(0, 167, '\P{^Is_Decomposition_Type=_Compat}', "");
Error('\p{Is_Dt=:= Com}');
Error('\P{Is_Dt=:= Com}');
Expect(1, 168, '\p{Is_Dt=com}', "");
Expect(0, 168, '\p{^Is_Dt=com}', "");
Expect(0, 168, '\P{Is_Dt=com}', "");
Expect(1, 168, '\P{^Is_Dt=com}', "");
Expect(0, 167, '\p{Is_Dt=com}', "");
Expect(1, 167, '\p{^Is_Dt=com}', "");
Expect(1, 167, '\P{Is_Dt=com}', "");
Expect(0, 167, '\P{^Is_Dt=com}', "");
Expect(1, 168, '\p{Is_Dt=-Com}', "");
Expect(0, 168, '\p{^Is_Dt=-Com}', "");
Expect(0, 168, '\P{Is_Dt=-Com}', "");
Expect(1, 168, '\P{^Is_Dt=-Com}', "");
Expect(0, 167, '\p{Is_Dt=-Com}', "");
Expect(1, 167, '\p{^Is_Dt=-Com}', "");
Expect(1, 167, '\P{Is_Dt=-Com}', "");
Expect(0, 167, '\P{^Is_Dt=-Com}', "");
Error('\p{Decomposition_Type=:=  Super}');
Error('\P{Decomposition_Type=:=  Super}');
Expect(1, 170, '\p{Decomposition_Type=super}', "");
Expect(0, 170, '\p{^Decomposition_Type=super}', "");
Expect(0, 170, '\P{Decomposition_Type=super}', "");
Expect(1, 170, '\P{^Decomposition_Type=super}', "");
Expect(0, 169, '\p{Decomposition_Type=super}', "");
Expect(1, 169, '\p{^Decomposition_Type=super}', "");
Expect(1, 169, '\P{Decomposition_Type=super}', "");
Expect(0, 169, '\P{^Decomposition_Type=super}', "");
Expect(1, 170, '\p{Decomposition_Type=-	Super}', "");
Expect(0, 170, '\p{^Decomposition_Type=-	Super}', "");
Expect(0, 170, '\P{Decomposition_Type=-	Super}', "");
Expect(1, 170, '\P{^Decomposition_Type=-	Super}', "");
Expect(0, 169, '\p{Decomposition_Type=-	Super}', "");
Expect(1, 169, '\p{^Decomposition_Type=-	Super}', "");
Expect(1, 169, '\P{Decomposition_Type=-	Super}', "");
Expect(0, 169, '\P{^Decomposition_Type=-	Super}', "");
Error('\p{Dt=:= 	Sup}');
Error('\P{Dt=:= 	Sup}');
Expect(1, 170, '\p{Dt=sup}', "");
Expect(0, 170, '\p{^Dt=sup}', "");
Expect(0, 170, '\P{Dt=sup}', "");
Expect(1, 170, '\P{^Dt=sup}', "");
Expect(0, 169, '\p{Dt=sup}', "");
Expect(1, 169, '\p{^Dt=sup}', "");
Expect(1, 169, '\P{Dt=sup}', "");
Expect(0, 169, '\P{^Dt=sup}', "");
Expect(1, 170, '\p{Dt=_ Sup}', "");
Expect(0, 170, '\p{^Dt=_ Sup}', "");
Expect(0, 170, '\P{Dt=_ Sup}', "");
Expect(1, 170, '\P{^Dt=_ Sup}', "");
Expect(0, 169, '\p{Dt=_ Sup}', "");
Expect(1, 169, '\p{^Dt=_ Sup}', "");
Expect(1, 169, '\P{Dt=_ Sup}', "");
Expect(0, 169, '\P{^Dt=_ Sup}', "");
Error('\p{Is_Decomposition_Type:	-/a/Super}');
Error('\P{Is_Decomposition_Type:	-/a/Super}');
Expect(1, 170, '\p{Is_Decomposition_Type=super}', "");
Expect(0, 170, '\p{^Is_Decomposition_Type=super}', "");
Expect(0, 170, '\P{Is_Decomposition_Type=super}', "");
Expect(1, 170, '\P{^Is_Decomposition_Type=super}', "");
Expect(0, 169, '\p{Is_Decomposition_Type=super}', "");
Expect(1, 169, '\p{^Is_Decomposition_Type=super}', "");
Expect(1, 169, '\P{Is_Decomposition_Type=super}', "");
Expect(0, 169, '\P{^Is_Decomposition_Type=super}', "");
Expect(1, 170, '\p{Is_Decomposition_Type=_	super}', "");
Expect(0, 170, '\p{^Is_Decomposition_Type=_	super}', "");
Expect(0, 170, '\P{Is_Decomposition_Type=_	super}', "");
Expect(1, 170, '\P{^Is_Decomposition_Type=_	super}', "");
Expect(0, 169, '\p{Is_Decomposition_Type=_	super}', "");
Expect(1, 169, '\p{^Is_Decomposition_Type=_	super}', "");
Expect(1, 169, '\P{Is_Decomposition_Type=_	super}', "");
Expect(0, 169, '\P{^Is_Decomposition_Type=_	super}', "");
Error('\p{Is_Dt:   := sup}');
Error('\P{Is_Dt:   := sup}');
Expect(1, 170, '\p{Is_Dt=sup}', "");
Expect(0, 170, '\p{^Is_Dt=sup}', "");
Expect(0, 170, '\P{Is_Dt=sup}', "");
Expect(1, 170, '\P{^Is_Dt=sup}', "");
Expect(0, 169, '\p{Is_Dt=sup}', "");
Expect(1, 169, '\p{^Is_Dt=sup}', "");
Expect(1, 169, '\P{Is_Dt=sup}', "");
Expect(0, 169, '\P{^Is_Dt=sup}', "");
Expect(1, 170, '\p{Is_Dt= SUP}', "");
Expect(0, 170, '\p{^Is_Dt= SUP}', "");
Expect(0, 170, '\P{Is_Dt= SUP}', "");
Expect(1, 170, '\P{^Is_Dt= SUP}', "");
Expect(0, 169, '\p{Is_Dt= SUP}', "");
Expect(1, 169, '\p{^Is_Dt= SUP}', "");
Expect(1, 169, '\P{Is_Dt= SUP}', "");
Expect(0, 169, '\P{^Is_Dt= SUP}', "");
Error('\p{Other_Math=__Yes:=}');
Error('\P{Other_Math=__Yes:=}');
Expect(1, 94, '\p{Other_Math=yes}', 'deprecated');
Expect(0, 94, '\p{^Other_Math=yes}', 'deprecated');
Expect(0, 94, '\P{Other_Math=yes}', 'deprecated');
Expect(1, 94, '\P{^Other_Math=yes}', 'deprecated');
Expect(0, 93, '\p{Other_Math=yes}', 'deprecated');
Expect(1, 93, '\p{^Other_Math=yes}', 'deprecated');
Expect(1, 93, '\P{Other_Math=yes}', 'deprecated');
Expect(0, 93, '\P{^Other_Math=yes}', 'deprecated');
Expect(1, 94, '\p{Other_Math= 	Yes}', 'deprecated');
Expect(0, 94, '\p{^Other_Math= 	Yes}', 'deprecated');
Expect(0, 94, '\P{Other_Math= 	Yes}', 'deprecated');
Expect(1, 94, '\P{^Other_Math= 	Yes}', 'deprecated');
Expect(0, 93, '\p{Other_Math= 	Yes}', 'deprecated');
Expect(1, 93, '\p{^Other_Math= 	Yes}', 'deprecated');
Expect(1, 93, '\P{Other_Math= 	Yes}', 'deprecated');
Expect(0, 93, '\P{^Other_Math= 	Yes}', 'deprecated');
Error('\p{OMath=:=_y}');
Error('\P{OMath=:=_y}');
Expect(1, 94, '\p{OMath=y}', 'deprecated');
Expect(0, 94, '\p{^OMath=y}', 'deprecated');
Expect(0, 94, '\P{OMath=y}', 'deprecated');
Expect(1, 94, '\P{^OMath=y}', 'deprecated');
Expect(0, 93, '\p{OMath=y}', 'deprecated');
Expect(1, 93, '\p{^OMath=y}', 'deprecated');
Expect(1, 93, '\P{OMath=y}', 'deprecated');
Expect(0, 93, '\P{^OMath=y}', 'deprecated');
Expect(1, 94, '\p{OMath= 	Y}', 'deprecated');
Expect(0, 94, '\p{^OMath= 	Y}', 'deprecated');
Expect(0, 94, '\P{OMath= 	Y}', 'deprecated');
Expect(1, 94, '\P{^OMath= 	Y}', 'deprecated');
Expect(0, 93, '\p{OMath= 	Y}', 'deprecated');
Expect(1, 93, '\p{^OMath= 	Y}', 'deprecated');
Expect(1, 93, '\P{OMath= 	Y}', 'deprecated');
Expect(0, 93, '\P{^OMath= 	Y}', 'deprecated');
Error('\p{Is_Other_Math=-:=t}');
Error('\P{Is_Other_Math=-:=t}');
Expect(1, 94, '\p{Is_Other_Math=t}', 'deprecated');
Expect(0, 94, '\p{^Is_Other_Math=t}', 'deprecated');
Expect(0, 94, '\P{Is_Other_Math=t}', 'deprecated');
Expect(1, 94, '\P{^Is_Other_Math=t}', 'deprecated');
Expect(0, 93, '\p{Is_Other_Math=t}', 'deprecated');
Expect(1, 93, '\p{^Is_Other_Math=t}', 'deprecated');
Expect(1, 93, '\P{Is_Other_Math=t}', 'deprecated');
Expect(0, 93, '\P{^Is_Other_Math=t}', 'deprecated');
Expect(1, 94, '\p{Is_Other_Math:	_ t}', 'deprecated');
Expect(0, 94, '\p{^Is_Other_Math:	_ t}', 'deprecated');
Expect(0, 94, '\P{Is_Other_Math:	_ t}', 'deprecated');
Expect(1, 94, '\P{^Is_Other_Math:	_ t}', 'deprecated');
Expect(0, 93, '\p{Is_Other_Math:	_ t}', 'deprecated');
Expect(1, 93, '\p{^Is_Other_Math:	_ t}', 'deprecated');
Expect(1, 93, '\P{Is_Other_Math:	_ t}', 'deprecated');
Expect(0, 93, '\P{^Is_Other_Math:	_ t}', 'deprecated');
Error('\p{Is_OMath= true:=}');
Error('\P{Is_OMath= true:=}');
Expect(1, 94, '\p{Is_OMath=true}', 'deprecated');
Expect(0, 94, '\p{^Is_OMath=true}', 'deprecated');
Expect(0, 94, '\P{Is_OMath=true}', 'deprecated');
Expect(1, 94, '\P{^Is_OMath=true}', 'deprecated');
Expect(0, 93, '\p{Is_OMath=true}', 'deprecated');
Expect(1, 93, '\p{^Is_OMath=true}', 'deprecated');
Expect(1, 93, '\P{Is_OMath=true}', 'deprecated');
Expect(0, 93, '\P{^Is_OMath=true}', 'deprecated');
Expect(1, 94, '\p{Is_OMath=_	True}', 'deprecated');
Expect(0, 94, '\p{^Is_OMath=_	True}', 'deprecated');
Expect(0, 94, '\P{Is_OMath=_	True}', 'deprecated');
Expect(1, 94, '\P{^Is_OMath=_	True}', 'deprecated');
Expect(0, 93, '\p{Is_OMath=_	True}', 'deprecated');
Expect(1, 93, '\p{^Is_OMath=_	True}', 'deprecated');
Expect(1, 93, '\P{Is_OMath=_	True}', 'deprecated');
Expect(0, 93, '\P{^Is_OMath=_	True}', 'deprecated');
Error('\p{Other_Math=-No/a/}');
Error('\P{Other_Math=-No/a/}');
Expect(1, 93, '\p{Other_Math=no}', 'deprecated');
Expect(0, 93, '\p{^Other_Math=no}', 'deprecated');
Expect(0, 93, '\P{Other_Math=no}', 'deprecated');
Expect(1, 93, '\P{^Other_Math=no}', 'deprecated');
Expect(0, 94, '\p{Other_Math=no}', 'deprecated');
Expect(1, 94, '\p{^Other_Math=no}', 'deprecated');
Expect(1, 94, '\P{Other_Math=no}', 'deprecated');
Expect(0, 94, '\P{^Other_Math=no}', 'deprecated');
Expect(1, 93, '\p{Other_Math=_	NO}', 'deprecated');
Expect(0, 93, '\p{^Other_Math=_	NO}', 'deprecated');
Expect(0, 93, '\P{Other_Math=_	NO}', 'deprecated');
Expect(1, 93, '\P{^Other_Math=_	NO}', 'deprecated');
Expect(0, 94, '\p{Other_Math=_	NO}', 'deprecated');
Expect(1, 94, '\p{^Other_Math=_	NO}', 'deprecated');
Expect(1, 94, '\P{Other_Math=_	NO}', 'deprecated');
Expect(0, 94, '\P{^Other_Math=_	NO}', 'deprecated');
Error('\p{OMath=_-n:=}');
Error('\P{OMath=_-n:=}');
Expect(1, 93, '\p{OMath:	n}', 'deprecated');
Expect(0, 93, '\p{^OMath:	n}', 'deprecated');
Expect(0, 93, '\P{OMath:	n}', 'deprecated');
Expect(1, 93, '\P{^OMath:	n}', 'deprecated');
Expect(0, 94, '\p{OMath:	n}', 'deprecated');
Expect(1, 94, '\p{^OMath:	n}', 'deprecated');
Expect(1, 94, '\P{OMath:	n}', 'deprecated');
Expect(0, 94, '\P{^OMath:	n}', 'deprecated');
Expect(1, 93, '\p{OMath=-N}', 'deprecated');
Expect(0, 93, '\p{^OMath=-N}', 'deprecated');
Expect(0, 93, '\P{OMath=-N}', 'deprecated');
Expect(1, 93, '\P{^OMath=-N}', 'deprecated');
Expect(0, 94, '\p{OMath=-N}', 'deprecated');
Expect(1, 94, '\p{^OMath=-N}', 'deprecated');
Expect(1, 94, '\P{OMath=-N}', 'deprecated');
Expect(0, 94, '\P{^OMath=-N}', 'deprecated');
Error('\p{Is_Other_Math=/a/F}');
Error('\P{Is_Other_Math=/a/F}');
Expect(1, 93, '\p{Is_Other_Math=f}', 'deprecated');
Expect(0, 93, '\p{^Is_Other_Math=f}', 'deprecated');
Expect(0, 93, '\P{Is_Other_Math=f}', 'deprecated');
Expect(1, 93, '\P{^Is_Other_Math=f}', 'deprecated');
Expect(0, 94, '\p{Is_Other_Math=f}', 'deprecated');
Expect(1, 94, '\p{^Is_Other_Math=f}', 'deprecated');
Expect(1, 94, '\P{Is_Other_Math=f}', 'deprecated');
Expect(0, 94, '\P{^Is_Other_Math=f}', 'deprecated');
Expect(1, 93, '\p{Is_Other_Math=- f}', 'deprecated');
Expect(0, 93, '\p{^Is_Other_Math=- f}', 'deprecated');
Expect(0, 93, '\P{Is_Other_Math=- f}', 'deprecated');
Expect(1, 93, '\P{^Is_Other_Math=- f}', 'deprecated');
Expect(0, 94, '\p{Is_Other_Math=- f}', 'deprecated');
Expect(1, 94, '\p{^Is_Other_Math=- f}', 'deprecated');
Expect(1, 94, '\P{Is_Other_Math=- f}', 'deprecated');
Expect(0, 94, '\P{^Is_Other_Math=- f}', 'deprecated');
Error('\p{Is_OMath=:=_-FALSE}');
Error('\P{Is_OMath=:=_-FALSE}');
Expect(1, 93, '\p{Is_OMath=false}', 'deprecated');
Expect(0, 93, '\p{^Is_OMath=false}', 'deprecated');
Expect(0, 93, '\P{Is_OMath=false}', 'deprecated');
Expect(1, 93, '\P{^Is_OMath=false}', 'deprecated');
Expect(0, 94, '\p{Is_OMath=false}', 'deprecated');
Expect(1, 94, '\p{^Is_OMath=false}', 'deprecated');
Expect(1, 94, '\P{Is_OMath=false}', 'deprecated');
Expect(0, 94, '\P{^Is_OMath=false}', 'deprecated');
Expect(1, 93, '\p{Is_OMath:  _false}', 'deprecated');
Expect(0, 93, '\p{^Is_OMath:  _false}', 'deprecated');
Expect(0, 93, '\P{Is_OMath:  _false}', 'deprecated');
Expect(1, 93, '\P{^Is_OMath:  _false}', 'deprecated');
Expect(0, 94, '\p{Is_OMath:  _false}', 'deprecated');
Expect(1, 94, '\p{^Is_OMath:  _false}', 'deprecated');
Expect(1, 94, '\P{Is_OMath:  _false}', 'deprecated');
Expect(0, 94, '\P{^Is_OMath:  _false}', 'deprecated');
Error('\p{Hyphen=	 Yes:=}');
Error('\P{Hyphen=	 Yes:=}');
Expect(1, 45, '\p{Hyphen=yes}', "");
Expect(0, 45, '\p{^Hyphen=yes}', "");
Expect(0, 45, '\P{Hyphen=yes}', "");
Expect(1, 45, '\P{^Hyphen=yes}', "");
Expect(0, 44, '\p{Hyphen=yes}', "");
Expect(1, 44, '\p{^Hyphen=yes}', "");
Expect(1, 44, '\P{Hyphen=yes}', "");
Expect(0, 44, '\P{^Hyphen=yes}', "");
Expect(1, 45, '\p{Hyphen= -YES}', "");
Expect(0, 45, '\p{^Hyphen= -YES}', "");
Expect(0, 45, '\P{Hyphen= -YES}', "");
Expect(1, 45, '\P{^Hyphen= -YES}', "");
Expect(0, 44, '\p{Hyphen= -YES}', "");
Expect(1, 44, '\p{^Hyphen= -YES}', "");
Expect(1, 44, '\P{Hyphen= -YES}', "");
Expect(0, 44, '\P{^Hyphen= -YES}', "");
Error('\p{Is_Hyphen=	:=y}');
Error('\P{Is_Hyphen=	:=y}');
Expect(1, 45, '\p{Is_Hyphen=y}', "");
Expect(0, 45, '\p{^Is_Hyphen=y}', "");
Expect(0, 45, '\P{Is_Hyphen=y}', "");
Expect(1, 45, '\P{^Is_Hyphen=y}', "");
Expect(0, 44, '\p{Is_Hyphen=y}', "");
Expect(1, 44, '\p{^Is_Hyphen=y}', "");
Expect(1, 44, '\P{Is_Hyphen=y}', "");
Expect(0, 44, '\P{^Is_Hyphen=y}', "");
Expect(1, 45, '\p{Is_Hyphen=_	Y}', "");
Expect(0, 45, '\p{^Is_Hyphen=_	Y}', "");
Expect(0, 45, '\P{Is_Hyphen=_	Y}', "");
Expect(1, 45, '\P{^Is_Hyphen=_	Y}', "");
Expect(0, 44, '\p{Is_Hyphen=_	Y}', "");
Expect(1, 44, '\p{^Is_Hyphen=_	Y}', "");
Expect(1, 44, '\P{Is_Hyphen=_	Y}', "");
Expect(0, 44, '\P{^Is_Hyphen=_	Y}', "");
Error('\p{Hyphen=	-T:=}');
Error('\P{Hyphen=	-T:=}');
Expect(1, 45, '\p{Hyphen=t}', "");
Expect(0, 45, '\p{^Hyphen=t}', "");
Expect(0, 45, '\P{Hyphen=t}', "");
Expect(1, 45, '\P{^Hyphen=t}', "");
Expect(0, 44, '\p{Hyphen=t}', "");
Expect(1, 44, '\p{^Hyphen=t}', "");
Expect(1, 44, '\P{Hyphen=t}', "");
Expect(0, 44, '\P{^Hyphen=t}', "");
Expect(1, 45, '\p{Hyphen=-	t}', "");
Expect(0, 45, '\p{^Hyphen=-	t}', "");
Expect(0, 45, '\P{Hyphen=-	t}', "");
Expect(1, 45, '\P{^Hyphen=-	t}', "");
Expect(0, 44, '\p{Hyphen=-	t}', "");
Expect(1, 44, '\p{^Hyphen=-	t}', "");
Expect(1, 44, '\P{Hyphen=-	t}', "");
Expect(0, 44, '\P{^Hyphen=-	t}', "");
Error('\p{Is_Hyphen=/a/true}');
Error('\P{Is_Hyphen=/a/true}');
Expect(1, 45, '\p{Is_Hyphen=true}', "");
Expect(0, 45, '\p{^Is_Hyphen=true}', "");
Expect(0, 45, '\P{Is_Hyphen=true}', "");
Expect(1, 45, '\P{^Is_Hyphen=true}', "");
Expect(0, 44, '\p{Is_Hyphen=true}', "");
Expect(1, 44, '\p{^Is_Hyphen=true}', "");
Expect(1, 44, '\P{Is_Hyphen=true}', "");
Expect(0, 44, '\P{^Is_Hyphen=true}', "");
Expect(1, 45, '\p{Is_Hyphen=-True}', "");
Expect(0, 45, '\p{^Is_Hyphen=-True}', "");
Expect(0, 45, '\P{Is_Hyphen=-True}', "");
Expect(1, 45, '\P{^Is_Hyphen=-True}', "");
Expect(0, 44, '\p{Is_Hyphen=-True}', "");
Expect(1, 44, '\p{^Is_Hyphen=-True}', "");
Expect(1, 44, '\P{Is_Hyphen=-True}', "");
Expect(0, 44, '\P{^Is_Hyphen=-True}', "");
Error('\p{Hyphen=-no:=}');
Error('\P{Hyphen=-no:=}');
Expect(1, 44, '\p{Hyphen=no}', "");
Expect(0, 44, '\p{^Hyphen=no}', "");
Expect(0, 44, '\P{Hyphen=no}', "");
Expect(1, 44, '\P{^Hyphen=no}', "");
Expect(0, 45, '\p{Hyphen=no}', "");
Expect(1, 45, '\p{^Hyphen=no}', "");
Expect(1, 45, '\P{Hyphen=no}', "");
Expect(0, 45, '\P{^Hyphen=no}', "");
Expect(1, 44, '\p{Hyphen:   	 no}', "");
Expect(0, 44, '\p{^Hyphen:   	 no}', "");
Expect(0, 44, '\P{Hyphen:   	 no}', "");
Expect(1, 44, '\P{^Hyphen:   	 no}', "");
Expect(0, 45, '\p{Hyphen:   	 no}', "");
Expect(1, 45, '\p{^Hyphen:   	 no}', "");
Expect(1, 45, '\P{Hyphen:   	 no}', "");
Expect(0, 45, '\P{^Hyphen:   	 no}', "");
Error('\p{Is_Hyphen=_N:=}');
Error('\P{Is_Hyphen=_N:=}');
Expect(1, 44, '\p{Is_Hyphen=n}', "");
Expect(0, 44, '\p{^Is_Hyphen=n}', "");
Expect(0, 44, '\P{Is_Hyphen=n}', "");
Expect(1, 44, '\P{^Is_Hyphen=n}', "");
Expect(0, 45, '\p{Is_Hyphen=n}', "");
Expect(1, 45, '\p{^Is_Hyphen=n}', "");
Expect(1, 45, '\P{Is_Hyphen=n}', "");
Expect(0, 45, '\P{^Is_Hyphen=n}', "");
Expect(1, 44, '\p{Is_Hyphen=-N}', "");
Expect(0, 44, '\p{^Is_Hyphen=-N}', "");
Expect(0, 44, '\P{Is_Hyphen=-N}', "");
Expect(1, 44, '\P{^Is_Hyphen=-N}', "");
Expect(0, 45, '\p{Is_Hyphen=-N}', "");
Expect(1, 45, '\p{^Is_Hyphen=-N}', "");
Expect(1, 45, '\P{Is_Hyphen=-N}', "");
Expect(0, 45, '\P{^Is_Hyphen=-N}', "");
Error('\p{Hyphen=:=-	F}');
Error('\P{Hyphen=:=-	F}');
Expect(1, 44, '\p{Hyphen=f}', "");
Expect(0, 44, '\p{^Hyphen=f}', "");
Expect(0, 44, '\P{Hyphen=f}', "");
Expect(1, 44, '\P{^Hyphen=f}', "");
Expect(0, 45, '\p{Hyphen=f}', "");
Expect(1, 45, '\p{^Hyphen=f}', "");
Expect(1, 45, '\P{Hyphen=f}', "");
Expect(0, 45, '\P{^Hyphen=f}', "");
Expect(1, 44, '\p{Hyphen=-_F}', "");
Expect(0, 44, '\p{^Hyphen=-_F}', "");
Expect(0, 44, '\P{Hyphen=-_F}', "");
Expect(1, 44, '\P{^Hyphen=-_F}', "");
Expect(0, 45, '\p{Hyphen=-_F}', "");
Expect(1, 45, '\p{^Hyphen=-_F}', "");
Expect(1, 45, '\P{Hyphen=-_F}', "");
Expect(0, 45, '\P{^Hyphen=-_F}', "");
Error('\p{Is_Hyphen:   :=  False}');
Error('\P{Is_Hyphen:   :=  False}');
Expect(1, 44, '\p{Is_Hyphen=false}', "");
Expect(0, 44, '\p{^Is_Hyphen=false}', "");
Expect(0, 44, '\P{Is_Hyphen=false}', "");
Expect(1, 44, '\P{^Is_Hyphen=false}', "");
Expect(0, 45, '\p{Is_Hyphen=false}', "");
Expect(1, 45, '\p{^Is_Hyphen=false}', "");
Expect(1, 45, '\P{Is_Hyphen=false}', "");
Expect(0, 45, '\P{^Is_Hyphen=false}', "");
Expect(1, 44, '\p{Is_Hyphen:--False}', "");
Expect(0, 44, '\p{^Is_Hyphen:--False}', "");
Expect(0, 44, '\P{Is_Hyphen:--False}', "");
Expect(1, 44, '\P{^Is_Hyphen:--False}', "");
Expect(0, 45, '\p{Is_Hyphen:--False}', "");
Expect(1, 45, '\p{^Is_Hyphen:--False}', "");
Expect(1, 45, '\P{Is_Hyphen:--False}', "");
Expect(0, 45, '\P{^Is_Hyphen:--False}', "");
Error('\p{White_Space= /a/Yes}');
Error('\P{White_Space= /a/Yes}');
Expect(1, 13, '\p{White_Space=yes}', "");
Expect(0, 13, '\p{^White_Space=yes}', "");
Expect(0, 13, '\P{White_Space=yes}', "");
Expect(1, 13, '\P{^White_Space=yes}', "");
Expect(0, 8, '\p{White_Space=yes}', "");
Expect(1, 8, '\p{^White_Space=yes}', "");
Expect(1, 8, '\P{White_Space=yes}', "");
Expect(0, 8, '\P{^White_Space=yes}', "");
Expect(1, 13, '\p{White_Space=-_yes}', "");
Expect(0, 13, '\p{^White_Space=-_yes}', "");
Expect(0, 13, '\P{White_Space=-_yes}', "");
Expect(1, 13, '\P{^White_Space=-_yes}', "");
Expect(0, 8, '\p{White_Space=-_yes}', "");
Expect(1, 8, '\p{^White_Space=-_yes}', "");
Expect(1, 8, '\P{White_Space=-_yes}', "");
Expect(0, 8, '\P{^White_Space=-_yes}', "");
Error('\p{WSpace=_/a/y}');
Error('\P{WSpace=_/a/y}');
Expect(1, 13, '\p{WSpace:	y}', "");
Expect(0, 13, '\p{^WSpace:	y}', "");
Expect(0, 13, '\P{WSpace:	y}', "");
Expect(1, 13, '\P{^WSpace:	y}', "");
Expect(0, 8, '\p{WSpace:	y}', "");
Expect(1, 8, '\p{^WSpace:	y}', "");
Expect(1, 8, '\P{WSpace:	y}', "");
Expect(0, 8, '\P{^WSpace:	y}', "");
Expect(1, 13, '\p{WSpace=	_Y}', "");
Expect(0, 13, '\p{^WSpace=	_Y}', "");
Expect(0, 13, '\P{WSpace=	_Y}', "");
Expect(1, 13, '\P{^WSpace=	_Y}', "");
Expect(0, 8, '\p{WSpace=	_Y}', "");
Expect(1, 8, '\p{^WSpace=	_Y}', "");
Expect(1, 8, '\P{WSpace=	_Y}', "");
Expect(0, 8, '\P{^WSpace=	_Y}', "");
Error('\p{Space= /a/T}');
Error('\P{Space= /a/T}');
Expect(1, 13, '\p{Space=t}', "");
Expect(0, 13, '\p{^Space=t}', "");
Expect(0, 13, '\P{Space=t}', "");
Expect(1, 13, '\P{^Space=t}', "");
Expect(0, 8, '\p{Space=t}', "");
Expect(1, 8, '\p{^Space=t}', "");
Expect(1, 8, '\P{Space=t}', "");
Expect(0, 8, '\P{^Space=t}', "");
Expect(1, 13, '\p{Space=	-T}', "");
Expect(0, 13, '\p{^Space=	-T}', "");
Expect(0, 13, '\P{Space=	-T}', "");
Expect(1, 13, '\P{^Space=	-T}', "");
Expect(0, 8, '\p{Space=	-T}', "");
Expect(1, 8, '\p{^Space=	-T}', "");
Expect(1, 8, '\P{Space=	-T}', "");
Expect(0, 8, '\P{^Space=	-T}', "");
Error('\p{Is_White_Space=:=True}');
Error('\P{Is_White_Space=:=True}');
Expect(1, 13, '\p{Is_White_Space:	true}', "");
Expect(0, 13, '\p{^Is_White_Space:	true}', "");
Expect(0, 13, '\P{Is_White_Space:	true}', "");
Expect(1, 13, '\P{^Is_White_Space:	true}', "");
Expect(0, 8, '\p{Is_White_Space:	true}', "");
Expect(1, 8, '\p{^Is_White_Space:	true}', "");
Expect(1, 8, '\P{Is_White_Space:	true}', "");
Expect(0, 8, '\P{^Is_White_Space:	true}', "");
Expect(1, 13, '\p{Is_White_Space=  true}', "");
Expect(0, 13, '\p{^Is_White_Space=  true}', "");
Expect(0, 13, '\P{Is_White_Space=  true}', "");
Expect(1, 13, '\P{^Is_White_Space=  true}', "");
Expect(0, 8, '\p{Is_White_Space=  true}', "");
Expect(1, 8, '\p{^Is_White_Space=  true}', "");
Expect(1, 8, '\P{Is_White_Space=  true}', "");
Expect(0, 8, '\P{^Is_White_Space=  true}', "");
Error('\p{Is_WSpace=:=Yes}');
Error('\P{Is_WSpace=:=Yes}');
Expect(1, 13, '\p{Is_WSpace=yes}', "");
Expect(0, 13, '\p{^Is_WSpace=yes}', "");
Expect(0, 13, '\P{Is_WSpace=yes}', "");
Expect(1, 13, '\P{^Is_WSpace=yes}', "");
Expect(0, 8, '\p{Is_WSpace=yes}', "");
Expect(1, 8, '\p{^Is_WSpace=yes}', "");
Expect(1, 8, '\P{Is_WSpace=yes}', "");
Expect(0, 8, '\P{^Is_WSpace=yes}', "");
Expect(1, 13, '\p{Is_WSpace=__Yes}', "");
Expect(0, 13, '\p{^Is_WSpace=__Yes}', "");
Expect(0, 13, '\P{Is_WSpace=__Yes}', "");
Expect(1, 13, '\P{^Is_WSpace=__Yes}', "");
Expect(0, 8, '\p{Is_WSpace=__Yes}', "");
Expect(1, 8, '\p{^Is_WSpace=__Yes}', "");
Expect(1, 8, '\P{Is_WSpace=__Yes}', "");
Expect(0, 8, '\P{^Is_WSpace=__Yes}', "");
Error('\p{Is_Space=	/a/Y}');
Error('\P{Is_Space=	/a/Y}');
Expect(1, 13, '\p{Is_Space=y}', "");
Expect(0, 13, '\p{^Is_Space=y}', "");
Expect(0, 13, '\P{Is_Space=y}', "");
Expect(1, 13, '\P{^Is_Space=y}', "");
Expect(0, 8, '\p{Is_Space=y}', "");
Expect(1, 8, '\p{^Is_Space=y}', "");
Expect(1, 8, '\P{Is_Space=y}', "");
Expect(0, 8, '\P{^Is_Space=y}', "");
Expect(1, 13, '\p{Is_Space=-Y}', "");
Expect(0, 13, '\p{^Is_Space=-Y}', "");
Expect(0, 13, '\P{Is_Space=-Y}', "");
Expect(1, 13, '\P{^Is_Space=-Y}', "");
Expect(0, 8, '\p{Is_Space=-Y}', "");
Expect(1, 8, '\p{^Is_Space=-Y}', "");
Expect(1, 8, '\P{Is_Space=-Y}', "");
Expect(0, 8, '\P{^Is_Space=-Y}', "");
Error('\p{White_Space=	No:=}');
Error('\P{White_Space=	No:=}');
Expect(1, 8, '\p{White_Space:	no}', "");
Expect(0, 8, '\p{^White_Space:	no}', "");
Expect(0, 8, '\P{White_Space:	no}', "");
Expect(1, 8, '\P{^White_Space:	no}', "");
Expect(0, 13, '\p{White_Space:	no}', "");
Expect(1, 13, '\p{^White_Space:	no}', "");
Expect(1, 13, '\P{White_Space:	no}', "");
Expect(0, 13, '\P{^White_Space:	no}', "");
Expect(1, 8, '\p{White_Space= -No}', "");
Expect(0, 8, '\p{^White_Space= -No}', "");
Expect(0, 8, '\P{White_Space= -No}', "");
Expect(1, 8, '\P{^White_Space= -No}', "");
Expect(0, 13, '\p{White_Space= -No}', "");
Expect(1, 13, '\p{^White_Space= -No}', "");
Expect(1, 13, '\P{White_Space= -No}', "");
Expect(0, 13, '\P{^White_Space= -No}', "");
Error('\p{WSpace:	 :=N}');
Error('\P{WSpace:	 :=N}');
Expect(1, 8, '\p{WSpace=n}', "");
Expect(0, 8, '\p{^WSpace=n}', "");
Expect(0, 8, '\P{WSpace=n}', "");
Expect(1, 8, '\P{^WSpace=n}', "");
Expect(0, 13, '\p{WSpace=n}', "");
Expect(1, 13, '\p{^WSpace=n}', "");
Expect(1, 13, '\P{WSpace=n}', "");
Expect(0, 13, '\P{^WSpace=n}', "");
Expect(1, 8, '\p{WSpace:	-	N}', "");
Expect(0, 8, '\p{^WSpace:	-	N}', "");
Expect(0, 8, '\P{WSpace:	-	N}', "");
Expect(1, 8, '\P{^WSpace:	-	N}', "");
Expect(0, 13, '\p{WSpace:	-	N}', "");
Expect(1, 13, '\p{^WSpace:	-	N}', "");
Expect(1, 13, '\P{WSpace:	-	N}', "");
Expect(0, 13, '\P{^WSpace:	-	N}', "");
Error('\p{Space=_	F:=}');
Error('\P{Space=_	F:=}');
Expect(1, 8, '\p{Space:	f}', "");
Expect(0, 8, '\p{^Space:	f}', "");
Expect(0, 8, '\P{Space:	f}', "");
Expect(1, 8, '\P{^Space:	f}', "");
Expect(0, 13, '\p{Space:	f}', "");
Expect(1, 13, '\p{^Space:	f}', "");
Expect(1, 13, '\P{Space:	f}', "");
Expect(0, 13, '\P{^Space:	f}', "");
Expect(1, 8, '\p{Space= 	f}', "");
Expect(0, 8, '\p{^Space= 	f}', "");
Expect(0, 8, '\P{Space= 	f}', "");
Expect(1, 8, '\P{^Space= 	f}', "");
Expect(0, 13, '\p{Space= 	f}', "");
Expect(1, 13, '\p{^Space= 	f}', "");
Expect(1, 13, '\P{Space= 	f}', "");
Expect(0, 13, '\P{^Space= 	f}', "");
Error('\p{Is_White_Space=	 False:=}');
Error('\P{Is_White_Space=	 False:=}');
Expect(1, 8, '\p{Is_White_Space=false}', "");
Expect(0, 8, '\p{^Is_White_Space=false}', "");
Expect(0, 8, '\P{Is_White_Space=false}', "");
Expect(1, 8, '\P{^Is_White_Space=false}', "");
Expect(0, 13, '\p{Is_White_Space=false}', "");
Expect(1, 13, '\p{^Is_White_Space=false}', "");
Expect(1, 13, '\P{Is_White_Space=false}', "");
Expect(0, 13, '\P{^Is_White_Space=false}', "");
Expect(1, 8, '\p{Is_White_Space=--false}', "");
Expect(0, 8, '\p{^Is_White_Space=--false}', "");
Expect(0, 8, '\P{Is_White_Space=--false}', "");
Expect(1, 8, '\P{^Is_White_Space=--false}', "");
Expect(0, 13, '\p{Is_White_Space=--false}', "");
Expect(1, 13, '\p{^Is_White_Space=--false}', "");
Expect(1, 13, '\P{Is_White_Space=--false}', "");
Expect(0, 13, '\P{^Is_White_Space=--false}', "");
Error('\p{Is_WSpace=/a/No}');
Error('\P{Is_WSpace=/a/No}');
Expect(1, 8, '\p{Is_WSpace=no}', "");
Expect(0, 8, '\p{^Is_WSpace=no}', "");
Expect(0, 8, '\P{Is_WSpace=no}', "");
Expect(1, 8, '\P{^Is_WSpace=no}', "");
Expect(0, 13, '\p{Is_WSpace=no}', "");
Expect(1, 13, '\p{^Is_WSpace=no}', "");
Expect(1, 13, '\P{Is_WSpace=no}', "");
Expect(0, 13, '\P{^Is_WSpace=no}', "");
Expect(1, 8, '\p{Is_WSpace=	no}', "");
Expect(0, 8, '\p{^Is_WSpace=	no}', "");
Expect(0, 8, '\P{Is_WSpace=	no}', "");
Expect(1, 8, '\P{^Is_WSpace=	no}', "");
Expect(0, 13, '\p{Is_WSpace=	no}', "");
Expect(1, 13, '\p{^Is_WSpace=	no}', "");
Expect(1, 13, '\P{Is_WSpace=	no}', "");
Expect(0, 13, '\P{^Is_WSpace=	no}', "");
Error('\p{Is_Space= /a/n}');
Error('\P{Is_Space= /a/n}');
Expect(1, 8, '\p{Is_Space=n}', "");
Expect(0, 8, '\p{^Is_Space=n}', "");
Expect(0, 8, '\P{Is_Space=n}', "");
Expect(1, 8, '\P{^Is_Space=n}', "");
Expect(0, 13, '\p{Is_Space=n}', "");
Expect(1, 13, '\p{^Is_Space=n}', "");
Expect(1, 13, '\P{Is_Space=n}', "");
Expect(0, 13, '\P{^Is_Space=n}', "");
Expect(1, 8, '\p{Is_Space:   	N}', "");
Expect(0, 8, '\p{^Is_Space:   	N}', "");
Expect(0, 8, '\P{Is_Space:   	N}', "");
Expect(1, 8, '\P{^Is_Space:   	N}', "");
Expect(0, 13, '\p{Is_Space:   	N}', "");
Expect(1, 13, '\p{^Is_Space:   	N}', "");
Expect(1, 13, '\P{Is_Space:   	N}', "");
Expect(0, 13, '\P{^Is_Space:   	N}', "");
Error('\p{XID_Continue= :=yes}');
Error('\P{XID_Continue= :=yes}');
Expect(1, 57, '\p{XID_Continue=yes}', "");
Expect(0, 57, '\p{^XID_Continue=yes}', "");
Expect(0, 57, '\P{XID_Continue=yes}', "");
Expect(1, 57, '\P{^XID_Continue=yes}', "");
Expect(0, 47, '\p{XID_Continue=yes}', "");
Expect(1, 47, '\p{^XID_Continue=yes}', "");
Expect(1, 47, '\P{XID_Continue=yes}', "");
Expect(0, 47, '\P{^XID_Continue=yes}', "");
Expect(1, 57, '\p{XID_Continue=-	YES}', "");
Expect(0, 57, '\p{^XID_Continue=-	YES}', "");
Expect(0, 57, '\P{XID_Continue=-	YES}', "");
Expect(1, 57, '\P{^XID_Continue=-	YES}', "");
Expect(0, 47, '\p{XID_Continue=-	YES}', "");
Expect(1, 47, '\p{^XID_Continue=-	YES}', "");
Expect(1, 47, '\P{XID_Continue=-	YES}', "");
Expect(0, 47, '\P{^XID_Continue=-	YES}', "");
Error('\p{XIDC: 	-Y/a/}');
Error('\P{XIDC: 	-Y/a/}');
Expect(1, 57, '\p{XIDC=y}', "");
Expect(0, 57, '\p{^XIDC=y}', "");
Expect(0, 57, '\P{XIDC=y}', "");
Expect(1, 57, '\P{^XIDC=y}', "");
Expect(0, 47, '\p{XIDC=y}', "");
Expect(1, 47, '\p{^XIDC=y}', "");
Expect(1, 47, '\P{XIDC=y}', "");
Expect(0, 47, '\P{^XIDC=y}', "");
Expect(1, 57, '\p{XIDC=	-Y}', "");
Expect(0, 57, '\p{^XIDC=	-Y}', "");
Expect(0, 57, '\P{XIDC=	-Y}', "");
Expect(1, 57, '\P{^XIDC=	-Y}', "");
Expect(0, 47, '\p{XIDC=	-Y}', "");
Expect(1, 47, '\p{^XIDC=	-Y}', "");
Expect(1, 47, '\P{XIDC=	-Y}', "");
Expect(0, 47, '\P{^XIDC=	-Y}', "");
Error('\p{Is_XID_Continue=:=	_T}');
Error('\P{Is_XID_Continue=:=	_T}');
Expect(1, 57, '\p{Is_XID_Continue=t}', "");
Expect(0, 57, '\p{^Is_XID_Continue=t}', "");
Expect(0, 57, '\P{Is_XID_Continue=t}', "");
Expect(1, 57, '\P{^Is_XID_Continue=t}', "");
Expect(0, 47, '\p{Is_XID_Continue=t}', "");
Expect(1, 47, '\p{^Is_XID_Continue=t}', "");
Expect(1, 47, '\P{Is_XID_Continue=t}', "");
Expect(0, 47, '\P{^Is_XID_Continue=t}', "");
Expect(1, 57, '\p{Is_XID_Continue:_T}', "");
Expect(0, 57, '\p{^Is_XID_Continue:_T}', "");
Expect(0, 57, '\P{Is_XID_Continue:_T}', "");
Expect(1, 57, '\P{^Is_XID_Continue:_T}', "");
Expect(0, 47, '\p{Is_XID_Continue:_T}', "");
Expect(1, 47, '\p{^Is_XID_Continue:_T}', "");
Expect(1, 47, '\P{Is_XID_Continue:_T}', "");
Expect(0, 47, '\P{^Is_XID_Continue:_T}', "");
Error('\p{Is_XIDC=	/a/true}');
Error('\P{Is_XIDC=	/a/true}');
Expect(1, 57, '\p{Is_XIDC=true}', "");
Expect(0, 57, '\p{^Is_XIDC=true}', "");
Expect(0, 57, '\P{Is_XIDC=true}', "");
Expect(1, 57, '\P{^Is_XIDC=true}', "");
Expect(0, 47, '\p{Is_XIDC=true}', "");
Expect(1, 47, '\p{^Is_XIDC=true}', "");
Expect(1, 47, '\P{Is_XIDC=true}', "");
Expect(0, 47, '\P{^Is_XIDC=true}', "");
Expect(1, 57, '\p{Is_XIDC=_-true}', "");
Expect(0, 57, '\p{^Is_XIDC=_-true}', "");
Expect(0, 57, '\P{Is_XIDC=_-true}', "");
Expect(1, 57, '\P{^Is_XIDC=_-true}', "");
Expect(0, 47, '\p{Is_XIDC=_-true}', "");
Expect(1, 47, '\p{^Is_XIDC=_-true}', "");
Expect(1, 47, '\P{Is_XIDC=_-true}', "");
Expect(0, 47, '\P{^Is_XIDC=_-true}', "");
Error('\p{XID_Continue=	 No:=}');
Error('\P{XID_Continue=	 No:=}');
Expect(1, 47, '\p{XID_Continue=no}', "");
Expect(0, 47, '\p{^XID_Continue=no}', "");
Expect(0, 47, '\P{XID_Continue=no}', "");
Expect(1, 47, '\P{^XID_Continue=no}', "");
Expect(0, 57, '\p{XID_Continue=no}', "");
Expect(1, 57, '\p{^XID_Continue=no}', "");
Expect(1, 57, '\P{XID_Continue=no}', "");
Expect(0, 57, '\P{^XID_Continue=no}', "");
Expect(1, 47, '\p{XID_Continue:	 no}', "");
Expect(0, 47, '\p{^XID_Continue:	 no}', "");
Expect(0, 47, '\P{XID_Continue:	 no}', "");
Expect(1, 47, '\P{^XID_Continue:	 no}', "");
Expect(0, 57, '\p{XID_Continue:	 no}', "");
Expect(1, 57, '\p{^XID_Continue:	 no}', "");
Expect(1, 57, '\P{XID_Continue:	 no}', "");
Expect(0, 57, '\P{^XID_Continue:	 no}', "");
Error('\p{XIDC=/a/- n}');
Error('\P{XIDC=/a/- n}');
Expect(1, 47, '\p{XIDC=n}', "");
Expect(0, 47, '\p{^XIDC=n}', "");
Expect(0, 47, '\P{XIDC=n}', "");
Expect(1, 47, '\P{^XIDC=n}', "");
Expect(0, 57, '\p{XIDC=n}', "");
Expect(1, 57, '\p{^XIDC=n}', "");
Expect(1, 57, '\P{XIDC=n}', "");
Expect(0, 57, '\P{^XIDC=n}', "");
Expect(1, 47, '\p{XIDC= n}', "");
Expect(0, 47, '\p{^XIDC= n}', "");
Expect(0, 47, '\P{XIDC= n}', "");
Expect(1, 47, '\P{^XIDC= n}', "");
Expect(0, 57, '\p{XIDC= n}', "");
Expect(1, 57, '\p{^XIDC= n}', "");
Expect(1, 57, '\P{XIDC= n}', "");
Expect(0, 57, '\P{^XIDC= n}', "");
Error('\p{Is_XID_Continue= F:=}');
Error('\P{Is_XID_Continue= F:=}');
Expect(1, 47, '\p{Is_XID_Continue=f}', "");
Expect(0, 47, '\p{^Is_XID_Continue=f}', "");
Expect(0, 47, '\P{Is_XID_Continue=f}', "");
Expect(1, 47, '\P{^Is_XID_Continue=f}', "");
Expect(0, 57, '\p{Is_XID_Continue=f}', "");
Expect(1, 57, '\p{^Is_XID_Continue=f}', "");
Expect(1, 57, '\P{Is_XID_Continue=f}', "");
Expect(0, 57, '\P{^Is_XID_Continue=f}', "");
Expect(1, 47, '\p{Is_XID_Continue=	F}', "");
Expect(0, 47, '\p{^Is_XID_Continue=	F}', "");
Expect(0, 47, '\P{Is_XID_Continue=	F}', "");
Expect(1, 47, '\P{^Is_XID_Continue=	F}', "");
Expect(0, 57, '\p{Is_XID_Continue=	F}', "");
Expect(1, 57, '\p{^Is_XID_Continue=	F}', "");
Expect(1, 57, '\P{Is_XID_Continue=	F}', "");
Expect(0, 57, '\P{^Is_XID_Continue=	F}', "");
Error('\p{Is_XIDC:	_/a/False}');
Error('\P{Is_XIDC:	_/a/False}');
Expect(1, 47, '\p{Is_XIDC=false}', "");
Expect(0, 47, '\p{^Is_XIDC=false}', "");
Expect(0, 47, '\P{Is_XIDC=false}', "");
Expect(1, 47, '\P{^Is_XIDC=false}', "");
Expect(0, 57, '\p{Is_XIDC=false}', "");
Expect(1, 57, '\p{^Is_XIDC=false}', "");
Expect(1, 57, '\P{Is_XIDC=false}', "");
Expect(0, 57, '\P{^Is_XIDC=false}', "");
Expect(1, 47, '\p{Is_XIDC=- False}', "");
Expect(0, 47, '\p{^Is_XIDC=- False}', "");
Expect(0, 47, '\P{Is_XIDC=- False}', "");
Expect(1, 47, '\P{^Is_XIDC=- False}', "");
Expect(0, 57, '\p{Is_XIDC=- False}', "");
Expect(1, 57, '\p{^Is_XIDC=- False}', "");
Expect(1, 57, '\P{Is_XIDC=- False}', "");
Expect(0, 57, '\P{^Is_XIDC=- False}', "");
Error('\p{XID_Start=/a/Yes}');
Error('\P{XID_Start=/a/Yes}');
Expect(1, 90, '\p{XID_Start=yes}', "");
Expect(0, 90, '\p{^XID_Start=yes}', "");
Expect(0, 90, '\P{XID_Start=yes}', "");
Expect(1, 90, '\P{^XID_Start=yes}', "");
Expect(0, 64, '\p{XID_Start=yes}', "");
Expect(1, 64, '\p{^XID_Start=yes}', "");
Expect(1, 64, '\P{XID_Start=yes}', "");
Expect(0, 64, '\P{^XID_Start=yes}', "");
Expect(1, 90, '\p{XID_Start=_-YES}', "");
Expect(0, 90, '\p{^XID_Start=_-YES}', "");
Expect(0, 90, '\P{XID_Start=_-YES}', "");
Expect(1, 90, '\P{^XID_Start=_-YES}', "");
Expect(0, 64, '\p{XID_Start=_-YES}', "");
Expect(1, 64, '\p{^XID_Start=_-YES}', "");
Expect(1, 64, '\P{XID_Start=_-YES}', "");
Expect(0, 64, '\P{^XID_Start=_-YES}', "");
Error('\p{XIDS=/a/-_y}');
Error('\P{XIDS=/a/-_y}');
Expect(1, 90, '\p{XIDS:	y}', "");
Expect(0, 90, '\p{^XIDS:	y}', "");
Expect(0, 90, '\P{XIDS:	y}', "");
Expect(1, 90, '\P{^XIDS:	y}', "");
Expect(0, 64, '\p{XIDS:	y}', "");
Expect(1, 64, '\p{^XIDS:	y}', "");
Expect(1, 64, '\P{XIDS:	y}', "");
Expect(0, 64, '\P{^XIDS:	y}', "");
Expect(1, 90, '\p{XIDS=-_Y}', "");
Expect(0, 90, '\p{^XIDS=-_Y}', "");
Expect(0, 90, '\P{XIDS=-_Y}', "");
Expect(1, 90, '\P{^XIDS=-_Y}', "");
Expect(0, 64, '\p{XIDS=-_Y}', "");
Expect(1, 64, '\p{^XIDS=-_Y}', "");
Expect(1, 64, '\P{XIDS=-_Y}', "");
Expect(0, 64, '\P{^XIDS=-_Y}', "");
Error('\p{Is_XID_Start=-_T/a/}');
Error('\P{Is_XID_Start=-_T/a/}');
Expect(1, 90, '\p{Is_XID_Start=t}', "");
Expect(0, 90, '\p{^Is_XID_Start=t}', "");
Expect(0, 90, '\P{Is_XID_Start=t}', "");
Expect(1, 90, '\P{^Is_XID_Start=t}', "");
Expect(0, 64, '\p{Is_XID_Start=t}', "");
Expect(1, 64, '\p{^Is_XID_Start=t}', "");
Expect(1, 64, '\P{Is_XID_Start=t}', "");
Expect(0, 64, '\P{^Is_XID_Start=t}', "");
Expect(1, 90, '\p{Is_XID_Start=	_T}', "");
Expect(0, 90, '\p{^Is_XID_Start=	_T}', "");
Expect(0, 90, '\P{Is_XID_Start=	_T}', "");
Expect(1, 90, '\P{^Is_XID_Start=	_T}', "");
Expect(0, 64, '\p{Is_XID_Start=	_T}', "");
Expect(1, 64, '\p{^Is_XID_Start=	_T}', "");
Expect(1, 64, '\P{Is_XID_Start=	_T}', "");
Expect(0, 64, '\P{^Is_XID_Start=	_T}', "");
Error('\p{Is_XIDS=:= True}');
Error('\P{Is_XIDS=:= True}');
Expect(1, 90, '\p{Is_XIDS=true}', "");
Expect(0, 90, '\p{^Is_XIDS=true}', "");
Expect(0, 90, '\P{Is_XIDS=true}', "");
Expect(1, 90, '\P{^Is_XIDS=true}', "");
Expect(0, 64, '\p{Is_XIDS=true}', "");
Expect(1, 64, '\p{^Is_XIDS=true}', "");
Expect(1, 64, '\P{Is_XIDS=true}', "");
Expect(0, 64, '\P{^Is_XIDS=true}', "");
Expect(1, 90, '\p{Is_XIDS=	 TRUE}', "");
Expect(0, 90, '\p{^Is_XIDS=	 TRUE}', "");
Expect(0, 90, '\P{Is_XIDS=	 TRUE}', "");
Expect(1, 90, '\P{^Is_XIDS=	 TRUE}', "");
Expect(0, 64, '\p{Is_XIDS=	 TRUE}', "");
Expect(1, 64, '\p{^Is_XIDS=	 TRUE}', "");
Expect(1, 64, '\P{Is_XIDS=	 TRUE}', "");
Expect(0, 64, '\P{^Is_XIDS=	 TRUE}', "");
Error('\p{XID_Start=:=-No}');
Error('\P{XID_Start=:=-No}');
Expect(1, 64, '\p{XID_Start=no}', "");
Expect(0, 64, '\p{^XID_Start=no}', "");
Expect(0, 64, '\P{XID_Start=no}', "");
Expect(1, 64, '\P{^XID_Start=no}', "");
Expect(0, 90, '\p{XID_Start=no}', "");
Expect(1, 90, '\p{^XID_Start=no}', "");
Expect(1, 90, '\P{XID_Start=no}', "");
Expect(0, 90, '\P{^XID_Start=no}', "");
Expect(1, 64, '\p{XID_Start=-No}', "");
Expect(0, 64, '\p{^XID_Start=-No}', "");
Expect(0, 64, '\P{XID_Start=-No}', "");
Expect(1, 64, '\P{^XID_Start=-No}', "");
Expect(0, 90, '\p{XID_Start=-No}', "");
Expect(1, 90, '\p{^XID_Start=-No}', "");
Expect(1, 90, '\P{XID_Start=-No}', "");
Expect(0, 90, '\P{^XID_Start=-No}', "");
Error('\p{XIDS:	-n/a/}');
Error('\P{XIDS:	-n/a/}');
Expect(1, 64, '\p{XIDS=n}', "");
Expect(0, 64, '\p{^XIDS=n}', "");
Expect(0, 64, '\P{XIDS=n}', "");
Expect(1, 64, '\P{^XIDS=n}', "");
Expect(0, 90, '\p{XIDS=n}', "");
Expect(1, 90, '\p{^XIDS=n}', "");
Expect(1, 90, '\P{XIDS=n}', "");
Expect(0, 90, '\P{^XIDS=n}', "");
Expect(1, 64, '\p{XIDS= N}', "");
Expect(0, 64, '\p{^XIDS= N}', "");
Expect(0, 64, '\P{XIDS= N}', "");
Expect(1, 64, '\P{^XIDS= N}', "");
Expect(0, 90, '\p{XIDS= N}', "");
Expect(1, 90, '\p{^XIDS= N}', "");
Expect(1, 90, '\P{XIDS= N}', "");
Expect(0, 90, '\P{^XIDS= N}', "");
Error('\p{Is_XID_Start=-	F:=}');
Error('\P{Is_XID_Start=-	F:=}');
Expect(1, 64, '\p{Is_XID_Start:f}', "");
Expect(0, 64, '\p{^Is_XID_Start:f}', "");
Expect(0, 64, '\P{Is_XID_Start:f}', "");
Expect(1, 64, '\P{^Is_XID_Start:f}', "");
Expect(0, 90, '\p{Is_XID_Start:f}', "");
Expect(1, 90, '\p{^Is_XID_Start:f}', "");
Expect(1, 90, '\P{Is_XID_Start:f}', "");
Expect(0, 90, '\P{^Is_XID_Start:f}', "");
Expect(1, 64, '\p{Is_XID_Start= f}', "");
Expect(0, 64, '\p{^Is_XID_Start= f}', "");
Expect(0, 64, '\P{Is_XID_Start= f}', "");
Expect(1, 64, '\P{^Is_XID_Start= f}', "");
Expect(0, 90, '\p{Is_XID_Start= f}', "");
Expect(1, 90, '\p{^Is_XID_Start= f}', "");
Expect(1, 90, '\P{Is_XID_Start= f}', "");
Expect(0, 90, '\P{^Is_XID_Start= f}', "");
Error('\p{Is_XIDS=/a/-	FALSE}');
Error('\P{Is_XIDS=/a/-	FALSE}');
Expect(1, 64, '\p{Is_XIDS:   false}', "");
Expect(0, 64, '\p{^Is_XIDS:   false}', "");
Expect(0, 64, '\P{Is_XIDS:   false}', "");
Expect(1, 64, '\P{^Is_XIDS:   false}', "");
Expect(0, 90, '\p{Is_XIDS:   false}', "");
Expect(1, 90, '\p{^Is_XIDS:   false}', "");
Expect(1, 90, '\P{Is_XIDS:   false}', "");
Expect(0, 90, '\P{^Is_XIDS:   false}', "");
Expect(1, 64, '\p{Is_XIDS=False}', "");
Expect(0, 64, '\p{^Is_XIDS=False}', "");
Expect(0, 64, '\P{Is_XIDS=False}', "");
Expect(1, 64, '\P{^Is_XIDS=False}', "");
Expect(0, 90, '\p{Is_XIDS=False}', "");
Expect(1, 90, '\p{^Is_XIDS=False}', "");
Expect(1, 90, '\P{Is_XIDS=False}', "");
Expect(0, 90, '\P{^Is_XIDS=False}', "");
Error('\p{Script=/a/new_Tai_Lue}');
Error('\P{Script=/a/new_Tai_Lue}');
Expect(1, 6571, '\p{Script=newtailue}', "");
Expect(0, 6571, '\p{^Script=newtailue}', "");
Expect(0, 6571, '\P{Script=newtailue}', "");
Expect(1, 6571, '\P{^Script=newtailue}', "");
Expect(0, 6527, '\p{Script=newtailue}', "");
Expect(1, 6527, '\p{^Script=newtailue}', "");
Expect(1, 6527, '\P{Script=newtailue}', "");
Expect(0, 6527, '\P{^Script=newtailue}', "");
Expect(1, 6571, '\p{Script= new	Tai lue}', "");
Expect(0, 6571, '\p{^Script= new	Tai lue}', "");
Expect(0, 6571, '\P{Script= new	Tai lue}', "");
Expect(1, 6571, '\P{^Script= new	Tai lue}', "");
Expect(0, 6527, '\p{Script= new	Tai lue}', "");
Expect(1, 6527, '\p{^Script= new	Tai lue}', "");
Expect(1, 6527, '\P{Script= new	Tai lue}', "");
Expect(0, 6527, '\P{^Script= new	Tai lue}', "");
Error('\p{Sc:	--Talu/a/}');
Error('\P{Sc:	--Talu/a/}');
Expect(1, 6571, '\p{Sc:   talu}', "");
Expect(0, 6571, '\p{^Sc:   talu}', "");
Expect(0, 6571, '\P{Sc:   talu}', "");
Expect(1, 6571, '\P{^Sc:   talu}', "");
Expect(0, 6527, '\p{Sc:   talu}', "");
Expect(1, 6527, '\p{^Sc:   talu}', "");
Expect(1, 6527, '\P{Sc:   talu}', "");
Expect(0, 6527, '\P{^Sc:   talu}', "");
Expect(1, 6571, '\p{Sc:    Talu}', "");
Expect(0, 6571, '\p{^Sc:    Talu}', "");
Expect(0, 6571, '\P{Sc:    Talu}', "");
Expect(1, 6571, '\P{^Sc:    Talu}', "");
Expect(0, 6527, '\p{Sc:    Talu}', "");
Expect(1, 6527, '\p{^Sc:    Talu}', "");
Expect(1, 6527, '\P{Sc:    Talu}', "");
Expect(0, 6527, '\P{^Sc:    Talu}', "");
Error('\p{Is_Script=:=-NEWtaiLue}');
Error('\P{Is_Script=:=-NEWtaiLue}');
Expect(1, 6571, '\p{Is_Script=newtailue}', "");
Expect(0, 6571, '\p{^Is_Script=newtailue}', "");
Expect(0, 6571, '\P{Is_Script=newtailue}', "");
Expect(1, 6571, '\P{^Is_Script=newtailue}', "");
Expect(0, 6527, '\p{Is_Script=newtailue}', "");
Expect(1, 6527, '\p{^Is_Script=newtailue}', "");
Expect(1, 6527, '\P{Is_Script=newtailue}', "");
Expect(0, 6527, '\P{^Is_Script=newtailue}', "");
Expect(1, 6571, '\p{Is_Script=-New-Tai-LUE}', "");
Expect(0, 6571, '\p{^Is_Script=-New-Tai-LUE}', "");
Expect(0, 6571, '\P{Is_Script=-New-Tai-LUE}', "");
Expect(1, 6571, '\P{^Is_Script=-New-Tai-LUE}', "");
Expect(0, 6527, '\p{Is_Script=-New-Tai-LUE}', "");
Expect(1, 6527, '\p{^Is_Script=-New-Tai-LUE}', "");
Expect(1, 6527, '\P{Is_Script=-New-Tai-LUE}', "");
Expect(0, 6527, '\P{^Is_Script=-New-Tai-LUE}', "");
Error('\p{Is_Sc=:=_talu}');
Error('\P{Is_Sc=:=_talu}');
Expect(1, 6571, '\p{Is_Sc=talu}', "");
Expect(0, 6571, '\p{^Is_Sc=talu}', "");
Expect(0, 6571, '\P{Is_Sc=talu}', "");
Expect(1, 6571, '\P{^Is_Sc=talu}', "");
Expect(0, 6527, '\p{Is_Sc=talu}', "");
Expect(1, 6527, '\p{^Is_Sc=talu}', "");
Expect(1, 6527, '\P{Is_Sc=talu}', "");
Expect(0, 6527, '\P{^Is_Sc=talu}', "");
Expect(1, 6571, '\p{Is_Sc= -Talu}', "");
Expect(0, 6571, '\p{^Is_Sc= -Talu}', "");
Expect(0, 6571, '\P{Is_Sc= -Talu}', "");
Expect(1, 6571, '\P{^Is_Sc= -Talu}', "");
Expect(0, 6527, '\p{Is_Sc= -Talu}', "");
Expect(1, 6527, '\p{^Is_Sc= -Talu}', "");
Expect(1, 6527, '\P{Is_Sc= -Talu}', "");
Expect(0, 6527, '\P{^Is_Sc= -Talu}', "");
Error('\p{Script=/a/_-Gothic}');
Error('\P{Script=/a/_-Gothic}');
Expect(1, 66378, '\p{Script=gothic}', "");
Expect(0, 66378, '\p{^Script=gothic}', "");
Expect(0, 66378, '\P{Script=gothic}', "");
Expect(1, 66378, '\P{^Script=gothic}', "");
Expect(0, 66351, '\p{Script=gothic}', "");
Expect(1, 66351, '\p{^Script=gothic}', "");
Expect(1, 66351, '\P{Script=gothic}', "");
Expect(0, 66351, '\P{^Script=gothic}', "");
Expect(1, 66378, '\p{Script=	gothic}', "");
Expect(0, 66378, '\p{^Script=	gothic}', "");
Expect(0, 66378, '\P{Script=	gothic}', "");
Expect(1, 66378, '\P{^Script=	gothic}', "");
Expect(0, 66351, '\p{Script=	gothic}', "");
Expect(1, 66351, '\p{^Script=	gothic}', "");
Expect(1, 66351, '\P{Script=	gothic}', "");
Expect(0, 66351, '\P{^Script=	gothic}', "");
Error('\p{Sc=  Goth:=}');
Error('\P{Sc=  Goth:=}');
Expect(1, 66378, '\p{Sc=goth}', "");
Expect(0, 66378, '\p{^Sc=goth}', "");
Expect(0, 66378, '\P{Sc=goth}', "");
Expect(1, 66378, '\P{^Sc=goth}', "");
Expect(0, 66351, '\p{Sc=goth}', "");
Expect(1, 66351, '\p{^Sc=goth}', "");
Expect(1, 66351, '\P{Sc=goth}', "");
Expect(0, 66351, '\P{^Sc=goth}', "");
Expect(1, 66378, '\p{Sc=  goth}', "");
Expect(0, 66378, '\p{^Sc=  goth}', "");
Expect(0, 66378, '\P{Sc=  goth}', "");
Expect(1, 66378, '\P{^Sc=  goth}', "");
Expect(0, 66351, '\p{Sc=  goth}', "");
Expect(1, 66351, '\p{^Sc=  goth}', "");
Expect(1, 66351, '\P{Sc=  goth}', "");
Expect(0, 66351, '\P{^Sc=  goth}', "");
Error('\p{Is_Script=:=__gothic}');
Error('\P{Is_Script=:=__gothic}');
Expect(1, 66378, '\p{Is_Script=gothic}', "");
Expect(0, 66378, '\p{^Is_Script=gothic}', "");
Expect(0, 66378, '\P{Is_Script=gothic}', "");
Expect(1, 66378, '\P{^Is_Script=gothic}', "");
Expect(0, 66351, '\p{Is_Script=gothic}', "");
Expect(1, 66351, '\p{^Is_Script=gothic}', "");
Expect(1, 66351, '\P{Is_Script=gothic}', "");
Expect(0, 66351, '\P{^Is_Script=gothic}', "");
Expect(1, 66378, '\p{Is_Script=-	GOTHIC}', "");
Expect(0, 66378, '\p{^Is_Script=-	GOTHIC}', "");
Expect(0, 66378, '\P{Is_Script=-	GOTHIC}', "");
Expect(1, 66378, '\P{^Is_Script=-	GOTHIC}', "");
Expect(0, 66351, '\p{Is_Script=-	GOTHIC}', "");
Expect(1, 66351, '\p{^Is_Script=-	GOTHIC}', "");
Expect(1, 66351, '\P{Is_Script=-	GOTHIC}', "");
Expect(0, 66351, '\P{^Is_Script=-	GOTHIC}', "");
Error('\p{Is_Sc=  Goth/a/}');
Error('\P{Is_Sc=  Goth/a/}');
Expect(1, 66378, '\p{Is_Sc=goth}', "");
Expect(0, 66378, '\p{^Is_Sc=goth}', "");
Expect(0, 66378, '\P{Is_Sc=goth}', "");
Expect(1, 66378, '\P{^Is_Sc=goth}', "");
Expect(0, 66351, '\p{Is_Sc=goth}', "");
Expect(1, 66351, '\p{^Is_Sc=goth}', "");
Expect(1, 66351, '\P{Is_Sc=goth}', "");
Expect(0, 66351, '\P{^Is_Sc=goth}', "");
Expect(1, 66378, '\p{Is_Sc=-_goth}', "");
Expect(0, 66378, '\p{^Is_Sc=-_goth}', "");
Expect(0, 66378, '\P{Is_Sc=-_goth}', "");
Expect(1, 66378, '\P{^Is_Sc=-_goth}', "");
Expect(0, 66351, '\p{Is_Sc=-_goth}', "");
Expect(1, 66351, '\p{^Is_Sc=-_goth}', "");
Expect(1, 66351, '\P{Is_Sc=-_goth}', "");
Expect(0, 66351, '\P{^Is_Sc=-_goth}', "");
Error('\p{Script=	/a/Olditalic}');
Error('\P{Script=	/a/Olditalic}');
Expect(1, 66334, '\p{Script:	olditalic}', "");
Expect(0, 66334, '\p{^Script:	olditalic}', "");
Expect(0, 66334, '\P{Script:	olditalic}', "");
Expect(1, 66334, '\P{^Script:	olditalic}', "");
Expect(0, 66303, '\p{Script:	olditalic}', "");
Expect(1, 66303, '\p{^Script:	olditalic}', "");
Expect(1, 66303, '\P{Script:	olditalic}', "");
Expect(0, 66303, '\P{^Script:	olditalic}', "");
Expect(1, 66334, '\p{Script= -Old italic}', "");
Expect(0, 66334, '\p{^Script= -Old italic}', "");
Expect(0, 66334, '\P{Script= -Old italic}', "");
Expect(1, 66334, '\P{^Script= -Old italic}', "");
Expect(0, 66303, '\p{Script= -Old italic}', "");
Expect(1, 66303, '\p{^Script= -Old italic}', "");
Expect(1, 66303, '\P{Script= -Old italic}', "");
Expect(0, 66303, '\P{^Script= -Old italic}', "");
Error('\p{Sc=ital:=}');
Error('\P{Sc=ital:=}');
Expect(1, 66334, '\p{Sc=ital}', "");
Expect(0, 66334, '\p{^Sc=ital}', "");
Expect(0, 66334, '\P{Sc=ital}', "");
Expect(1, 66334, '\P{^Sc=ital}', "");
Expect(0, 66303, '\p{Sc=ital}', "");
Expect(1, 66303, '\p{^Sc=ital}', "");
Expect(1, 66303, '\P{Sc=ital}', "");
Expect(0, 66303, '\P{^Sc=ital}', "");
Expect(1, 66334, '\p{Sc=_-ital}', "");
Expect(0, 66334, '\p{^Sc=_-ital}', "");
Expect(0, 66334, '\P{Sc=_-ital}', "");
Expect(1, 66334, '\P{^Sc=_-ital}', "");
Expect(0, 66303, '\p{Sc=_-ital}', "");
Expect(1, 66303, '\p{^Sc=_-ital}', "");
Expect(1, 66303, '\P{Sc=_-ital}', "");
Expect(0, 66303, '\P{^Sc=_-ital}', "");
Error('\p{Is_Script=:=-_Old ITALIC}');
Error('\P{Is_Script=:=-_Old ITALIC}');
Expect(1, 66334, '\p{Is_Script=olditalic}', "");
Expect(0, 66334, '\p{^Is_Script=olditalic}', "");
Expect(0, 66334, '\P{Is_Script=olditalic}', "");
Expect(1, 66334, '\P{^Is_Script=olditalic}', "");
Expect(0, 66303, '\p{Is_Script=olditalic}', "");
Expect(1, 66303, '\p{^Is_Script=olditalic}', "");
Expect(1, 66303, '\P{Is_Script=olditalic}', "");
Expect(0, 66303, '\P{^Is_Script=olditalic}', "");
Expect(1, 66334, '\p{Is_Script=_-Old	ITALIC}', "");
Expect(0, 66334, '\p{^Is_Script=_-Old	ITALIC}', "");
Expect(0, 66334, '\P{Is_Script=_-Old	ITALIC}', "");
Expect(1, 66334, '\P{^Is_Script=_-Old	ITALIC}', "");
Expect(0, 66303, '\p{Is_Script=_-Old	ITALIC}', "");
Expect(1, 66303, '\p{^Is_Script=_-Old	ITALIC}', "");
Expect(1, 66303, '\P{Is_Script=_-Old	ITALIC}', "");
Expect(0, 66303, '\P{^Is_Script=_-Old	ITALIC}', "");
Error('\p{Is_Sc=-_Ital:=}');
Error('\P{Is_Sc=-_Ital:=}');
Expect(1, 66334, '\p{Is_Sc=ital}', "");
Expect(0, 66334, '\p{^Is_Sc=ital}', "");
Expect(0, 66334, '\P{Is_Sc=ital}', "");
Expect(1, 66334, '\P{^Is_Sc=ital}', "");
Expect(0, 66303, '\p{Is_Sc=ital}', "");
Expect(1, 66303, '\p{^Is_Sc=ital}', "");
Expect(1, 66303, '\P{Is_Sc=ital}', "");
Expect(0, 66303, '\P{^Is_Sc=ital}', "");
Expect(1, 66334, '\p{Is_Sc= 	ITAL}', "");
Expect(0, 66334, '\p{^Is_Sc= 	ITAL}', "");
Expect(0, 66334, '\P{Is_Sc= 	ITAL}', "");
Expect(1, 66334, '\P{^Is_Sc= 	ITAL}', "");
Expect(0, 66303, '\p{Is_Sc= 	ITAL}', "");
Expect(1, 66303, '\p{^Is_Sc= 	ITAL}', "");
Expect(1, 66303, '\P{Is_Sc= 	ITAL}', "");
Expect(0, 66303, '\P{^Is_Sc= 	ITAL}', "");
Error('\p{Script= /a/bamum}');
Error('\P{Script= /a/bamum}');
Expect(1, 42743, '\p{Script=bamum}', "");
Expect(0, 42743, '\p{^Script=bamum}', "");
Expect(0, 42743, '\P{Script=bamum}', "");
Expect(1, 42743, '\P{^Script=bamum}', "");
Expect(0, 42655, '\p{Script=bamum}', "");
Expect(1, 42655, '\p{^Script=bamum}', "");
Expect(1, 42655, '\P{Script=bamum}', "");
Expect(0, 42655, '\P{^Script=bamum}', "");
Expect(1, 42743, '\p{Script=-	BAMUM}', "");
Expect(0, 42743, '\p{^Script=-	BAMUM}', "");
Expect(0, 42743, '\P{Script=-	BAMUM}', "");
Expect(1, 42743, '\P{^Script=-	BAMUM}', "");
Expect(0, 42655, '\p{Script=-	BAMUM}', "");
Expect(1, 42655, '\p{^Script=-	BAMUM}', "");
Expect(1, 42655, '\P{Script=-	BAMUM}', "");
Expect(0, 42655, '\P{^Script=-	BAMUM}', "");
Error('\p{Sc: :=_ Bamu}');
Error('\P{Sc: :=_ Bamu}');
Expect(1, 42743, '\p{Sc=bamu}', "");
Expect(0, 42743, '\p{^Sc=bamu}', "");
Expect(0, 42743, '\P{Sc=bamu}', "");
Expect(1, 42743, '\P{^Sc=bamu}', "");
Expect(0, 42655, '\p{Sc=bamu}', "");
Expect(1, 42655, '\p{^Sc=bamu}', "");
Expect(1, 42655, '\P{Sc=bamu}', "");
Expect(0, 42655, '\P{^Sc=bamu}', "");
Expect(1, 42743, '\p{Sc=_bamu}', "");
Expect(0, 42743, '\p{^Sc=_bamu}', "");
Expect(0, 42743, '\P{Sc=_bamu}', "");
Expect(1, 42743, '\P{^Sc=_bamu}', "");
Expect(0, 42655, '\p{Sc=_bamu}', "");
Expect(1, 42655, '\p{^Sc=_bamu}', "");
Expect(1, 42655, '\P{Sc=_bamu}', "");
Expect(0, 42655, '\P{^Sc=_bamu}', "");
Error('\p{Is_Script= BAMUM:=}');
Error('\P{Is_Script= BAMUM:=}');
Expect(1, 42743, '\p{Is_Script=bamum}', "");
Expect(0, 42743, '\p{^Is_Script=bamum}', "");
Expect(0, 42743, '\P{Is_Script=bamum}', "");
Expect(1, 42743, '\P{^Is_Script=bamum}', "");
Expect(0, 42655, '\p{Is_Script=bamum}', "");
Expect(1, 42655, '\p{^Is_Script=bamum}', "");
Expect(1, 42655, '\P{Is_Script=bamum}', "");
Expect(0, 42655, '\P{^Is_Script=bamum}', "");
Expect(1, 42743, '\p{Is_Script= Bamum}', "");
Expect(0, 42743, '\p{^Is_Script= Bamum}', "");
Expect(0, 42743, '\P{Is_Script= Bamum}', "");
Expect(1, 42743, '\P{^Is_Script= Bamum}', "");
Expect(0, 42655, '\p{Is_Script= Bamum}', "");
Expect(1, 42655, '\p{^Is_Script= Bamum}', "");
Expect(1, 42655, '\P{Is_Script= Bamum}', "");
Expect(0, 42655, '\P{^Is_Script= Bamum}', "");
Error('\p{Is_Sc= Bamu:=}');
Error('\P{Is_Sc= Bamu:=}');
Expect(1, 42743, '\p{Is_Sc=bamu}', "");
Expect(0, 42743, '\p{^Is_Sc=bamu}', "");
Expect(0, 42743, '\P{Is_Sc=bamu}', "");
Expect(1, 42743, '\P{^Is_Sc=bamu}', "");
Expect(0, 42655, '\p{Is_Sc=bamu}', "");
Expect(1, 42655, '\p{^Is_Sc=bamu}', "");
Expect(1, 42655, '\P{Is_Sc=bamu}', "");
Expect(0, 42655, '\P{^Is_Sc=bamu}', "");
Expect(1, 42743, '\p{Is_Sc= Bamu}', "");
Expect(0, 42743, '\p{^Is_Sc= Bamu}', "");
Expect(0, 42743, '\P{Is_Sc= Bamu}', "");
Expect(1, 42743, '\P{^Is_Sc= Bamu}', "");
Expect(0, 42655, '\p{Is_Sc= Bamu}', "");
Expect(1, 42655, '\p{^Is_Sc= Bamu}', "");
Expect(1, 42655, '\P{Is_Sc= Bamu}', "");
Expect(0, 42655, '\P{^Is_Sc= Bamu}', "");
Error('\p{Script:   /a/ -Vai}');
Error('\P{Script:   /a/ -Vai}');
Expect(1, 42539, '\p{Script=vai}', "");
Expect(0, 42539, '\p{^Script=vai}', "");
Expect(0, 42539, '\P{Script=vai}', "");
Expect(1, 42539, '\P{^Script=vai}', "");
Expect(0, 42239, '\p{Script=vai}', "");
Expect(1, 42239, '\p{^Script=vai}', "");
Expect(1, 42239, '\P{Script=vai}', "");
Expect(0, 42239, '\P{^Script=vai}', "");
Expect(1, 42539, '\p{Script=__VAI}', "");
Expect(0, 42539, '\p{^Script=__VAI}', "");
Expect(0, 42539, '\P{Script=__VAI}', "");
Expect(1, 42539, '\P{^Script=__VAI}', "");
Expect(0, 42239, '\p{Script=__VAI}', "");
Expect(1, 42239, '\p{^Script=__VAI}', "");
Expect(1, 42239, '\P{Script=__VAI}', "");
Expect(0, 42239, '\P{^Script=__VAI}', "");
Error('\p{Sc= /a/VAII}');
Error('\P{Sc= /a/VAII}');
Expect(1, 42539, '\p{Sc=vaii}', "");
Expect(0, 42539, '\p{^Sc=vaii}', "");
Expect(0, 42539, '\P{Sc=vaii}', "");
Expect(1, 42539, '\P{^Sc=vaii}', "");
Expect(0, 42239, '\p{Sc=vaii}', "");
Expect(1, 42239, '\p{^Sc=vaii}', "");
Expect(1, 42239, '\P{Sc=vaii}', "");
Expect(0, 42239, '\P{^Sc=vaii}', "");
Expect(1, 42539, '\p{Sc=		vaii}', "");
Expect(0, 42539, '\p{^Sc=		vaii}', "");
Expect(0, 42539, '\P{Sc=		vaii}', "");
Expect(1, 42539, '\P{^Sc=		vaii}', "");
Expect(0, 42239, '\p{Sc=		vaii}', "");
Expect(1, 42239, '\p{^Sc=		vaii}', "");
Expect(1, 42239, '\P{Sc=		vaii}', "");
Expect(0, 42239, '\P{^Sc=		vaii}', "");
Error('\p{Is_Script=_	Vai/a/}');
Error('\P{Is_Script=_	Vai/a/}');
Expect(1, 42539, '\p{Is_Script: vai}', "");
Expect(0, 42539, '\p{^Is_Script: vai}', "");
Expect(0, 42539, '\P{Is_Script: vai}', "");
Expect(1, 42539, '\P{^Is_Script: vai}', "");
Expect(0, 42239, '\p{Is_Script: vai}', "");
Expect(1, 42239, '\p{^Is_Script: vai}', "");
Expect(1, 42239, '\P{Is_Script: vai}', "");
Expect(0, 42239, '\P{^Is_Script: vai}', "");
Expect(1, 42539, '\p{Is_Script=_	vai}', "");
Expect(0, 42539, '\p{^Is_Script=_	vai}', "");
Expect(0, 42539, '\P{Is_Script=_	vai}', "");
Expect(1, 42539, '\P{^Is_Script=_	vai}', "");
Expect(0, 42239, '\p{Is_Script=_	vai}', "");
Expect(1, 42239, '\p{^Is_Script=_	vai}', "");
Expect(1, 42239, '\P{Is_Script=_	vai}', "");
Expect(0, 42239, '\P{^Is_Script=_	vai}', "");
Error('\p{Is_Sc=/a/__VAII}');
Error('\P{Is_Sc=/a/__VAII}');
Expect(1, 42539, '\p{Is_Sc=vaii}', "");
Expect(0, 42539, '\p{^Is_Sc=vaii}', "");
Expect(0, 42539, '\P{Is_Sc=vaii}', "");
Expect(1, 42539, '\P{^Is_Sc=vaii}', "");
Expect(0, 42239, '\p{Is_Sc=vaii}', "");
Expect(1, 42239, '\p{^Is_Sc=vaii}', "");
Expect(1, 42239, '\P{Is_Sc=vaii}', "");
Expect(0, 42239, '\P{^Is_Sc=vaii}', "");
Expect(1, 42539, '\p{Is_Sc=	 VAII}', "");
Expect(0, 42539, '\p{^Is_Sc=	 VAII}', "");
Expect(0, 42539, '\P{Is_Sc=	 VAII}', "");
Expect(1, 42539, '\P{^Is_Sc=	 VAII}', "");
Expect(0, 42239, '\p{Is_Sc=	 VAII}', "");
Expect(1, 42239, '\p{^Is_Sc=	 VAII}', "");
Expect(1, 42239, '\P{Is_Sc=	 VAII}', "");
Expect(0, 42239, '\P{^Is_Sc=	 VAII}', "");
Error('\p{Script= _INSCRIPTIONAL_Parthian/a/}');
Error('\P{Script= _INSCRIPTIONAL_Parthian/a/}');
Expect(1, 68437, '\p{Script=inscriptionalparthian}', "");
Expect(0, 68437, '\p{^Script=inscriptionalparthian}', "");
Expect(0, 68437, '\P{Script=inscriptionalparthian}', "");
Expect(1, 68437, '\P{^Script=inscriptionalparthian}', "");
Expect(0, 68415, '\p{Script=inscriptionalparthian}', "");
Expect(1, 68415, '\p{^Script=inscriptionalparthian}', "");
Expect(1, 68415, '\P{Script=inscriptionalparthian}', "");
Expect(0, 68415, '\P{^Script=inscriptionalparthian}', "");
Expect(1, 68437, '\p{Script=	 inscriptional Parthian}', "");
Expect(0, 68437, '\p{^Script=	 inscriptional Parthian}', "");
Expect(0, 68437, '\P{Script=	 inscriptional Parthian}', "");
Expect(1, 68437, '\P{^Script=	 inscriptional Parthian}', "");
Expect(0, 68415, '\p{Script=	 inscriptional Parthian}', "");
Expect(1, 68415, '\p{^Script=	 inscriptional Parthian}', "");
Expect(1, 68415, '\P{Script=	 inscriptional Parthian}', "");
Expect(0, 68415, '\P{^Script=	 inscriptional Parthian}', "");
Error('\p{Sc=/a/-_Prti}');
Error('\P{Sc=/a/-_Prti}');
Expect(1, 68437, '\p{Sc:   prti}', "");
Expect(0, 68437, '\p{^Sc:   prti}', "");
Expect(0, 68437, '\P{Sc:   prti}', "");
Expect(1, 68437, '\P{^Sc:   prti}', "");
Expect(0, 68415, '\p{Sc:   prti}', "");
Expect(1, 68415, '\p{^Sc:   prti}', "");
Expect(1, 68415, '\P{Sc:   prti}', "");
Expect(0, 68415, '\P{^Sc:   prti}', "");
Error('\p{Is_Script=_/a/Inscriptional_PARTHIAN}');
Error('\P{Is_Script=_/a/Inscriptional_PARTHIAN}');
Expect(1, 68437, '\p{Is_Script=inscriptionalparthian}', "");
Expect(0, 68437, '\p{^Is_Script=inscriptionalparthian}', "");
Expect(0, 68437, '\P{Is_Script=inscriptionalparthian}', "");
Expect(1, 68437, '\P{^Is_Script=inscriptionalparthian}', "");
Expect(0, 68415, '\p{Is_Script=inscriptionalparthian}', "");
Expect(1, 68415, '\p{^Is_Script=inscriptionalparthian}', "");
Expect(1, 68415, '\P{Is_Script=inscriptionalparthian}', "");
Expect(0, 68415, '\P{^Is_Script=inscriptionalparthian}', "");
Expect(1, 68437, '\p{Is_Script=inscriptional_Parthian}', "");
Expect(0, 68437, '\p{^Is_Script=inscriptional_Parthian}', "");
Expect(0, 68437, '\P{Is_Script=inscriptional_Parthian}', "");
Expect(1, 68437, '\P{^Is_Script=inscriptional_Parthian}', "");
Expect(0, 68415, '\p{Is_Script=inscriptional_Parthian}', "");
Expect(1, 68415, '\p{^Is_Script=inscriptional_Parthian}', "");
Expect(1, 68415, '\P{Is_Script=inscriptional_Parthian}', "");
Expect(0, 68415, '\P{^Is_Script=inscriptional_Parthian}', "");
Error('\p{Is_Sc=/a/ prti}');
Error('\P{Is_Sc=/a/ prti}');
Expect(1, 68437, '\p{Is_Sc=prti}', "");
Expect(0, 68437, '\p{^Is_Sc=prti}', "");
Expect(0, 68437, '\P{Is_Sc=prti}', "");
Expect(1, 68437, '\P{^Is_Sc=prti}', "");
Expect(0, 68415, '\p{Is_Sc=prti}', "");
Expect(1, 68415, '\p{^Is_Sc=prti}', "");
Expect(1, 68415, '\P{Is_Sc=prti}', "");
Expect(0, 68415, '\P{^Is_Sc=prti}', "");
Expect(1, 68437, '\p{Is_Sc=_PRTI}', "");
Expect(0, 68437, '\p{^Is_Sc=_PRTI}', "");
Expect(0, 68437, '\P{Is_Sc=_PRTI}', "");
Expect(1, 68437, '\P{^Is_Sc=_PRTI}', "");
Expect(0, 68415, '\p{Is_Sc=_PRTI}', "");
Expect(1, 68415, '\p{^Is_Sc=_PRTI}', "");
Expect(1, 68415, '\P{Is_Sc=_PRTI}', "");
Expect(0, 68415, '\P{^Is_Sc=_PRTI}', "");
Error('\p{Script=/a/_-Runic}');
Error('\P{Script=/a/_-Runic}');
Expect(1, 5866, '\p{Script=runic}', "");
Expect(0, 5866, '\p{^Script=runic}', "");
Expect(0, 5866, '\P{Script=runic}', "");
Expect(1, 5866, '\P{^Script=runic}', "");
Expect(0, 5791, '\p{Script=runic}', "");
Expect(1, 5791, '\p{^Script=runic}', "");
Expect(1, 5791, '\P{Script=runic}', "");
Expect(0, 5791, '\P{^Script=runic}', "");
Expect(1, 5866, '\p{Script= _Runic}', "");
Expect(0, 5866, '\p{^Script= _Runic}', "");
Expect(0, 5866, '\P{Script= _Runic}', "");
Expect(1, 5866, '\P{^Script= _Runic}', "");
Expect(0, 5791, '\p{Script= _Runic}', "");
Expect(1, 5791, '\p{^Script= _Runic}', "");
Expect(1, 5791, '\P{Script= _Runic}', "");
Expect(0, 5791, '\P{^Script= _Runic}', "");
Error('\p{Sc=:=_runr}');
Error('\P{Sc=:=_runr}');
Expect(1, 5866, '\p{Sc=runr}', "");
Expect(0, 5866, '\p{^Sc=runr}', "");
Expect(0, 5866, '\P{Sc=runr}', "");
Expect(1, 5866, '\P{^Sc=runr}', "");
Expect(0, 5791, '\p{Sc=runr}', "");
Expect(1, 5791, '\p{^Sc=runr}', "");
Expect(1, 5791, '\P{Sc=runr}', "");
Expect(0, 5791, '\P{^Sc=runr}', "");
Expect(1, 5866, '\p{Sc= Runr}', "");
Expect(0, 5866, '\p{^Sc= Runr}', "");
Expect(0, 5866, '\P{Sc= Runr}', "");
Expect(1, 5866, '\P{^Sc= Runr}', "");
Expect(0, 5791, '\p{Sc= Runr}', "");
Expect(1, 5791, '\p{^Sc= Runr}', "");
Expect(1, 5791, '\P{Sc= Runr}', "");
Expect(0, 5791, '\P{^Sc= Runr}', "");
Error('\p{Is_Script=/a/_ Runic}');
Error('\P{Is_Script=/a/_ Runic}');
Expect(1, 5866, '\p{Is_Script=runic}', "");
Expect(0, 5866, '\p{^Is_Script=runic}', "");
Expect(0, 5866, '\P{Is_Script=runic}', "");
Expect(1, 5866, '\P{^Is_Script=runic}', "");
Expect(0, 5791, '\p{Is_Script=runic}', "");
Expect(1, 5791, '\p{^Is_Script=runic}', "");
Expect(1, 5791, '\P{Is_Script=runic}', "");
Expect(0, 5791, '\P{^Is_Script=runic}', "");
Expect(1, 5866, '\p{Is_Script:_-Runic}', "");
Expect(0, 5866, '\p{^Is_Script:_-Runic}', "");
Expect(0, 5866, '\P{Is_Script:_-Runic}', "");
Expect(1, 5866, '\P{^Is_Script:_-Runic}', "");
Expect(0, 5791, '\p{Is_Script:_-Runic}', "");
Expect(1, 5791, '\p{^Is_Script:_-Runic}', "");
Expect(1, 5791, '\P{Is_Script:_-Runic}', "");
Expect(0, 5791, '\P{^Is_Script:_-Runic}', "");
Error('\p{Is_Sc=	-Runr:=}');
Error('\P{Is_Sc=	-Runr:=}');
Expect(1, 5866, '\p{Is_Sc=runr}', "");
Expect(0, 5866, '\p{^Is_Sc=runr}', "");
Expect(0, 5866, '\P{Is_Sc=runr}', "");
Expect(1, 5866, '\P{^Is_Sc=runr}', "");
Expect(0, 5791, '\p{Is_Sc=runr}', "");
Expect(1, 5791, '\p{^Is_Sc=runr}', "");
Expect(1, 5791, '\P{Is_Sc=runr}', "");
Expect(0, 5791, '\P{^Is_Sc=runr}', "");
Expect(1, 5866, '\p{Is_Sc= _Runr}', "");
Expect(0, 5866, '\p{^Is_Sc= _Runr}', "");
Expect(0, 5866, '\P{Is_Sc= _Runr}', "");
Expect(1, 5866, '\P{^Is_Sc= _Runr}', "");
Expect(0, 5791, '\p{Is_Sc= _Runr}', "");
Expect(1, 5791, '\p{^Is_Sc= _Runr}', "");
Expect(1, 5791, '\P{Is_Sc= _Runr}', "");
Expect(0, 5791, '\P{^Is_Sc= _Runr}', "");
Error('\p{Script= /a/cherokee}');
Error('\P{Script= /a/cherokee}');
Expect(1, 5108, '\p{Script: cherokee}', "");
Expect(0, 5108, '\p{^Script: cherokee}', "");
Expect(0, 5108, '\P{Script: cherokee}', "");
Expect(1, 5108, '\P{^Script: cherokee}', "");
Expect(0, 5023, '\p{Script: cherokee}', "");
Expect(1, 5023, '\p{^Script: cherokee}', "");
Expect(1, 5023, '\P{Script: cherokee}', "");
Expect(0, 5023, '\P{^Script: cherokee}', "");
Expect(1, 5108, '\p{Script=  Cherokee}', "");
Expect(0, 5108, '\p{^Script=  Cherokee}', "");
Expect(0, 5108, '\P{Script=  Cherokee}', "");
Expect(1, 5108, '\P{^Script=  Cherokee}', "");
Expect(0, 5023, '\p{Script=  Cherokee}', "");
Expect(1, 5023, '\p{^Script=  Cherokee}', "");
Expect(1, 5023, '\P{Script=  Cherokee}', "");
Expect(0, 5023, '\P{^Script=  Cherokee}', "");
Error('\p{Sc=_-CHER:=}');
Error('\P{Sc=_-CHER:=}');
Expect(1, 5108, '\p{Sc=cher}', "");
Expect(0, 5108, '\p{^Sc=cher}', "");
Expect(0, 5108, '\P{Sc=cher}', "");
Expect(1, 5108, '\P{^Sc=cher}', "");
Expect(0, 5023, '\p{Sc=cher}', "");
Expect(1, 5023, '\p{^Sc=cher}', "");
Expect(1, 5023, '\P{Sc=cher}', "");
Expect(0, 5023, '\P{^Sc=cher}', "");
Expect(1, 5108, '\p{Sc=CHER}', "");
Expect(0, 5108, '\p{^Sc=CHER}', "");
Expect(0, 5108, '\P{Sc=CHER}', "");
Expect(1, 5108, '\P{^Sc=CHER}', "");
Expect(0, 5023, '\p{Sc=CHER}', "");
Expect(1, 5023, '\p{^Sc=CHER}', "");
Expect(1, 5023, '\P{Sc=CHER}', "");
Expect(0, 5023, '\P{^Sc=CHER}', "");
Error('\p{Is_Script:-Cherokee/a/}');
Error('\P{Is_Script:-Cherokee/a/}');
Expect(1, 5108, '\p{Is_Script=cherokee}', "");
Expect(0, 5108, '\p{^Is_Script=cherokee}', "");
Expect(0, 5108, '\P{Is_Script=cherokee}', "");
Expect(1, 5108, '\P{^Is_Script=cherokee}', "");
Expect(0, 5023, '\p{Is_Script=cherokee}', "");
Expect(1, 5023, '\p{^Is_Script=cherokee}', "");
Expect(1, 5023, '\P{Is_Script=cherokee}', "");
Expect(0, 5023, '\P{^Is_Script=cherokee}', "");
Expect(1, 5108, '\p{Is_Script=- cherokee}', "");
Expect(0, 5108, '\p{^Is_Script=- cherokee}', "");
Expect(0, 5108, '\P{Is_Script=- cherokee}', "");
Expect(1, 5108, '\P{^Is_Script=- cherokee}', "");
Expect(0, 5023, '\p{Is_Script=- cherokee}', "");
Expect(1, 5023, '\p{^Is_Script=- cherokee}', "");
Expect(1, 5023, '\P{Is_Script=- cherokee}', "");
Expect(0, 5023, '\P{^Is_Script=- cherokee}', "");
Error('\p{Is_Sc=-/a/CHER}');
Error('\P{Is_Sc=-/a/CHER}');
Expect(1, 5108, '\p{Is_Sc=cher}', "");
Expect(0, 5108, '\p{^Is_Sc=cher}', "");
Expect(0, 5108, '\P{Is_Sc=cher}', "");
Expect(1, 5108, '\P{^Is_Sc=cher}', "");
Expect(0, 5023, '\p{Is_Sc=cher}', "");
Expect(1, 5023, '\p{^Is_Sc=cher}', "");
Expect(1, 5023, '\P{Is_Sc=cher}', "");
Expect(0, 5023, '\P{^Is_Sc=cher}', "");
Expect(1, 5108, '\p{Is_Sc=	-CHER}', "");
Expect(0, 5108, '\p{^Is_Sc=	-CHER}', "");
Expect(0, 5108, '\P{Is_Sc=	-CHER}', "");
Expect(1, 5108, '\P{^Is_Sc=	-CHER}', "");
Expect(0, 5023, '\p{Is_Sc=	-CHER}', "");
Expect(1, 5023, '\p{^Is_Sc=	-CHER}', "");
Expect(1, 5023, '\P{Is_Sc=	-CHER}', "");
Expect(0, 5023, '\P{^Is_Sc=	-CHER}', "");
Error('\p{Script=/a/ol Chiki}');
Error('\P{Script=/a/ol Chiki}');
Expect(1, 7295, '\p{Script=olchiki}', "");
Expect(0, 7295, '\p{^Script=olchiki}', "");
Expect(0, 7295, '\P{Script=olchiki}', "");
Expect(1, 7295, '\P{^Script=olchiki}', "");
Expect(0, 7247, '\p{Script=olchiki}', "");
Expect(1, 7247, '\p{^Script=olchiki}', "");
Expect(1, 7247, '\P{Script=olchiki}', "");
Expect(0, 7247, '\P{^Script=olchiki}', "");
Expect(1, 7295, '\p{Script=-	Ol-chiki}', "");
Expect(0, 7295, '\p{^Script=-	Ol-chiki}', "");
Expect(0, 7295, '\P{Script=-	Ol-chiki}', "");
Expect(1, 7295, '\P{^Script=-	Ol-chiki}', "");
Expect(0, 7247, '\p{Script=-	Ol-chiki}', "");
Expect(1, 7247, '\p{^Script=-	Ol-chiki}', "");
Expect(1, 7247, '\P{Script=-	Ol-chiki}', "");
Expect(0, 7247, '\P{^Script=-	Ol-chiki}', "");
Error('\p{Sc=/a/_Olck}');
Error('\P{Sc=/a/_Olck}');
Expect(1, 7295, '\p{Sc=olck}', "");
Expect(0, 7295, '\p{^Sc=olck}', "");
Expect(0, 7295, '\P{Sc=olck}', "");
Expect(1, 7295, '\P{^Sc=olck}', "");
Expect(0, 7247, '\p{Sc=olck}', "");
Expect(1, 7247, '\p{^Sc=olck}', "");
Expect(1, 7247, '\P{Sc=olck}', "");
Expect(0, 7247, '\P{^Sc=olck}', "");
Expect(1, 7295, '\p{Sc=- Olck}', "");
Expect(0, 7295, '\p{^Sc=- Olck}', "");
Expect(0, 7295, '\P{Sc=- Olck}', "");
Expect(1, 7295, '\P{^Sc=- Olck}', "");
Expect(0, 7247, '\p{Sc=- Olck}', "");
Expect(1, 7247, '\p{^Sc=- Olck}', "");
Expect(1, 7247, '\P{Sc=- Olck}', "");
Expect(0, 7247, '\P{^Sc=- Olck}', "");
Error('\p{Is_Script= /a/Ol_chiki}');
Error('\P{Is_Script= /a/Ol_chiki}');
Expect(1, 7295, '\p{Is_Script=olchiki}', "");
Expect(0, 7295, '\p{^Is_Script=olchiki}', "");
Expect(0, 7295, '\P{Is_Script=olchiki}', "");
Expect(1, 7295, '\P{^Is_Script=olchiki}', "");
Expect(0, 7247, '\p{Is_Script=olchiki}', "");
Expect(1, 7247, '\p{^Is_Script=olchiki}', "");
Expect(1, 7247, '\P{Is_Script=olchiki}', "");
Expect(0, 7247, '\P{^Is_Script=olchiki}', "");
Expect(1, 7295, '\p{Is_Script=	_OL	chiki}', "");
Expect(0, 7295, '\p{^Is_Script=	_OL	chiki}', "");
Expect(0, 7295, '\P{Is_Script=	_OL	chiki}', "");
Expect(1, 7295, '\P{^Is_Script=	_OL	chiki}', "");
Expect(0, 7247, '\p{Is_Script=	_OL	chiki}', "");
Expect(1, 7247, '\p{^Is_Script=	_OL	chiki}', "");
Expect(1, 7247, '\P{Is_Script=	_OL	chiki}', "");
Expect(0, 7247, '\P{^Is_Script=	_OL	chiki}', "");
Error('\p{Is_Sc::= 	Olck}');
Error('\P{Is_Sc::= 	Olck}');
Expect(1, 7295, '\p{Is_Sc=olck}', "");
Expect(0, 7295, '\p{^Is_Sc=olck}', "");
Expect(0, 7295, '\P{Is_Sc=olck}', "");
Expect(1, 7295, '\P{^Is_Sc=olck}', "");
Expect(0, 7247, '\p{Is_Sc=olck}', "");
Expect(1, 7247, '\p{^Is_Sc=olck}', "");
Expect(1, 7247, '\P{Is_Sc=olck}', "");
Expect(0, 7247, '\P{^Is_Sc=olck}', "");
Expect(1, 7295, '\p{Is_Sc=_ Olck}', "");
Expect(0, 7295, '\p{^Is_Sc=_ Olck}', "");
Expect(0, 7295, '\P{Is_Sc=_ Olck}', "");
Expect(1, 7295, '\P{^Is_Sc=_ Olck}', "");
Expect(0, 7247, '\p{Is_Sc=_ Olck}', "");
Expect(1, 7247, '\p{^Is_Sc=_ Olck}', "");
Expect(1, 7247, '\P{Is_Sc=_ Olck}', "");
Expect(0, 7247, '\P{^Is_Sc=_ Olck}', "");
Error('\p{Script=_	Ugaritic/a/}');
Error('\P{Script=_	Ugaritic/a/}');
Expect(1, 66461, '\p{Script=ugaritic}', "");
Expect(0, 66461, '\p{^Script=ugaritic}', "");
Expect(0, 66461, '\P{Script=ugaritic}', "");
Expect(1, 66461, '\P{^Script=ugaritic}', "");
Expect(0, 66431, '\p{Script=ugaritic}', "");
Expect(1, 66431, '\p{^Script=ugaritic}', "");
Expect(1, 66431, '\P{Script=ugaritic}', "");
Expect(0, 66431, '\P{^Script=ugaritic}', "");
Expect(1, 66461, '\p{Script=_Ugaritic}', "");
Expect(0, 66461, '\p{^Script=_Ugaritic}', "");
Expect(0, 66461, '\P{Script=_Ugaritic}', "");
Expect(1, 66461, '\P{^Script=_Ugaritic}', "");
Expect(0, 66431, '\p{Script=_Ugaritic}', "");
Expect(1, 66431, '\p{^Script=_Ugaritic}', "");
Expect(1, 66431, '\P{Script=_Ugaritic}', "");
Expect(0, 66431, '\P{^Script=_Ugaritic}', "");
Error('\p{Sc=	_UGAR:=}');
Error('\P{Sc=	_UGAR:=}');
Expect(1, 66461, '\p{Sc=ugar}', "");
Expect(0, 66461, '\p{^Sc=ugar}', "");
Expect(0, 66461, '\P{Sc=ugar}', "");
Expect(1, 66461, '\P{^Sc=ugar}', "");
Expect(0, 66431, '\p{Sc=ugar}', "");
Expect(1, 66431, '\p{^Sc=ugar}', "");
Expect(1, 66431, '\P{Sc=ugar}', "");
Expect(0, 66431, '\P{^Sc=ugar}', "");
Expect(1, 66461, '\p{Sc= Ugar}', "");
Expect(0, 66461, '\p{^Sc= Ugar}', "");
Expect(0, 66461, '\P{Sc= Ugar}', "");
Expect(1, 66461, '\P{^Sc= Ugar}', "");
Expect(0, 66431, '\p{Sc= Ugar}', "");
Expect(1, 66431, '\p{^Sc= Ugar}', "");
Expect(1, 66431, '\P{Sc= Ugar}', "");
Expect(0, 66431, '\P{^Sc= Ugar}', "");
Error('\p{Is_Script=/a/ugaritic}');
Error('\P{Is_Script=/a/ugaritic}');
Expect(1, 66461, '\p{Is_Script:	ugaritic}', "");
Expect(0, 66461, '\p{^Is_Script:	ugaritic}', "");
Expect(0, 66461, '\P{Is_Script:	ugaritic}', "");
Expect(1, 66461, '\P{^Is_Script:	ugaritic}', "");
Expect(0, 66431, '\p{Is_Script:	ugaritic}', "");
Expect(1, 66431, '\p{^Is_Script:	ugaritic}', "");
Expect(1, 66431, '\P{Is_Script:	ugaritic}', "");
Expect(0, 66431, '\P{^Is_Script:	ugaritic}', "");
Expect(1, 66461, '\p{Is_Script=	-Ugaritic}', "");
Expect(0, 66461, '\p{^Is_Script=	-Ugaritic}', "");
Expect(0, 66461, '\P{Is_Script=	-Ugaritic}', "");
Expect(1, 66461, '\P{^Is_Script=	-Ugaritic}', "");
Expect(0, 66431, '\p{Is_Script=	-Ugaritic}', "");
Expect(1, 66431, '\p{^Is_Script=	-Ugaritic}', "");
Expect(1, 66431, '\P{Is_Script=	-Ugaritic}', "");
Expect(0, 66431, '\P{^Is_Script=	-Ugaritic}', "");
Error('\p{Is_Sc=/a/ _Ugar}');
Error('\P{Is_Sc=/a/ _Ugar}');
Expect(1, 66461, '\p{Is_Sc=ugar}', "");
Expect(0, 66461, '\p{^Is_Sc=ugar}', "");
Expect(0, 66461, '\P{Is_Sc=ugar}', "");
Expect(1, 66461, '\P{^Is_Sc=ugar}', "");
Expect(0, 66431, '\p{Is_Sc=ugar}', "");
Expect(1, 66431, '\p{^Is_Sc=ugar}', "");
Expect(1, 66431, '\P{Is_Sc=ugar}', "");
Expect(0, 66431, '\P{^Is_Sc=ugar}', "");
Expect(1, 66461, '\p{Is_Sc=-UGAR}', "");
Expect(0, 66461, '\p{^Is_Sc=-UGAR}', "");
Expect(0, 66461, '\P{Is_Sc=-UGAR}', "");
Expect(1, 66461, '\P{^Is_Sc=-UGAR}', "");
Expect(0, 66431, '\p{Is_Sc=-UGAR}', "");
Expect(1, 66431, '\p{^Is_Sc=-UGAR}', "");
Expect(1, 66431, '\P{Is_Sc=-UGAR}', "");
Expect(0, 66431, '\P{^Is_Sc=-UGAR}', "");
Error('\p{Script=:=	_Phags	Pa}');
Error('\P{Script=:=	_Phags	Pa}');
Expect(1, 43127, '\p{Script=phagspa}', "");
Expect(0, 43127, '\p{^Script=phagspa}', "");
Expect(0, 43127, '\P{Script=phagspa}', "");
Expect(1, 43127, '\P{^Script=phagspa}', "");
Expect(0, 43071, '\p{Script=phagspa}', "");
Expect(1, 43071, '\p{^Script=phagspa}', "");
Expect(1, 43071, '\P{Script=phagspa}', "");
Expect(0, 43071, '\P{^Script=phagspa}', "");
Expect(1, 43127, '\p{Script: _phags Pa}', "");
Expect(0, 43127, '\p{^Script: _phags Pa}', "");
Expect(0, 43127, '\P{Script: _phags Pa}', "");
Expect(1, 43127, '\P{^Script: _phags Pa}', "");
Expect(0, 43071, '\p{Script: _phags Pa}', "");
Expect(1, 43071, '\p{^Script: _phags Pa}', "");
Expect(1, 43071, '\P{Script: _phags Pa}', "");
Expect(0, 43071, '\P{^Script: _phags Pa}', "");
Error('\p{Sc=/a/--phag}');
Error('\P{Sc=/a/--phag}');
Expect(1, 43127, '\p{Sc=phag}', "");
Expect(0, 43127, '\p{^Sc=phag}', "");
Expect(0, 43127, '\P{Sc=phag}', "");
Expect(1, 43127, '\P{^Sc=phag}', "");
Expect(0, 43071, '\p{Sc=phag}', "");
Expect(1, 43071, '\p{^Sc=phag}', "");
Expect(1, 43071, '\P{Sc=phag}', "");
Expect(0, 43071, '\P{^Sc=phag}', "");
Expect(1, 43127, '\p{Sc=__phag}', "");
Expect(0, 43127, '\p{^Sc=__phag}', "");
Expect(0, 43127, '\P{Sc=__phag}', "");
Expect(1, 43127, '\P{^Sc=__phag}', "");
Expect(0, 43071, '\p{Sc=__phag}', "");
Expect(1, 43071, '\p{^Sc=__phag}', "");
Expect(1, 43071, '\P{Sc=__phag}', "");
Expect(0, 43071, '\P{^Sc=__phag}', "");
Error('\p{Is_Script=:=	-Phags	Pa}');
Error('\P{Is_Script=:=	-Phags	Pa}');
Expect(1, 43127, '\p{Is_Script=phagspa}', "");
Expect(0, 43127, '\p{^Is_Script=phagspa}', "");
Expect(0, 43127, '\P{Is_Script=phagspa}', "");
Expect(1, 43127, '\P{^Is_Script=phagspa}', "");
Expect(0, 43071, '\p{Is_Script=phagspa}', "");
Expect(1, 43071, '\p{^Is_Script=phagspa}', "");
Expect(1, 43071, '\P{Is_Script=phagspa}', "");
Expect(0, 43071, '\P{^Is_Script=phagspa}', "");
Expect(1, 43127, '\p{Is_Script=- Phags_pa}', "");
Expect(0, 43127, '\p{^Is_Script=- Phags_pa}', "");
Expect(0, 43127, '\P{Is_Script=- Phags_pa}', "");
Expect(1, 43127, '\P{^Is_Script=- Phags_pa}', "");
Expect(0, 43071, '\p{Is_Script=- Phags_pa}', "");
Expect(1, 43071, '\p{^Is_Script=- Phags_pa}', "");
Expect(1, 43071, '\P{Is_Script=- Phags_pa}', "");
Expect(0, 43071, '\P{^Is_Script=- Phags_pa}', "");
Error('\p{Is_Sc=/a/ PHAG}');
Error('\P{Is_Sc=/a/ PHAG}');
Expect(1, 43127, '\p{Is_Sc:phag}', "");
Expect(0, 43127, '\p{^Is_Sc:phag}', "");
Expect(0, 43127, '\P{Is_Sc:phag}', "");
Expect(1, 43127, '\P{^Is_Sc:phag}', "");
Expect(0, 43071, '\p{Is_Sc:phag}', "");
Expect(1, 43071, '\p{^Is_Sc:phag}', "");
Expect(1, 43071, '\P{Is_Sc:phag}', "");
Expect(0, 43071, '\P{^Is_Sc:phag}', "");
Expect(1, 43127, '\p{Is_Sc:   _	Phag}', "");
Expect(0, 43127, '\p{^Is_Sc:   _	Phag}', "");
Expect(0, 43127, '\P{Is_Sc:   _	Phag}', "");
Expect(1, 43127, '\P{^Is_Sc:   _	Phag}', "");
Expect(0, 43071, '\p{Is_Sc:   _	Phag}', "");
Expect(1, 43071, '\p{^Is_Sc:   _	Phag}', "");
Expect(1, 43071, '\P{Is_Sc:   _	Phag}', "");
Expect(0, 43071, '\P{^Is_Sc:   _	Phag}', "");
Error('\p{Script=:= armenian}');
Error('\P{Script=:= armenian}');
Expect(1, 1366, '\p{Script=armenian}', "");
Expect(0, 1366, '\p{^Script=armenian}', "");
Expect(0, 1366, '\P{Script=armenian}', "");
Expect(1, 1366, '\P{^Script=armenian}', "");
Expect(0, 1328, '\p{Script=armenian}', "");
Expect(1, 1328, '\p{^Script=armenian}', "");
Expect(1, 1328, '\P{Script=armenian}', "");
Expect(0, 1328, '\P{^Script=armenian}', "");
Expect(1, 1366, '\p{Script=-Armenian}', "");
Expect(0, 1366, '\p{^Script=-Armenian}', "");
Expect(0, 1366, '\P{Script=-Armenian}', "");
Expect(1, 1366, '\P{^Script=-Armenian}', "");
Expect(0, 1328, '\p{Script=-Armenian}', "");
Expect(1, 1328, '\p{^Script=-Armenian}', "");
Expect(1, 1328, '\P{Script=-Armenian}', "");
Expect(0, 1328, '\P{^Script=-Armenian}', "");
Error('\p{Sc=:=Armn}');
Error('\P{Sc=:=Armn}');
Expect(1, 1366, '\p{Sc=armn}', "");
Expect(0, 1366, '\p{^Sc=armn}', "");
Expect(0, 1366, '\P{Sc=armn}', "");
Expect(1, 1366, '\P{^Sc=armn}', "");
Expect(0, 1328, '\p{Sc=armn}', "");
Expect(1, 1328, '\p{^Sc=armn}', "");
Expect(1, 1328, '\P{Sc=armn}', "");
Expect(0, 1328, '\P{^Sc=armn}', "");
Expect(1, 1366, '\p{Sc=_Armn}', "");
Expect(0, 1366, '\p{^Sc=_Armn}', "");
Expect(0, 1366, '\P{Sc=_Armn}', "");
Expect(1, 1366, '\P{^Sc=_Armn}', "");
Expect(0, 1328, '\p{Sc=_Armn}', "");
Expect(1, 1328, '\p{^Sc=_Armn}', "");
Expect(1, 1328, '\P{Sc=_Armn}', "");
Expect(0, 1328, '\P{^Sc=_Armn}', "");
Error('\p{Is_Script=--ARMENIAN:=}');
Error('\P{Is_Script=--ARMENIAN:=}');
Expect(1, 1366, '\p{Is_Script=armenian}', "");
Expect(0, 1366, '\p{^Is_Script=armenian}', "");
Expect(0, 1366, '\P{Is_Script=armenian}', "");
Expect(1, 1366, '\P{^Is_Script=armenian}', "");
Expect(0, 1328, '\p{Is_Script=armenian}', "");
Expect(1, 1328, '\p{^Is_Script=armenian}', "");
Expect(1, 1328, '\P{Is_Script=armenian}', "");
Expect(0, 1328, '\P{^Is_Script=armenian}', "");
Expect(1, 1366, '\p{Is_Script=-armenian}', "");
Expect(0, 1366, '\p{^Is_Script=-armenian}', "");
Expect(0, 1366, '\P{Is_Script=-armenian}', "");
Expect(1, 1366, '\P{^Is_Script=-armenian}', "");
Expect(0, 1328, '\p{Is_Script=-armenian}', "");
Expect(1, 1328, '\p{^Is_Script=-armenian}', "");
Expect(1, 1328, '\P{Is_Script=-armenian}', "");
Expect(0, 1328, '\P{^Is_Script=-armenian}', "");
Error('\p{Is_Sc=	:=Armn}');
Error('\P{Is_Sc=	:=Armn}');
Expect(1, 1366, '\p{Is_Sc:   armn}', "");
Expect(0, 1366, '\p{^Is_Sc:   armn}', "");
Expect(0, 1366, '\P{Is_Sc:   armn}', "");
Expect(1, 1366, '\P{^Is_Sc:   armn}', "");
Expect(0, 1328, '\p{Is_Sc:   armn}', "");
Expect(1, 1328, '\p{^Is_Sc:   armn}', "");
Expect(1, 1328, '\P{Is_Sc:   armn}', "");
Expect(0, 1328, '\P{^Is_Sc:   armn}', "");
Expect(1, 1366, '\p{Is_Sc:   _ Armn}', "");
Expect(0, 1366, '\p{^Is_Sc:   _ Armn}', "");
Expect(0, 1366, '\P{Is_Sc:   _ Armn}', "");
Expect(1, 1366, '\P{^Is_Sc:   _ Armn}', "");
Expect(0, 1328, '\p{Is_Sc:   _ Armn}', "");
Expect(1, 1328, '\p{^Is_Sc:   _ Armn}', "");
Expect(1, 1328, '\P{Is_Sc:   _ Armn}', "");
Expect(0, 1328, '\P{^Is_Sc:   _ Armn}', "");
Error('\p{Script= 	Syriac:=}');
Error('\P{Script= 	Syriac:=}');
Expect(1, 1805, '\p{Script=syriac}', "");
Expect(0, 1805, '\p{^Script=syriac}', "");
Expect(0, 1805, '\P{Script=syriac}', "");
Expect(1, 1805, '\P{^Script=syriac}', "");
Expect(0, 1791, '\p{Script=syriac}', "");
Expect(1, 1791, '\p{^Script=syriac}', "");
Expect(1, 1791, '\P{Script=syriac}', "");
Expect(0, 1791, '\P{^Script=syriac}', "");
Expect(1, 1805, '\p{Script=-_syriac}', "");
Expect(0, 1805, '\p{^Script=-_syriac}', "");
Expect(0, 1805, '\P{Script=-_syriac}', "");
Expect(1, 1805, '\P{^Script=-_syriac}', "");
Expect(0, 1791, '\p{Script=-_syriac}', "");
Expect(1, 1791, '\p{^Script=-_syriac}', "");
Expect(1, 1791, '\P{Script=-_syriac}', "");
Expect(0, 1791, '\P{^Script=-_syriac}', "");
Error('\p{Sc:   _/a/Syrc}');
Error('\P{Sc:   _/a/Syrc}');
Expect(1, 1805, '\p{Sc=syrc}', "");
Expect(0, 1805, '\p{^Sc=syrc}', "");
Expect(0, 1805, '\P{Sc=syrc}', "");
Expect(1, 1805, '\P{^Sc=syrc}', "");
Expect(0, 1791, '\p{Sc=syrc}', "");
Expect(1, 1791, '\p{^Sc=syrc}', "");
Expect(1, 1791, '\P{Sc=syrc}', "");
Expect(0, 1791, '\P{^Sc=syrc}', "");
Expect(1, 1805, '\p{Sc=-	Syrc}', "");
Expect(0, 1805, '\p{^Sc=-	Syrc}', "");
Expect(0, 1805, '\P{Sc=-	Syrc}', "");
Expect(1, 1805, '\P{^Sc=-	Syrc}', "");
Expect(0, 1791, '\p{Sc=-	Syrc}', "");
Expect(1, 1791, '\p{^Sc=-	Syrc}', "");
Expect(1, 1791, '\P{Sc=-	Syrc}', "");
Expect(0, 1791, '\P{^Sc=-	Syrc}', "");
Error('\p{Is_Script=-_syriac:=}');
Error('\P{Is_Script=-_syriac:=}');
Expect(1, 1805, '\p{Is_Script:syriac}', "");
Expect(0, 1805, '\p{^Is_Script:syriac}', "");
Expect(0, 1805, '\P{Is_Script:syriac}', "");
Expect(1, 1805, '\P{^Is_Script:syriac}', "");
Expect(0, 1791, '\p{Is_Script:syriac}', "");
Expect(1, 1791, '\p{^Is_Script:syriac}', "");
Expect(1, 1791, '\P{Is_Script:syriac}', "");
Expect(0, 1791, '\P{^Is_Script:syriac}', "");
Expect(1, 1805, '\p{Is_Script:		Syriac}', "");
Expect(0, 1805, '\p{^Is_Script:		Syriac}', "");
Expect(0, 1805, '\P{Is_Script:		Syriac}', "");
Expect(1, 1805, '\P{^Is_Script:		Syriac}', "");
Expect(0, 1791, '\p{Is_Script:		Syriac}', "");
Expect(1, 1791, '\p{^Is_Script:		Syriac}', "");
Expect(1, 1791, '\P{Is_Script:		Syriac}', "");
Expect(0, 1791, '\P{^Is_Script:		Syriac}', "");
Error('\p{Is_Sc=:=_Syrc}');
Error('\P{Is_Sc=:=_Syrc}');
Expect(1, 1805, '\p{Is_Sc: syrc}', "");
Expect(0, 1805, '\p{^Is_Sc: syrc}', "");
Expect(0, 1805, '\P{Is_Sc: syrc}', "");
Expect(1, 1805, '\P{^Is_Sc: syrc}', "");
Expect(0, 1791, '\p{Is_Sc: syrc}', "");
Expect(1, 1791, '\p{^Is_Sc: syrc}', "");
Expect(1, 1791, '\P{Is_Sc: syrc}', "");
Expect(0, 1791, '\P{^Is_Sc: syrc}', "");
Error('\p{Script=	-Yi:=}');
Error('\P{Script=	-Yi:=}');
Expect(1, 42124, '\p{Script=yi}', "");
Expect(0, 42124, '\p{^Script=yi}', "");
Expect(0, 42124, '\P{Script=yi}', "");
Expect(1, 42124, '\P{^Script=yi}', "");
Expect(0, 40959, '\p{Script=yi}', "");
Expect(1, 40959, '\p{^Script=yi}', "");
Expect(1, 40959, '\P{Script=yi}', "");
Expect(0, 40959, '\P{^Script=yi}', "");
Expect(1, 42124, '\p{Script=--Yi}', "");
Expect(0, 42124, '\p{^Script=--Yi}', "");
Expect(0, 42124, '\P{Script=--Yi}', "");
Expect(1, 42124, '\P{^Script=--Yi}', "");
Expect(0, 40959, '\p{Script=--Yi}', "");
Expect(1, 40959, '\p{^Script=--Yi}', "");
Expect(1, 40959, '\P{Script=--Yi}', "");
Expect(0, 40959, '\P{^Script=--Yi}', "");
Error('\p{Sc=-_Yiii:=}');
Error('\P{Sc=-_Yiii:=}');
Expect(1, 42124, '\p{Sc=yiii}', "");
Expect(0, 42124, '\p{^Sc=yiii}', "");
Expect(0, 42124, '\P{Sc=yiii}', "");
Expect(1, 42124, '\P{^Sc=yiii}', "");
Expect(0, 40959, '\p{Sc=yiii}', "");
Expect(1, 40959, '\p{^Sc=yiii}', "");
Expect(1, 40959, '\P{Sc=yiii}', "");
Expect(0, 40959, '\P{^Sc=yiii}', "");
Expect(1, 42124, '\p{Sc= -Yiii}', "");
Expect(0, 42124, '\p{^Sc= -Yiii}', "");
Expect(0, 42124, '\P{Sc= -Yiii}', "");
Expect(1, 42124, '\P{^Sc= -Yiii}', "");
Expect(0, 40959, '\p{Sc= -Yiii}', "");
Expect(1, 40959, '\p{^Sc= -Yiii}', "");
Expect(1, 40959, '\P{Sc= -Yiii}', "");
Expect(0, 40959, '\P{^Sc= -Yiii}', "");
Error('\p{Is_Script=--Yi/a/}');
Error('\P{Is_Script=--Yi/a/}');
Expect(1, 42124, '\p{Is_Script=yi}', "");
Expect(0, 42124, '\p{^Is_Script=yi}', "");
Expect(0, 42124, '\P{Is_Script=yi}', "");
Expect(1, 42124, '\P{^Is_Script=yi}', "");
Expect(0, 40959, '\p{Is_Script=yi}', "");
Expect(1, 40959, '\p{^Is_Script=yi}', "");
Expect(1, 40959, '\P{Is_Script=yi}', "");
Expect(0, 40959, '\P{^Is_Script=yi}', "");
Expect(1, 42124, '\p{Is_Script:	-_Yi}', "");
Expect(0, 42124, '\p{^Is_Script:	-_Yi}', "");
Expect(0, 42124, '\P{Is_Script:	-_Yi}', "");
Expect(1, 42124, '\P{^Is_Script:	-_Yi}', "");
Expect(0, 40959, '\p{Is_Script:	-_Yi}', "");
Expect(1, 40959, '\p{^Is_Script:	-_Yi}', "");
Expect(1, 40959, '\P{Is_Script:	-_Yi}', "");
Expect(0, 40959, '\P{^Is_Script:	-_Yi}', "");
Error('\p{Is_Sc=	 Yiii:=}');
Error('\P{Is_Sc=	 Yiii:=}');
Expect(1, 42124, '\p{Is_Sc=yiii}', "");
Expect(0, 42124, '\p{^Is_Sc=yiii}', "");
Expect(0, 42124, '\P{Is_Sc=yiii}', "");
Expect(1, 42124, '\P{^Is_Sc=yiii}', "");
Expect(0, 40959, '\p{Is_Sc=yiii}', "");
Expect(1, 40959, '\p{^Is_Sc=yiii}', "");
Expect(1, 40959, '\P{Is_Sc=yiii}', "");
Expect(0, 40959, '\P{^Is_Sc=yiii}', "");
Expect(1, 42124, '\p{Is_Sc:	Yiii}', "");
Expect(0, 42124, '\p{^Is_Sc:	Yiii}', "");
Expect(0, 42124, '\P{Is_Sc:	Yiii}', "");
Expect(1, 42124, '\P{^Is_Sc:	Yiii}', "");
Expect(0, 40959, '\p{Is_Sc:	Yiii}', "");
Expect(1, 40959, '\p{^Is_Sc:	Yiii}', "");
Expect(1, 40959, '\P{Is_Sc:	Yiii}', "");
Expect(0, 40959, '\P{^Is_Sc:	Yiii}', "");
Error('\p{Script=	:=katakana}');
Error('\P{Script=	:=katakana}');
Expect(1, 12538, '\p{Script=katakana}', "");
Expect(0, 12538, '\p{^Script=katakana}', "");
Expect(0, 12538, '\P{Script=katakana}', "");
Expect(1, 12538, '\P{^Script=katakana}', "");
Expect(0, 12448, '\p{Script=katakana}', "");
Expect(1, 12448, '\p{^Script=katakana}', "");
Expect(1, 12448, '\P{Script=katakana}', "");
Expect(0, 12448, '\P{^Script=katakana}', "");
Expect(1, 12538, '\p{Script= -katakana}', "");
Expect(0, 12538, '\p{^Script= -katakana}', "");
Expect(0, 12538, '\P{Script= -katakana}', "");
Expect(1, 12538, '\P{^Script= -katakana}', "");
Expect(0, 12448, '\p{Script= -katakana}', "");
Expect(1, 12448, '\p{^Script= -katakana}', "");
Expect(1, 12448, '\P{Script= -katakana}', "");
Expect(0, 12448, '\P{^Script= -katakana}', "");
Error('\p{Sc=/a/	_Kana}');
Error('\P{Sc=/a/	_Kana}');
Expect(1, 12538, '\p{Sc:kana}', "");
Expect(0, 12538, '\p{^Sc:kana}', "");
Expect(0, 12538, '\P{Sc:kana}', "");
Expect(1, 12538, '\P{^Sc:kana}', "");
Expect(0, 12448, '\p{Sc:kana}', "");
Expect(1, 12448, '\p{^Sc:kana}', "");
Expect(1, 12448, '\P{Sc:kana}', "");
Expect(0, 12448, '\P{^Sc:kana}', "");
Expect(1, 12538, '\p{Sc=-_kana}', "");
Expect(0, 12538, '\p{^Sc=-_kana}', "");
Expect(0, 12538, '\P{Sc=-_kana}', "");
Expect(1, 12538, '\P{^Sc=-_kana}', "");
Expect(0, 12448, '\p{Sc=-_kana}', "");
Expect(1, 12448, '\p{^Sc=-_kana}', "");
Expect(1, 12448, '\P{Sc=-_kana}', "");
Expect(0, 12448, '\P{^Sc=-_kana}', "");
Error('\p{Is_Script=_/a/katakana}');
Error('\P{Is_Script=_/a/katakana}');
Expect(1, 12538, '\p{Is_Script=katakana}', "");
Expect(0, 12538, '\p{^Is_Script=katakana}', "");
Expect(0, 12538, '\P{Is_Script=katakana}', "");
Expect(1, 12538, '\P{^Is_Script=katakana}', "");
Expect(0, 12448, '\p{Is_Script=katakana}', "");
Expect(1, 12448, '\p{^Is_Script=katakana}', "");
Expect(1, 12448, '\P{Is_Script=katakana}', "");
Expect(0, 12448, '\P{^Is_Script=katakana}', "");
Expect(1, 12538, '\p{Is_Script=		katakana}', "");
Expect(0, 12538, '\p{^Is_Script=		katakana}', "");
Expect(0, 12538, '\P{Is_Script=		katakana}', "");
Expect(1, 12538, '\P{^Is_Script=		katakana}', "");
Expect(0, 12448, '\p{Is_Script=		katakana}', "");
Expect(1, 12448, '\p{^Is_Script=		katakana}', "");
Expect(1, 12448, '\P{Is_Script=		katakana}', "");
Expect(0, 12448, '\P{^Is_Script=		katakana}', "");
Error('\p{Is_Sc=:=Kana}');
Error('\P{Is_Sc=:=Kana}');
Expect(1, 12538, '\p{Is_Sc=kana}', "");
Expect(0, 12538, '\p{^Is_Sc=kana}', "");
Expect(0, 12538, '\P{Is_Sc=kana}', "");
Expect(1, 12538, '\P{^Is_Sc=kana}', "");
Expect(0, 12448, '\p{Is_Sc=kana}', "");
Expect(1, 12448, '\p{^Is_Sc=kana}', "");
Expect(1, 12448, '\P{Is_Sc=kana}', "");
Expect(0, 12448, '\P{^Is_Sc=kana}', "");
Expect(1, 12538, '\p{Is_Sc:     Kana}', "");
Expect(0, 12538, '\p{^Is_Sc:     Kana}', "");
Expect(0, 12538, '\P{Is_Sc:     Kana}', "");
Expect(1, 12538, '\P{^Is_Sc:     Kana}', "");
Expect(0, 12448, '\p{Is_Sc:     Kana}', "");
Expect(1, 12448, '\p{^Is_Sc:     Kana}', "");
Expect(1, 12448, '\P{Is_Sc:     Kana}', "");
Expect(0, 12448, '\P{^Is_Sc:     Kana}', "");
Error('\p{Script=-:=Glagolitic}');
Error('\P{Script=-:=Glagolitic}');
Expect(1, 11310, '\p{Script=glagolitic}', "");
Expect(0, 11310, '\p{^Script=glagolitic}', "");
Expect(0, 11310, '\P{Script=glagolitic}', "");
Expect(1, 11310, '\P{^Script=glagolitic}', "");
Expect(0, 11263, '\p{Script=glagolitic}', "");
Expect(1, 11263, '\p{^Script=glagolitic}', "");
Expect(1, 11263, '\P{Script=glagolitic}', "");
Expect(0, 11263, '\P{^Script=glagolitic}', "");
Expect(1, 11310, '\p{Script=	_glagolitic}', "");
Expect(0, 11310, '\p{^Script=	_glagolitic}', "");
Expect(0, 11310, '\P{Script=	_glagolitic}', "");
Expect(1, 11310, '\P{^Script=	_glagolitic}', "");
Expect(0, 11263, '\p{Script=	_glagolitic}', "");
Expect(1, 11263, '\p{^Script=	_glagolitic}', "");
Expect(1, 11263, '\P{Script=	_glagolitic}', "");
Expect(0, 11263, '\P{^Script=	_glagolitic}', "");
Error('\p{Sc:		Glag/a/}');
Error('\P{Sc:		Glag/a/}');
Expect(1, 11310, '\p{Sc=glag}', "");
Expect(0, 11310, '\p{^Sc=glag}', "");
Expect(0, 11310, '\P{Sc=glag}', "");
Expect(1, 11310, '\P{^Sc=glag}', "");
Expect(0, 11263, '\p{Sc=glag}', "");
Expect(1, 11263, '\p{^Sc=glag}', "");
Expect(1, 11263, '\P{Sc=glag}', "");
Expect(0, 11263, '\P{^Sc=glag}', "");
Expect(1, 11310, '\p{Sc=		glag}', "");
Expect(0, 11310, '\p{^Sc=		glag}', "");
Expect(0, 11310, '\P{Sc=		glag}', "");
Expect(1, 11310, '\P{^Sc=		glag}', "");
Expect(0, 11263, '\p{Sc=		glag}', "");
Expect(1, 11263, '\p{^Sc=		glag}', "");
Expect(1, 11263, '\P{Sc=		glag}', "");
Expect(0, 11263, '\P{^Sc=		glag}', "");
Error('\p{Is_Script=Glagolitic/a/}');
Error('\P{Is_Script=Glagolitic/a/}');
Expect(1, 11310, '\p{Is_Script:glagolitic}', "");
Expect(0, 11310, '\p{^Is_Script:glagolitic}', "");
Expect(0, 11310, '\P{Is_Script:glagolitic}', "");
Expect(1, 11310, '\P{^Is_Script:glagolitic}', "");
Expect(0, 11263, '\p{Is_Script:glagolitic}', "");
Expect(1, 11263, '\p{^Is_Script:glagolitic}', "");
Expect(1, 11263, '\P{Is_Script:glagolitic}', "");
Expect(0, 11263, '\P{^Is_Script:glagolitic}', "");
Expect(1, 11310, '\p{Is_Script: 	GLAGOLITIC}', "");
Expect(0, 11310, '\p{^Is_Script: 	GLAGOLITIC}', "");
Expect(0, 11310, '\P{Is_Script: 	GLAGOLITIC}', "");
Expect(1, 11310, '\P{^Is_Script: 	GLAGOLITIC}', "");
Expect(0, 11263, '\p{Is_Script: 	GLAGOLITIC}', "");
Expect(1, 11263, '\p{^Is_Script: 	GLAGOLITIC}', "");
Expect(1, 11263, '\P{Is_Script: 	GLAGOLITIC}', "");
Expect(0, 11263, '\P{^Is_Script: 	GLAGOLITIC}', "");
Error('\p{Is_Sc=/a/	 Glag}');
Error('\P{Is_Sc=/a/	 Glag}');
Expect(1, 11310, '\p{Is_Sc=glag}', "");
Expect(0, 11310, '\p{^Is_Sc=glag}', "");
Expect(0, 11310, '\P{Is_Sc=glag}', "");
Expect(1, 11310, '\P{^Is_Sc=glag}', "");
Expect(0, 11263, '\p{Is_Sc=glag}', "");
Expect(1, 11263, '\p{^Is_Sc=glag}', "");
Expect(1, 11263, '\P{Is_Sc=glag}', "");
Expect(0, 11263, '\P{^Is_Sc=glag}', "");
Expect(1, 11310, '\p{Is_Sc=-GLAG}', "");
Expect(0, 11310, '\p{^Is_Sc=-GLAG}', "");
Expect(0, 11310, '\P{Is_Sc=-GLAG}', "");
Expect(1, 11310, '\P{^Is_Sc=-GLAG}', "");
Expect(0, 11263, '\p{Is_Sc=-GLAG}', "");
Expect(1, 11263, '\p{^Is_Sc=-GLAG}', "");
Expect(1, 11263, '\P{Is_Sc=-GLAG}', "");
Expect(0, 11263, '\P{^Is_Sc=-GLAG}', "");
Error('\p{Script=	-THAANA/a/}');
Error('\P{Script=	-THAANA/a/}');
Expect(1, 1969, '\p{Script=thaana}', "");
Expect(0, 1969, '\p{^Script=thaana}', "");
Expect(0, 1969, '\P{Script=thaana}', "");
Expect(1, 1969, '\P{^Script=thaana}', "");
Expect(0, 1919, '\p{Script=thaana}', "");
Expect(1, 1919, '\p{^Script=thaana}', "");
Expect(1, 1919, '\P{Script=thaana}', "");
Expect(0, 1919, '\P{^Script=thaana}', "");
Expect(1, 1969, '\p{Script= THAANA}', "");
Expect(0, 1969, '\p{^Script= THAANA}', "");
Expect(0, 1969, '\P{Script= THAANA}', "");
Expect(1, 1969, '\P{^Script= THAANA}', "");
Expect(0, 1919, '\p{Script= THAANA}', "");
Expect(1, 1919, '\p{^Script= THAANA}', "");
Expect(1, 1919, '\P{Script= THAANA}', "");
Expect(0, 1919, '\P{^Script= THAANA}', "");
Error('\p{Sc=:=  THAA}');
Error('\P{Sc=:=  THAA}');
Expect(1, 1969, '\p{Sc=thaa}', "");
Expect(0, 1969, '\p{^Sc=thaa}', "");
Expect(0, 1969, '\P{Sc=thaa}', "");
Expect(1, 1969, '\P{^Sc=thaa}', "");
Expect(0, 1919, '\p{Sc=thaa}', "");
Expect(1, 1919, '\p{^Sc=thaa}', "");
Expect(1, 1919, '\P{Sc=thaa}', "");
Expect(0, 1919, '\P{^Sc=thaa}', "");
Expect(1, 1969, '\p{Sc=- THAA}', "");
Expect(0, 1969, '\p{^Sc=- THAA}', "");
Expect(0, 1969, '\P{Sc=- THAA}', "");
Expect(1, 1969, '\P{^Sc=- THAA}', "");
Expect(0, 1919, '\p{Sc=- THAA}', "");
Expect(1, 1919, '\p{^Sc=- THAA}', "");
Expect(1, 1919, '\P{Sc=- THAA}', "");
Expect(0, 1919, '\P{^Sc=- THAA}', "");
Error('\p{Is_Script=		Thaana:=}');
Error('\P{Is_Script=		Thaana:=}');
Expect(1, 1969, '\p{Is_Script=thaana}', "");
Expect(0, 1969, '\p{^Is_Script=thaana}', "");
Expect(0, 1969, '\P{Is_Script=thaana}', "");
Expect(1, 1969, '\P{^Is_Script=thaana}', "");
Expect(0, 1919, '\p{Is_Script=thaana}', "");
Expect(1, 1919, '\p{^Is_Script=thaana}', "");
Expect(1, 1919, '\P{Is_Script=thaana}', "");
Expect(0, 1919, '\P{^Is_Script=thaana}', "");
Expect(1, 1969, '\p{Is_Script=	Thaana}', "");
Expect(0, 1969, '\p{^Is_Script=	Thaana}', "");
Expect(0, 1969, '\P{Is_Script=	Thaana}', "");
Expect(1, 1969, '\P{^Is_Script=	Thaana}', "");
Expect(0, 1919, '\p{Is_Script=	Thaana}', "");
Expect(1, 1919, '\p{^Is_Script=	Thaana}', "");
Expect(1, 1919, '\P{Is_Script=	Thaana}', "");
Expect(0, 1919, '\P{^Is_Script=	Thaana}', "");
Error('\p{Is_Sc=_/a/Thaa}');
Error('\P{Is_Sc=_/a/Thaa}');
Expect(1, 1969, '\p{Is_Sc=thaa}', "");
Expect(0, 1969, '\p{^Is_Sc=thaa}', "");
Expect(0, 1969, '\P{Is_Sc=thaa}', "");
Expect(1, 1969, '\P{^Is_Sc=thaa}', "");
Expect(0, 1919, '\p{Is_Sc=thaa}', "");
Expect(1, 1919, '\p{^Is_Sc=thaa}', "");
Expect(1, 1919, '\P{Is_Sc=thaa}', "");
Expect(0, 1919, '\P{^Is_Sc=thaa}', "");
Expect(1, 1969, '\p{Is_Sc=_	THAA}', "");
Expect(0, 1969, '\p{^Is_Sc=_	THAA}', "");
Expect(0, 1969, '\P{Is_Sc=_	THAA}', "");
Expect(1, 1969, '\P{^Is_Sc=_	THAA}', "");
Expect(0, 1919, '\p{Is_Sc=_	THAA}', "");
Expect(1, 1919, '\p{^Is_Sc=_	THAA}', "");
Expect(1, 1919, '\P{Is_Sc=_	THAA}', "");
Expect(0, 1919, '\P{^Is_Sc=_	THAA}', "");
Error('\p{Script=:= _Lepcha}');
Error('\P{Script=:= _Lepcha}');
Expect(1, 7223, '\p{Script:   lepcha}', "");
Expect(0, 7223, '\p{^Script:   lepcha}', "");
Expect(0, 7223, '\P{Script:   lepcha}', "");
Expect(1, 7223, '\P{^Script:   lepcha}', "");
Expect(0, 7167, '\p{Script:   lepcha}', "");
Expect(1, 7167, '\p{^Script:   lepcha}', "");
Expect(1, 7167, '\P{Script:   lepcha}', "");
Expect(0, 7167, '\P{^Script:   lepcha}', "");
Expect(1, 7223, '\p{Script=	Lepcha}', "");
Expect(0, 7223, '\p{^Script=	Lepcha}', "");
Expect(0, 7223, '\P{Script=	Lepcha}', "");
Expect(1, 7223, '\P{^Script=	Lepcha}', "");
Expect(0, 7167, '\p{Script=	Lepcha}', "");
Expect(1, 7167, '\p{^Script=	Lepcha}', "");
Expect(1, 7167, '\P{Script=	Lepcha}', "");
Expect(0, 7167, '\P{^Script=	Lepcha}', "");
Error('\p{Sc=/a/ Lepc}');
Error('\P{Sc=/a/ Lepc}');
Expect(1, 7223, '\p{Sc=lepc}', "");
Expect(0, 7223, '\p{^Sc=lepc}', "");
Expect(0, 7223, '\P{Sc=lepc}', "");
Expect(1, 7223, '\P{^Sc=lepc}', "");
Expect(0, 7167, '\p{Sc=lepc}', "");
Expect(1, 7167, '\p{^Sc=lepc}', "");
Expect(1, 7167, '\P{Sc=lepc}', "");
Expect(0, 7167, '\P{^Sc=lepc}', "");
Expect(1, 7223, '\p{Sc=--lepc}', "");
Expect(0, 7223, '\p{^Sc=--lepc}', "");
Expect(0, 7223, '\P{Sc=--lepc}', "");
Expect(1, 7223, '\P{^Sc=--lepc}', "");
Expect(0, 7167, '\p{Sc=--lepc}', "");
Expect(1, 7167, '\p{^Sc=--lepc}', "");
Expect(1, 7167, '\P{Sc=--lepc}', "");
Expect(0, 7167, '\P{^Sc=--lepc}', "");
Error('\p{Is_Script:	 /a/Lepcha}');
Error('\P{Is_Script:	 /a/Lepcha}');
Expect(1, 7223, '\p{Is_Script=lepcha}', "");
Expect(0, 7223, '\p{^Is_Script=lepcha}', "");
Expect(0, 7223, '\P{Is_Script=lepcha}', "");
Expect(1, 7223, '\P{^Is_Script=lepcha}', "");
Expect(0, 7167, '\p{Is_Script=lepcha}', "");
Expect(1, 7167, '\p{^Is_Script=lepcha}', "");
Expect(1, 7167, '\P{Is_Script=lepcha}', "");
Expect(0, 7167, '\P{^Is_Script=lepcha}', "");
Expect(1, 7223, '\p{Is_Script=-Lepcha}', "");
Expect(0, 7223, '\p{^Is_Script=-Lepcha}', "");
Expect(0, 7223, '\P{Is_Script=-Lepcha}', "");
Expect(1, 7223, '\P{^Is_Script=-Lepcha}', "");
Expect(0, 7167, '\p{Is_Script=-Lepcha}', "");
Expect(1, 7167, '\p{^Is_Script=-Lepcha}', "");
Expect(1, 7167, '\P{Is_Script=-Lepcha}', "");
Expect(0, 7167, '\P{^Is_Script=-Lepcha}', "");
Error('\p{Is_Sc=:=-LEPC}');
Error('\P{Is_Sc=:=-LEPC}');
Expect(1, 7223, '\p{Is_Sc=lepc}', "");
Expect(0, 7223, '\p{^Is_Sc=lepc}', "");
Expect(0, 7223, '\P{Is_Sc=lepc}', "");
Expect(1, 7223, '\P{^Is_Sc=lepc}', "");
Expect(0, 7167, '\p{Is_Sc=lepc}', "");
Expect(1, 7167, '\p{^Is_Sc=lepc}', "");
Expect(1, 7167, '\P{Is_Sc=lepc}', "");
Expect(0, 7167, '\P{^Is_Sc=lepc}', "");
Expect(1, 7223, '\p{Is_Sc: _	lepc}', "");
Expect(0, 7223, '\p{^Is_Sc: _	lepc}', "");
Expect(0, 7223, '\P{Is_Sc: _	lepc}', "");
Expect(1, 7223, '\P{^Is_Sc: _	lepc}', "");
Expect(0, 7167, '\p{Is_Sc: _	lepc}', "");
Expect(1, 7167, '\p{^Is_Sc: _	lepc}', "");
Expect(1, 7167, '\P{Is_Sc: _	lepc}', "");
Expect(0, 7167, '\P{^Is_Sc: _	lepc}', "");
Error('\p{Script=-:=coptic}');
Error('\P{Script=-:=coptic}');
Expect(1, 1007, '\p{Script: coptic}', "");
Expect(0, 1007, '\p{^Script: coptic}', "");
Expect(0, 1007, '\P{Script: coptic}', "");
Expect(1, 1007, '\P{^Script: coptic}', "");
Expect(0, 993, '\p{Script: coptic}', "");
Expect(1, 993, '\p{^Script: coptic}', "");
Expect(1, 993, '\P{Script: coptic}', "");
Expect(0, 993, '\P{^Script: coptic}', "");
Expect(1, 1007, '\p{Script=	-coptic}', "");
Expect(0, 1007, '\p{^Script=	-coptic}', "");
Expect(0, 1007, '\P{Script=	-coptic}', "");
Expect(1, 1007, '\P{^Script=	-coptic}', "");
Expect(0, 993, '\p{Script=	-coptic}', "");
Expect(1, 993, '\p{^Script=	-coptic}', "");
Expect(1, 993, '\P{Script=	-coptic}', "");
Expect(0, 993, '\P{^Script=	-coptic}', "");
Error('\p{Sc=_-Copt:=}');
Error('\P{Sc=_-Copt:=}');
Expect(1, 1007, '\p{Sc=copt}', "");
Expect(0, 1007, '\p{^Sc=copt}', "");
Expect(0, 1007, '\P{Sc=copt}', "");
Expect(1, 1007, '\P{^Sc=copt}', "");
Expect(0, 993, '\p{Sc=copt}', "");
Expect(1, 993, '\p{^Sc=copt}', "");
Expect(1, 993, '\P{Sc=copt}', "");
Expect(0, 993, '\P{^Sc=copt}', "");
Expect(1, 1007, '\p{Sc=	Copt}', "");
Expect(0, 1007, '\p{^Sc=	Copt}', "");
Expect(0, 1007, '\P{Sc=	Copt}', "");
Expect(1, 1007, '\P{^Sc=	Copt}', "");
Expect(0, 993, '\p{Sc=	Copt}', "");
Expect(1, 993, '\p{^Sc=	Copt}', "");
Expect(1, 993, '\P{Sc=	Copt}', "");
Expect(0, 993, '\P{^Sc=	Copt}', "");
Error('\p{Is_Script=/a/-qaac}');
Error('\P{Is_Script=/a/-qaac}');
Expect(1, 1007, '\p{Is_Script=qaac}', "");
Expect(0, 1007, '\p{^Is_Script=qaac}', "");
Expect(0, 1007, '\P{Is_Script=qaac}', "");
Expect(1, 1007, '\P{^Is_Script=qaac}', "");
Expect(0, 993, '\p{Is_Script=qaac}', "");
Expect(1, 993, '\p{^Is_Script=qaac}', "");
Expect(1, 993, '\P{Is_Script=qaac}', "");
Expect(0, 993, '\P{^Is_Script=qaac}', "");
Expect(1, 1007, '\p{Is_Script=-	Qaac}', "");
Expect(0, 1007, '\p{^Is_Script=-	Qaac}', "");
Expect(0, 1007, '\P{Is_Script=-	Qaac}', "");
Expect(1, 1007, '\P{^Is_Script=-	Qaac}', "");
Expect(0, 993, '\p{Is_Script=-	Qaac}', "");
Expect(1, 993, '\p{^Is_Script=-	Qaac}', "");
Expect(1, 993, '\P{Is_Script=-	Qaac}', "");
Expect(0, 993, '\P{^Is_Script=-	Qaac}', "");
Error('\p{Is_Sc=	Coptic/a/}');
Error('\P{Is_Sc=	Coptic/a/}');
Expect(1, 1007, '\p{Is_Sc:coptic}', "");
Expect(0, 1007, '\p{^Is_Sc:coptic}', "");
Expect(0, 1007, '\P{Is_Sc:coptic}', "");
Expect(1, 1007, '\P{^Is_Sc:coptic}', "");
Expect(0, 993, '\p{Is_Sc:coptic}', "");
Expect(1, 993, '\p{^Is_Sc:coptic}', "");
Expect(1, 993, '\P{Is_Sc:coptic}', "");
Expect(0, 993, '\P{^Is_Sc:coptic}', "");
Expect(1, 1007, '\p{Is_Sc= _Coptic}', "");
Expect(0, 1007, '\p{^Is_Sc= _Coptic}', "");
Expect(0, 1007, '\P{Is_Sc= _Coptic}', "");
Expect(1, 1007, '\P{^Is_Sc= _Coptic}', "");
Expect(0, 993, '\p{Is_Sc= _Coptic}', "");
Expect(1, 993, '\p{^Is_Sc= _Coptic}', "");
Expect(1, 993, '\P{Is_Sc= _Coptic}', "");
Expect(0, 993, '\P{^Is_Sc= _Coptic}', "");
Error('\p{Script=Katakana_Or_Hiragana}');
Error('\P{Script=Katakana_Or_Hiragana}');
Error('\p{Sc=Hrkt}');
Error('\P{Sc=Hrkt}');
Error('\p{Is_Script=Katakana_Or_Hiragana}');
Error('\P{Is_Script=Katakana_Or_Hiragana}');
Error('\p{Is_Sc=Hrkt}');
Error('\P{Is_Sc=Hrkt}');
Error('\p{Script= _BALINESE:=}');
Error('\P{Script= _BALINESE:=}');
Expect(1, 6987, '\p{Script=balinese}', "");
Expect(0, 6987, '\p{^Script=balinese}', "");
Expect(0, 6987, '\P{Script=balinese}', "");
Expect(1, 6987, '\P{^Script=balinese}', "");
Expect(0, 6911, '\p{Script=balinese}', "");
Expect(1, 6911, '\p{^Script=balinese}', "");
Expect(1, 6911, '\P{Script=balinese}', "");
Expect(0, 6911, '\P{^Script=balinese}', "");
Expect(1, 6987, '\p{Script=	-Balinese}', "");
Expect(0, 6987, '\p{^Script=	-Balinese}', "");
Expect(0, 6987, '\P{Script=	-Balinese}', "");
Expect(1, 6987, '\P{^Script=	-Balinese}', "");
Expect(0, 6911, '\p{Script=	-Balinese}', "");
Expect(1, 6911, '\p{^Script=	-Balinese}', "");
Expect(1, 6911, '\P{Script=	-Balinese}', "");
Expect(0, 6911, '\P{^Script=	-Balinese}', "");
Error('\p{Sc=/a/Bali}');
Error('\P{Sc=/a/Bali}');
Expect(1, 6987, '\p{Sc=bali}', "");
Expect(0, 6987, '\p{^Sc=bali}', "");
Expect(0, 6987, '\P{Sc=bali}', "");
Expect(1, 6987, '\P{^Sc=bali}', "");
Expect(0, 6911, '\p{Sc=bali}', "");
Expect(1, 6911, '\p{^Sc=bali}', "");
Expect(1, 6911, '\P{Sc=bali}', "");
Expect(0, 6911, '\P{^Sc=bali}', "");
Expect(1, 6987, '\p{Sc=--bali}', "");
Expect(0, 6987, '\p{^Sc=--bali}', "");
Expect(0, 6987, '\P{Sc=--bali}', "");
Expect(1, 6987, '\P{^Sc=--bali}', "");
Expect(0, 6911, '\p{Sc=--bali}', "");
Expect(1, 6911, '\p{^Sc=--bali}', "");
Expect(1, 6911, '\P{Sc=--bali}', "");
Expect(0, 6911, '\P{^Sc=--bali}', "");
Error('\p{Is_Script= /a/Balinese}');
Error('\P{Is_Script= /a/Balinese}');
Expect(1, 6987, '\p{Is_Script=balinese}', "");
Expect(0, 6987, '\p{^Is_Script=balinese}', "");
Expect(0, 6987, '\P{Is_Script=balinese}', "");
Expect(1, 6987, '\P{^Is_Script=balinese}', "");
Expect(0, 6911, '\p{Is_Script=balinese}', "");
Expect(1, 6911, '\p{^Is_Script=balinese}', "");
Expect(1, 6911, '\P{Is_Script=balinese}', "");
Expect(0, 6911, '\P{^Is_Script=balinese}', "");
Expect(1, 6987, '\p{Is_Script=_-Balinese}', "");
Expect(0, 6987, '\p{^Is_Script=_-Balinese}', "");
Expect(0, 6987, '\P{Is_Script=_-Balinese}', "");
Expect(1, 6987, '\P{^Is_Script=_-Balinese}', "");
Expect(0, 6911, '\p{Is_Script=_-Balinese}', "");
Expect(1, 6911, '\p{^Is_Script=_-Balinese}', "");
Expect(1, 6911, '\P{Is_Script=_-Balinese}', "");
Expect(0, 6911, '\P{^Is_Script=_-Balinese}', "");
Error('\p{Is_Sc=- Bali:=}');
Error('\P{Is_Sc=- Bali:=}');
Expect(1, 6987, '\p{Is_Sc=bali}', "");
Expect(0, 6987, '\p{^Is_Sc=bali}', "");
Expect(0, 6987, '\P{Is_Sc=bali}', "");
Expect(1, 6987, '\P{^Is_Sc=bali}', "");
Expect(0, 6911, '\p{Is_Sc=bali}', "");
Expect(1, 6911, '\p{^Is_Sc=bali}', "");
Expect(1, 6911, '\P{Is_Sc=bali}', "");
Expect(0, 6911, '\P{^Is_Sc=bali}', "");
Expect(1, 6987, '\p{Is_Sc=__Bali}', "");
Expect(0, 6987, '\p{^Is_Sc=__Bali}', "");
Expect(0, 6987, '\P{Is_Sc=__Bali}', "");
Expect(1, 6987, '\P{^Is_Sc=__Bali}', "");
Expect(0, 6911, '\p{Is_Sc=__Bali}', "");
Expect(1, 6911, '\p{^Is_Sc=__Bali}', "");
Expect(1, 6911, '\P{Is_Sc=__Bali}', "");
Expect(0, 6911, '\P{^Is_Sc=__Bali}', "");
Error('\p{Script=	Tagbanwa/a/}');
Error('\P{Script=	Tagbanwa/a/}');
Expect(1, 5996, '\p{Script=tagbanwa}', "");
Expect(0, 5996, '\p{^Script=tagbanwa}', "");
Expect(0, 5996, '\P{Script=tagbanwa}', "");
Expect(1, 5996, '\P{^Script=tagbanwa}', "");
Expect(0, 5983, '\p{Script=tagbanwa}', "");
Expect(1, 5983, '\p{^Script=tagbanwa}', "");
Expect(1, 5983, '\P{Script=tagbanwa}', "");
Expect(0, 5983, '\P{^Script=tagbanwa}', "");
Expect(1, 5996, '\p{Script=-	TAGBANWA}', "");
Expect(0, 5996, '\p{^Script=-	TAGBANWA}', "");
Expect(0, 5996, '\P{Script=-	TAGBANWA}', "");
Expect(1, 5996, '\P{^Script=-	TAGBANWA}', "");
Expect(0, 5983, '\p{Script=-	TAGBANWA}', "");
Expect(1, 5983, '\p{^Script=-	TAGBANWA}', "");
Expect(1, 5983, '\P{Script=-	TAGBANWA}', "");
Expect(0, 5983, '\P{^Script=-	TAGBANWA}', "");
Error('\p{Sc=:=-_tagb}');
Error('\P{Sc=:=-_tagb}');
Expect(1, 5996, '\p{Sc=tagb}', "");
Expect(0, 5996, '\p{^Sc=tagb}', "");
Expect(0, 5996, '\P{Sc=tagb}', "");
Expect(1, 5996, '\P{^Sc=tagb}', "");
Expect(0, 5983, '\p{Sc=tagb}', "");
Expect(1, 5983, '\p{^Sc=tagb}', "");
Expect(1, 5983, '\P{Sc=tagb}', "");
Expect(0, 5983, '\P{^Sc=tagb}', "");
Expect(1, 5996, '\p{Sc=-tagb}', "");
Expect(0, 5996, '\p{^Sc=-tagb}', "");
Expect(0, 5996, '\P{Sc=-tagb}', "");
Expect(1, 5996, '\P{^Sc=-tagb}', "");
Expect(0, 5983, '\p{Sc=-tagb}', "");
Expect(1, 5983, '\p{^Sc=-tagb}', "");
Expect(1, 5983, '\P{Sc=-tagb}', "");
Expect(0, 5983, '\P{^Sc=-tagb}', "");
Error('\p{Is_Script=- Tagbanwa/a/}');
Error('\P{Is_Script=- Tagbanwa/a/}');
Expect(1, 5996, '\p{Is_Script: tagbanwa}', "");
Expect(0, 5996, '\p{^Is_Script: tagbanwa}', "");
Expect(0, 5996, '\P{Is_Script: tagbanwa}', "");
Expect(1, 5996, '\P{^Is_Script: tagbanwa}', "");
Expect(0, 5983, '\p{Is_Script: tagbanwa}', "");
Expect(1, 5983, '\p{^Is_Script: tagbanwa}', "");
Expect(1, 5983, '\P{Is_Script: tagbanwa}', "");
Expect(0, 5983, '\P{^Is_Script: tagbanwa}', "");
Expect(1, 5996, '\p{Is_Script=_ tagbanwa}', "");
Expect(0, 5996, '\p{^Is_Script=_ tagbanwa}', "");
Expect(0, 5996, '\P{Is_Script=_ tagbanwa}', "");
Expect(1, 5996, '\P{^Is_Script=_ tagbanwa}', "");
Expect(0, 5983, '\p{Is_Script=_ tagbanwa}', "");
Expect(1, 5983, '\p{^Is_Script=_ tagbanwa}', "");
Expect(1, 5983, '\P{Is_Script=_ tagbanwa}', "");
Expect(0, 5983, '\P{^Is_Script=_ tagbanwa}', "");
Error('\p{Is_Sc=_-tagb:=}');
Error('\P{Is_Sc=_-tagb:=}');
Expect(1, 5996, '\p{Is_Sc=tagb}', "");
Expect(0, 5996, '\p{^Is_Sc=tagb}', "");
Expect(0, 5996, '\P{Is_Sc=tagb}', "");
Expect(1, 5996, '\P{^Is_Sc=tagb}', "");
Expect(0, 5983, '\p{Is_Sc=tagb}', "");
Expect(1, 5983, '\p{^Is_Sc=tagb}', "");
Expect(1, 5983, '\P{Is_Sc=tagb}', "");
Expect(0, 5983, '\P{^Is_Sc=tagb}', "");
Expect(1, 5996, '\p{Is_Sc= _tagb}', "");
Expect(0, 5996, '\p{^Is_Sc= _tagb}', "");
Expect(0, 5996, '\P{Is_Sc= _tagb}', "");
Expect(1, 5996, '\P{^Is_Sc= _tagb}', "");
Expect(0, 5983, '\p{Is_Sc= _tagb}', "");
Expect(1, 5983, '\p{^Is_Sc= _tagb}', "");
Expect(1, 5983, '\P{Is_Sc= _tagb}', "");
Expect(0, 5983, '\P{^Is_Sc= _tagb}', "");
Error('\p{Script=_ SYLOTI:=nagri}');
Error('\P{Script=_ SYLOTI:=nagri}');
Expect(1, 43051, '\p{Script=sylotinagri}', "");
Expect(0, 43051, '\p{^Script=sylotinagri}', "");
Expect(0, 43051, '\P{Script=sylotinagri}', "");
Expect(1, 43051, '\P{^Script=sylotinagri}', "");
Expect(0, 43007, '\p{Script=sylotinagri}', "");
Expect(1, 43007, '\p{^Script=sylotinagri}', "");
Expect(1, 43007, '\P{Script=sylotinagri}', "");
Expect(0, 43007, '\P{^Script=sylotinagri}', "");
Expect(1, 43051, '\p{Script=Syloti-Nagri}', "");
Expect(0, 43051, '\p{^Script=Syloti-Nagri}', "");
Expect(0, 43051, '\P{Script=Syloti-Nagri}', "");
Expect(1, 43051, '\P{^Script=Syloti-Nagri}', "");
Expect(0, 43007, '\p{Script=Syloti-Nagri}', "");
Expect(1, 43007, '\p{^Script=Syloti-Nagri}', "");
Expect(1, 43007, '\P{Script=Syloti-Nagri}', "");
Expect(0, 43007, '\P{^Script=Syloti-Nagri}', "");
Error('\p{Sc= sylo/a/}');
Error('\P{Sc= sylo/a/}');
Expect(1, 43051, '\p{Sc=sylo}', "");
Expect(0, 43051, '\p{^Sc=sylo}', "");
Expect(0, 43051, '\P{Sc=sylo}', "");
Expect(1, 43051, '\P{^Sc=sylo}', "");
Expect(0, 43007, '\p{Sc=sylo}', "");
Expect(1, 43007, '\p{^Sc=sylo}', "");
Expect(1, 43007, '\P{Sc=sylo}', "");
Expect(0, 43007, '\P{^Sc=sylo}', "");
Expect(1, 43051, '\p{Sc:_Sylo}', "");
Expect(0, 43051, '\p{^Sc:_Sylo}', "");
Expect(0, 43051, '\P{Sc:_Sylo}', "");
Expect(1, 43051, '\P{^Sc:_Sylo}', "");
Expect(0, 43007, '\p{Sc:_Sylo}', "");
Expect(1, 43007, '\p{^Sc:_Sylo}', "");
Expect(1, 43007, '\P{Sc:_Sylo}', "");
Expect(0, 43007, '\P{^Sc:_Sylo}', "");
Error('\p{Is_Script=-/a/SYLOTI_Nagri}');
Error('\P{Is_Script=-/a/SYLOTI_Nagri}');
Expect(1, 43051, '\p{Is_Script=sylotinagri}', "");
Expect(0, 43051, '\p{^Is_Script=sylotinagri}', "");
Expect(0, 43051, '\P{Is_Script=sylotinagri}', "");
Expect(1, 43051, '\P{^Is_Script=sylotinagri}', "");
Expect(0, 43007, '\p{Is_Script=sylotinagri}', "");
Expect(1, 43007, '\p{^Is_Script=sylotinagri}', "");
Expect(1, 43007, '\P{Is_Script=sylotinagri}', "");
Expect(0, 43007, '\P{^Is_Script=sylotinagri}', "");
Expect(1, 43051, '\p{Is_Script=	-Sylotinagri}', "");
Expect(0, 43051, '\p{^Is_Script=	-Sylotinagri}', "");
Expect(0, 43051, '\P{Is_Script=	-Sylotinagri}', "");
Expect(1, 43051, '\P{^Is_Script=	-Sylotinagri}', "");
Expect(0, 43007, '\p{Is_Script=	-Sylotinagri}', "");
Expect(1, 43007, '\p{^Is_Script=	-Sylotinagri}', "");
Expect(1, 43007, '\P{Is_Script=	-Sylotinagri}', "");
Expect(0, 43007, '\P{^Is_Script=	-Sylotinagri}', "");
Error('\p{Is_Sc=:= -Sylo}');
Error('\P{Is_Sc=:= -Sylo}');
Expect(1, 43051, '\p{Is_Sc: sylo}', "");
Expect(0, 43051, '\p{^Is_Sc: sylo}', "");
Expect(0, 43051, '\P{Is_Sc: sylo}', "");
Expect(1, 43051, '\P{^Is_Sc: sylo}', "");
Expect(0, 43007, '\p{Is_Sc: sylo}', "");
Expect(1, 43007, '\p{^Is_Sc: sylo}', "");
Expect(1, 43007, '\P{Is_Sc: sylo}', "");
Expect(0, 43007, '\P{^Is_Sc: sylo}', "");
Expect(1, 43051, '\p{Is_Sc:	_-Sylo}', "");
Expect(0, 43051, '\p{^Is_Sc:	_-Sylo}', "");
Expect(0, 43051, '\P{Is_Sc:	_-Sylo}', "");
Expect(1, 43051, '\P{^Is_Sc:	_-Sylo}', "");
Expect(0, 43007, '\p{Is_Sc:	_-Sylo}', "");
Expect(1, 43007, '\p{^Is_Sc:	_-Sylo}', "");
Expect(1, 43007, '\P{Is_Sc:	_-Sylo}', "");
Expect(0, 43007, '\P{^Is_Sc:	_-Sylo}', "");
Error('\p{Script=:=	-Meetei-MAYEK}');
Error('\P{Script=:=	-Meetei-MAYEK}');
Expect(1, 44013, '\p{Script=meeteimayek}', "");
Expect(0, 44013, '\p{^Script=meeteimayek}', "");
Expect(0, 44013, '\P{Script=meeteimayek}', "");
Expect(1, 44013, '\P{^Script=meeteimayek}', "");
Expect(0, 43967, '\p{Script=meeteimayek}', "");
Expect(1, 43967, '\p{^Script=meeteimayek}', "");
Expect(1, 43967, '\P{Script=meeteimayek}', "");
Expect(0, 43967, '\P{^Script=meeteimayek}', "");
Expect(1, 44013, '\p{Script=- MEETEI-Mayek}', "");
Expect(0, 44013, '\p{^Script=- MEETEI-Mayek}', "");
Expect(0, 44013, '\P{Script=- MEETEI-Mayek}', "");
Expect(1, 44013, '\P{^Script=- MEETEI-Mayek}', "");
Expect(0, 43967, '\p{Script=- MEETEI-Mayek}', "");
Expect(1, 43967, '\p{^Script=- MEETEI-Mayek}', "");
Expect(1, 43967, '\P{Script=- MEETEI-Mayek}', "");
Expect(0, 43967, '\P{^Script=- MEETEI-Mayek}', "");
Error('\p{Sc=/a/-MTEI}');
Error('\P{Sc=/a/-MTEI}');
Expect(1, 44013, '\p{Sc=mtei}', "");
Expect(0, 44013, '\p{^Sc=mtei}', "");
Expect(0, 44013, '\P{Sc=mtei}', "");
Expect(1, 44013, '\P{^Sc=mtei}', "");
Expect(0, 43967, '\p{Sc=mtei}', "");
Expect(1, 43967, '\p{^Sc=mtei}', "");
Expect(1, 43967, '\P{Sc=mtei}', "");
Expect(0, 43967, '\P{^Sc=mtei}', "");
Expect(1, 44013, '\p{Sc=_-Mtei}', "");
Expect(0, 44013, '\p{^Sc=_-Mtei}', "");
Expect(0, 44013, '\P{Sc=_-Mtei}', "");
Expect(1, 44013, '\P{^Sc=_-Mtei}', "");
Expect(0, 43967, '\p{Sc=_-Mtei}', "");
Expect(1, 43967, '\p{^Sc=_-Mtei}', "");
Expect(1, 43967, '\P{Sc=_-Mtei}', "");
Expect(0, 43967, '\P{^Sc=_-Mtei}', "");
Error('\p{Is_Script=:=-	MeeteiMayek}');
Error('\P{Is_Script=:=-	MeeteiMayek}');
Expect(1, 44013, '\p{Is_Script=meeteimayek}', "");
Expect(0, 44013, '\p{^Is_Script=meeteimayek}', "");
Expect(0, 44013, '\P{Is_Script=meeteimayek}', "");
Expect(1, 44013, '\P{^Is_Script=meeteimayek}', "");
Expect(0, 43967, '\p{Is_Script=meeteimayek}', "");
Expect(1, 43967, '\p{^Is_Script=meeteimayek}', "");
Expect(1, 43967, '\P{Is_Script=meeteimayek}', "");
Expect(0, 43967, '\P{^Is_Script=meeteimayek}', "");
Expect(1, 44013, '\p{Is_Script=_-Meetei mayek}', "");
Expect(0, 44013, '\p{^Is_Script=_-Meetei mayek}', "");
Expect(0, 44013, '\P{Is_Script=_-Meetei mayek}', "");
Expect(1, 44013, '\P{^Is_Script=_-Meetei mayek}', "");
Expect(0, 43967, '\p{Is_Script=_-Meetei mayek}', "");
Expect(1, 43967, '\p{^Is_Script=_-Meetei mayek}', "");
Expect(1, 43967, '\P{Is_Script=_-Meetei mayek}', "");
Expect(0, 43967, '\P{^Is_Script=_-Meetei mayek}', "");
Error('\p{Is_Sc=__Mtei:=}');
Error('\P{Is_Sc=__Mtei:=}');
Expect(1, 44013, '\p{Is_Sc=mtei}', "");
Expect(0, 44013, '\p{^Is_Sc=mtei}', "");
Expect(0, 44013, '\P{Is_Sc=mtei}', "");
Expect(1, 44013, '\P{^Is_Sc=mtei}', "");
Expect(0, 43967, '\p{Is_Sc=mtei}', "");
Expect(1, 43967, '\p{^Is_Sc=mtei}', "");
Expect(1, 43967, '\P{Is_Sc=mtei}', "");
Expect(0, 43967, '\P{^Is_Sc=mtei}', "");
Expect(1, 44013, '\p{Is_Sc=--mtei}', "");
Expect(0, 44013, '\p{^Is_Sc=--mtei}', "");
Expect(0, 44013, '\P{Is_Sc=--mtei}', "");
Expect(1, 44013, '\P{^Is_Sc=--mtei}', "");
Expect(0, 43967, '\p{Is_Sc=--mtei}', "");
Expect(1, 43967, '\p{^Is_Sc=--mtei}', "");
Expect(1, 43967, '\P{Is_Sc=--mtei}', "");
Expect(0, 43967, '\P{^Is_Sc=--mtei}', "");
Error('\p{Script=-phoenician:=}');
Error('\P{Script=-phoenician:=}');
Expect(1, 67867, '\p{Script=phoenician}', "");
Expect(0, 67867, '\p{^Script=phoenician}', "");
Expect(0, 67867, '\P{Script=phoenician}', "");
Expect(1, 67867, '\P{^Script=phoenician}', "");
Expect(0, 67839, '\p{Script=phoenician}', "");
Expect(1, 67839, '\p{^Script=phoenician}', "");
Expect(1, 67839, '\P{Script=phoenician}', "");
Expect(0, 67839, '\P{^Script=phoenician}', "");
Expect(1, 67867, '\p{Script:--phoenician}', "");
Expect(0, 67867, '\p{^Script:--phoenician}', "");
Expect(0, 67867, '\P{Script:--phoenician}', "");
Expect(1, 67867, '\P{^Script:--phoenician}', "");
Expect(0, 67839, '\p{Script:--phoenician}', "");
Expect(1, 67839, '\p{^Script:--phoenician}', "");
Expect(1, 67839, '\P{Script:--phoenician}', "");
Expect(0, 67839, '\P{^Script:--phoenician}', "");
Error('\p{Sc=/a/		Phnx}');
Error('\P{Sc=/a/		Phnx}');
Expect(1, 67867, '\p{Sc=phnx}', "");
Expect(0, 67867, '\p{^Sc=phnx}', "");
Expect(0, 67867, '\P{Sc=phnx}', "");
Expect(1, 67867, '\P{^Sc=phnx}', "");
Expect(0, 67839, '\p{Sc=phnx}', "");
Expect(1, 67839, '\p{^Sc=phnx}', "");
Expect(1, 67839, '\P{Sc=phnx}', "");
Expect(0, 67839, '\P{^Sc=phnx}', "");
Expect(1, 67867, '\p{Sc=	Phnx}', "");
Expect(0, 67867, '\p{^Sc=	Phnx}', "");
Expect(0, 67867, '\P{Sc=	Phnx}', "");
Expect(1, 67867, '\P{^Sc=	Phnx}', "");
Expect(0, 67839, '\p{Sc=	Phnx}', "");
Expect(1, 67839, '\p{^Sc=	Phnx}', "");
Expect(1, 67839, '\P{Sc=	Phnx}', "");
Expect(0, 67839, '\P{^Sc=	Phnx}', "");
Error('\p{Is_Script=:=-Phoenician}');
Error('\P{Is_Script=:=-Phoenician}');
Expect(1, 67867, '\p{Is_Script=phoenician}', "");
Expect(0, 67867, '\p{^Is_Script=phoenician}', "");
Expect(0, 67867, '\P{Is_Script=phoenician}', "");
Expect(1, 67867, '\P{^Is_Script=phoenician}', "");
Expect(0, 67839, '\p{Is_Script=phoenician}', "");
Expect(1, 67839, '\p{^Is_Script=phoenician}', "");
Expect(1, 67839, '\P{Is_Script=phoenician}', "");
Expect(0, 67839, '\P{^Is_Script=phoenician}', "");
Expect(1, 67867, '\p{Is_Script=-Phoenician}', "");
Expect(0, 67867, '\p{^Is_Script=-Phoenician}', "");
Expect(0, 67867, '\P{Is_Script=-Phoenician}', "");
Expect(1, 67867, '\P{^Is_Script=-Phoenician}', "");
Expect(0, 67839, '\p{Is_Script=-Phoenician}', "");
Expect(1, 67839, '\p{^Is_Script=-Phoenician}', "");
Expect(1, 67839, '\P{Is_Script=-Phoenician}', "");
Expect(0, 67839, '\P{^Is_Script=-Phoenician}', "");
Error('\p{Is_Sc=-_phnx:=}');
Error('\P{Is_Sc=-_phnx:=}');
Expect(1, 67867, '\p{Is_Sc=phnx}', "");
Expect(0, 67867, '\p{^Is_Sc=phnx}', "");
Expect(0, 67867, '\P{Is_Sc=phnx}', "");
Expect(1, 67867, '\P{^Is_Sc=phnx}', "");
Expect(0, 67839, '\p{Is_Sc=phnx}', "");
Expect(1, 67839, '\p{^Is_Sc=phnx}', "");
Expect(1, 67839, '\P{Is_Sc=phnx}', "");
Expect(0, 67839, '\P{^Is_Sc=phnx}', "");
Expect(1, 67867, '\p{Is_Sc=-Phnx}', "");
Expect(0, 67867, '\p{^Is_Sc=-Phnx}', "");
Expect(0, 67867, '\P{Is_Sc=-Phnx}', "");
Expect(1, 67867, '\P{^Is_Sc=-Phnx}', "");
Expect(0, 67839, '\p{Is_Sc=-Phnx}', "");
Expect(1, 67839, '\p{^Is_Sc=-Phnx}', "");
Expect(1, 67839, '\P{Is_Sc=-Phnx}', "");
Expect(0, 67839, '\P{^Is_Sc=-Phnx}', "");
Error('\p{Script=-/a/DEVANAGARI}');
Error('\P{Script=-/a/DEVANAGARI}');
Expect(1, 2361, '\p{Script=devanagari}', "");
Expect(0, 2361, '\p{^Script=devanagari}', "");
Expect(0, 2361, '\P{Script=devanagari}', "");
Expect(1, 2361, '\P{^Script=devanagari}', "");
Expect(0, 2303, '\p{Script=devanagari}', "");
Expect(1, 2303, '\p{^Script=devanagari}', "");
Expect(1, 2303, '\P{Script=devanagari}', "");
Expect(0, 2303, '\P{^Script=devanagari}', "");
Expect(1, 2361, '\p{Script=-	devanagari}', "");
Expect(0, 2361, '\p{^Script=-	devanagari}', "");
Expect(0, 2361, '\P{Script=-	devanagari}', "");
Expect(1, 2361, '\P{^Script=-	devanagari}', "");
Expect(0, 2303, '\p{Script=-	devanagari}', "");
Expect(1, 2303, '\p{^Script=-	devanagari}', "");
Expect(1, 2303, '\P{Script=-	devanagari}', "");
Expect(0, 2303, '\P{^Script=-	devanagari}', "");
Error('\p{Sc=_deva:=}');
Error('\P{Sc=_deva:=}');
Expect(1, 2361, '\p{Sc:	deva}', "");
Expect(0, 2361, '\p{^Sc:	deva}', "");
Expect(0, 2361, '\P{Sc:	deva}', "");
Expect(1, 2361, '\P{^Sc:	deva}', "");
Expect(0, 2303, '\p{Sc:	deva}', "");
Expect(1, 2303, '\p{^Sc:	deva}', "");
Expect(1, 2303, '\P{Sc:	deva}', "");
Expect(0, 2303, '\P{^Sc:	deva}', "");
Expect(1, 2361, '\p{Sc=_	Deva}', "");
Expect(0, 2361, '\p{^Sc=_	Deva}', "");
Expect(0, 2361, '\P{Sc=_	Deva}', "");
Expect(1, 2361, '\P{^Sc=_	Deva}', "");
Expect(0, 2303, '\p{Sc=_	Deva}', "");
Expect(1, 2303, '\p{^Sc=_	Deva}', "");
Expect(1, 2303, '\P{Sc=_	Deva}', "");
Expect(0, 2303, '\P{^Sc=_	Deva}', "");
Error('\p{Is_Script=		devanagari/a/}');
Error('\P{Is_Script=		devanagari/a/}');
Expect(1, 2361, '\p{Is_Script=devanagari}', "");
Expect(0, 2361, '\p{^Is_Script=devanagari}', "");
Expect(0, 2361, '\P{Is_Script=devanagari}', "");
Expect(1, 2361, '\P{^Is_Script=devanagari}', "");
Expect(0, 2303, '\p{Is_Script=devanagari}', "");
Expect(1, 2303, '\p{^Is_Script=devanagari}', "");
Expect(1, 2303, '\P{Is_Script=devanagari}', "");
Expect(0, 2303, '\P{^Is_Script=devanagari}', "");
Expect(1, 2361, '\p{Is_Script=-	Devanagari}', "");
Expect(0, 2361, '\p{^Is_Script=-	Devanagari}', "");
Expect(0, 2361, '\P{Is_Script=-	Devanagari}', "");
Expect(1, 2361, '\P{^Is_Script=-	Devanagari}', "");
Expect(0, 2303, '\p{Is_Script=-	Devanagari}', "");
Expect(1, 2303, '\p{^Is_Script=-	Devanagari}', "");
Expect(1, 2303, '\P{Is_Script=-	Devanagari}', "");
Expect(0, 2303, '\P{^Is_Script=-	Devanagari}', "");
Error('\p{Is_Sc=-_DEVA:=}');
Error('\P{Is_Sc=-_DEVA:=}');
Expect(1, 2361, '\p{Is_Sc=deva}', "");
Expect(0, 2361, '\p{^Is_Sc=deva}', "");
Expect(0, 2361, '\P{Is_Sc=deva}', "");
Expect(1, 2361, '\P{^Is_Sc=deva}', "");
Expect(0, 2303, '\p{Is_Sc=deva}', "");
Expect(1, 2303, '\p{^Is_Sc=deva}', "");
Expect(1, 2303, '\P{Is_Sc=deva}', "");
Expect(0, 2303, '\P{^Is_Sc=deva}', "");
Expect(1, 2361, '\p{Is_Sc: _deva}', "");
Expect(0, 2361, '\p{^Is_Sc: _deva}', "");
Expect(0, 2361, '\P{Is_Sc: _deva}', "");
Expect(1, 2361, '\P{^Is_Sc: _deva}', "");
Expect(0, 2303, '\p{Is_Sc: _deva}', "");
Expect(1, 2303, '\p{^Is_Sc: _deva}', "");
Expect(1, 2303, '\P{Is_Sc: _deva}', "");
Expect(0, 2303, '\P{^Is_Sc: _deva}', "");
Error('\p{Script=	/a/Carian}');
Error('\P{Script=	/a/Carian}');
Expect(1, 66256, '\p{Script=carian}', "");
Expect(0, 66256, '\p{^Script=carian}', "");
Expect(0, 66256, '\P{Script=carian}', "");
Expect(1, 66256, '\P{^Script=carian}', "");
Expect(0, 66207, '\p{Script=carian}', "");
Expect(1, 66207, '\p{^Script=carian}', "");
Expect(1, 66207, '\P{Script=carian}', "");
Expect(0, 66207, '\P{^Script=carian}', "");
Expect(1, 66256, '\p{Script=_-carian}', "");
Expect(0, 66256, '\p{^Script=_-carian}', "");
Expect(0, 66256, '\P{Script=_-carian}', "");
Expect(1, 66256, '\P{^Script=_-carian}', "");
Expect(0, 66207, '\p{Script=_-carian}', "");
Expect(1, 66207, '\p{^Script=_-carian}', "");
Expect(1, 66207, '\P{Script=_-carian}', "");
Expect(0, 66207, '\P{^Script=_-carian}', "");
Error('\p{Sc=CARI/a/}');
Error('\P{Sc=CARI/a/}');
Expect(1, 66256, '\p{Sc=cari}', "");
Expect(0, 66256, '\p{^Sc=cari}', "");
Expect(0, 66256, '\P{Sc=cari}', "");
Expect(1, 66256, '\P{^Sc=cari}', "");
Expect(0, 66207, '\p{Sc=cari}', "");
Expect(1, 66207, '\p{^Sc=cari}', "");
Expect(1, 66207, '\P{Sc=cari}', "");
Expect(0, 66207, '\P{^Sc=cari}', "");
Expect(1, 66256, '\p{Sc=	Cari}', "");
Expect(0, 66256, '\p{^Sc=	Cari}', "");
Expect(0, 66256, '\P{Sc=	Cari}', "");
Expect(1, 66256, '\P{^Sc=	Cari}', "");
Expect(0, 66207, '\p{Sc=	Cari}', "");
Expect(1, 66207, '\p{^Sc=	Cari}', "");
Expect(1, 66207, '\P{Sc=	Cari}', "");
Expect(0, 66207, '\P{^Sc=	Cari}', "");
Error('\p{Is_Script=:=  Carian}');
Error('\P{Is_Script=:=  Carian}');
Expect(1, 66256, '\p{Is_Script=carian}', "");
Expect(0, 66256, '\p{^Is_Script=carian}', "");
Expect(0, 66256, '\P{Is_Script=carian}', "");
Expect(1, 66256, '\P{^Is_Script=carian}', "");
Expect(0, 66207, '\p{Is_Script=carian}', "");
Expect(1, 66207, '\p{^Is_Script=carian}', "");
Expect(1, 66207, '\P{Is_Script=carian}', "");
Expect(0, 66207, '\P{^Is_Script=carian}', "");
Expect(1, 66256, '\p{Is_Script=	 CARIAN}', "");
Expect(0, 66256, '\p{^Is_Script=	 CARIAN}', "");
Expect(0, 66256, '\P{Is_Script=	 CARIAN}', "");
Expect(1, 66256, '\P{^Is_Script=	 CARIAN}', "");
Expect(0, 66207, '\p{Is_Script=	 CARIAN}', "");
Expect(1, 66207, '\p{^Is_Script=	 CARIAN}', "");
Expect(1, 66207, '\P{Is_Script=	 CARIAN}', "");
Expect(0, 66207, '\P{^Is_Script=	 CARIAN}', "");
Error('\p{Is_Sc=CARI/a/}');
Error('\P{Is_Sc=CARI/a/}');
Expect(1, 66256, '\p{Is_Sc=cari}', "");
Expect(0, 66256, '\p{^Is_Sc=cari}', "");
Expect(0, 66256, '\P{Is_Sc=cari}', "");
Expect(1, 66256, '\P{^Is_Sc=cari}', "");
Expect(0, 66207, '\p{Is_Sc=cari}', "");
Expect(1, 66207, '\p{^Is_Sc=cari}', "");
Expect(1, 66207, '\P{Is_Sc=cari}', "");
Expect(0, 66207, '\P{^Is_Sc=cari}', "");
Expect(1, 66256, '\p{Is_Sc=		Cari}', "");
Expect(0, 66256, '\p{^Is_Sc=		Cari}', "");
Expect(0, 66256, '\P{Is_Sc=		Cari}', "");
Expect(1, 66256, '\P{^Is_Sc=		Cari}', "");
Expect(0, 66207, '\p{Is_Sc=		Cari}', "");
Expect(1, 66207, '\p{^Is_Sc=		Cari}', "");
Expect(1, 66207, '\P{Is_Sc=		Cari}', "");
Expect(0, 66207, '\P{^Is_Sc=		Cari}', "");
Error('\p{Script=		buhid:=}');
Error('\P{Script=		buhid:=}');
Expect(1, 5971, '\p{Script=buhid}', "");
Expect(0, 5971, '\p{^Script=buhid}', "");
Expect(0, 5971, '\P{Script=buhid}', "");
Expect(1, 5971, '\P{^Script=buhid}', "");
Expect(0, 5951, '\p{Script=buhid}', "");
Expect(1, 5951, '\p{^Script=buhid}', "");
Expect(1, 5951, '\P{Script=buhid}', "");
Expect(0, 5951, '\P{^Script=buhid}', "");
Expect(1, 5971, '\p{Script=	-buhid}', "");
Expect(0, 5971, '\p{^Script=	-buhid}', "");
Expect(0, 5971, '\P{Script=	-buhid}', "");
Expect(1, 5971, '\P{^Script=	-buhid}', "");
Expect(0, 5951, '\p{Script=	-buhid}', "");
Expect(1, 5951, '\p{^Script=	-buhid}', "");
Expect(1, 5951, '\P{Script=	-buhid}', "");
Expect(0, 5951, '\P{^Script=	-buhid}', "");
Error('\p{Sc= BUHD/a/}');
Error('\P{Sc= BUHD/a/}');
Expect(1, 5971, '\p{Sc=buhd}', "");
Expect(0, 5971, '\p{^Sc=buhd}', "");
Expect(0, 5971, '\P{Sc=buhd}', "");
Expect(1, 5971, '\P{^Sc=buhd}', "");
Expect(0, 5951, '\p{Sc=buhd}', "");
Expect(1, 5951, '\p{^Sc=buhd}', "");
Expect(1, 5951, '\P{Sc=buhd}', "");
Expect(0, 5951, '\P{^Sc=buhd}', "");
Expect(1, 5971, '\p{Sc= -Buhd}', "");
Expect(0, 5971, '\p{^Sc= -Buhd}', "");
Expect(0, 5971, '\P{Sc= -Buhd}', "");
Expect(1, 5971, '\P{^Sc= -Buhd}', "");
Expect(0, 5951, '\p{Sc= -Buhd}', "");
Expect(1, 5951, '\p{^Sc= -Buhd}', "");
Expect(1, 5951, '\P{Sc= -Buhd}', "");
Expect(0, 5951, '\P{^Sc= -Buhd}', "");
Error('\p{Is_Script=:=_	Buhid}');
Error('\P{Is_Script=:=_	Buhid}');
Expect(1, 5971, '\p{Is_Script=buhid}', "");
Expect(0, 5971, '\p{^Is_Script=buhid}', "");
Expect(0, 5971, '\P{Is_Script=buhid}', "");
Expect(1, 5971, '\P{^Is_Script=buhid}', "");
Expect(0, 5951, '\p{Is_Script=buhid}', "");
Expect(1, 5951, '\p{^Is_Script=buhid}', "");
Expect(1, 5951, '\P{Is_Script=buhid}', "");
Expect(0, 5951, '\P{^Is_Script=buhid}', "");
Expect(1, 5971, '\p{Is_Script= Buhid}', "");
Expect(0, 5971, '\p{^Is_Script= Buhid}', "");
Expect(0, 5971, '\P{Is_Script= Buhid}', "");
Expect(1, 5971, '\P{^Is_Script= Buhid}', "");
Expect(0, 5951, '\p{Is_Script= Buhid}', "");
Expect(1, 5951, '\p{^Is_Script= Buhid}', "");
Expect(1, 5951, '\P{Is_Script= Buhid}', "");
Expect(0, 5951, '\P{^Is_Script= Buhid}', "");
Error('\p{Is_Sc=_/a/Buhd}');
Error('\P{Is_Sc=_/a/Buhd}');
Expect(1, 5971, '\p{Is_Sc=buhd}', "");
Expect(0, 5971, '\p{^Is_Sc=buhd}', "");
Expect(0, 5971, '\P{Is_Sc=buhd}', "");
Expect(1, 5971, '\P{^Is_Sc=buhd}', "");
Expect(0, 5951, '\p{Is_Sc=buhd}', "");
Expect(1, 5951, '\p{^Is_Sc=buhd}', "");
Expect(1, 5951, '\P{Is_Sc=buhd}', "");
Expect(0, 5951, '\P{^Is_Sc=buhd}', "");
Expect(1, 5971, '\p{Is_Sc=-	BUHD}', "");
Expect(0, 5971, '\p{^Is_Sc=-	BUHD}', "");
Expect(0, 5971, '\P{Is_Sc=-	BUHD}', "");
Expect(1, 5971, '\P{^Is_Sc=-	BUHD}', "");
Expect(0, 5951, '\p{Is_Sc=-	BUHD}', "");
Expect(1, 5951, '\p{^Is_Sc=-	BUHD}', "");
Expect(1, 5951, '\P{Is_Sc=-	BUHD}', "");
Expect(0, 5951, '\P{^Is_Sc=-	BUHD}', "");
Error('\p{Script=_Limbu:=}');
Error('\P{Script=_Limbu:=}');
Expect(1, 6428, '\p{Script=limbu}', "");
Expect(0, 6428, '\p{^Script=limbu}', "");
Expect(0, 6428, '\P{Script=limbu}', "");
Expect(1, 6428, '\P{^Script=limbu}', "");
Expect(0, 6399, '\p{Script=limbu}', "");
Expect(1, 6399, '\p{^Script=limbu}', "");
Expect(1, 6399, '\P{Script=limbu}', "");
Expect(0, 6399, '\P{^Script=limbu}', "");
Expect(1, 6428, '\p{Script=	LIMBU}', "");
Expect(0, 6428, '\p{^Script=	LIMBU}', "");
Expect(0, 6428, '\P{Script=	LIMBU}', "");
Expect(1, 6428, '\P{^Script=	LIMBU}', "");
Expect(0, 6399, '\p{Script=	LIMBU}', "");
Expect(1, 6399, '\p{^Script=	LIMBU}', "");
Expect(1, 6399, '\P{Script=	LIMBU}', "");
Expect(0, 6399, '\P{^Script=	LIMBU}', "");
Error('\p{Sc=	/a/LIMB}');
Error('\P{Sc=	/a/LIMB}');
Expect(1, 6428, '\p{Sc=limb}', "");
Expect(0, 6428, '\p{^Sc=limb}', "");
Expect(0, 6428, '\P{Sc=limb}', "");
Expect(1, 6428, '\P{^Sc=limb}', "");
Expect(0, 6399, '\p{Sc=limb}', "");
Expect(1, 6399, '\p{^Sc=limb}', "");
Expect(1, 6399, '\P{Sc=limb}', "");
Expect(0, 6399, '\P{^Sc=limb}', "");
Expect(1, 6428, '\p{Sc=	_Limb}', "");
Expect(0, 6428, '\p{^Sc=	_Limb}', "");
Expect(0, 6428, '\P{Sc=	_Limb}', "");
Expect(1, 6428, '\P{^Sc=	_Limb}', "");
Expect(0, 6399, '\p{Sc=	_Limb}', "");
Expect(1, 6399, '\p{^Sc=	_Limb}', "");
Expect(1, 6399, '\P{Sc=	_Limb}', "");
Expect(0, 6399, '\P{^Sc=	_Limb}', "");
Error('\p{Is_Script= 	Limbu:=}');
Error('\P{Is_Script= 	Limbu:=}');
Expect(1, 6428, '\p{Is_Script=limbu}', "");
Expect(0, 6428, '\p{^Is_Script=limbu}', "");
Expect(0, 6428, '\P{Is_Script=limbu}', "");
Expect(1, 6428, '\P{^Is_Script=limbu}', "");
Expect(0, 6399, '\p{Is_Script=limbu}', "");
Expect(1, 6399, '\p{^Is_Script=limbu}', "");
Expect(1, 6399, '\P{Is_Script=limbu}', "");
Expect(0, 6399, '\P{^Is_Script=limbu}', "");
Expect(1, 6428, '\p{Is_Script=--LIMBU}', "");
Expect(0, 6428, '\p{^Is_Script=--LIMBU}', "");
Expect(0, 6428, '\P{Is_Script=--LIMBU}', "");
Expect(1, 6428, '\P{^Is_Script=--LIMBU}', "");
Expect(0, 6399, '\p{Is_Script=--LIMBU}', "");
Expect(1, 6399, '\p{^Is_Script=--LIMBU}', "");
Expect(1, 6399, '\P{Is_Script=--LIMBU}', "");
Expect(0, 6399, '\P{^Is_Script=--LIMBU}', "");
Error('\p{Is_Sc=		LIMB:=}');
Error('\P{Is_Sc=		LIMB:=}');
Expect(1, 6428, '\p{Is_Sc=limb}', "");
Expect(0, 6428, '\p{^Is_Sc=limb}', "");
Expect(0, 6428, '\P{Is_Sc=limb}', "");
Expect(1, 6428, '\P{^Is_Sc=limb}', "");
Expect(0, 6399, '\p{Is_Sc=limb}', "");
Expect(1, 6399, '\p{^Is_Sc=limb}', "");
Expect(1, 6399, '\P{Is_Sc=limb}', "");
Expect(0, 6399, '\P{^Is_Sc=limb}', "");
Expect(1, 6428, '\p{Is_Sc=-	LIMB}', "");
Expect(0, 6428, '\p{^Is_Sc=-	LIMB}', "");
Expect(0, 6428, '\P{Is_Sc=-	LIMB}', "");
Expect(1, 6428, '\P{^Is_Sc=-	LIMB}', "");
Expect(0, 6399, '\p{Is_Sc=-	LIMB}', "");
Expect(1, 6399, '\p{^Is_Sc=-	LIMB}', "");
Expect(1, 6399, '\P{Is_Sc=-	LIMB}', "");
Expect(0, 6399, '\P{^Is_Sc=-	LIMB}', "");
Error('\p{Script=:=_	javanese}');
Error('\P{Script=:=_	javanese}');
Expect(1, 43469, '\p{Script=javanese}', "");
Expect(0, 43469, '\p{^Script=javanese}', "");
Expect(0, 43469, '\P{Script=javanese}', "");
Expect(1, 43469, '\P{^Script=javanese}', "");
Expect(0, 43391, '\p{Script=javanese}', "");
Expect(1, 43391, '\p{^Script=javanese}', "");
Expect(1, 43391, '\P{Script=javanese}', "");
Expect(0, 43391, '\P{^Script=javanese}', "");
Expect(1, 43469, '\p{Script=_ JAVANESE}', "");
Expect(0, 43469, '\p{^Script=_ JAVANESE}', "");
Expect(0, 43469, '\P{Script=_ JAVANESE}', "");
Expect(1, 43469, '\P{^Script=_ JAVANESE}', "");
Expect(0, 43391, '\p{Script=_ JAVANESE}', "");
Expect(1, 43391, '\p{^Script=_ JAVANESE}', "");
Expect(1, 43391, '\P{Script=_ JAVANESE}', "");
Expect(0, 43391, '\P{^Script=_ JAVANESE}', "");
Error('\p{Sc=:=		java}');
Error('\P{Sc=:=		java}');
Expect(1, 43469, '\p{Sc=java}', "");
Expect(0, 43469, '\p{^Sc=java}', "");
Expect(0, 43469, '\P{Sc=java}', "");
Expect(1, 43469, '\P{^Sc=java}', "");
Expect(0, 43391, '\p{Sc=java}', "");
Expect(1, 43391, '\p{^Sc=java}', "");
Expect(1, 43391, '\P{Sc=java}', "");
Expect(0, 43391, '\P{^Sc=java}', "");
Error('\p{Is_Script=-:=Javanese}');
Error('\P{Is_Script=-:=Javanese}');
Expect(1, 43469, '\p{Is_Script=javanese}', "");
Expect(0, 43469, '\p{^Is_Script=javanese}', "");
Expect(0, 43469, '\P{Is_Script=javanese}', "");
Expect(1, 43469, '\P{^Is_Script=javanese}', "");
Expect(0, 43391, '\p{Is_Script=javanese}', "");
Expect(1, 43391, '\p{^Is_Script=javanese}', "");
Expect(1, 43391, '\P{Is_Script=javanese}', "");
Expect(0, 43391, '\P{^Is_Script=javanese}', "");
Expect(1, 43469, '\p{Is_Script=_Javanese}', "");
Expect(0, 43469, '\p{^Is_Script=_Javanese}', "");
Expect(0, 43469, '\P{Is_Script=_Javanese}', "");
Expect(1, 43469, '\P{^Is_Script=_Javanese}', "");
Expect(0, 43391, '\p{Is_Script=_Javanese}', "");
Expect(1, 43391, '\p{^Is_Script=_Javanese}', "");
Expect(1, 43391, '\P{Is_Script=_Javanese}', "");
Expect(0, 43391, '\P{^Is_Script=_Javanese}', "");
Error('\p{Is_Sc=_:=Java}');
Error('\P{Is_Sc=_:=Java}');
Expect(1, 43469, '\p{Is_Sc=java}', "");
Expect(0, 43469, '\p{^Is_Sc=java}', "");
Expect(0, 43469, '\P{Is_Sc=java}', "");
Expect(1, 43469, '\P{^Is_Sc=java}', "");
Expect(0, 43391, '\p{Is_Sc=java}', "");
Expect(1, 43391, '\p{^Is_Sc=java}', "");
Expect(1, 43391, '\P{Is_Sc=java}', "");
Expect(0, 43391, '\P{^Is_Sc=java}', "");
Expect(1, 43469, '\p{Is_Sc=_-Java}', "");
Expect(0, 43469, '\p{^Is_Sc=_-Java}', "");
Expect(0, 43469, '\P{Is_Sc=_-Java}', "");
Expect(1, 43469, '\P{^Is_Sc=_-Java}', "");
Expect(0, 43391, '\p{Is_Sc=_-Java}', "");
Expect(1, 43391, '\p{^Is_Sc=_-Java}', "");
Expect(1, 43391, '\P{Is_Sc=_-Java}', "");
Expect(0, 43391, '\P{^Is_Sc=_-Java}', "");
Error('\p{Script=	-egyptianHieroglyphs/a/}');
Error('\P{Script=	-egyptianHieroglyphs/a/}');
Expect(1, 78894, '\p{Script=egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^Script=egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{Script=egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^Script=egyptianhieroglyphs}', "");
Expect(0, 77823, '\p{Script=egyptianhieroglyphs}', "");
Expect(1, 77823, '\p{^Script=egyptianhieroglyphs}', "");
Expect(1, 77823, '\P{Script=egyptianhieroglyphs}', "");
Expect(0, 77823, '\P{^Script=egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{Script=	-Egyptian_HIEROGLYPHS}', "");
Expect(0, 78894, '\p{^Script=	-Egyptian_HIEROGLYPHS}', "");
Expect(0, 78894, '\P{Script=	-Egyptian_HIEROGLYPHS}', "");
Expect(1, 78894, '\P{^Script=	-Egyptian_HIEROGLYPHS}', "");
Expect(0, 77823, '\p{Script=	-Egyptian_HIEROGLYPHS}', "");
Expect(1, 77823, '\p{^Script=	-Egyptian_HIEROGLYPHS}', "");
Expect(1, 77823, '\P{Script=	-Egyptian_HIEROGLYPHS}', "");
Expect(0, 77823, '\P{^Script=	-Egyptian_HIEROGLYPHS}', "");
Error('\p{Sc= Egyp:=}');
Error('\P{Sc= Egyp:=}');
Expect(1, 78894, '\p{Sc=egyp}', "");
Expect(0, 78894, '\p{^Sc=egyp}', "");
Expect(0, 78894, '\P{Sc=egyp}', "");
Expect(1, 78894, '\P{^Sc=egyp}', "");
Expect(0, 77823, '\p{Sc=egyp}', "");
Expect(1, 77823, '\p{^Sc=egyp}', "");
Expect(1, 77823, '\P{Sc=egyp}', "");
Expect(0, 77823, '\P{^Sc=egyp}', "");
Expect(1, 78894, '\p{Sc=__egyp}', "");
Expect(0, 78894, '\p{^Sc=__egyp}', "");
Expect(0, 78894, '\P{Sc=__egyp}', "");
Expect(1, 78894, '\P{^Sc=__egyp}', "");
Expect(0, 77823, '\p{Sc=__egyp}', "");
Expect(1, 77823, '\p{^Sc=__egyp}', "");
Expect(1, 77823, '\P{Sc=__egyp}', "");
Expect(0, 77823, '\P{^Sc=__egyp}', "");
Error('\p{Is_Script= 	EGYPTIAN/a/Hieroglyphs}');
Error('\P{Is_Script= 	EGYPTIAN/a/Hieroglyphs}');
Expect(1, 78894, '\p{Is_Script=egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^Is_Script=egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{Is_Script=egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^Is_Script=egyptianhieroglyphs}', "");
Expect(0, 77823, '\p{Is_Script=egyptianhieroglyphs}', "");
Expect(1, 77823, '\p{^Is_Script=egyptianhieroglyphs}', "");
Expect(1, 77823, '\P{Is_Script=egyptianhieroglyphs}', "");
Expect(0, 77823, '\P{^Is_Script=egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{Is_Script:   -	EGYPTIAN-Hieroglyphs}', "");
Expect(0, 78894, '\p{^Is_Script:   -	EGYPTIAN-Hieroglyphs}', "");
Expect(0, 78894, '\P{Is_Script:   -	EGYPTIAN-Hieroglyphs}', "");
Expect(1, 78894, '\P{^Is_Script:   -	EGYPTIAN-Hieroglyphs}', "");
Expect(0, 77823, '\p{Is_Script:   -	EGYPTIAN-Hieroglyphs}', "");
Expect(1, 77823, '\p{^Is_Script:   -	EGYPTIAN-Hieroglyphs}', "");
Expect(1, 77823, '\P{Is_Script:   -	EGYPTIAN-Hieroglyphs}', "");
Expect(0, 77823, '\P{^Is_Script:   -	EGYPTIAN-Hieroglyphs}', "");
Error('\p{Is_Sc=_ Egyp:=}');
Error('\P{Is_Sc=_ Egyp:=}');
Expect(1, 78894, '\p{Is_Sc=egyp}', "");
Expect(0, 78894, '\p{^Is_Sc=egyp}', "");
Expect(0, 78894, '\P{Is_Sc=egyp}', "");
Expect(1, 78894, '\P{^Is_Sc=egyp}', "");
Expect(0, 77823, '\p{Is_Sc=egyp}', "");
Expect(1, 77823, '\p{^Is_Sc=egyp}', "");
Expect(1, 77823, '\P{Is_Sc=egyp}', "");
Expect(0, 77823, '\P{^Is_Sc=egyp}', "");
Expect(1, 78894, '\p{Is_Sc=	 Egyp}', "");
Expect(0, 78894, '\p{^Is_Sc=	 Egyp}', "");
Expect(0, 78894, '\P{Is_Sc=	 Egyp}', "");
Expect(1, 78894, '\P{^Is_Sc=	 Egyp}', "");
Expect(0, 77823, '\p{Is_Sc=	 Egyp}', "");
Expect(1, 77823, '\p{^Is_Sc=	 Egyp}', "");
Expect(1, 77823, '\P{Is_Sc=	 Egyp}', "");
Expect(0, 77823, '\P{^Is_Sc=	 Egyp}', "");
Error('\p{Script=-/a/COMMON}');
Error('\P{Script=-/a/COMMON}');
Expect(1, 64, '\p{Script=common}', "");
Expect(0, 64, '\p{^Script=common}', "");
Expect(0, 64, '\P{Script=common}', "");
Expect(1, 64, '\P{^Script=common}', "");
Expect(0, 90, '\p{Script=common}', "");
Expect(1, 90, '\p{^Script=common}', "");
Expect(1, 90, '\P{Script=common}', "");
Expect(0, 90, '\P{^Script=common}', "");
Expect(1, 64, '\p{Script=__Common}', "");
Expect(0, 64, '\p{^Script=__Common}', "");
Expect(0, 64, '\P{Script=__Common}', "");
Expect(1, 64, '\P{^Script=__Common}', "");
Expect(0, 90, '\p{Script=__Common}', "");
Expect(1, 90, '\p{^Script=__Common}', "");
Expect(1, 90, '\P{Script=__Common}', "");
Expect(0, 90, '\P{^Script=__Common}', "");
Error('\p{Sc=/a/	_ZYYY}');
Error('\P{Sc=/a/	_ZYYY}');
Expect(1, 64, '\p{Sc=zyyy}', "");
Expect(0, 64, '\p{^Sc=zyyy}', "");
Expect(0, 64, '\P{Sc=zyyy}', "");
Expect(1, 64, '\P{^Sc=zyyy}', "");
Expect(0, 90, '\p{Sc=zyyy}', "");
Expect(1, 90, '\p{^Sc=zyyy}', "");
Expect(1, 90, '\P{Sc=zyyy}', "");
Expect(0, 90, '\P{^Sc=zyyy}', "");
Expect(1, 64, '\p{Sc=__Zyyy}', "");
Expect(0, 64, '\p{^Sc=__Zyyy}', "");
Expect(0, 64, '\P{Sc=__Zyyy}', "");
Expect(1, 64, '\P{^Sc=__Zyyy}', "");
Expect(0, 90, '\p{Sc=__Zyyy}', "");
Expect(1, 90, '\p{^Sc=__Zyyy}', "");
Expect(1, 90, '\P{Sc=__Zyyy}', "");
Expect(0, 90, '\P{^Sc=__Zyyy}', "");
Error('\p{Is_Script=	 Common:=}');
Error('\P{Is_Script=	 Common:=}');
Expect(1, 64, '\p{Is_Script=common}', "");
Expect(0, 64, '\p{^Is_Script=common}', "");
Expect(0, 64, '\P{Is_Script=common}', "");
Expect(1, 64, '\P{^Is_Script=common}', "");
Expect(0, 90, '\p{Is_Script=common}', "");
Expect(1, 90, '\p{^Is_Script=common}', "");
Expect(1, 90, '\P{Is_Script=common}', "");
Expect(0, 90, '\P{^Is_Script=common}', "");
Expect(1, 64, '\p{Is_Script:		-common}', "");
Expect(0, 64, '\p{^Is_Script:		-common}', "");
Expect(0, 64, '\P{Is_Script:		-common}', "");
Expect(1, 64, '\P{^Is_Script:		-common}', "");
Expect(0, 90, '\p{Is_Script:		-common}', "");
Expect(1, 90, '\p{^Is_Script:		-common}', "");
Expect(1, 90, '\P{Is_Script:		-common}', "");
Expect(0, 90, '\P{^Is_Script:		-common}', "");
Error('\p{Is_Sc=:=zyyy}');
Error('\P{Is_Sc=:=zyyy}');
Expect(1, 64, '\p{Is_Sc=zyyy}', "");
Expect(0, 64, '\p{^Is_Sc=zyyy}', "");
Expect(0, 64, '\P{Is_Sc=zyyy}', "");
Expect(1, 64, '\P{^Is_Sc=zyyy}', "");
Expect(0, 90, '\p{Is_Sc=zyyy}', "");
Expect(1, 90, '\p{^Is_Sc=zyyy}', "");
Expect(1, 90, '\P{Is_Sc=zyyy}', "");
Expect(0, 90, '\P{^Is_Sc=zyyy}', "");
Expect(1, 64, '\p{Is_Sc=		ZYYY}', "");
Expect(0, 64, '\p{^Is_Sc=		ZYYY}', "");
Expect(0, 64, '\P{Is_Sc=		ZYYY}', "");
Expect(1, 64, '\P{^Is_Sc=		ZYYY}', "");
Expect(0, 90, '\p{Is_Sc=		ZYYY}', "");
Expect(1, 90, '\p{^Is_Sc=		ZYYY}', "");
Expect(1, 90, '\P{Is_Sc=		ZYYY}', "");
Expect(0, 90, '\P{^Is_Sc=		ZYYY}', "");
Error('\p{Script: _LATIN:=}');
Error('\P{Script: _LATIN:=}');
Expect(1, 90, '\p{Script=latin}', "");
Expect(0, 90, '\p{^Script=latin}', "");
Expect(0, 90, '\P{Script=latin}', "");
Expect(1, 90, '\P{^Script=latin}', "");
Expect(0, 64, '\p{Script=latin}', "");
Expect(1, 64, '\p{^Script=latin}', "");
Expect(1, 64, '\P{Script=latin}', "");
Expect(0, 64, '\P{^Script=latin}', "");
Expect(1, 90, '\p{Script=	-LATIN}', "");
Expect(0, 90, '\p{^Script=	-LATIN}', "");
Expect(0, 90, '\P{Script=	-LATIN}', "");
Expect(1, 90, '\P{^Script=	-LATIN}', "");
Expect(0, 64, '\p{Script=	-LATIN}', "");
Expect(1, 64, '\p{^Script=	-LATIN}', "");
Expect(1, 64, '\P{Script=	-LATIN}', "");
Expect(0, 64, '\P{^Script=	-LATIN}', "");
Error('\p{Sc=-	Latn:=}');
Error('\P{Sc=-	Latn:=}');
Expect(1, 90, '\p{Sc=latn}', "");
Expect(0, 90, '\p{^Sc=latn}', "");
Expect(0, 90, '\P{Sc=latn}', "");
Expect(1, 90, '\P{^Sc=latn}', "");
Expect(0, 64, '\p{Sc=latn}', "");
Expect(1, 64, '\p{^Sc=latn}', "");
Expect(1, 64, '\P{Sc=latn}', "");
Expect(0, 64, '\P{^Sc=latn}', "");
Expect(1, 90, '\p{Sc=	 latn}', "");
Expect(0, 90, '\p{^Sc=	 latn}', "");
Expect(0, 90, '\P{Sc=	 latn}', "");
Expect(1, 90, '\P{^Sc=	 latn}', "");
Expect(0, 64, '\p{Sc=	 latn}', "");
Expect(1, 64, '\p{^Sc=	 latn}', "");
Expect(1, 64, '\P{Sc=	 latn}', "");
Expect(0, 64, '\P{^Sc=	 latn}', "");
Error('\p{Is_Script=/a/_-Latin}');
Error('\P{Is_Script=/a/_-Latin}');
Expect(1, 90, '\p{Is_Script=latin}', "");
Expect(0, 90, '\p{^Is_Script=latin}', "");
Expect(0, 90, '\P{Is_Script=latin}', "");
Expect(1, 90, '\P{^Is_Script=latin}', "");
Expect(0, 64, '\p{Is_Script=latin}', "");
Expect(1, 64, '\p{^Is_Script=latin}', "");
Expect(1, 64, '\P{Is_Script=latin}', "");
Expect(0, 64, '\P{^Is_Script=latin}', "");
Expect(1, 90, '\p{Is_Script= 	Latin}', "");
Expect(0, 90, '\p{^Is_Script= 	Latin}', "");
Expect(0, 90, '\P{Is_Script= 	Latin}', "");
Expect(1, 90, '\P{^Is_Script= 	Latin}', "");
Expect(0, 64, '\p{Is_Script= 	Latin}', "");
Expect(1, 64, '\p{^Is_Script= 	Latin}', "");
Expect(1, 64, '\P{Is_Script= 	Latin}', "");
Expect(0, 64, '\P{^Is_Script= 	Latin}', "");
Error('\p{Is_Sc=:= LATN}');
Error('\P{Is_Sc=:= LATN}');
Expect(1, 90, '\p{Is_Sc=latn}', "");
Expect(0, 90, '\p{^Is_Sc=latn}', "");
Expect(0, 90, '\P{Is_Sc=latn}', "");
Expect(1, 90, '\P{^Is_Sc=latn}', "");
Expect(0, 64, '\p{Is_Sc=latn}', "");
Expect(1, 64, '\p{^Is_Sc=latn}', "");
Expect(1, 64, '\P{Is_Sc=latn}', "");
Expect(0, 64, '\P{^Is_Sc=latn}', "");
Expect(1, 90, '\p{Is_Sc: 	Latn}', "");
Expect(0, 90, '\p{^Is_Sc: 	Latn}', "");
Expect(0, 90, '\P{Is_Sc: 	Latn}', "");
Expect(1, 90, '\P{^Is_Sc: 	Latn}', "");
Expect(0, 64, '\p{Is_Sc: 	Latn}', "");
Expect(1, 64, '\p{^Is_Sc: 	Latn}', "");
Expect(1, 64, '\P{Is_Sc: 	Latn}', "");
Expect(0, 64, '\P{^Is_Sc: 	Latn}', "");
Error('\p{Script= ethiopic/a/}');
Error('\P{Script= ethiopic/a/}');
Expect(1, 4680, '\p{Script=ethiopic}', "");
Expect(0, 4680, '\p{^Script=ethiopic}', "");
Expect(0, 4680, '\P{Script=ethiopic}', "");
Expect(1, 4680, '\P{^Script=ethiopic}', "");
Expect(0, 4607, '\p{Script=ethiopic}', "");
Expect(1, 4607, '\p{^Script=ethiopic}', "");
Expect(1, 4607, '\P{Script=ethiopic}', "");
Expect(0, 4607, '\P{^Script=ethiopic}', "");
Expect(1, 4680, '\p{Script= Ethiopic}', "");
Expect(0, 4680, '\p{^Script= Ethiopic}', "");
Expect(0, 4680, '\P{Script= Ethiopic}', "");
Expect(1, 4680, '\P{^Script= Ethiopic}', "");
Expect(0, 4607, '\p{Script= Ethiopic}', "");
Expect(1, 4607, '\p{^Script= Ethiopic}', "");
Expect(1, 4607, '\P{Script= Ethiopic}', "");
Expect(0, 4607, '\P{^Script= Ethiopic}', "");
Error('\p{Sc=-	ETHI:=}');
Error('\P{Sc=-	ETHI:=}');
Expect(1, 4680, '\p{Sc=ethi}', "");
Expect(0, 4680, '\p{^Sc=ethi}', "");
Expect(0, 4680, '\P{Sc=ethi}', "");
Expect(1, 4680, '\P{^Sc=ethi}', "");
Expect(0, 4607, '\p{Sc=ethi}', "");
Expect(1, 4607, '\p{^Sc=ethi}', "");
Expect(1, 4607, '\P{Sc=ethi}', "");
Expect(0, 4607, '\P{^Sc=ethi}', "");
Expect(1, 4680, '\p{Sc=--Ethi}', "");
Expect(0, 4680, '\p{^Sc=--Ethi}', "");
Expect(0, 4680, '\P{Sc=--Ethi}', "");
Expect(1, 4680, '\P{^Sc=--Ethi}', "");
Expect(0, 4607, '\p{Sc=--Ethi}', "");
Expect(1, 4607, '\p{^Sc=--Ethi}', "");
Expect(1, 4607, '\P{Sc=--Ethi}', "");
Expect(0, 4607, '\P{^Sc=--Ethi}', "");
Error('\p{Is_Script=:=		Ethiopic}');
Error('\P{Is_Script=:=		Ethiopic}');
Expect(1, 4680, '\p{Is_Script=ethiopic}', "");
Expect(0, 4680, '\p{^Is_Script=ethiopic}', "");
Expect(0, 4680, '\P{Is_Script=ethiopic}', "");
Expect(1, 4680, '\P{^Is_Script=ethiopic}', "");
Expect(0, 4607, '\p{Is_Script=ethiopic}', "");
Expect(1, 4607, '\p{^Is_Script=ethiopic}', "");
Expect(1, 4607, '\P{Is_Script=ethiopic}', "");
Expect(0, 4607, '\P{^Is_Script=ethiopic}', "");
Expect(1, 4680, '\p{Is_Script= Ethiopic}', "");
Expect(0, 4680, '\p{^Is_Script= Ethiopic}', "");
Expect(0, 4680, '\P{Is_Script= Ethiopic}', "");
Expect(1, 4680, '\P{^Is_Script= Ethiopic}', "");
Expect(0, 4607, '\p{Is_Script= Ethiopic}', "");
Expect(1, 4607, '\p{^Is_Script= Ethiopic}', "");
Expect(1, 4607, '\P{Is_Script= Ethiopic}', "");
Expect(0, 4607, '\P{^Is_Script= Ethiopic}', "");
Error('\p{Is_Sc:	_ETHI:=}');
Error('\P{Is_Sc:	_ETHI:=}');
Expect(1, 4680, '\p{Is_Sc:   ethi}', "");
Expect(0, 4680, '\p{^Is_Sc:   ethi}', "");
Expect(0, 4680, '\P{Is_Sc:   ethi}', "");
Expect(1, 4680, '\P{^Is_Sc:   ethi}', "");
Expect(0, 4607, '\p{Is_Sc:   ethi}', "");
Expect(1, 4607, '\p{^Is_Sc:   ethi}', "");
Expect(1, 4607, '\P{Is_Sc:   ethi}', "");
Expect(0, 4607, '\P{^Is_Sc:   ethi}', "");
Expect(1, 4680, '\p{Is_Sc=-_Ethi}', "");
Expect(0, 4680, '\p{^Is_Sc=-_Ethi}', "");
Expect(0, 4680, '\P{Is_Sc=-_Ethi}', "");
Expect(1, 4680, '\P{^Is_Sc=-_Ethi}', "");
Expect(0, 4607, '\p{Is_Sc=-_Ethi}', "");
Expect(1, 4607, '\p{^Is_Sc=-_Ethi}', "");
Expect(1, 4607, '\P{Is_Sc=-_Ethi}', "");
Expect(0, 4607, '\P{^Is_Sc=-_Ethi}', "");
Error('\p{Script=:=_Hebrew}');
Error('\P{Script=:=_Hebrew}');
Expect(1, 1479, '\p{Script=hebrew}', "");
Expect(0, 1479, '\p{^Script=hebrew}', "");
Expect(0, 1479, '\P{Script=hebrew}', "");
Expect(1, 1479, '\P{^Script=hebrew}', "");
Expect(0, 1424, '\p{Script=hebrew}', "");
Expect(1, 1424, '\p{^Script=hebrew}', "");
Expect(1, 1424, '\P{Script=hebrew}', "");
Expect(0, 1424, '\P{^Script=hebrew}', "");
Expect(1, 1479, '\p{Script=- Hebrew}', "");
Expect(0, 1479, '\p{^Script=- Hebrew}', "");
Expect(0, 1479, '\P{Script=- Hebrew}', "");
Expect(1, 1479, '\P{^Script=- Hebrew}', "");
Expect(0, 1424, '\p{Script=- Hebrew}', "");
Expect(1, 1424, '\p{^Script=- Hebrew}', "");
Expect(1, 1424, '\P{Script=- Hebrew}', "");
Expect(0, 1424, '\P{^Script=- Hebrew}', "");
Error('\p{Sc=_:=Hebr}');
Error('\P{Sc=_:=Hebr}');
Expect(1, 1479, '\p{Sc=hebr}', "");
Expect(0, 1479, '\p{^Sc=hebr}', "");
Expect(0, 1479, '\P{Sc=hebr}', "");
Expect(1, 1479, '\P{^Sc=hebr}', "");
Expect(0, 1424, '\p{Sc=hebr}', "");
Expect(1, 1424, '\p{^Sc=hebr}', "");
Expect(1, 1424, '\P{Sc=hebr}', "");
Expect(0, 1424, '\P{^Sc=hebr}', "");
Expect(1, 1479, '\p{Sc=-Hebr}', "");
Expect(0, 1479, '\p{^Sc=-Hebr}', "");
Expect(0, 1479, '\P{Sc=-Hebr}', "");
Expect(1, 1479, '\P{^Sc=-Hebr}', "");
Expect(0, 1424, '\p{Sc=-Hebr}', "");
Expect(1, 1424, '\p{^Sc=-Hebr}', "");
Expect(1, 1424, '\P{Sc=-Hebr}', "");
Expect(0, 1424, '\P{^Sc=-Hebr}', "");
Error('\p{Is_Script= /a/hebrew}');
Error('\P{Is_Script= /a/hebrew}');
Expect(1, 1479, '\p{Is_Script=hebrew}', "");
Expect(0, 1479, '\p{^Is_Script=hebrew}', "");
Expect(0, 1479, '\P{Is_Script=hebrew}', "");
Expect(1, 1479, '\P{^Is_Script=hebrew}', "");
Expect(0, 1424, '\p{Is_Script=hebrew}', "");
Expect(1, 1424, '\p{^Is_Script=hebrew}', "");
Expect(1, 1424, '\P{Is_Script=hebrew}', "");
Expect(0, 1424, '\P{^Is_Script=hebrew}', "");
Expect(1, 1479, '\p{Is_Script= 	Hebrew}', "");
Expect(0, 1479, '\p{^Is_Script= 	Hebrew}', "");
Expect(0, 1479, '\P{Is_Script= 	Hebrew}', "");
Expect(1, 1479, '\P{^Is_Script= 	Hebrew}', "");
Expect(0, 1424, '\p{Is_Script= 	Hebrew}', "");
Expect(1, 1424, '\p{^Is_Script= 	Hebrew}', "");
Expect(1, 1424, '\P{Is_Script= 	Hebrew}', "");
Expect(0, 1424, '\P{^Is_Script= 	Hebrew}', "");
Error('\p{Is_Sc=-	hebr:=}');
Error('\P{Is_Sc=-	hebr:=}');
Expect(1, 1479, '\p{Is_Sc:	hebr}', "");
Expect(0, 1479, '\p{^Is_Sc:	hebr}', "");
Expect(0, 1479, '\P{Is_Sc:	hebr}', "");
Expect(1, 1479, '\P{^Is_Sc:	hebr}', "");
Expect(0, 1424, '\p{Is_Sc:	hebr}', "");
Expect(1, 1424, '\p{^Is_Sc:	hebr}', "");
Expect(1, 1424, '\P{Is_Sc:	hebr}', "");
Expect(0, 1424, '\P{^Is_Sc:	hebr}', "");
Expect(1, 1479, '\p{Is_Sc=	hebr}', "");
Expect(0, 1479, '\p{^Is_Sc=	hebr}', "");
Expect(0, 1479, '\P{Is_Sc=	hebr}', "");
Expect(1, 1479, '\P{^Is_Sc=	hebr}', "");
Expect(0, 1424, '\p{Is_Sc=	hebr}', "");
Expect(1, 1424, '\p{^Is_Sc=	hebr}', "");
Expect(1, 1424, '\P{Is_Sc=	hebr}', "");
Expect(0, 1424, '\P{^Is_Sc=	hebr}', "");
Error('\p{Script=/a/	 Buginese}');
Error('\P{Script=/a/	 Buginese}');
Expect(1, 6683, '\p{Script=buginese}', "");
Expect(0, 6683, '\p{^Script=buginese}', "");
Expect(0, 6683, '\P{Script=buginese}', "");
Expect(1, 6683, '\P{^Script=buginese}', "");
Expect(0, 6655, '\p{Script=buginese}', "");
Expect(1, 6655, '\p{^Script=buginese}', "");
Expect(1, 6655, '\P{Script=buginese}', "");
Expect(0, 6655, '\P{^Script=buginese}', "");
Expect(1, 6683, '\p{Script:   	_Buginese}', "");
Expect(0, 6683, '\p{^Script:   	_Buginese}', "");
Expect(0, 6683, '\P{Script:   	_Buginese}', "");
Expect(1, 6683, '\P{^Script:   	_Buginese}', "");
Expect(0, 6655, '\p{Script:   	_Buginese}', "");
Expect(1, 6655, '\p{^Script:   	_Buginese}', "");
Expect(1, 6655, '\P{Script:   	_Buginese}', "");
Expect(0, 6655, '\P{^Script:   	_Buginese}', "");
Error('\p{Sc= :=bugi}');
Error('\P{Sc= :=bugi}');
Expect(1, 6683, '\p{Sc=bugi}', "");
Expect(0, 6683, '\p{^Sc=bugi}', "");
Expect(0, 6683, '\P{Sc=bugi}', "");
Expect(1, 6683, '\P{^Sc=bugi}', "");
Expect(0, 6655, '\p{Sc=bugi}', "");
Expect(1, 6655, '\p{^Sc=bugi}', "");
Expect(1, 6655, '\P{Sc=bugi}', "");
Expect(0, 6655, '\P{^Sc=bugi}', "");
Expect(1, 6683, '\p{Sc:__bugi}', "");
Expect(0, 6683, '\p{^Sc:__bugi}', "");
Expect(0, 6683, '\P{Sc:__bugi}', "");
Expect(1, 6683, '\P{^Sc:__bugi}', "");
Expect(0, 6655, '\p{Sc:__bugi}', "");
Expect(1, 6655, '\p{^Sc:__bugi}', "");
Expect(1, 6655, '\P{Sc:__bugi}', "");
Expect(0, 6655, '\P{^Sc:__bugi}', "");
Error('\p{Is_Script=:= _BUGINESE}');
Error('\P{Is_Script=:= _BUGINESE}');
Expect(1, 6683, '\p{Is_Script=buginese}', "");
Expect(0, 6683, '\p{^Is_Script=buginese}', "");
Expect(0, 6683, '\P{Is_Script=buginese}', "");
Expect(1, 6683, '\P{^Is_Script=buginese}', "");
Expect(0, 6655, '\p{Is_Script=buginese}', "");
Expect(1, 6655, '\p{^Is_Script=buginese}', "");
Expect(1, 6655, '\P{Is_Script=buginese}', "");
Expect(0, 6655, '\P{^Is_Script=buginese}', "");
Expect(1, 6683, '\p{Is_Script= 	Buginese}', "");
Expect(0, 6683, '\p{^Is_Script= 	Buginese}', "");
Expect(0, 6683, '\P{Is_Script= 	Buginese}', "");
Expect(1, 6683, '\P{^Is_Script= 	Buginese}', "");
Expect(0, 6655, '\p{Is_Script= 	Buginese}', "");
Expect(1, 6655, '\p{^Is_Script= 	Buginese}', "");
Expect(1, 6655, '\P{Is_Script= 	Buginese}', "");
Expect(0, 6655, '\P{^Is_Script= 	Buginese}', "");
Error('\p{Is_Sc=:=--Bugi}');
Error('\P{Is_Sc=:=--Bugi}');
Expect(1, 6683, '\p{Is_Sc:bugi}', "");
Expect(0, 6683, '\p{^Is_Sc:bugi}', "");
Expect(0, 6683, '\P{Is_Sc:bugi}', "");
Expect(1, 6683, '\P{^Is_Sc:bugi}', "");
Expect(0, 6655, '\p{Is_Sc:bugi}', "");
Expect(1, 6655, '\p{^Is_Sc:bugi}', "");
Expect(1, 6655, '\P{Is_Sc:bugi}', "");
Expect(0, 6655, '\P{^Is_Sc:bugi}', "");
Expect(1, 6683, '\p{Is_Sc=	Bugi}', "");
Expect(0, 6683, '\p{^Is_Sc=	Bugi}', "");
Expect(0, 6683, '\P{Is_Sc=	Bugi}', "");
Expect(1, 6683, '\P{^Is_Sc=	Bugi}', "");
Expect(0, 6655, '\p{Is_Sc=	Bugi}', "");
Expect(1, 6655, '\p{^Is_Sc=	Bugi}', "");
Expect(1, 6655, '\P{Is_Sc=	Bugi}', "");
Expect(0, 6655, '\P{^Is_Sc=	Bugi}', "");
Error('\p{Script= :=InscriptionalPahlavi}');
Error('\P{Script= :=InscriptionalPahlavi}');
Expect(1, 68466, '\p{Script=inscriptionalpahlavi}', "");
Expect(0, 68466, '\p{^Script=inscriptionalpahlavi}', "");
Expect(0, 68466, '\P{Script=inscriptionalpahlavi}', "");
Expect(1, 68466, '\P{^Script=inscriptionalpahlavi}', "");
Expect(0, 68447, '\p{Script=inscriptionalpahlavi}', "");
Expect(1, 68447, '\p{^Script=inscriptionalpahlavi}', "");
Expect(1, 68447, '\P{Script=inscriptionalpahlavi}', "");
Expect(0, 68447, '\P{^Script=inscriptionalpahlavi}', "");
Expect(1, 68466, '\p{Script=_inscriptional_PAHLAVI}', "");
Expect(0, 68466, '\p{^Script=_inscriptional_PAHLAVI}', "");
Expect(0, 68466, '\P{Script=_inscriptional_PAHLAVI}', "");
Expect(1, 68466, '\P{^Script=_inscriptional_PAHLAVI}', "");
Expect(0, 68447, '\p{Script=_inscriptional_PAHLAVI}', "");
Expect(1, 68447, '\p{^Script=_inscriptional_PAHLAVI}', "");
Expect(1, 68447, '\P{Script=_inscriptional_PAHLAVI}', "");
Expect(0, 68447, '\P{^Script=_inscriptional_PAHLAVI}', "");
Error('\p{Sc=- Phli/a/}');
Error('\P{Sc=- Phli/a/}');
Expect(1, 68466, '\p{Sc:	phli}', "");
Expect(0, 68466, '\p{^Sc:	phli}', "");
Expect(0, 68466, '\P{Sc:	phli}', "");
Expect(1, 68466, '\P{^Sc:	phli}', "");
Expect(0, 68447, '\p{Sc:	phli}', "");
Expect(1, 68447, '\p{^Sc:	phli}', "");
Expect(1, 68447, '\P{Sc:	phli}', "");
Expect(0, 68447, '\P{^Sc:	phli}', "");
Expect(1, 68466, '\p{Sc=	-PHLI}', "");
Expect(0, 68466, '\p{^Sc=	-PHLI}', "");
Expect(0, 68466, '\P{Sc=	-PHLI}', "");
Expect(1, 68466, '\P{^Sc=	-PHLI}', "");
Expect(0, 68447, '\p{Sc=	-PHLI}', "");
Expect(1, 68447, '\p{^Sc=	-PHLI}', "");
Expect(1, 68447, '\P{Sc=	-PHLI}', "");
Expect(0, 68447, '\P{^Sc=	-PHLI}', "");
Error('\p{Is_Script=:=  inscriptionalPahlavi}');
Error('\P{Is_Script=:=  inscriptionalPahlavi}');
Expect(1, 68466, '\p{Is_Script:   inscriptionalpahlavi}', "");
Expect(0, 68466, '\p{^Is_Script:   inscriptionalpahlavi}', "");
Expect(0, 68466, '\P{Is_Script:   inscriptionalpahlavi}', "");
Expect(1, 68466, '\P{^Is_Script:   inscriptionalpahlavi}', "");
Expect(0, 68447, '\p{Is_Script:   inscriptionalpahlavi}', "");
Expect(1, 68447, '\p{^Is_Script:   inscriptionalpahlavi}', "");
Expect(1, 68447, '\P{Is_Script:   inscriptionalpahlavi}', "");
Expect(0, 68447, '\P{^Is_Script:   inscriptionalpahlavi}', "");
Expect(1, 68466, '\p{Is_Script=_	INSCRIPTIONAL_pahlavi}', "");
Expect(0, 68466, '\p{^Is_Script=_	INSCRIPTIONAL_pahlavi}', "");
Expect(0, 68466, '\P{Is_Script=_	INSCRIPTIONAL_pahlavi}', "");
Expect(1, 68466, '\P{^Is_Script=_	INSCRIPTIONAL_pahlavi}', "");
Expect(0, 68447, '\p{Is_Script=_	INSCRIPTIONAL_pahlavi}', "");
Expect(1, 68447, '\p{^Is_Script=_	INSCRIPTIONAL_pahlavi}', "");
Expect(1, 68447, '\P{Is_Script=_	INSCRIPTIONAL_pahlavi}', "");
Expect(0, 68447, '\P{^Is_Script=_	INSCRIPTIONAL_pahlavi}', "");
Error('\p{Is_Sc:  :=PHLI}');
Error('\P{Is_Sc:  :=PHLI}');
Expect(1, 68466, '\p{Is_Sc=phli}', "");
Expect(0, 68466, '\p{^Is_Sc=phli}', "");
Expect(0, 68466, '\P{Is_Sc=phli}', "");
Expect(1, 68466, '\P{^Is_Sc=phli}', "");
Expect(0, 68447, '\p{Is_Sc=phli}', "");
Expect(1, 68447, '\p{^Is_Sc=phli}', "");
Expect(1, 68447, '\P{Is_Sc=phli}', "");
Expect(0, 68447, '\P{^Is_Sc=phli}', "");
Expect(1, 68466, '\p{Is_Sc=-PHLI}', "");
Expect(0, 68466, '\p{^Is_Sc=-PHLI}', "");
Expect(0, 68466, '\P{Is_Sc=-PHLI}', "");
Expect(1, 68466, '\P{^Is_Sc=-PHLI}', "");
Expect(0, 68447, '\p{Is_Sc=-PHLI}', "");
Expect(1, 68447, '\p{^Is_Sc=-PHLI}', "");
Expect(1, 68447, '\P{Is_Sc=-PHLI}', "");
Expect(0, 68447, '\P{^Is_Sc=-PHLI}', "");
Error('\p{Script=-/a/TAI-tham}');
Error('\P{Script=-/a/TAI-tham}');
Expect(1, 6750, '\p{Script=taitham}', "");
Expect(0, 6750, '\p{^Script=taitham}', "");
Expect(0, 6750, '\P{Script=taitham}', "");
Expect(1, 6750, '\P{^Script=taitham}', "");
Expect(0, 6687, '\p{Script=taitham}', "");
Expect(1, 6687, '\p{^Script=taitham}', "");
Expect(1, 6687, '\P{Script=taitham}', "");
Expect(0, 6687, '\P{^Script=taitham}', "");
Expect(1, 6750, '\p{Script=  TaiTham}', "");
Expect(0, 6750, '\p{^Script=  TaiTham}', "");
Expect(0, 6750, '\P{Script=  TaiTham}', "");
Expect(1, 6750, '\P{^Script=  TaiTham}', "");
Expect(0, 6687, '\p{Script=  TaiTham}', "");
Expect(1, 6687, '\p{^Script=  TaiTham}', "");
Expect(1, 6687, '\P{Script=  TaiTham}', "");
Expect(0, 6687, '\P{^Script=  TaiTham}', "");
Error('\p{Sc=/a/_Lana}');
Error('\P{Sc=/a/_Lana}');
Expect(1, 6750, '\p{Sc=lana}', "");
Expect(0, 6750, '\p{^Sc=lana}', "");
Expect(0, 6750, '\P{Sc=lana}', "");
Expect(1, 6750, '\P{^Sc=lana}', "");
Expect(0, 6687, '\p{Sc=lana}', "");
Expect(1, 6687, '\p{^Sc=lana}', "");
Expect(1, 6687, '\P{Sc=lana}', "");
Expect(0, 6687, '\P{^Sc=lana}', "");
Expect(1, 6750, '\p{Sc=- lana}', "");
Expect(0, 6750, '\p{^Sc=- lana}', "");
Expect(0, 6750, '\P{Sc=- lana}', "");
Expect(1, 6750, '\P{^Sc=- lana}', "");
Expect(0, 6687, '\p{Sc=- lana}', "");
Expect(1, 6687, '\p{^Sc=- lana}', "");
Expect(1, 6687, '\P{Sc=- lana}', "");
Expect(0, 6687, '\P{^Sc=- lana}', "");
Error('\p{Is_Script=:=	Tai Tham}');
Error('\P{Is_Script=:=	Tai Tham}');
Expect(1, 6750, '\p{Is_Script=taitham}', "");
Expect(0, 6750, '\p{^Is_Script=taitham}', "");
Expect(0, 6750, '\P{Is_Script=taitham}', "");
Expect(1, 6750, '\P{^Is_Script=taitham}', "");
Expect(0, 6687, '\p{Is_Script=taitham}', "");
Expect(1, 6687, '\p{^Is_Script=taitham}', "");
Expect(1, 6687, '\P{Is_Script=taitham}', "");
Expect(0, 6687, '\P{^Is_Script=taitham}', "");
Expect(1, 6750, '\p{Is_Script=	 TAI_Tham}', "");
Expect(0, 6750, '\p{^Is_Script=	 TAI_Tham}', "");
Expect(0, 6750, '\P{Is_Script=	 TAI_Tham}', "");
Expect(1, 6750, '\P{^Is_Script=	 TAI_Tham}', "");
Expect(0, 6687, '\p{Is_Script=	 TAI_Tham}', "");
Expect(1, 6687, '\p{^Is_Script=	 TAI_Tham}', "");
Expect(1, 6687, '\P{Is_Script=	 TAI_Tham}', "");
Expect(0, 6687, '\P{^Is_Script=	 TAI_Tham}', "");
Error('\p{Is_Sc= /a/lana}');
Error('\P{Is_Sc= /a/lana}');
Expect(1, 6750, '\p{Is_Sc=lana}', "");
Expect(0, 6750, '\p{^Is_Sc=lana}', "");
Expect(0, 6750, '\P{Is_Sc=lana}', "");
Expect(1, 6750, '\P{^Is_Sc=lana}', "");
Expect(0, 6687, '\p{Is_Sc=lana}', "");
Expect(1, 6687, '\p{^Is_Sc=lana}', "");
Expect(1, 6687, '\P{Is_Sc=lana}', "");
Expect(0, 6687, '\P{^Is_Sc=lana}', "");
Expect(1, 6750, '\p{Is_Sc=-	Lana}', "");
Expect(0, 6750, '\p{^Is_Sc=-	Lana}', "");
Expect(0, 6750, '\P{Is_Sc=-	Lana}', "");
Expect(1, 6750, '\P{^Is_Sc=-	Lana}', "");
Expect(0, 6687, '\p{Is_Sc=-	Lana}', "");
Expect(1, 6687, '\p{^Is_Sc=-	Lana}', "");
Expect(1, 6687, '\P{Is_Sc=-	Lana}', "");
Expect(0, 6687, '\P{^Is_Sc=-	Lana}', "");
Error('\p{Script=	gurmukhi/a/}');
Error('\P{Script=	gurmukhi/a/}');
Expect(1, 2563, '\p{Script=gurmukhi}', "");
Expect(0, 2563, '\p{^Script=gurmukhi}', "");
Expect(0, 2563, '\P{Script=gurmukhi}', "");
Expect(1, 2563, '\P{^Script=gurmukhi}', "");
Expect(0, 2560, '\p{Script=gurmukhi}', "");
Expect(1, 2560, '\p{^Script=gurmukhi}', "");
Expect(1, 2560, '\P{Script=gurmukhi}', "");
Expect(0, 2560, '\P{^Script=gurmukhi}', "");
Expect(1, 2563, '\p{Script= _gurmukhi}', "");
Expect(0, 2563, '\p{^Script= _gurmukhi}', "");
Expect(0, 2563, '\P{Script= _gurmukhi}', "");
Expect(1, 2563, '\P{^Script= _gurmukhi}', "");
Expect(0, 2560, '\p{Script= _gurmukhi}', "");
Expect(1, 2560, '\p{^Script= _gurmukhi}', "");
Expect(1, 2560, '\P{Script= _gurmukhi}', "");
Expect(0, 2560, '\P{^Script= _gurmukhi}', "");
Error('\p{Sc:	Guru/a/}');
Error('\P{Sc:	Guru/a/}');
Expect(1, 2563, '\p{Sc=guru}', "");
Expect(0, 2563, '\p{^Sc=guru}', "");
Expect(0, 2563, '\P{Sc=guru}', "");
Expect(1, 2563, '\P{^Sc=guru}', "");
Expect(0, 2560, '\p{Sc=guru}', "");
Expect(1, 2560, '\p{^Sc=guru}', "");
Expect(1, 2560, '\P{Sc=guru}', "");
Expect(0, 2560, '\P{^Sc=guru}', "");
Expect(1, 2563, '\p{Sc:  GURU}', "");
Expect(0, 2563, '\p{^Sc:  GURU}', "");
Expect(0, 2563, '\P{Sc:  GURU}', "");
Expect(1, 2563, '\P{^Sc:  GURU}', "");
Expect(0, 2560, '\p{Sc:  GURU}', "");
Expect(1, 2560, '\p{^Sc:  GURU}', "");
Expect(1, 2560, '\P{Sc:  GURU}', "");
Expect(0, 2560, '\P{^Sc:  GURU}', "");
Error('\p{Is_Script=-:=Gurmukhi}');
Error('\P{Is_Script=-:=Gurmukhi}');
Expect(1, 2563, '\p{Is_Script=gurmukhi}', "");
Expect(0, 2563, '\p{^Is_Script=gurmukhi}', "");
Expect(0, 2563, '\P{Is_Script=gurmukhi}', "");
Expect(1, 2563, '\P{^Is_Script=gurmukhi}', "");
Expect(0, 2560, '\p{Is_Script=gurmukhi}', "");
Expect(1, 2560, '\p{^Is_Script=gurmukhi}', "");
Expect(1, 2560, '\P{Is_Script=gurmukhi}', "");
Expect(0, 2560, '\P{^Is_Script=gurmukhi}', "");
Expect(1, 2563, '\p{Is_Script=  GURMUKHI}', "");
Expect(0, 2563, '\p{^Is_Script=  GURMUKHI}', "");
Expect(0, 2563, '\P{Is_Script=  GURMUKHI}', "");
Expect(1, 2563, '\P{^Is_Script=  GURMUKHI}', "");
Expect(0, 2560, '\p{Is_Script=  GURMUKHI}', "");
Expect(1, 2560, '\p{^Is_Script=  GURMUKHI}', "");
Expect(1, 2560, '\P{Is_Script=  GURMUKHI}', "");
Expect(0, 2560, '\P{^Is_Script=  GURMUKHI}', "");
Error('\p{Is_Sc=  guru:=}');
Error('\P{Is_Sc=  guru:=}');
Expect(1, 2563, '\p{Is_Sc=guru}', "");
Expect(0, 2563, '\p{^Is_Sc=guru}', "");
Expect(0, 2563, '\P{Is_Sc=guru}', "");
Expect(1, 2563, '\P{^Is_Sc=guru}', "");
Expect(0, 2560, '\p{Is_Sc=guru}', "");
Expect(1, 2560, '\p{^Is_Sc=guru}', "");
Expect(1, 2560, '\P{Is_Sc=guru}', "");
Expect(0, 2560, '\P{^Is_Sc=guru}', "");
Expect(1, 2563, '\p{Is_Sc=Guru}', "");
Expect(0, 2563, '\p{^Is_Sc=Guru}', "");
Expect(0, 2563, '\P{Is_Sc=Guru}', "");
Expect(1, 2563, '\P{^Is_Sc=Guru}', "");
Expect(0, 2560, '\p{Is_Sc=Guru}', "");
Expect(1, 2560, '\p{^Is_Sc=Guru}', "");
Expect(1, 2560, '\P{Is_Sc=Guru}', "");
Expect(0, 2560, '\P{^Is_Sc=Guru}', "");
Error('\p{Script: -CYPRIOT/a/}');
Error('\P{Script: -CYPRIOT/a/}');
Expect(1, 67589, '\p{Script=cypriot}', "");
Expect(0, 67589, '\p{^Script=cypriot}', "");
Expect(0, 67589, '\P{Script=cypriot}', "");
Expect(1, 67589, '\P{^Script=cypriot}', "");
Expect(0, 67583, '\p{Script=cypriot}', "");
Expect(1, 67583, '\p{^Script=cypriot}', "");
Expect(1, 67583, '\P{Script=cypriot}', "");
Expect(0, 67583, '\P{^Script=cypriot}', "");
Expect(1, 67589, '\p{Script=	-CYPRIOT}', "");
Expect(0, 67589, '\p{^Script=	-CYPRIOT}', "");
Expect(0, 67589, '\P{Script=	-CYPRIOT}', "");
Expect(1, 67589, '\P{^Script=	-CYPRIOT}', "");
Expect(0, 67583, '\p{Script=	-CYPRIOT}', "");
Expect(1, 67583, '\p{^Script=	-CYPRIOT}', "");
Expect(1, 67583, '\P{Script=	-CYPRIOT}', "");
Expect(0, 67583, '\P{^Script=	-CYPRIOT}', "");
Error('\p{Sc=Cprt/a/}');
Error('\P{Sc=Cprt/a/}');
Expect(1, 67589, '\p{Sc=cprt}', "");
Expect(0, 67589, '\p{^Sc=cprt}', "");
Expect(0, 67589, '\P{Sc=cprt}', "");
Expect(1, 67589, '\P{^Sc=cprt}', "");
Expect(0, 67583, '\p{Sc=cprt}', "");
Expect(1, 67583, '\p{^Sc=cprt}', "");
Expect(1, 67583, '\P{Sc=cprt}', "");
Expect(0, 67583, '\P{^Sc=cprt}', "");
Expect(1, 67589, '\p{Sc=		Cprt}', "");
Expect(0, 67589, '\p{^Sc=		Cprt}', "");
Expect(0, 67589, '\P{Sc=		Cprt}', "");
Expect(1, 67589, '\P{^Sc=		Cprt}', "");
Expect(0, 67583, '\p{Sc=		Cprt}', "");
Expect(1, 67583, '\p{^Sc=		Cprt}', "");
Expect(1, 67583, '\P{Sc=		Cprt}', "");
Expect(0, 67583, '\P{^Sc=		Cprt}', "");
Error('\p{Is_Script=--Cypriot/a/}');
Error('\P{Is_Script=--Cypriot/a/}');
Expect(1, 67589, '\p{Is_Script=cypriot}', "");
Expect(0, 67589, '\p{^Is_Script=cypriot}', "");
Expect(0, 67589, '\P{Is_Script=cypriot}', "");
Expect(1, 67589, '\P{^Is_Script=cypriot}', "");
Expect(0, 67583, '\p{Is_Script=cypriot}', "");
Expect(1, 67583, '\p{^Is_Script=cypriot}', "");
Expect(1, 67583, '\P{Is_Script=cypriot}', "");
Expect(0, 67583, '\P{^Is_Script=cypriot}', "");
Expect(1, 67589, '\p{Is_Script=	 CYPRIOT}', "");
Expect(0, 67589, '\p{^Is_Script=	 CYPRIOT}', "");
Expect(0, 67589, '\P{Is_Script=	 CYPRIOT}', "");
Expect(1, 67589, '\P{^Is_Script=	 CYPRIOT}', "");
Expect(0, 67583, '\p{Is_Script=	 CYPRIOT}', "");
Expect(1, 67583, '\p{^Is_Script=	 CYPRIOT}', "");
Expect(1, 67583, '\P{Is_Script=	 CYPRIOT}', "");
Expect(0, 67583, '\P{^Is_Script=	 CYPRIOT}', "");
Error('\p{Is_Sc=-_cprt:=}');
Error('\P{Is_Sc=-_cprt:=}');
Expect(1, 67589, '\p{Is_Sc=cprt}', "");
Expect(0, 67589, '\p{^Is_Sc=cprt}', "");
Expect(0, 67589, '\P{Is_Sc=cprt}', "");
Expect(1, 67589, '\P{^Is_Sc=cprt}', "");
Expect(0, 67583, '\p{Is_Sc=cprt}', "");
Expect(1, 67583, '\p{^Is_Sc=cprt}', "");
Expect(1, 67583, '\P{Is_Sc=cprt}', "");
Expect(0, 67583, '\P{^Is_Sc=cprt}', "");
Expect(1, 67589, '\p{Is_Sc=__Cprt}', "");
Expect(0, 67589, '\p{^Is_Sc=__Cprt}', "");
Expect(0, 67589, '\P{Is_Sc=__Cprt}', "");
Expect(1, 67589, '\P{^Is_Sc=__Cprt}', "");
Expect(0, 67583, '\p{Is_Sc=__Cprt}', "");
Expect(1, 67583, '\p{^Is_Sc=__Cprt}', "");
Expect(1, 67583, '\P{Is_Sc=__Cprt}', "");
Expect(0, 67583, '\P{^Is_Sc=__Cprt}', "");
Error('\p{Script=_/a/HANGUL}');
Error('\P{Script=_/a/HANGUL}');
Expect(1, 4607, '\p{Script=hangul}', "");
Expect(0, 4607, '\p{^Script=hangul}', "");
Expect(0, 4607, '\P{Script=hangul}', "");
Expect(1, 4607, '\P{^Script=hangul}', "");
Expect(0, 4351, '\p{Script=hangul}', "");
Expect(1, 4351, '\p{^Script=hangul}', "");
Expect(1, 4351, '\P{Script=hangul}', "");
Expect(0, 4351, '\P{^Script=hangul}', "");
Expect(1, 4607, '\p{Script=-Hangul}', "");
Expect(0, 4607, '\p{^Script=-Hangul}', "");
Expect(0, 4607, '\P{Script=-Hangul}', "");
Expect(1, 4607, '\P{^Script=-Hangul}', "");
Expect(0, 4351, '\p{Script=-Hangul}', "");
Expect(1, 4351, '\p{^Script=-Hangul}', "");
Expect(1, 4351, '\P{Script=-Hangul}', "");
Expect(0, 4351, '\P{^Script=-Hangul}', "");
Error('\p{Sc:   	hang/a/}');
Error('\P{Sc:   	hang/a/}');
Expect(1, 4607, '\p{Sc=hang}', "");
Expect(0, 4607, '\p{^Sc=hang}', "");
Expect(0, 4607, '\P{Sc=hang}', "");
Expect(1, 4607, '\P{^Sc=hang}', "");
Expect(0, 4351, '\p{Sc=hang}', "");
Expect(1, 4351, '\p{^Sc=hang}', "");
Expect(1, 4351, '\P{Sc=hang}', "");
Expect(0, 4351, '\P{^Sc=hang}', "");
Expect(1, 4607, '\p{Sc: _	HANG}', "");
Expect(0, 4607, '\p{^Sc: _	HANG}', "");
Expect(0, 4607, '\P{Sc: _	HANG}', "");
Expect(1, 4607, '\P{^Sc: _	HANG}', "");
Expect(0, 4351, '\p{Sc: _	HANG}', "");
Expect(1, 4351, '\p{^Sc: _	HANG}', "");
Expect(1, 4351, '\P{Sc: _	HANG}', "");
Expect(0, 4351, '\P{^Sc: _	HANG}', "");
Error('\p{Is_Script:	 HANGUL:=}');
Error('\P{Is_Script:	 HANGUL:=}');
Expect(1, 4607, '\p{Is_Script=hangul}', "");
Expect(0, 4607, '\p{^Is_Script=hangul}', "");
Expect(0, 4607, '\P{Is_Script=hangul}', "");
Expect(1, 4607, '\P{^Is_Script=hangul}', "");
Expect(0, 4351, '\p{Is_Script=hangul}', "");
Expect(1, 4351, '\p{^Is_Script=hangul}', "");
Expect(1, 4351, '\P{Is_Script=hangul}', "");
Expect(0, 4351, '\P{^Is_Script=hangul}', "");
Expect(1, 4607, '\p{Is_Script=_	Hangul}', "");
Expect(0, 4607, '\p{^Is_Script=_	Hangul}', "");
Expect(0, 4607, '\P{Is_Script=_	Hangul}', "");
Expect(1, 4607, '\P{^Is_Script=_	Hangul}', "");
Expect(0, 4351, '\p{Is_Script=_	Hangul}', "");
Expect(1, 4351, '\p{^Is_Script=_	Hangul}', "");
Expect(1, 4351, '\P{Is_Script=_	Hangul}', "");
Expect(0, 4351, '\P{^Is_Script=_	Hangul}', "");
Error('\p{Is_Sc:   /a/	HANG}');
Error('\P{Is_Sc:   /a/	HANG}');
Expect(1, 4607, '\p{Is_Sc=hang}', "");
Expect(0, 4607, '\p{^Is_Sc=hang}', "");
Expect(0, 4607, '\P{Is_Sc=hang}', "");
Expect(1, 4607, '\P{^Is_Sc=hang}', "");
Expect(0, 4351, '\p{Is_Sc=hang}', "");
Expect(1, 4351, '\p{^Is_Sc=hang}', "");
Expect(1, 4351, '\P{Is_Sc=hang}', "");
Expect(0, 4351, '\P{^Is_Sc=hang}', "");
Expect(1, 4607, '\p{Is_Sc=	Hang}', "");
Expect(0, 4607, '\p{^Is_Sc=	Hang}', "");
Expect(0, 4607, '\P{Is_Sc=	Hang}', "");
Expect(1, 4607, '\P{^Is_Sc=	Hang}', "");
Expect(0, 4351, '\p{Is_Sc=	Hang}', "");
Expect(1, 4351, '\p{^Is_Sc=	Hang}', "");
Expect(1, 4351, '\P{Is_Sc=	Hang}', "");
Expect(0, 4351, '\P{^Is_Sc=	Hang}', "");
Error('\p{Script=:=_	UNKNOWN}');
Error('\P{Script=:=_	UNKNOWN}');
Expect(1, 889, '\p{Script=unknown}', "");
Expect(0, 889, '\p{^Script=unknown}', "");
Expect(0, 889, '\P{Script=unknown}', "");
Expect(1, 889, '\P{^Script=unknown}', "");
Expect(0, 887, '\p{Script=unknown}', "");
Expect(1, 887, '\p{^Script=unknown}', "");
Expect(1, 887, '\P{Script=unknown}', "");
Expect(0, 887, '\P{^Script=unknown}', "");
Expect(1, 889, '\p{Script=_	unknown}', "");
Expect(0, 889, '\p{^Script=_	unknown}', "");
Expect(0, 889, '\P{Script=_	unknown}', "");
Expect(1, 889, '\P{^Script=_	unknown}', "");
Expect(0, 887, '\p{Script=_	unknown}', "");
Expect(1, 887, '\p{^Script=_	unknown}', "");
Expect(1, 887, '\P{Script=_	unknown}', "");
Expect(0, 887, '\P{^Script=_	unknown}', "");
Error('\p{Sc= Zzzz:=}');
Error('\P{Sc= Zzzz:=}');
Expect(1, 889, '\p{Sc=zzzz}', "");
Expect(0, 889, '\p{^Sc=zzzz}', "");
Expect(0, 889, '\P{Sc=zzzz}', "");
Expect(1, 889, '\P{^Sc=zzzz}', "");
Expect(0, 887, '\p{Sc=zzzz}', "");
Expect(1, 887, '\p{^Sc=zzzz}', "");
Expect(1, 887, '\P{Sc=zzzz}', "");
Expect(0, 887, '\P{^Sc=zzzz}', "");
Expect(1, 889, '\p{Sc=	ZZZZ}', "");
Expect(0, 889, '\p{^Sc=	ZZZZ}', "");
Expect(0, 889, '\P{Sc=	ZZZZ}', "");
Expect(1, 889, '\P{^Sc=	ZZZZ}', "");
Expect(0, 887, '\p{Sc=	ZZZZ}', "");
Expect(1, 887, '\p{^Sc=	ZZZZ}', "");
Expect(1, 887, '\P{Sc=	ZZZZ}', "");
Expect(0, 887, '\P{^Sc=	ZZZZ}', "");
Error('\p{Is_Script=	/a/UNKNOWN}');
Error('\P{Is_Script=	/a/UNKNOWN}');
Expect(1, 889, '\p{Is_Script=unknown}', "");
Expect(0, 889, '\p{^Is_Script=unknown}', "");
Expect(0, 889, '\P{Is_Script=unknown}', "");
Expect(1, 889, '\P{^Is_Script=unknown}', "");
Expect(0, 887, '\p{Is_Script=unknown}', "");
Expect(1, 887, '\p{^Is_Script=unknown}', "");
Expect(1, 887, '\P{Is_Script=unknown}', "");
Expect(0, 887, '\P{^Is_Script=unknown}', "");
Expect(1, 889, '\p{Is_Script=-_Unknown}', "");
Expect(0, 889, '\p{^Is_Script=-_Unknown}', "");
Expect(0, 889, '\P{Is_Script=-_Unknown}', "");
Expect(1, 889, '\P{^Is_Script=-_Unknown}', "");
Expect(0, 887, '\p{Is_Script=-_Unknown}', "");
Expect(1, 887, '\p{^Is_Script=-_Unknown}', "");
Expect(1, 887, '\P{Is_Script=-_Unknown}', "");
Expect(0, 887, '\P{^Is_Script=-_Unknown}', "");
Error('\p{Is_Sc= ZZZZ/a/}');
Error('\P{Is_Sc= ZZZZ/a/}');
Expect(1, 889, '\p{Is_Sc=zzzz}', "");
Expect(0, 889, '\p{^Is_Sc=zzzz}', "");
Expect(0, 889, '\P{Is_Sc=zzzz}', "");
Expect(1, 889, '\P{^Is_Sc=zzzz}', "");
Expect(0, 887, '\p{Is_Sc=zzzz}', "");
Expect(1, 887, '\p{^Is_Sc=zzzz}', "");
Expect(1, 887, '\P{Is_Sc=zzzz}', "");
Expect(0, 887, '\P{^Is_Sc=zzzz}', "");
Expect(1, 889, '\p{Is_Sc=_Zzzz}', "");
Expect(0, 889, '\p{^Is_Sc=_Zzzz}', "");
Expect(0, 889, '\P{Is_Sc=_Zzzz}', "");
Expect(1, 889, '\P{^Is_Sc=_Zzzz}', "");
Expect(0, 887, '\p{Is_Sc=_Zzzz}', "");
Expect(1, 887, '\p{^Is_Sc=_Zzzz}', "");
Expect(1, 887, '\P{Is_Sc=_Zzzz}', "");
Expect(0, 887, '\P{^Is_Sc=_Zzzz}', "");
Error('\p{Script: /a/-Deseret}');
Error('\P{Script: /a/-Deseret}');
Expect(1, 66639, '\p{Script=deseret}', "");
Expect(0, 66639, '\p{^Script=deseret}', "");
Expect(0, 66639, '\P{Script=deseret}', "");
Expect(1, 66639, '\P{^Script=deseret}', "");
Expect(0, 66559, '\p{Script=deseret}', "");
Expect(1, 66559, '\p{^Script=deseret}', "");
Expect(1, 66559, '\P{Script=deseret}', "");
Expect(0, 66559, '\P{^Script=deseret}', "");
Expect(1, 66639, '\p{Script=	_DESERET}', "");
Expect(0, 66639, '\p{^Script=	_DESERET}', "");
Expect(0, 66639, '\P{Script=	_DESERET}', "");
Expect(1, 66639, '\P{^Script=	_DESERET}', "");
Expect(0, 66559, '\p{Script=	_DESERET}', "");
Expect(1, 66559, '\p{^Script=	_DESERET}', "");
Expect(1, 66559, '\P{Script=	_DESERET}', "");
Expect(0, 66559, '\P{^Script=	_DESERET}', "");
Error('\p{Sc= /a/Dsrt}');
Error('\P{Sc= /a/Dsrt}');
Expect(1, 66639, '\p{Sc=dsrt}', "");
Expect(0, 66639, '\p{^Sc=dsrt}', "");
Expect(0, 66639, '\P{Sc=dsrt}', "");
Expect(1, 66639, '\P{^Sc=dsrt}', "");
Expect(0, 66559, '\p{Sc=dsrt}', "");
Expect(1, 66559, '\p{^Sc=dsrt}', "");
Expect(1, 66559, '\P{Sc=dsrt}', "");
Expect(0, 66559, '\P{^Sc=dsrt}', "");
Expect(1, 66639, '\p{Sc=	_Dsrt}', "");
Expect(0, 66639, '\p{^Sc=	_Dsrt}', "");
Expect(0, 66639, '\P{Sc=	_Dsrt}', "");
Expect(1, 66639, '\P{^Sc=	_Dsrt}', "");
Expect(0, 66559, '\p{Sc=	_Dsrt}', "");
Expect(1, 66559, '\p{^Sc=	_Dsrt}', "");
Expect(1, 66559, '\P{Sc=	_Dsrt}', "");
Expect(0, 66559, '\P{^Sc=	_Dsrt}', "");
Error('\p{Is_Script=  deseret/a/}');
Error('\P{Is_Script=  deseret/a/}');
Expect(1, 66639, '\p{Is_Script=deseret}', "");
Expect(0, 66639, '\p{^Is_Script=deseret}', "");
Expect(0, 66639, '\P{Is_Script=deseret}', "");
Expect(1, 66639, '\P{^Is_Script=deseret}', "");
Expect(0, 66559, '\p{Is_Script=deseret}', "");
Expect(1, 66559, '\p{^Is_Script=deseret}', "");
Expect(1, 66559, '\P{Is_Script=deseret}', "");
Expect(0, 66559, '\P{^Is_Script=deseret}', "");
Expect(1, 66639, '\p{Is_Script= Deseret}', "");
Expect(0, 66639, '\p{^Is_Script= Deseret}', "");
Expect(0, 66639, '\P{Is_Script= Deseret}', "");
Expect(1, 66639, '\P{^Is_Script= Deseret}', "");
Expect(0, 66559, '\p{Is_Script= Deseret}', "");
Expect(1, 66559, '\p{^Is_Script= Deseret}', "");
Expect(1, 66559, '\P{Is_Script= Deseret}', "");
Expect(0, 66559, '\P{^Is_Script= Deseret}', "");
Error('\p{Is_Sc: 	:=Dsrt}');
Error('\P{Is_Sc: 	:=Dsrt}');
Expect(1, 66639, '\p{Is_Sc:	dsrt}', "");
Expect(0, 66639, '\p{^Is_Sc:	dsrt}', "");
Expect(0, 66639, '\P{Is_Sc:	dsrt}', "");
Expect(1, 66639, '\P{^Is_Sc:	dsrt}', "");
Expect(0, 66559, '\p{Is_Sc:	dsrt}', "");
Expect(1, 66559, '\p{^Is_Sc:	dsrt}', "");
Expect(1, 66559, '\P{Is_Sc:	dsrt}', "");
Expect(0, 66559, '\P{^Is_Sc:	dsrt}', "");
Expect(1, 66639, '\p{Is_Sc= _dsrt}', "");
Expect(0, 66639, '\p{^Is_Sc= _dsrt}', "");
Expect(0, 66639, '\P{Is_Sc= _dsrt}', "");
Expect(1, 66639, '\P{^Is_Sc= _dsrt}', "");
Expect(0, 66559, '\p{Is_Sc= _dsrt}', "");
Expect(1, 66559, '\p{^Is_Sc= _dsrt}', "");
Expect(1, 66559, '\P{Is_Sc= _dsrt}', "");
Expect(0, 66559, '\P{^Is_Sc= _dsrt}', "");
Error('\p{Script=:= CUNEIFORM}');
Error('\P{Script=:= CUNEIFORM}');
Expect(1, 74606, '\p{Script=cuneiform}', "");
Expect(0, 74606, '\p{^Script=cuneiform}', "");
Expect(0, 74606, '\P{Script=cuneiform}', "");
Expect(1, 74606, '\P{^Script=cuneiform}', "");
Expect(0, 73727, '\p{Script=cuneiform}', "");
Expect(1, 73727, '\p{^Script=cuneiform}', "");
Expect(1, 73727, '\P{Script=cuneiform}', "");
Expect(0, 73727, '\P{^Script=cuneiform}', "");
Expect(1, 74606, '\p{Script=__CUNEIFORM}', "");
Expect(0, 74606, '\p{^Script=__CUNEIFORM}', "");
Expect(0, 74606, '\P{Script=__CUNEIFORM}', "");
Expect(1, 74606, '\P{^Script=__CUNEIFORM}', "");
Expect(0, 73727, '\p{Script=__CUNEIFORM}', "");
Expect(1, 73727, '\p{^Script=__CUNEIFORM}', "");
Expect(1, 73727, '\P{Script=__CUNEIFORM}', "");
Expect(0, 73727, '\P{^Script=__CUNEIFORM}', "");
Error('\p{Sc=	Xsux/a/}');
Error('\P{Sc=	Xsux/a/}');
Expect(1, 74606, '\p{Sc=xsux}', "");
Expect(0, 74606, '\p{^Sc=xsux}', "");
Expect(0, 74606, '\P{Sc=xsux}', "");
Expect(1, 74606, '\P{^Sc=xsux}', "");
Expect(0, 73727, '\p{Sc=xsux}', "");
Expect(1, 73727, '\p{^Sc=xsux}', "");
Expect(1, 73727, '\P{Sc=xsux}', "");
Expect(0, 73727, '\P{^Sc=xsux}', "");
Expect(1, 74606, '\p{Sc=__xsux}', "");
Expect(0, 74606, '\p{^Sc=__xsux}', "");
Expect(0, 74606, '\P{Sc=__xsux}', "");
Expect(1, 74606, '\P{^Sc=__xsux}', "");
Expect(0, 73727, '\p{Sc=__xsux}', "");
Expect(1, 73727, '\p{^Sc=__xsux}', "");
Expect(1, 73727, '\P{Sc=__xsux}', "");
Expect(0, 73727, '\P{^Sc=__xsux}', "");
Error('\p{Is_Script= 	CUNEIFORM/a/}');
Error('\P{Is_Script= 	CUNEIFORM/a/}');
Expect(1, 74606, '\p{Is_Script=cuneiform}', "");
Expect(0, 74606, '\p{^Is_Script=cuneiform}', "");
Expect(0, 74606, '\P{Is_Script=cuneiform}', "");
Expect(1, 74606, '\P{^Is_Script=cuneiform}', "");
Expect(0, 73727, '\p{Is_Script=cuneiform}', "");
Expect(1, 73727, '\p{^Is_Script=cuneiform}', "");
Expect(1, 73727, '\P{Is_Script=cuneiform}', "");
Expect(0, 73727, '\P{^Is_Script=cuneiform}', "");
Expect(1, 74606, '\p{Is_Script= cuneiform}', "");
Expect(0, 74606, '\p{^Is_Script= cuneiform}', "");
Expect(0, 74606, '\P{Is_Script= cuneiform}', "");
Expect(1, 74606, '\P{^Is_Script= cuneiform}', "");
Expect(0, 73727, '\p{Is_Script= cuneiform}', "");
Expect(1, 73727, '\p{^Is_Script= cuneiform}', "");
Expect(1, 73727, '\P{Is_Script= cuneiform}', "");
Expect(0, 73727, '\P{^Is_Script= cuneiform}', "");
Error('\p{Is_Sc=/a/_-Xsux}');
Error('\P{Is_Sc=/a/_-Xsux}');
Expect(1, 74606, '\p{Is_Sc=xsux}', "");
Expect(0, 74606, '\p{^Is_Sc=xsux}', "");
Expect(0, 74606, '\P{Is_Sc=xsux}', "");
Expect(1, 74606, '\P{^Is_Sc=xsux}', "");
Expect(0, 73727, '\p{Is_Sc=xsux}', "");
Expect(1, 73727, '\p{^Is_Sc=xsux}', "");
Expect(1, 73727, '\P{Is_Sc=xsux}', "");
Expect(0, 73727, '\P{^Is_Sc=xsux}', "");
Expect(1, 74606, '\p{Is_Sc: _Xsux}', "");
Expect(0, 74606, '\p{^Is_Sc: _Xsux}', "");
Expect(0, 74606, '\P{Is_Sc: _Xsux}', "");
Expect(1, 74606, '\P{^Is_Sc: _Xsux}', "");
Expect(0, 73727, '\p{Is_Sc: _Xsux}', "");
Expect(1, 73727, '\p{^Is_Sc: _Xsux}', "");
Expect(1, 73727, '\P{Is_Sc: _Xsux}', "");
Expect(0, 73727, '\P{^Is_Sc: _Xsux}', "");
Error('\p{Script:   -	Inherited/a/}');
Error('\P{Script:   -	Inherited/a/}');
Expect(1, 879, '\p{Script=inherited}', "");
Expect(0, 879, '\p{^Script=inherited}', "");
Expect(0, 879, '\P{Script=inherited}', "");
Expect(1, 879, '\P{^Script=inherited}', "");
Expect(0, 767, '\p{Script=inherited}', "");
Expect(1, 767, '\p{^Script=inherited}', "");
Expect(1, 767, '\P{Script=inherited}', "");
Expect(0, 767, '\P{^Script=inherited}', "");
Expect(1, 879, '\p{Script: inherited}', "");
Expect(0, 879, '\p{^Script: inherited}', "");
Expect(0, 879, '\P{Script: inherited}', "");
Expect(1, 879, '\P{^Script: inherited}', "");
Expect(0, 767, '\p{Script: inherited}', "");
Expect(1, 767, '\p{^Script: inherited}', "");
Expect(1, 767, '\P{Script: inherited}', "");
Expect(0, 767, '\P{^Script: inherited}', "");
Error('\p{Sc=_/a/Zinh}');
Error('\P{Sc=_/a/Zinh}');
Expect(1, 879, '\p{Sc=zinh}', "");
Expect(0, 879, '\p{^Sc=zinh}', "");
Expect(0, 879, '\P{Sc=zinh}', "");
Expect(1, 879, '\P{^Sc=zinh}', "");
Expect(0, 767, '\p{Sc=zinh}', "");
Expect(1, 767, '\p{^Sc=zinh}', "");
Expect(1, 767, '\P{Sc=zinh}', "");
Expect(0, 767, '\P{^Sc=zinh}', "");
Expect(1, 879, '\p{Sc=_-ZINH}', "");
Expect(0, 879, '\p{^Sc=_-ZINH}', "");
Expect(0, 879, '\P{Sc=_-ZINH}', "");
Expect(1, 879, '\P{^Sc=_-ZINH}', "");
Expect(0, 767, '\p{Sc=_-ZINH}', "");
Expect(1, 767, '\p{^Sc=_-ZINH}', "");
Expect(1, 767, '\P{Sc=_-ZINH}', "");
Expect(0, 767, '\P{^Sc=_-ZINH}', "");
Error('\p{Is_Script=	-qaai/a/}');
Error('\P{Is_Script=	-qaai/a/}');
Expect(1, 879, '\p{Is_Script=qaai}', "");
Expect(0, 879, '\p{^Is_Script=qaai}', "");
Expect(0, 879, '\P{Is_Script=qaai}', "");
Expect(1, 879, '\P{^Is_Script=qaai}', "");
Expect(0, 767, '\p{Is_Script=qaai}', "");
Expect(1, 767, '\p{^Is_Script=qaai}', "");
Expect(1, 767, '\P{Is_Script=qaai}', "");
Expect(0, 767, '\P{^Is_Script=qaai}', "");
Expect(1, 879, '\p{Is_Script=-_Qaai}', "");
Expect(0, 879, '\p{^Is_Script=-_Qaai}', "");
Expect(0, 879, '\P{Is_Script=-_Qaai}', "");
Expect(1, 879, '\P{^Is_Script=-_Qaai}', "");
Expect(0, 767, '\p{Is_Script=-_Qaai}', "");
Expect(1, 767, '\p{^Is_Script=-_Qaai}', "");
Expect(1, 767, '\P{Is_Script=-_Qaai}', "");
Expect(0, 767, '\P{^Is_Script=-_Qaai}', "");
Error('\p{Is_Sc=-/a/Inherited}');
Error('\P{Is_Sc=-/a/Inherited}');
Expect(1, 879, '\p{Is_Sc=inherited}', "");
Expect(0, 879, '\p{^Is_Sc=inherited}', "");
Expect(0, 879, '\P{Is_Sc=inherited}', "");
Expect(1, 879, '\P{^Is_Sc=inherited}', "");
Expect(0, 767, '\p{Is_Sc=inherited}', "");
Expect(1, 767, '\p{^Is_Sc=inherited}', "");
Expect(1, 767, '\P{Is_Sc=inherited}', "");
Expect(0, 767, '\P{^Is_Sc=inherited}', "");
Expect(1, 879, '\p{Is_Sc=		Inherited}', "");
Expect(0, 879, '\p{^Is_Sc=		Inherited}', "");
Expect(0, 879, '\P{Is_Sc=		Inherited}', "");
Expect(1, 879, '\P{^Is_Sc=		Inherited}', "");
Expect(0, 767, '\p{Is_Sc=		Inherited}', "");
Expect(1, 767, '\p{^Is_Sc=		Inherited}', "");
Expect(1, 767, '\P{Is_Sc=		Inherited}', "");
Expect(0, 767, '\P{^Is_Sc=		Inherited}', "");
Error('\p{Script=:= kaithi}');
Error('\P{Script=:= kaithi}');
Expect(1, 69825, '\p{Script=kaithi}', "");
Expect(0, 69825, '\p{^Script=kaithi}', "");
Expect(0, 69825, '\P{Script=kaithi}', "");
Expect(1, 69825, '\P{^Script=kaithi}', "");
Expect(0, 69759, '\p{Script=kaithi}', "");
Expect(1, 69759, '\p{^Script=kaithi}', "");
Expect(1, 69759, '\P{Script=kaithi}', "");
Expect(0, 69759, '\P{^Script=kaithi}', "");
Expect(1, 69825, '\p{Script=  Kaithi}', "");
Expect(0, 69825, '\p{^Script=  Kaithi}', "");
Expect(0, 69825, '\P{Script=  Kaithi}', "");
Expect(1, 69825, '\P{^Script=  Kaithi}', "");
Expect(0, 69759, '\p{Script=  Kaithi}', "");
Expect(1, 69759, '\p{^Script=  Kaithi}', "");
Expect(1, 69759, '\P{Script=  Kaithi}', "");
Expect(0, 69759, '\P{^Script=  Kaithi}', "");
Error('\p{Sc= :=Kthi}');
Error('\P{Sc= :=Kthi}');
Expect(1, 69825, '\p{Sc: kthi}', "");
Expect(0, 69825, '\p{^Sc: kthi}', "");
Expect(0, 69825, '\P{Sc: kthi}', "");
Expect(1, 69825, '\P{^Sc: kthi}', "");
Expect(0, 69759, '\p{Sc: kthi}', "");
Expect(1, 69759, '\p{^Sc: kthi}', "");
Expect(1, 69759, '\P{Sc: kthi}', "");
Expect(0, 69759, '\P{^Sc: kthi}', "");
Expect(1, 69825, '\p{Sc=	_Kthi}', "");
Expect(0, 69825, '\p{^Sc=	_Kthi}', "");
Expect(0, 69825, '\P{Sc=	_Kthi}', "");
Expect(1, 69825, '\P{^Sc=	_Kthi}', "");
Expect(0, 69759, '\p{Sc=	_Kthi}', "");
Expect(1, 69759, '\p{^Sc=	_Kthi}', "");
Expect(1, 69759, '\P{Sc=	_Kthi}', "");
Expect(0, 69759, '\P{^Sc=	_Kthi}', "");
Error('\p{Is_Script= :=kaithi}');
Error('\P{Is_Script= :=kaithi}');
Expect(1, 69825, '\p{Is_Script=kaithi}', "");
Expect(0, 69825, '\p{^Is_Script=kaithi}', "");
Expect(0, 69825, '\P{Is_Script=kaithi}', "");
Expect(1, 69825, '\P{^Is_Script=kaithi}', "");
Expect(0, 69759, '\p{Is_Script=kaithi}', "");
Expect(1, 69759, '\p{^Is_Script=kaithi}', "");
Expect(1, 69759, '\P{Is_Script=kaithi}', "");
Expect(0, 69759, '\P{^Is_Script=kaithi}', "");
Expect(1, 69825, '\p{Is_Script:   	_KAITHI}', "");
Expect(0, 69825, '\p{^Is_Script:   	_KAITHI}', "");
Expect(0, 69825, '\P{Is_Script:   	_KAITHI}', "");
Expect(1, 69825, '\P{^Is_Script:   	_KAITHI}', "");
Expect(0, 69759, '\p{Is_Script:   	_KAITHI}', "");
Expect(1, 69759, '\p{^Is_Script:   	_KAITHI}', "");
Expect(1, 69759, '\P{Is_Script:   	_KAITHI}', "");
Expect(0, 69759, '\P{^Is_Script:   	_KAITHI}', "");
Error('\p{Is_Sc=	-Kthi/a/}');
Error('\P{Is_Sc=	-Kthi/a/}');
Expect(1, 69825, '\p{Is_Sc:	kthi}', "");
Expect(0, 69825, '\p{^Is_Sc:	kthi}', "");
Expect(0, 69825, '\P{Is_Sc:	kthi}', "");
Expect(1, 69825, '\P{^Is_Sc:	kthi}', "");
Expect(0, 69759, '\p{Is_Sc:	kthi}', "");
Expect(1, 69759, '\p{^Is_Sc:	kthi}', "");
Expect(1, 69759, '\P{Is_Sc:	kthi}', "");
Expect(0, 69759, '\P{^Is_Sc:	kthi}', "");
Expect(1, 69825, '\p{Is_Sc= 	kthi}', "");
Expect(0, 69825, '\p{^Is_Sc= 	kthi}', "");
Expect(0, 69825, '\P{Is_Sc= 	kthi}', "");
Expect(1, 69825, '\P{^Is_Sc= 	kthi}', "");
Expect(0, 69759, '\p{Is_Sc= 	kthi}', "");
Expect(1, 69759, '\p{^Is_Sc= 	kthi}', "");
Expect(1, 69759, '\P{Is_Sc= 	kthi}', "");
Expect(0, 69759, '\P{^Is_Sc= 	kthi}', "");
Error('\p{Script=Arabic:=}');
Error('\P{Script=Arabic:=}');
Expect(1, 1547, '\p{Script:arabic}', "");
Expect(0, 1547, '\p{^Script:arabic}', "");
Expect(0, 1547, '\P{Script:arabic}', "");
Expect(1, 1547, '\P{^Script:arabic}', "");
Expect(0, 1541, '\p{Script:arabic}', "");
Expect(1, 1541, '\p{^Script:arabic}', "");
Expect(1, 1541, '\P{Script:arabic}', "");
Expect(0, 1541, '\P{^Script:arabic}', "");
Expect(1, 1547, '\p{Script=- arabic}', "");
Expect(0, 1547, '\p{^Script=- arabic}', "");
Expect(0, 1547, '\P{Script=- arabic}', "");
Expect(1, 1547, '\P{^Script=- arabic}', "");
Expect(0, 1541, '\p{Script=- arabic}', "");
Expect(1, 1541, '\p{^Script=- arabic}', "");
Expect(1, 1541, '\P{Script=- arabic}', "");
Expect(0, 1541, '\P{^Script=- arabic}', "");
Error('\p{Sc:  -ARAB:=}');
Error('\P{Sc:  -ARAB:=}');
Expect(1, 1547, '\p{Sc=arab}', "");
Expect(0, 1547, '\p{^Sc=arab}', "");
Expect(0, 1547, '\P{Sc=arab}', "");
Expect(1, 1547, '\P{^Sc=arab}', "");
Expect(0, 1541, '\p{Sc=arab}', "");
Expect(1, 1541, '\p{^Sc=arab}', "");
Expect(1, 1541, '\P{Sc=arab}', "");
Expect(0, 1541, '\P{^Sc=arab}', "");
Expect(1, 1547, '\p{Sc= -Arab}', "");
Expect(0, 1547, '\p{^Sc= -Arab}', "");
Expect(0, 1547, '\P{Sc= -Arab}', "");
Expect(1, 1547, '\P{^Sc= -Arab}', "");
Expect(0, 1541, '\p{Sc= -Arab}', "");
Expect(1, 1541, '\p{^Sc= -Arab}', "");
Expect(1, 1541, '\P{Sc= -Arab}', "");
Expect(0, 1541, '\P{^Sc= -Arab}', "");
Error('\p{Is_Script= /a/ARABIC}');
Error('\P{Is_Script= /a/ARABIC}');
Expect(1, 1547, '\p{Is_Script=arabic}', "");
Expect(0, 1547, '\p{^Is_Script=arabic}', "");
Expect(0, 1547, '\P{Is_Script=arabic}', "");
Expect(1, 1547, '\P{^Is_Script=arabic}', "");
Expect(0, 1541, '\p{Is_Script=arabic}', "");
Expect(1, 1541, '\p{^Is_Script=arabic}', "");
Expect(1, 1541, '\P{Is_Script=arabic}', "");
Expect(0, 1541, '\P{^Is_Script=arabic}', "");
Expect(1, 1547, '\p{Is_Script=-Arabic}', "");
Expect(0, 1547, '\p{^Is_Script=-Arabic}', "");
Expect(0, 1547, '\P{Is_Script=-Arabic}', "");
Expect(1, 1547, '\P{^Is_Script=-Arabic}', "");
Expect(0, 1541, '\p{Is_Script=-Arabic}', "");
Expect(1, 1541, '\p{^Is_Script=-Arabic}', "");
Expect(1, 1541, '\P{Is_Script=-Arabic}', "");
Expect(0, 1541, '\P{^Is_Script=-Arabic}', "");
Error('\p{Is_Sc=_ARAB/a/}');
Error('\P{Is_Sc=_ARAB/a/}');
Expect(1, 1547, '\p{Is_Sc=arab}', "");
Expect(0, 1547, '\p{^Is_Sc=arab}', "");
Expect(0, 1547, '\P{Is_Sc=arab}', "");
Expect(1, 1547, '\P{^Is_Sc=arab}', "");
Expect(0, 1541, '\p{Is_Sc=arab}', "");
Expect(1, 1541, '\p{^Is_Sc=arab}', "");
Expect(1, 1541, '\P{Is_Sc=arab}', "");
Expect(0, 1541, '\P{^Is_Sc=arab}', "");
Expect(1, 1547, '\p{Is_Sc=	arab}', "");
Expect(0, 1547, '\p{^Is_Sc=	arab}', "");
Expect(0, 1547, '\P{Is_Sc=	arab}', "");
Expect(1, 1547, '\P{^Is_Sc=	arab}', "");
Expect(0, 1541, '\p{Is_Sc=	arab}', "");
Expect(1, 1541, '\p{^Is_Sc=	arab}', "");
Expect(1, 1541, '\P{Is_Sc=	arab}', "");
Expect(0, 1541, '\P{^Is_Sc=	arab}', "");
Error('\p{Script=- shavian/a/}');
Error('\P{Script=- shavian/a/}');
Expect(1, 66687, '\p{Script:	shavian}', "");
Expect(0, 66687, '\p{^Script:	shavian}', "");
Expect(0, 66687, '\P{Script:	shavian}', "");
Expect(1, 66687, '\P{^Script:	shavian}', "");
Expect(0, 66639, '\p{Script:	shavian}', "");
Expect(1, 66639, '\p{^Script:	shavian}', "");
Expect(1, 66639, '\P{Script:	shavian}', "");
Expect(0, 66639, '\P{^Script:	shavian}', "");
Expect(1, 66687, '\p{Script=--shavian}', "");
Expect(0, 66687, '\p{^Script=--shavian}', "");
Expect(0, 66687, '\P{Script=--shavian}', "");
Expect(1, 66687, '\P{^Script=--shavian}', "");
Expect(0, 66639, '\p{Script=--shavian}', "");
Expect(1, 66639, '\p{^Script=--shavian}', "");
Expect(1, 66639, '\P{Script=--shavian}', "");
Expect(0, 66639, '\P{^Script=--shavian}', "");
Error('\p{Sc=_	shaw/a/}');
Error('\P{Sc=_	shaw/a/}');
Expect(1, 66687, '\p{Sc=shaw}', "");
Expect(0, 66687, '\p{^Sc=shaw}', "");
Expect(0, 66687, '\P{Sc=shaw}', "");
Expect(1, 66687, '\P{^Sc=shaw}', "");
Expect(0, 66639, '\p{Sc=shaw}', "");
Expect(1, 66639, '\p{^Sc=shaw}', "");
Expect(1, 66639, '\P{Sc=shaw}', "");
Expect(0, 66639, '\P{^Sc=shaw}', "");
Expect(1, 66687, '\p{Sc=-shaw}', "");
Expect(0, 66687, '\p{^Sc=-shaw}', "");
Expect(0, 66687, '\P{Sc=-shaw}', "");
Expect(1, 66687, '\P{^Sc=-shaw}', "");
Expect(0, 66639, '\p{Sc=-shaw}', "");
Expect(1, 66639, '\p{^Sc=-shaw}', "");
Expect(1, 66639, '\P{Sc=-shaw}', "");
Expect(0, 66639, '\P{^Sc=-shaw}', "");
Error('\p{Is_Script=	_Shavian/a/}');
Error('\P{Is_Script=	_Shavian/a/}');
Expect(1, 66687, '\p{Is_Script=shavian}', "");
Expect(0, 66687, '\p{^Is_Script=shavian}', "");
Expect(0, 66687, '\P{Is_Script=shavian}', "");
Expect(1, 66687, '\P{^Is_Script=shavian}', "");
Expect(0, 66639, '\p{Is_Script=shavian}', "");
Expect(1, 66639, '\p{^Is_Script=shavian}', "");
Expect(1, 66639, '\P{Is_Script=shavian}', "");
Expect(0, 66639, '\P{^Is_Script=shavian}', "");
Expect(1, 66687, '\p{Is_Script: --Shavian}', "");
Expect(0, 66687, '\p{^Is_Script: --Shavian}', "");
Expect(0, 66687, '\P{Is_Script: --Shavian}', "");
Expect(1, 66687, '\P{^Is_Script: --Shavian}', "");
Expect(0, 66639, '\p{Is_Script: --Shavian}', "");
Expect(1, 66639, '\p{^Is_Script: --Shavian}', "");
Expect(1, 66639, '\P{Is_Script: --Shavian}', "");
Expect(0, 66639, '\P{^Is_Script: --Shavian}', "");
Error('\p{Is_Sc=_SHAW/a/}');
Error('\P{Is_Sc=_SHAW/a/}');
Expect(1, 66687, '\p{Is_Sc=shaw}', "");
Expect(0, 66687, '\p{^Is_Sc=shaw}', "");
Expect(0, 66687, '\P{Is_Sc=shaw}', "");
Expect(1, 66687, '\P{^Is_Sc=shaw}', "");
Expect(0, 66639, '\p{Is_Sc=shaw}', "");
Expect(1, 66639, '\p{^Is_Sc=shaw}', "");
Expect(1, 66639, '\P{Is_Sc=shaw}', "");
Expect(0, 66639, '\P{^Is_Sc=shaw}', "");
Expect(1, 66687, '\p{Is_Sc=		shaw}', "");
Expect(0, 66687, '\p{^Is_Sc=		shaw}', "");
Expect(0, 66687, '\P{Is_Sc=		shaw}', "");
Expect(1, 66687, '\P{^Is_Sc=		shaw}', "");
Expect(0, 66639, '\p{Is_Sc=		shaw}', "");
Expect(1, 66639, '\p{^Is_Sc=		shaw}', "");
Expect(1, 66639, '\P{Is_Sc=		shaw}', "");
Expect(0, 66639, '\P{^Is_Sc=		shaw}', "");
Error('\p{Script=_/a/Canadian-Aboriginal}');
Error('\P{Script=_/a/Canadian-Aboriginal}');
Expect(1, 5759, '\p{Script=canadianaboriginal}', "");
Expect(0, 5759, '\p{^Script=canadianaboriginal}', "");
Expect(0, 5759, '\P{Script=canadianaboriginal}', "");
Expect(1, 5759, '\P{^Script=canadianaboriginal}', "");
Expect(0, 5119, '\p{Script=canadianaboriginal}', "");
Expect(1, 5119, '\p{^Script=canadianaboriginal}', "");
Expect(1, 5119, '\P{Script=canadianaboriginal}', "");
Expect(0, 5119, '\P{^Script=canadianaboriginal}', "");
Expect(1, 5759, '\p{Script= Canadian_Aboriginal}', "");
Expect(0, 5759, '\p{^Script= Canadian_Aboriginal}', "");
Expect(0, 5759, '\P{Script= Canadian_Aboriginal}', "");
Expect(1, 5759, '\P{^Script= Canadian_Aboriginal}', "");
Expect(0, 5119, '\p{Script= Canadian_Aboriginal}', "");
Expect(1, 5119, '\p{^Script= Canadian_Aboriginal}', "");
Expect(1, 5119, '\P{Script= Canadian_Aboriginal}', "");
Expect(0, 5119, '\P{^Script= Canadian_Aboriginal}', "");
Error('\p{Sc=/a/	_CANS}');
Error('\P{Sc=/a/	_CANS}');
Expect(1, 5759, '\p{Sc=cans}', "");
Expect(0, 5759, '\p{^Sc=cans}', "");
Expect(0, 5759, '\P{Sc=cans}', "");
Expect(1, 5759, '\P{^Sc=cans}', "");
Expect(0, 5119, '\p{Sc=cans}', "");
Expect(1, 5119, '\p{^Sc=cans}', "");
Expect(1, 5119, '\P{Sc=cans}', "");
Expect(0, 5119, '\P{^Sc=cans}', "");
Expect(1, 5759, '\p{Sc=_-cans}', "");
Expect(0, 5759, '\p{^Sc=_-cans}', "");
Expect(0, 5759, '\P{Sc=_-cans}', "");
Expect(1, 5759, '\P{^Sc=_-cans}', "");
Expect(0, 5119, '\p{Sc=_-cans}', "");
Expect(1, 5119, '\p{^Sc=_-cans}', "");
Expect(1, 5119, '\P{Sc=_-cans}', "");
Expect(0, 5119, '\P{^Sc=_-cans}', "");
Error('\p{Is_Script=--Canadian ABORIGINAL:=}');
Error('\P{Is_Script=--Canadian ABORIGINAL:=}');
Expect(1, 5759, '\p{Is_Script=canadianaboriginal}', "");
Expect(0, 5759, '\p{^Is_Script=canadianaboriginal}', "");
Expect(0, 5759, '\P{Is_Script=canadianaboriginal}', "");
Expect(1, 5759, '\P{^Is_Script=canadianaboriginal}', "");
Expect(0, 5119, '\p{Is_Script=canadianaboriginal}', "");
Expect(1, 5119, '\p{^Is_Script=canadianaboriginal}', "");
Expect(1, 5119, '\P{Is_Script=canadianaboriginal}', "");
Expect(0, 5119, '\P{^Is_Script=canadianaboriginal}', "");
Expect(1, 5759, '\p{Is_Script=- Canadian-Aboriginal}', "");
Expect(0, 5759, '\p{^Is_Script=- Canadian-Aboriginal}', "");
Expect(0, 5759, '\P{Is_Script=- Canadian-Aboriginal}', "");
Expect(1, 5759, '\P{^Is_Script=- Canadian-Aboriginal}', "");
Expect(0, 5119, '\p{Is_Script=- Canadian-Aboriginal}', "");
Expect(1, 5119, '\p{^Is_Script=- Canadian-Aboriginal}', "");
Expect(1, 5119, '\P{Is_Script=- Canadian-Aboriginal}', "");
Expect(0, 5119, '\P{^Is_Script=- Canadian-Aboriginal}', "");
Error('\p{Is_Sc= :=cans}');
Error('\P{Is_Sc= :=cans}');
Expect(1, 5759, '\p{Is_Sc=cans}', "");
Expect(0, 5759, '\p{^Is_Sc=cans}', "");
Expect(0, 5759, '\P{Is_Sc=cans}', "");
Expect(1, 5759, '\P{^Is_Sc=cans}', "");
Expect(0, 5119, '\p{Is_Sc=cans}', "");
Expect(1, 5119, '\p{^Is_Sc=cans}', "");
Expect(1, 5119, '\P{Is_Sc=cans}', "");
Expect(0, 5119, '\P{^Is_Sc=cans}', "");
Expect(1, 5759, '\p{Is_Sc=_ Cans}', "");
Expect(0, 5759, '\p{^Is_Sc=_ Cans}', "");
Expect(0, 5759, '\P{Is_Sc=_ Cans}', "");
Expect(1, 5759, '\P{^Is_Sc=_ Cans}', "");
Expect(0, 5119, '\p{Is_Sc=_ Cans}', "");
Expect(1, 5119, '\p{^Is_Sc=_ Cans}', "");
Expect(1, 5119, '\P{Is_Sc=_ Cans}', "");
Expect(0, 5119, '\P{^Is_Sc=_ Cans}', "");
Error('\p{Script= _Old:=South_Arabian}');
Error('\P{Script= _Old:=South_Arabian}');
Expect(1, 68223, '\p{Script=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Script=oldsoutharabian}', "");
Expect(0, 68223, '\P{Script=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Script=oldsoutharabian}', "");
Expect(0, 68191, '\p{Script=oldsoutharabian}', "");
Expect(1, 68191, '\p{^Script=oldsoutharabian}', "");
Expect(1, 68191, '\P{Script=oldsoutharabian}', "");
Expect(0, 68191, '\P{^Script=oldsoutharabian}', "");
Expect(1, 68223, '\p{Script=	 old SOUTH	Arabian}', "");
Expect(0, 68223, '\p{^Script=	 old SOUTH	Arabian}', "");
Expect(0, 68223, '\P{Script=	 old SOUTH	Arabian}', "");
Expect(1, 68223, '\P{^Script=	 old SOUTH	Arabian}', "");
Expect(0, 68191, '\p{Script=	 old SOUTH	Arabian}', "");
Expect(1, 68191, '\p{^Script=	 old SOUTH	Arabian}', "");
Expect(1, 68191, '\P{Script=	 old SOUTH	Arabian}', "");
Expect(0, 68191, '\P{^Script=	 old SOUTH	Arabian}', "");
Error('\p{Sc=__Sarb:=}');
Error('\P{Sc=__Sarb:=}');
Expect(1, 68223, '\p{Sc=sarb}', "");
Expect(0, 68223, '\p{^Sc=sarb}', "");
Expect(0, 68223, '\P{Sc=sarb}', "");
Expect(1, 68223, '\P{^Sc=sarb}', "");
Expect(0, 68191, '\p{Sc=sarb}', "");
Expect(1, 68191, '\p{^Sc=sarb}', "");
Expect(1, 68191, '\P{Sc=sarb}', "");
Expect(0, 68191, '\P{^Sc=sarb}', "");
Expect(1, 68223, '\p{Sc=-SARB}', "");
Expect(0, 68223, '\p{^Sc=-SARB}', "");
Expect(0, 68223, '\P{Sc=-SARB}', "");
Expect(1, 68223, '\P{^Sc=-SARB}', "");
Expect(0, 68191, '\p{Sc=-SARB}', "");
Expect(1, 68191, '\p{^Sc=-SARB}', "");
Expect(1, 68191, '\P{Sc=-SARB}', "");
Expect(0, 68191, '\P{^Sc=-SARB}', "");
Error('\p{Is_Script=-	OLD_South_Arabian:=}');
Error('\P{Is_Script=-	OLD_South_Arabian:=}');
Expect(1, 68223, '\p{Is_Script=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Is_Script=oldsoutharabian}', "");
Expect(0, 68223, '\P{Is_Script=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Is_Script=oldsoutharabian}', "");
Expect(0, 68191, '\p{Is_Script=oldsoutharabian}', "");
Expect(1, 68191, '\p{^Is_Script=oldsoutharabian}', "");
Expect(1, 68191, '\P{Is_Script=oldsoutharabian}', "");
Expect(0, 68191, '\P{^Is_Script=oldsoutharabian}', "");
Expect(1, 68223, '\p{Is_Script= Old_south	arabian}', "");
Expect(0, 68223, '\p{^Is_Script= Old_south	arabian}', "");
Expect(0, 68223, '\P{Is_Script= Old_south	arabian}', "");
Expect(1, 68223, '\P{^Is_Script= Old_south	arabian}', "");
Expect(0, 68191, '\p{Is_Script= Old_south	arabian}', "");
Expect(1, 68191, '\p{^Is_Script= Old_south	arabian}', "");
Expect(1, 68191, '\P{Is_Script= Old_south	arabian}', "");
Expect(0, 68191, '\P{^Is_Script= Old_south	arabian}', "");
Error('\p{Is_Sc=/a/SARB}');
Error('\P{Is_Sc=/a/SARB}');
Expect(1, 68223, '\p{Is_Sc=sarb}', "");
Expect(0, 68223, '\p{^Is_Sc=sarb}', "");
Expect(0, 68223, '\P{Is_Sc=sarb}', "");
Expect(1, 68223, '\P{^Is_Sc=sarb}', "");
Expect(0, 68191, '\p{Is_Sc=sarb}', "");
Expect(1, 68191, '\p{^Is_Sc=sarb}', "");
Expect(1, 68191, '\P{Is_Sc=sarb}', "");
Expect(0, 68191, '\P{^Is_Sc=sarb}', "");
Expect(1, 68223, '\p{Is_Sc= Sarb}', "");
Expect(0, 68223, '\p{^Is_Sc= Sarb}', "");
Expect(0, 68223, '\P{Is_Sc= Sarb}', "");
Expect(1, 68223, '\P{^Is_Sc= Sarb}', "");
Expect(0, 68191, '\p{Is_Sc= Sarb}', "");
Expect(1, 68191, '\p{^Is_Sc= Sarb}', "");
Expect(1, 68191, '\P{Is_Sc= Sarb}', "");
Expect(0, 68191, '\P{^Is_Sc= Sarb}', "");
Error('\p{Script=	lydian:=}');
Error('\P{Script=	lydian:=}');
Expect(1, 67897, '\p{Script=lydian}', "");
Expect(0, 67897, '\p{^Script=lydian}', "");
Expect(0, 67897, '\P{Script=lydian}', "");
Expect(1, 67897, '\P{^Script=lydian}', "");
Expect(0, 67871, '\p{Script=lydian}', "");
Expect(1, 67871, '\p{^Script=lydian}', "");
Expect(1, 67871, '\P{Script=lydian}', "");
Expect(0, 67871, '\P{^Script=lydian}', "");
Expect(1, 67897, '\p{Script=	-Lydian}', "");
Expect(0, 67897, '\p{^Script=	-Lydian}', "");
Expect(0, 67897, '\P{Script=	-Lydian}', "");
Expect(1, 67897, '\P{^Script=	-Lydian}', "");
Expect(0, 67871, '\p{Script=	-Lydian}', "");
Expect(1, 67871, '\p{^Script=	-Lydian}', "");
Expect(1, 67871, '\P{Script=	-Lydian}', "");
Expect(0, 67871, '\P{^Script=	-Lydian}', "");
Error('\p{Sc=_/a/lydi}');
Error('\P{Sc=_/a/lydi}');
Expect(1, 67897, '\p{Sc=lydi}', "");
Expect(0, 67897, '\p{^Sc=lydi}', "");
Expect(0, 67897, '\P{Sc=lydi}', "");
Expect(1, 67897, '\P{^Sc=lydi}', "");
Expect(0, 67871, '\p{Sc=lydi}', "");
Expect(1, 67871, '\p{^Sc=lydi}', "");
Expect(1, 67871, '\P{Sc=lydi}', "");
Expect(0, 67871, '\P{^Sc=lydi}', "");
Expect(1, 67897, '\p{Sc=_Lydi}', "");
Expect(0, 67897, '\p{^Sc=_Lydi}', "");
Expect(0, 67897, '\P{Sc=_Lydi}', "");
Expect(1, 67897, '\P{^Sc=_Lydi}', "");
Expect(0, 67871, '\p{Sc=_Lydi}', "");
Expect(1, 67871, '\p{^Sc=_Lydi}', "");
Expect(1, 67871, '\P{Sc=_Lydi}', "");
Expect(0, 67871, '\P{^Sc=_Lydi}', "");
Error('\p{Is_Script=_/a/Lydian}');
Error('\P{Is_Script=_/a/Lydian}');
Expect(1, 67897, '\p{Is_Script=lydian}', "");
Expect(0, 67897, '\p{^Is_Script=lydian}', "");
Expect(0, 67897, '\P{Is_Script=lydian}', "");
Expect(1, 67897, '\P{^Is_Script=lydian}', "");
Expect(0, 67871, '\p{Is_Script=lydian}', "");
Expect(1, 67871, '\p{^Is_Script=lydian}', "");
Expect(1, 67871, '\P{Is_Script=lydian}', "");
Expect(0, 67871, '\P{^Is_Script=lydian}', "");
Expect(1, 67897, '\p{Is_Script=	_Lydian}', "");
Expect(0, 67897, '\p{^Is_Script=	_Lydian}', "");
Expect(0, 67897, '\P{Is_Script=	_Lydian}', "");
Expect(1, 67897, '\P{^Is_Script=	_Lydian}', "");
Expect(0, 67871, '\p{Is_Script=	_Lydian}', "");
Expect(1, 67871, '\p{^Is_Script=	_Lydian}', "");
Expect(1, 67871, '\P{Is_Script=	_Lydian}', "");
Expect(0, 67871, '\P{^Is_Script=	_Lydian}', "");
Error('\p{Is_Sc= :=Lydi}');
Error('\P{Is_Sc= :=Lydi}');
Expect(1, 67897, '\p{Is_Sc=lydi}', "");
Expect(0, 67897, '\p{^Is_Sc=lydi}', "");
Expect(0, 67897, '\P{Is_Sc=lydi}', "");
Expect(1, 67897, '\P{^Is_Sc=lydi}', "");
Expect(0, 67871, '\p{Is_Sc=lydi}', "");
Expect(1, 67871, '\p{^Is_Sc=lydi}', "");
Expect(1, 67871, '\P{Is_Sc=lydi}', "");
Expect(0, 67871, '\P{^Is_Sc=lydi}', "");
Expect(1, 67897, '\p{Is_Sc=-	Lydi}', "");
Expect(0, 67897, '\p{^Is_Sc=-	Lydi}', "");
Expect(0, 67897, '\P{Is_Sc=-	Lydi}', "");
Expect(1, 67897, '\P{^Is_Sc=-	Lydi}', "");
Expect(0, 67871, '\p{Is_Sc=-	Lydi}', "");
Expect(1, 67871, '\p{^Is_Sc=-	Lydi}', "");
Expect(1, 67871, '\P{Is_Sc=-	Lydi}', "");
Expect(0, 67871, '\P{^Is_Sc=-	Lydi}', "");
Error('\p{Script=/a/	MONGOLIAN}');
Error('\P{Script=/a/	MONGOLIAN}');
Expect(1, 6145, '\p{Script:   mongolian}', "");
Expect(0, 6145, '\p{^Script:   mongolian}', "");
Expect(0, 6145, '\P{Script:   mongolian}', "");
Expect(1, 6145, '\P{^Script:   mongolian}', "");
Expect(0, 6143, '\p{Script:   mongolian}', "");
Expect(1, 6143, '\p{^Script:   mongolian}', "");
Expect(1, 6143, '\P{Script:   mongolian}', "");
Expect(0, 6143, '\P{^Script:   mongolian}', "");
Expect(1, 6145, '\p{Script=- Mongolian}', "");
Expect(0, 6145, '\p{^Script=- Mongolian}', "");
Expect(0, 6145, '\P{Script=- Mongolian}', "");
Expect(1, 6145, '\P{^Script=- Mongolian}', "");
Expect(0, 6143, '\p{Script=- Mongolian}', "");
Expect(1, 6143, '\p{^Script=- Mongolian}', "");
Expect(1, 6143, '\P{Script=- Mongolian}', "");
Expect(0, 6143, '\P{^Script=- Mongolian}', "");
Error('\p{Sc=:=-_Mong}');
Error('\P{Sc=:=-_Mong}');
Expect(1, 6145, '\p{Sc=mong}', "");
Expect(0, 6145, '\p{^Sc=mong}', "");
Expect(0, 6145, '\P{Sc=mong}', "");
Expect(1, 6145, '\P{^Sc=mong}', "");
Expect(0, 6143, '\p{Sc=mong}', "");
Expect(1, 6143, '\p{^Sc=mong}', "");
Expect(1, 6143, '\P{Sc=mong}', "");
Expect(0, 6143, '\P{^Sc=mong}', "");
Expect(1, 6145, '\p{Sc:		-mong}', "");
Expect(0, 6145, '\p{^Sc:		-mong}', "");
Expect(0, 6145, '\P{Sc:		-mong}', "");
Expect(1, 6145, '\P{^Sc:		-mong}', "");
Expect(0, 6143, '\p{Sc:		-mong}', "");
Expect(1, 6143, '\p{^Sc:		-mong}', "");
Expect(1, 6143, '\P{Sc:		-mong}', "");
Expect(0, 6143, '\P{^Sc:		-mong}', "");
Error('\p{Is_Script=:=MONGOLIAN}');
Error('\P{Is_Script=:=MONGOLIAN}');
Expect(1, 6145, '\p{Is_Script=mongolian}', "");
Expect(0, 6145, '\p{^Is_Script=mongolian}', "");
Expect(0, 6145, '\P{Is_Script=mongolian}', "");
Expect(1, 6145, '\P{^Is_Script=mongolian}', "");
Expect(0, 6143, '\p{Is_Script=mongolian}', "");
Expect(1, 6143, '\p{^Is_Script=mongolian}', "");
Expect(1, 6143, '\P{Is_Script=mongolian}', "");
Expect(0, 6143, '\P{^Is_Script=mongolian}', "");
Expect(1, 6145, '\p{Is_Script=-MONGOLIAN}', "");
Expect(0, 6145, '\p{^Is_Script=-MONGOLIAN}', "");
Expect(0, 6145, '\P{Is_Script=-MONGOLIAN}', "");
Expect(1, 6145, '\P{^Is_Script=-MONGOLIAN}', "");
Expect(0, 6143, '\p{Is_Script=-MONGOLIAN}', "");
Expect(1, 6143, '\p{^Is_Script=-MONGOLIAN}', "");
Expect(1, 6143, '\P{Is_Script=-MONGOLIAN}', "");
Expect(0, 6143, '\P{^Is_Script=-MONGOLIAN}', "");
Error('\p{Is_Sc: 	:=MONG}');
Error('\P{Is_Sc: 	:=MONG}');
Expect(1, 6145, '\p{Is_Sc=mong}', "");
Expect(0, 6145, '\p{^Is_Sc=mong}', "");
Expect(0, 6145, '\P{Is_Sc=mong}', "");
Expect(1, 6145, '\P{^Is_Sc=mong}', "");
Expect(0, 6143, '\p{Is_Sc=mong}', "");
Expect(1, 6143, '\p{^Is_Sc=mong}', "");
Expect(1, 6143, '\P{Is_Sc=mong}', "");
Expect(0, 6143, '\P{^Is_Sc=mong}', "");
Expect(1, 6145, '\p{Is_Sc=	_MONG}', "");
Expect(0, 6145, '\p{^Is_Sc=	_MONG}', "");
Expect(0, 6145, '\P{Is_Sc=	_MONG}', "");
Expect(1, 6145, '\P{^Is_Sc=	_MONG}', "");
Expect(0, 6143, '\p{Is_Sc=	_MONG}', "");
Expect(1, 6143, '\p{^Is_Sc=	_MONG}', "");
Expect(1, 6143, '\P{Is_Sc=	_MONG}', "");
Expect(0, 6143, '\P{^Is_Sc=	_MONG}', "");
Error('\p{Script=__Lao:=}');
Error('\P{Script=__Lao:=}');
Expect(1, 3714, '\p{Script=lao}', "");
Expect(0, 3714, '\p{^Script=lao}', "");
Expect(0, 3714, '\P{Script=lao}', "");
Expect(1, 3714, '\P{^Script=lao}', "");
Expect(0, 3712, '\p{Script=lao}', "");
Expect(1, 3712, '\p{^Script=lao}', "");
Expect(1, 3712, '\P{Script=lao}', "");
Expect(0, 3712, '\P{^Script=lao}', "");
Expect(1, 3714, '\p{Script=--LAO}', "");
Expect(0, 3714, '\p{^Script=--LAO}', "");
Expect(0, 3714, '\P{Script=--LAO}', "");
Expect(1, 3714, '\P{^Script=--LAO}', "");
Expect(0, 3712, '\p{Script=--LAO}', "");
Expect(1, 3712, '\p{^Script=--LAO}', "");
Expect(1, 3712, '\P{Script=--LAO}', "");
Expect(0, 3712, '\P{^Script=--LAO}', "");
Error('\p{Sc=/a/--Laoo}');
Error('\P{Sc=/a/--Laoo}');
Expect(1, 3714, '\p{Sc=laoo}', "");
Expect(0, 3714, '\p{^Sc=laoo}', "");
Expect(0, 3714, '\P{Sc=laoo}', "");
Expect(1, 3714, '\P{^Sc=laoo}', "");
Expect(0, 3712, '\p{Sc=laoo}', "");
Expect(1, 3712, '\p{^Sc=laoo}', "");
Expect(1, 3712, '\P{Sc=laoo}', "");
Expect(0, 3712, '\P{^Sc=laoo}', "");
Expect(1, 3714, '\p{Sc=__Laoo}', "");
Expect(0, 3714, '\p{^Sc=__Laoo}', "");
Expect(0, 3714, '\P{Sc=__Laoo}', "");
Expect(1, 3714, '\P{^Sc=__Laoo}', "");
Expect(0, 3712, '\p{Sc=__Laoo}', "");
Expect(1, 3712, '\p{^Sc=__Laoo}', "");
Expect(1, 3712, '\P{Sc=__Laoo}', "");
Expect(0, 3712, '\P{^Sc=__Laoo}', "");
Error('\p{Is_Script=-_Lao:=}');
Error('\P{Is_Script=-_Lao:=}');
Expect(1, 3714, '\p{Is_Script=lao}', "");
Expect(0, 3714, '\p{^Is_Script=lao}', "");
Expect(0, 3714, '\P{Is_Script=lao}', "");
Expect(1, 3714, '\P{^Is_Script=lao}', "");
Expect(0, 3712, '\p{Is_Script=lao}', "");
Expect(1, 3712, '\p{^Is_Script=lao}', "");
Expect(1, 3712, '\P{Is_Script=lao}', "");
Expect(0, 3712, '\P{^Is_Script=lao}', "");
Expect(1, 3714, '\p{Is_Script=	-lao}', "");
Expect(0, 3714, '\p{^Is_Script=	-lao}', "");
Expect(0, 3714, '\P{Is_Script=	-lao}', "");
Expect(1, 3714, '\P{^Is_Script=	-lao}', "");
Expect(0, 3712, '\p{Is_Script=	-lao}', "");
Expect(1, 3712, '\p{^Is_Script=	-lao}', "");
Expect(1, 3712, '\P{Is_Script=	-lao}', "");
Expect(0, 3712, '\P{^Is_Script=	-lao}', "");
Error('\p{Is_Sc=/a/_ laoo}');
Error('\P{Is_Sc=/a/_ laoo}');
Expect(1, 3714, '\p{Is_Sc=laoo}', "");
Expect(0, 3714, '\p{^Is_Sc=laoo}', "");
Expect(0, 3714, '\P{Is_Sc=laoo}', "");
Expect(1, 3714, '\P{^Is_Sc=laoo}', "");
Expect(0, 3712, '\p{Is_Sc=laoo}', "");
Expect(1, 3712, '\p{^Is_Sc=laoo}', "");
Expect(1, 3712, '\P{Is_Sc=laoo}', "");
Expect(0, 3712, '\P{^Is_Sc=laoo}', "");
Expect(1, 3714, '\p{Is_Sc= -Laoo}', "");
Expect(0, 3714, '\p{^Is_Sc= -Laoo}', "");
Expect(0, 3714, '\P{Is_Sc= -Laoo}', "");
Expect(1, 3714, '\P{^Is_Sc= -Laoo}', "");
Expect(0, 3712, '\p{Is_Sc= -Laoo}', "");
Expect(1, 3712, '\p{^Is_Sc= -Laoo}', "");
Expect(1, 3712, '\P{Is_Sc= -Laoo}', "");
Expect(0, 3712, '\P{^Is_Sc= -Laoo}', "");
Error('\p{Script=/a/  CYRILLIC}');
Error('\P{Script=/a/  CYRILLIC}');
Expect(1, 1156, '\p{Script=cyrillic}', "");
Expect(0, 1156, '\p{^Script=cyrillic}', "");
Expect(0, 1156, '\P{Script=cyrillic}', "");
Expect(1, 1156, '\P{^Script=cyrillic}', "");
Expect(0, 1023, '\p{Script=cyrillic}', "");
Expect(1, 1023, '\p{^Script=cyrillic}', "");
Expect(1, 1023, '\P{Script=cyrillic}', "");
Expect(0, 1023, '\P{^Script=cyrillic}', "");
Expect(1, 1156, '\p{Script= 	cyrillic}', "");
Expect(0, 1156, '\p{^Script= 	cyrillic}', "");
Expect(0, 1156, '\P{Script= 	cyrillic}', "");
Expect(1, 1156, '\P{^Script= 	cyrillic}', "");
Expect(0, 1023, '\p{Script= 	cyrillic}', "");
Expect(1, 1023, '\p{^Script= 	cyrillic}', "");
Expect(1, 1023, '\P{Script= 	cyrillic}', "");
Expect(0, 1023, '\P{^Script= 	cyrillic}', "");
Error('\p{Sc:	 Cyrl:=}');
Error('\P{Sc:	 Cyrl:=}');
Expect(1, 1156, '\p{Sc=cyrl}', "");
Expect(0, 1156, '\p{^Sc=cyrl}', "");
Expect(0, 1156, '\P{Sc=cyrl}', "");
Expect(1, 1156, '\P{^Sc=cyrl}', "");
Expect(0, 1023, '\p{Sc=cyrl}', "");
Expect(1, 1023, '\p{^Sc=cyrl}', "");
Expect(1, 1023, '\P{Sc=cyrl}', "");
Expect(0, 1023, '\P{^Sc=cyrl}', "");
Expect(1, 1156, '\p{Sc= _Cyrl}', "");
Expect(0, 1156, '\p{^Sc= _Cyrl}', "");
Expect(0, 1156, '\P{Sc= _Cyrl}', "");
Expect(1, 1156, '\P{^Sc= _Cyrl}', "");
Expect(0, 1023, '\p{Sc= _Cyrl}', "");
Expect(1, 1023, '\p{^Sc= _Cyrl}', "");
Expect(1, 1023, '\P{Sc= _Cyrl}', "");
Expect(0, 1023, '\P{^Sc= _Cyrl}', "");
Error('\p{Is_Script=_	Cyrillic:=}');
Error('\P{Is_Script=_	Cyrillic:=}');
Expect(1, 1156, '\p{Is_Script=cyrillic}', "");
Expect(0, 1156, '\p{^Is_Script=cyrillic}', "");
Expect(0, 1156, '\P{Is_Script=cyrillic}', "");
Expect(1, 1156, '\P{^Is_Script=cyrillic}', "");
Expect(0, 1023, '\p{Is_Script=cyrillic}', "");
Expect(1, 1023, '\p{^Is_Script=cyrillic}', "");
Expect(1, 1023, '\P{Is_Script=cyrillic}', "");
Expect(0, 1023, '\P{^Is_Script=cyrillic}', "");
Expect(1, 1156, '\p{Is_Script=-Cyrillic}', "");
Expect(0, 1156, '\p{^Is_Script=-Cyrillic}', "");
Expect(0, 1156, '\P{Is_Script=-Cyrillic}', "");
Expect(1, 1156, '\P{^Is_Script=-Cyrillic}', "");
Expect(0, 1023, '\p{Is_Script=-Cyrillic}', "");
Expect(1, 1023, '\p{^Is_Script=-Cyrillic}', "");
Expect(1, 1023, '\P{Is_Script=-Cyrillic}', "");
Expect(0, 1023, '\P{^Is_Script=-Cyrillic}', "");
Error('\p{Is_Sc=/a/ 	Cyrl}');
Error('\P{Is_Sc=/a/ 	Cyrl}');
Expect(1, 1156, '\p{Is_Sc=cyrl}', "");
Expect(0, 1156, '\p{^Is_Sc=cyrl}', "");
Expect(0, 1156, '\P{Is_Sc=cyrl}', "");
Expect(1, 1156, '\P{^Is_Sc=cyrl}', "");
Expect(0, 1023, '\p{Is_Sc=cyrl}', "");
Expect(1, 1023, '\p{^Is_Sc=cyrl}', "");
Expect(1, 1023, '\P{Is_Sc=cyrl}', "");
Expect(0, 1023, '\P{^Is_Sc=cyrl}', "");
Expect(1, 1156, '\p{Is_Sc=		cyrl}', "");
Expect(0, 1156, '\p{^Is_Sc=		cyrl}', "");
Expect(0, 1156, '\P{Is_Sc=		cyrl}', "");
Expect(1, 1156, '\P{^Is_Sc=		cyrl}', "");
Expect(0, 1023, '\p{Is_Sc=		cyrl}', "");
Expect(1, 1023, '\p{^Is_Sc=		cyrl}', "");
Expect(1, 1023, '\P{Is_Sc=		cyrl}', "");
Expect(0, 1023, '\P{^Is_Sc=		cyrl}', "");
Error('\p{Script=/a/hiragana}');
Error('\P{Script=/a/hiragana}');
Expect(1, 12438, '\p{Script=hiragana}', "");
Expect(0, 12438, '\p{^Script=hiragana}', "");
Expect(0, 12438, '\P{Script=hiragana}', "");
Expect(1, 12438, '\P{^Script=hiragana}', "");
Expect(0, 12352, '\p{Script=hiragana}', "");
Expect(1, 12352, '\p{^Script=hiragana}', "");
Expect(1, 12352, '\P{Script=hiragana}', "");
Expect(0, 12352, '\P{^Script=hiragana}', "");
Expect(1, 12438, '\p{Script:   	Hiragana}', "");
Expect(0, 12438, '\p{^Script:   	Hiragana}', "");
Expect(0, 12438, '\P{Script:   	Hiragana}', "");
Expect(1, 12438, '\P{^Script:   	Hiragana}', "");
Expect(0, 12352, '\p{Script:   	Hiragana}', "");
Expect(1, 12352, '\p{^Script:   	Hiragana}', "");
Expect(1, 12352, '\P{Script:   	Hiragana}', "");
Expect(0, 12352, '\P{^Script:   	Hiragana}', "");
Error('\p{Sc=	Hira:=}');
Error('\P{Sc=	Hira:=}');
Expect(1, 12438, '\p{Sc=hira}', "");
Expect(0, 12438, '\p{^Sc=hira}', "");
Expect(0, 12438, '\P{Sc=hira}', "");
Expect(1, 12438, '\P{^Sc=hira}', "");
Expect(0, 12352, '\p{Sc=hira}', "");
Expect(1, 12352, '\p{^Sc=hira}', "");
Expect(1, 12352, '\P{Sc=hira}', "");
Expect(0, 12352, '\P{^Sc=hira}', "");
Expect(1, 12438, '\p{Sc: _hira}', "");
Expect(0, 12438, '\p{^Sc: _hira}', "");
Expect(0, 12438, '\P{Sc: _hira}', "");
Expect(1, 12438, '\P{^Sc: _hira}', "");
Expect(0, 12352, '\p{Sc: _hira}', "");
Expect(1, 12352, '\p{^Sc: _hira}', "");
Expect(1, 12352, '\P{Sc: _hira}', "");
Expect(0, 12352, '\P{^Sc: _hira}', "");
Error('\p{Is_Script=_/a/Hiragana}');
Error('\P{Is_Script=_/a/Hiragana}');
Expect(1, 12438, '\p{Is_Script=hiragana}', "");
Expect(0, 12438, '\p{^Is_Script=hiragana}', "");
Expect(0, 12438, '\P{Is_Script=hiragana}', "");
Expect(1, 12438, '\P{^Is_Script=hiragana}', "");
Expect(0, 12352, '\p{Is_Script=hiragana}', "");
Expect(1, 12352, '\p{^Is_Script=hiragana}', "");
Expect(1, 12352, '\P{Is_Script=hiragana}', "");
Expect(0, 12352, '\P{^Is_Script=hiragana}', "");
Expect(1, 12438, '\p{Is_Script=-	Hiragana}', "");
Expect(0, 12438, '\p{^Is_Script=-	Hiragana}', "");
Expect(0, 12438, '\P{Is_Script=-	Hiragana}', "");
Expect(1, 12438, '\P{^Is_Script=-	Hiragana}', "");
Expect(0, 12352, '\p{Is_Script=-	Hiragana}', "");
Expect(1, 12352, '\p{^Is_Script=-	Hiragana}', "");
Expect(1, 12352, '\P{Is_Script=-	Hiragana}', "");
Expect(0, 12352, '\P{^Is_Script=-	Hiragana}', "");
Error('\p{Is_Sc=-:=Hira}');
Error('\P{Is_Sc=-:=Hira}');
Expect(1, 12438, '\p{Is_Sc=hira}', "");
Expect(0, 12438, '\p{^Is_Sc=hira}', "");
Expect(0, 12438, '\P{Is_Sc=hira}', "");
Expect(1, 12438, '\P{^Is_Sc=hira}', "");
Expect(0, 12352, '\p{Is_Sc=hira}', "");
Expect(1, 12352, '\p{^Is_Sc=hira}', "");
Expect(1, 12352, '\P{Is_Sc=hira}', "");
Expect(0, 12352, '\P{^Is_Sc=hira}', "");
Expect(1, 12438, '\p{Is_Sc=		Hira}', "");
Expect(0, 12438, '\p{^Is_Sc=		Hira}', "");
Expect(0, 12438, '\P{Is_Sc=		Hira}', "");
Expect(1, 12438, '\P{^Is_Sc=		Hira}', "");
Expect(0, 12352, '\p{Is_Sc=		Hira}', "");
Expect(1, 12352, '\p{^Is_Sc=		Hira}', "");
Expect(1, 12352, '\P{Is_Sc=		Hira}', "");
Expect(0, 12352, '\P{^Is_Sc=		Hira}', "");
Error('\p{Script= /a/Bengali}');
Error('\P{Script= /a/Bengali}');
Expect(1, 2435, '\p{Script=bengali}', "");
Expect(0, 2435, '\p{^Script=bengali}', "");
Expect(0, 2435, '\P{Script=bengali}', "");
Expect(1, 2435, '\P{^Script=bengali}', "");
Expect(0, 2432, '\p{Script=bengali}', "");
Expect(1, 2432, '\p{^Script=bengali}', "");
Expect(1, 2432, '\P{Script=bengali}', "");
Expect(0, 2432, '\P{^Script=bengali}', "");
Expect(1, 2435, '\p{Script=Bengali}', "");
Expect(0, 2435, '\p{^Script=Bengali}', "");
Expect(0, 2435, '\P{Script=Bengali}', "");
Expect(1, 2435, '\P{^Script=Bengali}', "");
Expect(0, 2432, '\p{Script=Bengali}', "");
Expect(1, 2432, '\p{^Script=Bengali}', "");
Expect(1, 2432, '\P{Script=Bengali}', "");
Expect(0, 2432, '\P{^Script=Bengali}', "");
Error('\p{Sc=-_BENG/a/}');
Error('\P{Sc=-_BENG/a/}');
Expect(1, 2435, '\p{Sc=beng}', "");
Expect(0, 2435, '\p{^Sc=beng}', "");
Expect(0, 2435, '\P{Sc=beng}', "");
Expect(1, 2435, '\P{^Sc=beng}', "");
Expect(0, 2432, '\p{Sc=beng}', "");
Expect(1, 2432, '\p{^Sc=beng}', "");
Expect(1, 2432, '\P{Sc=beng}', "");
Expect(0, 2432, '\P{^Sc=beng}', "");
Expect(1, 2435, '\p{Sc=__Beng}', "");
Expect(0, 2435, '\p{^Sc=__Beng}', "");
Expect(0, 2435, '\P{Sc=__Beng}', "");
Expect(1, 2435, '\P{^Sc=__Beng}', "");
Expect(0, 2432, '\p{Sc=__Beng}', "");
Expect(1, 2432, '\p{^Sc=__Beng}', "");
Expect(1, 2432, '\P{Sc=__Beng}', "");
Expect(0, 2432, '\P{^Sc=__Beng}', "");
Error('\p{Is_Script= /a/BENGALI}');
Error('\P{Is_Script= /a/BENGALI}');
Expect(1, 2435, '\p{Is_Script=bengali}', "");
Expect(0, 2435, '\p{^Is_Script=bengali}', "");
Expect(0, 2435, '\P{Is_Script=bengali}', "");
Expect(1, 2435, '\P{^Is_Script=bengali}', "");
Expect(0, 2432, '\p{Is_Script=bengali}', "");
Expect(1, 2432, '\p{^Is_Script=bengali}', "");
Expect(1, 2432, '\P{Is_Script=bengali}', "");
Expect(0, 2432, '\P{^Is_Script=bengali}', "");
Expect(1, 2435, '\p{Is_Script=	-BENGALI}', "");
Expect(0, 2435, '\p{^Is_Script=	-BENGALI}', "");
Expect(0, 2435, '\P{Is_Script=	-BENGALI}', "");
Expect(1, 2435, '\P{^Is_Script=	-BENGALI}', "");
Expect(0, 2432, '\p{Is_Script=	-BENGALI}', "");
Expect(1, 2432, '\p{^Is_Script=	-BENGALI}', "");
Expect(1, 2432, '\P{Is_Script=	-BENGALI}', "");
Expect(0, 2432, '\P{^Is_Script=	-BENGALI}', "");
Error('\p{Is_Sc=-:=Beng}');
Error('\P{Is_Sc=-:=Beng}');
Expect(1, 2435, '\p{Is_Sc=beng}', "");
Expect(0, 2435, '\p{^Is_Sc=beng}', "");
Expect(0, 2435, '\P{Is_Sc=beng}', "");
Expect(1, 2435, '\P{^Is_Sc=beng}', "");
Expect(0, 2432, '\p{Is_Sc=beng}', "");
Expect(1, 2432, '\p{^Is_Sc=beng}', "");
Expect(1, 2432, '\P{Is_Sc=beng}', "");
Expect(0, 2432, '\P{^Is_Sc=beng}', "");
Expect(1, 2435, '\p{Is_Sc=_ Beng}', "");
Expect(0, 2435, '\p{^Is_Sc=_ Beng}', "");
Expect(0, 2435, '\P{Is_Sc=_ Beng}', "");
Expect(1, 2435, '\P{^Is_Sc=_ Beng}', "");
Expect(0, 2432, '\p{Is_Sc=_ Beng}', "");
Expect(1, 2432, '\p{^Is_Sc=_ Beng}', "");
Expect(1, 2432, '\P{Is_Sc=_ Beng}', "");
Expect(0, 2432, '\P{^Is_Sc=_ Beng}', "");
Error('\p{Script=	-BRAILLE:=}');
Error('\P{Script=	-BRAILLE:=}');
Expect(1, 10495, '\p{Script=braille}', "");
Expect(0, 10495, '\p{^Script=braille}', "");
Expect(0, 10495, '\P{Script=braille}', "");
Expect(1, 10495, '\P{^Script=braille}', "");
Expect(0, 10239, '\p{Script=braille}', "");
Expect(1, 10239, '\p{^Script=braille}', "");
Expect(1, 10239, '\P{Script=braille}', "");
Expect(0, 10239, '\P{^Script=braille}', "");
Expect(1, 10495, '\p{Script=-	Braille}', "");
Expect(0, 10495, '\p{^Script=-	Braille}', "");
Expect(0, 10495, '\P{Script=-	Braille}', "");
Expect(1, 10495, '\P{^Script=-	Braille}', "");
Expect(0, 10239, '\p{Script=-	Braille}', "");
Expect(1, 10239, '\p{^Script=-	Braille}', "");
Expect(1, 10239, '\P{Script=-	Braille}', "");
Expect(0, 10239, '\P{^Script=-	Braille}', "");
Error('\p{Sc=/a/Brai}');
Error('\P{Sc=/a/Brai}');
Expect(1, 10495, '\p{Sc=brai}', "");
Expect(0, 10495, '\p{^Sc=brai}', "");
Expect(0, 10495, '\P{Sc=brai}', "");
Expect(1, 10495, '\P{^Sc=brai}', "");
Expect(0, 10239, '\p{Sc=brai}', "");
Expect(1, 10239, '\p{^Sc=brai}', "");
Expect(1, 10239, '\P{Sc=brai}', "");
Expect(0, 10239, '\P{^Sc=brai}', "");
Expect(1, 10495, '\p{Sc=		BRAI}', "");
Expect(0, 10495, '\p{^Sc=		BRAI}', "");
Expect(0, 10495, '\P{Sc=		BRAI}', "");
Expect(1, 10495, '\P{^Sc=		BRAI}', "");
Expect(0, 10239, '\p{Sc=		BRAI}', "");
Expect(1, 10239, '\p{^Sc=		BRAI}', "");
Expect(1, 10239, '\P{Sc=		BRAI}', "");
Expect(0, 10239, '\P{^Sc=		BRAI}', "");
Error('\p{Is_Script=/a/-	Braille}');
Error('\P{Is_Script=/a/-	Braille}');
Expect(1, 10495, '\p{Is_Script=braille}', "");
Expect(0, 10495, '\p{^Is_Script=braille}', "");
Expect(0, 10495, '\P{Is_Script=braille}', "");
Expect(1, 10495, '\P{^Is_Script=braille}', "");
Expect(0, 10239, '\p{Is_Script=braille}', "");
Expect(1, 10239, '\p{^Is_Script=braille}', "");
Expect(1, 10239, '\P{Is_Script=braille}', "");
Expect(0, 10239, '\P{^Is_Script=braille}', "");
Expect(1, 10495, '\p{Is_Script=_	Braille}', "");
Expect(0, 10495, '\p{^Is_Script=_	Braille}', "");
Expect(0, 10495, '\P{Is_Script=_	Braille}', "");
Expect(1, 10495, '\P{^Is_Script=_	Braille}', "");
Expect(0, 10239, '\p{Is_Script=_	Braille}', "");
Expect(1, 10239, '\p{^Is_Script=_	Braille}', "");
Expect(1, 10239, '\P{Is_Script=_	Braille}', "");
Expect(0, 10239, '\P{^Is_Script=_	Braille}', "");
Error('\p{Is_Sc=:=brai}');
Error('\P{Is_Sc=:=brai}');
Expect(1, 10495, '\p{Is_Sc=brai}', "");
Expect(0, 10495, '\p{^Is_Sc=brai}', "");
Expect(0, 10495, '\P{Is_Sc=brai}', "");
Expect(1, 10495, '\P{^Is_Sc=brai}', "");
Expect(0, 10239, '\p{Is_Sc=brai}', "");
Expect(1, 10239, '\p{^Is_Sc=brai}', "");
Expect(1, 10239, '\P{Is_Sc=brai}', "");
Expect(0, 10239, '\P{^Is_Sc=brai}', "");
Expect(1, 10495, '\p{Is_Sc=_	BRAI}', "");
Expect(0, 10495, '\p{^Is_Sc=_	BRAI}', "");
Expect(0, 10495, '\P{Is_Sc=_	BRAI}', "");
Expect(1, 10495, '\P{^Is_Sc=_	BRAI}', "");
Expect(0, 10239, '\p{Is_Sc=_	BRAI}', "");
Expect(1, 10239, '\p{^Is_Sc=_	BRAI}', "");
Expect(1, 10239, '\P{Is_Sc=_	BRAI}', "");
Expect(0, 10239, '\P{^Is_Sc=_	BRAI}', "");
Error('\p{Script=-kharoshthi/a/}');
Error('\P{Script=-kharoshthi/a/}');
Expect(1, 68099, '\p{Script: kharoshthi}', "");
Expect(0, 68099, '\p{^Script: kharoshthi}', "");
Expect(0, 68099, '\P{Script: kharoshthi}', "");
Expect(1, 68099, '\P{^Script: kharoshthi}', "");
Expect(0, 68095, '\p{Script: kharoshthi}', "");
Expect(1, 68095, '\p{^Script: kharoshthi}', "");
Expect(1, 68095, '\P{Script: kharoshthi}', "");
Expect(0, 68095, '\P{^Script: kharoshthi}', "");
Expect(1, 68099, '\p{Script=	 Kharoshthi}', "");
Expect(0, 68099, '\p{^Script=	 Kharoshthi}', "");
Expect(0, 68099, '\P{Script=	 Kharoshthi}', "");
Expect(1, 68099, '\P{^Script=	 Kharoshthi}', "");
Expect(0, 68095, '\p{Script=	 Kharoshthi}', "");
Expect(1, 68095, '\p{^Script=	 Kharoshthi}', "");
Expect(1, 68095, '\P{Script=	 Kharoshthi}', "");
Expect(0, 68095, '\P{^Script=	 Kharoshthi}', "");
Error('\p{Sc= /a/Khar}');
Error('\P{Sc= /a/Khar}');
Expect(1, 68099, '\p{Sc:   khar}', "");
Expect(0, 68099, '\p{^Sc:   khar}', "");
Expect(0, 68099, '\P{Sc:   khar}', "");
Expect(1, 68099, '\P{^Sc:   khar}', "");
Expect(0, 68095, '\p{Sc:   khar}', "");
Expect(1, 68095, '\p{^Sc:   khar}', "");
Expect(1, 68095, '\P{Sc:   khar}', "");
Expect(0, 68095, '\P{^Sc:   khar}', "");
Expect(1, 68099, '\p{Sc= Khar}', "");
Expect(0, 68099, '\p{^Sc= Khar}', "");
Expect(0, 68099, '\P{Sc= Khar}', "");
Expect(1, 68099, '\P{^Sc= Khar}', "");
Expect(0, 68095, '\p{Sc= Khar}', "");
Expect(1, 68095, '\p{^Sc= Khar}', "");
Expect(1, 68095, '\P{Sc= Khar}', "");
Expect(0, 68095, '\P{^Sc= Khar}', "");
Error('\p{Is_Script=  KHAROSHTHI:=}');
Error('\P{Is_Script=  KHAROSHTHI:=}');
Expect(1, 68099, '\p{Is_Script=kharoshthi}', "");
Expect(0, 68099, '\p{^Is_Script=kharoshthi}', "");
Expect(0, 68099, '\P{Is_Script=kharoshthi}', "");
Expect(1, 68099, '\P{^Is_Script=kharoshthi}', "");
Expect(0, 68095, '\p{Is_Script=kharoshthi}', "");
Expect(1, 68095, '\p{^Is_Script=kharoshthi}', "");
Expect(1, 68095, '\P{Is_Script=kharoshthi}', "");
Expect(0, 68095, '\P{^Is_Script=kharoshthi}', "");
Expect(1, 68099, '\p{Is_Script=  kharoshthi}', "");
Expect(0, 68099, '\p{^Is_Script=  kharoshthi}', "");
Expect(0, 68099, '\P{Is_Script=  kharoshthi}', "");
Expect(1, 68099, '\P{^Is_Script=  kharoshthi}', "");
Expect(0, 68095, '\p{Is_Script=  kharoshthi}', "");
Expect(1, 68095, '\p{^Is_Script=  kharoshthi}', "");
Expect(1, 68095, '\P{Is_Script=  kharoshthi}', "");
Expect(0, 68095, '\P{^Is_Script=  kharoshthi}', "");
Error('\p{Is_Sc=	Khar:=}');
Error('\P{Is_Sc=	Khar:=}');
Expect(1, 68099, '\p{Is_Sc:   khar}', "");
Expect(0, 68099, '\p{^Is_Sc:   khar}', "");
Expect(0, 68099, '\P{Is_Sc:   khar}', "");
Expect(1, 68099, '\P{^Is_Sc:   khar}', "");
Expect(0, 68095, '\p{Is_Sc:   khar}', "");
Expect(1, 68095, '\p{^Is_Sc:   khar}', "");
Expect(1, 68095, '\P{Is_Sc:   khar}', "");
Expect(0, 68095, '\P{^Is_Sc:   khar}', "");
Expect(1, 68099, '\p{Is_Sc:   _Khar}', "");
Expect(0, 68099, '\p{^Is_Sc:   _Khar}', "");
Expect(0, 68099, '\P{Is_Sc:   _Khar}', "");
Expect(1, 68099, '\P{^Is_Sc:   _Khar}', "");
Expect(0, 68095, '\p{Is_Sc:   _Khar}', "");
Expect(1, 68095, '\p{^Is_Sc:   _Khar}', "");
Expect(1, 68095, '\P{Is_Sc:   _Khar}', "");
Expect(0, 68095, '\P{^Is_Sc:   _Khar}', "");
Error('\p{Script= Lycian:=}');
Error('\P{Script= Lycian:=}');
Expect(1, 66204, '\p{Script=lycian}', "");
Expect(0, 66204, '\p{^Script=lycian}', "");
Expect(0, 66204, '\P{Script=lycian}', "");
Expect(1, 66204, '\P{^Script=lycian}', "");
Expect(0, 66175, '\p{Script=lycian}', "");
Expect(1, 66175, '\p{^Script=lycian}', "");
Expect(1, 66175, '\P{Script=lycian}', "");
Expect(0, 66175, '\P{^Script=lycian}', "");
Expect(1, 66204, '\p{Script=	_Lycian}', "");
Expect(0, 66204, '\p{^Script=	_Lycian}', "");
Expect(0, 66204, '\P{Script=	_Lycian}', "");
Expect(1, 66204, '\P{^Script=	_Lycian}', "");
Expect(0, 66175, '\p{Script=	_Lycian}', "");
Expect(1, 66175, '\p{^Script=	_Lycian}', "");
Expect(1, 66175, '\P{Script=	_Lycian}', "");
Expect(0, 66175, '\P{^Script=	_Lycian}', "");
Error('\p{Sc=-Lyci/a/}');
Error('\P{Sc=-Lyci/a/}');
Expect(1, 66204, '\p{Sc=lyci}', "");
Expect(0, 66204, '\p{^Sc=lyci}', "");
Expect(0, 66204, '\P{Sc=lyci}', "");
Expect(1, 66204, '\P{^Sc=lyci}', "");
Expect(0, 66175, '\p{Sc=lyci}', "");
Expect(1, 66175, '\p{^Sc=lyci}', "");
Expect(1, 66175, '\P{Sc=lyci}', "");
Expect(0, 66175, '\P{^Sc=lyci}', "");
Expect(1, 66204, '\p{Sc=  Lyci}', "");
Expect(0, 66204, '\p{^Sc=  Lyci}', "");
Expect(0, 66204, '\P{Sc=  Lyci}', "");
Expect(1, 66204, '\P{^Sc=  Lyci}', "");
Expect(0, 66175, '\p{Sc=  Lyci}', "");
Expect(1, 66175, '\p{^Sc=  Lyci}', "");
Expect(1, 66175, '\P{Sc=  Lyci}', "");
Expect(0, 66175, '\P{^Sc=  Lyci}', "");
Error('\p{Is_Script::=LYCIAN}');
Error('\P{Is_Script::=LYCIAN}');
Expect(1, 66204, '\p{Is_Script=lycian}', "");
Expect(0, 66204, '\p{^Is_Script=lycian}', "");
Expect(0, 66204, '\P{Is_Script=lycian}', "");
Expect(1, 66204, '\P{^Is_Script=lycian}', "");
Expect(0, 66175, '\p{Is_Script=lycian}', "");
Expect(1, 66175, '\p{^Is_Script=lycian}', "");
Expect(1, 66175, '\P{Is_Script=lycian}', "");
Expect(0, 66175, '\P{^Is_Script=lycian}', "");
Expect(1, 66204, '\p{Is_Script=		LYCIAN}', "");
Expect(0, 66204, '\p{^Is_Script=		LYCIAN}', "");
Expect(0, 66204, '\P{Is_Script=		LYCIAN}', "");
Expect(1, 66204, '\P{^Is_Script=		LYCIAN}', "");
Expect(0, 66175, '\p{Is_Script=		LYCIAN}', "");
Expect(1, 66175, '\p{^Is_Script=		LYCIAN}', "");
Expect(1, 66175, '\P{Is_Script=		LYCIAN}', "");
Expect(0, 66175, '\P{^Is_Script=		LYCIAN}', "");
Error('\p{Is_Sc=  LYCI/a/}');
Error('\P{Is_Sc=  LYCI/a/}');
Expect(1, 66204, '\p{Is_Sc:   lyci}', "");
Expect(0, 66204, '\p{^Is_Sc:   lyci}', "");
Expect(0, 66204, '\P{Is_Sc:   lyci}', "");
Expect(1, 66204, '\P{^Is_Sc:   lyci}', "");
Expect(0, 66175, '\p{Is_Sc:   lyci}', "");
Expect(1, 66175, '\p{^Is_Sc:   lyci}', "");
Expect(1, 66175, '\P{Is_Sc:   lyci}', "");
Expect(0, 66175, '\P{^Is_Sc:   lyci}', "");
Expect(1, 66204, '\p{Is_Sc= LYCI}', "");
Expect(0, 66204, '\p{^Is_Sc= LYCI}', "");
Expect(0, 66204, '\P{Is_Sc= LYCI}', "");
Expect(1, 66204, '\P{^Is_Sc= LYCI}', "");
Expect(0, 66175, '\p{Is_Sc= LYCI}', "");
Expect(1, 66175, '\p{^Is_Sc= LYCI}', "");
Expect(1, 66175, '\P{Is_Sc= LYCI}', "");
Expect(0, 66175, '\P{^Is_Sc= LYCI}', "");
Error('\p{Script= Bopomofo/a/}');
Error('\P{Script= Bopomofo/a/}');
Expect(1, 12589, '\p{Script: bopomofo}', "");
Expect(0, 12589, '\p{^Script: bopomofo}', "");
Expect(0, 12589, '\P{Script: bopomofo}', "");
Expect(1, 12589, '\P{^Script: bopomofo}', "");
Expect(0, 12548, '\p{Script: bopomofo}', "");
Expect(1, 12548, '\p{^Script: bopomofo}', "");
Expect(1, 12548, '\P{Script: bopomofo}', "");
Expect(0, 12548, '\P{^Script: bopomofo}', "");
Expect(1, 12589, '\p{Script=	 bopomofo}', "");
Expect(0, 12589, '\p{^Script=	 bopomofo}', "");
Expect(0, 12589, '\P{Script=	 bopomofo}', "");
Expect(1, 12589, '\P{^Script=	 bopomofo}', "");
Expect(0, 12548, '\p{Script=	 bopomofo}', "");
Expect(1, 12548, '\p{^Script=	 bopomofo}', "");
Expect(1, 12548, '\P{Script=	 bopomofo}', "");
Expect(0, 12548, '\P{^Script=	 bopomofo}', "");
Error('\p{Sc=	 BOPO:=}');
Error('\P{Sc=	 BOPO:=}');
Expect(1, 12589, '\p{Sc=bopo}', "");
Expect(0, 12589, '\p{^Sc=bopo}', "");
Expect(0, 12589, '\P{Sc=bopo}', "");
Expect(1, 12589, '\P{^Sc=bopo}', "");
Expect(0, 12548, '\p{Sc=bopo}', "");
Expect(1, 12548, '\p{^Sc=bopo}', "");
Expect(1, 12548, '\P{Sc=bopo}', "");
Expect(0, 12548, '\P{^Sc=bopo}', "");
Expect(1, 12589, '\p{Sc= BOPO}', "");
Expect(0, 12589, '\p{^Sc= BOPO}', "");
Expect(0, 12589, '\P{Sc= BOPO}', "");
Expect(1, 12589, '\P{^Sc= BOPO}', "");
Expect(0, 12548, '\p{Sc= BOPO}', "");
Expect(1, 12548, '\p{^Sc= BOPO}', "");
Expect(1, 12548, '\P{Sc= BOPO}', "");
Expect(0, 12548, '\P{^Sc= BOPO}', "");
Error('\p{Is_Script=	Bopomofo:=}');
Error('\P{Is_Script=	Bopomofo:=}');
Expect(1, 12589, '\p{Is_Script=bopomofo}', "");
Expect(0, 12589, '\p{^Is_Script=bopomofo}', "");
Expect(0, 12589, '\P{Is_Script=bopomofo}', "");
Expect(1, 12589, '\P{^Is_Script=bopomofo}', "");
Expect(0, 12548, '\p{Is_Script=bopomofo}', "");
Expect(1, 12548, '\p{^Is_Script=bopomofo}', "");
Expect(1, 12548, '\P{Is_Script=bopomofo}', "");
Expect(0, 12548, '\P{^Is_Script=bopomofo}', "");
Expect(1, 12589, '\p{Is_Script= -Bopomofo}', "");
Expect(0, 12589, '\p{^Is_Script= -Bopomofo}', "");
Expect(0, 12589, '\P{Is_Script= -Bopomofo}', "");
Expect(1, 12589, '\P{^Is_Script= -Bopomofo}', "");
Expect(0, 12548, '\p{Is_Script= -Bopomofo}', "");
Expect(1, 12548, '\p{^Is_Script= -Bopomofo}', "");
Expect(1, 12548, '\P{Is_Script= -Bopomofo}', "");
Expect(0, 12548, '\P{^Is_Script= -Bopomofo}', "");
Error('\p{Is_Sc= Bopo:=}');
Error('\P{Is_Sc= Bopo:=}');
Expect(1, 12589, '\p{Is_Sc=bopo}', "");
Expect(0, 12589, '\p{^Is_Sc=bopo}', "");
Expect(0, 12589, '\P{Is_Sc=bopo}', "");
Expect(1, 12589, '\P{^Is_Sc=bopo}', "");
Expect(0, 12548, '\p{Is_Sc=bopo}', "");
Expect(1, 12548, '\p{^Is_Sc=bopo}', "");
Expect(1, 12548, '\P{Is_Sc=bopo}', "");
Expect(0, 12548, '\P{^Is_Sc=bopo}', "");
Expect(1, 12589, '\p{Is_Sc=  BOPO}', "");
Expect(0, 12589, '\p{^Is_Sc=  BOPO}', "");
Expect(0, 12589, '\P{Is_Sc=  BOPO}', "");
Expect(1, 12589, '\P{^Is_Sc=  BOPO}', "");
Expect(0, 12548, '\p{Is_Sc=  BOPO}', "");
Expect(1, 12548, '\p{^Is_Sc=  BOPO}', "");
Expect(1, 12548, '\P{Is_Sc=  BOPO}', "");
Expect(0, 12548, '\P{^Is_Sc=  BOPO}', "");
Error('\p{Script=/a/REJANG}');
Error('\P{Script=/a/REJANG}');
Expect(1, 43347, '\p{Script=rejang}', "");
Expect(0, 43347, '\p{^Script=rejang}', "");
Expect(0, 43347, '\P{Script=rejang}', "");
Expect(1, 43347, '\P{^Script=rejang}', "");
Expect(0, 43311, '\p{Script=rejang}', "");
Expect(1, 43311, '\p{^Script=rejang}', "");
Expect(1, 43311, '\P{Script=rejang}', "");
Expect(0, 43311, '\P{^Script=rejang}', "");
Expect(1, 43347, '\p{Script= -rejang}', "");
Expect(0, 43347, '\p{^Script= -rejang}', "");
Expect(0, 43347, '\P{Script= -rejang}', "");
Expect(1, 43347, '\P{^Script= -rejang}', "");
Expect(0, 43311, '\p{Script= -rejang}', "");
Expect(1, 43311, '\p{^Script= -rejang}', "");
Expect(1, 43311, '\P{Script= -rejang}', "");
Expect(0, 43311, '\P{^Script= -rejang}', "");
Error('\p{Sc= 	rjng:=}');
Error('\P{Sc= 	rjng:=}');
Expect(1, 43347, '\p{Sc=rjng}', "");
Expect(0, 43347, '\p{^Sc=rjng}', "");
Expect(0, 43347, '\P{Sc=rjng}', "");
Expect(1, 43347, '\P{^Sc=rjng}', "");
Expect(0, 43311, '\p{Sc=rjng}', "");
Expect(1, 43311, '\p{^Sc=rjng}', "");
Expect(1, 43311, '\P{Sc=rjng}', "");
Expect(0, 43311, '\P{^Sc=rjng}', "");
Expect(1, 43347, '\p{Sc=_RJNG}', "");
Expect(0, 43347, '\p{^Sc=_RJNG}', "");
Expect(0, 43347, '\P{Sc=_RJNG}', "");
Expect(1, 43347, '\P{^Sc=_RJNG}', "");
Expect(0, 43311, '\p{Sc=_RJNG}', "");
Expect(1, 43311, '\p{^Sc=_RJNG}', "");
Expect(1, 43311, '\P{Sc=_RJNG}', "");
Expect(0, 43311, '\P{^Sc=_RJNG}', "");
Error('\p{Is_Script=/a/ Rejang}');
Error('\P{Is_Script=/a/ Rejang}');
Expect(1, 43347, '\p{Is_Script=rejang}', "");
Expect(0, 43347, '\p{^Is_Script=rejang}', "");
Expect(0, 43347, '\P{Is_Script=rejang}', "");
Expect(1, 43347, '\P{^Is_Script=rejang}', "");
Expect(0, 43311, '\p{Is_Script=rejang}', "");
Expect(1, 43311, '\p{^Is_Script=rejang}', "");
Expect(1, 43311, '\P{Is_Script=rejang}', "");
Expect(0, 43311, '\P{^Is_Script=rejang}', "");
Expect(1, 43347, '\p{Is_Script=- rejang}', "");
Expect(0, 43347, '\p{^Is_Script=- rejang}', "");
Expect(0, 43347, '\P{Is_Script=- rejang}', "");
Expect(1, 43347, '\P{^Is_Script=- rejang}', "");
Expect(0, 43311, '\p{Is_Script=- rejang}', "");
Expect(1, 43311, '\p{^Is_Script=- rejang}', "");
Expect(1, 43311, '\P{Is_Script=- rejang}', "");
Expect(0, 43311, '\P{^Is_Script=- rejang}', "");
Error('\p{Is_Sc=_ Rjng/a/}');
Error('\P{Is_Sc=_ Rjng/a/}');
Expect(1, 43347, '\p{Is_Sc=rjng}', "");
Expect(0, 43347, '\p{^Is_Sc=rjng}', "");
Expect(0, 43347, '\P{Is_Sc=rjng}', "");
Expect(1, 43347, '\P{^Is_Sc=rjng}', "");
Expect(0, 43311, '\p{Is_Sc=rjng}', "");
Expect(1, 43311, '\p{^Is_Sc=rjng}', "");
Expect(1, 43311, '\P{Is_Sc=rjng}', "");
Expect(0, 43311, '\P{^Is_Sc=rjng}', "");
Expect(1, 43347, '\p{Is_Sc=  Rjng}', "");
Expect(0, 43347, '\p{^Is_Sc=  Rjng}', "");
Expect(0, 43347, '\P{Is_Sc=  Rjng}', "");
Expect(1, 43347, '\P{^Is_Sc=  Rjng}', "");
Expect(0, 43311, '\p{Is_Sc=  Rjng}', "");
Expect(1, 43311, '\p{^Is_Sc=  Rjng}', "");
Expect(1, 43311, '\P{Is_Sc=  Rjng}', "");
Expect(0, 43311, '\P{^Is_Sc=  Rjng}', "");
Error('\p{Script=/a/ Hanunoo}');
Error('\P{Script=/a/ Hanunoo}');
Expect(1, 5940, '\p{Script=hanunoo}', "");
Expect(0, 5940, '\p{^Script=hanunoo}', "");
Expect(0, 5940, '\P{Script=hanunoo}', "");
Expect(1, 5940, '\P{^Script=hanunoo}', "");
Expect(0, 5919, '\p{Script=hanunoo}', "");
Expect(1, 5919, '\p{^Script=hanunoo}', "");
Expect(1, 5919, '\P{Script=hanunoo}', "");
Expect(0, 5919, '\P{^Script=hanunoo}', "");
Expect(1, 5940, '\p{Script=- Hanunoo}', "");
Expect(0, 5940, '\p{^Script=- Hanunoo}', "");
Expect(0, 5940, '\P{Script=- Hanunoo}', "");
Expect(1, 5940, '\P{^Script=- Hanunoo}', "");
Expect(0, 5919, '\p{Script=- Hanunoo}', "");
Expect(1, 5919, '\p{^Script=- Hanunoo}', "");
Expect(1, 5919, '\P{Script=- Hanunoo}', "");
Expect(0, 5919, '\P{^Script=- Hanunoo}', "");
Error('\p{Sc=	:=hano}');
Error('\P{Sc=	:=hano}');
Expect(1, 5940, '\p{Sc=hano}', "");
Expect(0, 5940, '\p{^Sc=hano}', "");
Expect(0, 5940, '\P{Sc=hano}', "");
Expect(1, 5940, '\P{^Sc=hano}', "");
Expect(0, 5919, '\p{Sc=hano}', "");
Expect(1, 5919, '\p{^Sc=hano}', "");
Expect(1, 5919, '\P{Sc=hano}', "");
Expect(0, 5919, '\P{^Sc=hano}', "");
Expect(1, 5940, '\p{Sc=_Hano}', "");
Expect(0, 5940, '\p{^Sc=_Hano}', "");
Expect(0, 5940, '\P{Sc=_Hano}', "");
Expect(1, 5940, '\P{^Sc=_Hano}', "");
Expect(0, 5919, '\p{Sc=_Hano}', "");
Expect(1, 5919, '\p{^Sc=_Hano}', "");
Expect(1, 5919, '\P{Sc=_Hano}', "");
Expect(0, 5919, '\P{^Sc=_Hano}', "");
Error('\p{Is_Script:	:=_-Hanunoo}');
Error('\P{Is_Script:	:=_-Hanunoo}');
Expect(1, 5940, '\p{Is_Script=hanunoo}', "");
Expect(0, 5940, '\p{^Is_Script=hanunoo}', "");
Expect(0, 5940, '\P{Is_Script=hanunoo}', "");
Expect(1, 5940, '\P{^Is_Script=hanunoo}', "");
Expect(0, 5919, '\p{Is_Script=hanunoo}', "");
Expect(1, 5919, '\p{^Is_Script=hanunoo}', "");
Expect(1, 5919, '\P{Is_Script=hanunoo}', "");
Expect(0, 5919, '\P{^Is_Script=hanunoo}', "");
Expect(1, 5940, '\p{Is_Script=_Hanunoo}', "");
Expect(0, 5940, '\p{^Is_Script=_Hanunoo}', "");
Expect(0, 5940, '\P{Is_Script=_Hanunoo}', "");
Expect(1, 5940, '\P{^Is_Script=_Hanunoo}', "");
Expect(0, 5919, '\p{Is_Script=_Hanunoo}', "");
Expect(1, 5919, '\p{^Is_Script=_Hanunoo}', "");
Expect(1, 5919, '\P{Is_Script=_Hanunoo}', "");
Expect(0, 5919, '\P{^Is_Script=_Hanunoo}', "");
Error('\p{Is_Sc=-	HANO:=}');
Error('\P{Is_Sc=-	HANO:=}');
Expect(1, 5940, '\p{Is_Sc=hano}', "");
Expect(0, 5940, '\p{^Is_Sc=hano}', "");
Expect(0, 5940, '\P{Is_Sc=hano}', "");
Expect(1, 5940, '\P{^Is_Sc=hano}', "");
Expect(0, 5919, '\p{Is_Sc=hano}', "");
Expect(1, 5919, '\p{^Is_Sc=hano}', "");
Expect(1, 5919, '\P{Is_Sc=hano}', "");
Expect(0, 5919, '\P{^Is_Sc=hano}', "");
Expect(1, 5940, '\p{Is_Sc= -Hano}', "");
Expect(0, 5940, '\p{^Is_Sc= -Hano}', "");
Expect(0, 5940, '\P{Is_Sc= -Hano}', "");
Expect(1, 5940, '\P{^Is_Sc= -Hano}', "");
Expect(0, 5919, '\p{Is_Sc= -Hano}', "");
Expect(1, 5919, '\p{^Is_Sc= -Hano}', "");
Expect(1, 5919, '\P{Is_Sc= -Hano}', "");
Expect(0, 5919, '\P{^Is_Sc= -Hano}', "");
Error('\p{Script=/a/-imperial_ARAMAIC}');
Error('\P{Script=/a/-imperial_ARAMAIC}');
Expect(1, 67669, '\p{Script: imperialaramaic}', "");
Expect(0, 67669, '\p{^Script: imperialaramaic}', "");
Expect(0, 67669, '\P{Script: imperialaramaic}', "");
Expect(1, 67669, '\P{^Script: imperialaramaic}', "");
Expect(0, 67647, '\p{Script: imperialaramaic}', "");
Expect(1, 67647, '\p{^Script: imperialaramaic}', "");
Expect(1, 67647, '\P{Script: imperialaramaic}', "");
Expect(0, 67647, '\P{^Script: imperialaramaic}', "");
Expect(1, 67669, '\p{Script=-Imperial-Aramaic}', "");
Expect(0, 67669, '\p{^Script=-Imperial-Aramaic}', "");
Expect(0, 67669, '\P{Script=-Imperial-Aramaic}', "");
Expect(1, 67669, '\P{^Script=-Imperial-Aramaic}', "");
Expect(0, 67647, '\p{Script=-Imperial-Aramaic}', "");
Expect(1, 67647, '\p{^Script=-Imperial-Aramaic}', "");
Expect(1, 67647, '\P{Script=-Imperial-Aramaic}', "");
Expect(0, 67647, '\P{^Script=-Imperial-Aramaic}', "");
Error('\p{Sc:/a/_ ARMI}');
Error('\P{Sc:/a/_ ARMI}');
Expect(1, 67669, '\p{Sc:armi}', "");
Expect(0, 67669, '\p{^Sc:armi}', "");
Expect(0, 67669, '\P{Sc:armi}', "");
Expect(1, 67669, '\P{^Sc:armi}', "");
Expect(0, 67647, '\p{Sc:armi}', "");
Expect(1, 67647, '\p{^Sc:armi}', "");
Expect(1, 67647, '\P{Sc:armi}', "");
Expect(0, 67647, '\P{^Sc:armi}', "");
Expect(1, 67669, '\p{Sc=--ARMI}', "");
Expect(0, 67669, '\p{^Sc=--ARMI}', "");
Expect(0, 67669, '\P{Sc=--ARMI}', "");
Expect(1, 67669, '\P{^Sc=--ARMI}', "");
Expect(0, 67647, '\p{Sc=--ARMI}', "");
Expect(1, 67647, '\p{^Sc=--ARMI}', "");
Expect(1, 67647, '\P{Sc=--ARMI}', "");
Expect(0, 67647, '\P{^Sc=--ARMI}', "");
Error('\p{Is_Script:	_:=imperialARAMAIC}');
Error('\P{Is_Script:	_:=imperialARAMAIC}');
Expect(1, 67669, '\p{Is_Script=imperialaramaic}', "");
Expect(0, 67669, '\p{^Is_Script=imperialaramaic}', "");
Expect(0, 67669, '\P{Is_Script=imperialaramaic}', "");
Expect(1, 67669, '\P{^Is_Script=imperialaramaic}', "");
Expect(0, 67647, '\p{Is_Script=imperialaramaic}', "");
Expect(1, 67647, '\p{^Is_Script=imperialaramaic}', "");
Expect(1, 67647, '\P{Is_Script=imperialaramaic}', "");
Expect(0, 67647, '\P{^Is_Script=imperialaramaic}', "");
Expect(1, 67669, '\p{Is_Script=_Imperialaramaic}', "");
Expect(0, 67669, '\p{^Is_Script=_Imperialaramaic}', "");
Expect(0, 67669, '\P{Is_Script=_Imperialaramaic}', "");
Expect(1, 67669, '\P{^Is_Script=_Imperialaramaic}', "");
Expect(0, 67647, '\p{Is_Script=_Imperialaramaic}', "");
Expect(1, 67647, '\p{^Is_Script=_Imperialaramaic}', "");
Expect(1, 67647, '\P{Is_Script=_Imperialaramaic}', "");
Expect(0, 67647, '\P{^Is_Script=_Imperialaramaic}', "");
Error('\p{Is_Sc=/a/Armi}');
Error('\P{Is_Sc=/a/Armi}');
Expect(1, 67669, '\p{Is_Sc=armi}', "");
Expect(0, 67669, '\p{^Is_Sc=armi}', "");
Expect(0, 67669, '\P{Is_Sc=armi}', "");
Expect(1, 67669, '\P{^Is_Sc=armi}', "");
Expect(0, 67647, '\p{Is_Sc=armi}', "");
Expect(1, 67647, '\p{^Is_Sc=armi}', "");
Expect(1, 67647, '\P{Is_Sc=armi}', "");
Expect(0, 67647, '\P{^Is_Sc=armi}', "");
Expect(1, 67669, '\p{Is_Sc= Armi}', "");
Expect(0, 67669, '\p{^Is_Sc= Armi}', "");
Expect(0, 67669, '\P{Is_Sc= Armi}', "");
Expect(1, 67669, '\P{^Is_Sc= Armi}', "");
Expect(0, 67647, '\p{Is_Sc= Armi}', "");
Expect(1, 67647, '\p{^Is_Sc= Armi}', "");
Expect(1, 67647, '\P{Is_Sc= Armi}', "");
Expect(0, 67647, '\P{^Is_Sc= Armi}', "");
Error('\p{Script= /a/Kannada}');
Error('\P{Script= /a/Kannada}');
Expect(1, 3203, '\p{Script=kannada}', "");
Expect(0, 3203, '\p{^Script=kannada}', "");
Expect(0, 3203, '\P{Script=kannada}', "");
Expect(1, 3203, '\P{^Script=kannada}', "");
Expect(0, 3201, '\p{Script=kannada}', "");
Expect(1, 3201, '\p{^Script=kannada}', "");
Expect(1, 3201, '\P{Script=kannada}', "");
Expect(0, 3201, '\P{^Script=kannada}', "");
Expect(1, 3203, '\p{Script=	 KANNADA}', "");
Expect(0, 3203, '\p{^Script=	 KANNADA}', "");
Expect(0, 3203, '\P{Script=	 KANNADA}', "");
Expect(1, 3203, '\P{^Script=	 KANNADA}', "");
Expect(0, 3201, '\p{Script=	 KANNADA}', "");
Expect(1, 3201, '\p{^Script=	 KANNADA}', "");
Expect(1, 3201, '\P{Script=	 KANNADA}', "");
Expect(0, 3201, '\P{^Script=	 KANNADA}', "");
Error('\p{Sc= /a/Knda}');
Error('\P{Sc= /a/Knda}');
Expect(1, 3203, '\p{Sc=knda}', "");
Expect(0, 3203, '\p{^Sc=knda}', "");
Expect(0, 3203, '\P{Sc=knda}', "");
Expect(1, 3203, '\P{^Sc=knda}', "");
Expect(0, 3201, '\p{Sc=knda}', "");
Expect(1, 3201, '\p{^Sc=knda}', "");
Expect(1, 3201, '\P{Sc=knda}', "");
Expect(0, 3201, '\P{^Sc=knda}', "");
Expect(1, 3203, '\p{Sc=_-KNDA}', "");
Expect(0, 3203, '\p{^Sc=_-KNDA}', "");
Expect(0, 3203, '\P{Sc=_-KNDA}', "");
Expect(1, 3203, '\P{^Sc=_-KNDA}', "");
Expect(0, 3201, '\p{Sc=_-KNDA}', "");
Expect(1, 3201, '\p{^Sc=_-KNDA}', "");
Expect(1, 3201, '\P{Sc=_-KNDA}', "");
Expect(0, 3201, '\P{^Sc=_-KNDA}', "");
Error('\p{Is_Script=_ KANNADA/a/}');
Error('\P{Is_Script=_ KANNADA/a/}');
Expect(1, 3203, '\p{Is_Script=kannada}', "");
Expect(0, 3203, '\p{^Is_Script=kannada}', "");
Expect(0, 3203, '\P{Is_Script=kannada}', "");
Expect(1, 3203, '\P{^Is_Script=kannada}', "");
Expect(0, 3201, '\p{Is_Script=kannada}', "");
Expect(1, 3201, '\p{^Is_Script=kannada}', "");
Expect(1, 3201, '\P{Is_Script=kannada}', "");
Expect(0, 3201, '\P{^Is_Script=kannada}', "");
Expect(1, 3203, '\p{Is_Script=  KANNADA}', "");
Expect(0, 3203, '\p{^Is_Script=  KANNADA}', "");
Expect(0, 3203, '\P{Is_Script=  KANNADA}', "");
Expect(1, 3203, '\P{^Is_Script=  KANNADA}', "");
Expect(0, 3201, '\p{Is_Script=  KANNADA}', "");
Expect(1, 3201, '\p{^Is_Script=  KANNADA}', "");
Expect(1, 3201, '\P{Is_Script=  KANNADA}', "");
Expect(0, 3201, '\P{^Is_Script=  KANNADA}', "");
Error('\p{Is_Sc:	/a/-	Knda}');
Error('\P{Is_Sc:	/a/-	Knda}');
Expect(1, 3203, '\p{Is_Sc=knda}', "");
Expect(0, 3203, '\p{^Is_Sc=knda}', "");
Expect(0, 3203, '\P{Is_Sc=knda}', "");
Expect(1, 3203, '\P{^Is_Sc=knda}', "");
Expect(0, 3201, '\p{Is_Sc=knda}', "");
Expect(1, 3201, '\p{^Is_Sc=knda}', "");
Expect(1, 3201, '\P{Is_Sc=knda}', "");
Expect(0, 3201, '\P{^Is_Sc=knda}', "");
Expect(1, 3203, '\p{Is_Sc=__knda}', "");
Expect(0, 3203, '\p{^Is_Sc=__knda}', "");
Expect(0, 3203, '\P{Is_Sc=__knda}', "");
Expect(1, 3203, '\P{^Is_Sc=__knda}', "");
Expect(0, 3201, '\p{Is_Sc=__knda}', "");
Expect(1, 3201, '\p{^Is_Sc=__knda}', "");
Expect(1, 3201, '\P{Is_Sc=__knda}', "");
Expect(0, 3201, '\P{^Is_Sc=__knda}', "");
Error('\p{Script=	/a/KHMER}');
Error('\P{Script=	/a/KHMER}');
Expect(1, 6109, '\p{Script=khmer}', "");
Expect(0, 6109, '\p{^Script=khmer}', "");
Expect(0, 6109, '\P{Script=khmer}', "");
Expect(1, 6109, '\P{^Script=khmer}', "");
Expect(0, 6015, '\p{Script=khmer}', "");
Expect(1, 6015, '\p{^Script=khmer}', "");
Expect(1, 6015, '\P{Script=khmer}', "");
Expect(0, 6015, '\P{^Script=khmer}', "");
Expect(1, 6109, '\p{Script= 	khmer}', "");
Expect(0, 6109, '\p{^Script= 	khmer}', "");
Expect(0, 6109, '\P{Script= 	khmer}', "");
Expect(1, 6109, '\P{^Script= 	khmer}', "");
Expect(0, 6015, '\p{Script= 	khmer}', "");
Expect(1, 6015, '\p{^Script= 	khmer}', "");
Expect(1, 6015, '\P{Script= 	khmer}', "");
Expect(0, 6015, '\P{^Script= 	khmer}', "");
Error('\p{Sc=	KHMR:=}');
Error('\P{Sc=	KHMR:=}');
Expect(1, 6109, '\p{Sc: khmr}', "");
Expect(0, 6109, '\p{^Sc: khmr}', "");
Expect(0, 6109, '\P{Sc: khmr}', "");
Expect(1, 6109, '\P{^Sc: khmr}', "");
Expect(0, 6015, '\p{Sc: khmr}', "");
Expect(1, 6015, '\p{^Sc: khmr}', "");
Expect(1, 6015, '\P{Sc: khmr}', "");
Expect(0, 6015, '\P{^Sc: khmr}', "");
Expect(1, 6109, '\p{Sc=-	Khmr}', "");
Expect(0, 6109, '\p{^Sc=-	Khmr}', "");
Expect(0, 6109, '\P{Sc=-	Khmr}', "");
Expect(1, 6109, '\P{^Sc=-	Khmr}', "");
Expect(0, 6015, '\p{Sc=-	Khmr}', "");
Expect(1, 6015, '\p{^Sc=-	Khmr}', "");
Expect(1, 6015, '\P{Sc=-	Khmr}', "");
Expect(0, 6015, '\P{^Sc=-	Khmr}', "");
Error('\p{Is_Script:	 :=khmer}');
Error('\P{Is_Script:	 :=khmer}');
Expect(1, 6109, '\p{Is_Script=khmer}', "");
Expect(0, 6109, '\p{^Is_Script=khmer}', "");
Expect(0, 6109, '\P{Is_Script=khmer}', "");
Expect(1, 6109, '\P{^Is_Script=khmer}', "");
Expect(0, 6015, '\p{Is_Script=khmer}', "");
Expect(1, 6015, '\p{^Is_Script=khmer}', "");
Expect(1, 6015, '\P{Is_Script=khmer}', "");
Expect(0, 6015, '\P{^Is_Script=khmer}', "");
Expect(1, 6109, '\p{Is_Script=-_KHMER}', "");
Expect(0, 6109, '\p{^Is_Script=-_KHMER}', "");
Expect(0, 6109, '\P{Is_Script=-_KHMER}', "");
Expect(1, 6109, '\P{^Is_Script=-_KHMER}', "");
Expect(0, 6015, '\p{Is_Script=-_KHMER}', "");
Expect(1, 6015, '\p{^Is_Script=-_KHMER}', "");
Expect(1, 6015, '\P{Is_Script=-_KHMER}', "");
Expect(0, 6015, '\P{^Is_Script=-_KHMER}', "");
Error('\p{Is_Sc=	-Khmr:=}');
Error('\P{Is_Sc=	-Khmr:=}');
Expect(1, 6109, '\p{Is_Sc=khmr}', "");
Expect(0, 6109, '\p{^Is_Sc=khmr}', "");
Expect(0, 6109, '\P{Is_Sc=khmr}', "");
Expect(1, 6109, '\P{^Is_Sc=khmr}', "");
Expect(0, 6015, '\p{Is_Sc=khmr}', "");
Expect(1, 6015, '\p{^Is_Sc=khmr}', "");
Expect(1, 6015, '\P{Is_Sc=khmr}', "");
Expect(0, 6015, '\P{^Is_Sc=khmr}', "");
Expect(1, 6109, '\p{Is_Sc=		Khmr}', "");
Expect(0, 6109, '\p{^Is_Sc=		Khmr}', "");
Expect(0, 6109, '\P{Is_Sc=		Khmr}', "");
Expect(1, 6109, '\P{^Is_Sc=		Khmr}', "");
Expect(0, 6015, '\p{Is_Sc=		Khmr}', "");
Expect(1, 6015, '\p{^Is_Sc=		Khmr}', "");
Expect(1, 6015, '\P{Is_Sc=		Khmr}', "");
Expect(0, 6015, '\P{^Is_Sc=		Khmr}', "");
Error('\p{Script= CHAM:=}');
Error('\P{Script= CHAM:=}');
Expect(1, 43574, '\p{Script=cham}', "");
Expect(0, 43574, '\p{^Script=cham}', "");
Expect(0, 43574, '\P{Script=cham}', "");
Expect(1, 43574, '\P{^Script=cham}', "");
Expect(0, 43519, '\p{Script=cham}', "");
Expect(1, 43519, '\p{^Script=cham}', "");
Expect(1, 43519, '\P{Script=cham}', "");
Expect(0, 43519, '\P{^Script=cham}', "");
Expect(1, 43574, '\p{Script=_cham}', "");
Expect(0, 43574, '\p{^Script=_cham}', "");
Expect(0, 43574, '\P{Script=_cham}', "");
Expect(1, 43574, '\P{^Script=_cham}', "");
Expect(0, 43519, '\p{Script=_cham}', "");
Expect(1, 43519, '\p{^Script=_cham}', "");
Expect(1, 43519, '\P{Script=_cham}', "");
Expect(0, 43519, '\P{^Script=_cham}', "");
Error('\p{Sc=-:=Cham}');
Error('\P{Sc=-:=Cham}');
Expect(1, 43574, '\p{Sc:   cham}', "");
Expect(0, 43574, '\p{^Sc:   cham}', "");
Expect(0, 43574, '\P{Sc:   cham}', "");
Expect(1, 43574, '\P{^Sc:   cham}', "");
Expect(0, 43519, '\p{Sc:   cham}', "");
Expect(1, 43519, '\p{^Sc:   cham}', "");
Expect(1, 43519, '\P{Sc:   cham}', "");
Expect(0, 43519, '\P{^Sc:   cham}', "");
Expect(1, 43574, '\p{Sc=CHAM}', "");
Expect(0, 43574, '\p{^Sc=CHAM}', "");
Expect(0, 43574, '\P{Sc=CHAM}', "");
Expect(1, 43574, '\P{^Sc=CHAM}', "");
Expect(0, 43519, '\p{Sc=CHAM}', "");
Expect(1, 43519, '\p{^Sc=CHAM}', "");
Expect(1, 43519, '\P{Sc=CHAM}', "");
Expect(0, 43519, '\P{^Sc=CHAM}', "");
Error('\p{Is_Script=_cham:=}');
Error('\P{Is_Script=_cham:=}');
Expect(1, 43574, '\p{Is_Script=cham}', "");
Expect(0, 43574, '\p{^Is_Script=cham}', "");
Expect(0, 43574, '\P{Is_Script=cham}', "");
Expect(1, 43574, '\P{^Is_Script=cham}', "");
Expect(0, 43519, '\p{Is_Script=cham}', "");
Expect(1, 43519, '\p{^Is_Script=cham}', "");
Expect(1, 43519, '\P{Is_Script=cham}', "");
Expect(0, 43519, '\P{^Is_Script=cham}', "");
Expect(1, 43574, '\p{Is_Script:  -cham}', "");
Expect(0, 43574, '\p{^Is_Script:  -cham}', "");
Expect(0, 43574, '\P{Is_Script:  -cham}', "");
Expect(1, 43574, '\P{^Is_Script:  -cham}', "");
Expect(0, 43519, '\p{Is_Script:  -cham}', "");
Expect(1, 43519, '\p{^Is_Script:  -cham}', "");
Expect(1, 43519, '\P{Is_Script:  -cham}', "");
Expect(0, 43519, '\P{^Is_Script:  -cham}', "");
Error('\p{Is_Sc=/a/ Cham}');
Error('\P{Is_Sc=/a/ Cham}');
Expect(1, 43574, '\p{Is_Sc=cham}', "");
Expect(0, 43574, '\p{^Is_Sc=cham}', "");
Expect(0, 43574, '\P{Is_Sc=cham}', "");
Expect(1, 43574, '\P{^Is_Sc=cham}', "");
Expect(0, 43519, '\p{Is_Sc=cham}', "");
Expect(1, 43519, '\p{^Is_Sc=cham}', "");
Expect(1, 43519, '\P{Is_Sc=cham}', "");
Expect(0, 43519, '\P{^Is_Sc=cham}', "");
Expect(1, 43574, '\p{Is_Sc=Cham}', "");
Expect(0, 43574, '\p{^Is_Sc=Cham}', "");
Expect(0, 43574, '\P{Is_Sc=Cham}', "");
Expect(1, 43574, '\P{^Is_Sc=Cham}', "");
Expect(0, 43519, '\p{Is_Sc=Cham}', "");
Expect(1, 43519, '\p{^Is_Sc=Cham}', "");
Expect(1, 43519, '\P{Is_Sc=Cham}', "");
Expect(0, 43519, '\P{^Is_Sc=Cham}', "");
Error('\p{Script= :=tibetan}');
Error('\P{Script= :=tibetan}');
Expect(1, 3911, '\p{Script=tibetan}', "");
Expect(0, 3911, '\p{^Script=tibetan}', "");
Expect(0, 3911, '\P{Script=tibetan}', "");
Expect(1, 3911, '\P{^Script=tibetan}', "");
Expect(0, 3839, '\p{Script=tibetan}', "");
Expect(1, 3839, '\p{^Script=tibetan}', "");
Expect(1, 3839, '\P{Script=tibetan}', "");
Expect(0, 3839, '\P{^Script=tibetan}', "");
Expect(1, 3911, '\p{Script=TIBETAN}', "");
Expect(0, 3911, '\p{^Script=TIBETAN}', "");
Expect(0, 3911, '\P{Script=TIBETAN}', "");
Expect(1, 3911, '\P{^Script=TIBETAN}', "");
Expect(0, 3839, '\p{Script=TIBETAN}', "");
Expect(1, 3839, '\p{^Script=TIBETAN}', "");
Expect(1, 3839, '\P{Script=TIBETAN}', "");
Expect(0, 3839, '\P{^Script=TIBETAN}', "");
Error('\p{Sc=_ Tibt/a/}');
Error('\P{Sc=_ Tibt/a/}');
Expect(1, 3911, '\p{Sc=tibt}', "");
Expect(0, 3911, '\p{^Sc=tibt}', "");
Expect(0, 3911, '\P{Sc=tibt}', "");
Expect(1, 3911, '\P{^Sc=tibt}', "");
Expect(0, 3839, '\p{Sc=tibt}', "");
Expect(1, 3839, '\p{^Sc=tibt}', "");
Expect(1, 3839, '\P{Sc=tibt}', "");
Expect(0, 3839, '\P{^Sc=tibt}', "");
Expect(1, 3911, '\p{Sc=	Tibt}', "");
Expect(0, 3911, '\p{^Sc=	Tibt}', "");
Expect(0, 3911, '\P{Sc=	Tibt}', "");
Expect(1, 3911, '\P{^Sc=	Tibt}', "");
Expect(0, 3839, '\p{Sc=	Tibt}', "");
Expect(1, 3839, '\p{^Sc=	Tibt}', "");
Expect(1, 3839, '\P{Sc=	Tibt}', "");
Expect(0, 3839, '\P{^Sc=	Tibt}', "");
Error('\p{Is_Script=:=  TIBETAN}');
Error('\P{Is_Script=:=  TIBETAN}');
Expect(1, 3911, '\p{Is_Script=tibetan}', "");
Expect(0, 3911, '\p{^Is_Script=tibetan}', "");
Expect(0, 3911, '\P{Is_Script=tibetan}', "");
Expect(1, 3911, '\P{^Is_Script=tibetan}', "");
Expect(0, 3839, '\p{Is_Script=tibetan}', "");
Expect(1, 3839, '\p{^Is_Script=tibetan}', "");
Expect(1, 3839, '\P{Is_Script=tibetan}', "");
Expect(0, 3839, '\P{^Is_Script=tibetan}', "");
Expect(1, 3911, '\p{Is_Script:   TIBETAN}', "");
Expect(0, 3911, '\p{^Is_Script:   TIBETAN}', "");
Expect(0, 3911, '\P{Is_Script:   TIBETAN}', "");
Expect(1, 3911, '\P{^Is_Script:   TIBETAN}', "");
Expect(0, 3839, '\p{Is_Script:   TIBETAN}', "");
Expect(1, 3839, '\p{^Is_Script:   TIBETAN}', "");
Expect(1, 3839, '\P{Is_Script:   TIBETAN}', "");
Expect(0, 3839, '\P{^Is_Script:   TIBETAN}', "");
Error('\p{Is_Sc=_	TIBT:=}');
Error('\P{Is_Sc=_	TIBT:=}');
Expect(1, 3911, '\p{Is_Sc=tibt}', "");
Expect(0, 3911, '\p{^Is_Sc=tibt}', "");
Expect(0, 3911, '\P{Is_Sc=tibt}', "");
Expect(1, 3911, '\P{^Is_Sc=tibt}', "");
Expect(0, 3839, '\p{Is_Sc=tibt}', "");
Expect(1, 3839, '\p{^Is_Sc=tibt}', "");
Expect(1, 3839, '\P{Is_Sc=tibt}', "");
Expect(0, 3839, '\P{^Is_Sc=tibt}', "");
Expect(1, 3911, '\p{Is_Sc=_TIBT}', "");
Expect(0, 3911, '\p{^Is_Sc=_TIBT}', "");
Expect(0, 3911, '\P{Is_Sc=_TIBT}', "");
Expect(1, 3911, '\P{^Is_Sc=_TIBT}', "");
Expect(0, 3839, '\p{Is_Sc=_TIBT}', "");
Expect(1, 3839, '\p{^Is_Sc=_TIBT}', "");
Expect(1, 3839, '\P{Is_Sc=_TIBT}', "");
Expect(0, 3839, '\P{^Is_Sc=_TIBT}', "");
Error('\p{Script=	 ogham:=}');
Error('\P{Script=	 ogham:=}');
Expect(1, 5788, '\p{Script=ogham}', "");
Expect(0, 5788, '\p{^Script=ogham}', "");
Expect(0, 5788, '\P{Script=ogham}', "");
Expect(1, 5788, '\P{^Script=ogham}', "");
Expect(0, 5759, '\p{Script=ogham}', "");
Expect(1, 5759, '\p{^Script=ogham}', "");
Expect(1, 5759, '\P{Script=ogham}', "");
Expect(0, 5759, '\P{^Script=ogham}', "");
Expect(1, 5788, '\p{Script=-	ogham}', "");
Expect(0, 5788, '\p{^Script=-	ogham}', "");
Expect(0, 5788, '\P{Script=-	ogham}', "");
Expect(1, 5788, '\P{^Script=-	ogham}', "");
Expect(0, 5759, '\p{Script=-	ogham}', "");
Expect(1, 5759, '\p{^Script=-	ogham}', "");
Expect(1, 5759, '\P{Script=-	ogham}', "");
Expect(0, 5759, '\P{^Script=-	ogham}', "");
Error('\p{Sc=:=__Ogam}');
Error('\P{Sc=:=__Ogam}');
Expect(1, 5788, '\p{Sc=ogam}', "");
Expect(0, 5788, '\p{^Sc=ogam}', "");
Expect(0, 5788, '\P{Sc=ogam}', "");
Expect(1, 5788, '\P{^Sc=ogam}', "");
Expect(0, 5759, '\p{Sc=ogam}', "");
Expect(1, 5759, '\p{^Sc=ogam}', "");
Expect(1, 5759, '\P{Sc=ogam}', "");
Expect(0, 5759, '\P{^Sc=ogam}', "");
Expect(1, 5788, '\p{Sc=_OGAM}', "");
Expect(0, 5788, '\p{^Sc=_OGAM}', "");
Expect(0, 5788, '\P{Sc=_OGAM}', "");
Expect(1, 5788, '\P{^Sc=_OGAM}', "");
Expect(0, 5759, '\p{Sc=_OGAM}', "");
Expect(1, 5759, '\p{^Sc=_OGAM}', "");
Expect(1, 5759, '\P{Sc=_OGAM}', "");
Expect(0, 5759, '\P{^Sc=_OGAM}', "");
Error('\p{Is_Script=_Ogham/a/}');
Error('\P{Is_Script=_Ogham/a/}');
Expect(1, 5788, '\p{Is_Script=ogham}', "");
Expect(0, 5788, '\p{^Is_Script=ogham}', "");
Expect(0, 5788, '\P{Is_Script=ogham}', "");
Expect(1, 5788, '\P{^Is_Script=ogham}', "");
Expect(0, 5759, '\p{Is_Script=ogham}', "");
Expect(1, 5759, '\p{^Is_Script=ogham}', "");
Expect(1, 5759, '\P{Is_Script=ogham}', "");
Expect(0, 5759, '\P{^Is_Script=ogham}', "");
Expect(1, 5788, '\p{Is_Script=_Ogham}', "");
Expect(0, 5788, '\p{^Is_Script=_Ogham}', "");
Expect(0, 5788, '\P{Is_Script=_Ogham}', "");
Expect(1, 5788, '\P{^Is_Script=_Ogham}', "");
Expect(0, 5759, '\p{Is_Script=_Ogham}', "");
Expect(1, 5759, '\p{^Is_Script=_Ogham}', "");
Expect(1, 5759, '\P{Is_Script=_Ogham}', "");
Expect(0, 5759, '\P{^Is_Script=_Ogham}', "");
Error('\p{Is_Sc=/a/ -Ogam}');
Error('\P{Is_Sc=/a/ -Ogam}');
Expect(1, 5788, '\p{Is_Sc=ogam}', "");
Expect(0, 5788, '\p{^Is_Sc=ogam}', "");
Expect(0, 5788, '\P{Is_Sc=ogam}', "");
Expect(1, 5788, '\P{^Is_Sc=ogam}', "");
Expect(0, 5759, '\p{Is_Sc=ogam}', "");
Expect(1, 5759, '\p{^Is_Sc=ogam}', "");
Expect(1, 5759, '\P{Is_Sc=ogam}', "");
Expect(0, 5759, '\P{^Is_Sc=ogam}', "");
Expect(1, 5788, '\p{Is_Sc= -OGAM}', "");
Expect(0, 5788, '\p{^Is_Sc= -OGAM}', "");
Expect(0, 5788, '\P{Is_Sc= -OGAM}', "");
Expect(1, 5788, '\P{^Is_Sc= -OGAM}', "");
Expect(0, 5759, '\p{Is_Sc= -OGAM}', "");
Expect(1, 5759, '\p{^Is_Sc= -OGAM}', "");
Expect(1, 5759, '\P{Is_Sc= -OGAM}', "");
Expect(0, 5759, '\P{^Is_Sc= -OGAM}', "");
Error('\p{Script= Tai VIET:=}');
Error('\P{Script= Tai VIET:=}');
Expect(1, 43714, '\p{Script: taiviet}', "");
Expect(0, 43714, '\p{^Script: taiviet}', "");
Expect(0, 43714, '\P{Script: taiviet}', "");
Expect(1, 43714, '\P{^Script: taiviet}', "");
Expect(0, 43647, '\p{Script: taiviet}', "");
Expect(1, 43647, '\p{^Script: taiviet}', "");
Expect(1, 43647, '\P{Script: taiviet}', "");
Expect(0, 43647, '\P{^Script: taiviet}', "");
Expect(1, 43714, '\p{Script=-_Tai viet}', "");
Expect(0, 43714, '\p{^Script=-_Tai viet}', "");
Expect(0, 43714, '\P{Script=-_Tai viet}', "");
Expect(1, 43714, '\P{^Script=-_Tai viet}', "");
Expect(0, 43647, '\p{Script=-_Tai viet}', "");
Expect(1, 43647, '\p{^Script=-_Tai viet}', "");
Expect(1, 43647, '\P{Script=-_Tai viet}', "");
Expect(0, 43647, '\P{^Script=-_Tai viet}', "");
Error('\p{Sc=_-tavt/a/}');
Error('\P{Sc=_-tavt/a/}');
Expect(1, 43714, '\p{Sc=tavt}', "");
Expect(0, 43714, '\p{^Sc=tavt}', "");
Expect(0, 43714, '\P{Sc=tavt}', "");
Expect(1, 43714, '\P{^Sc=tavt}', "");
Expect(0, 43647, '\p{Sc=tavt}', "");
Expect(1, 43647, '\p{^Sc=tavt}', "");
Expect(1, 43647, '\P{Sc=tavt}', "");
Expect(0, 43647, '\P{^Sc=tavt}', "");
Expect(1, 43714, '\p{Sc=_-Tavt}', "");
Expect(0, 43714, '\p{^Sc=_-Tavt}', "");
Expect(0, 43714, '\P{Sc=_-Tavt}', "");
Expect(1, 43714, '\P{^Sc=_-Tavt}', "");
Expect(0, 43647, '\p{Sc=_-Tavt}', "");
Expect(1, 43647, '\p{^Sc=_-Tavt}', "");
Expect(1, 43647, '\P{Sc=_-Tavt}', "");
Expect(0, 43647, '\P{^Sc=_-Tavt}', "");
Error('\p{Is_Script=_ TAI:=Viet}');
Error('\P{Is_Script=_ TAI:=Viet}');
Expect(1, 43714, '\p{Is_Script=taiviet}', "");
Expect(0, 43714, '\p{^Is_Script=taiviet}', "");
Expect(0, 43714, '\P{Is_Script=taiviet}', "");
Expect(1, 43714, '\P{^Is_Script=taiviet}', "");
Expect(0, 43647, '\p{Is_Script=taiviet}', "");
Expect(1, 43647, '\p{^Is_Script=taiviet}', "");
Expect(1, 43647, '\P{Is_Script=taiviet}', "");
Expect(0, 43647, '\P{^Is_Script=taiviet}', "");
Expect(1, 43714, '\p{Is_Script=-Tai	viet}', "");
Expect(0, 43714, '\p{^Is_Script=-Tai	viet}', "");
Expect(0, 43714, '\P{Is_Script=-Tai	viet}', "");
Expect(1, 43714, '\P{^Is_Script=-Tai	viet}', "");
Expect(0, 43647, '\p{Is_Script=-Tai	viet}', "");
Expect(1, 43647, '\p{^Is_Script=-Tai	viet}', "");
Expect(1, 43647, '\P{Is_Script=-Tai	viet}', "");
Expect(0, 43647, '\P{^Is_Script=-Tai	viet}', "");
Error('\p{Is_Sc=/a/_ tavt}');
Error('\P{Is_Sc=/a/_ tavt}');
Expect(1, 43714, '\p{Is_Sc=tavt}', "");
Expect(0, 43714, '\p{^Is_Sc=tavt}', "");
Expect(0, 43714, '\P{Is_Sc=tavt}', "");
Expect(1, 43714, '\P{^Is_Sc=tavt}', "");
Expect(0, 43647, '\p{Is_Sc=tavt}', "");
Expect(1, 43647, '\p{^Is_Sc=tavt}', "");
Expect(1, 43647, '\P{Is_Sc=tavt}', "");
Expect(0, 43647, '\P{^Is_Sc=tavt}', "");
Expect(1, 43714, '\p{Is_Sc= 	tavt}', "");
Expect(0, 43714, '\p{^Is_Sc= 	tavt}', "");
Expect(0, 43714, '\P{Is_Sc= 	tavt}', "");
Expect(1, 43714, '\P{^Is_Sc= 	tavt}', "");
Expect(0, 43647, '\p{Is_Sc= 	tavt}', "");
Expect(1, 43647, '\p{^Is_Sc= 	tavt}', "");
Expect(1, 43647, '\P{Is_Sc= 	tavt}', "");
Expect(0, 43647, '\P{^Is_Sc= 	tavt}', "");
Error('\p{Script=-Malayalam:=}');
Error('\P{Script=-Malayalam:=}');
Expect(1, 3331, '\p{Script=malayalam}', "");
Expect(0, 3331, '\p{^Script=malayalam}', "");
Expect(0, 3331, '\P{Script=malayalam}', "");
Expect(1, 3331, '\P{^Script=malayalam}', "");
Expect(0, 3329, '\p{Script=malayalam}', "");
Expect(1, 3329, '\p{^Script=malayalam}', "");
Expect(1, 3329, '\P{Script=malayalam}', "");
Expect(0, 3329, '\P{^Script=malayalam}', "");
Expect(1, 3331, '\p{Script= malayalam}', "");
Expect(0, 3331, '\p{^Script= malayalam}', "");
Expect(0, 3331, '\P{Script= malayalam}', "");
Expect(1, 3331, '\P{^Script= malayalam}', "");
Expect(0, 3329, '\p{Script= malayalam}', "");
Expect(1, 3329, '\p{^Script= malayalam}', "");
Expect(1, 3329, '\P{Script= malayalam}', "");
Expect(0, 3329, '\P{^Script= malayalam}', "");
Error('\p{Sc=--mlym/a/}');
Error('\P{Sc=--mlym/a/}');
Expect(1, 3331, '\p{Sc=mlym}', "");
Expect(0, 3331, '\p{^Sc=mlym}', "");
Expect(0, 3331, '\P{Sc=mlym}', "");
Expect(1, 3331, '\P{^Sc=mlym}', "");
Expect(0, 3329, '\p{Sc=mlym}', "");
Expect(1, 3329, '\p{^Sc=mlym}', "");
Expect(1, 3329, '\P{Sc=mlym}', "");
Expect(0, 3329, '\P{^Sc=mlym}', "");
Expect(1, 3331, '\p{Sc=_	mlym}', "");
Expect(0, 3331, '\p{^Sc=_	mlym}', "");
Expect(0, 3331, '\P{Sc=_	mlym}', "");
Expect(1, 3331, '\P{^Sc=_	mlym}', "");
Expect(0, 3329, '\p{Sc=_	mlym}', "");
Expect(1, 3329, '\p{^Sc=_	mlym}', "");
Expect(1, 3329, '\P{Sc=_	mlym}', "");
Expect(0, 3329, '\P{^Sc=_	mlym}', "");
Error('\p{Is_Script=:= _MALAYALAM}');
Error('\P{Is_Script=:= _MALAYALAM}');
Expect(1, 3331, '\p{Is_Script=malayalam}', "");
Expect(0, 3331, '\p{^Is_Script=malayalam}', "");
Expect(0, 3331, '\P{Is_Script=malayalam}', "");
Expect(1, 3331, '\P{^Is_Script=malayalam}', "");
Expect(0, 3329, '\p{Is_Script=malayalam}', "");
Expect(1, 3329, '\p{^Is_Script=malayalam}', "");
Expect(1, 3329, '\P{Is_Script=malayalam}', "");
Expect(0, 3329, '\P{^Is_Script=malayalam}', "");
Expect(1, 3331, '\p{Is_Script=-	Malayalam}', "");
Expect(0, 3331, '\p{^Is_Script=-	Malayalam}', "");
Expect(0, 3331, '\P{Is_Script=-	Malayalam}', "");
Expect(1, 3331, '\P{^Is_Script=-	Malayalam}', "");
Expect(0, 3329, '\p{Is_Script=-	Malayalam}', "");
Expect(1, 3329, '\p{^Is_Script=-	Malayalam}', "");
Expect(1, 3329, '\P{Is_Script=-	Malayalam}', "");
Expect(0, 3329, '\P{^Is_Script=-	Malayalam}', "");
Error('\p{Is_Sc:    :=Mlym}');
Error('\P{Is_Sc:    :=Mlym}');
Expect(1, 3331, '\p{Is_Sc=mlym}', "");
Expect(0, 3331, '\p{^Is_Sc=mlym}', "");
Expect(0, 3331, '\P{Is_Sc=mlym}', "");
Expect(1, 3331, '\P{^Is_Sc=mlym}', "");
Expect(0, 3329, '\p{Is_Sc=mlym}', "");
Expect(1, 3329, '\p{^Is_Sc=mlym}', "");
Expect(1, 3329, '\P{Is_Sc=mlym}', "");
Expect(0, 3329, '\P{^Is_Sc=mlym}', "");
Expect(1, 3331, '\p{Is_Sc= _MLYM}', "");
Expect(0, 3331, '\p{^Is_Sc= _MLYM}', "");
Expect(0, 3331, '\P{Is_Sc= _MLYM}', "");
Expect(1, 3331, '\P{^Is_Sc= _MLYM}', "");
Expect(0, 3329, '\p{Is_Sc= _MLYM}', "");
Expect(1, 3329, '\p{^Is_Sc= _MLYM}', "");
Expect(1, 3329, '\P{Is_Sc= _MLYM}', "");
Expect(0, 3329, '\P{^Is_Sc= _MLYM}', "");
Error('\p{Script=	Old/a/PERSIAN}');
Error('\P{Script=	Old/a/PERSIAN}');
Expect(1, 66499, '\p{Script=oldpersian}', "");
Expect(0, 66499, '\p{^Script=oldpersian}', "");
Expect(0, 66499, '\P{Script=oldpersian}', "");
Expect(1, 66499, '\P{^Script=oldpersian}', "");
Expect(0, 66463, '\p{Script=oldpersian}', "");
Expect(1, 66463, '\p{^Script=oldpersian}', "");
Expect(1, 66463, '\P{Script=oldpersian}', "");
Expect(0, 66463, '\P{^Script=oldpersian}', "");
Expect(1, 66499, '\p{Script=-Old-Persian}', "");
Expect(0, 66499, '\p{^Script=-Old-Persian}', "");
Expect(0, 66499, '\P{Script=-Old-Persian}', "");
Expect(1, 66499, '\P{^Script=-Old-Persian}', "");
Expect(0, 66463, '\p{Script=-Old-Persian}', "");
Expect(1, 66463, '\p{^Script=-Old-Persian}', "");
Expect(1, 66463, '\P{Script=-Old-Persian}', "");
Expect(0, 66463, '\P{^Script=-Old-Persian}', "");
Error('\p{Sc:	-Xpeo/a/}');
Error('\P{Sc:	-Xpeo/a/}');
Expect(1, 66499, '\p{Sc=xpeo}', "");
Expect(0, 66499, '\p{^Sc=xpeo}', "");
Expect(0, 66499, '\P{Sc=xpeo}', "");
Expect(1, 66499, '\P{^Sc=xpeo}', "");
Expect(0, 66463, '\p{Sc=xpeo}', "");
Expect(1, 66463, '\p{^Sc=xpeo}', "");
Expect(1, 66463, '\P{Sc=xpeo}', "");
Expect(0, 66463, '\P{^Sc=xpeo}', "");
Expect(1, 66499, '\p{Sc=_Xpeo}', "");
Expect(0, 66499, '\p{^Sc=_Xpeo}', "");
Expect(0, 66499, '\P{Sc=_Xpeo}', "");
Expect(1, 66499, '\P{^Sc=_Xpeo}', "");
Expect(0, 66463, '\p{Sc=_Xpeo}', "");
Expect(1, 66463, '\p{^Sc=_Xpeo}', "");
Expect(1, 66463, '\P{Sc=_Xpeo}', "");
Expect(0, 66463, '\P{^Sc=_Xpeo}', "");
Error('\p{Is_Script=	/a/OLD-PERSIAN}');
Error('\P{Is_Script=	/a/OLD-PERSIAN}');
Expect(1, 66499, '\p{Is_Script:   oldpersian}', "");
Expect(0, 66499, '\p{^Is_Script:   oldpersian}', "");
Expect(0, 66499, '\P{Is_Script:   oldpersian}', "");
Expect(1, 66499, '\P{^Is_Script:   oldpersian}', "");
Expect(0, 66463, '\p{Is_Script:   oldpersian}', "");
Expect(1, 66463, '\p{^Is_Script:   oldpersian}', "");
Expect(1, 66463, '\P{Is_Script:   oldpersian}', "");
Expect(0, 66463, '\P{^Is_Script:   oldpersian}', "");
Expect(1, 66499, '\p{Is_Script=_-OLD Persian}', "");
Expect(0, 66499, '\p{^Is_Script=_-OLD Persian}', "");
Expect(0, 66499, '\P{Is_Script=_-OLD Persian}', "");
Expect(1, 66499, '\P{^Is_Script=_-OLD Persian}', "");
Expect(0, 66463, '\p{Is_Script=_-OLD Persian}', "");
Expect(1, 66463, '\p{^Is_Script=_-OLD Persian}', "");
Expect(1, 66463, '\P{Is_Script=_-OLD Persian}', "");
Expect(0, 66463, '\P{^Is_Script=_-OLD Persian}', "");
Error('\p{Is_Sc=/a/		XPEO}');
Error('\P{Is_Sc=/a/		XPEO}');
Expect(1, 66499, '\p{Is_Sc=xpeo}', "");
Expect(0, 66499, '\p{^Is_Sc=xpeo}', "");
Expect(0, 66499, '\P{Is_Sc=xpeo}', "");
Expect(1, 66499, '\P{^Is_Sc=xpeo}', "");
Expect(0, 66463, '\p{Is_Sc=xpeo}', "");
Expect(1, 66463, '\p{^Is_Sc=xpeo}', "");
Expect(1, 66463, '\P{Is_Sc=xpeo}', "");
Expect(0, 66463, '\P{^Is_Sc=xpeo}', "");
Expect(1, 66499, '\p{Is_Sc=__Xpeo}', "");
Expect(0, 66499, '\p{^Is_Sc=__Xpeo}', "");
Expect(0, 66499, '\P{Is_Sc=__Xpeo}', "");
Expect(1, 66499, '\P{^Is_Sc=__Xpeo}', "");
Expect(0, 66463, '\p{Is_Sc=__Xpeo}', "");
Expect(1, 66463, '\p{^Is_Sc=__Xpeo}', "");
Expect(1, 66463, '\P{Is_Sc=__Xpeo}', "");
Expect(0, 66463, '\P{^Is_Sc=__Xpeo}', "");
Error('\p{Script=/a/_-Myanmar}');
Error('\P{Script=/a/_-Myanmar}');
Expect(1, 4255, '\p{Script:	myanmar}', "");
Expect(0, 4255, '\p{^Script:	myanmar}', "");
Expect(0, 4255, '\P{Script:	myanmar}', "");
Expect(1, 4255, '\P{^Script:	myanmar}', "");
Expect(0, 4095, '\p{Script:	myanmar}', "");
Expect(1, 4095, '\p{^Script:	myanmar}', "");
Expect(1, 4095, '\P{Script:	myanmar}', "");
Expect(0, 4095, '\P{^Script:	myanmar}', "");
Expect(1, 4255, '\p{Script=_	MYANMAR}', "");
Expect(0, 4255, '\p{^Script=_	MYANMAR}', "");
Expect(0, 4255, '\P{Script=_	MYANMAR}', "");
Expect(1, 4255, '\P{^Script=_	MYANMAR}', "");
Expect(0, 4095, '\p{Script=_	MYANMAR}', "");
Expect(1, 4095, '\p{^Script=_	MYANMAR}', "");
Expect(1, 4095, '\P{Script=_	MYANMAR}', "");
Expect(0, 4095, '\P{^Script=_	MYANMAR}', "");
Error('\p{Sc=/a/-mymr}');
Error('\P{Sc=/a/-mymr}');
Expect(1, 4255, '\p{Sc=mymr}', "");
Expect(0, 4255, '\p{^Sc=mymr}', "");
Expect(0, 4255, '\P{Sc=mymr}', "");
Expect(1, 4255, '\P{^Sc=mymr}', "");
Expect(0, 4095, '\p{Sc=mymr}', "");
Expect(1, 4095, '\p{^Sc=mymr}', "");
Expect(1, 4095, '\P{Sc=mymr}', "");
Expect(0, 4095, '\P{^Sc=mymr}', "");
Expect(1, 4255, '\p{Sc: -Mymr}', "");
Expect(0, 4255, '\p{^Sc: -Mymr}', "");
Expect(0, 4255, '\P{Sc: -Mymr}', "");
Expect(1, 4255, '\P{^Sc: -Mymr}', "");
Expect(0, 4095, '\p{Sc: -Mymr}', "");
Expect(1, 4095, '\p{^Sc: -Mymr}', "");
Expect(1, 4095, '\P{Sc: -Mymr}', "");
Expect(0, 4095, '\P{^Sc: -Mymr}', "");
Error('\p{Is_Script=_-Myanmar:=}');
Error('\P{Is_Script=_-Myanmar:=}');
Expect(1, 4255, '\p{Is_Script=myanmar}', "");
Expect(0, 4255, '\p{^Is_Script=myanmar}', "");
Expect(0, 4255, '\P{Is_Script=myanmar}', "");
Expect(1, 4255, '\P{^Is_Script=myanmar}', "");
Expect(0, 4095, '\p{Is_Script=myanmar}', "");
Expect(1, 4095, '\p{^Is_Script=myanmar}', "");
Expect(1, 4095, '\P{Is_Script=myanmar}', "");
Expect(0, 4095, '\P{^Is_Script=myanmar}', "");
Expect(1, 4255, '\p{Is_Script=-Myanmar}', "");
Expect(0, 4255, '\p{^Is_Script=-Myanmar}', "");
Expect(0, 4255, '\P{Is_Script=-Myanmar}', "");
Expect(1, 4255, '\P{^Is_Script=-Myanmar}', "");
Expect(0, 4095, '\p{Is_Script=-Myanmar}', "");
Expect(1, 4095, '\p{^Is_Script=-Myanmar}', "");
Expect(1, 4095, '\P{Is_Script=-Myanmar}', "");
Expect(0, 4095, '\P{^Is_Script=-Myanmar}', "");
Error('\p{Is_Sc=:=_	MYMR}');
Error('\P{Is_Sc=:=_	MYMR}');
Expect(1, 4255, '\p{Is_Sc=mymr}', "");
Expect(0, 4255, '\p{^Is_Sc=mymr}', "");
Expect(0, 4255, '\P{Is_Sc=mymr}', "");
Expect(1, 4255, '\P{^Is_Sc=mymr}', "");
Expect(0, 4095, '\p{Is_Sc=mymr}', "");
Expect(1, 4095, '\p{^Is_Sc=mymr}', "");
Expect(1, 4095, '\P{Is_Sc=mymr}', "");
Expect(0, 4095, '\P{^Is_Sc=mymr}', "");
Expect(1, 4255, '\p{Is_Sc=_Mymr}', "");
Expect(0, 4255, '\p{^Is_Sc=_Mymr}', "");
Expect(0, 4255, '\P{Is_Sc=_Mymr}', "");
Expect(1, 4255, '\P{^Is_Sc=_Mymr}', "");
Expect(0, 4095, '\p{Is_Sc=_Mymr}', "");
Expect(1, 4095, '\p{^Is_Sc=_Mymr}', "");
Expect(1, 4095, '\P{Is_Sc=_Mymr}', "");
Expect(0, 4095, '\P{^Is_Sc=_Mymr}', "");
Error('\p{Script=- OLD/a/Turkic}');
Error('\P{Script=- OLD/a/Turkic}');
Expect(1, 68680, '\p{Script=oldturkic}', "");
Expect(0, 68680, '\p{^Script=oldturkic}', "");
Expect(0, 68680, '\P{Script=oldturkic}', "");
Expect(1, 68680, '\P{^Script=oldturkic}', "");
Expect(0, 68607, '\p{Script=oldturkic}', "");
Expect(1, 68607, '\p{^Script=oldturkic}', "");
Expect(1, 68607, '\P{Script=oldturkic}', "");
Expect(0, 68607, '\P{^Script=oldturkic}', "");
Expect(1, 68680, '\p{Script=-_OLD	Turkic}', "");
Expect(0, 68680, '\p{^Script=-_OLD	Turkic}', "");
Expect(0, 68680, '\P{Script=-_OLD	Turkic}', "");
Expect(1, 68680, '\P{^Script=-_OLD	Turkic}', "");
Expect(0, 68607, '\p{Script=-_OLD	Turkic}', "");
Expect(1, 68607, '\p{^Script=-_OLD	Turkic}', "");
Expect(1, 68607, '\P{Script=-_OLD	Turkic}', "");
Expect(0, 68607, '\P{^Script=-_OLD	Turkic}', "");
Error('\p{Sc=:=_	Orkh}');
Error('\P{Sc=:=_	Orkh}');
Expect(1, 68680, '\p{Sc=orkh}', "");
Expect(0, 68680, '\p{^Sc=orkh}', "");
Expect(0, 68680, '\P{Sc=orkh}', "");
Expect(1, 68680, '\P{^Sc=orkh}', "");
Expect(0, 68607, '\p{Sc=orkh}', "");
Expect(1, 68607, '\p{^Sc=orkh}', "");
Expect(1, 68607, '\P{Sc=orkh}', "");
Expect(0, 68607, '\P{^Sc=orkh}', "");
Expect(1, 68680, '\p{Sc=_Orkh}', "");
Expect(0, 68680, '\p{^Sc=_Orkh}', "");
Expect(0, 68680, '\P{Sc=_Orkh}', "");
Expect(1, 68680, '\P{^Sc=_Orkh}', "");
Expect(0, 68607, '\p{Sc=_Orkh}', "");
Expect(1, 68607, '\p{^Sc=_Orkh}', "");
Expect(1, 68607, '\P{Sc=_Orkh}', "");
Expect(0, 68607, '\P{^Sc=_Orkh}', "");
Error('\p{Is_Script=:=-Old_Turkic}');
Error('\P{Is_Script=:=-Old_Turkic}');
Expect(1, 68680, '\p{Is_Script=oldturkic}', "");
Expect(0, 68680, '\p{^Is_Script=oldturkic}', "");
Expect(0, 68680, '\P{Is_Script=oldturkic}', "");
Expect(1, 68680, '\P{^Is_Script=oldturkic}', "");
Expect(0, 68607, '\p{Is_Script=oldturkic}', "");
Expect(1, 68607, '\p{^Is_Script=oldturkic}', "");
Expect(1, 68607, '\P{Is_Script=oldturkic}', "");
Expect(0, 68607, '\P{^Is_Script=oldturkic}', "");
Expect(1, 68680, '\p{Is_Script=-	old turkic}', "");
Expect(0, 68680, '\p{^Is_Script=-	old turkic}', "");
Expect(0, 68680, '\P{Is_Script=-	old turkic}', "");
Expect(1, 68680, '\P{^Is_Script=-	old turkic}', "");
Expect(0, 68607, '\p{Is_Script=-	old turkic}', "");
Expect(1, 68607, '\p{^Is_Script=-	old turkic}', "");
Expect(1, 68607, '\P{Is_Script=-	old turkic}', "");
Expect(0, 68607, '\P{^Is_Script=-	old turkic}', "");
Error('\p{Is_Sc: 	:=ORKH}');
Error('\P{Is_Sc: 	:=ORKH}');
Expect(1, 68680, '\p{Is_Sc=orkh}', "");
Expect(0, 68680, '\p{^Is_Sc=orkh}', "");
Expect(0, 68680, '\P{Is_Sc=orkh}', "");
Expect(1, 68680, '\P{^Is_Sc=orkh}', "");
Expect(0, 68607, '\p{Is_Sc=orkh}', "");
Expect(1, 68607, '\p{^Is_Sc=orkh}', "");
Expect(1, 68607, '\P{Is_Sc=orkh}', "");
Expect(0, 68607, '\P{^Is_Sc=orkh}', "");
Expect(1, 68680, '\p{Is_Sc: _-Orkh}', "");
Expect(0, 68680, '\p{^Is_Sc: _-Orkh}', "");
Expect(0, 68680, '\P{Is_Sc: _-Orkh}', "");
Expect(1, 68680, '\P{^Is_Sc: _-Orkh}', "");
Expect(0, 68607, '\p{Is_Sc: _-Orkh}', "");
Expect(1, 68607, '\p{^Is_Sc: _-Orkh}', "");
Expect(1, 68607, '\P{Is_Sc: _-Orkh}', "");
Expect(0, 68607, '\P{^Is_Sc: _-Orkh}', "");
Error('\p{Script= /a/osmanya}');
Error('\P{Script= /a/osmanya}');
Expect(1, 66717, '\p{Script=osmanya}', "");
Expect(0, 66717, '\p{^Script=osmanya}', "");
Expect(0, 66717, '\P{Script=osmanya}', "");
Expect(1, 66717, '\P{^Script=osmanya}', "");
Expect(0, 66687, '\p{Script=osmanya}', "");
Expect(1, 66687, '\p{^Script=osmanya}', "");
Expect(1, 66687, '\P{Script=osmanya}', "");
Expect(0, 66687, '\P{^Script=osmanya}', "");
Expect(1, 66717, '\p{Script:    -OSMANYA}', "");
Expect(0, 66717, '\p{^Script:    -OSMANYA}', "");
Expect(0, 66717, '\P{Script:    -OSMANYA}', "");
Expect(1, 66717, '\P{^Script:    -OSMANYA}', "");
Expect(0, 66687, '\p{Script:    -OSMANYA}', "");
Expect(1, 66687, '\p{^Script:    -OSMANYA}', "");
Expect(1, 66687, '\P{Script:    -OSMANYA}', "");
Expect(0, 66687, '\P{^Script:    -OSMANYA}', "");
Error('\p{Sc=/a/ _Osma}');
Error('\P{Sc=/a/ _Osma}');
Expect(1, 66717, '\p{Sc=osma}', "");
Expect(0, 66717, '\p{^Sc=osma}', "");
Expect(0, 66717, '\P{Sc=osma}', "");
Expect(1, 66717, '\P{^Sc=osma}', "");
Expect(0, 66687, '\p{Sc=osma}', "");
Expect(1, 66687, '\p{^Sc=osma}', "");
Expect(1, 66687, '\P{Sc=osma}', "");
Expect(0, 66687, '\P{^Sc=osma}', "");
Expect(1, 66717, '\p{Sc=	Osma}', "");
Expect(0, 66717, '\p{^Sc=	Osma}', "");
Expect(0, 66717, '\P{Sc=	Osma}', "");
Expect(1, 66717, '\P{^Sc=	Osma}', "");
Expect(0, 66687, '\p{Sc=	Osma}', "");
Expect(1, 66687, '\p{^Sc=	Osma}', "");
Expect(1, 66687, '\P{Sc=	Osma}', "");
Expect(0, 66687, '\P{^Sc=	Osma}', "");
Error('\p{Is_Script=:=_OSMANYA}');
Error('\P{Is_Script=:=_OSMANYA}');
Expect(1, 66717, '\p{Is_Script=osmanya}', "");
Expect(0, 66717, '\p{^Is_Script=osmanya}', "");
Expect(0, 66717, '\P{Is_Script=osmanya}', "");
Expect(1, 66717, '\P{^Is_Script=osmanya}', "");
Expect(0, 66687, '\p{Is_Script=osmanya}', "");
Expect(1, 66687, '\p{^Is_Script=osmanya}', "");
Expect(1, 66687, '\P{Is_Script=osmanya}', "");
Expect(0, 66687, '\P{^Is_Script=osmanya}', "");
Expect(1, 66717, '\p{Is_Script=__Osmanya}', "");
Expect(0, 66717, '\p{^Is_Script=__Osmanya}', "");
Expect(0, 66717, '\P{Is_Script=__Osmanya}', "");
Expect(1, 66717, '\P{^Is_Script=__Osmanya}', "");
Expect(0, 66687, '\p{Is_Script=__Osmanya}', "");
Expect(1, 66687, '\p{^Is_Script=__Osmanya}', "");
Expect(1, 66687, '\P{Is_Script=__Osmanya}', "");
Expect(0, 66687, '\P{^Is_Script=__Osmanya}', "");
Error('\p{Is_Sc=_	OSMA:=}');
Error('\P{Is_Sc=_	OSMA:=}');
Expect(1, 66717, '\p{Is_Sc=osma}', "");
Expect(0, 66717, '\p{^Is_Sc=osma}', "");
Expect(0, 66717, '\P{Is_Sc=osma}', "");
Expect(1, 66717, '\P{^Is_Sc=osma}', "");
Expect(0, 66687, '\p{Is_Sc=osma}', "");
Expect(1, 66687, '\p{^Is_Sc=osma}', "");
Expect(1, 66687, '\P{Is_Sc=osma}', "");
Expect(0, 66687, '\P{^Is_Sc=osma}', "");
Expect(1, 66717, '\p{Is_Sc: --osma}', "");
Expect(0, 66717, '\p{^Is_Sc: --osma}', "");
Expect(0, 66717, '\P{Is_Sc: --osma}', "");
Expect(1, 66717, '\P{^Is_Sc: --osma}', "");
Expect(0, 66687, '\p{Is_Sc: --osma}', "");
Expect(1, 66687, '\p{^Is_Sc: --osma}', "");
Expect(1, 66687, '\P{Is_Sc: --osma}', "");
Expect(0, 66687, '\P{^Is_Sc: --osma}', "");
Error('\p{Script=-_Tagalog/a/}');
Error('\P{Script=-_Tagalog/a/}');
Expect(1, 5900, '\p{Script=tagalog}', "");
Expect(0, 5900, '\p{^Script=tagalog}', "");
Expect(0, 5900, '\P{Script=tagalog}', "");
Expect(1, 5900, '\P{^Script=tagalog}', "");
Expect(0, 5887, '\p{Script=tagalog}', "");
Expect(1, 5887, '\p{^Script=tagalog}', "");
Expect(1, 5887, '\P{Script=tagalog}', "");
Expect(0, 5887, '\P{^Script=tagalog}', "");
Expect(1, 5900, '\p{Script=_ TAGALOG}', "");
Expect(0, 5900, '\p{^Script=_ TAGALOG}', "");
Expect(0, 5900, '\P{Script=_ TAGALOG}', "");
Expect(1, 5900, '\P{^Script=_ TAGALOG}', "");
Expect(0, 5887, '\p{Script=_ TAGALOG}', "");
Expect(1, 5887, '\p{^Script=_ TAGALOG}', "");
Expect(1, 5887, '\P{Script=_ TAGALOG}', "");
Expect(0, 5887, '\P{^Script=_ TAGALOG}', "");
Error('\p{Sc=/a/  TGLG}');
Error('\P{Sc=/a/  TGLG}');
Expect(1, 5900, '\p{Sc=tglg}', "");
Expect(0, 5900, '\p{^Sc=tglg}', "");
Expect(0, 5900, '\P{Sc=tglg}', "");
Expect(1, 5900, '\P{^Sc=tglg}', "");
Expect(0, 5887, '\p{Sc=tglg}', "");
Expect(1, 5887, '\p{^Sc=tglg}', "");
Expect(1, 5887, '\P{Sc=tglg}', "");
Expect(0, 5887, '\P{^Sc=tglg}', "");
Expect(1, 5900, '\p{Sc=_tglg}', "");
Expect(0, 5900, '\p{^Sc=_tglg}', "");
Expect(0, 5900, '\P{Sc=_tglg}', "");
Expect(1, 5900, '\P{^Sc=_tglg}', "");
Expect(0, 5887, '\p{Sc=_tglg}', "");
Expect(1, 5887, '\p{^Sc=_tglg}', "");
Expect(1, 5887, '\P{Sc=_tglg}', "");
Expect(0, 5887, '\P{^Sc=_tglg}', "");
Error('\p{Is_Script= :=Tagalog}');
Error('\P{Is_Script= :=Tagalog}');
Expect(1, 5900, '\p{Is_Script:	tagalog}', "");
Expect(0, 5900, '\p{^Is_Script:	tagalog}', "");
Expect(0, 5900, '\P{Is_Script:	tagalog}', "");
Expect(1, 5900, '\P{^Is_Script:	tagalog}', "");
Expect(0, 5887, '\p{Is_Script:	tagalog}', "");
Expect(1, 5887, '\p{^Is_Script:	tagalog}', "");
Expect(1, 5887, '\P{Is_Script:	tagalog}', "");
Expect(0, 5887, '\P{^Is_Script:	tagalog}', "");
Expect(1, 5900, '\p{Is_Script=_tagalog}', "");
Expect(0, 5900, '\p{^Is_Script=_tagalog}', "");
Expect(0, 5900, '\P{Is_Script=_tagalog}', "");
Expect(1, 5900, '\P{^Is_Script=_tagalog}', "");
Expect(0, 5887, '\p{Is_Script=_tagalog}', "");
Expect(1, 5887, '\p{^Is_Script=_tagalog}', "");
Expect(1, 5887, '\P{Is_Script=_tagalog}', "");
Expect(0, 5887, '\P{^Is_Script=_tagalog}', "");
Error('\p{Is_Sc=-:=TGLG}');
Error('\P{Is_Sc=-:=TGLG}');
Expect(1, 5900, '\p{Is_Sc=tglg}', "");
Expect(0, 5900, '\p{^Is_Sc=tglg}', "");
Expect(0, 5900, '\P{Is_Sc=tglg}', "");
Expect(1, 5900, '\P{^Is_Sc=tglg}', "");
Expect(0, 5887, '\p{Is_Sc=tglg}', "");
Expect(1, 5887, '\p{^Is_Sc=tglg}', "");
Expect(1, 5887, '\P{Is_Sc=tglg}', "");
Expect(0, 5887, '\P{^Is_Sc=tglg}', "");
Expect(1, 5900, '\p{Is_Sc=  tglg}', "");
Expect(0, 5900, '\p{^Is_Sc=  tglg}', "");
Expect(0, 5900, '\P{Is_Sc=  tglg}', "");
Expect(1, 5900, '\P{^Is_Sc=  tglg}', "");
Expect(0, 5887, '\p{Is_Sc=  tglg}', "");
Expect(1, 5887, '\p{^Is_Sc=  tglg}', "");
Expect(1, 5887, '\P{Is_Sc=  tglg}', "");
Expect(0, 5887, '\P{^Is_Sc=  tglg}', "");
Error('\p{Script=_:=Gujarati}');
Error('\P{Script=_:=Gujarati}');
Expect(1, 2691, '\p{Script=gujarati}', "");
Expect(0, 2691, '\p{^Script=gujarati}', "");
Expect(0, 2691, '\P{Script=gujarati}', "");
Expect(1, 2691, '\P{^Script=gujarati}', "");
Expect(0, 2688, '\p{Script=gujarati}', "");
Expect(1, 2688, '\p{^Script=gujarati}', "");
Expect(1, 2688, '\P{Script=gujarati}', "");
Expect(0, 2688, '\P{^Script=gujarati}', "");
Expect(1, 2691, '\p{Script:    -GUJARATI}', "");
Expect(0, 2691, '\p{^Script:    -GUJARATI}', "");
Expect(0, 2691, '\P{Script:    -GUJARATI}', "");
Expect(1, 2691, '\P{^Script:    -GUJARATI}', "");
Expect(0, 2688, '\p{Script:    -GUJARATI}', "");
Expect(1, 2688, '\p{^Script:    -GUJARATI}', "");
Expect(1, 2688, '\P{Script:    -GUJARATI}', "");
Expect(0, 2688, '\P{^Script:    -GUJARATI}', "");
Error('\p{Sc=_:=Gujr}');
Error('\P{Sc=_:=Gujr}');
Expect(1, 2691, '\p{Sc=gujr}', "");
Expect(0, 2691, '\p{^Sc=gujr}', "");
Expect(0, 2691, '\P{Sc=gujr}', "");
Expect(1, 2691, '\P{^Sc=gujr}', "");
Expect(0, 2688, '\p{Sc=gujr}', "");
Expect(1, 2688, '\p{^Sc=gujr}', "");
Expect(1, 2688, '\P{Sc=gujr}', "");
Expect(0, 2688, '\P{^Sc=gujr}', "");
Expect(1, 2691, '\p{Sc=_	GUJR}', "");
Expect(0, 2691, '\p{^Sc=_	GUJR}', "");
Expect(0, 2691, '\P{Sc=_	GUJR}', "");
Expect(1, 2691, '\P{^Sc=_	GUJR}', "");
Expect(0, 2688, '\p{Sc=_	GUJR}', "");
Expect(1, 2688, '\p{^Sc=_	GUJR}', "");
Expect(1, 2688, '\P{Sc=_	GUJR}', "");
Expect(0, 2688, '\P{^Sc=_	GUJR}', "");
Error('\p{Is_Script=:=-	Gujarati}');
Error('\P{Is_Script=:=-	Gujarati}');
Expect(1, 2691, '\p{Is_Script=gujarati}', "");
Expect(0, 2691, '\p{^Is_Script=gujarati}', "");
Expect(0, 2691, '\P{Is_Script=gujarati}', "");
Expect(1, 2691, '\P{^Is_Script=gujarati}', "");
Expect(0, 2688, '\p{Is_Script=gujarati}', "");
Expect(1, 2688, '\p{^Is_Script=gujarati}', "");
Expect(1, 2688, '\P{Is_Script=gujarati}', "");
Expect(0, 2688, '\P{^Is_Script=gujarati}', "");
Expect(1, 2691, '\p{Is_Script=-_Gujarati}', "");
Expect(0, 2691, '\p{^Is_Script=-_Gujarati}', "");
Expect(0, 2691, '\P{Is_Script=-_Gujarati}', "");
Expect(1, 2691, '\P{^Is_Script=-_Gujarati}', "");
Expect(0, 2688, '\p{Is_Script=-_Gujarati}', "");
Expect(1, 2688, '\p{^Is_Script=-_Gujarati}', "");
Expect(1, 2688, '\P{Is_Script=-_Gujarati}', "");
Expect(0, 2688, '\P{^Is_Script=-_Gujarati}', "");
Error('\p{Is_Sc= -Gujr/a/}');
Error('\P{Is_Sc= -Gujr/a/}');
Expect(1, 2691, '\p{Is_Sc=gujr}', "");
Expect(0, 2691, '\p{^Is_Sc=gujr}', "");
Expect(0, 2691, '\P{Is_Sc=gujr}', "");
Expect(1, 2691, '\P{^Is_Sc=gujr}', "");
Expect(0, 2688, '\p{Is_Sc=gujr}', "");
Expect(1, 2688, '\p{^Is_Sc=gujr}', "");
Expect(1, 2688, '\P{Is_Sc=gujr}', "");
Expect(0, 2688, '\P{^Is_Sc=gujr}', "");
Expect(1, 2691, '\p{Is_Sc= -Gujr}', "");
Expect(0, 2691, '\p{^Is_Sc= -Gujr}', "");
Expect(0, 2691, '\P{Is_Sc= -Gujr}', "");
Expect(1, 2691, '\P{^Is_Sc= -Gujr}', "");
Expect(0, 2688, '\p{Is_Sc= -Gujr}', "");
Expect(1, 2688, '\p{^Is_Sc= -Gujr}', "");
Expect(1, 2688, '\P{Is_Sc= -Gujr}', "");
Expect(0, 2688, '\P{^Is_Sc= -Gujr}', "");
Error('\p{Script=	:=oriya}');
Error('\P{Script=	:=oriya}');
Expect(1, 2819, '\p{Script=oriya}', "");
Expect(0, 2819, '\p{^Script=oriya}', "");
Expect(0, 2819, '\P{Script=oriya}', "");
Expect(1, 2819, '\P{^Script=oriya}', "");
Expect(0, 2816, '\p{Script=oriya}', "");
Expect(1, 2816, '\p{^Script=oriya}', "");
Expect(1, 2816, '\P{Script=oriya}', "");
Expect(0, 2816, '\P{^Script=oriya}', "");
Expect(1, 2819, '\p{Script=		Oriya}', "");
Expect(0, 2819, '\p{^Script=		Oriya}', "");
Expect(0, 2819, '\P{Script=		Oriya}', "");
Expect(1, 2819, '\P{^Script=		Oriya}', "");
Expect(0, 2816, '\p{Script=		Oriya}', "");
Expect(1, 2816, '\p{^Script=		Oriya}', "");
Expect(1, 2816, '\P{Script=		Oriya}', "");
Expect(0, 2816, '\P{^Script=		Oriya}', "");
Error('\p{Sc=  ORYA/a/}');
Error('\P{Sc=  ORYA/a/}');
Expect(1, 2819, '\p{Sc=orya}', "");
Expect(0, 2819, '\p{^Sc=orya}', "");
Expect(0, 2819, '\P{Sc=orya}', "");
Expect(1, 2819, '\P{^Sc=orya}', "");
Expect(0, 2816, '\p{Sc=orya}', "");
Expect(1, 2816, '\p{^Sc=orya}', "");
Expect(1, 2816, '\P{Sc=orya}', "");
Expect(0, 2816, '\P{^Sc=orya}', "");
Expect(1, 2819, '\p{Sc= -Orya}', "");
Expect(0, 2819, '\p{^Sc= -Orya}', "");
Expect(0, 2819, '\P{Sc= -Orya}', "");
Expect(1, 2819, '\P{^Sc= -Orya}', "");
Expect(0, 2816, '\p{Sc= -Orya}', "");
Expect(1, 2816, '\p{^Sc= -Orya}', "");
Expect(1, 2816, '\P{Sc= -Orya}', "");
Expect(0, 2816, '\P{^Sc= -Orya}', "");
Error('\p{Is_Script=_/a/ORIYA}');
Error('\P{Is_Script=_/a/ORIYA}');
Expect(1, 2819, '\p{Is_Script=oriya}', "");
Expect(0, 2819, '\p{^Is_Script=oriya}', "");
Expect(0, 2819, '\P{Is_Script=oriya}', "");
Expect(1, 2819, '\P{^Is_Script=oriya}', "");
Expect(0, 2816, '\p{Is_Script=oriya}', "");
Expect(1, 2816, '\p{^Is_Script=oriya}', "");
Expect(1, 2816, '\P{Is_Script=oriya}', "");
Expect(0, 2816, '\P{^Is_Script=oriya}', "");
Expect(1, 2819, '\p{Is_Script=	 ORIYA}', "");
Expect(0, 2819, '\p{^Is_Script=	 ORIYA}', "");
Expect(0, 2819, '\P{Is_Script=	 ORIYA}', "");
Expect(1, 2819, '\P{^Is_Script=	 ORIYA}', "");
Expect(0, 2816, '\p{Is_Script=	 ORIYA}', "");
Expect(1, 2816, '\p{^Is_Script=	 ORIYA}', "");
Expect(1, 2816, '\P{Is_Script=	 ORIYA}', "");
Expect(0, 2816, '\P{^Is_Script=	 ORIYA}', "");
Error('\p{Is_Sc=:=ORYA}');
Error('\P{Is_Sc=:=ORYA}');
Expect(1, 2819, '\p{Is_Sc=orya}', "");
Expect(0, 2819, '\p{^Is_Sc=orya}', "");
Expect(0, 2819, '\P{Is_Sc=orya}', "");
Expect(1, 2819, '\P{^Is_Sc=orya}', "");
Expect(0, 2816, '\p{Is_Sc=orya}', "");
Expect(1, 2816, '\p{^Is_Sc=orya}', "");
Expect(1, 2816, '\P{Is_Sc=orya}', "");
Expect(0, 2816, '\P{^Is_Sc=orya}', "");
Expect(1, 2819, '\p{Is_Sc=	ORYA}', "");
Expect(0, 2819, '\p{^Is_Sc=	ORYA}', "");
Expect(0, 2819, '\P{Is_Sc=	ORYA}', "");
Expect(1, 2819, '\P{^Is_Sc=	ORYA}', "");
Expect(0, 2816, '\p{Is_Sc=	ORYA}', "");
Expect(1, 2816, '\p{^Is_Sc=	ORYA}', "");
Expect(1, 2816, '\P{Is_Sc=	ORYA}', "");
Expect(0, 2816, '\P{^Is_Sc=	ORYA}', "");
Error('\p{Script=/a/_-Lisu}');
Error('\P{Script=/a/_-Lisu}');
Expect(1, 42239, '\p{Script=lisu}', "");
Expect(0, 42239, '\p{^Script=lisu}', "");
Expect(0, 42239, '\P{Script=lisu}', "");
Expect(1, 42239, '\P{^Script=lisu}', "");
Expect(0, 42191, '\p{Script=lisu}', "");
Expect(1, 42191, '\p{^Script=lisu}', "");
Expect(1, 42191, '\P{Script=lisu}', "");
Expect(0, 42191, '\P{^Script=lisu}', "");
Expect(1, 42239, '\p{Script= _Lisu}', "");
Expect(0, 42239, '\p{^Script= _Lisu}', "");
Expect(0, 42239, '\P{Script= _Lisu}', "");
Expect(1, 42239, '\P{^Script= _Lisu}', "");
Expect(0, 42191, '\p{Script= _Lisu}', "");
Expect(1, 42191, '\p{^Script= _Lisu}', "");
Expect(1, 42191, '\P{Script= _Lisu}', "");
Expect(0, 42191, '\P{^Script= _Lisu}', "");
Error('\p{Sc= /a/LISU}');
Error('\P{Sc= /a/LISU}');
Expect(1, 42239, '\p{Sc=lisu}', "");
Expect(0, 42239, '\p{^Sc=lisu}', "");
Expect(0, 42239, '\P{Sc=lisu}', "");
Expect(1, 42239, '\P{^Sc=lisu}', "");
Expect(0, 42191, '\p{Sc=lisu}', "");
Expect(1, 42191, '\p{^Sc=lisu}', "");
Expect(1, 42191, '\P{Sc=lisu}', "");
Expect(0, 42191, '\P{^Sc=lisu}', "");
Expect(1, 42239, '\p{Sc=-LISU}', "");
Expect(0, 42239, '\p{^Sc=-LISU}', "");
Expect(0, 42239, '\P{Sc=-LISU}', "");
Expect(1, 42239, '\P{^Sc=-LISU}', "");
Expect(0, 42191, '\p{Sc=-LISU}', "");
Expect(1, 42191, '\p{^Sc=-LISU}', "");
Expect(1, 42191, '\P{Sc=-LISU}', "");
Expect(0, 42191, '\P{^Sc=-LISU}', "");
Error('\p{Is_Script=:= LISU}');
Error('\P{Is_Script=:= LISU}');
Expect(1, 42239, '\p{Is_Script:   lisu}', "");
Expect(0, 42239, '\p{^Is_Script:   lisu}', "");
Expect(0, 42239, '\P{Is_Script:   lisu}', "");
Expect(1, 42239, '\P{^Is_Script:   lisu}', "");
Expect(0, 42191, '\p{Is_Script:   lisu}', "");
Expect(1, 42191, '\p{^Is_Script:   lisu}', "");
Expect(1, 42191, '\P{Is_Script:   lisu}', "");
Expect(0, 42191, '\P{^Is_Script:   lisu}', "");
Expect(1, 42239, '\p{Is_Script= -LISU}', "");
Expect(0, 42239, '\p{^Is_Script= -LISU}', "");
Expect(0, 42239, '\P{Is_Script= -LISU}', "");
Expect(1, 42239, '\P{^Is_Script= -LISU}', "");
Expect(0, 42191, '\p{Is_Script= -LISU}', "");
Expect(1, 42191, '\p{^Is_Script= -LISU}', "");
Expect(1, 42191, '\P{Is_Script= -LISU}', "");
Expect(0, 42191, '\P{^Is_Script= -LISU}', "");
Error('\p{Is_Sc=_	Lisu:=}');
Error('\P{Is_Sc=_	Lisu:=}');
Expect(1, 42239, '\p{Is_Sc=lisu}', "");
Expect(0, 42239, '\p{^Is_Sc=lisu}', "");
Expect(0, 42239, '\P{Is_Sc=lisu}', "");
Expect(1, 42239, '\P{^Is_Sc=lisu}', "");
Expect(0, 42191, '\p{Is_Sc=lisu}', "");
Expect(1, 42191, '\p{^Is_Sc=lisu}', "");
Expect(1, 42191, '\P{Is_Sc=lisu}', "");
Expect(0, 42191, '\P{^Is_Sc=lisu}', "");
Expect(1, 42239, '\p{Is_Sc:   - Lisu}', "");
Expect(0, 42239, '\p{^Is_Sc:   - Lisu}', "");
Expect(0, 42239, '\P{Is_Sc:   - Lisu}', "");
Expect(1, 42239, '\P{^Is_Sc:   - Lisu}', "");
Expect(0, 42191, '\p{Is_Sc:   - Lisu}', "");
Expect(1, 42191, '\p{^Is_Sc:   - Lisu}', "");
Expect(1, 42191, '\P{Is_Sc:   - Lisu}', "");
Expect(0, 42191, '\P{^Is_Sc:   - Lisu}', "");
Error('\p{Script=/a/ TAI Le}');
Error('\P{Script=/a/ TAI Le}');
Expect(1, 6509, '\p{Script=taile}', "");
Expect(0, 6509, '\p{^Script=taile}', "");
Expect(0, 6509, '\P{Script=taile}', "");
Expect(1, 6509, '\P{^Script=taile}', "");
Expect(0, 6479, '\p{Script=taile}', "");
Expect(1, 6479, '\p{^Script=taile}', "");
Expect(1, 6479, '\P{Script=taile}', "");
Expect(0, 6479, '\P{^Script=taile}', "");
Expect(1, 6509, '\p{Script= -TAI-Le}', "");
Expect(0, 6509, '\p{^Script= -TAI-Le}', "");
Expect(0, 6509, '\P{Script= -TAI-Le}', "");
Expect(1, 6509, '\P{^Script= -TAI-Le}', "");
Expect(0, 6479, '\p{Script= -TAI-Le}', "");
Expect(1, 6479, '\p{^Script= -TAI-Le}', "");
Expect(1, 6479, '\P{Script= -TAI-Le}', "");
Expect(0, 6479, '\P{^Script= -TAI-Le}', "");
Error('\p{Sc=_TALE:=}');
Error('\P{Sc=_TALE:=}');
Expect(1, 6509, '\p{Sc:tale}', "");
Expect(0, 6509, '\p{^Sc:tale}', "");
Expect(0, 6509, '\P{Sc:tale}', "");
Expect(1, 6509, '\P{^Sc:tale}', "");
Expect(0, 6479, '\p{Sc:tale}', "");
Expect(1, 6479, '\p{^Sc:tale}', "");
Expect(1, 6479, '\P{Sc:tale}', "");
Expect(0, 6479, '\P{^Sc:tale}', "");
Expect(1, 6509, '\p{Sc= 	tale}', "");
Expect(0, 6509, '\p{^Sc= 	tale}', "");
Expect(0, 6509, '\P{Sc= 	tale}', "");
Expect(1, 6509, '\P{^Sc= 	tale}', "");
Expect(0, 6479, '\p{Sc= 	tale}', "");
Expect(1, 6479, '\p{^Sc= 	tale}', "");
Expect(1, 6479, '\P{Sc= 	tale}', "");
Expect(0, 6479, '\P{^Sc= 	tale}', "");
Error('\p{Is_Script=/a/taile}');
Error('\P{Is_Script=/a/taile}');
Expect(1, 6509, '\p{Is_Script=taile}', "");
Expect(0, 6509, '\p{^Is_Script=taile}', "");
Expect(0, 6509, '\P{Is_Script=taile}', "");
Expect(1, 6509, '\P{^Is_Script=taile}', "");
Expect(0, 6479, '\p{Is_Script=taile}', "");
Expect(1, 6479, '\p{^Is_Script=taile}', "");
Expect(1, 6479, '\P{Is_Script=taile}', "");
Expect(0, 6479, '\P{^Is_Script=taile}', "");
Expect(1, 6509, '\p{Is_Script:   -_Tai LE}', "");
Expect(0, 6509, '\p{^Is_Script:   -_Tai LE}', "");
Expect(0, 6509, '\P{Is_Script:   -_Tai LE}', "");
Expect(1, 6509, '\P{^Is_Script:   -_Tai LE}', "");
Expect(0, 6479, '\p{Is_Script:   -_Tai LE}', "");
Expect(1, 6479, '\p{^Is_Script:   -_Tai LE}', "");
Expect(1, 6479, '\P{Is_Script:   -_Tai LE}', "");
Expect(0, 6479, '\P{^Is_Script:   -_Tai LE}', "");
Error('\p{Is_Sc=__Tale/a/}');
Error('\P{Is_Sc=__Tale/a/}');
Expect(1, 6509, '\p{Is_Sc=tale}', "");
Expect(0, 6509, '\p{^Is_Sc=tale}', "");
Expect(0, 6509, '\P{Is_Sc=tale}', "");
Expect(1, 6509, '\P{^Is_Sc=tale}', "");
Expect(0, 6479, '\p{Is_Sc=tale}', "");
Expect(1, 6479, '\p{^Is_Sc=tale}', "");
Expect(1, 6479, '\P{Is_Sc=tale}', "");
Expect(0, 6479, '\P{^Is_Sc=tale}', "");
Expect(1, 6509, '\p{Is_Sc=	Tale}', "");
Expect(0, 6509, '\p{^Is_Sc=	Tale}', "");
Expect(0, 6509, '\P{Is_Sc=	Tale}', "");
Expect(1, 6509, '\P{^Is_Sc=	Tale}', "");
Expect(0, 6479, '\p{Is_Sc=	Tale}', "");
Expect(1, 6479, '\p{^Is_Sc=	Tale}', "");
Expect(1, 6479, '\P{Is_Sc=	Tale}', "");
Expect(0, 6479, '\P{^Is_Sc=	Tale}', "");
Error('\p{Script=-Avestan:=}');
Error('\P{Script=-Avestan:=}');
Expect(1, 68405, '\p{Script=avestan}', "");
Expect(0, 68405, '\p{^Script=avestan}', "");
Expect(0, 68405, '\P{Script=avestan}', "");
Expect(1, 68405, '\P{^Script=avestan}', "");
Expect(0, 68351, '\p{Script=avestan}', "");
Expect(1, 68351, '\p{^Script=avestan}', "");
Expect(1, 68351, '\P{Script=avestan}', "");
Expect(0, 68351, '\P{^Script=avestan}', "");
Expect(1, 68405, '\p{Script:   --AVESTAN}', "");
Expect(0, 68405, '\p{^Script:   --AVESTAN}', "");
Expect(0, 68405, '\P{Script:   --AVESTAN}', "");
Expect(1, 68405, '\P{^Script:   --AVESTAN}', "");
Expect(0, 68351, '\p{Script:   --AVESTAN}', "");
Expect(1, 68351, '\p{^Script:   --AVESTAN}', "");
Expect(1, 68351, '\P{Script:   --AVESTAN}', "");
Expect(0, 68351, '\P{^Script:   --AVESTAN}', "");
Error('\p{Sc: _/a/Avst}');
Error('\P{Sc: _/a/Avst}');
Expect(1, 68405, '\p{Sc=avst}', "");
Expect(0, 68405, '\p{^Sc=avst}', "");
Expect(0, 68405, '\P{Sc=avst}', "");
Expect(1, 68405, '\P{^Sc=avst}', "");
Expect(0, 68351, '\p{Sc=avst}', "");
Expect(1, 68351, '\p{^Sc=avst}', "");
Expect(1, 68351, '\P{Sc=avst}', "");
Expect(0, 68351, '\P{^Sc=avst}', "");
Expect(1, 68405, '\p{Sc=_ AVST}', "");
Expect(0, 68405, '\p{^Sc=_ AVST}', "");
Expect(0, 68405, '\P{Sc=_ AVST}', "");
Expect(1, 68405, '\P{^Sc=_ AVST}', "");
Expect(0, 68351, '\p{Sc=_ AVST}', "");
Expect(1, 68351, '\p{^Sc=_ AVST}', "");
Expect(1, 68351, '\P{Sc=_ AVST}', "");
Expect(0, 68351, '\P{^Sc=_ AVST}', "");
Error('\p{Is_Script=-AVESTAN/a/}');
Error('\P{Is_Script=-AVESTAN/a/}');
Expect(1, 68405, '\p{Is_Script=avestan}', "");
Expect(0, 68405, '\p{^Is_Script=avestan}', "");
Expect(0, 68405, '\P{Is_Script=avestan}', "");
Expect(1, 68405, '\P{^Is_Script=avestan}', "");
Expect(0, 68351, '\p{Is_Script=avestan}', "");
Expect(1, 68351, '\p{^Is_Script=avestan}', "");
Expect(1, 68351, '\P{Is_Script=avestan}', "");
Expect(0, 68351, '\P{^Is_Script=avestan}', "");
Expect(1, 68405, '\p{Is_Script=-Avestan}', "");
Expect(0, 68405, '\p{^Is_Script=-Avestan}', "");
Expect(0, 68405, '\P{Is_Script=-Avestan}', "");
Expect(1, 68405, '\P{^Is_Script=-Avestan}', "");
Expect(0, 68351, '\p{Is_Script=-Avestan}', "");
Expect(1, 68351, '\p{^Is_Script=-Avestan}', "");
Expect(1, 68351, '\P{Is_Script=-Avestan}', "");
Expect(0, 68351, '\P{^Is_Script=-Avestan}', "");
Error('\p{Is_Sc=:= _Avst}');
Error('\P{Is_Sc=:= _Avst}');
Expect(1, 68405, '\p{Is_Sc=avst}', "");
Expect(0, 68405, '\p{^Is_Sc=avst}', "");
Expect(0, 68405, '\P{Is_Sc=avst}', "");
Expect(1, 68405, '\P{^Is_Sc=avst}', "");
Expect(0, 68351, '\p{Is_Sc=avst}', "");
Expect(1, 68351, '\p{^Is_Sc=avst}', "");
Expect(1, 68351, '\P{Is_Sc=avst}', "");
Expect(0, 68351, '\P{^Is_Sc=avst}', "");
Expect(1, 68405, '\p{Is_Sc=-_avst}', "");
Expect(0, 68405, '\p{^Is_Sc=-_avst}', "");
Expect(0, 68405, '\P{Is_Sc=-_avst}', "");
Expect(1, 68405, '\P{^Is_Sc=-_avst}', "");
Expect(0, 68351, '\p{Is_Sc=-_avst}', "");
Expect(1, 68351, '\p{^Is_Sc=-_avst}', "");
Expect(1, 68351, '\P{Is_Sc=-_avst}', "");
Expect(0, 68351, '\P{^Is_Sc=-_avst}', "");
Error('\p{Script=:=Georgian}');
Error('\P{Script=:=Georgian}');
Expect(1, 4293, '\p{Script=georgian}', "");
Expect(0, 4293, '\p{^Script=georgian}', "");
Expect(0, 4293, '\P{Script=georgian}', "");
Expect(1, 4293, '\P{^Script=georgian}', "");
Expect(0, 4255, '\p{Script=georgian}', "");
Expect(1, 4255, '\p{^Script=georgian}', "");
Expect(1, 4255, '\P{Script=georgian}', "");
Expect(0, 4255, '\P{^Script=georgian}', "");
Expect(1, 4293, '\p{Script= Georgian}', "");
Expect(0, 4293, '\p{^Script= Georgian}', "");
Expect(0, 4293, '\P{Script= Georgian}', "");
Expect(1, 4293, '\P{^Script= Georgian}', "");
Expect(0, 4255, '\p{Script= Georgian}', "");
Expect(1, 4255, '\p{^Script= Georgian}', "");
Expect(1, 4255, '\P{Script= Georgian}', "");
Expect(0, 4255, '\P{^Script= Georgian}', "");
Error('\p{Sc=:=_geor}');
Error('\P{Sc=:=_geor}');
Expect(1, 4293, '\p{Sc=geor}', "");
Expect(0, 4293, '\p{^Sc=geor}', "");
Expect(0, 4293, '\P{Sc=geor}', "");
Expect(1, 4293, '\P{^Sc=geor}', "");
Expect(0, 4255, '\p{Sc=geor}', "");
Expect(1, 4255, '\p{^Sc=geor}', "");
Expect(1, 4255, '\P{Sc=geor}', "");
Expect(0, 4255, '\P{^Sc=geor}', "");
Expect(1, 4293, '\p{Sc=  Geor}', "");
Expect(0, 4293, '\p{^Sc=  Geor}', "");
Expect(0, 4293, '\P{Sc=  Geor}', "");
Expect(1, 4293, '\P{^Sc=  Geor}', "");
Expect(0, 4255, '\p{Sc=  Geor}', "");
Expect(1, 4255, '\p{^Sc=  Geor}', "");
Expect(1, 4255, '\P{Sc=  Geor}', "");
Expect(0, 4255, '\P{^Sc=  Geor}', "");
Error('\p{Is_Script=_:=Georgian}');
Error('\P{Is_Script=_:=Georgian}');
Expect(1, 4293, '\p{Is_Script=georgian}', "");
Expect(0, 4293, '\p{^Is_Script=georgian}', "");
Expect(0, 4293, '\P{Is_Script=georgian}', "");
Expect(1, 4293, '\P{^Is_Script=georgian}', "");
Expect(0, 4255, '\p{Is_Script=georgian}', "");
Expect(1, 4255, '\p{^Is_Script=georgian}', "");
Expect(1, 4255, '\P{Is_Script=georgian}', "");
Expect(0, 4255, '\P{^Is_Script=georgian}', "");
Expect(1, 4293, '\p{Is_Script:	-Georgian}', "");
Expect(0, 4293, '\p{^Is_Script:	-Georgian}', "");
Expect(0, 4293, '\P{Is_Script:	-Georgian}', "");
Expect(1, 4293, '\P{^Is_Script:	-Georgian}', "");
Expect(0, 4255, '\p{Is_Script:	-Georgian}', "");
Expect(1, 4255, '\p{^Is_Script:	-Georgian}', "");
Expect(1, 4255, '\P{Is_Script:	-Georgian}', "");
Expect(0, 4255, '\P{^Is_Script:	-Georgian}', "");
Error('\p{Is_Sc:	/a/__GEOR}');
Error('\P{Is_Sc:	/a/__GEOR}');
Expect(1, 4293, '\p{Is_Sc=geor}', "");
Expect(0, 4293, '\p{^Is_Sc=geor}', "");
Expect(0, 4293, '\P{Is_Sc=geor}', "");
Expect(1, 4293, '\P{^Is_Sc=geor}', "");
Expect(0, 4255, '\p{Is_Sc=geor}', "");
Expect(1, 4255, '\p{^Is_Sc=geor}', "");
Expect(1, 4255, '\P{Is_Sc=geor}', "");
Expect(0, 4255, '\P{^Is_Sc=geor}', "");
Expect(1, 4293, '\p{Is_Sc=	GEOR}', "");
Expect(0, 4293, '\p{^Is_Sc=	GEOR}', "");
Expect(0, 4293, '\P{Is_Sc=	GEOR}', "");
Expect(1, 4293, '\P{^Is_Sc=	GEOR}', "");
Expect(0, 4255, '\p{Is_Sc=	GEOR}', "");
Expect(1, 4255, '\p{^Is_Sc=	GEOR}', "");
Expect(1, 4255, '\P{Is_Sc=	GEOR}', "");
Expect(0, 4255, '\P{^Is_Sc=	GEOR}', "");
Error('\p{Script=	:=Telugu}');
Error('\P{Script=	:=Telugu}');
Expect(1, 3075, '\p{Script=telugu}', "");
Expect(0, 3075, '\p{^Script=telugu}', "");
Expect(0, 3075, '\P{Script=telugu}', "");
Expect(1, 3075, '\P{^Script=telugu}', "");
Expect(0, 3072, '\p{Script=telugu}', "");
Expect(1, 3072, '\p{^Script=telugu}', "");
Expect(1, 3072, '\P{Script=telugu}', "");
Expect(0, 3072, '\P{^Script=telugu}', "");
Expect(1, 3075, '\p{Script= TELUGU}', "");
Expect(0, 3075, '\p{^Script= TELUGU}', "");
Expect(0, 3075, '\P{Script= TELUGU}', "");
Expect(1, 3075, '\P{^Script= TELUGU}', "");
Expect(0, 3072, '\p{Script= TELUGU}', "");
Expect(1, 3072, '\p{^Script= TELUGU}', "");
Expect(1, 3072, '\P{Script= TELUGU}', "");
Expect(0, 3072, '\P{^Script= TELUGU}', "");
Error('\p{Sc=-/a/TELU}');
Error('\P{Sc=-/a/TELU}');
Expect(1, 3075, '\p{Sc=telu}', "");
Expect(0, 3075, '\p{^Sc=telu}', "");
Expect(0, 3075, '\P{Sc=telu}', "");
Expect(1, 3075, '\P{^Sc=telu}', "");
Expect(0, 3072, '\p{Sc=telu}', "");
Expect(1, 3072, '\p{^Sc=telu}', "");
Expect(1, 3072, '\P{Sc=telu}', "");
Expect(0, 3072, '\P{^Sc=telu}', "");
Expect(1, 3075, '\p{Sc=-Telu}', "");
Expect(0, 3075, '\p{^Sc=-Telu}', "");
Expect(0, 3075, '\P{Sc=-Telu}', "");
Expect(1, 3075, '\P{^Sc=-Telu}', "");
Expect(0, 3072, '\p{Sc=-Telu}', "");
Expect(1, 3072, '\p{^Sc=-Telu}', "");
Expect(1, 3072, '\P{Sc=-Telu}', "");
Expect(0, 3072, '\P{^Sc=-Telu}', "");
Error('\p{Is_Script=	_telugu:=}');
Error('\P{Is_Script=	_telugu:=}');
Expect(1, 3075, '\p{Is_Script=telugu}', "");
Expect(0, 3075, '\p{^Is_Script=telugu}', "");
Expect(0, 3075, '\P{Is_Script=telugu}', "");
Expect(1, 3075, '\P{^Is_Script=telugu}', "");
Expect(0, 3072, '\p{Is_Script=telugu}', "");
Expect(1, 3072, '\p{^Is_Script=telugu}', "");
Expect(1, 3072, '\P{Is_Script=telugu}', "");
Expect(0, 3072, '\P{^Is_Script=telugu}', "");
Expect(1, 3075, '\p{Is_Script= Telugu}', "");
Expect(0, 3075, '\p{^Is_Script= Telugu}', "");
Expect(0, 3075, '\P{Is_Script= Telugu}', "");
Expect(1, 3075, '\P{^Is_Script= Telugu}', "");
Expect(0, 3072, '\p{Is_Script= Telugu}', "");
Expect(1, 3072, '\p{^Is_Script= Telugu}', "");
Expect(1, 3072, '\P{Is_Script= Telugu}', "");
Expect(0, 3072, '\P{^Is_Script= Telugu}', "");
Error('\p{Is_Sc=/a/Telu}');
Error('\P{Is_Sc=/a/Telu}');
Expect(1, 3075, '\p{Is_Sc=telu}', "");
Expect(0, 3075, '\p{^Is_Sc=telu}', "");
Expect(0, 3075, '\P{Is_Sc=telu}', "");
Expect(1, 3075, '\P{^Is_Sc=telu}', "");
Expect(0, 3072, '\p{Is_Sc=telu}', "");
Expect(1, 3072, '\p{^Is_Sc=telu}', "");
Expect(1, 3072, '\P{Is_Sc=telu}', "");
Expect(0, 3072, '\P{^Is_Sc=telu}', "");
Expect(1, 3075, '\p{Is_Sc=	TELU}', "");
Expect(0, 3075, '\p{^Is_Sc=	TELU}', "");
Expect(0, 3075, '\P{Is_Sc=	TELU}', "");
Expect(1, 3075, '\P{^Is_Sc=	TELU}', "");
Expect(0, 3072, '\p{Is_Sc=	TELU}', "");
Expect(1, 3072, '\p{^Is_Sc=	TELU}', "");
Expect(1, 3072, '\P{Is_Sc=	TELU}', "");
Expect(0, 3072, '\P{^Is_Sc=	TELU}', "");
Error('\p{Script=_	TIFINAGH:=}');
Error('\P{Script=_	TIFINAGH:=}');
Expect(1, 11621, '\p{Script=tifinagh}', "");
Expect(0, 11621, '\p{^Script=tifinagh}', "");
Expect(0, 11621, '\P{Script=tifinagh}', "");
Expect(1, 11621, '\P{^Script=tifinagh}', "");
Expect(0, 11567, '\p{Script=tifinagh}', "");
Expect(1, 11567, '\p{^Script=tifinagh}', "");
Expect(1, 11567, '\P{Script=tifinagh}', "");
Expect(0, 11567, '\P{^Script=tifinagh}', "");
Expect(1, 11621, '\p{Script=- TIFINAGH}', "");
Expect(0, 11621, '\p{^Script=- TIFINAGH}', "");
Expect(0, 11621, '\P{Script=- TIFINAGH}', "");
Expect(1, 11621, '\P{^Script=- TIFINAGH}', "");
Expect(0, 11567, '\p{Script=- TIFINAGH}', "");
Expect(1, 11567, '\p{^Script=- TIFINAGH}', "");
Expect(1, 11567, '\P{Script=- TIFINAGH}', "");
Expect(0, 11567, '\P{^Script=- TIFINAGH}', "");
Error('\p{Sc:	/a/Tfng}');
Error('\P{Sc:	/a/Tfng}');
Expect(1, 11621, '\p{Sc=tfng}', "");
Expect(0, 11621, '\p{^Sc=tfng}', "");
Expect(0, 11621, '\P{Sc=tfng}', "");
Expect(1, 11621, '\P{^Sc=tfng}', "");
Expect(0, 11567, '\p{Sc=tfng}', "");
Expect(1, 11567, '\p{^Sc=tfng}', "");
Expect(1, 11567, '\P{Sc=tfng}', "");
Expect(0, 11567, '\P{^Sc=tfng}', "");
Expect(1, 11621, '\p{Sc= _Tfng}', "");
Expect(0, 11621, '\p{^Sc= _Tfng}', "");
Expect(0, 11621, '\P{Sc= _Tfng}', "");
Expect(1, 11621, '\P{^Sc= _Tfng}', "");
Expect(0, 11567, '\p{Sc= _Tfng}', "");
Expect(1, 11567, '\p{^Sc= _Tfng}', "");
Expect(1, 11567, '\P{Sc= _Tfng}', "");
Expect(0, 11567, '\P{^Sc= _Tfng}', "");
Error('\p{Is_Script=_-Tifinagh:=}');
Error('\P{Is_Script=_-Tifinagh:=}');
Expect(1, 11621, '\p{Is_Script=tifinagh}', "");
Expect(0, 11621, '\p{^Is_Script=tifinagh}', "");
Expect(0, 11621, '\P{Is_Script=tifinagh}', "");
Expect(1, 11621, '\P{^Is_Script=tifinagh}', "");
Expect(0, 11567, '\p{Is_Script=tifinagh}', "");
Expect(1, 11567, '\p{^Is_Script=tifinagh}', "");
Expect(1, 11567, '\P{Is_Script=tifinagh}', "");
Expect(0, 11567, '\P{^Is_Script=tifinagh}', "");
Expect(1, 11621, '\p{Is_Script=-	TIFINAGH}', "");
Expect(0, 11621, '\p{^Is_Script=-	TIFINAGH}', "");
Expect(0, 11621, '\P{Is_Script=-	TIFINAGH}', "");
Expect(1, 11621, '\P{^Is_Script=-	TIFINAGH}', "");
Expect(0, 11567, '\p{Is_Script=-	TIFINAGH}', "");
Expect(1, 11567, '\p{^Is_Script=-	TIFINAGH}', "");
Expect(1, 11567, '\P{Is_Script=-	TIFINAGH}', "");
Expect(0, 11567, '\P{^Is_Script=-	TIFINAGH}', "");
Error('\p{Is_Sc=:=_tfng}');
Error('\P{Is_Sc=:=_tfng}');
Expect(1, 11621, '\p{Is_Sc=tfng}', "");
Expect(0, 11621, '\p{^Is_Sc=tfng}', "");
Expect(0, 11621, '\P{Is_Sc=tfng}', "");
Expect(1, 11621, '\P{^Is_Sc=tfng}', "");
Expect(0, 11567, '\p{Is_Sc=tfng}', "");
Expect(1, 11567, '\p{^Is_Sc=tfng}', "");
Expect(1, 11567, '\P{Is_Sc=tfng}', "");
Expect(0, 11567, '\P{^Is_Sc=tfng}', "");
Expect(1, 11621, '\p{Is_Sc= 	TFNG}', "");
Expect(0, 11621, '\p{^Is_Sc= 	TFNG}', "");
Expect(0, 11621, '\P{Is_Sc= 	TFNG}', "");
Expect(1, 11621, '\P{^Is_Sc= 	TFNG}', "");
Expect(0, 11567, '\p{Is_Sc= 	TFNG}', "");
Expect(1, 11567, '\p{^Is_Sc= 	TFNG}', "");
Expect(1, 11567, '\P{Is_Sc= 	TFNG}', "");
Expect(0, 11567, '\P{^Is_Sc= 	TFNG}', "");
Error('\p{Script:/a/--Sinhala}');
Error('\P{Script:/a/--Sinhala}');
Expect(1, 3459, '\p{Script=sinhala}', "");
Expect(0, 3459, '\p{^Script=sinhala}', "");
Expect(0, 3459, '\P{Script=sinhala}', "");
Expect(1, 3459, '\P{^Script=sinhala}', "");
Expect(0, 3457, '\p{Script=sinhala}', "");
Expect(1, 3457, '\p{^Script=sinhala}', "");
Expect(1, 3457, '\P{Script=sinhala}', "");
Expect(0, 3457, '\P{^Script=sinhala}', "");
Expect(1, 3459, '\p{Script= 	sinhala}', "");
Expect(0, 3459, '\p{^Script= 	sinhala}', "");
Expect(0, 3459, '\P{Script= 	sinhala}', "");
Expect(1, 3459, '\P{^Script= 	sinhala}', "");
Expect(0, 3457, '\p{Script= 	sinhala}', "");
Expect(1, 3457, '\p{^Script= 	sinhala}', "");
Expect(1, 3457, '\P{Script= 	sinhala}', "");
Expect(0, 3457, '\P{^Script= 	sinhala}', "");
Error('\p{Sc=_:=SINH}');
Error('\P{Sc=_:=SINH}');
Expect(1, 3459, '\p{Sc=sinh}', "");
Expect(0, 3459, '\p{^Sc=sinh}', "");
Expect(0, 3459, '\P{Sc=sinh}', "");
Expect(1, 3459, '\P{^Sc=sinh}', "");
Expect(0, 3457, '\p{Sc=sinh}', "");
Expect(1, 3457, '\p{^Sc=sinh}', "");
Expect(1, 3457, '\P{Sc=sinh}', "");
Expect(0, 3457, '\P{^Sc=sinh}', "");
Expect(1, 3459, '\p{Sc=_Sinh}', "");
Expect(0, 3459, '\p{^Sc=_Sinh}', "");
Expect(0, 3459, '\P{Sc=_Sinh}', "");
Expect(1, 3459, '\P{^Sc=_Sinh}', "");
Expect(0, 3457, '\p{Sc=_Sinh}', "");
Expect(1, 3457, '\p{^Sc=_Sinh}', "");
Expect(1, 3457, '\P{Sc=_Sinh}', "");
Expect(0, 3457, '\P{^Sc=_Sinh}', "");
Error('\p{Is_Script=_SINHALA/a/}');
Error('\P{Is_Script=_SINHALA/a/}');
Expect(1, 3459, '\p{Is_Script=sinhala}', "");
Expect(0, 3459, '\p{^Is_Script=sinhala}', "");
Expect(0, 3459, '\P{Is_Script=sinhala}', "");
Expect(1, 3459, '\P{^Is_Script=sinhala}', "");
Expect(0, 3457, '\p{Is_Script=sinhala}', "");
Expect(1, 3457, '\p{^Is_Script=sinhala}', "");
Expect(1, 3457, '\P{Is_Script=sinhala}', "");
Expect(0, 3457, '\P{^Is_Script=sinhala}', "");
Expect(1, 3459, '\p{Is_Script=  Sinhala}', "");
Expect(0, 3459, '\p{^Is_Script=  Sinhala}', "");
Expect(0, 3459, '\P{Is_Script=  Sinhala}', "");
Expect(1, 3459, '\P{^Is_Script=  Sinhala}', "");
Expect(0, 3457, '\p{Is_Script=  Sinhala}', "");
Expect(1, 3457, '\p{^Is_Script=  Sinhala}', "");
Expect(1, 3457, '\P{Is_Script=  Sinhala}', "");
Expect(0, 3457, '\P{^Is_Script=  Sinhala}', "");
Error('\p{Is_Sc=_sinh/a/}');
Error('\P{Is_Sc=_sinh/a/}');
Expect(1, 3459, '\p{Is_Sc=sinh}', "");
Expect(0, 3459, '\p{^Is_Sc=sinh}', "");
Expect(0, 3459, '\P{Is_Sc=sinh}', "");
Expect(1, 3459, '\P{^Is_Sc=sinh}', "");
Expect(0, 3457, '\p{Is_Sc=sinh}', "");
Expect(1, 3457, '\p{^Is_Sc=sinh}', "");
Expect(1, 3457, '\P{Is_Sc=sinh}', "");
Expect(0, 3457, '\P{^Is_Sc=sinh}', "");
Expect(1, 3459, '\p{Is_Sc=	 Sinh}', "");
Expect(0, 3459, '\p{^Is_Sc=	 Sinh}', "");
Expect(0, 3459, '\P{Is_Sc=	 Sinh}', "");
Expect(1, 3459, '\P{^Is_Sc=	 Sinh}', "");
Expect(0, 3457, '\p{Is_Sc=	 Sinh}', "");
Expect(1, 3457, '\p{^Is_Sc=	 Sinh}', "");
Expect(1, 3457, '\P{Is_Sc=	 Sinh}', "");
Expect(0, 3457, '\P{^Is_Sc=	 Sinh}', "");
Error('\p{Script=	Linear/a/B}');
Error('\P{Script=	Linear/a/B}');
Expect(1, 65547, '\p{Script=linearb}', "");
Expect(0, 65547, '\p{^Script=linearb}', "");
Expect(0, 65547, '\P{Script=linearb}', "");
Expect(1, 65547, '\P{^Script=linearb}', "");
Expect(0, 1, '\p{Script=linearb}', "");
Expect(1, 1, '\p{^Script=linearb}', "");
Expect(1, 1, '\P{Script=linearb}', "");
Expect(0, 1, '\P{^Script=linearb}', "");
Expect(1, 65547, '\p{Script=  linear_b}', "");
Expect(0, 65547, '\p{^Script=  linear_b}', "");
Expect(0, 65547, '\P{Script=  linear_b}', "");
Expect(1, 65547, '\P{^Script=  linear_b}', "");
Expect(0, 1, '\p{Script=  linear_b}', "");
Expect(1, 1, '\p{^Script=  linear_b}', "");
Expect(1, 1, '\P{Script=  linear_b}', "");
Expect(0, 1, '\P{^Script=  linear_b}', "");
Error('\p{Sc:   /a/-LINB}');
Error('\P{Sc:   /a/-LINB}');
Expect(1, 65547, '\p{Sc=linb}', "");
Expect(0, 65547, '\p{^Sc=linb}', "");
Expect(0, 65547, '\P{Sc=linb}', "");
Expect(1, 65547, '\P{^Sc=linb}', "");
Expect(0, 1, '\p{Sc=linb}', "");
Expect(1, 1, '\p{^Sc=linb}', "");
Expect(1, 1, '\P{Sc=linb}', "");
Expect(0, 1, '\P{^Sc=linb}', "");
Expect(1, 65547, '\p{Sc=  LINB}', "");
Expect(0, 65547, '\p{^Sc=  LINB}', "");
Expect(0, 65547, '\P{Sc=  LINB}', "");
Expect(1, 65547, '\P{^Sc=  LINB}', "");
Expect(0, 1, '\p{Sc=  LINB}', "");
Expect(1, 1, '\p{^Sc=  LINB}', "");
Expect(1, 1, '\P{Sc=  LINB}', "");
Expect(0, 1, '\P{^Sc=  LINB}', "");
Error('\p{Is_Script=/a/Linear-B}');
Error('\P{Is_Script=/a/Linear-B}');
Expect(1, 65547, '\p{Is_Script=linearb}', "");
Expect(0, 65547, '\p{^Is_Script=linearb}', "");
Expect(0, 65547, '\P{Is_Script=linearb}', "");
Expect(1, 65547, '\P{^Is_Script=linearb}', "");
Expect(0, 1, '\p{Is_Script=linearb}', "");
Expect(1, 1, '\p{^Is_Script=linearb}', "");
Expect(1, 1, '\P{Is_Script=linearb}', "");
Expect(0, 1, '\P{^Is_Script=linearb}', "");
Expect(1, 65547, '\p{Is_Script=_linear-B}', "");
Expect(0, 65547, '\p{^Is_Script=_linear-B}', "");
Expect(0, 65547, '\P{Is_Script=_linear-B}', "");
Expect(1, 65547, '\P{^Is_Script=_linear-B}', "");
Expect(0, 1, '\p{Is_Script=_linear-B}', "");
Expect(1, 1, '\p{^Is_Script=_linear-B}', "");
Expect(1, 1, '\P{Is_Script=_linear-B}', "");
Expect(0, 1, '\P{^Is_Script=_linear-B}', "");
Error('\p{Is_Sc=_/a/Linb}');
Error('\P{Is_Sc=_/a/Linb}');
Expect(1, 65547, '\p{Is_Sc=linb}', "");
Expect(0, 65547, '\p{^Is_Sc=linb}', "");
Expect(0, 65547, '\P{Is_Sc=linb}', "");
Expect(1, 65547, '\P{^Is_Sc=linb}', "");
Expect(0, 1, '\p{Is_Sc=linb}', "");
Expect(1, 1, '\p{^Is_Sc=linb}', "");
Expect(1, 1, '\P{Is_Sc=linb}', "");
Expect(0, 1, '\P{^Is_Sc=linb}', "");
Expect(1, 65547, '\p{Is_Sc=__Linb}', "");
Expect(0, 65547, '\p{^Is_Sc=__Linb}', "");
Expect(0, 65547, '\P{Is_Sc=__Linb}', "");
Expect(1, 65547, '\P{^Is_Sc=__Linb}', "");
Expect(0, 1, '\p{Is_Sc=__Linb}', "");
Expect(1, 1, '\p{^Is_Sc=__Linb}', "");
Expect(1, 1, '\P{Is_Sc=__Linb}', "");
Expect(0, 1, '\P{^Is_Sc=__Linb}', "");
Error('\p{Script=/a/ _Samaritan}');
Error('\P{Script=/a/ _Samaritan}');
Expect(1, 2093, '\p{Script=samaritan}', "");
Expect(0, 2093, '\p{^Script=samaritan}', "");
Expect(0, 2093, '\P{Script=samaritan}', "");
Expect(1, 2093, '\P{^Script=samaritan}', "");
Expect(0, 2047, '\p{Script=samaritan}', "");
Expect(1, 2047, '\p{^Script=samaritan}', "");
Expect(1, 2047, '\P{Script=samaritan}', "");
Expect(0, 2047, '\P{^Script=samaritan}', "");
Expect(1, 2093, '\p{Script=_-samaritan}', "");
Expect(0, 2093, '\p{^Script=_-samaritan}', "");
Expect(0, 2093, '\P{Script=_-samaritan}', "");
Expect(1, 2093, '\P{^Script=_-samaritan}', "");
Expect(0, 2047, '\p{Script=_-samaritan}', "");
Expect(1, 2047, '\p{^Script=_-samaritan}', "");
Expect(1, 2047, '\P{Script=_-samaritan}', "");
Expect(0, 2047, '\P{^Script=_-samaritan}', "");
Error('\p{Sc=/a/Samr}');
Error('\P{Sc=/a/Samr}');
Expect(1, 2093, '\p{Sc=samr}', "");
Expect(0, 2093, '\p{^Sc=samr}', "");
Expect(0, 2093, '\P{Sc=samr}', "");
Expect(1, 2093, '\P{^Sc=samr}', "");
Expect(0, 2047, '\p{Sc=samr}', "");
Expect(1, 2047, '\p{^Sc=samr}', "");
Expect(1, 2047, '\P{Sc=samr}', "");
Expect(0, 2047, '\P{^Sc=samr}', "");
Expect(1, 2093, '\p{Sc=_	Samr}', "");
Expect(0, 2093, '\p{^Sc=_	Samr}', "");
Expect(0, 2093, '\P{Sc=_	Samr}', "");
Expect(1, 2093, '\P{^Sc=_	Samr}', "");
Expect(0, 2047, '\p{Sc=_	Samr}', "");
Expect(1, 2047, '\p{^Sc=_	Samr}', "");
Expect(1, 2047, '\P{Sc=_	Samr}', "");
Expect(0, 2047, '\P{^Sc=_	Samr}', "");
Error('\p{Is_Script=/a/_-Samaritan}');
Error('\P{Is_Script=/a/_-Samaritan}');
Expect(1, 2093, '\p{Is_Script=samaritan}', "");
Expect(0, 2093, '\p{^Is_Script=samaritan}', "");
Expect(0, 2093, '\P{Is_Script=samaritan}', "");
Expect(1, 2093, '\P{^Is_Script=samaritan}', "");
Expect(0, 2047, '\p{Is_Script=samaritan}', "");
Expect(1, 2047, '\p{^Is_Script=samaritan}', "");
Expect(1, 2047, '\P{Is_Script=samaritan}', "");
Expect(0, 2047, '\P{^Is_Script=samaritan}', "");
Expect(1, 2093, '\p{Is_Script= Samaritan}', "");
Expect(0, 2093, '\p{^Is_Script= Samaritan}', "");
Expect(0, 2093, '\P{Is_Script= Samaritan}', "");
Expect(1, 2093, '\P{^Is_Script= Samaritan}', "");
Expect(0, 2047, '\p{Is_Script= Samaritan}', "");
Expect(1, 2047, '\p{^Is_Script= Samaritan}', "");
Expect(1, 2047, '\P{Is_Script= Samaritan}', "");
Expect(0, 2047, '\P{^Is_Script= Samaritan}', "");
Error('\p{Is_Sc=-_Samr/a/}');
Error('\P{Is_Sc=-_Samr/a/}');
Expect(1, 2093, '\p{Is_Sc=samr}', "");
Expect(0, 2093, '\p{^Is_Sc=samr}', "");
Expect(0, 2093, '\P{Is_Sc=samr}', "");
Expect(1, 2093, '\P{^Is_Sc=samr}', "");
Expect(0, 2047, '\p{Is_Sc=samr}', "");
Expect(1, 2047, '\p{^Is_Sc=samr}', "");
Expect(1, 2047, '\P{Is_Sc=samr}', "");
Expect(0, 2047, '\P{^Is_Sc=samr}', "");
Expect(1, 2093, '\p{Is_Sc=- Samr}', "");
Expect(0, 2093, '\p{^Is_Sc=- Samr}', "");
Expect(0, 2093, '\P{Is_Sc=- Samr}', "");
Expect(1, 2093, '\P{^Is_Sc=- Samr}', "");
Expect(0, 2047, '\p{Is_Sc=- Samr}', "");
Expect(1, 2047, '\p{^Is_Sc=- Samr}', "");
Expect(1, 2047, '\P{Is_Sc=- Samr}', "");
Expect(0, 2047, '\P{^Is_Sc=- Samr}', "");
Error('\p{Script= saurashtra/a/}');
Error('\P{Script= saurashtra/a/}');
Expect(1, 43204, '\p{Script=saurashtra}', "");
Expect(0, 43204, '\p{^Script=saurashtra}', "");
Expect(0, 43204, '\P{Script=saurashtra}', "");
Expect(1, 43204, '\P{^Script=saurashtra}', "");
Expect(0, 43135, '\p{Script=saurashtra}', "");
Expect(1, 43135, '\p{^Script=saurashtra}', "");
Expect(1, 43135, '\P{Script=saurashtra}', "");
Expect(0, 43135, '\P{^Script=saurashtra}', "");
Expect(1, 43204, '\p{Script=_	Saurashtra}', "");
Expect(0, 43204, '\p{^Script=_	Saurashtra}', "");
Expect(0, 43204, '\P{Script=_	Saurashtra}', "");
Expect(1, 43204, '\P{^Script=_	Saurashtra}', "");
Expect(0, 43135, '\p{Script=_	Saurashtra}', "");
Expect(1, 43135, '\p{^Script=_	Saurashtra}', "");
Expect(1, 43135, '\P{Script=_	Saurashtra}', "");
Expect(0, 43135, '\P{^Script=_	Saurashtra}', "");
Error('\p{Sc=/a/-SAUR}');
Error('\P{Sc=/a/-SAUR}');
Expect(1, 43204, '\p{Sc=saur}', "");
Expect(0, 43204, '\p{^Sc=saur}', "");
Expect(0, 43204, '\P{Sc=saur}', "");
Expect(1, 43204, '\P{^Sc=saur}', "");
Expect(0, 43135, '\p{Sc=saur}', "");
Expect(1, 43135, '\p{^Sc=saur}', "");
Expect(1, 43135, '\P{Sc=saur}', "");
Expect(0, 43135, '\P{^Sc=saur}', "");
Expect(1, 43204, '\p{Sc=	 Saur}', "");
Expect(0, 43204, '\p{^Sc=	 Saur}', "");
Expect(0, 43204, '\P{Sc=	 Saur}', "");
Expect(1, 43204, '\P{^Sc=	 Saur}', "");
Expect(0, 43135, '\p{Sc=	 Saur}', "");
Expect(1, 43135, '\p{^Sc=	 Saur}', "");
Expect(1, 43135, '\P{Sc=	 Saur}', "");
Expect(0, 43135, '\P{^Sc=	 Saur}', "");
Error('\p{Is_Script=/a/_SAURASHTRA}');
Error('\P{Is_Script=/a/_SAURASHTRA}');
Expect(1, 43204, '\p{Is_Script=saurashtra}', "");
Expect(0, 43204, '\p{^Is_Script=saurashtra}', "");
Expect(0, 43204, '\P{Is_Script=saurashtra}', "");
Expect(1, 43204, '\P{^Is_Script=saurashtra}', "");
Expect(0, 43135, '\p{Is_Script=saurashtra}', "");
Expect(1, 43135, '\p{^Is_Script=saurashtra}', "");
Expect(1, 43135, '\P{Is_Script=saurashtra}', "");
Expect(0, 43135, '\P{^Is_Script=saurashtra}', "");
Expect(1, 43204, '\p{Is_Script=	Saurashtra}', "");
Expect(0, 43204, '\p{^Is_Script=	Saurashtra}', "");
Expect(0, 43204, '\P{Is_Script=	Saurashtra}', "");
Expect(1, 43204, '\P{^Is_Script=	Saurashtra}', "");
Expect(0, 43135, '\p{Is_Script=	Saurashtra}', "");
Expect(1, 43135, '\p{^Is_Script=	Saurashtra}', "");
Expect(1, 43135, '\P{Is_Script=	Saurashtra}', "");
Expect(0, 43135, '\P{^Is_Script=	Saurashtra}', "");
Error('\p{Is_Sc= :=saur}');
Error('\P{Is_Sc= :=saur}');
Expect(1, 43204, '\p{Is_Sc=saur}', "");
Expect(0, 43204, '\p{^Is_Sc=saur}', "");
Expect(0, 43204, '\P{Is_Sc=saur}', "");
Expect(1, 43204, '\P{^Is_Sc=saur}', "");
Expect(0, 43135, '\p{Is_Sc=saur}', "");
Expect(1, 43135, '\p{^Is_Sc=saur}', "");
Expect(1, 43135, '\P{Is_Sc=saur}', "");
Expect(0, 43135, '\P{^Is_Sc=saur}', "");
Expect(1, 43204, '\p{Is_Sc=	Saur}', "");
Expect(0, 43204, '\p{^Is_Sc=	Saur}', "");
Expect(0, 43204, '\P{Is_Sc=	Saur}', "");
Expect(1, 43204, '\P{^Is_Sc=	Saur}', "");
Expect(0, 43135, '\p{Is_Sc=	Saur}', "");
Expect(1, 43135, '\p{^Is_Sc=	Saur}', "");
Expect(1, 43135, '\P{Is_Sc=	Saur}', "");
Expect(0, 43135, '\P{^Is_Sc=	Saur}', "");
Error('\p{Script=_Sundanese:=}');
Error('\P{Script=_Sundanese:=}');
Expect(1, 7082, '\p{Script:	sundanese}', "");
Expect(0, 7082, '\p{^Script:	sundanese}', "");
Expect(0, 7082, '\P{Script:	sundanese}', "");
Expect(1, 7082, '\P{^Script:	sundanese}', "");
Expect(0, 7039, '\p{Script:	sundanese}', "");
Expect(1, 7039, '\p{^Script:	sundanese}', "");
Expect(1, 7039, '\P{Script:	sundanese}', "");
Expect(0, 7039, '\P{^Script:	sundanese}', "");
Expect(1, 7082, '\p{Script=_-sundanese}', "");
Expect(0, 7082, '\p{^Script=_-sundanese}', "");
Expect(0, 7082, '\P{Script=_-sundanese}', "");
Expect(1, 7082, '\P{^Script=_-sundanese}', "");
Expect(0, 7039, '\p{Script=_-sundanese}', "");
Expect(1, 7039, '\p{^Script=_-sundanese}', "");
Expect(1, 7039, '\P{Script=_-sundanese}', "");
Expect(0, 7039, '\P{^Script=_-sundanese}', "");
Error('\p{Sc=_/a/Sund}');
Error('\P{Sc=_/a/Sund}');
Expect(1, 7082, '\p{Sc=sund}', "");
Expect(0, 7082, '\p{^Sc=sund}', "");
Expect(0, 7082, '\P{Sc=sund}', "");
Expect(1, 7082, '\P{^Sc=sund}', "");
Expect(0, 7039, '\p{Sc=sund}', "");
Expect(1, 7039, '\p{^Sc=sund}', "");
Expect(1, 7039, '\P{Sc=sund}', "");
Expect(0, 7039, '\P{^Sc=sund}', "");
Expect(1, 7082, '\p{Sc= 	Sund}', "");
Expect(0, 7082, '\p{^Sc= 	Sund}', "");
Expect(0, 7082, '\P{Sc= 	Sund}', "");
Expect(1, 7082, '\P{^Sc= 	Sund}', "");
Expect(0, 7039, '\p{Sc= 	Sund}', "");
Expect(1, 7039, '\p{^Sc= 	Sund}', "");
Expect(1, 7039, '\P{Sc= 	Sund}', "");
Expect(0, 7039, '\P{^Sc= 	Sund}', "");
Error('\p{Is_Script=	:=SUNDANESE}');
Error('\P{Is_Script=	:=SUNDANESE}');
Expect(1, 7082, '\p{Is_Script=sundanese}', "");
Expect(0, 7082, '\p{^Is_Script=sundanese}', "");
Expect(0, 7082, '\P{Is_Script=sundanese}', "");
Expect(1, 7082, '\P{^Is_Script=sundanese}', "");
Expect(0, 7039, '\p{Is_Script=sundanese}', "");
Expect(1, 7039, '\p{^Is_Script=sundanese}', "");
Expect(1, 7039, '\P{Is_Script=sundanese}', "");
Expect(0, 7039, '\P{^Is_Script=sundanese}', "");
Expect(1, 7082, '\p{Is_Script: SUNDANESE}', "");
Expect(0, 7082, '\p{^Is_Script: SUNDANESE}', "");
Expect(0, 7082, '\P{Is_Script: SUNDANESE}', "");
Expect(1, 7082, '\P{^Is_Script: SUNDANESE}', "");
Expect(0, 7039, '\p{Is_Script: SUNDANESE}', "");
Expect(1, 7039, '\p{^Is_Script: SUNDANESE}', "");
Expect(1, 7039, '\P{Is_Script: SUNDANESE}', "");
Expect(0, 7039, '\P{^Is_Script: SUNDANESE}', "");
Error('\p{Is_Sc=:=  sund}');
Error('\P{Is_Sc=:=  sund}');
Expect(1, 7082, '\p{Is_Sc: sund}', "");
Expect(0, 7082, '\p{^Is_Sc: sund}', "");
Expect(0, 7082, '\P{Is_Sc: sund}', "");
Expect(1, 7082, '\P{^Is_Sc: sund}', "");
Expect(0, 7039, '\p{Is_Sc: sund}', "");
Expect(1, 7039, '\p{^Is_Sc: sund}', "");
Expect(1, 7039, '\P{Is_Sc: sund}', "");
Expect(0, 7039, '\P{^Is_Sc: sund}', "");
Expect(1, 7082, '\p{Is_Sc=_ Sund}', "");
Expect(0, 7082, '\p{^Is_Sc=_ Sund}', "");
Expect(0, 7082, '\P{Is_Sc=_ Sund}', "");
Expect(1, 7082, '\P{^Is_Sc=_ Sund}', "");
Expect(0, 7039, '\p{Is_Sc=_ Sund}', "");
Expect(1, 7039, '\p{^Is_Sc=_ Sund}', "");
Expect(1, 7039, '\P{Is_Sc=_ Sund}', "");
Expect(0, 7039, '\P{^Is_Sc=_ Sund}', "");
Error('\p{Script=/a/-NKO}');
Error('\P{Script=/a/-NKO}');
Expect(1, 2042, '\p{Script=nko}', "");
Expect(0, 2042, '\p{^Script=nko}', "");
Expect(0, 2042, '\P{Script=nko}', "");
Expect(1, 2042, '\P{^Script=nko}', "");
Expect(0, 1983, '\p{Script=nko}', "");
Expect(1, 1983, '\p{^Script=nko}', "");
Expect(1, 1983, '\P{Script=nko}', "");
Expect(0, 1983, '\P{^Script=nko}', "");
Expect(1, 2042, '\p{Script=-Nko}', "");
Expect(0, 2042, '\p{^Script=-Nko}', "");
Expect(0, 2042, '\P{Script=-Nko}', "");
Expect(1, 2042, '\P{^Script=-Nko}', "");
Expect(0, 1983, '\p{Script=-Nko}', "");
Expect(1, 1983, '\p{^Script=-Nko}', "");
Expect(1, 1983, '\P{Script=-Nko}', "");
Expect(0, 1983, '\P{^Script=-Nko}', "");
Error('\p{Sc=-_NKOO:=}');
Error('\P{Sc=-_NKOO:=}');
Expect(1, 2042, '\p{Sc=nkoo}', "");
Expect(0, 2042, '\p{^Sc=nkoo}', "");
Expect(0, 2042, '\P{Sc=nkoo}', "");
Expect(1, 2042, '\P{^Sc=nkoo}', "");
Expect(0, 1983, '\p{Sc=nkoo}', "");
Expect(1, 1983, '\p{^Sc=nkoo}', "");
Expect(1, 1983, '\P{Sc=nkoo}', "");
Expect(0, 1983, '\P{^Sc=nkoo}', "");
Expect(1, 2042, '\p{Sc=	-Nkoo}', "");
Expect(0, 2042, '\p{^Sc=	-Nkoo}', "");
Expect(0, 2042, '\P{Sc=	-Nkoo}', "");
Expect(1, 2042, '\P{^Sc=	-Nkoo}', "");
Expect(0, 1983, '\p{Sc=	-Nkoo}', "");
Expect(1, 1983, '\p{^Sc=	-Nkoo}', "");
Expect(1, 1983, '\P{Sc=	-Nkoo}', "");
Expect(0, 1983, '\P{^Sc=	-Nkoo}', "");
Error('\p{Is_Script= -Nko:=}');
Error('\P{Is_Script= -Nko:=}');
Expect(1, 2042, '\p{Is_Script=nko}', "");
Expect(0, 2042, '\p{^Is_Script=nko}', "");
Expect(0, 2042, '\P{Is_Script=nko}', "");
Expect(1, 2042, '\P{^Is_Script=nko}', "");
Expect(0, 1983, '\p{Is_Script=nko}', "");
Expect(1, 1983, '\p{^Is_Script=nko}', "");
Expect(1, 1983, '\P{Is_Script=nko}', "");
Expect(0, 1983, '\P{^Is_Script=nko}', "");
Expect(1, 2042, '\p{Is_Script= nko}', "");
Expect(0, 2042, '\p{^Is_Script= nko}', "");
Expect(0, 2042, '\P{Is_Script= nko}', "");
Expect(1, 2042, '\P{^Is_Script= nko}', "");
Expect(0, 1983, '\p{Is_Script= nko}', "");
Expect(1, 1983, '\p{^Is_Script= nko}', "");
Expect(1, 1983, '\P{Is_Script= nko}', "");
Expect(0, 1983, '\P{^Is_Script= nko}', "");
Error('\p{Is_Sc=/a/		Nkoo}');
Error('\P{Is_Sc=/a/		Nkoo}');
Expect(1, 2042, '\p{Is_Sc=nkoo}', "");
Expect(0, 2042, '\p{^Is_Sc=nkoo}', "");
Expect(0, 2042, '\P{Is_Sc=nkoo}', "");
Expect(1, 2042, '\P{^Is_Sc=nkoo}', "");
Expect(0, 1983, '\p{Is_Sc=nkoo}', "");
Expect(1, 1983, '\p{^Is_Sc=nkoo}', "");
Expect(1, 1983, '\P{Is_Sc=nkoo}', "");
Expect(0, 1983, '\P{^Is_Sc=nkoo}', "");
Expect(1, 2042, '\p{Is_Sc=	 NKOO}', "");
Expect(0, 2042, '\p{^Is_Sc=	 NKOO}', "");
Expect(0, 2042, '\P{Is_Sc=	 NKOO}', "");
Expect(1, 2042, '\P{^Is_Sc=	 NKOO}', "");
Expect(0, 1983, '\p{Is_Sc=	 NKOO}', "");
Expect(1, 1983, '\p{^Is_Sc=	 NKOO}', "");
Expect(1, 1983, '\P{Is_Sc=	 NKOO}', "");
Expect(0, 1983, '\P{^Is_Sc=	 NKOO}', "");
Error('\p{Script=/a/		Han}');
Error('\P{Script=/a/		Han}');
Expect(1, 11929, '\p{Script=han}', "");
Expect(0, 11929, '\p{^Script=han}', "");
Expect(0, 11929, '\P{Script=han}', "");
Expect(1, 11929, '\P{^Script=han}', "");
Expect(0, 11903, '\p{Script=han}', "");
Expect(1, 11903, '\p{^Script=han}', "");
Expect(1, 11903, '\P{Script=han}', "");
Expect(0, 11903, '\P{^Script=han}', "");
Expect(1, 11929, '\p{Script= _han}', "");
Expect(0, 11929, '\p{^Script= _han}', "");
Expect(0, 11929, '\P{Script= _han}', "");
Expect(1, 11929, '\P{^Script= _han}', "");
Expect(0, 11903, '\p{Script= _han}', "");
Expect(1, 11903, '\p{^Script= _han}', "");
Expect(1, 11903, '\P{Script= _han}', "");
Expect(0, 11903, '\P{^Script= _han}', "");
Error('\p{Sc= :=hani}');
Error('\P{Sc= :=hani}');
Expect(1, 11929, '\p{Sc=hani}', "");
Expect(0, 11929, '\p{^Sc=hani}', "");
Expect(0, 11929, '\P{Sc=hani}', "");
Expect(1, 11929, '\P{^Sc=hani}', "");
Expect(0, 11903, '\p{Sc=hani}', "");
Expect(1, 11903, '\p{^Sc=hani}', "");
Expect(1, 11903, '\P{Sc=hani}', "");
Expect(0, 11903, '\P{^Sc=hani}', "");
Expect(1, 11929, '\p{Sc=_-Hani}', "");
Expect(0, 11929, '\p{^Sc=_-Hani}', "");
Expect(0, 11929, '\P{Sc=_-Hani}', "");
Expect(1, 11929, '\P{^Sc=_-Hani}', "");
Expect(0, 11903, '\p{Sc=_-Hani}', "");
Expect(1, 11903, '\p{^Sc=_-Hani}', "");
Expect(1, 11903, '\P{Sc=_-Hani}', "");
Expect(0, 11903, '\P{^Sc=_-Hani}', "");
Error('\p{Is_Script=/a/Han}');
Error('\P{Is_Script=/a/Han}');
Expect(1, 11929, '\p{Is_Script=han}', "");
Expect(0, 11929, '\p{^Is_Script=han}', "");
Expect(0, 11929, '\P{Is_Script=han}', "");
Expect(1, 11929, '\P{^Is_Script=han}', "");
Expect(0, 11903, '\p{Is_Script=han}', "");
Expect(1, 11903, '\p{^Is_Script=han}', "");
Expect(1, 11903, '\P{Is_Script=han}', "");
Expect(0, 11903, '\P{^Is_Script=han}', "");
Expect(1, 11929, '\p{Is_Script=		Han}', "");
Expect(0, 11929, '\p{^Is_Script=		Han}', "");
Expect(0, 11929, '\P{Is_Script=		Han}', "");
Expect(1, 11929, '\P{^Is_Script=		Han}', "");
Expect(0, 11903, '\p{Is_Script=		Han}', "");
Expect(1, 11903, '\p{^Is_Script=		Han}', "");
Expect(1, 11903, '\P{Is_Script=		Han}', "");
Expect(0, 11903, '\P{^Is_Script=		Han}', "");
Error('\p{Is_Sc=-	Hani:=}');
Error('\P{Is_Sc=-	Hani:=}');
Expect(1, 11929, '\p{Is_Sc=hani}', "");
Expect(0, 11929, '\p{^Is_Sc=hani}', "");
Expect(0, 11929, '\P{Is_Sc=hani}', "");
Expect(1, 11929, '\P{^Is_Sc=hani}', "");
Expect(0, 11903, '\p{Is_Sc=hani}', "");
Expect(1, 11903, '\p{^Is_Sc=hani}', "");
Expect(1, 11903, '\P{Is_Sc=hani}', "");
Expect(0, 11903, '\P{^Is_Sc=hani}', "");
Expect(1, 11929, '\p{Is_Sc= 	Hani}', "");
Expect(0, 11929, '\p{^Is_Sc= 	Hani}', "");
Expect(0, 11929, '\P{Is_Sc= 	Hani}', "");
Expect(1, 11929, '\P{^Is_Sc= 	Hani}', "");
Expect(0, 11903, '\p{Is_Sc= 	Hani}', "");
Expect(1, 11903, '\p{^Is_Sc= 	Hani}', "");
Expect(1, 11903, '\P{Is_Sc= 	Hani}', "");
Expect(0, 11903, '\P{^Is_Sc= 	Hani}', "");
Error('\p{Script: /a/Greek}');
Error('\P{Script: /a/Greek}');
Expect(1, 883, '\p{Script=greek}', "");
Expect(0, 883, '\p{^Script=greek}', "");
Expect(0, 883, '\P{Script=greek}', "");
Expect(1, 883, '\P{^Script=greek}', "");
Expect(0, 879, '\p{Script=greek}', "");
Expect(1, 879, '\p{^Script=greek}', "");
Expect(1, 879, '\P{Script=greek}', "");
Expect(0, 879, '\P{^Script=greek}', "");
Expect(1, 883, '\p{Script=_	Greek}', "");
Expect(0, 883, '\p{^Script=_	Greek}', "");
Expect(0, 883, '\P{Script=_	Greek}', "");
Expect(1, 883, '\P{^Script=_	Greek}', "");
Expect(0, 879, '\p{Script=_	Greek}', "");
Expect(1, 879, '\p{^Script=_	Greek}', "");
Expect(1, 879, '\P{Script=_	Greek}', "");
Expect(0, 879, '\P{^Script=_	Greek}', "");
Error('\p{Sc=_:=grek}');
Error('\P{Sc=_:=grek}');
Expect(1, 883, '\p{Sc=grek}', "");
Expect(0, 883, '\p{^Sc=grek}', "");
Expect(0, 883, '\P{Sc=grek}', "");
Expect(1, 883, '\P{^Sc=grek}', "");
Expect(0, 879, '\p{Sc=grek}', "");
Expect(1, 879, '\p{^Sc=grek}', "");
Expect(1, 879, '\P{Sc=grek}', "");
Expect(0, 879, '\P{^Sc=grek}', "");
Expect(1, 883, '\p{Sc=-Grek}', "");
Expect(0, 883, '\p{^Sc=-Grek}', "");
Expect(0, 883, '\P{Sc=-Grek}', "");
Expect(1, 883, '\P{^Sc=-Grek}', "");
Expect(0, 879, '\p{Sc=-Grek}', "");
Expect(1, 879, '\p{^Sc=-Grek}', "");
Expect(1, 879, '\P{Sc=-Grek}', "");
Expect(0, 879, '\P{^Sc=-Grek}', "");
Error('\p{Is_Script=:=_GREEK}');
Error('\P{Is_Script=:=_GREEK}');
Expect(1, 883, '\p{Is_Script=greek}', "");
Expect(0, 883, '\p{^Is_Script=greek}', "");
Expect(0, 883, '\P{Is_Script=greek}', "");
Expect(1, 883, '\P{^Is_Script=greek}', "");
Expect(0, 879, '\p{Is_Script=greek}', "");
Expect(1, 879, '\p{^Is_Script=greek}', "");
Expect(1, 879, '\P{Is_Script=greek}', "");
Expect(0, 879, '\P{^Is_Script=greek}', "");
Expect(1, 883, '\p{Is_Script=	-greek}', "");
Expect(0, 883, '\p{^Is_Script=	-greek}', "");
Expect(0, 883, '\P{Is_Script=	-greek}', "");
Expect(1, 883, '\P{^Is_Script=	-greek}', "");
Expect(0, 879, '\p{Is_Script=	-greek}', "");
Expect(1, 879, '\p{^Is_Script=	-greek}', "");
Expect(1, 879, '\P{Is_Script=	-greek}', "");
Expect(0, 879, '\P{^Is_Script=	-greek}', "");
Error('\p{Is_Sc=_/a/Grek}');
Error('\P{Is_Sc=_/a/Grek}');
Expect(1, 883, '\p{Is_Sc=grek}', "");
Expect(0, 883, '\p{^Is_Sc=grek}', "");
Expect(0, 883, '\P{Is_Sc=grek}', "");
Expect(1, 883, '\P{^Is_Sc=grek}', "");
Expect(0, 879, '\p{Is_Sc=grek}', "");
Expect(1, 879, '\p{^Is_Sc=grek}', "");
Expect(1, 879, '\P{Is_Sc=grek}', "");
Expect(0, 879, '\P{^Is_Sc=grek}', "");
Expect(1, 883, '\p{Is_Sc= GREK}', "");
Expect(0, 883, '\p{^Is_Sc= GREK}', "");
Expect(0, 883, '\P{Is_Sc= GREK}', "");
Expect(1, 883, '\P{^Is_Sc= GREK}', "");
Expect(0, 879, '\p{Is_Sc= GREK}', "");
Expect(1, 879, '\p{^Is_Sc= GREK}', "");
Expect(1, 879, '\P{Is_Sc= GREK}', "");
Expect(0, 879, '\P{^Is_Sc= GREK}', "");
Error('\p{Script= :=tamil}');
Error('\P{Script= :=tamil}');
Expect(1, 2947, '\p{Script=tamil}', "");
Expect(0, 2947, '\p{^Script=tamil}', "");
Expect(0, 2947, '\P{Script=tamil}', "");
Expect(1, 2947, '\P{^Script=tamil}', "");
Expect(0, 2945, '\p{Script=tamil}', "");
Expect(1, 2945, '\p{^Script=tamil}', "");
Expect(1, 2945, '\P{Script=tamil}', "");
Expect(0, 2945, '\P{^Script=tamil}', "");
Expect(1, 2947, '\p{Script=	-Tamil}', "");
Expect(0, 2947, '\p{^Script=	-Tamil}', "");
Expect(0, 2947, '\P{Script=	-Tamil}', "");
Expect(1, 2947, '\P{^Script=	-Tamil}', "");
Expect(0, 2945, '\p{Script=	-Tamil}', "");
Expect(1, 2945, '\p{^Script=	-Tamil}', "");
Expect(1, 2945, '\P{Script=	-Tamil}', "");
Expect(0, 2945, '\P{^Script=	-Tamil}', "");
Error('\p{Sc=_:=taml}');
Error('\P{Sc=_:=taml}');
Expect(1, 2947, '\p{Sc=taml}', "");
Expect(0, 2947, '\p{^Sc=taml}', "");
Expect(0, 2947, '\P{Sc=taml}', "");
Expect(1, 2947, '\P{^Sc=taml}', "");
Expect(0, 2945, '\p{Sc=taml}', "");
Expect(1, 2945, '\p{^Sc=taml}', "");
Expect(1, 2945, '\P{Sc=taml}', "");
Expect(0, 2945, '\P{^Sc=taml}', "");
Expect(1, 2947, '\p{Sc:	_ Taml}', "");
Expect(0, 2947, '\p{^Sc:	_ Taml}', "");
Expect(0, 2947, '\P{Sc:	_ Taml}', "");
Expect(1, 2947, '\P{^Sc:	_ Taml}', "");
Expect(0, 2945, '\p{Sc:	_ Taml}', "");
Expect(1, 2945, '\p{^Sc:	_ Taml}', "");
Expect(1, 2945, '\P{Sc:	_ Taml}', "");
Expect(0, 2945, '\P{^Sc:	_ Taml}', "");
Error('\p{Is_Script= -Tamil/a/}');
Error('\P{Is_Script= -Tamil/a/}');
Expect(1, 2947, '\p{Is_Script=tamil}', "");
Expect(0, 2947, '\p{^Is_Script=tamil}', "");
Expect(0, 2947, '\P{Is_Script=tamil}', "");
Expect(1, 2947, '\P{^Is_Script=tamil}', "");
Expect(0, 2945, '\p{Is_Script=tamil}', "");
Expect(1, 2945, '\p{^Is_Script=tamil}', "");
Expect(1, 2945, '\P{Is_Script=tamil}', "");
Expect(0, 2945, '\P{^Is_Script=tamil}', "");
Expect(1, 2947, '\p{Is_Script=-	TAMIL}', "");
Expect(0, 2947, '\p{^Is_Script=-	TAMIL}', "");
Expect(0, 2947, '\P{Is_Script=-	TAMIL}', "");
Expect(1, 2947, '\P{^Is_Script=-	TAMIL}', "");
Expect(0, 2945, '\p{Is_Script=-	TAMIL}', "");
Expect(1, 2945, '\p{^Is_Script=-	TAMIL}', "");
Expect(1, 2945, '\P{Is_Script=-	TAMIL}', "");
Expect(0, 2945, '\P{^Is_Script=-	TAMIL}', "");
Error('\p{Is_Sc=/a/-TAML}');
Error('\P{Is_Sc=/a/-TAML}');
Expect(1, 2947, '\p{Is_Sc=taml}', "");
Expect(0, 2947, '\p{^Is_Sc=taml}', "");
Expect(0, 2947, '\P{Is_Sc=taml}', "");
Expect(1, 2947, '\P{^Is_Sc=taml}', "");
Expect(0, 2945, '\p{Is_Sc=taml}', "");
Expect(1, 2945, '\p{^Is_Sc=taml}', "");
Expect(1, 2945, '\P{Is_Sc=taml}', "");
Expect(0, 2945, '\P{^Is_Sc=taml}', "");
Expect(1, 2947, '\p{Is_Sc: 	-Taml}', "");
Expect(0, 2947, '\p{^Is_Sc: 	-Taml}', "");
Expect(0, 2947, '\P{Is_Sc: 	-Taml}', "");
Expect(1, 2947, '\P{^Is_Sc: 	-Taml}', "");
Expect(0, 2945, '\p{Is_Sc: 	-Taml}', "");
Expect(1, 2945, '\p{^Is_Sc: 	-Taml}', "");
Expect(1, 2945, '\P{Is_Sc: 	-Taml}', "");
Expect(0, 2945, '\P{^Is_Sc: 	-Taml}', "");
Error('\p{Script=-KAYAH:=li}');
Error('\P{Script=-KAYAH:=li}');
Expect(1, 43311, '\p{Script=kayahli}', "");
Expect(0, 43311, '\p{^Script=kayahli}', "");
Expect(0, 43311, '\P{Script=kayahli}', "");
Expect(1, 43311, '\P{^Script=kayahli}', "");
Expect(0, 43263, '\p{Script=kayahli}', "");
Expect(1, 43263, '\p{^Script=kayahli}', "");
Expect(1, 43263, '\P{Script=kayahli}', "");
Expect(0, 43263, '\P{^Script=kayahli}', "");
Expect(1, 43311, '\p{Script=-KAYAH_Li}', "");
Expect(0, 43311, '\p{^Script=-KAYAH_Li}', "");
Expect(0, 43311, '\P{Script=-KAYAH_Li}', "");
Expect(1, 43311, '\P{^Script=-KAYAH_Li}', "");
Expect(0, 43263, '\p{Script=-KAYAH_Li}', "");
Expect(1, 43263, '\p{^Script=-KAYAH_Li}', "");
Expect(1, 43263, '\P{Script=-KAYAH_Li}', "");
Expect(0, 43263, '\P{^Script=-KAYAH_Li}', "");
Error('\p{Sc=	/a/Kali}');
Error('\P{Sc=	/a/Kali}');
Expect(1, 43311, '\p{Sc=kali}', "");
Expect(0, 43311, '\p{^Sc=kali}', "");
Expect(0, 43311, '\P{Sc=kali}', "");
Expect(1, 43311, '\P{^Sc=kali}', "");
Expect(0, 43263, '\p{Sc=kali}', "");
Expect(1, 43263, '\p{^Sc=kali}', "");
Expect(1, 43263, '\P{Sc=kali}', "");
Expect(0, 43263, '\P{^Sc=kali}', "");
Expect(1, 43311, '\p{Sc=- KALI}', "");
Expect(0, 43311, '\p{^Sc=- KALI}', "");
Expect(0, 43311, '\P{Sc=- KALI}', "");
Expect(1, 43311, '\P{^Sc=- KALI}', "");
Expect(0, 43263, '\p{Sc=- KALI}', "");
Expect(1, 43263, '\p{^Sc=- KALI}', "");
Expect(1, 43263, '\P{Sc=- KALI}', "");
Expect(0, 43263, '\P{^Sc=- KALI}', "");
Error('\p{Is_Script=	 KAYAHli/a/}');
Error('\P{Is_Script=	 KAYAHli/a/}');
Expect(1, 43311, '\p{Is_Script=kayahli}', "");
Expect(0, 43311, '\p{^Is_Script=kayahli}', "");
Expect(0, 43311, '\P{Is_Script=kayahli}', "");
Expect(1, 43311, '\P{^Is_Script=kayahli}', "");
Expect(0, 43263, '\p{Is_Script=kayahli}', "");
Expect(1, 43263, '\p{^Is_Script=kayahli}', "");
Expect(1, 43263, '\P{Is_Script=kayahli}', "");
Expect(0, 43263, '\P{^Is_Script=kayahli}', "");
Expect(1, 43311, '\p{Is_Script=-	Kayah_Li}', "");
Expect(0, 43311, '\p{^Is_Script=-	Kayah_Li}', "");
Expect(0, 43311, '\P{Is_Script=-	Kayah_Li}', "");
Expect(1, 43311, '\P{^Is_Script=-	Kayah_Li}', "");
Expect(0, 43263, '\p{Is_Script=-	Kayah_Li}', "");
Expect(1, 43263, '\p{^Is_Script=-	Kayah_Li}', "");
Expect(1, 43263, '\P{Is_Script=-	Kayah_Li}', "");
Expect(0, 43263, '\P{^Is_Script=-	Kayah_Li}', "");
Error('\p{Is_Sc=/a/_Kali}');
Error('\P{Is_Sc=/a/_Kali}');
Expect(1, 43311, '\p{Is_Sc=kali}', "");
Expect(0, 43311, '\p{^Is_Sc=kali}', "");
Expect(0, 43311, '\P{Is_Sc=kali}', "");
Expect(1, 43311, '\P{^Is_Sc=kali}', "");
Expect(0, 43263, '\p{Is_Sc=kali}', "");
Expect(1, 43263, '\p{^Is_Sc=kali}', "");
Expect(1, 43263, '\P{Is_Sc=kali}', "");
Expect(0, 43263, '\P{^Is_Sc=kali}', "");
Expect(1, 43311, '\p{Is_Sc= KALI}', "");
Expect(0, 43311, '\p{^Is_Sc= KALI}', "");
Expect(0, 43311, '\P{Is_Sc= KALI}', "");
Expect(1, 43311, '\P{^Is_Sc= KALI}', "");
Expect(0, 43263, '\p{Is_Sc= KALI}', "");
Expect(1, 43263, '\p{^Is_Sc= KALI}', "");
Expect(1, 43263, '\P{Is_Sc= KALI}', "");
Expect(0, 43263, '\P{^Is_Sc= KALI}', "");
Error('\p{Script= Thai:=}');
Error('\P{Script= Thai:=}');
Expect(1, 3642, '\p{Script=thai}', "");
Expect(0, 3642, '\p{^Script=thai}', "");
Expect(0, 3642, '\P{Script=thai}', "");
Expect(1, 3642, '\P{^Script=thai}', "");
Expect(0, 3584, '\p{Script=thai}', "");
Expect(1, 3584, '\p{^Script=thai}', "");
Expect(1, 3584, '\P{Script=thai}', "");
Expect(0, 3584, '\P{^Script=thai}', "");
Expect(1, 3642, '\p{Script= 	Thai}', "");
Expect(0, 3642, '\p{^Script= 	Thai}', "");
Expect(0, 3642, '\P{Script= 	Thai}', "");
Expect(1, 3642, '\P{^Script= 	Thai}', "");
Expect(0, 3584, '\p{Script= 	Thai}', "");
Expect(1, 3584, '\p{^Script= 	Thai}', "");
Expect(1, 3584, '\P{Script= 	Thai}', "");
Expect(0, 3584, '\P{^Script= 	Thai}', "");
Error('\p{Sc=/a/_thai}');
Error('\P{Sc=/a/_thai}');
Expect(1, 3642, '\p{Sc=thai}', "");
Expect(0, 3642, '\p{^Sc=thai}', "");
Expect(0, 3642, '\P{Sc=thai}', "");
Expect(1, 3642, '\P{^Sc=thai}', "");
Expect(0, 3584, '\p{Sc=thai}', "");
Expect(1, 3584, '\p{^Sc=thai}', "");
Expect(1, 3584, '\P{Sc=thai}', "");
Expect(0, 3584, '\P{^Sc=thai}', "");
Expect(1, 3642, '\p{Sc: 		Thai}', "");
Expect(0, 3642, '\p{^Sc: 		Thai}', "");
Expect(0, 3642, '\P{Sc: 		Thai}', "");
Expect(1, 3642, '\P{^Sc: 		Thai}', "");
Expect(0, 3584, '\p{Sc: 		Thai}', "");
Expect(1, 3584, '\p{^Sc: 		Thai}', "");
Expect(1, 3584, '\P{Sc: 		Thai}', "");
Expect(0, 3584, '\P{^Sc: 		Thai}', "");
Error('\p{Is_Script=_/a/Thai}');
Error('\P{Is_Script=_/a/Thai}');
Expect(1, 3642, '\p{Is_Script=thai}', "");
Expect(0, 3642, '\p{^Is_Script=thai}', "");
Expect(0, 3642, '\P{Is_Script=thai}', "");
Expect(1, 3642, '\P{^Is_Script=thai}', "");
Expect(0, 3584, '\p{Is_Script=thai}', "");
Expect(1, 3584, '\p{^Is_Script=thai}', "");
Expect(1, 3584, '\P{Is_Script=thai}', "");
Expect(0, 3584, '\P{^Is_Script=thai}', "");
Expect(1, 3642, '\p{Is_Script=-_Thai}', "");
Expect(0, 3642, '\p{^Is_Script=-_Thai}', "");
Expect(0, 3642, '\P{Is_Script=-_Thai}', "");
Expect(1, 3642, '\P{^Is_Script=-_Thai}', "");
Expect(0, 3584, '\p{Is_Script=-_Thai}', "");
Expect(1, 3584, '\p{^Is_Script=-_Thai}', "");
Expect(1, 3584, '\P{Is_Script=-_Thai}', "");
Expect(0, 3584, '\P{^Is_Script=-_Thai}', "");
Error('\p{Is_Sc=:=- Thai}');
Error('\P{Is_Sc=:=- Thai}');
Expect(1, 3642, '\p{Is_Sc=thai}', "");
Expect(0, 3642, '\p{^Is_Sc=thai}', "");
Expect(0, 3642, '\P{Is_Sc=thai}', "");
Expect(1, 3642, '\P{^Is_Sc=thai}', "");
Expect(0, 3584, '\p{Is_Sc=thai}', "");
Expect(1, 3584, '\p{^Is_Sc=thai}', "");
Expect(1, 3584, '\P{Is_Sc=thai}', "");
Expect(0, 3584, '\P{^Is_Sc=thai}', "");
Expect(1, 3642, '\p{Is_Sc= Thai}', "");
Expect(0, 3642, '\p{^Is_Sc= Thai}', "");
Expect(0, 3642, '\P{Is_Sc= Thai}', "");
Expect(1, 3642, '\P{^Is_Sc= Thai}', "");
Expect(0, 3584, '\p{Is_Sc= Thai}', "");
Expect(1, 3584, '\p{^Is_Sc= Thai}', "");
Expect(1, 3584, '\P{Is_Sc= Thai}', "");
Expect(0, 3584, '\P{^Is_Sc= Thai}', "");
Error('\p{Ideographic=/a/yes}');
Error('\P{Ideographic=/a/yes}');
Expect(1, 12295, '\p{Ideographic:   yes}', "");
Expect(0, 12295, '\p{^Ideographic:   yes}', "");
Expect(0, 12295, '\P{Ideographic:   yes}', "");
Expect(1, 12295, '\P{^Ideographic:   yes}', "");
Expect(0, 12293, '\p{Ideographic:   yes}', "");
Expect(1, 12293, '\p{^Ideographic:   yes}', "");
Expect(1, 12293, '\P{Ideographic:   yes}', "");
Expect(0, 12293, '\P{^Ideographic:   yes}', "");
Expect(1, 12295, '\p{Ideographic= yes}', "");
Expect(0, 12295, '\p{^Ideographic= yes}', "");
Expect(0, 12295, '\P{Ideographic= yes}', "");
Expect(1, 12295, '\P{^Ideographic= yes}', "");
Expect(0, 12293, '\p{Ideographic= yes}', "");
Expect(1, 12293, '\p{^Ideographic= yes}', "");
Expect(1, 12293, '\P{Ideographic= yes}', "");
Expect(0, 12293, '\P{^Ideographic= yes}', "");
Error('\p{Ideo= :=Y}');
Error('\P{Ideo= :=Y}');
Expect(1, 12295, '\p{Ideo=y}', "");
Expect(0, 12295, '\p{^Ideo=y}', "");
Expect(0, 12295, '\P{Ideo=y}', "");
Expect(1, 12295, '\P{^Ideo=y}', "");
Expect(0, 12293, '\p{Ideo=y}', "");
Expect(1, 12293, '\p{^Ideo=y}', "");
Expect(1, 12293, '\P{Ideo=y}', "");
Expect(0, 12293, '\P{^Ideo=y}', "");
Expect(1, 12295, '\p{Ideo:   	Y}', "");
Expect(0, 12295, '\p{^Ideo:   	Y}', "");
Expect(0, 12295, '\P{Ideo:   	Y}', "");
Expect(1, 12295, '\P{^Ideo:   	Y}', "");
Expect(0, 12293, '\p{Ideo:   	Y}', "");
Expect(1, 12293, '\p{^Ideo:   	Y}', "");
Expect(1, 12293, '\P{Ideo:   	Y}', "");
Expect(0, 12293, '\P{^Ideo:   	Y}', "");
Error('\p{Is_Ideographic:   T:=}');
Error('\P{Is_Ideographic:   T:=}');
Expect(1, 12295, '\p{Is_Ideographic=t}', "");
Expect(0, 12295, '\p{^Is_Ideographic=t}', "");
Expect(0, 12295, '\P{Is_Ideographic=t}', "");
Expect(1, 12295, '\P{^Is_Ideographic=t}', "");
Expect(0, 12293, '\p{Is_Ideographic=t}', "");
Expect(1, 12293, '\p{^Is_Ideographic=t}', "");
Expect(1, 12293, '\P{Is_Ideographic=t}', "");
Expect(0, 12293, '\P{^Is_Ideographic=t}', "");
Expect(1, 12295, '\p{Is_Ideographic:  T}', "");
Expect(0, 12295, '\p{^Is_Ideographic:  T}', "");
Expect(0, 12295, '\P{Is_Ideographic:  T}', "");
Expect(1, 12295, '\P{^Is_Ideographic:  T}', "");
Expect(0, 12293, '\p{Is_Ideographic:  T}', "");
Expect(1, 12293, '\p{^Is_Ideographic:  T}', "");
Expect(1, 12293, '\P{Is_Ideographic:  T}', "");
Expect(0, 12293, '\P{^Is_Ideographic:  T}', "");
Error('\p{Is_Ideo=-True:=}');
Error('\P{Is_Ideo=-True:=}');
Expect(1, 12295, '\p{Is_Ideo=true}', "");
Expect(0, 12295, '\p{^Is_Ideo=true}', "");
Expect(0, 12295, '\P{Is_Ideo=true}', "");
Expect(1, 12295, '\P{^Is_Ideo=true}', "");
Expect(0, 12293, '\p{Is_Ideo=true}', "");
Expect(1, 12293, '\p{^Is_Ideo=true}', "");
Expect(1, 12293, '\P{Is_Ideo=true}', "");
Expect(0, 12293, '\P{^Is_Ideo=true}', "");
Expect(1, 12295, '\p{Is_Ideo= -true}', "");
Expect(0, 12295, '\p{^Is_Ideo= -true}', "");
Expect(0, 12295, '\P{Is_Ideo= -true}', "");
Expect(1, 12295, '\P{^Is_Ideo= -true}', "");
Expect(0, 12293, '\p{Is_Ideo= -true}', "");
Expect(1, 12293, '\p{^Is_Ideo= -true}', "");
Expect(1, 12293, '\P{Is_Ideo= -true}', "");
Expect(0, 12293, '\P{^Is_Ideo= -true}', "");
Error('\p{Ideographic=/a/- no}');
Error('\P{Ideographic=/a/- no}');
Expect(1, 12293, '\p{Ideographic=no}', "");
Expect(0, 12293, '\p{^Ideographic=no}', "");
Expect(0, 12293, '\P{Ideographic=no}', "");
Expect(1, 12293, '\P{^Ideographic=no}', "");
Expect(0, 12295, '\p{Ideographic=no}', "");
Expect(1, 12295, '\p{^Ideographic=no}', "");
Expect(1, 12295, '\P{Ideographic=no}', "");
Expect(0, 12295, '\P{^Ideographic=no}', "");
Expect(1, 12293, '\p{Ideographic= No}', "");
Expect(0, 12293, '\p{^Ideographic= No}', "");
Expect(0, 12293, '\P{Ideographic= No}', "");
Expect(1, 12293, '\P{^Ideographic= No}', "");
Expect(0, 12295, '\p{Ideographic= No}', "");
Expect(1, 12295, '\p{^Ideographic= No}', "");
Expect(1, 12295, '\P{Ideographic= No}', "");
Expect(0, 12295, '\P{^Ideographic= No}', "");
Error('\p{Ideo=:=_	N}');
Error('\P{Ideo=:=_	N}');
Expect(1, 12293, '\p{Ideo=n}', "");
Expect(0, 12293, '\p{^Ideo=n}', "");
Expect(0, 12293, '\P{Ideo=n}', "");
Expect(1, 12293, '\P{^Ideo=n}', "");
Expect(0, 12295, '\p{Ideo=n}', "");
Expect(1, 12295, '\p{^Ideo=n}', "");
Expect(1, 12295, '\P{Ideo=n}', "");
Expect(0, 12295, '\P{^Ideo=n}', "");
Expect(1, 12293, '\p{Ideo=-	N}', "");
Expect(0, 12293, '\p{^Ideo=-	N}', "");
Expect(0, 12293, '\P{Ideo=-	N}', "");
Expect(1, 12293, '\P{^Ideo=-	N}', "");
Expect(0, 12295, '\p{Ideo=-	N}', "");
Expect(1, 12295, '\p{^Ideo=-	N}', "");
Expect(1, 12295, '\P{Ideo=-	N}', "");
Expect(0, 12295, '\P{^Ideo=-	N}', "");
Error('\p{Is_Ideographic=/a/ F}');
Error('\P{Is_Ideographic=/a/ F}');
Expect(1, 12293, '\p{Is_Ideographic:   f}', "");
Expect(0, 12293, '\p{^Is_Ideographic:   f}', "");
Expect(0, 12293, '\P{Is_Ideographic:   f}', "");
Expect(1, 12293, '\P{^Is_Ideographic:   f}', "");
Expect(0, 12295, '\p{Is_Ideographic:   f}', "");
Expect(1, 12295, '\p{^Is_Ideographic:   f}', "");
Expect(1, 12295, '\P{Is_Ideographic:   f}', "");
Expect(0, 12295, '\P{^Is_Ideographic:   f}', "");
Expect(1, 12293, '\p{Is_Ideographic=	F}', "");
Expect(0, 12293, '\p{^Is_Ideographic=	F}', "");
Expect(0, 12293, '\P{Is_Ideographic=	F}', "");
Expect(1, 12293, '\P{^Is_Ideographic=	F}', "");
Expect(0, 12295, '\p{Is_Ideographic=	F}', "");
Expect(1, 12295, '\p{^Is_Ideographic=	F}', "");
Expect(1, 12295, '\P{Is_Ideographic=	F}', "");
Expect(0, 12295, '\P{^Is_Ideographic=	F}', "");
Error('\p{Is_Ideo=	/a/False}');
Error('\P{Is_Ideo=	/a/False}');
Expect(1, 12293, '\p{Is_Ideo=false}', "");
Expect(0, 12293, '\p{^Is_Ideo=false}', "");
Expect(0, 12293, '\P{Is_Ideo=false}', "");
Expect(1, 12293, '\P{^Is_Ideo=false}', "");
Expect(0, 12295, '\p{Is_Ideo=false}', "");
Expect(1, 12295, '\p{^Is_Ideo=false}', "");
Expect(1, 12295, '\P{Is_Ideo=false}', "");
Expect(0, 12295, '\P{^Is_Ideo=false}', "");
Expect(1, 12293, '\p{Is_Ideo=_ False}', "");
Expect(0, 12293, '\p{^Is_Ideo=_ False}', "");
Expect(0, 12293, '\P{Is_Ideo=_ False}', "");
Expect(1, 12293, '\P{^Is_Ideo=_ False}', "");
Expect(0, 12295, '\p{Is_Ideo=_ False}', "");
Expect(1, 12295, '\p{^Is_Ideo=_ False}', "");
Expect(1, 12295, '\P{Is_Ideo=_ False}', "");
Expect(0, 12295, '\P{^Is_Ideo=_ False}', "");
Error('\p{Other_Grapheme_Extend=_:=Yes}');
Error('\P{Other_Grapheme_Extend=_:=Yes}');
Expect(1, 2494, '\p{Other_Grapheme_Extend=yes}', 'deprecated');
Expect(0, 2494, '\p{^Other_Grapheme_Extend=yes}', 'deprecated');
Expect(0, 2494, '\P{Other_Grapheme_Extend=yes}', 'deprecated');
Expect(1, 2494, '\P{^Other_Grapheme_Extend=yes}', 'deprecated');
Expect(0, 2493, '\p{Other_Grapheme_Extend=yes}', 'deprecated');
Expect(1, 2493, '\p{^Other_Grapheme_Extend=yes}', 'deprecated');
Expect(1, 2493, '\P{Other_Grapheme_Extend=yes}', 'deprecated');
Expect(0, 2493, '\P{^Other_Grapheme_Extend=yes}', 'deprecated');
Expect(1, 2494, '\p{Other_Grapheme_Extend= _Yes}', 'deprecated');
Expect(0, 2494, '\p{^Other_Grapheme_Extend= _Yes}', 'deprecated');
Expect(0, 2494, '\P{Other_Grapheme_Extend= _Yes}', 'deprecated');
Expect(1, 2494, '\P{^Other_Grapheme_Extend= _Yes}', 'deprecated');
Expect(0, 2493, '\p{Other_Grapheme_Extend= _Yes}', 'deprecated');
Expect(1, 2493, '\p{^Other_Grapheme_Extend= _Yes}', 'deprecated');
Expect(1, 2493, '\P{Other_Grapheme_Extend= _Yes}', 'deprecated');
Expect(0, 2493, '\P{^Other_Grapheme_Extend= _Yes}', 'deprecated');
Error('\p{OGr_Ext=:=--Y}');
Error('\P{OGr_Ext=:=--Y}');
Expect(1, 2494, '\p{OGr_Ext=y}', 'deprecated');
Expect(0, 2494, '\p{^OGr_Ext=y}', 'deprecated');
Expect(0, 2494, '\P{OGr_Ext=y}', 'deprecated');
Expect(1, 2494, '\P{^OGr_Ext=y}', 'deprecated');
Expect(0, 2493, '\p{OGr_Ext=y}', 'deprecated');
Expect(1, 2493, '\p{^OGr_Ext=y}', 'deprecated');
Expect(1, 2493, '\P{OGr_Ext=y}', 'deprecated');
Expect(0, 2493, '\P{^OGr_Ext=y}', 'deprecated');
Expect(1, 2494, '\p{OGr_Ext=_y}', 'deprecated');
Expect(0, 2494, '\p{^OGr_Ext=_y}', 'deprecated');
Expect(0, 2494, '\P{OGr_Ext=_y}', 'deprecated');
Expect(1, 2494, '\P{^OGr_Ext=_y}', 'deprecated');
Expect(0, 2493, '\p{OGr_Ext=_y}', 'deprecated');
Expect(1, 2493, '\p{^OGr_Ext=_y}', 'deprecated');
Expect(1, 2493, '\P{OGr_Ext=_y}', 'deprecated');
Expect(0, 2493, '\P{^OGr_Ext=_y}', 'deprecated');
Error('\p{Is_Other_Grapheme_Extend= -T/a/}');
Error('\P{Is_Other_Grapheme_Extend= -T/a/}');
Expect(1, 2494, '\p{Is_Other_Grapheme_Extend=t}', 'deprecated');
Expect(0, 2494, '\p{^Is_Other_Grapheme_Extend=t}', 'deprecated');
Expect(0, 2494, '\P{Is_Other_Grapheme_Extend=t}', 'deprecated');
Expect(1, 2494, '\P{^Is_Other_Grapheme_Extend=t}', 'deprecated');
Expect(0, 2493, '\p{Is_Other_Grapheme_Extend=t}', 'deprecated');
Expect(1, 2493, '\p{^Is_Other_Grapheme_Extend=t}', 'deprecated');
Expect(1, 2493, '\P{Is_Other_Grapheme_Extend=t}', 'deprecated');
Expect(0, 2493, '\P{^Is_Other_Grapheme_Extend=t}', 'deprecated');
Expect(1, 2494, '\p{Is_Other_Grapheme_Extend=--T}', 'deprecated');
Expect(0, 2494, '\p{^Is_Other_Grapheme_Extend=--T}', 'deprecated');
Expect(0, 2494, '\P{Is_Other_Grapheme_Extend=--T}', 'deprecated');
Expect(1, 2494, '\P{^Is_Other_Grapheme_Extend=--T}', 'deprecated');
Expect(0, 2493, '\p{Is_Other_Grapheme_Extend=--T}', 'deprecated');
Expect(1, 2493, '\p{^Is_Other_Grapheme_Extend=--T}', 'deprecated');
Expect(1, 2493, '\P{Is_Other_Grapheme_Extend=--T}', 'deprecated');
Expect(0, 2493, '\P{^Is_Other_Grapheme_Extend=--T}', 'deprecated');
Error('\p{Is_OGr_Ext=/a/-_True}');
Error('\P{Is_OGr_Ext=/a/-_True}');
Expect(1, 2494, '\p{Is_OGr_Ext=true}', 'deprecated');
Expect(0, 2494, '\p{^Is_OGr_Ext=true}', 'deprecated');
Expect(0, 2494, '\P{Is_OGr_Ext=true}', 'deprecated');
Expect(1, 2494, '\P{^Is_OGr_Ext=true}', 'deprecated');
Expect(0, 2493, '\p{Is_OGr_Ext=true}', 'deprecated');
Expect(1, 2493, '\p{^Is_OGr_Ext=true}', 'deprecated');
Expect(1, 2493, '\P{Is_OGr_Ext=true}', 'deprecated');
Expect(0, 2493, '\P{^Is_OGr_Ext=true}', 'deprecated');
Expect(1, 2494, '\p{Is_OGr_Ext=	true}', 'deprecated');
Expect(0, 2494, '\p{^Is_OGr_Ext=	true}', 'deprecated');
Expect(0, 2494, '\P{Is_OGr_Ext=	true}', 'deprecated');
Expect(1, 2494, '\P{^Is_OGr_Ext=	true}', 'deprecated');
Expect(0, 2493, '\p{Is_OGr_Ext=	true}', 'deprecated');
Expect(1, 2493, '\p{^Is_OGr_Ext=	true}', 'deprecated');
Expect(1, 2493, '\P{Is_OGr_Ext=	true}', 'deprecated');
Expect(0, 2493, '\P{^Is_OGr_Ext=	true}', 'deprecated');
Error('\p{Other_Grapheme_Extend:	-No/a/}');
Error('\P{Other_Grapheme_Extend:	-No/a/}');
Expect(1, 2493, '\p{Other_Grapheme_Extend=no}', 'deprecated');
Expect(0, 2493, '\p{^Other_Grapheme_Extend=no}', 'deprecated');
Expect(0, 2493, '\P{Other_Grapheme_Extend=no}', 'deprecated');
Expect(1, 2493, '\P{^Other_Grapheme_Extend=no}', 'deprecated');
Expect(0, 2494, '\p{Other_Grapheme_Extend=no}', 'deprecated');
Expect(1, 2494, '\p{^Other_Grapheme_Extend=no}', 'deprecated');
Expect(1, 2494, '\P{Other_Grapheme_Extend=no}', 'deprecated');
Expect(0, 2494, '\P{^Other_Grapheme_Extend=no}', 'deprecated');
Expect(1, 2493, '\p{Other_Grapheme_Extend=	No}', 'deprecated');
Expect(0, 2493, '\p{^Other_Grapheme_Extend=	No}', 'deprecated');
Expect(0, 2493, '\P{Other_Grapheme_Extend=	No}', 'deprecated');
Expect(1, 2493, '\P{^Other_Grapheme_Extend=	No}', 'deprecated');
Expect(0, 2494, '\p{Other_Grapheme_Extend=	No}', 'deprecated');
Expect(1, 2494, '\p{^Other_Grapheme_Extend=	No}', 'deprecated');
Expect(1, 2494, '\P{Other_Grapheme_Extend=	No}', 'deprecated');
Expect(0, 2494, '\P{^Other_Grapheme_Extend=	No}', 'deprecated');
Error('\p{OGr_Ext=- N/a/}');
Error('\P{OGr_Ext=- N/a/}');
Expect(1, 2493, '\p{OGr_Ext=n}', 'deprecated');
Expect(0, 2493, '\p{^OGr_Ext=n}', 'deprecated');
Expect(0, 2493, '\P{OGr_Ext=n}', 'deprecated');
Expect(1, 2493, '\P{^OGr_Ext=n}', 'deprecated');
Expect(0, 2494, '\p{OGr_Ext=n}', 'deprecated');
Expect(1, 2494, '\p{^OGr_Ext=n}', 'deprecated');
Expect(1, 2494, '\P{OGr_Ext=n}', 'deprecated');
Expect(0, 2494, '\P{^OGr_Ext=n}', 'deprecated');
Expect(1, 2493, '\p{OGr_Ext= N}', 'deprecated');
Expect(0, 2493, '\p{^OGr_Ext= N}', 'deprecated');
Expect(0, 2493, '\P{OGr_Ext= N}', 'deprecated');
Expect(1, 2493, '\P{^OGr_Ext= N}', 'deprecated');
Expect(0, 2494, '\p{OGr_Ext= N}', 'deprecated');
Expect(1, 2494, '\p{^OGr_Ext= N}', 'deprecated');
Expect(1, 2494, '\P{OGr_Ext= N}', 'deprecated');
Expect(0, 2494, '\P{^OGr_Ext= N}', 'deprecated');
Error('\p{Is_Other_Grapheme_Extend=:=-f}');
Error('\P{Is_Other_Grapheme_Extend=:=-f}');
Expect(1, 2493, '\p{Is_Other_Grapheme_Extend=f}', 'deprecated');
Expect(0, 2493, '\p{^Is_Other_Grapheme_Extend=f}', 'deprecated');
Expect(0, 2493, '\P{Is_Other_Grapheme_Extend=f}', 'deprecated');
Expect(1, 2493, '\P{^Is_Other_Grapheme_Extend=f}', 'deprecated');
Expect(0, 2494, '\p{Is_Other_Grapheme_Extend=f}', 'deprecated');
Expect(1, 2494, '\p{^Is_Other_Grapheme_Extend=f}', 'deprecated');
Expect(1, 2494, '\P{Is_Other_Grapheme_Extend=f}', 'deprecated');
Expect(0, 2494, '\P{^Is_Other_Grapheme_Extend=f}', 'deprecated');
Expect(1, 2493, '\p{Is_Other_Grapheme_Extend=  F}', 'deprecated');
Expect(0, 2493, '\p{^Is_Other_Grapheme_Extend=  F}', 'deprecated');
Expect(0, 2493, '\P{Is_Other_Grapheme_Extend=  F}', 'deprecated');
Expect(1, 2493, '\P{^Is_Other_Grapheme_Extend=  F}', 'deprecated');
Expect(0, 2494, '\p{Is_Other_Grapheme_Extend=  F}', 'deprecated');
Expect(1, 2494, '\p{^Is_Other_Grapheme_Extend=  F}', 'deprecated');
Expect(1, 2494, '\P{Is_Other_Grapheme_Extend=  F}', 'deprecated');
Expect(0, 2494, '\P{^Is_Other_Grapheme_Extend=  F}', 'deprecated');
Error('\p{Is_OGr_Ext=/a/False}');
Error('\P{Is_OGr_Ext=/a/False}');
Expect(1, 2493, '\p{Is_OGr_Ext=false}', 'deprecated');
Expect(0, 2493, '\p{^Is_OGr_Ext=false}', 'deprecated');
Expect(0, 2493, '\P{Is_OGr_Ext=false}', 'deprecated');
Expect(1, 2493, '\P{^Is_OGr_Ext=false}', 'deprecated');
Expect(0, 2494, '\p{Is_OGr_Ext=false}', 'deprecated');
Expect(1, 2494, '\p{^Is_OGr_Ext=false}', 'deprecated');
Expect(1, 2494, '\P{Is_OGr_Ext=false}', 'deprecated');
Expect(0, 2494, '\P{^Is_OGr_Ext=false}', 'deprecated');
Expect(1, 2493, '\p{Is_OGr_Ext=False}', 'deprecated');
Expect(0, 2493, '\p{^Is_OGr_Ext=False}', 'deprecated');
Expect(0, 2493, '\P{Is_OGr_Ext=False}', 'deprecated');
Expect(1, 2493, '\P{^Is_OGr_Ext=False}', 'deprecated');
Expect(0, 2494, '\p{Is_OGr_Ext=False}', 'deprecated');
Expect(1, 2494, '\p{^Is_OGr_Ext=False}', 'deprecated');
Expect(1, 2494, '\P{Is_OGr_Ext=False}', 'deprecated');
Expect(0, 2494, '\P{^Is_OGr_Ext=False}', 'deprecated');
Error('\p{Grapheme_Link=Yes}');
Error('\P{Grapheme_Link=Yes}');
Error('\p{Gr_Link=Y}');
Error('\P{Gr_Link=Y}');
Error('\p{Is_Grapheme_Link=T}');
Error('\P{Is_Grapheme_Link=T}');
Error('\p{Is_Gr_Link=True}');
Error('\P{Is_Gr_Link=True}');
Error('\p{Grapheme_Link=No}');
Error('\P{Grapheme_Link=No}');
Error('\p{Gr_Link:N}');
Error('\P{Gr_Link:N}');
Error('\p{Is_Grapheme_Link=F}');
Error('\P{Is_Grapheme_Link=F}');
Error('\p{Is_Gr_Link=False}');
Error('\P{Is_Gr_Link=False}');
Error('\p{Bidi_Control=/a/_yes}');
Error('\P{Bidi_Control=/a/_yes}');
Expect(1, 8207, '\p{Bidi_Control=yes}', "");
Expect(0, 8207, '\p{^Bidi_Control=yes}', "");
Expect(0, 8207, '\P{Bidi_Control=yes}', "");
Expect(1, 8207, '\P{^Bidi_Control=yes}', "");
Expect(0, 8205, '\p{Bidi_Control=yes}', "");
Expect(1, 8205, '\p{^Bidi_Control=yes}', "");
Expect(1, 8205, '\P{Bidi_Control=yes}', "");
Expect(0, 8205, '\P{^Bidi_Control=yes}', "");
Expect(1, 8207, '\p{Bidi_Control:   	yes}', "");
Expect(0, 8207, '\p{^Bidi_Control:   	yes}', "");
Expect(0, 8207, '\P{Bidi_Control:   	yes}', "");
Expect(1, 8207, '\P{^Bidi_Control:   	yes}', "");
Expect(0, 8205, '\p{Bidi_Control:   	yes}', "");
Expect(1, 8205, '\p{^Bidi_Control:   	yes}', "");
Expect(1, 8205, '\P{Bidi_Control:   	yes}', "");
Expect(0, 8205, '\P{^Bidi_Control:   	yes}', "");
Error('\p{Bidi_C=Y:=}');
Error('\P{Bidi_C=Y:=}');
Expect(1, 8207, '\p{Bidi_C=y}', "");
Expect(0, 8207, '\p{^Bidi_C=y}', "");
Expect(0, 8207, '\P{Bidi_C=y}', "");
Expect(1, 8207, '\P{^Bidi_C=y}', "");
Expect(0, 8205, '\p{Bidi_C=y}', "");
Expect(1, 8205, '\p{^Bidi_C=y}', "");
Expect(1, 8205, '\P{Bidi_C=y}', "");
Expect(0, 8205, '\P{^Bidi_C=y}', "");
Expect(1, 8207, '\p{Bidi_C:   _-Y}', "");
Expect(0, 8207, '\p{^Bidi_C:   _-Y}', "");
Expect(0, 8207, '\P{Bidi_C:   _-Y}', "");
Expect(1, 8207, '\P{^Bidi_C:   _-Y}', "");
Expect(0, 8205, '\p{Bidi_C:   _-Y}', "");
Expect(1, 8205, '\p{^Bidi_C:   _-Y}', "");
Expect(1, 8205, '\P{Bidi_C:   _-Y}', "");
Expect(0, 8205, '\P{^Bidi_C:   _-Y}', "");
Error('\p{Is_Bidi_Control=	-T:=}');
Error('\P{Is_Bidi_Control=	-T:=}');
Expect(1, 8207, '\p{Is_Bidi_Control:t}', "");
Expect(0, 8207, '\p{^Is_Bidi_Control:t}', "");
Expect(0, 8207, '\P{Is_Bidi_Control:t}', "");
Expect(1, 8207, '\P{^Is_Bidi_Control:t}', "");
Expect(0, 8205, '\p{Is_Bidi_Control:t}', "");
Expect(1, 8205, '\p{^Is_Bidi_Control:t}', "");
Expect(1, 8205, '\P{Is_Bidi_Control:t}', "");
Expect(0, 8205, '\P{^Is_Bidi_Control:t}', "");
Expect(1, 8207, '\p{Is_Bidi_Control=  t}', "");
Expect(0, 8207, '\p{^Is_Bidi_Control=  t}', "");
Expect(0, 8207, '\P{Is_Bidi_Control=  t}', "");
Expect(1, 8207, '\P{^Is_Bidi_Control=  t}', "");
Expect(0, 8205, '\p{Is_Bidi_Control=  t}', "");
Expect(1, 8205, '\p{^Is_Bidi_Control=  t}', "");
Expect(1, 8205, '\P{Is_Bidi_Control=  t}', "");
Expect(0, 8205, '\P{^Is_Bidi_Control=  t}', "");
Error('\p{Is_Bidi_C= -True/a/}');
Error('\P{Is_Bidi_C= -True/a/}');
Expect(1, 8207, '\p{Is_Bidi_C=true}', "");
Expect(0, 8207, '\p{^Is_Bidi_C=true}', "");
Expect(0, 8207, '\P{Is_Bidi_C=true}', "");
Expect(1, 8207, '\P{^Is_Bidi_C=true}', "");
Expect(0, 8205, '\p{Is_Bidi_C=true}', "");
Expect(1, 8205, '\p{^Is_Bidi_C=true}', "");
Expect(1, 8205, '\P{Is_Bidi_C=true}', "");
Expect(0, 8205, '\P{^Is_Bidi_C=true}', "");
Expect(1, 8207, '\p{Is_Bidi_C:	-TRUE}', "");
Expect(0, 8207, '\p{^Is_Bidi_C:	-TRUE}', "");
Expect(0, 8207, '\P{Is_Bidi_C:	-TRUE}', "");
Expect(1, 8207, '\P{^Is_Bidi_C:	-TRUE}', "");
Expect(0, 8205, '\p{Is_Bidi_C:	-TRUE}', "");
Expect(1, 8205, '\p{^Is_Bidi_C:	-TRUE}', "");
Expect(1, 8205, '\P{Is_Bidi_C:	-TRUE}', "");
Expect(0, 8205, '\P{^Is_Bidi_C:	-TRUE}', "");
Error('\p{Bidi_Control=:=_-No}');
Error('\P{Bidi_Control=:=_-No}');
Expect(1, 8205, '\p{Bidi_Control=no}', "");
Expect(0, 8205, '\p{^Bidi_Control=no}', "");
Expect(0, 8205, '\P{Bidi_Control=no}', "");
Expect(1, 8205, '\P{^Bidi_Control=no}', "");
Expect(0, 8207, '\p{Bidi_Control=no}', "");
Expect(1, 8207, '\p{^Bidi_Control=no}', "");
Expect(1, 8207, '\P{Bidi_Control=no}', "");
Expect(0, 8207, '\P{^Bidi_Control=no}', "");
Expect(1, 8205, '\p{Bidi_Control= No}', "");
Expect(0, 8205, '\p{^Bidi_Control= No}', "");
Expect(0, 8205, '\P{Bidi_Control= No}', "");
Expect(1, 8205, '\P{^Bidi_Control= No}', "");
Expect(0, 8207, '\p{Bidi_Control= No}', "");
Expect(1, 8207, '\p{^Bidi_Control= No}', "");
Expect(1, 8207, '\P{Bidi_Control= No}', "");
Expect(0, 8207, '\P{^Bidi_Control= No}', "");
Error('\p{Bidi_C=/a/_N}');
Error('\P{Bidi_C=/a/_N}');
Expect(1, 8205, '\p{Bidi_C=n}', "");
Expect(0, 8205, '\p{^Bidi_C=n}', "");
Expect(0, 8205, '\P{Bidi_C=n}', "");
Expect(1, 8205, '\P{^Bidi_C=n}', "");
Expect(0, 8207, '\p{Bidi_C=n}', "");
Expect(1, 8207, '\p{^Bidi_C=n}', "");
Expect(1, 8207, '\P{Bidi_C=n}', "");
Expect(0, 8207, '\P{^Bidi_C=n}', "");
Expect(1, 8205, '\p{Bidi_C=	-n}', "");
Expect(0, 8205, '\p{^Bidi_C=	-n}', "");
Expect(0, 8205, '\P{Bidi_C=	-n}', "");
Expect(1, 8205, '\P{^Bidi_C=	-n}', "");
Expect(0, 8207, '\p{Bidi_C=	-n}', "");
Expect(1, 8207, '\p{^Bidi_C=	-n}', "");
Expect(1, 8207, '\P{Bidi_C=	-n}', "");
Expect(0, 8207, '\P{^Bidi_C=	-n}', "");
Error('\p{Is_Bidi_Control=:=F}');
Error('\P{Is_Bidi_Control=:=F}');
Expect(1, 8205, '\p{Is_Bidi_Control=f}', "");
Expect(0, 8205, '\p{^Is_Bidi_Control=f}', "");
Expect(0, 8205, '\P{Is_Bidi_Control=f}', "");
Expect(1, 8205, '\P{^Is_Bidi_Control=f}', "");
Expect(0, 8207, '\p{Is_Bidi_Control=f}', "");
Expect(1, 8207, '\p{^Is_Bidi_Control=f}', "");
Expect(1, 8207, '\P{Is_Bidi_Control=f}', "");
Expect(0, 8207, '\P{^Is_Bidi_Control=f}', "");
Expect(1, 8205, '\p{Is_Bidi_Control=	-f}', "");
Expect(0, 8205, '\p{^Is_Bidi_Control=	-f}', "");
Expect(0, 8205, '\P{Is_Bidi_Control=	-f}', "");
Expect(1, 8205, '\P{^Is_Bidi_Control=	-f}', "");
Expect(0, 8207, '\p{Is_Bidi_Control=	-f}', "");
Expect(1, 8207, '\p{^Is_Bidi_Control=	-f}', "");
Expect(1, 8207, '\P{Is_Bidi_Control=	-f}', "");
Expect(0, 8207, '\P{^Is_Bidi_Control=	-f}', "");
Error('\p{Is_Bidi_C=-:=FALSE}');
Error('\P{Is_Bidi_C=-:=FALSE}');
Expect(1, 8205, '\p{Is_Bidi_C=false}', "");
Expect(0, 8205, '\p{^Is_Bidi_C=false}', "");
Expect(0, 8205, '\P{Is_Bidi_C=false}', "");
Expect(1, 8205, '\P{^Is_Bidi_C=false}', "");
Expect(0, 8207, '\p{Is_Bidi_C=false}', "");
Expect(1, 8207, '\p{^Is_Bidi_C=false}', "");
Expect(1, 8207, '\P{Is_Bidi_C=false}', "");
Expect(0, 8207, '\P{^Is_Bidi_C=false}', "");
Expect(1, 8205, '\p{Is_Bidi_C=	_False}', "");
Expect(0, 8205, '\p{^Is_Bidi_C=	_False}', "");
Expect(0, 8205, '\P{Is_Bidi_C=	_False}', "");
Expect(1, 8205, '\P{^Is_Bidi_C=	_False}', "");
Expect(0, 8207, '\p{Is_Bidi_C=	_False}', "");
Expect(1, 8207, '\p{^Is_Bidi_C=	_False}', "");
Expect(1, 8207, '\P{Is_Bidi_C=	_False}', "");
Expect(0, 8207, '\P{^Is_Bidi_C=	_False}', "");
Error('\p{ID_Continue=/a/-	Yes}');
Error('\P{ID_Continue=/a/-	Yes}');
Expect(1, 57, '\p{ID_Continue=yes}', "");
Expect(0, 57, '\p{^ID_Continue=yes}', "");
Expect(0, 57, '\P{ID_Continue=yes}', "");
Expect(1, 57, '\P{^ID_Continue=yes}', "");
Expect(0, 47, '\p{ID_Continue=yes}', "");
Expect(1, 47, '\p{^ID_Continue=yes}', "");
Expect(1, 47, '\P{ID_Continue=yes}', "");
Expect(0, 47, '\P{^ID_Continue=yes}', "");
Error('\p{IDC=:=  Y}');
Error('\P{IDC=:=  Y}');
Expect(1, 57, '\p{IDC=y}', "");
Expect(0, 57, '\p{^IDC=y}', "");
Expect(0, 57, '\P{IDC=y}', "");
Expect(1, 57, '\P{^IDC=y}', "");
Expect(0, 47, '\p{IDC=y}', "");
Expect(1, 47, '\p{^IDC=y}', "");
Expect(1, 47, '\P{IDC=y}', "");
Expect(0, 47, '\P{^IDC=y}', "");
Expect(1, 57, '\p{IDC=-_Y}', "");
Expect(0, 57, '\p{^IDC=-_Y}', "");
Expect(0, 57, '\P{IDC=-_Y}', "");
Expect(1, 57, '\P{^IDC=-_Y}', "");
Expect(0, 47, '\p{IDC=-_Y}', "");
Expect(1, 47, '\p{^IDC=-_Y}', "");
Expect(1, 47, '\P{IDC=-_Y}', "");
Expect(0, 47, '\P{^IDC=-_Y}', "");
Error('\p{Is_ID_Continue=-:=T}');
Error('\P{Is_ID_Continue=-:=T}');
Expect(1, 57, '\p{Is_ID_Continue=t}', "");
Expect(0, 57, '\p{^Is_ID_Continue=t}', "");
Expect(0, 57, '\P{Is_ID_Continue=t}', "");
Expect(1, 57, '\P{^Is_ID_Continue=t}', "");
Expect(0, 47, '\p{Is_ID_Continue=t}', "");
Expect(1, 47, '\p{^Is_ID_Continue=t}', "");
Expect(1, 47, '\P{Is_ID_Continue=t}', "");
Expect(0, 47, '\P{^Is_ID_Continue=t}', "");
Expect(1, 57, '\p{Is_ID_Continue=	T}', "");
Expect(0, 57, '\p{^Is_ID_Continue=	T}', "");
Expect(0, 57, '\P{Is_ID_Continue=	T}', "");
Expect(1, 57, '\P{^Is_ID_Continue=	T}', "");
Expect(0, 47, '\p{Is_ID_Continue=	T}', "");
Expect(1, 47, '\p{^Is_ID_Continue=	T}', "");
Expect(1, 47, '\P{Is_ID_Continue=	T}', "");
Expect(0, 47, '\P{^Is_ID_Continue=	T}', "");
Error('\p{Is_IDC:		:=true}');
Error('\P{Is_IDC:		:=true}');
Expect(1, 57, '\p{Is_IDC=true}', "");
Expect(0, 57, '\p{^Is_IDC=true}', "");
Expect(0, 57, '\P{Is_IDC=true}', "");
Expect(1, 57, '\P{^Is_IDC=true}', "");
Expect(0, 47, '\p{Is_IDC=true}', "");
Expect(1, 47, '\p{^Is_IDC=true}', "");
Expect(1, 47, '\P{Is_IDC=true}', "");
Expect(0, 47, '\P{^Is_IDC=true}', "");
Expect(1, 57, '\p{Is_IDC=_-true}', "");
Expect(0, 57, '\p{^Is_IDC=_-true}', "");
Expect(0, 57, '\P{Is_IDC=_-true}', "");
Expect(1, 57, '\P{^Is_IDC=_-true}', "");
Expect(0, 47, '\p{Is_IDC=_-true}', "");
Expect(1, 47, '\p{^Is_IDC=_-true}', "");
Expect(1, 47, '\P{Is_IDC=_-true}', "");
Expect(0, 47, '\P{^Is_IDC=_-true}', "");
Error('\p{ID_Continue=	 no/a/}');
Error('\P{ID_Continue=	 no/a/}');
Expect(1, 47, '\p{ID_Continue:	no}', "");
Expect(0, 47, '\p{^ID_Continue:	no}', "");
Expect(0, 47, '\P{ID_Continue:	no}', "");
Expect(1, 47, '\P{^ID_Continue:	no}', "");
Expect(0, 57, '\p{ID_Continue:	no}', "");
Expect(1, 57, '\p{^ID_Continue:	no}', "");
Expect(1, 57, '\P{ID_Continue:	no}', "");
Expect(0, 57, '\P{^ID_Continue:	no}', "");
Expect(1, 47, '\p{ID_Continue=_ No}', "");
Expect(0, 47, '\p{^ID_Continue=_ No}', "");
Expect(0, 47, '\P{ID_Continue=_ No}', "");
Expect(1, 47, '\P{^ID_Continue=_ No}', "");
Expect(0, 57, '\p{ID_Continue=_ No}', "");
Expect(1, 57, '\p{^ID_Continue=_ No}', "");
Expect(1, 57, '\P{ID_Continue=_ No}', "");
Expect(0, 57, '\P{^ID_Continue=_ No}', "");
Error('\p{IDC::=-_N}');
Error('\P{IDC::=-_N}');
Expect(1, 47, '\p{IDC=n}', "");
Expect(0, 47, '\p{^IDC=n}', "");
Expect(0, 47, '\P{IDC=n}', "");
Expect(1, 47, '\P{^IDC=n}', "");
Expect(0, 57, '\p{IDC=n}', "");
Expect(1, 57, '\p{^IDC=n}', "");
Expect(1, 57, '\P{IDC=n}', "");
Expect(0, 57, '\P{^IDC=n}', "");
Expect(1, 47, '\p{IDC:   _N}', "");
Expect(0, 47, '\p{^IDC:   _N}', "");
Expect(0, 47, '\P{IDC:   _N}', "");
Expect(1, 47, '\P{^IDC:   _N}', "");
Expect(0, 57, '\p{IDC:   _N}', "");
Expect(1, 57, '\p{^IDC:   _N}', "");
Expect(1, 57, '\P{IDC:   _N}', "");
Expect(0, 57, '\P{^IDC:   _N}', "");
Error('\p{Is_ID_Continue=-/a/F}');
Error('\P{Is_ID_Continue=-/a/F}');
Expect(1, 47, '\p{Is_ID_Continue=f}', "");
Expect(0, 47, '\p{^Is_ID_Continue=f}', "");
Expect(0, 47, '\P{Is_ID_Continue=f}', "");
Expect(1, 47, '\P{^Is_ID_Continue=f}', "");
Expect(0, 57, '\p{Is_ID_Continue=f}', "");
Expect(1, 57, '\p{^Is_ID_Continue=f}', "");
Expect(1, 57, '\P{Is_ID_Continue=f}', "");
Expect(0, 57, '\P{^Is_ID_Continue=f}', "");
Expect(1, 47, '\p{Is_ID_Continue:   		F}', "");
Expect(0, 47, '\p{^Is_ID_Continue:   		F}', "");
Expect(0, 47, '\P{Is_ID_Continue:   		F}', "");
Expect(1, 47, '\P{^Is_ID_Continue:   		F}', "");
Expect(0, 57, '\p{Is_ID_Continue:   		F}', "");
Expect(1, 57, '\p{^Is_ID_Continue:   		F}', "");
Expect(1, 57, '\P{Is_ID_Continue:   		F}', "");
Expect(0, 57, '\P{^Is_ID_Continue:   		F}', "");
Error('\p{Is_IDC=_/a/false}');
Error('\P{Is_IDC=_/a/false}');
Expect(1, 47, '\p{Is_IDC=false}', "");
Expect(0, 47, '\p{^Is_IDC=false}', "");
Expect(0, 47, '\P{Is_IDC=false}', "");
Expect(1, 47, '\P{^Is_IDC=false}', "");
Expect(0, 57, '\p{Is_IDC=false}', "");
Expect(1, 57, '\p{^Is_IDC=false}', "");
Expect(1, 57, '\P{Is_IDC=false}', "");
Expect(0, 57, '\P{^Is_IDC=false}', "");
Expect(1, 47, '\p{Is_IDC=	_false}', "");
Expect(0, 47, '\p{^Is_IDC=	_false}', "");
Expect(0, 47, '\P{Is_IDC=	_false}', "");
Expect(1, 47, '\P{^Is_IDC=	_false}', "");
Expect(0, 57, '\p{Is_IDC=	_false}', "");
Expect(1, 57, '\p{^Is_IDC=	_false}', "");
Expect(1, 57, '\P{Is_IDC=	_false}', "");
Expect(0, 57, '\P{^Is_IDC=	_false}', "");
Error('\p{Other_Alphabetic=/a/yes}');
Error('\P{Other_Alphabetic=/a/yes}');
Expect(1, 837, '\p{Other_Alphabetic=yes}', 'deprecated');
Expect(0, 837, '\p{^Other_Alphabetic=yes}', 'deprecated');
Expect(0, 837, '\P{Other_Alphabetic=yes}', 'deprecated');
Expect(1, 837, '\P{^Other_Alphabetic=yes}', 'deprecated');
Expect(0, 836, '\p{Other_Alphabetic=yes}', 'deprecated');
Expect(1, 836, '\p{^Other_Alphabetic=yes}', 'deprecated');
Expect(1, 836, '\P{Other_Alphabetic=yes}', 'deprecated');
Expect(0, 836, '\P{^Other_Alphabetic=yes}', 'deprecated');
Expect(1, 837, '\p{Other_Alphabetic=_Yes}', 'deprecated');
Expect(0, 837, '\p{^Other_Alphabetic=_Yes}', 'deprecated');
Expect(0, 837, '\P{Other_Alphabetic=_Yes}', 'deprecated');
Expect(1, 837, '\P{^Other_Alphabetic=_Yes}', 'deprecated');
Expect(0, 836, '\p{Other_Alphabetic=_Yes}', 'deprecated');
Expect(1, 836, '\p{^Other_Alphabetic=_Yes}', 'deprecated');
Expect(1, 836, '\P{Other_Alphabetic=_Yes}', 'deprecated');
Expect(0, 836, '\P{^Other_Alphabetic=_Yes}', 'deprecated');
Error('\p{OAlpha=_-y/a/}');
Error('\P{OAlpha=_-y/a/}');
Expect(1, 837, '\p{OAlpha=y}', 'deprecated');
Expect(0, 837, '\p{^OAlpha=y}', 'deprecated');
Expect(0, 837, '\P{OAlpha=y}', 'deprecated');
Expect(1, 837, '\P{^OAlpha=y}', 'deprecated');
Expect(0, 836, '\p{OAlpha=y}', 'deprecated');
Expect(1, 836, '\p{^OAlpha=y}', 'deprecated');
Expect(1, 836, '\P{OAlpha=y}', 'deprecated');
Expect(0, 836, '\P{^OAlpha=y}', 'deprecated');
Expect(1, 837, '\p{OAlpha=-	Y}', 'deprecated');
Expect(0, 837, '\p{^OAlpha=-	Y}', 'deprecated');
Expect(0, 837, '\P{OAlpha=-	Y}', 'deprecated');
Expect(1, 837, '\P{^OAlpha=-	Y}', 'deprecated');
Expect(0, 836, '\p{OAlpha=-	Y}', 'deprecated');
Expect(1, 836, '\p{^OAlpha=-	Y}', 'deprecated');
Expect(1, 836, '\P{OAlpha=-	Y}', 'deprecated');
Expect(0, 836, '\P{^OAlpha=-	Y}', 'deprecated');
Error('\p{Is_Other_Alphabetic=:= _T}');
Error('\P{Is_Other_Alphabetic=:= _T}');
Expect(1, 837, '\p{Is_Other_Alphabetic=t}', 'deprecated');
Expect(0, 837, '\p{^Is_Other_Alphabetic=t}', 'deprecated');
Expect(0, 837, '\P{Is_Other_Alphabetic=t}', 'deprecated');
Expect(1, 837, '\P{^Is_Other_Alphabetic=t}', 'deprecated');
Expect(0, 836, '\p{Is_Other_Alphabetic=t}', 'deprecated');
Expect(1, 836, '\p{^Is_Other_Alphabetic=t}', 'deprecated');
Expect(1, 836, '\P{Is_Other_Alphabetic=t}', 'deprecated');
Expect(0, 836, '\P{^Is_Other_Alphabetic=t}', 'deprecated');
Expect(1, 837, '\p{Is_Other_Alphabetic=- t}', 'deprecated');
Expect(0, 837, '\p{^Is_Other_Alphabetic=- t}', 'deprecated');
Expect(0, 837, '\P{Is_Other_Alphabetic=- t}', 'deprecated');
Expect(1, 837, '\P{^Is_Other_Alphabetic=- t}', 'deprecated');
Expect(0, 836, '\p{Is_Other_Alphabetic=- t}', 'deprecated');
Expect(1, 836, '\p{^Is_Other_Alphabetic=- t}', 'deprecated');
Expect(1, 836, '\P{Is_Other_Alphabetic=- t}', 'deprecated');
Expect(0, 836, '\P{^Is_Other_Alphabetic=- t}', 'deprecated');
Error('\p{Is_OAlpha=TRUE:=}');
Error('\P{Is_OAlpha=TRUE:=}');
Expect(1, 837, '\p{Is_OAlpha=true}', 'deprecated');
Expect(0, 837, '\p{^Is_OAlpha=true}', 'deprecated');
Expect(0, 837, '\P{Is_OAlpha=true}', 'deprecated');
Expect(1, 837, '\P{^Is_OAlpha=true}', 'deprecated');
Expect(0, 836, '\p{Is_OAlpha=true}', 'deprecated');
Expect(1, 836, '\p{^Is_OAlpha=true}', 'deprecated');
Expect(1, 836, '\P{Is_OAlpha=true}', 'deprecated');
Expect(0, 836, '\P{^Is_OAlpha=true}', 'deprecated');
Expect(1, 837, '\p{Is_OAlpha=__TRUE}', 'deprecated');
Expect(0, 837, '\p{^Is_OAlpha=__TRUE}', 'deprecated');
Expect(0, 837, '\P{Is_OAlpha=__TRUE}', 'deprecated');
Expect(1, 837, '\P{^Is_OAlpha=__TRUE}', 'deprecated');
Expect(0, 836, '\p{Is_OAlpha=__TRUE}', 'deprecated');
Expect(1, 836, '\p{^Is_OAlpha=__TRUE}', 'deprecated');
Expect(1, 836, '\P{Is_OAlpha=__TRUE}', 'deprecated');
Expect(0, 836, '\P{^Is_OAlpha=__TRUE}', 'deprecated');
Error('\p{Other_Alphabetic=-_No:=}');
Error('\P{Other_Alphabetic=-_No:=}');
Expect(1, 836, '\p{Other_Alphabetic=no}', 'deprecated');
Expect(0, 836, '\p{^Other_Alphabetic=no}', 'deprecated');
Expect(0, 836, '\P{Other_Alphabetic=no}', 'deprecated');
Expect(1, 836, '\P{^Other_Alphabetic=no}', 'deprecated');
Expect(0, 837, '\p{Other_Alphabetic=no}', 'deprecated');
Expect(1, 837, '\p{^Other_Alphabetic=no}', 'deprecated');
Expect(1, 837, '\P{Other_Alphabetic=no}', 'deprecated');
Expect(0, 837, '\P{^Other_Alphabetic=no}', 'deprecated');
Expect(1, 836, '\p{Other_Alphabetic=  no}', 'deprecated');
Expect(0, 836, '\p{^Other_Alphabetic=  no}', 'deprecated');
Expect(0, 836, '\P{Other_Alphabetic=  no}', 'deprecated');
Expect(1, 836, '\P{^Other_Alphabetic=  no}', 'deprecated');
Expect(0, 837, '\p{Other_Alphabetic=  no}', 'deprecated');
Expect(1, 837, '\p{^Other_Alphabetic=  no}', 'deprecated');
Expect(1, 837, '\P{Other_Alphabetic=  no}', 'deprecated');
Expect(0, 837, '\P{^Other_Alphabetic=  no}', 'deprecated');
Error('\p{OAlpha=:=-N}');
Error('\P{OAlpha=:=-N}');
Expect(1, 836, '\p{OAlpha=n}', 'deprecated');
Expect(0, 836, '\p{^OAlpha=n}', 'deprecated');
Expect(0, 836, '\P{OAlpha=n}', 'deprecated');
Expect(1, 836, '\P{^OAlpha=n}', 'deprecated');
Expect(0, 837, '\p{OAlpha=n}', 'deprecated');
Expect(1, 837, '\p{^OAlpha=n}', 'deprecated');
Expect(1, 837, '\P{OAlpha=n}', 'deprecated');
Expect(0, 837, '\P{^OAlpha=n}', 'deprecated');
Expect(1, 836, '\p{OAlpha=		N}', 'deprecated');
Expect(0, 836, '\p{^OAlpha=		N}', 'deprecated');
Expect(0, 836, '\P{OAlpha=		N}', 'deprecated');
Expect(1, 836, '\P{^OAlpha=		N}', 'deprecated');
Expect(0, 837, '\p{OAlpha=		N}', 'deprecated');
Expect(1, 837, '\p{^OAlpha=		N}', 'deprecated');
Expect(1, 837, '\P{OAlpha=		N}', 'deprecated');
Expect(0, 837, '\P{^OAlpha=		N}', 'deprecated');
Error('\p{Is_Other_Alphabetic=:=		F}');
Error('\P{Is_Other_Alphabetic=:=		F}');
Expect(1, 836, '\p{Is_Other_Alphabetic=f}', 'deprecated');
Expect(0, 836, '\p{^Is_Other_Alphabetic=f}', 'deprecated');
Expect(0, 836, '\P{Is_Other_Alphabetic=f}', 'deprecated');
Expect(1, 836, '\P{^Is_Other_Alphabetic=f}', 'deprecated');
Expect(0, 837, '\p{Is_Other_Alphabetic=f}', 'deprecated');
Expect(1, 837, '\p{^Is_Other_Alphabetic=f}', 'deprecated');
Expect(1, 837, '\P{Is_Other_Alphabetic=f}', 'deprecated');
Expect(0, 837, '\P{^Is_Other_Alphabetic=f}', 'deprecated');
Expect(1, 836, '\p{Is_Other_Alphabetic:    f}', 'deprecated');
Expect(0, 836, '\p{^Is_Other_Alphabetic:    f}', 'deprecated');
Expect(0, 836, '\P{Is_Other_Alphabetic:    f}', 'deprecated');
Expect(1, 836, '\P{^Is_Other_Alphabetic:    f}', 'deprecated');
Expect(0, 837, '\p{Is_Other_Alphabetic:    f}', 'deprecated');
Expect(1, 837, '\p{^Is_Other_Alphabetic:    f}', 'deprecated');
Expect(1, 837, '\P{Is_Other_Alphabetic:    f}', 'deprecated');
Expect(0, 837, '\P{^Is_Other_Alphabetic:    f}', 'deprecated');
Error('\p{Is_OAlpha: -False:=}');
Error('\P{Is_OAlpha: -False:=}');
Expect(1, 836, '\p{Is_OAlpha:	false}', 'deprecated');
Expect(0, 836, '\p{^Is_OAlpha:	false}', 'deprecated');
Expect(0, 836, '\P{Is_OAlpha:	false}', 'deprecated');
Expect(1, 836, '\P{^Is_OAlpha:	false}', 'deprecated');
Expect(0, 837, '\p{Is_OAlpha:	false}', 'deprecated');
Expect(1, 837, '\p{^Is_OAlpha:	false}', 'deprecated');
Expect(1, 837, '\P{Is_OAlpha:	false}', 'deprecated');
Expect(0, 837, '\P{^Is_OAlpha:	false}', 'deprecated');
Expect(1, 836, '\p{Is_OAlpha=-False}', 'deprecated');
Expect(0, 836, '\p{^Is_OAlpha=-False}', 'deprecated');
Expect(0, 836, '\P{Is_OAlpha=-False}', 'deprecated');
Expect(1, 836, '\P{^Is_OAlpha=-False}', 'deprecated');
Expect(0, 837, '\p{Is_OAlpha=-False}', 'deprecated');
Expect(1, 837, '\p{^Is_OAlpha=-False}', 'deprecated');
Expect(1, 837, '\P{Is_OAlpha=-False}', 'deprecated');
Expect(0, 837, '\P{^Is_OAlpha=-False}', 'deprecated');
Error('\p{NFKD_Quick_Check=_ YES:=}');
Error('\P{NFKD_Quick_Check=_ YES:=}');
Expect(1, 159, '\p{NFKD_Quick_Check:yes}', "");
Expect(0, 159, '\p{^NFKD_Quick_Check:yes}', "");
Expect(0, 159, '\P{NFKD_Quick_Check:yes}', "");
Expect(1, 159, '\P{^NFKD_Quick_Check:yes}', "");
Expect(0, 160, '\p{NFKD_Quick_Check:yes}', "");
Expect(1, 160, '\p{^NFKD_Quick_Check:yes}', "");
Expect(1, 160, '\P{NFKD_Quick_Check:yes}', "");
Expect(0, 160, '\P{^NFKD_Quick_Check:yes}', "");
Expect(1, 159, '\p{NFKD_Quick_Check=  yes}', "");
Expect(0, 159, '\p{^NFKD_Quick_Check=  yes}', "");
Expect(0, 159, '\P{NFKD_Quick_Check=  yes}', "");
Expect(1, 159, '\P{^NFKD_Quick_Check=  yes}', "");
Expect(0, 160, '\p{NFKD_Quick_Check=  yes}', "");
Expect(1, 160, '\p{^NFKD_Quick_Check=  yes}', "");
Expect(1, 160, '\P{NFKD_Quick_Check=  yes}', "");
Expect(0, 160, '\P{^NFKD_Quick_Check=  yes}', "");
Error('\p{NFKD_QC=/a/ -y}');
Error('\P{NFKD_QC=/a/ -y}');
Expect(1, 159, '\p{NFKD_QC=y}', "");
Expect(0, 159, '\p{^NFKD_QC=y}', "");
Expect(0, 159, '\P{NFKD_QC=y}', "");
Expect(1, 159, '\P{^NFKD_QC=y}', "");
Expect(0, 160, '\p{NFKD_QC=y}', "");
Expect(1, 160, '\p{^NFKD_QC=y}', "");
Expect(1, 160, '\P{NFKD_QC=y}', "");
Expect(0, 160, '\P{^NFKD_QC=y}', "");
Expect(1, 159, '\p{NFKD_QC=_ Y}', "");
Expect(0, 159, '\p{^NFKD_QC=_ Y}', "");
Expect(0, 159, '\P{NFKD_QC=_ Y}', "");
Expect(1, 159, '\P{^NFKD_QC=_ Y}', "");
Expect(0, 160, '\p{NFKD_QC=_ Y}', "");
Expect(1, 160, '\p{^NFKD_QC=_ Y}', "");
Expect(1, 160, '\P{NFKD_QC=_ Y}', "");
Expect(0, 160, '\P{^NFKD_QC=_ Y}', "");
Error('\p{Is_NFKD_Quick_Check=	:=Yes}');
Error('\P{Is_NFKD_Quick_Check=	:=Yes}');
Expect(1, 159, '\p{Is_NFKD_Quick_Check=yes}', "");
Expect(0, 159, '\p{^Is_NFKD_Quick_Check=yes}', "");
Expect(0, 159, '\P{Is_NFKD_Quick_Check=yes}', "");
Expect(1, 159, '\P{^Is_NFKD_Quick_Check=yes}', "");
Expect(0, 160, '\p{Is_NFKD_Quick_Check=yes}', "");
Expect(1, 160, '\p{^Is_NFKD_Quick_Check=yes}', "");
Expect(1, 160, '\P{Is_NFKD_Quick_Check=yes}', "");
Expect(0, 160, '\P{^Is_NFKD_Quick_Check=yes}', "");
Expect(1, 159, '\p{Is_NFKD_Quick_Check= _yes}', "");
Expect(0, 159, '\p{^Is_NFKD_Quick_Check= _yes}', "");
Expect(0, 159, '\P{Is_NFKD_Quick_Check= _yes}', "");
Expect(1, 159, '\P{^Is_NFKD_Quick_Check= _yes}', "");
Expect(0, 160, '\p{Is_NFKD_Quick_Check= _yes}', "");
Expect(1, 160, '\p{^Is_NFKD_Quick_Check= _yes}', "");
Expect(1, 160, '\P{Is_NFKD_Quick_Check= _yes}', "");
Expect(0, 160, '\P{^Is_NFKD_Quick_Check= _yes}', "");
Error('\p{Is_NFKD_QC=-:=Y}');
Error('\P{Is_NFKD_QC=-:=Y}');
Expect(1, 159, '\p{Is_NFKD_QC=y}', "");
Expect(0, 159, '\p{^Is_NFKD_QC=y}', "");
Expect(0, 159, '\P{Is_NFKD_QC=y}', "");
Expect(1, 159, '\P{^Is_NFKD_QC=y}', "");
Expect(0, 160, '\p{Is_NFKD_QC=y}', "");
Expect(1, 160, '\p{^Is_NFKD_QC=y}', "");
Expect(1, 160, '\P{Is_NFKD_QC=y}', "");
Expect(0, 160, '\P{^Is_NFKD_QC=y}', "");
Expect(1, 159, '\p{Is_NFKD_QC=	 Y}', "");
Expect(0, 159, '\p{^Is_NFKD_QC=	 Y}', "");
Expect(0, 159, '\P{Is_NFKD_QC=	 Y}', "");
Expect(1, 159, '\P{^Is_NFKD_QC=	 Y}', "");
Expect(0, 160, '\p{Is_NFKD_QC=	 Y}', "");
Expect(1, 160, '\p{^Is_NFKD_QC=	 Y}', "");
Expect(1, 160, '\P{Is_NFKD_QC=	 Y}', "");
Expect(0, 160, '\P{^Is_NFKD_QC=	 Y}', "");
Error('\p{NFKD_Quick_Check=:=	-No}');
Error('\P{NFKD_Quick_Check=:=	-No}');
Expect(1, 160, '\p{NFKD_Quick_Check=no}', "");
Expect(0, 160, '\p{^NFKD_Quick_Check=no}', "");
Expect(0, 160, '\P{NFKD_Quick_Check=no}', "");
Expect(1, 160, '\P{^NFKD_Quick_Check=no}', "");
Expect(0, 159, '\p{NFKD_Quick_Check=no}', "");
Expect(1, 159, '\p{^NFKD_Quick_Check=no}', "");
Expect(1, 159, '\P{NFKD_Quick_Check=no}', "");
Expect(0, 159, '\P{^NFKD_Quick_Check=no}', "");
Expect(1, 160, '\p{NFKD_Quick_Check=	no}', "");
Expect(0, 160, '\p{^NFKD_Quick_Check=	no}', "");
Expect(0, 160, '\P{NFKD_Quick_Check=	no}', "");
Expect(1, 160, '\P{^NFKD_Quick_Check=	no}', "");
Expect(0, 159, '\p{NFKD_Quick_Check=	no}', "");
Expect(1, 159, '\p{^NFKD_Quick_Check=	no}', "");
Expect(1, 159, '\P{NFKD_Quick_Check=	no}', "");
Expect(0, 159, '\P{^NFKD_Quick_Check=	no}', "");
Error('\p{NFKD_QC=	_N/a/}');
Error('\P{NFKD_QC=	_N/a/}');
Expect(1, 160, '\p{NFKD_QC=n}', "");
Expect(0, 160, '\p{^NFKD_QC=n}', "");
Expect(0, 160, '\P{NFKD_QC=n}', "");
Expect(1, 160, '\P{^NFKD_QC=n}', "");
Expect(0, 159, '\p{NFKD_QC=n}', "");
Expect(1, 159, '\p{^NFKD_QC=n}', "");
Expect(1, 159, '\P{NFKD_QC=n}', "");
Expect(0, 159, '\P{^NFKD_QC=n}', "");
Expect(1, 160, '\p{NFKD_QC=-n}', "");
Expect(0, 160, '\p{^NFKD_QC=-n}', "");
Expect(0, 160, '\P{NFKD_QC=-n}', "");
Expect(1, 160, '\P{^NFKD_QC=-n}', "");
Expect(0, 159, '\p{NFKD_QC=-n}', "");
Expect(1, 159, '\p{^NFKD_QC=-n}', "");
Expect(1, 159, '\P{NFKD_QC=-n}', "");
Expect(0, 159, '\P{^NFKD_QC=-n}', "");
Error('\p{Is_NFKD_Quick_Check=	:=No}');
Error('\P{Is_NFKD_Quick_Check=	:=No}');
Expect(1, 160, '\p{Is_NFKD_Quick_Check=no}', "");
Expect(0, 160, '\p{^Is_NFKD_Quick_Check=no}', "");
Expect(0, 160, '\P{Is_NFKD_Quick_Check=no}', "");
Expect(1, 160, '\P{^Is_NFKD_Quick_Check=no}', "");
Expect(0, 159, '\p{Is_NFKD_Quick_Check=no}', "");
Expect(1, 159, '\p{^Is_NFKD_Quick_Check=no}', "");
Expect(1, 159, '\P{Is_NFKD_Quick_Check=no}', "");
Expect(0, 159, '\P{^Is_NFKD_Quick_Check=no}', "");
Expect(1, 160, '\p{Is_NFKD_Quick_Check=	No}', "");
Expect(0, 160, '\p{^Is_NFKD_Quick_Check=	No}', "");
Expect(0, 160, '\P{Is_NFKD_Quick_Check=	No}', "");
Expect(1, 160, '\P{^Is_NFKD_Quick_Check=	No}', "");
Expect(0, 159, '\p{Is_NFKD_Quick_Check=	No}', "");
Expect(1, 159, '\p{^Is_NFKD_Quick_Check=	No}', "");
Expect(1, 159, '\P{Is_NFKD_Quick_Check=	No}', "");
Expect(0, 159, '\P{^Is_NFKD_Quick_Check=	No}', "");
Error('\p{Is_NFKD_QC=:=	N}');
Error('\P{Is_NFKD_QC=:=	N}');
Expect(1, 160, '\p{Is_NFKD_QC=n}', "");
Expect(0, 160, '\p{^Is_NFKD_QC=n}', "");
Expect(0, 160, '\P{Is_NFKD_QC=n}', "");
Expect(1, 160, '\P{^Is_NFKD_QC=n}', "");
Expect(0, 159, '\p{Is_NFKD_QC=n}', "");
Expect(1, 159, '\p{^Is_NFKD_QC=n}', "");
Expect(1, 159, '\P{Is_NFKD_QC=n}', "");
Expect(0, 159, '\P{^Is_NFKD_QC=n}', "");
Expect(1, 160, '\p{Is_NFKD_QC= _n}', "");
Expect(0, 160, '\p{^Is_NFKD_QC= _n}', "");
Expect(0, 160, '\P{Is_NFKD_QC= _n}', "");
Expect(1, 160, '\P{^Is_NFKD_QC= _n}', "");
Expect(0, 159, '\p{Is_NFKD_QC= _n}', "");
Expect(1, 159, '\p{^Is_NFKD_QC= _n}', "");
Expect(1, 159, '\P{Is_NFKD_QC= _n}', "");
Expect(0, 159, '\P{^Is_NFKD_QC= _n}', "");
Error('\p{Math:Yes/a/}');
Error('\P{Math:Yes/a/}');
Expect(1, 43, '\p{Math=yes}', "");
Expect(0, 43, '\p{^Math=yes}', "");
Expect(0, 43, '\P{Math=yes}', "");
Expect(1, 43, '\P{^Math=yes}', "");
Expect(0, 42, '\p{Math=yes}', "");
Expect(1, 42, '\p{^Math=yes}', "");
Expect(1, 42, '\P{Math=yes}', "");
Expect(0, 42, '\P{^Math=yes}', "");
Expect(1, 43, '\p{Math=_Yes}', "");
Expect(0, 43, '\p{^Math=_Yes}', "");
Expect(0, 43, '\P{Math=_Yes}', "");
Expect(1, 43, '\P{^Math=_Yes}', "");
Expect(0, 42, '\p{Math=_Yes}', "");
Expect(1, 42, '\p{^Math=_Yes}', "");
Expect(1, 42, '\P{Math=_Yes}', "");
Expect(0, 42, '\P{^Math=_Yes}', "");
Error('\p{Is_Math=	_Y/a/}');
Error('\P{Is_Math=	_Y/a/}');
Expect(1, 43, '\p{Is_Math=y}', "");
Expect(0, 43, '\p{^Is_Math=y}', "");
Expect(0, 43, '\P{Is_Math=y}', "");
Expect(1, 43, '\P{^Is_Math=y}', "");
Expect(0, 42, '\p{Is_Math=y}', "");
Expect(1, 42, '\p{^Is_Math=y}', "");
Expect(1, 42, '\P{Is_Math=y}', "");
Expect(0, 42, '\P{^Is_Math=y}', "");
Expect(1, 43, '\p{Is_Math=		Y}', "");
Expect(0, 43, '\p{^Is_Math=		Y}', "");
Expect(0, 43, '\P{Is_Math=		Y}', "");
Expect(1, 43, '\P{^Is_Math=		Y}', "");
Expect(0, 42, '\p{Is_Math=		Y}', "");
Expect(1, 42, '\p{^Is_Math=		Y}', "");
Expect(1, 42, '\P{Is_Math=		Y}', "");
Expect(0, 42, '\P{^Is_Math=		Y}', "");
Error('\p{Math:	T/a/}');
Error('\P{Math:	T/a/}');
Expect(1, 43, '\p{Math=t}', "");
Expect(0, 43, '\p{^Math=t}', "");
Expect(0, 43, '\P{Math=t}', "");
Expect(1, 43, '\P{^Math=t}', "");
Expect(0, 42, '\p{Math=t}', "");
Expect(1, 42, '\p{^Math=t}', "");
Expect(1, 42, '\P{Math=t}', "");
Expect(0, 42, '\P{^Math=t}', "");
Expect(1, 43, '\p{Math=_t}', "");
Expect(0, 43, '\p{^Math=_t}', "");
Expect(0, 43, '\P{Math=_t}', "");
Expect(1, 43, '\P{^Math=_t}', "");
Expect(0, 42, '\p{Math=_t}', "");
Expect(1, 42, '\p{^Math=_t}', "");
Expect(1, 42, '\P{Math=_t}', "");
Expect(0, 42, '\P{^Math=_t}', "");
Error('\p{Is_Math=-/a/True}');
Error('\P{Is_Math=-/a/True}');
Expect(1, 43, '\p{Is_Math=true}', "");
Expect(0, 43, '\p{^Is_Math=true}', "");
Expect(0, 43, '\P{Is_Math=true}', "");
Expect(1, 43, '\P{^Is_Math=true}', "");
Expect(0, 42, '\p{Is_Math=true}', "");
Expect(1, 42, '\p{^Is_Math=true}', "");
Expect(1, 42, '\P{Is_Math=true}', "");
Expect(0, 42, '\P{^Is_Math=true}', "");
Expect(1, 43, '\p{Is_Math=-	TRUE}', "");
Expect(0, 43, '\p{^Is_Math=-	TRUE}', "");
Expect(0, 43, '\P{Is_Math=-	TRUE}', "");
Expect(1, 43, '\P{^Is_Math=-	TRUE}', "");
Expect(0, 42, '\p{Is_Math=-	TRUE}', "");
Expect(1, 42, '\p{^Is_Math=-	TRUE}', "");
Expect(1, 42, '\P{Is_Math=-	TRUE}', "");
Expect(0, 42, '\P{^Is_Math=-	TRUE}', "");
Error('\p{Math=	:=No}');
Error('\P{Math=	:=No}');
Expect(1, 42, '\p{Math=no}', "");
Expect(0, 42, '\p{^Math=no}', "");
Expect(0, 42, '\P{Math=no}', "");
Expect(1, 42, '\P{^Math=no}', "");
Expect(0, 43, '\p{Math=no}', "");
Expect(1, 43, '\p{^Math=no}', "");
Expect(1, 43, '\P{Math=no}', "");
Expect(0, 43, '\P{^Math=no}', "");
Expect(1, 42, '\p{Math=	_NO}', "");
Expect(0, 42, '\p{^Math=	_NO}', "");
Expect(0, 42, '\P{Math=	_NO}', "");
Expect(1, 42, '\P{^Math=	_NO}', "");
Expect(0, 43, '\p{Math=	_NO}', "");
Expect(1, 43, '\p{^Math=	_NO}', "");
Expect(1, 43, '\P{Math=	_NO}', "");
Expect(0, 43, '\P{^Math=	_NO}', "");
Error('\p{Is_Math=_/a/n}');
Error('\P{Is_Math=_/a/n}');
Expect(1, 42, '\p{Is_Math=n}', "");
Expect(0, 42, '\p{^Is_Math=n}', "");
Expect(0, 42, '\P{Is_Math=n}', "");
Expect(1, 42, '\P{^Is_Math=n}', "");
Expect(0, 43, '\p{Is_Math=n}', "");
Expect(1, 43, '\p{^Is_Math=n}', "");
Expect(1, 43, '\P{Is_Math=n}', "");
Expect(0, 43, '\P{^Is_Math=n}', "");
Expect(1, 42, '\p{Is_Math= _N}', "");
Expect(0, 42, '\p{^Is_Math= _N}', "");
Expect(0, 42, '\P{Is_Math= _N}', "");
Expect(1, 42, '\P{^Is_Math= _N}', "");
Expect(0, 43, '\p{Is_Math= _N}', "");
Expect(1, 43, '\p{^Is_Math= _N}', "");
Expect(1, 43, '\P{Is_Math= _N}', "");
Expect(0, 43, '\P{^Is_Math= _N}', "");
Error('\p{Math:	/a/ F}');
Error('\P{Math:	/a/ F}');
Expect(1, 42, '\p{Math=f}', "");
Expect(0, 42, '\p{^Math=f}', "");
Expect(0, 42, '\P{Math=f}', "");
Expect(1, 42, '\P{^Math=f}', "");
Expect(0, 43, '\p{Math=f}', "");
Expect(1, 43, '\p{^Math=f}', "");
Expect(1, 43, '\P{Math=f}', "");
Expect(0, 43, '\P{^Math=f}', "");
Expect(1, 42, '\p{Math=_F}', "");
Expect(0, 42, '\p{^Math=_F}', "");
Expect(0, 42, '\P{Math=_F}', "");
Expect(1, 42, '\P{^Math=_F}', "");
Expect(0, 43, '\p{Math=_F}', "");
Expect(1, 43, '\p{^Math=_F}', "");
Expect(1, 43, '\P{Math=_F}', "");
Expect(0, 43, '\P{^Math=_F}', "");
Error('\p{Is_Math:    :=False}');
Error('\P{Is_Math:    :=False}');
Expect(1, 42, '\p{Is_Math=false}', "");
Expect(0, 42, '\p{^Is_Math=false}', "");
Expect(0, 42, '\P{Is_Math=false}', "");
Expect(1, 42, '\P{^Is_Math=false}', "");
Expect(0, 43, '\p{Is_Math=false}', "");
Expect(1, 43, '\p{^Is_Math=false}', "");
Expect(1, 43, '\P{Is_Math=false}', "");
Expect(0, 43, '\P{^Is_Math=false}', "");
Expect(1, 42, '\p{Is_Math=	-False}', "");
Expect(0, 42, '\p{^Is_Math=	-False}', "");
Expect(0, 42, '\P{Is_Math=	-False}', "");
Expect(1, 42, '\P{^Is_Math=	-False}', "");
Expect(0, 43, '\p{Is_Math=	-False}', "");
Expect(1, 43, '\p{^Is_Math=	-False}', "");
Expect(1, 43, '\P{Is_Math=	-False}', "");
Expect(0, 43, '\P{^Is_Math=	-False}', "");
Error('\p{Other_Uppercase=-/a/YES}');
Error('\P{Other_Uppercase=-/a/YES}');
Expect(1, 8559, '\p{Other_Uppercase=yes}', 'deprecated');
Expect(0, 8559, '\p{^Other_Uppercase=yes}', 'deprecated');
Expect(0, 8559, '\P{Other_Uppercase=yes}', 'deprecated');
Expect(1, 8559, '\P{^Other_Uppercase=yes}', 'deprecated');
Expect(0, 8543, '\p{Other_Uppercase=yes}', 'deprecated');
Expect(1, 8543, '\p{^Other_Uppercase=yes}', 'deprecated');
Expect(1, 8543, '\P{Other_Uppercase=yes}', 'deprecated');
Expect(0, 8543, '\P{^Other_Uppercase=yes}', 'deprecated');
Expect(1, 8559, '\p{Other_Uppercase:   _ yes}', 'deprecated');
Expect(0, 8559, '\p{^Other_Uppercase:   _ yes}', 'deprecated');
Expect(0, 8559, '\P{Other_Uppercase:   _ yes}', 'deprecated');
Expect(1, 8559, '\P{^Other_Uppercase:   _ yes}', 'deprecated');
Expect(0, 8543, '\p{Other_Uppercase:   _ yes}', 'deprecated');
Expect(1, 8543, '\p{^Other_Uppercase:   _ yes}', 'deprecated');
Expect(1, 8543, '\P{Other_Uppercase:   _ yes}', 'deprecated');
Expect(0, 8543, '\P{^Other_Uppercase:   _ yes}', 'deprecated');
Error('\p{OUpper=-Y/a/}');
Error('\P{OUpper=-Y/a/}');
Expect(1, 8559, '\p{OUpper=y}', 'deprecated');
Expect(0, 8559, '\p{^OUpper=y}', 'deprecated');
Expect(0, 8559, '\P{OUpper=y}', 'deprecated');
Expect(1, 8559, '\P{^OUpper=y}', 'deprecated');
Expect(0, 8543, '\p{OUpper=y}', 'deprecated');
Expect(1, 8543, '\p{^OUpper=y}', 'deprecated');
Expect(1, 8543, '\P{OUpper=y}', 'deprecated');
Expect(0, 8543, '\P{^OUpper=y}', 'deprecated');
Expect(1, 8559, '\p{OUpper=--Y}', 'deprecated');
Expect(0, 8559, '\p{^OUpper=--Y}', 'deprecated');
Expect(0, 8559, '\P{OUpper=--Y}', 'deprecated');
Expect(1, 8559, '\P{^OUpper=--Y}', 'deprecated');
Expect(0, 8543, '\p{OUpper=--Y}', 'deprecated');
Expect(1, 8543, '\p{^OUpper=--Y}', 'deprecated');
Expect(1, 8543, '\P{OUpper=--Y}', 'deprecated');
Expect(0, 8543, '\P{^OUpper=--Y}', 'deprecated');
Error('\p{Is_Other_Uppercase=_ T:=}');
Error('\P{Is_Other_Uppercase=_ T:=}');
Expect(1, 8559, '\p{Is_Other_Uppercase=t}', 'deprecated');
Expect(0, 8559, '\p{^Is_Other_Uppercase=t}', 'deprecated');
Expect(0, 8559, '\P{Is_Other_Uppercase=t}', 'deprecated');
Expect(1, 8559, '\P{^Is_Other_Uppercase=t}', 'deprecated');
Expect(0, 8543, '\p{Is_Other_Uppercase=t}', 'deprecated');
Expect(1, 8543, '\p{^Is_Other_Uppercase=t}', 'deprecated');
Expect(1, 8543, '\P{Is_Other_Uppercase=t}', 'deprecated');
Expect(0, 8543, '\P{^Is_Other_Uppercase=t}', 'deprecated');
Expect(1, 8559, '\p{Is_Other_Uppercase=-	T}', 'deprecated');
Expect(0, 8559, '\p{^Is_Other_Uppercase=-	T}', 'deprecated');
Expect(0, 8559, '\P{Is_Other_Uppercase=-	T}', 'deprecated');
Expect(1, 8559, '\P{^Is_Other_Uppercase=-	T}', 'deprecated');
Expect(0, 8543, '\p{Is_Other_Uppercase=-	T}', 'deprecated');
Expect(1, 8543, '\p{^Is_Other_Uppercase=-	T}', 'deprecated');
Expect(1, 8543, '\P{Is_Other_Uppercase=-	T}', 'deprecated');
Expect(0, 8543, '\P{^Is_Other_Uppercase=-	T}', 'deprecated');
Error('\p{Is_OUpper=/a/ 	true}');
Error('\P{Is_OUpper=/a/ 	true}');
Expect(1, 8559, '\p{Is_OUpper=true}', 'deprecated');
Expect(0, 8559, '\p{^Is_OUpper=true}', 'deprecated');
Expect(0, 8559, '\P{Is_OUpper=true}', 'deprecated');
Expect(1, 8559, '\P{^Is_OUpper=true}', 'deprecated');
Expect(0, 8543, '\p{Is_OUpper=true}', 'deprecated');
Expect(1, 8543, '\p{^Is_OUpper=true}', 'deprecated');
Expect(1, 8543, '\P{Is_OUpper=true}', 'deprecated');
Expect(0, 8543, '\P{^Is_OUpper=true}', 'deprecated');
Expect(1, 8559, '\p{Is_OUpper=_	True}', 'deprecated');
Expect(0, 8559, '\p{^Is_OUpper=_	True}', 'deprecated');
Expect(0, 8559, '\P{Is_OUpper=_	True}', 'deprecated');
Expect(1, 8559, '\P{^Is_OUpper=_	True}', 'deprecated');
Expect(0, 8543, '\p{Is_OUpper=_	True}', 'deprecated');
Expect(1, 8543, '\p{^Is_OUpper=_	True}', 'deprecated');
Expect(1, 8543, '\P{Is_OUpper=_	True}', 'deprecated');
Expect(0, 8543, '\P{^Is_OUpper=_	True}', 'deprecated');
Error('\p{Other_Uppercase=_:=No}');
Error('\P{Other_Uppercase=_:=No}');
Expect(1, 8543, '\p{Other_Uppercase=no}', 'deprecated');
Expect(0, 8543, '\p{^Other_Uppercase=no}', 'deprecated');
Expect(0, 8543, '\P{Other_Uppercase=no}', 'deprecated');
Expect(1, 8543, '\P{^Other_Uppercase=no}', 'deprecated');
Expect(0, 8559, '\p{Other_Uppercase=no}', 'deprecated');
Expect(1, 8559, '\p{^Other_Uppercase=no}', 'deprecated');
Expect(1, 8559, '\P{Other_Uppercase=no}', 'deprecated');
Expect(0, 8559, '\P{^Other_Uppercase=no}', 'deprecated');
Expect(1, 8543, '\p{Other_Uppercase=_-No}', 'deprecated');
Expect(0, 8543, '\p{^Other_Uppercase=_-No}', 'deprecated');
Expect(0, 8543, '\P{Other_Uppercase=_-No}', 'deprecated');
Expect(1, 8543, '\P{^Other_Uppercase=_-No}', 'deprecated');
Expect(0, 8559, '\p{Other_Uppercase=_-No}', 'deprecated');
Expect(1, 8559, '\p{^Other_Uppercase=_-No}', 'deprecated');
Expect(1, 8559, '\P{Other_Uppercase=_-No}', 'deprecated');
Expect(0, 8559, '\P{^Other_Uppercase=_-No}', 'deprecated');
Error('\p{OUpper= N:=}');
Error('\P{OUpper= N:=}');
Expect(1, 8543, '\p{OUpper=n}', 'deprecated');
Expect(0, 8543, '\p{^OUpper=n}', 'deprecated');
Expect(0, 8543, '\P{OUpper=n}', 'deprecated');
Expect(1, 8543, '\P{^OUpper=n}', 'deprecated');
Expect(0, 8559, '\p{OUpper=n}', 'deprecated');
Expect(1, 8559, '\p{^OUpper=n}', 'deprecated');
Expect(1, 8559, '\P{OUpper=n}', 'deprecated');
Expect(0, 8559, '\P{^OUpper=n}', 'deprecated');
Expect(1, 8543, '\p{OUpper=	 N}', 'deprecated');
Expect(0, 8543, '\p{^OUpper=	 N}', 'deprecated');
Expect(0, 8543, '\P{OUpper=	 N}', 'deprecated');
Expect(1, 8543, '\P{^OUpper=	 N}', 'deprecated');
Expect(0, 8559, '\p{OUpper=	 N}', 'deprecated');
Expect(1, 8559, '\p{^OUpper=	 N}', 'deprecated');
Expect(1, 8559, '\P{OUpper=	 N}', 'deprecated');
Expect(0, 8559, '\P{^OUpper=	 N}', 'deprecated');
Error('\p{Is_Other_Uppercase=_:=F}');
Error('\P{Is_Other_Uppercase=_:=F}');
Expect(1, 8543, '\p{Is_Other_Uppercase=f}', 'deprecated');
Expect(0, 8543, '\p{^Is_Other_Uppercase=f}', 'deprecated');
Expect(0, 8543, '\P{Is_Other_Uppercase=f}', 'deprecated');
Expect(1, 8543, '\P{^Is_Other_Uppercase=f}', 'deprecated');
Expect(0, 8559, '\p{Is_Other_Uppercase=f}', 'deprecated');
Expect(1, 8559, '\p{^Is_Other_Uppercase=f}', 'deprecated');
Expect(1, 8559, '\P{Is_Other_Uppercase=f}', 'deprecated');
Expect(0, 8559, '\P{^Is_Other_Uppercase=f}', 'deprecated');
Expect(1, 8543, '\p{Is_Other_Uppercase=_f}', 'deprecated');
Expect(0, 8543, '\p{^Is_Other_Uppercase=_f}', 'deprecated');
Expect(0, 8543, '\P{Is_Other_Uppercase=_f}', 'deprecated');
Expect(1, 8543, '\P{^Is_Other_Uppercase=_f}', 'deprecated');
Expect(0, 8559, '\p{Is_Other_Uppercase=_f}', 'deprecated');
Expect(1, 8559, '\p{^Is_Other_Uppercase=_f}', 'deprecated');
Expect(1, 8559, '\P{Is_Other_Uppercase=_f}', 'deprecated');
Expect(0, 8559, '\P{^Is_Other_Uppercase=_f}', 'deprecated');
Error('\p{Is_OUpper:   :=		FALSE}');
Error('\P{Is_OUpper:   :=		FALSE}');
Expect(1, 8543, '\p{Is_OUpper=false}', 'deprecated');
Expect(0, 8543, '\p{^Is_OUpper=false}', 'deprecated');
Expect(0, 8543, '\P{Is_OUpper=false}', 'deprecated');
Expect(1, 8543, '\P{^Is_OUpper=false}', 'deprecated');
Expect(0, 8559, '\p{Is_OUpper=false}', 'deprecated');
Expect(1, 8559, '\p{^Is_OUpper=false}', 'deprecated');
Expect(1, 8559, '\P{Is_OUpper=false}', 'deprecated');
Expect(0, 8559, '\P{^Is_OUpper=false}', 'deprecated');
Expect(1, 8543, '\p{Is_OUpper=- False}', 'deprecated');
Expect(0, 8543, '\p{^Is_OUpper=- False}', 'deprecated');
Expect(0, 8543, '\P{Is_OUpper=- False}', 'deprecated');
Expect(1, 8543, '\P{^Is_OUpper=- False}', 'deprecated');
Expect(0, 8559, '\p{Is_OUpper=- False}', 'deprecated');
Expect(1, 8559, '\p{^Is_OUpper=- False}', 'deprecated');
Expect(1, 8559, '\P{Is_OUpper=- False}', 'deprecated');
Expect(0, 8559, '\P{^Is_OUpper=- False}', 'deprecated');
Error('\p{Changes_When_Casemapped=:= 	yes}');
Error('\P{Changes_When_Casemapped=:= 	yes}');
Expect(1, 90, '\p{Changes_When_Casemapped:	yes}', "");
Expect(0, 90, '\p{^Changes_When_Casemapped:	yes}', "");
Expect(0, 90, '\P{Changes_When_Casemapped:	yes}', "");
Expect(1, 90, '\P{^Changes_When_Casemapped:	yes}', "");
Expect(0, 64, '\p{Changes_When_Casemapped:	yes}', "");
Expect(1, 64, '\p{^Changes_When_Casemapped:	yes}', "");
Expect(1, 64, '\P{Changes_When_Casemapped:	yes}', "");
Expect(0, 64, '\P{^Changes_When_Casemapped:	yes}', "");
Expect(1, 90, '\p{Changes_When_Casemapped=-_Yes}', "");
Expect(0, 90, '\p{^Changes_When_Casemapped=-_Yes}', "");
Expect(0, 90, '\P{Changes_When_Casemapped=-_Yes}', "");
Expect(1, 90, '\P{^Changes_When_Casemapped=-_Yes}', "");
Expect(0, 64, '\p{Changes_When_Casemapped=-_Yes}', "");
Expect(1, 64, '\p{^Changes_When_Casemapped=-_Yes}', "");
Expect(1, 64, '\P{Changes_When_Casemapped=-_Yes}', "");
Expect(0, 64, '\P{^Changes_When_Casemapped=-_Yes}', "");
Error('\p{CWCM=/a/-Y}');
Error('\P{CWCM=/a/-Y}');
Expect(1, 90, '\p{CWCM=y}', "");
Expect(0, 90, '\p{^CWCM=y}', "");
Expect(0, 90, '\P{CWCM=y}', "");
Expect(1, 90, '\P{^CWCM=y}', "");
Expect(0, 64, '\p{CWCM=y}', "");
Expect(1, 64, '\p{^CWCM=y}', "");
Expect(1, 64, '\P{CWCM=y}', "");
Expect(0, 64, '\P{^CWCM=y}', "");
Expect(1, 90, '\p{CWCM:   __y}', "");
Expect(0, 90, '\p{^CWCM:   __y}', "");
Expect(0, 90, '\P{CWCM:   __y}', "");
Expect(1, 90, '\P{^CWCM:   __y}', "");
Expect(0, 64, '\p{CWCM:   __y}', "");
Expect(1, 64, '\p{^CWCM:   __y}', "");
Expect(1, 64, '\P{CWCM:   __y}', "");
Expect(0, 64, '\P{^CWCM:   __y}', "");
Error('\p{Is_Changes_When_Casemapped=	T:=}');
Error('\P{Is_Changes_When_Casemapped=	T:=}');
Expect(1, 90, '\p{Is_Changes_When_Casemapped:t}', "");
Expect(0, 90, '\p{^Is_Changes_When_Casemapped:t}', "");
Expect(0, 90, '\P{Is_Changes_When_Casemapped:t}', "");
Expect(1, 90, '\P{^Is_Changes_When_Casemapped:t}', "");
Expect(0, 64, '\p{Is_Changes_When_Casemapped:t}', "");
Expect(1, 64, '\p{^Is_Changes_When_Casemapped:t}', "");
Expect(1, 64, '\P{Is_Changes_When_Casemapped:t}', "");
Expect(0, 64, '\P{^Is_Changes_When_Casemapped:t}', "");
Expect(1, 90, '\p{Is_Changes_When_Casemapped:   __T}', "");
Expect(0, 90, '\p{^Is_Changes_When_Casemapped:   __T}', "");
Expect(0, 90, '\P{Is_Changes_When_Casemapped:   __T}', "");
Expect(1, 90, '\P{^Is_Changes_When_Casemapped:   __T}', "");
Expect(0, 64, '\p{Is_Changes_When_Casemapped:   __T}', "");
Expect(1, 64, '\p{^Is_Changes_When_Casemapped:   __T}', "");
Expect(1, 64, '\P{Is_Changes_When_Casemapped:   __T}', "");
Expect(0, 64, '\P{^Is_Changes_When_Casemapped:   __T}', "");
Error('\p{Is_CWCM=:=		true}');
Error('\P{Is_CWCM=:=		true}');
Expect(1, 90, '\p{Is_CWCM=true}', "");
Expect(0, 90, '\p{^Is_CWCM=true}', "");
Expect(0, 90, '\P{Is_CWCM=true}', "");
Expect(1, 90, '\P{^Is_CWCM=true}', "");
Expect(0, 64, '\p{Is_CWCM=true}', "");
Expect(1, 64, '\p{^Is_CWCM=true}', "");
Expect(1, 64, '\P{Is_CWCM=true}', "");
Expect(0, 64, '\P{^Is_CWCM=true}', "");
Error('\p{Changes_When_Casemapped=/a/ no}');
Error('\P{Changes_When_Casemapped=/a/ no}');
Expect(1, 64, '\p{Changes_When_Casemapped:no}', "");
Expect(0, 64, '\p{^Changes_When_Casemapped:no}', "");
Expect(0, 64, '\P{Changes_When_Casemapped:no}', "");
Expect(1, 64, '\P{^Changes_When_Casemapped:no}', "");
Expect(0, 90, '\p{Changes_When_Casemapped:no}', "");
Expect(1, 90, '\p{^Changes_When_Casemapped:no}', "");
Expect(1, 90, '\P{Changes_When_Casemapped:no}', "");
Expect(0, 90, '\P{^Changes_When_Casemapped:no}', "");
Expect(1, 64, '\p{Changes_When_Casemapped=_No}', "");
Expect(0, 64, '\p{^Changes_When_Casemapped=_No}', "");
Expect(0, 64, '\P{Changes_When_Casemapped=_No}', "");
Expect(1, 64, '\P{^Changes_When_Casemapped=_No}', "");
Expect(0, 90, '\p{Changes_When_Casemapped=_No}', "");
Expect(1, 90, '\p{^Changes_When_Casemapped=_No}', "");
Expect(1, 90, '\P{Changes_When_Casemapped=_No}', "");
Expect(0, 90, '\P{^Changes_When_Casemapped=_No}', "");
Error('\p{CWCM=:=--n}');
Error('\P{CWCM=:=--n}');
Expect(1, 64, '\p{CWCM:	n}', "");
Expect(0, 64, '\p{^CWCM:	n}', "");
Expect(0, 64, '\P{CWCM:	n}', "");
Expect(1, 64, '\P{^CWCM:	n}', "");
Expect(0, 90, '\p{CWCM:	n}', "");
Expect(1, 90, '\p{^CWCM:	n}', "");
Expect(1, 90, '\P{CWCM:	n}', "");
Expect(0, 90, '\P{^CWCM:	n}', "");
Expect(1, 64, '\p{CWCM=	N}', "");
Expect(0, 64, '\p{^CWCM=	N}', "");
Expect(0, 64, '\P{CWCM=	N}', "");
Expect(1, 64, '\P{^CWCM=	N}', "");
Expect(0, 90, '\p{CWCM=	N}', "");
Expect(1, 90, '\p{^CWCM=	N}', "");
Expect(1, 90, '\P{CWCM=	N}', "");
Expect(0, 90, '\P{^CWCM=	N}', "");
Error('\p{Is_Changes_When_Casemapped=_-F/a/}');
Error('\P{Is_Changes_When_Casemapped=_-F/a/}');
Expect(1, 64, '\p{Is_Changes_When_Casemapped=f}', "");
Expect(0, 64, '\p{^Is_Changes_When_Casemapped=f}', "");
Expect(0, 64, '\P{Is_Changes_When_Casemapped=f}', "");
Expect(1, 64, '\P{^Is_Changes_When_Casemapped=f}', "");
Expect(0, 90, '\p{Is_Changes_When_Casemapped=f}', "");
Expect(1, 90, '\p{^Is_Changes_When_Casemapped=f}', "");
Expect(1, 90, '\P{Is_Changes_When_Casemapped=f}', "");
Expect(0, 90, '\P{^Is_Changes_When_Casemapped=f}', "");
Expect(1, 64, '\p{Is_Changes_When_Casemapped= F}', "");
Expect(0, 64, '\p{^Is_Changes_When_Casemapped= F}', "");
Expect(0, 64, '\P{Is_Changes_When_Casemapped= F}', "");
Expect(1, 64, '\P{^Is_Changes_When_Casemapped= F}', "");
Expect(0, 90, '\p{Is_Changes_When_Casemapped= F}', "");
Expect(1, 90, '\p{^Is_Changes_When_Casemapped= F}', "");
Expect(1, 90, '\P{Is_Changes_When_Casemapped= F}', "");
Expect(0, 90, '\P{^Is_Changes_When_Casemapped= F}', "");
Error('\p{Is_CWCM:   /a/false}');
Error('\P{Is_CWCM:   /a/false}');
Expect(1, 64, '\p{Is_CWCM=false}', "");
Expect(0, 64, '\p{^Is_CWCM=false}', "");
Expect(0, 64, '\P{Is_CWCM=false}', "");
Expect(1, 64, '\P{^Is_CWCM=false}', "");
Expect(0, 90, '\p{Is_CWCM=false}', "");
Expect(1, 90, '\p{^Is_CWCM=false}', "");
Expect(1, 90, '\P{Is_CWCM=false}', "");
Expect(0, 90, '\P{^Is_CWCM=false}', "");
Expect(1, 64, '\p{Is_CWCM=_False}', "");
Expect(0, 64, '\p{^Is_CWCM=_False}', "");
Expect(0, 64, '\P{Is_CWCM=_False}', "");
Expect(1, 64, '\P{^Is_CWCM=_False}', "");
Expect(0, 90, '\p{Is_CWCM=_False}', "");
Expect(1, 90, '\p{^Is_CWCM=_False}', "");
Expect(1, 90, '\P{Is_CWCM=_False}', "");
Expect(0, 90, '\P{^Is_CWCM=_False}', "");
Error('\p{Deprecated=-	Yes/a/}');
Error('\P{Deprecated=-	Yes/a/}');
Expect(1, 329, '\p{Deprecated=yes}', "");
Expect(0, 329, '\p{^Deprecated=yes}', "");
Expect(0, 329, '\P{Deprecated=yes}', "");
Expect(1, 329, '\P{^Deprecated=yes}', "");
Expect(0, 328, '\p{Deprecated=yes}', "");
Expect(1, 328, '\p{^Deprecated=yes}', "");
Expect(1, 328, '\P{Deprecated=yes}', "");
Expect(0, 328, '\P{^Deprecated=yes}', "");
Expect(1, 329, '\p{Deprecated=	-yes}', "");
Expect(0, 329, '\p{^Deprecated=	-yes}', "");
Expect(0, 329, '\P{Deprecated=	-yes}', "");
Expect(1, 329, '\P{^Deprecated=	-yes}', "");
Expect(0, 328, '\p{Deprecated=	-yes}', "");
Expect(1, 328, '\p{^Deprecated=	-yes}', "");
Expect(1, 328, '\P{Deprecated=	-yes}', "");
Expect(0, 328, '\P{^Deprecated=	-yes}', "");
Error('\p{Dep=:=	 y}');
Error('\P{Dep=:=	 y}');
Expect(1, 329, '\p{Dep=y}', "");
Expect(0, 329, '\p{^Dep=y}', "");
Expect(0, 329, '\P{Dep=y}', "");
Expect(1, 329, '\P{^Dep=y}', "");
Expect(0, 328, '\p{Dep=y}', "");
Expect(1, 328, '\p{^Dep=y}', "");
Expect(1, 328, '\P{Dep=y}', "");
Expect(0, 328, '\P{^Dep=y}', "");
Expect(1, 329, '\p{Dep=-Y}', "");
Expect(0, 329, '\p{^Dep=-Y}', "");
Expect(0, 329, '\P{Dep=-Y}', "");
Expect(1, 329, '\P{^Dep=-Y}', "");
Expect(0, 328, '\p{Dep=-Y}', "");
Expect(1, 328, '\p{^Dep=-Y}', "");
Expect(1, 328, '\P{Dep=-Y}', "");
Expect(0, 328, '\P{^Dep=-Y}', "");
Error('\p{Is_Deprecated=:=T}');
Error('\P{Is_Deprecated=:=T}');
Expect(1, 329, '\p{Is_Deprecated: t}', "");
Expect(0, 329, '\p{^Is_Deprecated: t}', "");
Expect(0, 329, '\P{Is_Deprecated: t}', "");
Expect(1, 329, '\P{^Is_Deprecated: t}', "");
Expect(0, 328, '\p{Is_Deprecated: t}', "");
Expect(1, 328, '\p{^Is_Deprecated: t}', "");
Expect(1, 328, '\P{Is_Deprecated: t}', "");
Expect(0, 328, '\P{^Is_Deprecated: t}', "");
Expect(1, 329, '\p{Is_Deprecated=	T}', "");
Expect(0, 329, '\p{^Is_Deprecated=	T}', "");
Expect(0, 329, '\P{Is_Deprecated=	T}', "");
Expect(1, 329, '\P{^Is_Deprecated=	T}', "");
Expect(0, 328, '\p{Is_Deprecated=	T}', "");
Expect(1, 328, '\p{^Is_Deprecated=	T}', "");
Expect(1, 328, '\P{Is_Deprecated=	T}', "");
Expect(0, 328, '\P{^Is_Deprecated=	T}', "");
Error('\p{Is_Dep=/a/ -TRUE}');
Error('\P{Is_Dep=/a/ -TRUE}');
Expect(1, 329, '\p{Is_Dep=true}', "");
Expect(0, 329, '\p{^Is_Dep=true}', "");
Expect(0, 329, '\P{Is_Dep=true}', "");
Expect(1, 329, '\P{^Is_Dep=true}', "");
Expect(0, 328, '\p{Is_Dep=true}', "");
Expect(1, 328, '\p{^Is_Dep=true}', "");
Expect(1, 328, '\P{Is_Dep=true}', "");
Expect(0, 328, '\P{^Is_Dep=true}', "");
Expect(1, 329, '\p{Is_Dep: _	TRUE}', "");
Expect(0, 329, '\p{^Is_Dep: _	TRUE}', "");
Expect(0, 329, '\P{Is_Dep: _	TRUE}', "");
Expect(1, 329, '\P{^Is_Dep: _	TRUE}', "");
Expect(0, 328, '\p{Is_Dep: _	TRUE}', "");
Expect(1, 328, '\p{^Is_Dep: _	TRUE}', "");
Expect(1, 328, '\P{Is_Dep: _	TRUE}', "");
Expect(0, 328, '\P{^Is_Dep: _	TRUE}', "");
Error('\p{Deprecated=_	No:=}');
Error('\P{Deprecated=_	No:=}');
Expect(1, 328, '\p{Deprecated=no}', "");
Expect(0, 328, '\p{^Deprecated=no}', "");
Expect(0, 328, '\P{Deprecated=no}', "");
Expect(1, 328, '\P{^Deprecated=no}', "");
Expect(0, 329, '\p{Deprecated=no}', "");
Expect(1, 329, '\p{^Deprecated=no}', "");
Expect(1, 329, '\P{Deprecated=no}', "");
Expect(0, 329, '\P{^Deprecated=no}', "");
Expect(1, 328, '\p{Deprecated=	-No}', "");
Expect(0, 328, '\p{^Deprecated=	-No}', "");
Expect(0, 328, '\P{Deprecated=	-No}', "");
Expect(1, 328, '\P{^Deprecated=	-No}', "");
Expect(0, 329, '\p{Deprecated=	-No}', "");
Expect(1, 329, '\p{^Deprecated=	-No}', "");
Expect(1, 329, '\P{Deprecated=	-No}', "");
Expect(0, 329, '\P{^Deprecated=	-No}', "");
Error('\p{Dep: _	N/a/}');
Error('\P{Dep: _	N/a/}');
Expect(1, 328, '\p{Dep:   n}', "");
Expect(0, 328, '\p{^Dep:   n}', "");
Expect(0, 328, '\P{Dep:   n}', "");
Expect(1, 328, '\P{^Dep:   n}', "");
Expect(0, 329, '\p{Dep:   n}', "");
Expect(1, 329, '\p{^Dep:   n}', "");
Expect(1, 329, '\P{Dep:   n}', "");
Expect(0, 329, '\P{^Dep:   n}', "");
Expect(1, 328, '\p{Dep= 	N}', "");
Expect(0, 328, '\p{^Dep= 	N}', "");
Expect(0, 328, '\P{Dep= 	N}', "");
Expect(1, 328, '\P{^Dep= 	N}', "");
Expect(0, 329, '\p{Dep= 	N}', "");
Expect(1, 329, '\p{^Dep= 	N}', "");
Expect(1, 329, '\P{Dep= 	N}', "");
Expect(0, 329, '\P{^Dep= 	N}', "");
Error('\p{Is_Deprecated=	/a/F}');
Error('\P{Is_Deprecated=	/a/F}');
Expect(1, 328, '\p{Is_Deprecated=f}', "");
Expect(0, 328, '\p{^Is_Deprecated=f}', "");
Expect(0, 328, '\P{Is_Deprecated=f}', "");
Expect(1, 328, '\P{^Is_Deprecated=f}', "");
Expect(0, 329, '\p{Is_Deprecated=f}', "");
Expect(1, 329, '\p{^Is_Deprecated=f}', "");
Expect(1, 329, '\P{Is_Deprecated=f}', "");
Expect(0, 329, '\P{^Is_Deprecated=f}', "");
Expect(1, 328, '\p{Is_Deprecated=	-F}', "");
Expect(0, 328, '\p{^Is_Deprecated=	-F}', "");
Expect(0, 328, '\P{Is_Deprecated=	-F}', "");
Expect(1, 328, '\P{^Is_Deprecated=	-F}', "");
Expect(0, 329, '\p{Is_Deprecated=	-F}', "");
Expect(1, 329, '\p{^Is_Deprecated=	-F}', "");
Expect(1, 329, '\P{Is_Deprecated=	-F}', "");
Expect(0, 329, '\P{^Is_Deprecated=	-F}', "");
Error('\p{Is_Dep=-False/a/}');
Error('\P{Is_Dep=-False/a/}');
Expect(1, 328, '\p{Is_Dep=false}', "");
Expect(0, 328, '\p{^Is_Dep=false}', "");
Expect(0, 328, '\P{Is_Dep=false}', "");
Expect(1, 328, '\P{^Is_Dep=false}', "");
Expect(0, 329, '\p{Is_Dep=false}', "");
Expect(1, 329, '\p{^Is_Dep=false}', "");
Expect(1, 329, '\P{Is_Dep=false}', "");
Expect(0, 329, '\P{^Is_Dep=false}', "");
Expect(1, 328, '\p{Is_Dep= False}', "");
Expect(0, 328, '\p{^Is_Dep= False}', "");
Expect(0, 328, '\P{Is_Dep= False}', "");
Expect(1, 328, '\P{^Is_Dep= False}', "");
Expect(0, 329, '\p{Is_Dep= False}', "");
Expect(1, 329, '\p{^Is_Dep= False}', "");
Expect(1, 329, '\P{Is_Dep= False}', "");
Expect(0, 329, '\P{^Is_Dep= False}', "");
Error('\p{Sentence_Break=-sp/a/}');
Error('\P{Sentence_Break=-sp/a/}');
Expect(1, 9, '\p{Sentence_Break:   sp}', "");
Expect(0, 9, '\p{^Sentence_Break:   sp}', "");
Expect(0, 9, '\P{Sentence_Break:   sp}', "");
Expect(1, 9, '\P{^Sentence_Break:   sp}', "");
Expect(0, 8, '\p{Sentence_Break:   sp}', "");
Expect(1, 8, '\p{^Sentence_Break:   sp}', "");
Expect(1, 8, '\P{Sentence_Break:   sp}', "");
Expect(0, 8, '\P{^Sentence_Break:   sp}', "");
Expect(1, 9, '\p{Sentence_Break=	SP}', "");
Expect(0, 9, '\p{^Sentence_Break=	SP}', "");
Expect(0, 9, '\P{Sentence_Break=	SP}', "");
Expect(1, 9, '\P{^Sentence_Break=	SP}', "");
Expect(0, 8, '\p{Sentence_Break=	SP}', "");
Expect(1, 8, '\p{^Sentence_Break=	SP}', "");
Expect(1, 8, '\P{Sentence_Break=	SP}', "");
Expect(0, 8, '\P{^Sentence_Break=	SP}', "");
Error('\p{SB=	Sp:=}');
Error('\P{SB=	Sp:=}');
Expect(1, 9, '\p{SB=sp}', "");
Expect(0, 9, '\p{^SB=sp}', "");
Expect(0, 9, '\P{SB=sp}', "");
Expect(1, 9, '\P{^SB=sp}', "");
Expect(0, 8, '\p{SB=sp}', "");
Expect(1, 8, '\p{^SB=sp}', "");
Expect(1, 8, '\P{SB=sp}', "");
Expect(0, 8, '\P{^SB=sp}', "");
Expect(1, 9, '\p{SB=		sp}', "");
Expect(0, 9, '\p{^SB=		sp}', "");
Expect(0, 9, '\P{SB=		sp}', "");
Expect(1, 9, '\P{^SB=		sp}', "");
Expect(0, 8, '\p{SB=		sp}', "");
Expect(1, 8, '\p{^SB=		sp}', "");
Expect(1, 8, '\P{SB=		sp}', "");
Expect(0, 8, '\P{^SB=		sp}', "");
Error('\p{Is_Sentence_Break=/a/__SP}');
Error('\P{Is_Sentence_Break=/a/__SP}');
Expect(1, 9, '\p{Is_Sentence_Break: sp}', "");
Expect(0, 9, '\p{^Is_Sentence_Break: sp}', "");
Expect(0, 9, '\P{Is_Sentence_Break: sp}', "");
Expect(1, 9, '\P{^Is_Sentence_Break: sp}', "");
Expect(0, 8, '\p{Is_Sentence_Break: sp}', "");
Expect(1, 8, '\p{^Is_Sentence_Break: sp}', "");
Expect(1, 8, '\P{Is_Sentence_Break: sp}', "");
Expect(0, 8, '\P{^Is_Sentence_Break: sp}', "");
Expect(1, 9, '\p{Is_Sentence_Break=_	Sp}', "");
Expect(0, 9, '\p{^Is_Sentence_Break=_	Sp}', "");
Expect(0, 9, '\P{Is_Sentence_Break=_	Sp}', "");
Expect(1, 9, '\P{^Is_Sentence_Break=_	Sp}', "");
Expect(0, 8, '\p{Is_Sentence_Break=_	Sp}', "");
Expect(1, 8, '\p{^Is_Sentence_Break=_	Sp}', "");
Expect(1, 8, '\P{Is_Sentence_Break=_	Sp}', "");
Expect(0, 8, '\P{^Is_Sentence_Break=_	Sp}', "");
Error('\p{Is_SB=_ Sp/a/}');
Error('\P{Is_SB=_ Sp/a/}');
Expect(1, 9, '\p{Is_SB=sp}', "");
Expect(0, 9, '\p{^Is_SB=sp}', "");
Expect(0, 9, '\P{Is_SB=sp}', "");
Expect(1, 9, '\P{^Is_SB=sp}', "");
Expect(0, 8, '\p{Is_SB=sp}', "");
Expect(1, 8, '\p{^Is_SB=sp}', "");
Expect(1, 8, '\P{Is_SB=sp}', "");
Expect(0, 8, '\P{^Is_SB=sp}', "");
Expect(1, 9, '\p{Is_SB=	Sp}', "");
Expect(0, 9, '\p{^Is_SB=	Sp}', "");
Expect(0, 9, '\P{Is_SB=	Sp}', "");
Expect(1, 9, '\P{^Is_SB=	Sp}', "");
Expect(0, 8, '\p{Is_SB=	Sp}', "");
Expect(1, 8, '\p{^Is_SB=	Sp}', "");
Expect(1, 8, '\P{Is_SB=	Sp}', "");
Expect(0, 8, '\P{^Is_SB=	Sp}', "");
Error('\p{Sentence_Break=/a/SContinue}');
Error('\P{Sentence_Break=/a/SContinue}');
Expect(1, 45, '\p{Sentence_Break=scontinue}', "");
Expect(0, 45, '\p{^Sentence_Break=scontinue}', "");
Expect(0, 45, '\P{Sentence_Break=scontinue}', "");
Expect(1, 45, '\P{^Sentence_Break=scontinue}', "");
Expect(0, 43, '\p{Sentence_Break=scontinue}', "");
Expect(1, 43, '\p{^Sentence_Break=scontinue}', "");
Expect(1, 43, '\P{Sentence_Break=scontinue}', "");
Expect(0, 43, '\P{^Sentence_Break=scontinue}', "");
Expect(1, 45, '\p{Sentence_Break= 	SContinue}', "");
Expect(0, 45, '\p{^Sentence_Break= 	SContinue}', "");
Expect(0, 45, '\P{Sentence_Break= 	SContinue}', "");
Expect(1, 45, '\P{^Sentence_Break= 	SContinue}', "");
Expect(0, 43, '\p{Sentence_Break= 	SContinue}', "");
Expect(1, 43, '\p{^Sentence_Break= 	SContinue}', "");
Expect(1, 43, '\P{Sentence_Break= 	SContinue}', "");
Expect(0, 43, '\P{^Sentence_Break= 	SContinue}', "");
Error('\p{SB=:=--SC}');
Error('\P{SB=:=--SC}');
Expect(1, 45, '\p{SB=sc}', "");
Expect(0, 45, '\p{^SB=sc}', "");
Expect(0, 45, '\P{SB=sc}', "");
Expect(1, 45, '\P{^SB=sc}', "");
Expect(0, 43, '\p{SB=sc}', "");
Expect(1, 43, '\p{^SB=sc}', "");
Expect(1, 43, '\P{SB=sc}', "");
Expect(0, 43, '\P{^SB=sc}', "");
Expect(1, 45, '\p{SB=		sc}', "");
Expect(0, 45, '\p{^SB=		sc}', "");
Expect(0, 45, '\P{SB=		sc}', "");
Expect(1, 45, '\P{^SB=		sc}', "");
Expect(0, 43, '\p{SB=		sc}', "");
Expect(1, 43, '\p{^SB=		sc}', "");
Expect(1, 43, '\P{SB=		sc}', "");
Expect(0, 43, '\P{^SB=		sc}', "");
Error('\p{Is_Sentence_Break=:= _SCONTINUE}');
Error('\P{Is_Sentence_Break=:= _SCONTINUE}');
Expect(1, 45, '\p{Is_Sentence_Break=scontinue}', "");
Expect(0, 45, '\p{^Is_Sentence_Break=scontinue}', "");
Expect(0, 45, '\P{Is_Sentence_Break=scontinue}', "");
Expect(1, 45, '\P{^Is_Sentence_Break=scontinue}', "");
Expect(0, 43, '\p{Is_Sentence_Break=scontinue}', "");
Expect(1, 43, '\p{^Is_Sentence_Break=scontinue}', "");
Expect(1, 43, '\P{Is_Sentence_Break=scontinue}', "");
Expect(0, 43, '\P{^Is_Sentence_Break=scontinue}', "");
Expect(1, 45, '\p{Is_Sentence_Break= -SContinue}', "");
Expect(0, 45, '\p{^Is_Sentence_Break= -SContinue}', "");
Expect(0, 45, '\P{Is_Sentence_Break= -SContinue}', "");
Expect(1, 45, '\P{^Is_Sentence_Break= -SContinue}', "");
Expect(0, 43, '\p{Is_Sentence_Break= -SContinue}', "");
Expect(1, 43, '\p{^Is_Sentence_Break= -SContinue}', "");
Expect(1, 43, '\P{Is_Sentence_Break= -SContinue}', "");
Expect(0, 43, '\P{^Is_Sentence_Break= -SContinue}', "");
Error('\p{Is_SB=- SC:=}');
Error('\P{Is_SB=- SC:=}');
Expect(1, 45, '\p{Is_SB=sc}', "");
Expect(0, 45, '\p{^Is_SB=sc}', "");
Expect(0, 45, '\P{Is_SB=sc}', "");
Expect(1, 45, '\P{^Is_SB=sc}', "");
Expect(0, 43, '\p{Is_SB=sc}', "");
Expect(1, 43, '\p{^Is_SB=sc}', "");
Expect(1, 43, '\P{Is_SB=sc}', "");
Expect(0, 43, '\P{^Is_SB=sc}', "");
Expect(1, 45, '\p{Is_SB=	sc}', "");
Expect(0, 45, '\p{^Is_SB=	sc}', "");
Expect(0, 45, '\P{Is_SB=	sc}', "");
Expect(1, 45, '\P{^Is_SB=	sc}', "");
Expect(0, 43, '\p{Is_SB=	sc}', "");
Expect(1, 43, '\p{^Is_SB=	sc}', "");
Expect(1, 43, '\P{Is_SB=	sc}', "");
Expect(0, 43, '\P{^Is_SB=	sc}', "");
Error('\p{Sentence_Break=	ATERM:=}');
Error('\P{Sentence_Break=	ATERM:=}');
Expect(1, 46, '\p{Sentence_Break=aterm}', "");
Expect(0, 46, '\p{^Sentence_Break=aterm}', "");
Expect(0, 46, '\P{Sentence_Break=aterm}', "");
Expect(1, 46, '\P{^Sentence_Break=aterm}', "");
Expect(0, 45, '\p{Sentence_Break=aterm}', "");
Expect(1, 45, '\p{^Sentence_Break=aterm}', "");
Expect(1, 45, '\P{Sentence_Break=aterm}', "");
Expect(0, 45, '\P{^Sentence_Break=aterm}', "");
Expect(1, 46, '\p{Sentence_Break= _aterm}', "");
Expect(0, 46, '\p{^Sentence_Break= _aterm}', "");
Expect(0, 46, '\P{Sentence_Break= _aterm}', "");
Expect(1, 46, '\P{^Sentence_Break= _aterm}', "");
Expect(0, 45, '\p{Sentence_Break= _aterm}', "");
Expect(1, 45, '\p{^Sentence_Break= _aterm}', "");
Expect(1, 45, '\P{Sentence_Break= _aterm}', "");
Expect(0, 45, '\P{^Sentence_Break= _aterm}', "");
Error('\p{SB=-_at:=}');
Error('\P{SB=-_at:=}');
Expect(1, 46, '\p{SB:   at}', "");
Expect(0, 46, '\p{^SB:   at}', "");
Expect(0, 46, '\P{SB:   at}', "");
Expect(1, 46, '\P{^SB:   at}', "");
Expect(0, 45, '\p{SB:   at}', "");
Expect(1, 45, '\p{^SB:   at}', "");
Expect(1, 45, '\P{SB:   at}', "");
Expect(0, 45, '\P{^SB:   at}', "");
Expect(1, 46, '\p{SB=	AT}', "");
Expect(0, 46, '\p{^SB=	AT}', "");
Expect(0, 46, '\P{SB=	AT}', "");
Expect(1, 46, '\P{^SB=	AT}', "");
Expect(0, 45, '\p{SB=	AT}', "");
Expect(1, 45, '\p{^SB=	AT}', "");
Expect(1, 45, '\P{SB=	AT}', "");
Expect(0, 45, '\P{^SB=	AT}', "");
Error('\p{Is_Sentence_Break:   	/a/ATerm}');
Error('\P{Is_Sentence_Break:   	/a/ATerm}');
Expect(1, 46, '\p{Is_Sentence_Break=aterm}', "");
Expect(0, 46, '\p{^Is_Sentence_Break=aterm}', "");
Expect(0, 46, '\P{Is_Sentence_Break=aterm}', "");
Expect(1, 46, '\P{^Is_Sentence_Break=aterm}', "");
Expect(0, 45, '\p{Is_Sentence_Break=aterm}', "");
Expect(1, 45, '\p{^Is_Sentence_Break=aterm}', "");
Expect(1, 45, '\P{Is_Sentence_Break=aterm}', "");
Expect(0, 45, '\P{^Is_Sentence_Break=aterm}', "");
Expect(1, 46, '\p{Is_Sentence_Break= ATerm}', "");
Expect(0, 46, '\p{^Is_Sentence_Break= ATerm}', "");
Expect(0, 46, '\P{Is_Sentence_Break= ATerm}', "");
Expect(1, 46, '\P{^Is_Sentence_Break= ATerm}', "");
Expect(0, 45, '\p{Is_Sentence_Break= ATerm}', "");
Expect(1, 45, '\p{^Is_Sentence_Break= ATerm}', "");
Expect(1, 45, '\P{Is_Sentence_Break= ATerm}', "");
Expect(0, 45, '\P{^Is_Sentence_Break= ATerm}', "");
Error('\p{Is_SB:	  AT/a/}');
Error('\P{Is_SB:	  AT/a/}');
Expect(1, 46, '\p{Is_SB=at}', "");
Expect(0, 46, '\p{^Is_SB=at}', "");
Expect(0, 46, '\P{Is_SB=at}', "");
Expect(1, 46, '\P{^Is_SB=at}', "");
Expect(0, 45, '\p{Is_SB=at}', "");
Expect(1, 45, '\p{^Is_SB=at}', "");
Expect(1, 45, '\P{Is_SB=at}', "");
Expect(0, 45, '\P{^Is_SB=at}', "");
Expect(1, 46, '\p{Is_SB=_ AT}', "");
Expect(0, 46, '\p{^Is_SB=_ AT}', "");
Expect(0, 46, '\P{Is_SB=_ AT}', "");
Expect(1, 46, '\P{^Is_SB=_ AT}', "");
Expect(0, 45, '\p{Is_SB=_ AT}', "");
Expect(1, 45, '\p{^Is_SB=_ AT}', "");
Expect(1, 45, '\P{Is_SB=_ AT}', "");
Expect(0, 45, '\P{^Is_SB=_ AT}', "");
Error('\p{Sentence_Break=	_oletter:=}');
Error('\P{Sentence_Break=	_oletter:=}');
Expect(1, 443, '\p{Sentence_Break=oletter}', "");
Expect(0, 443, '\p{^Sentence_Break=oletter}', "");
Expect(0, 443, '\P{Sentence_Break=oletter}', "");
Expect(1, 443, '\P{^Sentence_Break=oletter}', "");
Expect(0, 442, '\p{Sentence_Break=oletter}', "");
Expect(1, 442, '\p{^Sentence_Break=oletter}', "");
Expect(1, 442, '\P{Sentence_Break=oletter}', "");
Expect(0, 442, '\P{^Sentence_Break=oletter}', "");
Expect(1, 443, '\p{Sentence_Break= OLetter}', "");
Expect(0, 443, '\p{^Sentence_Break= OLetter}', "");
Expect(0, 443, '\P{Sentence_Break= OLetter}', "");
Expect(1, 443, '\P{^Sentence_Break= OLetter}', "");
Expect(0, 442, '\p{Sentence_Break= OLetter}', "");
Expect(1, 442, '\p{^Sentence_Break= OLetter}', "");
Expect(1, 442, '\P{Sentence_Break= OLetter}', "");
Expect(0, 442, '\P{^Sentence_Break= OLetter}', "");
Error('\p{SB=_-LE/a/}');
Error('\P{SB=_-LE/a/}');
Expect(1, 443, '\p{SB=le}', "");
Expect(0, 443, '\p{^SB=le}', "");
Expect(0, 443, '\P{SB=le}', "");
Expect(1, 443, '\P{^SB=le}', "");
Expect(0, 442, '\p{SB=le}', "");
Expect(1, 442, '\p{^SB=le}', "");
Expect(1, 442, '\P{SB=le}', "");
Expect(0, 442, '\P{^SB=le}', "");
Expect(1, 443, '\p{SB=_ le}', "");
Expect(0, 443, '\p{^SB=_ le}', "");
Expect(0, 443, '\P{SB=_ le}', "");
Expect(1, 443, '\P{^SB=_ le}', "");
Expect(0, 442, '\p{SB=_ le}', "");
Expect(1, 442, '\p{^SB=_ le}', "");
Expect(1, 442, '\P{SB=_ le}', "");
Expect(0, 442, '\P{^SB=_ le}', "");
Error('\p{Is_Sentence_Break=/a/		oletter}');
Error('\P{Is_Sentence_Break=/a/		oletter}');
Expect(1, 443, '\p{Is_Sentence_Break=oletter}', "");
Expect(0, 443, '\p{^Is_Sentence_Break=oletter}', "");
Expect(0, 443, '\P{Is_Sentence_Break=oletter}', "");
Expect(1, 443, '\P{^Is_Sentence_Break=oletter}', "");
Expect(0, 442, '\p{Is_Sentence_Break=oletter}', "");
Expect(1, 442, '\p{^Is_Sentence_Break=oletter}', "");
Expect(1, 442, '\P{Is_Sentence_Break=oletter}', "");
Expect(0, 442, '\P{^Is_Sentence_Break=oletter}', "");
Expect(1, 443, '\p{Is_Sentence_Break=_ oletter}', "");
Expect(0, 443, '\p{^Is_Sentence_Break=_ oletter}', "");
Expect(0, 443, '\P{Is_Sentence_Break=_ oletter}', "");
Expect(1, 443, '\P{^Is_Sentence_Break=_ oletter}', "");
Expect(0, 442, '\p{Is_Sentence_Break=_ oletter}', "");
Expect(1, 442, '\p{^Is_Sentence_Break=_ oletter}', "");
Expect(1, 442, '\P{Is_Sentence_Break=_ oletter}', "");
Expect(0, 442, '\P{^Is_Sentence_Break=_ oletter}', "");
Error('\p{Is_SB=/a/-	LE}');
Error('\P{Is_SB=/a/-	LE}');
Expect(1, 443, '\p{Is_SB=le}', "");
Expect(0, 443, '\p{^Is_SB=le}', "");
Expect(0, 443, '\P{Is_SB=le}', "");
Expect(1, 443, '\P{^Is_SB=le}', "");
Expect(0, 442, '\p{Is_SB=le}', "");
Expect(1, 442, '\p{^Is_SB=le}', "");
Expect(1, 442, '\P{Is_SB=le}', "");
Expect(0, 442, '\P{^Is_SB=le}', "");
Expect(1, 443, '\p{Is_SB=-LE}', "");
Expect(0, 443, '\p{^Is_SB=-LE}', "");
Expect(0, 443, '\P{Is_SB=-LE}', "");
Expect(1, 443, '\P{^Is_SB=-LE}', "");
Expect(0, 442, '\p{Is_SB=-LE}', "");
Expect(1, 442, '\p{^Is_SB=-LE}', "");
Expect(1, 442, '\P{Is_SB=-LE}', "");
Expect(0, 442, '\P{^Is_SB=-LE}', "");
Error('\p{Sentence_Break=_CR/a/}');
Error('\P{Sentence_Break=_CR/a/}');
Expect(1, 13, '\p{Sentence_Break=cr}', "");
Expect(0, 13, '\p{^Sentence_Break=cr}', "");
Expect(0, 13, '\P{Sentence_Break=cr}', "");
Expect(1, 13, '\P{^Sentence_Break=cr}', "");
Expect(0, 12, '\p{Sentence_Break=cr}', "");
Expect(1, 12, '\p{^Sentence_Break=cr}', "");
Expect(1, 12, '\P{Sentence_Break=cr}', "");
Expect(0, 12, '\P{^Sentence_Break=cr}', "");
Expect(1, 13, '\p{Sentence_Break=	 CR}', "");
Expect(0, 13, '\p{^Sentence_Break=	 CR}', "");
Expect(0, 13, '\P{Sentence_Break=	 CR}', "");
Expect(1, 13, '\P{^Sentence_Break=	 CR}', "");
Expect(0, 12, '\p{Sentence_Break=	 CR}', "");
Expect(1, 12, '\p{^Sentence_Break=	 CR}', "");
Expect(1, 12, '\P{Sentence_Break=	 CR}', "");
Expect(0, 12, '\P{^Sentence_Break=	 CR}', "");
Error('\p{SB=:=  CR}');
Error('\P{SB=:=  CR}');
Expect(1, 13, '\p{SB=cr}', "");
Expect(0, 13, '\p{^SB=cr}', "");
Expect(0, 13, '\P{SB=cr}', "");
Expect(1, 13, '\P{^SB=cr}', "");
Expect(0, 12, '\p{SB=cr}', "");
Expect(1, 12, '\p{^SB=cr}', "");
Expect(1, 12, '\P{SB=cr}', "");
Expect(0, 12, '\P{^SB=cr}', "");
Expect(1, 13, '\p{SB=- CR}', "");
Expect(0, 13, '\p{^SB=- CR}', "");
Expect(0, 13, '\P{SB=- CR}', "");
Expect(1, 13, '\P{^SB=- CR}', "");
Expect(0, 12, '\p{SB=- CR}', "");
Expect(1, 12, '\p{^SB=- CR}', "");
Expect(1, 12, '\P{SB=- CR}', "");
Expect(0, 12, '\P{^SB=- CR}', "");
Error('\p{Is_Sentence_Break=	/a/cr}');
Error('\P{Is_Sentence_Break=	/a/cr}');
Expect(1, 13, '\p{Is_Sentence_Break=cr}', "");
Expect(0, 13, '\p{^Is_Sentence_Break=cr}', "");
Expect(0, 13, '\P{Is_Sentence_Break=cr}', "");
Expect(1, 13, '\P{^Is_Sentence_Break=cr}', "");
Expect(0, 12, '\p{Is_Sentence_Break=cr}', "");
Expect(1, 12, '\p{^Is_Sentence_Break=cr}', "");
Expect(1, 12, '\P{Is_Sentence_Break=cr}', "");
Expect(0, 12, '\P{^Is_Sentence_Break=cr}', "");
Expect(1, 13, '\p{Is_Sentence_Break=__CR}', "");
Expect(0, 13, '\p{^Is_Sentence_Break=__CR}', "");
Expect(0, 13, '\P{Is_Sentence_Break=__CR}', "");
Expect(1, 13, '\P{^Is_Sentence_Break=__CR}', "");
Expect(0, 12, '\p{Is_Sentence_Break=__CR}', "");
Expect(1, 12, '\p{^Is_Sentence_Break=__CR}', "");
Expect(1, 12, '\P{Is_Sentence_Break=__CR}', "");
Expect(0, 12, '\P{^Is_Sentence_Break=__CR}', "");
Error('\p{Is_SB=	-CR:=}');
Error('\P{Is_SB=	-CR:=}');
Expect(1, 13, '\p{Is_SB=cr}', "");
Expect(0, 13, '\p{^Is_SB=cr}', "");
Expect(0, 13, '\P{Is_SB=cr}', "");
Expect(1, 13, '\P{^Is_SB=cr}', "");
Expect(0, 12, '\p{Is_SB=cr}', "");
Expect(1, 12, '\p{^Is_SB=cr}', "");
Expect(1, 12, '\P{Is_SB=cr}', "");
Expect(0, 12, '\P{^Is_SB=cr}', "");
Expect(1, 13, '\p{Is_SB=__CR}', "");
Expect(0, 13, '\p{^Is_SB=__CR}', "");
Expect(0, 13, '\P{Is_SB=__CR}', "");
Expect(1, 13, '\P{^Is_SB=__CR}', "");
Expect(0, 12, '\p{Is_SB=__CR}', "");
Expect(1, 12, '\p{^Is_SB=__CR}', "");
Expect(1, 12, '\P{Is_SB=__CR}', "");
Expect(0, 12, '\P{^Is_SB=__CR}', "");
Error('\p{Sentence_Break=:=Other}');
Error('\P{Sentence_Break=:=Other}');
Expect(1, 8, '\p{Sentence_Break=other}', "");
Expect(0, 8, '\p{^Sentence_Break=other}', "");
Expect(0, 8, '\P{Sentence_Break=other}', "");
Expect(1, 8, '\P{^Sentence_Break=other}', "");
Expect(0, 13, '\p{Sentence_Break=other}', "");
Expect(1, 13, '\p{^Sentence_Break=other}', "");
Expect(1, 13, '\P{Sentence_Break=other}', "");
Expect(0, 13, '\P{^Sentence_Break=other}', "");
Expect(1, 8, '\p{Sentence_Break= -other}', "");
Expect(0, 8, '\p{^Sentence_Break= -other}', "");
Expect(0, 8, '\P{Sentence_Break= -other}', "");
Expect(1, 8, '\P{^Sentence_Break= -other}', "");
Expect(0, 13, '\p{Sentence_Break= -other}', "");
Expect(1, 13, '\p{^Sentence_Break= -other}', "");
Expect(1, 13, '\P{Sentence_Break= -other}', "");
Expect(0, 13, '\P{^Sentence_Break= -other}', "");
Error('\p{SB: :=__XX}');
Error('\P{SB: :=__XX}');
Expect(1, 8, '\p{SB:	xx}', "");
Expect(0, 8, '\p{^SB:	xx}', "");
Expect(0, 8, '\P{SB:	xx}', "");
Expect(1, 8, '\P{^SB:	xx}', "");
Expect(0, 13, '\p{SB:	xx}', "");
Expect(1, 13, '\p{^SB:	xx}', "");
Expect(1, 13, '\P{SB:	xx}', "");
Expect(0, 13, '\P{^SB:	xx}', "");
Expect(1, 8, '\p{SB=	_XX}', "");
Expect(0, 8, '\p{^SB=	_XX}', "");
Expect(0, 8, '\P{SB=	_XX}', "");
Expect(1, 8, '\P{^SB=	_XX}', "");
Expect(0, 13, '\p{SB=	_XX}', "");
Expect(1, 13, '\p{^SB=	_XX}', "");
Expect(1, 13, '\P{SB=	_XX}', "");
Expect(0, 13, '\P{^SB=	_XX}', "");
Error('\p{Is_Sentence_Break= _Other/a/}');
Error('\P{Is_Sentence_Break= _Other/a/}');
Expect(1, 8, '\p{Is_Sentence_Break=other}', "");
Expect(0, 8, '\p{^Is_Sentence_Break=other}', "");
Expect(0, 8, '\P{Is_Sentence_Break=other}', "");
Expect(1, 8, '\P{^Is_Sentence_Break=other}', "");
Expect(0, 13, '\p{Is_Sentence_Break=other}', "");
Expect(1, 13, '\p{^Is_Sentence_Break=other}', "");
Expect(1, 13, '\P{Is_Sentence_Break=other}', "");
Expect(0, 13, '\P{^Is_Sentence_Break=other}', "");
Expect(1, 8, '\p{Is_Sentence_Break: 	Other}', "");
Expect(0, 8, '\p{^Is_Sentence_Break: 	Other}', "");
Expect(0, 8, '\P{Is_Sentence_Break: 	Other}', "");
Expect(1, 8, '\P{^Is_Sentence_Break: 	Other}', "");
Expect(0, 13, '\p{Is_Sentence_Break: 	Other}', "");
Expect(1, 13, '\p{^Is_Sentence_Break: 	Other}', "");
Expect(1, 13, '\P{Is_Sentence_Break: 	Other}', "");
Expect(0, 13, '\P{^Is_Sentence_Break: 	Other}', "");
Error('\p{Is_SB= xx/a/}');
Error('\P{Is_SB= xx/a/}');
Expect(1, 8, '\p{Is_SB=xx}', "");
Expect(0, 8, '\p{^Is_SB=xx}', "");
Expect(0, 8, '\P{Is_SB=xx}', "");
Expect(1, 8, '\P{^Is_SB=xx}', "");
Expect(0, 13, '\p{Is_SB=xx}', "");
Expect(1, 13, '\p{^Is_SB=xx}', "");
Expect(1, 13, '\P{Is_SB=xx}', "");
Expect(0, 13, '\P{^Is_SB=xx}', "");
Error('\p{Sentence_Break: :=-_numeric}');
Error('\P{Sentence_Break: :=-_numeric}');
Expect(1, 57, '\p{Sentence_Break=numeric}', "");
Expect(0, 57, '\p{^Sentence_Break=numeric}', "");
Expect(0, 57, '\P{Sentence_Break=numeric}', "");
Expect(1, 57, '\P{^Sentence_Break=numeric}', "");
Expect(0, 47, '\p{Sentence_Break=numeric}', "");
Expect(1, 47, '\p{^Sentence_Break=numeric}', "");
Expect(1, 47, '\P{Sentence_Break=numeric}', "");
Expect(0, 47, '\P{^Sentence_Break=numeric}', "");
Expect(1, 57, '\p{Sentence_Break=  numeric}', "");
Expect(0, 57, '\p{^Sentence_Break=  numeric}', "");
Expect(0, 57, '\P{Sentence_Break=  numeric}', "");
Expect(1, 57, '\P{^Sentence_Break=  numeric}', "");
Expect(0, 47, '\p{Sentence_Break=  numeric}', "");
Expect(1, 47, '\p{^Sentence_Break=  numeric}', "");
Expect(1, 47, '\P{Sentence_Break=  numeric}', "");
Expect(0, 47, '\P{^Sentence_Break=  numeric}', "");
Error('\p{SB= /a/NU}');
Error('\P{SB= /a/NU}');
Expect(1, 57, '\p{SB: nu}', "");
Expect(0, 57, '\p{^SB: nu}', "");
Expect(0, 57, '\P{SB: nu}', "");
Expect(1, 57, '\P{^SB: nu}', "");
Expect(0, 47, '\p{SB: nu}', "");
Expect(1, 47, '\p{^SB: nu}', "");
Expect(1, 47, '\P{SB: nu}', "");
Expect(0, 47, '\P{^SB: nu}', "");
Expect(1, 57, '\p{SB=- NU}', "");
Expect(0, 57, '\p{^SB=- NU}', "");
Expect(0, 57, '\P{SB=- NU}', "");
Expect(1, 57, '\P{^SB=- NU}', "");
Expect(0, 47, '\p{SB=- NU}', "");
Expect(1, 47, '\p{^SB=- NU}', "");
Expect(1, 47, '\P{SB=- NU}', "");
Expect(0, 47, '\P{^SB=- NU}', "");
Error('\p{Is_Sentence_Break: :=- Numeric}');
Error('\P{Is_Sentence_Break: :=- Numeric}');
Expect(1, 57, '\p{Is_Sentence_Break=numeric}', "");
Expect(0, 57, '\p{^Is_Sentence_Break=numeric}', "");
Expect(0, 57, '\P{Is_Sentence_Break=numeric}', "");
Expect(1, 57, '\P{^Is_Sentence_Break=numeric}', "");
Expect(0, 47, '\p{Is_Sentence_Break=numeric}', "");
Expect(1, 47, '\p{^Is_Sentence_Break=numeric}', "");
Expect(1, 47, '\P{Is_Sentence_Break=numeric}', "");
Expect(0, 47, '\P{^Is_Sentence_Break=numeric}', "");
Expect(1, 57, '\p{Is_Sentence_Break=	_Numeric}', "");
Expect(0, 57, '\p{^Is_Sentence_Break=	_Numeric}', "");
Expect(0, 57, '\P{Is_Sentence_Break=	_Numeric}', "");
Expect(1, 57, '\P{^Is_Sentence_Break=	_Numeric}', "");
Expect(0, 47, '\p{Is_Sentence_Break=	_Numeric}', "");
Expect(1, 47, '\p{^Is_Sentence_Break=	_Numeric}', "");
Expect(1, 47, '\P{Is_Sentence_Break=	_Numeric}', "");
Expect(0, 47, '\P{^Is_Sentence_Break=	_Numeric}', "");
Error('\p{Is_SB=NU/a/}');
Error('\P{Is_SB=NU/a/}');
Expect(1, 57, '\p{Is_SB=nu}', "");
Expect(0, 57, '\p{^Is_SB=nu}', "");
Expect(0, 57, '\P{Is_SB=nu}', "");
Expect(1, 57, '\P{^Is_SB=nu}', "");
Expect(0, 47, '\p{Is_SB=nu}', "");
Expect(1, 47, '\p{^Is_SB=nu}', "");
Expect(1, 47, '\P{Is_SB=nu}', "");
Expect(0, 47, '\P{^Is_SB=nu}', "");
Expect(1, 57, '\p{Is_SB= 	nu}', "");
Expect(0, 57, '\p{^Is_SB= 	nu}', "");
Expect(0, 57, '\P{Is_SB= 	nu}', "");
Expect(1, 57, '\P{^Is_SB= 	nu}', "");
Expect(0, 47, '\p{Is_SB= 	nu}', "");
Expect(1, 47, '\p{^Is_SB= 	nu}', "");
Expect(1, 47, '\P{Is_SB= 	nu}', "");
Expect(0, 47, '\P{^Is_SB= 	nu}', "");
Error('\p{Sentence_Break= 	Format:=}');
Error('\P{Sentence_Break= 	Format:=}');
Expect(1, 173, '\p{Sentence_Break=format}', "");
Expect(0, 173, '\p{^Sentence_Break=format}', "");
Expect(0, 173, '\P{Sentence_Break=format}', "");
Expect(1, 173, '\P{^Sentence_Break=format}', "");
Expect(0, 172, '\p{Sentence_Break=format}', "");
Expect(1, 172, '\p{^Sentence_Break=format}', "");
Expect(1, 172, '\P{Sentence_Break=format}', "");
Expect(0, 172, '\P{^Sentence_Break=format}', "");
Expect(1, 173, '\p{Sentence_Break=_ Format}', "");
Expect(0, 173, '\p{^Sentence_Break=_ Format}', "");
Expect(0, 173, '\P{Sentence_Break=_ Format}', "");
Expect(1, 173, '\P{^Sentence_Break=_ Format}', "");
Expect(0, 172, '\p{Sentence_Break=_ Format}', "");
Expect(1, 172, '\p{^Sentence_Break=_ Format}', "");
Expect(1, 172, '\P{Sentence_Break=_ Format}', "");
Expect(0, 172, '\P{^Sentence_Break=_ Format}', "");
Error('\p{SB=:=FO}');
Error('\P{SB=:=FO}');
Expect(1, 173, '\p{SB=fo}', "");
Expect(0, 173, '\p{^SB=fo}', "");
Expect(0, 173, '\P{SB=fo}', "");
Expect(1, 173, '\P{^SB=fo}', "");
Expect(0, 172, '\p{SB=fo}', "");
Expect(1, 172, '\p{^SB=fo}', "");
Expect(1, 172, '\P{SB=fo}', "");
Expect(0, 172, '\P{^SB=fo}', "");
Expect(1, 173, '\p{SB=-FO}', "");
Expect(0, 173, '\p{^SB=-FO}', "");
Expect(0, 173, '\P{SB=-FO}', "");
Expect(1, 173, '\P{^SB=-FO}', "");
Expect(0, 172, '\p{SB=-FO}', "");
Expect(1, 172, '\p{^SB=-FO}', "");
Expect(1, 172, '\P{SB=-FO}', "");
Expect(0, 172, '\P{^SB=-FO}', "");
Error('\p{Is_Sentence_Break= :=format}');
Error('\P{Is_Sentence_Break= :=format}');
Expect(1, 173, '\p{Is_Sentence_Break=format}', "");
Expect(0, 173, '\p{^Is_Sentence_Break=format}', "");
Expect(0, 173, '\P{Is_Sentence_Break=format}', "");
Expect(1, 173, '\P{^Is_Sentence_Break=format}', "");
Expect(0, 172, '\p{Is_Sentence_Break=format}', "");
Expect(1, 172, '\p{^Is_Sentence_Break=format}', "");
Expect(1, 172, '\P{Is_Sentence_Break=format}', "");
Expect(0, 172, '\P{^Is_Sentence_Break=format}', "");
Expect(1, 173, '\p{Is_Sentence_Break= FORMAT}', "");
Expect(0, 173, '\p{^Is_Sentence_Break= FORMAT}', "");
Expect(0, 173, '\P{Is_Sentence_Break= FORMAT}', "");
Expect(1, 173, '\P{^Is_Sentence_Break= FORMAT}', "");
Expect(0, 172, '\p{Is_Sentence_Break= FORMAT}', "");
Expect(1, 172, '\p{^Is_Sentence_Break= FORMAT}', "");
Expect(1, 172, '\P{Is_Sentence_Break= FORMAT}', "");
Expect(0, 172, '\P{^Is_Sentence_Break= FORMAT}', "");
Error('\p{Is_SB=_FO/a/}');
Error('\P{Is_SB=_FO/a/}');
Expect(1, 173, '\p{Is_SB=fo}', "");
Expect(0, 173, '\p{^Is_SB=fo}', "");
Expect(0, 173, '\P{Is_SB=fo}', "");
Expect(1, 173, '\P{^Is_SB=fo}', "");
Expect(0, 172, '\p{Is_SB=fo}', "");
Expect(1, 172, '\p{^Is_SB=fo}', "");
Expect(1, 172, '\P{Is_SB=fo}', "");
Expect(0, 172, '\P{^Is_SB=fo}', "");
Expect(1, 173, '\p{Is_SB=-fo}', "");
Expect(0, 173, '\p{^Is_SB=-fo}', "");
Expect(0, 173, '\P{Is_SB=-fo}', "");
Expect(1, 173, '\P{^Is_SB=-fo}', "");
Expect(0, 172, '\p{Is_SB=-fo}', "");
Expect(1, 172, '\p{^Is_SB=-fo}', "");
Expect(1, 172, '\P{Is_SB=-fo}', "");
Expect(0, 172, '\P{^Is_SB=-fo}', "");
Error('\p{Sentence_Break=	 LOWER:=}');
Error('\P{Sentence_Break=	 LOWER:=}');
Expect(1, 122, '\p{Sentence_Break=lower}', "");
Expect(0, 122, '\p{^Sentence_Break=lower}', "");
Expect(0, 122, '\P{Sentence_Break=lower}', "");
Expect(1, 122, '\P{^Sentence_Break=lower}', "");
Expect(0, 96, '\p{Sentence_Break=lower}', "");
Expect(1, 96, '\p{^Sentence_Break=lower}', "");
Expect(1, 96, '\P{Sentence_Break=lower}', "");
Expect(0, 96, '\P{^Sentence_Break=lower}', "");
Expect(1, 122, '\p{Sentence_Break:Lower}', "");
Expect(0, 122, '\p{^Sentence_Break:Lower}', "");
Expect(0, 122, '\P{Sentence_Break:Lower}', "");
Expect(1, 122, '\P{^Sentence_Break:Lower}', "");
Expect(0, 96, '\p{Sentence_Break:Lower}', "");
Expect(1, 96, '\p{^Sentence_Break:Lower}', "");
Expect(1, 96, '\P{Sentence_Break:Lower}', "");
Expect(0, 96, '\P{^Sentence_Break:Lower}', "");
Error('\p{SB:/a/_	LO}');
Error('\P{SB:/a/_	LO}');
Expect(1, 122, '\p{SB=lo}', "");
Expect(0, 122, '\p{^SB=lo}', "");
Expect(0, 122, '\P{SB=lo}', "");
Expect(1, 122, '\P{^SB=lo}', "");
Expect(0, 96, '\p{SB=lo}', "");
Expect(1, 96, '\p{^SB=lo}', "");
Expect(1, 96, '\P{SB=lo}', "");
Expect(0, 96, '\P{^SB=lo}', "");
Expect(1, 122, '\p{SB=		LO}', "");
Expect(0, 122, '\p{^SB=		LO}', "");
Expect(0, 122, '\P{SB=		LO}', "");
Expect(1, 122, '\P{^SB=		LO}', "");
Expect(0, 96, '\p{SB=		LO}', "");
Expect(1, 96, '\p{^SB=		LO}', "");
Expect(1, 96, '\P{SB=		LO}', "");
Expect(0, 96, '\P{^SB=		LO}', "");
Error('\p{Is_Sentence_Break=-_Lower:=}');
Error('\P{Is_Sentence_Break=-_Lower:=}');
Expect(1, 122, '\p{Is_Sentence_Break=lower}', "");
Expect(0, 122, '\p{^Is_Sentence_Break=lower}', "");
Expect(0, 122, '\P{Is_Sentence_Break=lower}', "");
Expect(1, 122, '\P{^Is_Sentence_Break=lower}', "");
Expect(0, 96, '\p{Is_Sentence_Break=lower}', "");
Expect(1, 96, '\p{^Is_Sentence_Break=lower}', "");
Expect(1, 96, '\P{Is_Sentence_Break=lower}', "");
Expect(0, 96, '\P{^Is_Sentence_Break=lower}', "");
Expect(1, 122, '\p{Is_Sentence_Break=	-lower}', "");
Expect(0, 122, '\p{^Is_Sentence_Break=	-lower}', "");
Expect(0, 122, '\P{Is_Sentence_Break=	-lower}', "");
Expect(1, 122, '\P{^Is_Sentence_Break=	-lower}', "");
Expect(0, 96, '\p{Is_Sentence_Break=	-lower}', "");
Expect(1, 96, '\p{^Is_Sentence_Break=	-lower}', "");
Expect(1, 96, '\P{Is_Sentence_Break=	-lower}', "");
Expect(0, 96, '\P{^Is_Sentence_Break=	-lower}', "");
Error('\p{Is_SB=/a/	-LO}');
Error('\P{Is_SB=/a/	-LO}');
Expect(1, 122, '\p{Is_SB=lo}', "");
Expect(0, 122, '\p{^Is_SB=lo}', "");
Expect(0, 122, '\P{Is_SB=lo}', "");
Expect(1, 122, '\P{^Is_SB=lo}', "");
Expect(0, 96, '\p{Is_SB=lo}', "");
Expect(1, 96, '\p{^Is_SB=lo}', "");
Expect(1, 96, '\P{Is_SB=lo}', "");
Expect(0, 96, '\P{^Is_SB=lo}', "");
Expect(1, 122, '\p{Is_SB= _LO}', "");
Expect(0, 122, '\p{^Is_SB= _LO}', "");
Expect(0, 122, '\P{Is_SB= _LO}', "");
Expect(1, 122, '\P{^Is_SB= _LO}', "");
Expect(0, 96, '\p{Is_SB= _LO}', "");
Expect(1, 96, '\p{^Is_SB= _LO}', "");
Expect(1, 96, '\P{Is_SB= _LO}', "");
Expect(0, 96, '\P{^Is_SB= _LO}', "");
Error('\p{Sentence_Break=_upper:=}');
Error('\P{Sentence_Break=_upper:=}');
Expect(1, 90, '\p{Sentence_Break=upper}', "");
Expect(0, 90, '\p{^Sentence_Break=upper}', "");
Expect(0, 90, '\P{Sentence_Break=upper}', "");
Expect(1, 90, '\P{^Sentence_Break=upper}', "");
Expect(0, 64, '\p{Sentence_Break=upper}', "");
Expect(1, 64, '\p{^Sentence_Break=upper}', "");
Expect(1, 64, '\P{Sentence_Break=upper}', "");
Expect(0, 64, '\P{^Sentence_Break=upper}', "");
Expect(1, 90, '\p{Sentence_Break=_ upper}', "");
Expect(0, 90, '\p{^Sentence_Break=_ upper}', "");
Expect(0, 90, '\P{Sentence_Break=_ upper}', "");
Expect(1, 90, '\P{^Sentence_Break=_ upper}', "");
Expect(0, 64, '\p{Sentence_Break=_ upper}', "");
Expect(1, 64, '\p{^Sentence_Break=_ upper}', "");
Expect(1, 64, '\P{Sentence_Break=_ upper}', "");
Expect(0, 64, '\P{^Sentence_Break=_ upper}', "");
Error('\p{SB=/a/ _UP}');
Error('\P{SB=/a/ _UP}');
Expect(1, 90, '\p{SB:	up}', "");
Expect(0, 90, '\p{^SB:	up}', "");
Expect(0, 90, '\P{SB:	up}', "");
Expect(1, 90, '\P{^SB:	up}', "");
Expect(0, 64, '\p{SB:	up}', "");
Expect(1, 64, '\p{^SB:	up}', "");
Expect(1, 64, '\P{SB:	up}', "");
Expect(0, 64, '\P{^SB:	up}', "");
Expect(1, 90, '\p{SB=-	UP}', "");
Expect(0, 90, '\p{^SB=-	UP}', "");
Expect(0, 90, '\P{SB=-	UP}', "");
Expect(1, 90, '\P{^SB=-	UP}', "");
Expect(0, 64, '\p{SB=-	UP}', "");
Expect(1, 64, '\p{^SB=-	UP}', "");
Expect(1, 64, '\P{SB=-	UP}', "");
Expect(0, 64, '\P{^SB=-	UP}', "");
Error('\p{Is_Sentence_Break=	Upper/a/}');
Error('\P{Is_Sentence_Break=	Upper/a/}');
Expect(1, 90, '\p{Is_Sentence_Break=upper}', "");
Expect(0, 90, '\p{^Is_Sentence_Break=upper}', "");
Expect(0, 90, '\P{Is_Sentence_Break=upper}', "");
Expect(1, 90, '\P{^Is_Sentence_Break=upper}', "");
Expect(0, 64, '\p{Is_Sentence_Break=upper}', "");
Expect(1, 64, '\p{^Is_Sentence_Break=upper}', "");
Expect(1, 64, '\P{Is_Sentence_Break=upper}', "");
Expect(0, 64, '\P{^Is_Sentence_Break=upper}', "");
Expect(1, 90, '\p{Is_Sentence_Break=UPPER}', "");
Expect(0, 90, '\p{^Is_Sentence_Break=UPPER}', "");
Expect(0, 90, '\P{Is_Sentence_Break=UPPER}', "");
Expect(1, 90, '\P{^Is_Sentence_Break=UPPER}', "");
Expect(0, 64, '\p{Is_Sentence_Break=UPPER}', "");
Expect(1, 64, '\p{^Is_Sentence_Break=UPPER}', "");
Expect(1, 64, '\P{Is_Sentence_Break=UPPER}', "");
Expect(0, 64, '\P{^Is_Sentence_Break=UPPER}', "");
Error('\p{Is_SB=-/a/UP}');
Error('\P{Is_SB=-/a/UP}');
Expect(1, 90, '\p{Is_SB=up}', "");
Expect(0, 90, '\p{^Is_SB=up}', "");
Expect(0, 90, '\P{Is_SB=up}', "");
Expect(1, 90, '\P{^Is_SB=up}', "");
Expect(0, 64, '\p{Is_SB=up}', "");
Expect(1, 64, '\p{^Is_SB=up}', "");
Expect(1, 64, '\P{Is_SB=up}', "");
Expect(0, 64, '\P{^Is_SB=up}', "");
Expect(1, 90, '\p{Is_SB=_UP}', "");
Expect(0, 90, '\p{^Is_SB=_UP}', "");
Expect(0, 90, '\P{Is_SB=_UP}', "");
Expect(1, 90, '\P{^Is_SB=_UP}', "");
Expect(0, 64, '\p{Is_SB=_UP}', "");
Expect(1, 64, '\p{^Is_SB=_UP}', "");
Expect(1, 64, '\P{Is_SB=_UP}', "");
Expect(0, 64, '\P{^Is_SB=_UP}', "");
Error('\p{Sentence_Break= sep:=}');
Error('\P{Sentence_Break= sep:=}');
Expect(1, 133, '\p{Sentence_Break=sep}', "");
Expect(0, 133, '\p{^Sentence_Break=sep}', "");
Expect(0, 133, '\P{Sentence_Break=sep}', "");
Expect(1, 133, '\P{^Sentence_Break=sep}', "");
Expect(0, 132, '\p{Sentence_Break=sep}', "");
Expect(1, 132, '\p{^Sentence_Break=sep}', "");
Expect(1, 132, '\P{Sentence_Break=sep}', "");
Expect(0, 132, '\P{^Sentence_Break=sep}', "");
Expect(1, 133, '\p{Sentence_Break=-	Sep}', "");
Expect(0, 133, '\p{^Sentence_Break=-	Sep}', "");
Expect(0, 133, '\P{Sentence_Break=-	Sep}', "");
Expect(1, 133, '\P{^Sentence_Break=-	Sep}', "");
Expect(0, 132, '\p{Sentence_Break=-	Sep}', "");
Expect(1, 132, '\p{^Sentence_Break=-	Sep}', "");
Expect(1, 132, '\P{Sentence_Break=-	Sep}', "");
Expect(0, 132, '\P{^Sentence_Break=-	Sep}', "");
Error('\p{SB=:= SE}');
Error('\P{SB=:= SE}');
Expect(1, 133, '\p{SB=se}', "");
Expect(0, 133, '\p{^SB=se}', "");
Expect(0, 133, '\P{SB=se}', "");
Expect(1, 133, '\P{^SB=se}', "");
Expect(0, 132, '\p{SB=se}', "");
Expect(1, 132, '\p{^SB=se}', "");
Expect(1, 132, '\P{SB=se}', "");
Expect(0, 132, '\P{^SB=se}', "");
Expect(1, 133, '\p{SB:	 SE}', "");
Expect(0, 133, '\p{^SB:	 SE}', "");
Expect(0, 133, '\P{SB:	 SE}', "");
Expect(1, 133, '\P{^SB:	 SE}', "");
Expect(0, 132, '\p{SB:	 SE}', "");
Expect(1, 132, '\p{^SB:	 SE}', "");
Expect(1, 132, '\P{SB:	 SE}', "");
Expect(0, 132, '\P{^SB:	 SE}', "");
Error('\p{Is_Sentence_Break:	_ Sep:=}');
Error('\P{Is_Sentence_Break:	_ Sep:=}');
Expect(1, 133, '\p{Is_Sentence_Break:	sep}', "");
Expect(0, 133, '\p{^Is_Sentence_Break:	sep}', "");
Expect(0, 133, '\P{Is_Sentence_Break:	sep}', "");
Expect(1, 133, '\P{^Is_Sentence_Break:	sep}', "");
Expect(0, 132, '\p{Is_Sentence_Break:	sep}', "");
Expect(1, 132, '\p{^Is_Sentence_Break:	sep}', "");
Expect(1, 132, '\P{Is_Sentence_Break:	sep}', "");
Expect(0, 132, '\P{^Is_Sentence_Break:	sep}', "");
Expect(1, 133, '\p{Is_Sentence_Break= _sep}', "");
Expect(0, 133, '\p{^Is_Sentence_Break= _sep}', "");
Expect(0, 133, '\P{Is_Sentence_Break= _sep}', "");
Expect(1, 133, '\P{^Is_Sentence_Break= _sep}', "");
Expect(0, 132, '\p{Is_Sentence_Break= _sep}', "");
Expect(1, 132, '\p{^Is_Sentence_Break= _sep}', "");
Expect(1, 132, '\P{Is_Sentence_Break= _sep}', "");
Expect(0, 132, '\P{^Is_Sentence_Break= _sep}', "");
Error('\p{Is_SB=- se:=}');
Error('\P{Is_SB=- se:=}');
Expect(1, 133, '\p{Is_SB=se}', "");
Expect(0, 133, '\p{^Is_SB=se}', "");
Expect(0, 133, '\P{Is_SB=se}', "");
Expect(1, 133, '\P{^Is_SB=se}', "");
Expect(0, 132, '\p{Is_SB=se}', "");
Expect(1, 132, '\p{^Is_SB=se}', "");
Expect(1, 132, '\P{Is_SB=se}', "");
Expect(0, 132, '\P{^Is_SB=se}', "");
Expect(1, 133, '\p{Is_SB=	 SE}', "");
Expect(0, 133, '\p{^Is_SB=	 SE}', "");
Expect(0, 133, '\P{Is_SB=	 SE}', "");
Expect(1, 133, '\P{^Is_SB=	 SE}', "");
Expect(0, 132, '\p{Is_SB=	 SE}', "");
Expect(1, 132, '\p{^Is_SB=	 SE}', "");
Expect(1, 132, '\P{Is_SB=	 SE}', "");
Expect(0, 132, '\P{^Is_SB=	 SE}', "");
Error('\p{Sentence_Break=:=	EXTEND}');
Error('\P{Sentence_Break=:=	EXTEND}');
Expect(1, 879, '\p{Sentence_Break=extend}', "");
Expect(0, 879, '\p{^Sentence_Break=extend}', "");
Expect(0, 879, '\P{Sentence_Break=extend}', "");
Expect(1, 879, '\P{^Sentence_Break=extend}', "");
Expect(0, 767, '\p{Sentence_Break=extend}', "");
Expect(1, 767, '\p{^Sentence_Break=extend}', "");
Expect(1, 767, '\P{Sentence_Break=extend}', "");
Expect(0, 767, '\P{^Sentence_Break=extend}', "");
Expect(1, 879, '\p{Sentence_Break= -Extend}', "");
Expect(0, 879, '\p{^Sentence_Break= -Extend}', "");
Expect(0, 879, '\P{Sentence_Break= -Extend}', "");
Expect(1, 879, '\P{^Sentence_Break= -Extend}', "");
Expect(0, 767, '\p{Sentence_Break= -Extend}', "");
Expect(1, 767, '\p{^Sentence_Break= -Extend}', "");
Expect(1, 767, '\P{Sentence_Break= -Extend}', "");
Expect(0, 767, '\P{^Sentence_Break= -Extend}', "");
Error('\p{SB=	ex/a/}');
Error('\P{SB=	ex/a/}');
Expect(1, 879, '\p{SB=ex}', "");
Expect(0, 879, '\p{^SB=ex}', "");
Expect(0, 879, '\P{SB=ex}', "");
Expect(1, 879, '\P{^SB=ex}', "");
Expect(0, 767, '\p{SB=ex}', "");
Expect(1, 767, '\p{^SB=ex}', "");
Expect(1, 767, '\P{SB=ex}', "");
Expect(0, 767, '\P{^SB=ex}', "");
Expect(1, 879, '\p{SB=-	EX}', "");
Expect(0, 879, '\p{^SB=-	EX}', "");
Expect(0, 879, '\P{SB=-	EX}', "");
Expect(1, 879, '\P{^SB=-	EX}', "");
Expect(0, 767, '\p{SB=-	EX}', "");
Expect(1, 767, '\p{^SB=-	EX}', "");
Expect(1, 767, '\P{SB=-	EX}', "");
Expect(0, 767, '\P{^SB=-	EX}', "");
Error('\p{Is_Sentence_Break= /a/Extend}');
Error('\P{Is_Sentence_Break= /a/Extend}');
Expect(1, 879, '\p{Is_Sentence_Break=extend}', "");
Expect(0, 879, '\p{^Is_Sentence_Break=extend}', "");
Expect(0, 879, '\P{Is_Sentence_Break=extend}', "");
Expect(1, 879, '\P{^Is_Sentence_Break=extend}', "");
Expect(0, 767, '\p{Is_Sentence_Break=extend}', "");
Expect(1, 767, '\p{^Is_Sentence_Break=extend}', "");
Expect(1, 767, '\P{Is_Sentence_Break=extend}', "");
Expect(0, 767, '\P{^Is_Sentence_Break=extend}', "");
Expect(1, 879, '\p{Is_Sentence_Break=-Extend}', "");
Expect(0, 879, '\p{^Is_Sentence_Break=-Extend}', "");
Expect(0, 879, '\P{Is_Sentence_Break=-Extend}', "");
Expect(1, 879, '\P{^Is_Sentence_Break=-Extend}', "");
Expect(0, 767, '\p{Is_Sentence_Break=-Extend}', "");
Expect(1, 767, '\p{^Is_Sentence_Break=-Extend}', "");
Expect(1, 767, '\P{Is_Sentence_Break=-Extend}', "");
Expect(0, 767, '\P{^Is_Sentence_Break=-Extend}', "");
Error('\p{Is_SB=__ex:=}');
Error('\P{Is_SB=__ex:=}');
Expect(1, 879, '\p{Is_SB=ex}', "");
Expect(0, 879, '\p{^Is_SB=ex}', "");
Expect(0, 879, '\P{Is_SB=ex}', "");
Expect(1, 879, '\P{^Is_SB=ex}', "");
Expect(0, 767, '\p{Is_SB=ex}', "");
Expect(1, 767, '\p{^Is_SB=ex}', "");
Expect(1, 767, '\P{Is_SB=ex}', "");
Expect(0, 767, '\P{^Is_SB=ex}', "");
Expect(1, 879, '\p{Is_SB=_-EX}', "");
Expect(0, 879, '\p{^Is_SB=_-EX}', "");
Expect(0, 879, '\P{Is_SB=_-EX}', "");
Expect(1, 879, '\P{^Is_SB=_-EX}', "");
Expect(0, 767, '\p{Is_SB=_-EX}', "");
Expect(1, 767, '\p{^Is_SB=_-EX}', "");
Expect(1, 767, '\P{Is_SB=_-EX}', "");
Expect(0, 767, '\P{^Is_SB=_-EX}', "");
Error('\p{Sentence_Break=	:=sterm}');
Error('\P{Sentence_Break=	:=sterm}');
Expect(1, 33, '\p{Sentence_Break=sterm}', "");
Expect(0, 33, '\p{^Sentence_Break=sterm}', "");
Expect(0, 33, '\P{Sentence_Break=sterm}', "");
Expect(1, 33, '\P{^Sentence_Break=sterm}', "");
Expect(0, 32, '\p{Sentence_Break=sterm}', "");
Expect(1, 32, '\p{^Sentence_Break=sterm}', "");
Expect(1, 32, '\P{Sentence_Break=sterm}', "");
Expect(0, 32, '\P{^Sentence_Break=sterm}', "");
Expect(1, 33, '\p{Sentence_Break=	-STerm}', "");
Expect(0, 33, '\p{^Sentence_Break=	-STerm}', "");
Expect(0, 33, '\P{Sentence_Break=	-STerm}', "");
Expect(1, 33, '\P{^Sentence_Break=	-STerm}', "");
Expect(0, 32, '\p{Sentence_Break=	-STerm}', "");
Expect(1, 32, '\p{^Sentence_Break=	-STerm}', "");
Expect(1, 32, '\P{Sentence_Break=	-STerm}', "");
Expect(0, 32, '\P{^Sentence_Break=	-STerm}', "");
Error('\p{SB=-/a/st}');
Error('\P{SB=-/a/st}');
Expect(1, 33, '\p{SB=st}', "");
Expect(0, 33, '\p{^SB=st}', "");
Expect(0, 33, '\P{SB=st}', "");
Expect(1, 33, '\P{^SB=st}', "");
Expect(0, 32, '\p{SB=st}', "");
Expect(1, 32, '\p{^SB=st}', "");
Expect(1, 32, '\P{SB=st}', "");
Expect(0, 32, '\P{^SB=st}', "");
Expect(1, 33, '\p{SB= ST}', "");
Expect(0, 33, '\p{^SB= ST}', "");
Expect(0, 33, '\P{SB= ST}', "");
Expect(1, 33, '\P{^SB= ST}', "");
Expect(0, 32, '\p{SB= ST}', "");
Expect(1, 32, '\p{^SB= ST}', "");
Expect(1, 32, '\P{SB= ST}', "");
Expect(0, 32, '\P{^SB= ST}', "");
Error('\p{Is_Sentence_Break: STerm/a/}');
Error('\P{Is_Sentence_Break: STerm/a/}');
Expect(1, 33, '\p{Is_Sentence_Break=sterm}', "");
Expect(0, 33, '\p{^Is_Sentence_Break=sterm}', "");
Expect(0, 33, '\P{Is_Sentence_Break=sterm}', "");
Expect(1, 33, '\P{^Is_Sentence_Break=sterm}', "");
Expect(0, 32, '\p{Is_Sentence_Break=sterm}', "");
Expect(1, 32, '\p{^Is_Sentence_Break=sterm}', "");
Expect(1, 32, '\P{Is_Sentence_Break=sterm}', "");
Expect(0, 32, '\P{^Is_Sentence_Break=sterm}', "");
Expect(1, 33, '\p{Is_Sentence_Break=		STerm}', "");
Expect(0, 33, '\p{^Is_Sentence_Break=		STerm}', "");
Expect(0, 33, '\P{Is_Sentence_Break=		STerm}', "");
Expect(1, 33, '\P{^Is_Sentence_Break=		STerm}', "");
Expect(0, 32, '\p{Is_Sentence_Break=		STerm}', "");
Expect(1, 32, '\p{^Is_Sentence_Break=		STerm}', "");
Expect(1, 32, '\P{Is_Sentence_Break=		STerm}', "");
Expect(0, 32, '\P{^Is_Sentence_Break=		STerm}', "");
Error('\p{Is_SB=	:=ST}');
Error('\P{Is_SB=	:=ST}');
Expect(1, 33, '\p{Is_SB=st}', "");
Expect(0, 33, '\p{^Is_SB=st}', "");
Expect(0, 33, '\P{Is_SB=st}', "");
Expect(1, 33, '\P{^Is_SB=st}', "");
Expect(0, 32, '\p{Is_SB=st}', "");
Expect(1, 32, '\p{^Is_SB=st}', "");
Expect(1, 32, '\P{Is_SB=st}', "");
Expect(0, 32, '\P{^Is_SB=st}', "");
Expect(1, 33, '\p{Is_SB=__ST}', "");
Expect(0, 33, '\p{^Is_SB=__ST}', "");
Expect(0, 33, '\P{Is_SB=__ST}', "");
Expect(1, 33, '\P{^Is_SB=__ST}', "");
Expect(0, 32, '\p{Is_SB=__ST}', "");
Expect(1, 32, '\p{^Is_SB=__ST}', "");
Expect(1, 32, '\P{Is_SB=__ST}', "");
Expect(0, 32, '\P{^Is_SB=__ST}', "");
Error('\p{Sentence_Break= /a/LF}');
Error('\P{Sentence_Break= /a/LF}');
Expect(1, 10, '\p{Sentence_Break=lf}', "");
Expect(0, 10, '\p{^Sentence_Break=lf}', "");
Expect(0, 10, '\P{Sentence_Break=lf}', "");
Expect(1, 10, '\P{^Sentence_Break=lf}', "");
Expect(0, 9, '\p{Sentence_Break=lf}', "");
Expect(1, 9, '\p{^Sentence_Break=lf}', "");
Expect(1, 9, '\P{Sentence_Break=lf}', "");
Expect(0, 9, '\P{^Sentence_Break=lf}', "");
Expect(1, 10, '\p{Sentence_Break=_ lf}', "");
Expect(0, 10, '\p{^Sentence_Break=_ lf}', "");
Expect(0, 10, '\P{Sentence_Break=_ lf}', "");
Expect(1, 10, '\P{^Sentence_Break=_ lf}', "");
Expect(0, 9, '\p{Sentence_Break=_ lf}', "");
Expect(1, 9, '\p{^Sentence_Break=_ lf}', "");
Expect(1, 9, '\P{Sentence_Break=_ lf}', "");
Expect(0, 9, '\P{^Sentence_Break=_ lf}', "");
Error('\p{SB=	:=LF}');
Error('\P{SB=	:=LF}');
Expect(1, 10, '\p{SB=lf}', "");
Expect(0, 10, '\p{^SB=lf}', "");
Expect(0, 10, '\P{SB=lf}', "");
Expect(1, 10, '\P{^SB=lf}', "");
Expect(0, 9, '\p{SB=lf}', "");
Expect(1, 9, '\p{^SB=lf}', "");
Expect(1, 9, '\P{SB=lf}', "");
Expect(0, 9, '\P{^SB=lf}', "");
Expect(1, 10, '\p{SB=-	lf}', "");
Expect(0, 10, '\p{^SB=-	lf}', "");
Expect(0, 10, '\P{SB=-	lf}', "");
Expect(1, 10, '\P{^SB=-	lf}', "");
Expect(0, 9, '\p{SB=-	lf}', "");
Expect(1, 9, '\p{^SB=-	lf}', "");
Expect(1, 9, '\P{SB=-	lf}', "");
Expect(0, 9, '\P{^SB=-	lf}', "");
Error('\p{Is_Sentence_Break=/a/_lf}');
Error('\P{Is_Sentence_Break=/a/_lf}');
Expect(1, 10, '\p{Is_Sentence_Break=lf}', "");
Expect(0, 10, '\p{^Is_Sentence_Break=lf}', "");
Expect(0, 10, '\P{Is_Sentence_Break=lf}', "");
Expect(1, 10, '\P{^Is_Sentence_Break=lf}', "");
Expect(0, 9, '\p{Is_Sentence_Break=lf}', "");
Expect(1, 9, '\p{^Is_Sentence_Break=lf}', "");
Expect(1, 9, '\P{Is_Sentence_Break=lf}', "");
Expect(0, 9, '\P{^Is_Sentence_Break=lf}', "");
Expect(1, 10, '\p{Is_Sentence_Break:	--LF}', "");
Expect(0, 10, '\p{^Is_Sentence_Break:	--LF}', "");
Expect(0, 10, '\P{Is_Sentence_Break:	--LF}', "");
Expect(1, 10, '\P{^Is_Sentence_Break:	--LF}', "");
Expect(0, 9, '\p{Is_Sentence_Break:	--LF}', "");
Expect(1, 9, '\p{^Is_Sentence_Break:	--LF}', "");
Expect(1, 9, '\P{Is_Sentence_Break:	--LF}', "");
Expect(0, 9, '\P{^Is_Sentence_Break:	--LF}', "");
Error('\p{Is_SB=:=lf}');
Error('\P{Is_SB=:=lf}');
Expect(1, 10, '\p{Is_SB=lf}', "");
Expect(0, 10, '\p{^Is_SB=lf}', "");
Expect(0, 10, '\P{Is_SB=lf}', "");
Expect(1, 10, '\P{^Is_SB=lf}', "");
Expect(0, 9, '\p{Is_SB=lf}', "");
Expect(1, 9, '\p{^Is_SB=lf}', "");
Expect(1, 9, '\P{Is_SB=lf}', "");
Expect(0, 9, '\P{^Is_SB=lf}', "");
Expect(1, 10, '\p{Is_SB:	_LF}', "");
Expect(0, 10, '\p{^Is_SB:	_LF}', "");
Expect(0, 10, '\P{Is_SB:	_LF}', "");
Expect(1, 10, '\P{^Is_SB:	_LF}', "");
Expect(0, 9, '\p{Is_SB:	_LF}', "");
Expect(1, 9, '\p{^Is_SB:	_LF}', "");
Expect(1, 9, '\P{Is_SB:	_LF}', "");
Expect(0, 9, '\P{^Is_SB:	_LF}', "");
Error('\p{Sentence_Break=_Close/a/}');
Error('\P{Sentence_Break=_Close/a/}');
Expect(1, 34, '\p{Sentence_Break=close}', "");
Expect(0, 34, '\p{^Sentence_Break=close}', "");
Expect(0, 34, '\P{Sentence_Break=close}', "");
Expect(1, 34, '\P{^Sentence_Break=close}', "");
Expect(0, 33, '\p{Sentence_Break=close}', "");
Expect(1, 33, '\p{^Sentence_Break=close}', "");
Expect(1, 33, '\P{Sentence_Break=close}', "");
Expect(0, 33, '\P{^Sentence_Break=close}', "");
Expect(1, 34, '\p{Sentence_Break=_ Close}', "");
Expect(0, 34, '\p{^Sentence_Break=_ Close}', "");
Expect(0, 34, '\P{Sentence_Break=_ Close}', "");
Expect(1, 34, '\P{^Sentence_Break=_ Close}', "");
Expect(0, 33, '\p{Sentence_Break=_ Close}', "");
Expect(1, 33, '\p{^Sentence_Break=_ Close}', "");
Expect(1, 33, '\P{Sentence_Break=_ Close}', "");
Expect(0, 33, '\P{^Sentence_Break=_ Close}', "");
Error('\p{SB= /a/CL}');
Error('\P{SB= /a/CL}');
Expect(1, 34, '\p{SB=cl}', "");
Expect(0, 34, '\p{^SB=cl}', "");
Expect(0, 34, '\P{SB=cl}', "");
Expect(1, 34, '\P{^SB=cl}', "");
Expect(0, 33, '\p{SB=cl}', "");
Expect(1, 33, '\p{^SB=cl}', "");
Expect(1, 33, '\P{SB=cl}', "");
Expect(0, 33, '\P{^SB=cl}', "");
Expect(1, 34, '\p{SB=	cl}', "");
Expect(0, 34, '\p{^SB=	cl}', "");
Expect(0, 34, '\P{SB=	cl}', "");
Expect(1, 34, '\P{^SB=	cl}', "");
Expect(0, 33, '\p{SB=	cl}', "");
Expect(1, 33, '\p{^SB=	cl}', "");
Expect(1, 33, '\P{SB=	cl}', "");
Expect(0, 33, '\P{^SB=	cl}', "");
Error('\p{Is_Sentence_Break= /a/Close}');
Error('\P{Is_Sentence_Break= /a/Close}');
Expect(1, 34, '\p{Is_Sentence_Break=close}', "");
Expect(0, 34, '\p{^Is_Sentence_Break=close}', "");
Expect(0, 34, '\P{Is_Sentence_Break=close}', "");
Expect(1, 34, '\P{^Is_Sentence_Break=close}', "");
Expect(0, 33, '\p{Is_Sentence_Break=close}', "");
Expect(1, 33, '\p{^Is_Sentence_Break=close}', "");
Expect(1, 33, '\P{Is_Sentence_Break=close}', "");
Expect(0, 33, '\P{^Is_Sentence_Break=close}', "");
Expect(1, 34, '\p{Is_Sentence_Break: - Close}', "");
Expect(0, 34, '\p{^Is_Sentence_Break: - Close}', "");
Expect(0, 34, '\P{Is_Sentence_Break: - Close}', "");
Expect(1, 34, '\P{^Is_Sentence_Break: - Close}', "");
Expect(0, 33, '\p{Is_Sentence_Break: - Close}', "");
Expect(1, 33, '\p{^Is_Sentence_Break: - Close}', "");
Expect(1, 33, '\P{Is_Sentence_Break: - Close}', "");
Expect(0, 33, '\P{^Is_Sentence_Break: - Close}', "");
Error('\p{Is_SB=:=--CL}');
Error('\P{Is_SB=:=--CL}');
Expect(1, 34, '\p{Is_SB=cl}', "");
Expect(0, 34, '\p{^Is_SB=cl}', "");
Expect(0, 34, '\P{Is_SB=cl}', "");
Expect(1, 34, '\P{^Is_SB=cl}', "");
Expect(0, 33, '\p{Is_SB=cl}', "");
Expect(1, 33, '\p{^Is_SB=cl}', "");
Expect(1, 33, '\P{Is_SB=cl}', "");
Expect(0, 33, '\P{^Is_SB=cl}', "");
Expect(1, 34, '\p{Is_SB=_CL}', "");
Expect(0, 34, '\p{^Is_SB=_CL}', "");
Expect(0, 34, '\P{Is_SB=_CL}', "");
Expect(1, 34, '\P{^Is_SB=_CL}', "");
Expect(0, 33, '\p{Is_SB=_CL}', "");
Expect(1, 33, '\p{^Is_SB=_CL}', "");
Expect(1, 33, '\P{Is_SB=_CL}', "");
Expect(0, 33, '\P{^Is_SB=_CL}', "");
Error('\p{Alphabetic:	 yes/a/}');
Error('\P{Alphabetic:	 yes/a/}');
Expect(1, 90, '\p{Alphabetic=yes}', "");
Expect(0, 90, '\p{^Alphabetic=yes}', "");
Expect(0, 90, '\P{Alphabetic=yes}', "");
Expect(1, 90, '\P{^Alphabetic=yes}', "");
Expect(0, 64, '\p{Alphabetic=yes}', "");
Expect(1, 64, '\p{^Alphabetic=yes}', "");
Expect(1, 64, '\P{Alphabetic=yes}', "");
Expect(0, 64, '\P{^Alphabetic=yes}', "");
Expect(1, 90, '\p{Alphabetic= -YES}', "");
Expect(0, 90, '\p{^Alphabetic= -YES}', "");
Expect(0, 90, '\P{Alphabetic= -YES}', "");
Expect(1, 90, '\P{^Alphabetic= -YES}', "");
Expect(0, 64, '\p{Alphabetic= -YES}', "");
Expect(1, 64, '\p{^Alphabetic= -YES}', "");
Expect(1, 64, '\P{Alphabetic= -YES}', "");
Expect(0, 64, '\P{^Alphabetic= -YES}', "");
Error('\p{Alpha=:=--y}');
Error('\P{Alpha=:=--y}');
Expect(1, 90, '\p{Alpha=y}', "");
Expect(0, 90, '\p{^Alpha=y}', "");
Expect(0, 90, '\P{Alpha=y}', "");
Expect(1, 90, '\P{^Alpha=y}', "");
Expect(0, 64, '\p{Alpha=y}', "");
Expect(1, 64, '\p{^Alpha=y}', "");
Expect(1, 64, '\P{Alpha=y}', "");
Expect(0, 64, '\P{^Alpha=y}', "");
Expect(1, 90, '\p{Alpha=-Y}', "");
Expect(0, 90, '\p{^Alpha=-Y}', "");
Expect(0, 90, '\P{Alpha=-Y}', "");
Expect(1, 90, '\P{^Alpha=-Y}', "");
Expect(0, 64, '\p{Alpha=-Y}', "");
Expect(1, 64, '\p{^Alpha=-Y}', "");
Expect(1, 64, '\P{Alpha=-Y}', "");
Expect(0, 64, '\P{^Alpha=-Y}', "");
Error('\p{Is_Alphabetic=-:=t}');
Error('\P{Is_Alphabetic=-:=t}');
Expect(1, 90, '\p{Is_Alphabetic=t}', "");
Expect(0, 90, '\p{^Is_Alphabetic=t}', "");
Expect(0, 90, '\P{Is_Alphabetic=t}', "");
Expect(1, 90, '\P{^Is_Alphabetic=t}', "");
Expect(0, 64, '\p{Is_Alphabetic=t}', "");
Expect(1, 64, '\p{^Is_Alphabetic=t}', "");
Expect(1, 64, '\P{Is_Alphabetic=t}', "");
Expect(0, 64, '\P{^Is_Alphabetic=t}', "");
Expect(1, 90, '\p{Is_Alphabetic= T}', "");
Expect(0, 90, '\p{^Is_Alphabetic= T}', "");
Expect(0, 90, '\P{Is_Alphabetic= T}', "");
Expect(1, 90, '\P{^Is_Alphabetic= T}', "");
Expect(0, 64, '\p{Is_Alphabetic= T}', "");
Expect(1, 64, '\p{^Is_Alphabetic= T}', "");
Expect(1, 64, '\P{Is_Alphabetic= T}', "");
Expect(0, 64, '\P{^Is_Alphabetic= T}', "");
Error('\p{Is_Alpha=/a/--True}');
Error('\P{Is_Alpha=/a/--True}');
Expect(1, 90, '\p{Is_Alpha=true}', "");
Expect(0, 90, '\p{^Is_Alpha=true}', "");
Expect(0, 90, '\P{Is_Alpha=true}', "");
Expect(1, 90, '\P{^Is_Alpha=true}', "");
Expect(0, 64, '\p{Is_Alpha=true}', "");
Expect(1, 64, '\p{^Is_Alpha=true}', "");
Expect(1, 64, '\P{Is_Alpha=true}', "");
Expect(0, 64, '\P{^Is_Alpha=true}', "");
Expect(1, 90, '\p{Is_Alpha=-true}', "");
Expect(0, 90, '\p{^Is_Alpha=-true}', "");
Expect(0, 90, '\P{Is_Alpha=-true}', "");
Expect(1, 90, '\P{^Is_Alpha=-true}', "");
Expect(0, 64, '\p{Is_Alpha=-true}', "");
Expect(1, 64, '\p{^Is_Alpha=-true}', "");
Expect(1, 64, '\P{Is_Alpha=-true}', "");
Expect(0, 64, '\P{^Is_Alpha=-true}', "");
Error('\p{Alphabetic:_no/a/}');
Error('\P{Alphabetic:_no/a/}');
Expect(1, 64, '\p{Alphabetic=no}', "");
Expect(0, 64, '\p{^Alphabetic=no}', "");
Expect(0, 64, '\P{Alphabetic=no}', "");
Expect(1, 64, '\P{^Alphabetic=no}', "");
Expect(0, 90, '\p{Alphabetic=no}', "");
Expect(1, 90, '\p{^Alphabetic=no}', "");
Expect(1, 90, '\P{Alphabetic=no}', "");
Expect(0, 90, '\P{^Alphabetic=no}', "");
Expect(1, 64, '\p{Alphabetic=_ no}', "");
Expect(0, 64, '\p{^Alphabetic=_ no}', "");
Expect(0, 64, '\P{Alphabetic=_ no}', "");
Expect(1, 64, '\P{^Alphabetic=_ no}', "");
Expect(0, 90, '\p{Alphabetic=_ no}', "");
Expect(1, 90, '\p{^Alphabetic=_ no}', "");
Expect(1, 90, '\P{Alphabetic=_ no}', "");
Expect(0, 90, '\P{^Alphabetic=_ no}', "");
Error('\p{Alpha:/a/N}');
Error('\P{Alpha:/a/N}');
Expect(1, 64, '\p{Alpha=n}', "");
Expect(0, 64, '\p{^Alpha=n}', "");
Expect(0, 64, '\P{Alpha=n}', "");
Expect(1, 64, '\P{^Alpha=n}', "");
Expect(0, 90, '\p{Alpha=n}', "");
Expect(1, 90, '\p{^Alpha=n}', "");
Expect(1, 90, '\P{Alpha=n}', "");
Expect(0, 90, '\P{^Alpha=n}', "");
Expect(1, 64, '\p{Alpha=_N}', "");
Expect(0, 64, '\p{^Alpha=_N}', "");
Expect(0, 64, '\P{Alpha=_N}', "");
Expect(1, 64, '\P{^Alpha=_N}', "");
Expect(0, 90, '\p{Alpha=_N}', "");
Expect(1, 90, '\p{^Alpha=_N}', "");
Expect(1, 90, '\P{Alpha=_N}', "");
Expect(0, 90, '\P{^Alpha=_N}', "");
Error('\p{Is_Alphabetic= /a/F}');
Error('\P{Is_Alphabetic= /a/F}');
Expect(1, 64, '\p{Is_Alphabetic=f}', "");
Expect(0, 64, '\p{^Is_Alphabetic=f}', "");
Expect(0, 64, '\P{Is_Alphabetic=f}', "");
Expect(1, 64, '\P{^Is_Alphabetic=f}', "");
Expect(0, 90, '\p{Is_Alphabetic=f}', "");
Expect(1, 90, '\p{^Is_Alphabetic=f}', "");
Expect(1, 90, '\P{Is_Alphabetic=f}', "");
Expect(0, 90, '\P{^Is_Alphabetic=f}', "");
Expect(1, 64, '\p{Is_Alphabetic:-f}', "");
Expect(0, 64, '\p{^Is_Alphabetic:-f}', "");
Expect(0, 64, '\P{Is_Alphabetic:-f}', "");
Expect(1, 64, '\P{^Is_Alphabetic:-f}', "");
Expect(0, 90, '\p{Is_Alphabetic:-f}', "");
Expect(1, 90, '\p{^Is_Alphabetic:-f}', "");
Expect(1, 90, '\P{Is_Alphabetic:-f}', "");
Expect(0, 90, '\P{^Is_Alphabetic:-f}', "");
Error('\p{Is_Alpha=-:=FALSE}');
Error('\P{Is_Alpha=-:=FALSE}');
Expect(1, 64, '\p{Is_Alpha=false}', "");
Expect(0, 64, '\p{^Is_Alpha=false}', "");
Expect(0, 64, '\P{Is_Alpha=false}', "");
Expect(1, 64, '\P{^Is_Alpha=false}', "");
Expect(0, 90, '\p{Is_Alpha=false}', "");
Expect(1, 90, '\p{^Is_Alpha=false}', "");
Expect(1, 90, '\P{Is_Alpha=false}', "");
Expect(0, 90, '\P{^Is_Alpha=false}', "");
Expect(1, 64, '\p{Is_Alpha:	 _FALSE}', "");
Expect(0, 64, '\p{^Is_Alpha:	 _FALSE}', "");
Expect(0, 64, '\P{Is_Alpha:	 _FALSE}', "");
Expect(1, 64, '\P{^Is_Alpha:	 _FALSE}', "");
Expect(0, 90, '\p{Is_Alpha:	 _FALSE}', "");
Expect(1, 90, '\p{^Is_Alpha:	 _FALSE}', "");
Expect(1, 90, '\P{Is_Alpha:	 _FALSE}', "");
Expect(0, 90, '\P{^Is_Alpha:	 _FALSE}', "");
Error('\p{Hex_Digit= _yes/a/}');
Error('\P{Hex_Digit= _yes/a/}');
Expect(1, 57, '\p{Hex_Digit=yes}', "");
Expect(0, 57, '\p{^Hex_Digit=yes}', "");
Expect(0, 57, '\P{Hex_Digit=yes}', "");
Expect(1, 57, '\P{^Hex_Digit=yes}', "");
Expect(0, 47, '\p{Hex_Digit=yes}', "");
Expect(1, 47, '\p{^Hex_Digit=yes}', "");
Expect(1, 47, '\P{Hex_Digit=yes}', "");
Expect(0, 47, '\P{^Hex_Digit=yes}', "");
Expect(1, 57, '\p{Hex_Digit= YES}', "");
Expect(0, 57, '\p{^Hex_Digit= YES}', "");
Expect(0, 57, '\P{Hex_Digit= YES}', "");
Expect(1, 57, '\P{^Hex_Digit= YES}', "");
Expect(0, 47, '\p{Hex_Digit= YES}', "");
Expect(1, 47, '\p{^Hex_Digit= YES}', "");
Expect(1, 47, '\P{Hex_Digit= YES}', "");
Expect(0, 47, '\P{^Hex_Digit= YES}', "");
Error('\p{Hex=--Y:=}');
Error('\P{Hex=--Y:=}');
Expect(1, 57, '\p{Hex=y}', "");
Expect(0, 57, '\p{^Hex=y}', "");
Expect(0, 57, '\P{Hex=y}', "");
Expect(1, 57, '\P{^Hex=y}', "");
Expect(0, 47, '\p{Hex=y}', "");
Expect(1, 47, '\p{^Hex=y}', "");
Expect(1, 47, '\P{Hex=y}', "");
Expect(0, 47, '\P{^Hex=y}', "");
Expect(1, 57, '\p{Hex=_	Y}', "");
Expect(0, 57, '\p{^Hex=_	Y}', "");
Expect(0, 57, '\P{Hex=_	Y}', "");
Expect(1, 57, '\P{^Hex=_	Y}', "");
Expect(0, 47, '\p{Hex=_	Y}', "");
Expect(1, 47, '\p{^Hex=_	Y}', "");
Expect(1, 47, '\P{Hex=_	Y}', "");
Expect(0, 47, '\P{^Hex=_	Y}', "");
Error('\p{Is_Hex_Digit=:=T}');
Error('\P{Is_Hex_Digit=:=T}');
Expect(1, 57, '\p{Is_Hex_Digit=t}', "");
Expect(0, 57, '\p{^Is_Hex_Digit=t}', "");
Expect(0, 57, '\P{Is_Hex_Digit=t}', "");
Expect(1, 57, '\P{^Is_Hex_Digit=t}', "");
Expect(0, 47, '\p{Is_Hex_Digit=t}', "");
Expect(1, 47, '\p{^Is_Hex_Digit=t}', "");
Expect(1, 47, '\P{Is_Hex_Digit=t}', "");
Expect(0, 47, '\P{^Is_Hex_Digit=t}', "");
Expect(1, 57, '\p{Is_Hex_Digit:  	T}', "");
Expect(0, 57, '\p{^Is_Hex_Digit:  	T}', "");
Expect(0, 57, '\P{Is_Hex_Digit:  	T}', "");
Expect(1, 57, '\P{^Is_Hex_Digit:  	T}', "");
Expect(0, 47, '\p{Is_Hex_Digit:  	T}', "");
Expect(1, 47, '\p{^Is_Hex_Digit:  	T}', "");
Expect(1, 47, '\P{Is_Hex_Digit:  	T}', "");
Expect(0, 47, '\P{^Is_Hex_Digit:  	T}', "");
Error('\p{Is_Hex= :=true}');
Error('\P{Is_Hex= :=true}');
Expect(1, 57, '\p{Is_Hex=true}', "");
Expect(0, 57, '\p{^Is_Hex=true}', "");
Expect(0, 57, '\P{Is_Hex=true}', "");
Expect(1, 57, '\P{^Is_Hex=true}', "");
Expect(0, 47, '\p{Is_Hex=true}', "");
Expect(1, 47, '\p{^Is_Hex=true}', "");
Expect(1, 47, '\P{Is_Hex=true}', "");
Expect(0, 47, '\P{^Is_Hex=true}', "");
Expect(1, 57, '\p{Is_Hex=  True}', "");
Expect(0, 57, '\p{^Is_Hex=  True}', "");
Expect(0, 57, '\P{Is_Hex=  True}', "");
Expect(1, 57, '\P{^Is_Hex=  True}', "");
Expect(0, 47, '\p{Is_Hex=  True}', "");
Expect(1, 47, '\p{^Is_Hex=  True}', "");
Expect(1, 47, '\P{Is_Hex=  True}', "");
Expect(0, 47, '\P{^Is_Hex=  True}', "");
Error('\p{Hex_Digit=/a/_NO}');
Error('\P{Hex_Digit=/a/_NO}');
Expect(1, 47, '\p{Hex_Digit=no}', "");
Expect(0, 47, '\p{^Hex_Digit=no}', "");
Expect(0, 47, '\P{Hex_Digit=no}', "");
Expect(1, 47, '\P{^Hex_Digit=no}', "");
Expect(0, 57, '\p{Hex_Digit=no}', "");
Expect(1, 57, '\p{^Hex_Digit=no}', "");
Expect(1, 57, '\P{Hex_Digit=no}', "");
Expect(0, 57, '\P{^Hex_Digit=no}', "");
Expect(1, 47, '\p{Hex_Digit=__no}', "");
Expect(0, 47, '\p{^Hex_Digit=__no}', "");
Expect(0, 47, '\P{Hex_Digit=__no}', "");
Expect(1, 47, '\P{^Hex_Digit=__no}', "");
Expect(0, 57, '\p{Hex_Digit=__no}', "");
Expect(1, 57, '\p{^Hex_Digit=__no}', "");
Expect(1, 57, '\P{Hex_Digit=__no}', "");
Expect(0, 57, '\P{^Hex_Digit=__no}', "");
Error('\p{Hex=/a/N}');
Error('\P{Hex=/a/N}');
Expect(1, 47, '\p{Hex=n}', "");
Expect(0, 47, '\p{^Hex=n}', "");
Expect(0, 47, '\P{Hex=n}', "");
Expect(1, 47, '\P{^Hex=n}', "");
Expect(0, 57, '\p{Hex=n}', "");
Expect(1, 57, '\p{^Hex=n}', "");
Expect(1, 57, '\P{Hex=n}', "");
Expect(0, 57, '\P{^Hex=n}', "");
Expect(1, 47, '\p{Hex:	- n}', "");
Expect(0, 47, '\p{^Hex:	- n}', "");
Expect(0, 47, '\P{Hex:	- n}', "");
Expect(1, 47, '\P{^Hex:	- n}', "");
Expect(0, 57, '\p{Hex:	- n}', "");
Expect(1, 57, '\p{^Hex:	- n}', "");
Expect(1, 57, '\P{Hex:	- n}', "");
Expect(0, 57, '\P{^Hex:	- n}', "");
Error('\p{Is_Hex_Digit=	 F/a/}');
Error('\P{Is_Hex_Digit=	 F/a/}');
Expect(1, 47, '\p{Is_Hex_Digit: f}', "");
Expect(0, 47, '\p{^Is_Hex_Digit: f}', "");
Expect(0, 47, '\P{Is_Hex_Digit: f}', "");
Expect(1, 47, '\P{^Is_Hex_Digit: f}', "");
Expect(0, 57, '\p{Is_Hex_Digit: f}', "");
Expect(1, 57, '\p{^Is_Hex_Digit: f}', "");
Expect(1, 57, '\P{Is_Hex_Digit: f}', "");
Expect(0, 57, '\P{^Is_Hex_Digit: f}', "");
Expect(1, 47, '\p{Is_Hex_Digit=_-F}', "");
Expect(0, 47, '\p{^Is_Hex_Digit=_-F}', "");
Expect(0, 47, '\P{Is_Hex_Digit=_-F}', "");
Expect(1, 47, '\P{^Is_Hex_Digit=_-F}', "");
Expect(0, 57, '\p{Is_Hex_Digit=_-F}', "");
Expect(1, 57, '\p{^Is_Hex_Digit=_-F}', "");
Expect(1, 57, '\P{Is_Hex_Digit=_-F}', "");
Expect(0, 57, '\P{^Is_Hex_Digit=_-F}', "");
Error('\p{Is_Hex:	/a/False}');
Error('\P{Is_Hex:	/a/False}');
Expect(1, 47, '\p{Is_Hex=false}', "");
Expect(0, 47, '\p{^Is_Hex=false}', "");
Expect(0, 47, '\P{Is_Hex=false}', "");
Expect(1, 47, '\P{^Is_Hex=false}', "");
Expect(0, 57, '\p{Is_Hex=false}', "");
Expect(1, 57, '\p{^Is_Hex=false}', "");
Expect(1, 57, '\P{Is_Hex=false}', "");
Expect(0, 57, '\P{^Is_Hex=false}', "");
Expect(1, 47, '\p{Is_Hex= _false}', "");
Expect(0, 47, '\p{^Is_Hex= _false}', "");
Expect(0, 47, '\P{Is_Hex= _false}', "");
Expect(1, 47, '\P{^Is_Hex= _false}', "");
Expect(0, 57, '\p{Is_Hex= _false}', "");
Expect(1, 57, '\p{^Is_Hex= _false}', "");
Expect(1, 57, '\P{Is_Hex= _false}', "");
Expect(0, 57, '\P{^Is_Hex= _false}', "");
Error('\p{Canonical_Combining_Class=/a/	-00000032}');
Error('\P{Canonical_Combining_Class=/a/	-00000032}');
Expect(1, 1562, '\p{Canonical_Combining_Class=00_00_00_03_2}', "");
Expect(0, 1562, '\p{^Canonical_Combining_Class=00_00_00_03_2}', "");
Expect(0, 1562, '\P{Canonical_Combining_Class=00_00_00_03_2}', "");
Expect(1, 1562, '\P{^Canonical_Combining_Class=00_00_00_03_2}', "");
Expect(0, 1561, '\p{Canonical_Combining_Class=00_00_00_03_2}', "");
Expect(1, 1561, '\p{^Canonical_Combining_Class=00_00_00_03_2}', "");
Expect(1, 1561, '\P{Canonical_Combining_Class=00_00_00_03_2}', "");
Expect(0, 1561, '\P{^Canonical_Combining_Class=00_00_00_03_2}', "");
Error('\p{Ccc=/a/000000003-2}');
Error('\P{Ccc=/a/000000003-2}');
Expect(1, 1562, '\p{Ccc=0000000032}', "");
Expect(0, 1562, '\p{^Ccc=0000000032}', "");
Expect(0, 1562, '\P{Ccc=0000000032}', "");
Expect(1, 1562, '\P{^Ccc=0000000032}', "");
Expect(0, 1561, '\p{Ccc=0000000032}', "");
Expect(1, 1561, '\p{^Ccc=0000000032}', "");
Expect(1, 1561, '\P{Ccc=0000000032}', "");
Expect(0, 1561, '\P{^Ccc=0000000032}', "");
Error('\p{Is_Canonical_Combining_Class=  0/a/0032}');
Error('\P{Is_Canonical_Combining_Class=  0/a/0032}');
Expect(1, 1562, '\p{Is_Canonical_Combining_Class=0_0_0_032}', "");
Expect(0, 1562, '\p{^Is_Canonical_Combining_Class=0_0_0_032}', "");
Expect(0, 1562, '\P{Is_Canonical_Combining_Class=0_0_0_032}', "");
Expect(1, 1562, '\P{^Is_Canonical_Combining_Class=0_0_0_032}', "");
Expect(0, 1561, '\p{Is_Canonical_Combining_Class=0_0_0_032}', "");
Expect(1, 1561, '\p{^Is_Canonical_Combining_Class=0_0_0_032}', "");
Expect(1, 1561, '\P{Is_Canonical_Combining_Class=0_0_0_032}', "");
Expect(0, 1561, '\P{^Is_Canonical_Combining_Class=0_0_0_032}', "");
Error('\p{Is_Ccc= :=0000032}');
Error('\P{Is_Ccc= :=0000032}');
Expect(1, 1562, '\p{Is_Ccc=+0_0_0_0_032}', "");
Expect(0, 1562, '\p{^Is_Ccc=+0_0_0_0_032}', "");
Expect(0, 1562, '\P{Is_Ccc=+0_0_0_0_032}', "");
Expect(1, 1562, '\P{^Is_Ccc=+0_0_0_0_032}', "");
Expect(0, 1561, '\p{Is_Ccc=+0_0_0_0_032}', "");
Expect(1, 1561, '\p{^Is_Ccc=+0_0_0_0_032}', "");
Expect(1, 1561, '\P{Is_Ccc=+0_0_0_0_032}', "");
Expect(0, 1561, '\P{^Is_Ccc=+0_0_0_0_032}', "");
Error('\p{Canonical_Combining_Class=	+0000:=11	8}');
Error('\P{Canonical_Combining_Class=	+0000:=11	8}');
Expect(1, 3769, '\p{Canonical_Combining_Class=011_8}', "");
Expect(0, 3769, '\p{^Canonical_Combining_Class=011_8}', "");
Expect(0, 3769, '\P{Canonical_Combining_Class=011_8}', "");
Expect(1, 3769, '\P{^Canonical_Combining_Class=011_8}', "");
Expect(0, 3767, '\p{Canonical_Combining_Class=011_8}', "");
Expect(1, 3767, '\p{^Canonical_Combining_Class=011_8}', "");
Expect(1, 3767, '\P{Canonical_Combining_Class=011_8}', "");
Expect(0, 3767, '\P{^Canonical_Combining_Class=011_8}', "");
Error('\p{Ccc= 	0	0	0/a/01	18}');
Error('\P{Ccc= 	0	0	0/a/01	18}');
Expect(1, 3769, '\p{Ccc=0000118}', "");
Expect(0, 3769, '\p{^Ccc=0000118}', "");
Expect(0, 3769, '\P{Ccc=0000118}', "");
Expect(1, 3769, '\P{^Ccc=0000118}', "");
Expect(0, 3767, '\p{Ccc=0000118}', "");
Expect(1, 3767, '\p{^Ccc=0000118}', "");
Expect(1, 3767, '\P{Ccc=0000118}', "");
Expect(0, 3767, '\P{^Ccc=0000118}', "");
Error('\p{Is_Canonical_Combining_Class= /a/0118}');
Error('\P{Is_Canonical_Combining_Class= /a/0118}');
Expect(1, 3769, '\p{Is_Canonical_Combining_Class=000000000118}', "");
Expect(0, 3769, '\p{^Is_Canonical_Combining_Class=000000000118}', "");
Expect(0, 3769, '\P{Is_Canonical_Combining_Class=000000000118}', "");
Expect(1, 3769, '\P{^Is_Canonical_Combining_Class=000000000118}', "");
Expect(0, 3767, '\p{Is_Canonical_Combining_Class=000000000118}', "");
Expect(1, 3767, '\p{^Is_Canonical_Combining_Class=000000000118}', "");
Expect(1, 3767, '\P{Is_Canonical_Combining_Class=000000000118}', "");
Expect(0, 3767, '\P{^Is_Canonical_Combining_Class=000000000118}', "");
Error('\p{Is_Ccc:	:= +118}');
Error('\P{Is_Ccc:	:= +118}');
Expect(1, 3769, '\p{Is_Ccc=+00_11_8}', "");
Expect(0, 3769, '\p{^Is_Ccc=+00_11_8}', "");
Expect(0, 3769, '\P{Is_Ccc=+00_11_8}', "");
Expect(1, 3769, '\P{^Is_Ccc=+00_11_8}', "");
Expect(0, 3767, '\p{Is_Ccc=+00_11_8}', "");
Expect(1, 3767, '\p{^Is_Ccc=+00_11_8}', "");
Expect(1, 3767, '\P{Is_Ccc=+00_11_8}', "");
Expect(0, 3767, '\P{^Is_Ccc=+00_11_8}', "");
Error('\p{Canonical_Combining_Class=-:=double_above}');
Error('\P{Canonical_Combining_Class=-:=double_above}');
Expect(1, 862, '\p{Canonical_Combining_Class=doubleabove}', "");
Expect(0, 862, '\p{^Canonical_Combining_Class=doubleabove}', "");
Expect(0, 862, '\P{Canonical_Combining_Class=doubleabove}', "");
Expect(1, 862, '\P{^Canonical_Combining_Class=doubleabove}', "");
Expect(0, 860, '\p{Canonical_Combining_Class=doubleabove}', "");
Expect(1, 860, '\p{^Canonical_Combining_Class=doubleabove}', "");
Expect(1, 860, '\P{Canonical_Combining_Class=doubleabove}', "");
Expect(0, 860, '\P{^Canonical_Combining_Class=doubleabove}', "");
Expect(1, 862, '\p{Canonical_Combining_Class=-double above}', "");
Expect(0, 862, '\p{^Canonical_Combining_Class=-double above}', "");
Expect(0, 862, '\P{Canonical_Combining_Class=-double above}', "");
Expect(1, 862, '\P{^Canonical_Combining_Class=-double above}', "");
Expect(0, 860, '\p{Canonical_Combining_Class=-double above}', "");
Expect(1, 860, '\p{^Canonical_Combining_Class=-double above}', "");
Expect(1, 860, '\P{Canonical_Combining_Class=-double above}', "");
Expect(0, 860, '\P{^Canonical_Combining_Class=-double above}', "");
Error('\p{Ccc=_/a/DA}');
Error('\P{Ccc=_/a/DA}');
Expect(1, 862, '\p{Ccc=da}', "");
Expect(0, 862, '\p{^Ccc=da}', "");
Expect(0, 862, '\P{Ccc=da}', "");
Expect(1, 862, '\P{^Ccc=da}', "");
Expect(0, 860, '\p{Ccc=da}', "");
Expect(1, 860, '\p{^Ccc=da}', "");
Expect(1, 860, '\P{Ccc=da}', "");
Expect(0, 860, '\P{^Ccc=da}', "");
Expect(1, 862, '\p{Ccc=__DA}', "");
Expect(0, 862, '\p{^Ccc=__DA}', "");
Expect(0, 862, '\P{Ccc=__DA}', "");
Expect(1, 862, '\P{^Ccc=__DA}', "");
Expect(0, 860, '\p{Ccc=__DA}', "");
Expect(1, 860, '\p{^Ccc=__DA}', "");
Expect(1, 860, '\P{Ccc=__DA}', "");
Expect(0, 860, '\P{^Ccc=__DA}', "");
Error('\p{Is_Canonical_Combining_Class=:=_ 000023	4}');
Error('\P{Is_Canonical_Combining_Class=:=_ 000023	4}');
Expect(1, 862, '\p{Is_Canonical_Combining_Class:0000000023_4}', "");
Expect(0, 862, '\p{^Is_Canonical_Combining_Class:0000000023_4}', "");
Expect(0, 862, '\P{Is_Canonical_Combining_Class:0000000023_4}', "");
Expect(1, 862, '\P{^Is_Canonical_Combining_Class:0000000023_4}', "");
Expect(0, 860, '\p{Is_Canonical_Combining_Class:0000000023_4}', "");
Expect(1, 860, '\p{^Is_Canonical_Combining_Class:0000000023_4}', "");
Expect(1, 860, '\P{Is_Canonical_Combining_Class:0000000023_4}', "");
Expect(0, 860, '\P{^Is_Canonical_Combining_Class:0000000023_4}', "");
Error('\p{Is_Ccc=/a/double_Above}');
Error('\P{Is_Ccc=/a/double_Above}');
Expect(1, 862, '\p{Is_Ccc=doubleabove}', "");
Expect(0, 862, '\p{^Is_Ccc=doubleabove}', "");
Expect(0, 862, '\P{Is_Ccc=doubleabove}', "");
Expect(1, 862, '\P{^Is_Ccc=doubleabove}', "");
Expect(0, 860, '\p{Is_Ccc=doubleabove}', "");
Expect(1, 860, '\p{^Is_Ccc=doubleabove}', "");
Expect(1, 860, '\P{Is_Ccc=doubleabove}', "");
Expect(0, 860, '\P{^Is_Ccc=doubleabove}', "");
Expect(1, 862, '\p{Is_Ccc= -Double	Above}', "");
Expect(0, 862, '\p{^Is_Ccc= -Double	Above}', "");
Expect(0, 862, '\P{Is_Ccc= -Double	Above}', "");
Expect(1, 862, '\P{^Is_Ccc= -Double	Above}', "");
Expect(0, 860, '\p{Is_Ccc= -Double	Above}', "");
Expect(1, 860, '\p{^Is_Ccc= -Double	Above}', "");
Expect(1, 860, '\P{Is_Ccc= -Double	Above}', "");
Expect(0, 860, '\P{^Is_Ccc= -Double	Above}', "");
Error('\p{Canonical_Combining_Class:   :=_	Attached	BELOW left}');
Error('\P{Canonical_Combining_Class:   :=_	Attached	BELOW left}');
Expect(0, 1, '\p{Canonical_Combining_Class=attachedbelowleft}', "");
Expect(1, 1, '\p{^Canonical_Combining_Class=attachedbelowleft}', "");
Expect(1, 1, '\P{Canonical_Combining_Class=attachedbelowleft}', "");
Expect(0, 1, '\P{^Canonical_Combining_Class=attachedbelowleft}', "");
Expect(0, 1, '\p{Canonical_Combining_Class=--Attached-Below left}', "");
Expect(1, 1, '\p{^Canonical_Combining_Class=--Attached-Below left}', "");
Expect(1, 1, '\P{Canonical_Combining_Class=--Attached-Below left}', "");
Expect(0, 1, '\P{^Canonical_Combining_Class=--Attached-Below left}', "");
Error('\p{Ccc:   	/a/atbl}');
Error('\P{Ccc:   	/a/atbl}');
Expect(0, 1, '\p{Ccc=atbl}', "");
Expect(1, 1, '\p{^Ccc=atbl}', "");
Expect(1, 1, '\P{Ccc=atbl}', "");
Expect(0, 1, '\P{^Ccc=atbl}', "");
Expect(0, 1, '\p{Ccc=-ATBL}', "");
Expect(1, 1, '\p{^Ccc=-ATBL}', "");
Expect(1, 1, '\P{Ccc=-ATBL}', "");
Expect(0, 1, '\P{^Ccc=-ATBL}', "");
Error('\p{Is_Canonical_Combining_Class=	-00 0 0/a/0200}');
Error('\P{Is_Canonical_Combining_Class=	-00 0 0/a/0200}');
Expect(0, 1, '\p{Is_Canonical_Combining_Class=+00000200}', "");
Expect(1, 1, '\p{^Is_Canonical_Combining_Class=+00000200}', "");
Expect(1, 1, '\P{Is_Canonical_Combining_Class=+00000200}', "");
Expect(0, 1, '\P{^Is_Canonical_Combining_Class=+00000200}', "");
Error('\p{Is_Ccc=Attached/a/BELOW_left}');
Error('\P{Is_Ccc=Attached/a/BELOW_left}');
Expect(0, 1, '\p{Is_Ccc=attachedbelowleft}', "");
Expect(1, 1, '\p{^Is_Ccc=attachedbelowleft}', "");
Expect(1, 1, '\P{Is_Ccc=attachedbelowleft}', "");
Expect(0, 1, '\P{^Is_Ccc=attachedbelowleft}', "");
Expect(0, 1, '\p{Is_Ccc=	ATTACHED_BELOW	Left}', "");
Expect(1, 1, '\p{^Is_Ccc=	ATTACHED_BELOW	Left}', "");
Expect(1, 1, '\P{Is_Ccc=	ATTACHED_BELOW	Left}', "");
Expect(0, 1, '\P{^Is_Ccc=	ATTACHED_BELOW	Left}', "");
Error('\p{Canonical_Combining_Class=__+00-0 0-0_0 0_0/a/18}');
Error('\P{Canonical_Combining_Class=__+00-0 0-0_0 0_0/a/18}');
Expect(1, 1464, '\p{Canonical_Combining_Class=0000000018}', "");
Expect(0, 1464, '\p{^Canonical_Combining_Class=0000000018}', "");
Expect(0, 1464, '\P{Canonical_Combining_Class=0000000018}', "");
Expect(1, 1464, '\P{^Canonical_Combining_Class=0000000018}', "");
Expect(0, 1463, '\p{Canonical_Combining_Class=0000000018}', "");
Expect(1, 1463, '\p{^Canonical_Combining_Class=0000000018}', "");
Expect(1, 1463, '\P{Canonical_Combining_Class=0000000018}', "");
Expect(0, 1463, '\P{^Canonical_Combining_Class=0000000018}', "");
Error('\p{Ccc:	_-1/a/8}');
Error('\P{Ccc:	_-1/a/8}');
Expect(1, 1464, '\p{Ccc:1_8}', "");
Expect(0, 1464, '\p{^Ccc:1_8}', "");
Expect(0, 1464, '\P{Ccc:1_8}', "");
Expect(1, 1464, '\P{^Ccc:1_8}', "");
Expect(0, 1463, '\p{Ccc:1_8}', "");
Expect(1, 1463, '\p{^Ccc:1_8}', "");
Expect(1, 1463, '\P{Ccc:1_8}', "");
Expect(0, 1463, '\P{^Ccc:1_8}', "");
Error('\p{Is_Canonical_Combining_Class=__000018:=}');
Error('\P{Is_Canonical_Combining_Class=__000018:=}');
Expect(1, 1464, '\p{Is_Canonical_Combining_Class=+01_8}', "");
Expect(0, 1464, '\p{^Is_Canonical_Combining_Class=+01_8}', "");
Expect(0, 1464, '\P{Is_Canonical_Combining_Class=+01_8}', "");
Expect(1, 1464, '\P{^Is_Canonical_Combining_Class=+01_8}', "");
Expect(0, 1463, '\p{Is_Canonical_Combining_Class=+01_8}', "");
Expect(1, 1463, '\p{^Is_Canonical_Combining_Class=+01_8}', "");
Expect(1, 1463, '\P{Is_Canonical_Combining_Class=+01_8}', "");
Expect(0, 1463, '\P{^Is_Canonical_Combining_Class=+01_8}', "");
Error('\p{Is_Ccc=		0-0/a/18}');
Error('\P{Is_Ccc=		0-0/a/18}');
Expect(1, 1464, '\p{Is_Ccc:	01_8}', "");
Expect(0, 1464, '\p{^Is_Ccc:	01_8}', "");
Expect(0, 1464, '\P{Is_Ccc:	01_8}', "");
Expect(1, 1464, '\P{^Is_Ccc:	01_8}', "");
Expect(0, 1463, '\p{Is_Ccc:	01_8}', "");
Expect(1, 1463, '\p{^Is_Ccc:	01_8}', "");
Expect(1, 1463, '\P{Is_Ccc:	01_8}', "");
Expect(0, 1463, '\P{^Is_Ccc:	01_8}', "");
Error('\p{Canonical_Combining_Class=/a/ _0016}');
Error('\P{Canonical_Combining_Class=/a/ _0016}');
Expect(1, 1462, '\p{Canonical_Combining_Class=+0_0_16}', "");
Expect(0, 1462, '\p{^Canonical_Combining_Class=+0_0_16}', "");
Expect(0, 1462, '\P{Canonical_Combining_Class=+0_0_16}', "");
Expect(1, 1462, '\P{^Canonical_Combining_Class=+0_0_16}', "");
Expect(0, 1461, '\p{Canonical_Combining_Class=+0_0_16}', "");
Expect(1, 1461, '\p{^Canonical_Combining_Class=+0_0_16}', "");
Expect(1, 1461, '\P{Canonical_Combining_Class=+0_0_16}', "");
Expect(0, 1461, '\P{^Canonical_Combining_Class=+0_0_16}', "");
Error('\p{Ccc=	01:=6}');
Error('\P{Ccc=	01:=6}');
Expect(1, 1462, '\p{Ccc=+000_000_16}', "");
Expect(0, 1462, '\p{^Ccc=+000_000_16}', "");
Expect(0, 1462, '\P{Ccc=+000_000_16}', "");
Expect(1, 1462, '\P{^Ccc=+000_000_16}', "");
Expect(0, 1461, '\p{Ccc=+000_000_16}', "");
Expect(1, 1461, '\p{^Ccc=+000_000_16}', "");
Expect(1, 1461, '\P{Ccc=+000_000_16}', "");
Expect(0, 1461, '\P{^Ccc=+000_000_16}', "");
Error('\p{Is_Canonical_Combining_Class:	:= _00000016}');
Error('\P{Is_Canonical_Combining_Class:	:= _00000016}');
Expect(1, 1462, '\p{Is_Canonical_Combining_Class=+01_6}', "");
Expect(0, 1462, '\p{^Is_Canonical_Combining_Class=+01_6}', "");
Expect(0, 1462, '\P{Is_Canonical_Combining_Class=+01_6}', "");
Expect(1, 1462, '\P{^Is_Canonical_Combining_Class=+01_6}', "");
Expect(0, 1461, '\p{Is_Canonical_Combining_Class=+01_6}', "");
Expect(1, 1461, '\p{^Is_Canonical_Combining_Class=+01_6}', "");
Expect(1, 1461, '\P{Is_Canonical_Combining_Class=+01_6}', "");
Expect(0, 1461, '\P{^Is_Canonical_Combining_Class=+01_6}', "");
Error('\p{Is_Ccc= /a/+0016}');
Error('\P{Is_Ccc= /a/+0016}');
Expect(1, 1462, '\p{Is_Ccc=+00000016}', "");
Expect(0, 1462, '\p{^Is_Ccc=+00000016}', "");
Expect(0, 1462, '\P{Is_Ccc=+00000016}', "");
Expect(1, 1462, '\P{^Is_Ccc=+00000016}', "");
Expect(0, 1461, '\p{Is_Ccc=+00000016}', "");
Expect(1, 1461, '\p{^Is_Ccc=+00000016}', "");
Expect(1, 1461, '\P{Is_Ccc=+00000016}', "");
Expect(0, 1461, '\P{^Is_Ccc=+00000016}', "");
Error('\p{Canonical_Combining_Class=_000000084:=}');
Error('\P{Canonical_Combining_Class=_000000084:=}');
Expect(1, 3157, '\p{Canonical_Combining_Class=0000084}', "");
Expect(0, 3157, '\p{^Canonical_Combining_Class=0000084}', "");
Expect(0, 3157, '\P{Canonical_Combining_Class=0000084}', "");
Expect(1, 3157, '\P{^Canonical_Combining_Class=0000084}', "");
Expect(0, 3156, '\p{Canonical_Combining_Class=0000084}', "");
Expect(1, 3156, '\p{^Canonical_Combining_Class=0000084}', "");
Expect(1, 3156, '\P{Canonical_Combining_Class=0000084}', "");
Expect(0, 3156, '\P{^Canonical_Combining_Class=0000084}', "");
Error('\p{Ccc= /a/00000084}');
Error('\P{Ccc= /a/00000084}');
Expect(1, 3157, '\p{Ccc=+000084}', "");
Expect(0, 3157, '\p{^Ccc=+000084}', "");
Expect(0, 3157, '\P{Ccc=+000084}', "");
Expect(1, 3157, '\P{^Ccc=+000084}', "");
Expect(0, 3156, '\p{Ccc=+000084}', "");
Expect(1, 3156, '\p{^Ccc=+000084}', "");
Expect(1, 3156, '\P{Ccc=+000084}', "");
Expect(0, 3156, '\P{^Ccc=+000084}', "");
Error('\p{Is_Canonical_Combining_Class=	-00000084/a/}');
Error('\P{Is_Canonical_Combining_Class=	-00000084/a/}');
Expect(1, 3157, '\p{Is_Canonical_Combining_Class=+000000084}', "");
Expect(0, 3157, '\p{^Is_Canonical_Combining_Class=+000000084}', "");
Expect(0, 3157, '\P{Is_Canonical_Combining_Class=+000000084}', "");
Expect(1, 3157, '\P{^Is_Canonical_Combining_Class=+000000084}', "");
Expect(0, 3156, '\p{Is_Canonical_Combining_Class=+000000084}', "");
Expect(1, 3156, '\p{^Is_Canonical_Combining_Class=+000000084}', "");
Expect(1, 3156, '\P{Is_Canonical_Combining_Class=+000000084}', "");
Expect(0, 3156, '\P{^Is_Canonical_Combining_Class=+000000084}', "");
Error('\p{Is_Ccc=-000008 4:=}');
Error('\P{Is_Ccc=-000008 4:=}');
Expect(1, 3157, '\p{Is_Ccc:   +00_08_4}', "");
Expect(0, 3157, '\p{^Is_Ccc:   +00_08_4}', "");
Expect(0, 3157, '\P{Is_Ccc:   +00_08_4}', "");
Expect(1, 3157, '\P{^Is_Ccc:   +00_08_4}', "");
Expect(0, 3156, '\p{Is_Ccc:   +00_08_4}', "");
Expect(1, 3156, '\p{^Is_Ccc:   +00_08_4}', "");
Expect(1, 3156, '\P{Is_Ccc:   +00_08_4}', "");
Expect(0, 3156, '\P{^Is_Ccc:   +00_08_4}', "");
Error('\p{Canonical_Combining_Class=-/a/00 00	00 02_7}');
Error('\P{Canonical_Combining_Class=-/a/00 00	00 02_7}');
Expect(1, 1611, '\p{Canonical_Combining_Class=0_0_0_0_0027}', "");
Expect(0, 1611, '\p{^Canonical_Combining_Class=0_0_0_0_0027}', "");
Expect(0, 1611, '\P{Canonical_Combining_Class=0_0_0_0_0027}', "");
Expect(1, 1611, '\P{^Canonical_Combining_Class=0_0_0_0_0027}', "");
Expect(0, 1610, '\p{Canonical_Combining_Class=0_0_0_0_0027}', "");
Expect(1, 1610, '\p{^Canonical_Combining_Class=0_0_0_0_0027}', "");
Expect(1, 1610, '\P{Canonical_Combining_Class=0_0_0_0_0027}', "");
Expect(0, 1610, '\P{^Canonical_Combining_Class=0_0_0_0_0027}', "");
Error('\p{Ccc=:=- +02	7}');
Error('\P{Ccc=:=- +02	7}');
Expect(1, 1611, '\p{Ccc=+2_7}', "");
Expect(0, 1611, '\p{^Ccc=+2_7}', "");
Expect(0, 1611, '\P{Ccc=+2_7}', "");
Expect(1, 1611, '\P{^Ccc=+2_7}', "");
Expect(0, 1610, '\p{Ccc=+2_7}', "");
Expect(1, 1610, '\p{^Ccc=+2_7}', "");
Expect(1, 1610, '\P{Ccc=+2_7}', "");
Expect(0, 1610, '\P{^Ccc=+2_7}', "");
Error('\p{Is_Canonical_Combining_Class=	+000	000	002_7:=}');
Error('\P{Is_Canonical_Combining_Class=	+000	000	002_7:=}');
Expect(1, 1611, '\p{Is_Canonical_Combining_Class=+27}', "");
Expect(0, 1611, '\p{^Is_Canonical_Combining_Class=+27}', "");
Expect(0, 1611, '\P{Is_Canonical_Combining_Class=+27}', "");
Expect(1, 1611, '\P{^Is_Canonical_Combining_Class=+27}', "");
Expect(0, 1610, '\p{Is_Canonical_Combining_Class=+27}', "");
Expect(1, 1610, '\p{^Is_Canonical_Combining_Class=+27}', "");
Expect(1, 1610, '\P{Is_Canonical_Combining_Class=+27}', "");
Expect(0, 1610, '\P{^Is_Canonical_Combining_Class=+27}', "");
Error('\p{Is_Ccc=/a/	+000027}');
Error('\P{Is_Ccc=/a/	+000027}');
Expect(1, 1611, '\p{Is_Ccc=000027}', "");
Expect(0, 1611, '\p{^Is_Ccc=000027}', "");
Expect(0, 1611, '\P{Is_Ccc=000027}', "");
Expect(1, 1611, '\P{^Is_Ccc=000027}', "");
Expect(0, 1610, '\p{Is_Ccc=000027}', "");
Expect(1, 1610, '\p{^Is_Ccc=000027}', "");
Expect(1, 1610, '\P{Is_Ccc=000027}', "");
Expect(0, 1610, '\P{^Is_Ccc=000027}', "");
Error('\p{Canonical_Combining_Class=	:=Double Below}');
Error('\P{Canonical_Combining_Class=	:=Double Below}');
Expect(1, 860, '\p{Canonical_Combining_Class: doublebelow}', "");
Expect(0, 860, '\p{^Canonical_Combining_Class: doublebelow}', "");
Expect(0, 860, '\P{Canonical_Combining_Class: doublebelow}', "");
Expect(1, 860, '\P{^Canonical_Combining_Class: doublebelow}', "");
Expect(0, 859, '\p{Canonical_Combining_Class: doublebelow}', "");
Expect(1, 859, '\p{^Canonical_Combining_Class: doublebelow}', "");
Expect(1, 859, '\P{Canonical_Combining_Class: doublebelow}', "");
Expect(0, 859, '\P{^Canonical_Combining_Class: doublebelow}', "");
Expect(1, 860, '\p{Canonical_Combining_Class=	_DoubleBELOW}', "");
Expect(0, 860, '\p{^Canonical_Combining_Class=	_DoubleBELOW}', "");
Expect(0, 860, '\P{Canonical_Combining_Class=	_DoubleBELOW}', "");
Expect(1, 860, '\P{^Canonical_Combining_Class=	_DoubleBELOW}', "");
Expect(0, 859, '\p{Canonical_Combining_Class=	_DoubleBELOW}', "");
Expect(1, 859, '\p{^Canonical_Combining_Class=	_DoubleBELOW}', "");
Expect(1, 859, '\P{Canonical_Combining_Class=	_DoubleBELOW}', "");
Expect(0, 859, '\P{^Canonical_Combining_Class=	_DoubleBELOW}', "");
Error('\p{Ccc=  DB/a/}');
Error('\P{Ccc=  DB/a/}');
Expect(1, 860, '\p{Ccc=db}', "");
Expect(0, 860, '\p{^Ccc=db}', "");
Expect(0, 860, '\P{Ccc=db}', "");
Expect(1, 860, '\P{^Ccc=db}', "");
Expect(0, 859, '\p{Ccc=db}', "");
Expect(1, 859, '\p{^Ccc=db}', "");
Expect(1, 859, '\P{Ccc=db}', "");
Expect(0, 859, '\P{^Ccc=db}', "");
Expect(1, 860, '\p{Ccc=	_db}', "");
Expect(0, 860, '\p{^Ccc=	_db}', "");
Expect(0, 860, '\P{Ccc=	_db}', "");
Expect(1, 860, '\P{^Ccc=	_db}', "");
Expect(0, 859, '\p{Ccc=	_db}', "");
Expect(1, 859, '\p{^Ccc=	_db}', "");
Expect(1, 859, '\P{Ccc=	_db}', "");
Expect(0, 859, '\P{^Ccc=	_db}', "");
Error('\p{Is_Canonical_Combining_Class=:=+023	3}');
Error('\P{Is_Canonical_Combining_Class=:=+023	3}');
Expect(1, 860, '\p{Is_Canonical_Combining_Class: 00233}', "");
Expect(0, 860, '\p{^Is_Canonical_Combining_Class: 00233}', "");
Expect(0, 860, '\P{Is_Canonical_Combining_Class: 00233}', "");
Expect(1, 860, '\P{^Is_Canonical_Combining_Class: 00233}', "");
Expect(0, 859, '\p{Is_Canonical_Combining_Class: 00233}', "");
Expect(1, 859, '\p{^Is_Canonical_Combining_Class: 00233}', "");
Expect(1, 859, '\P{Is_Canonical_Combining_Class: 00233}', "");
Expect(0, 859, '\P{^Is_Canonical_Combining_Class: 00233}', "");
Error('\p{Is_Ccc= 	double Below/a/}');
Error('\P{Is_Ccc= 	double Below/a/}');
Expect(1, 860, '\p{Is_Ccc=doublebelow}', "");
Expect(0, 860, '\p{^Is_Ccc=doublebelow}', "");
Expect(0, 860, '\P{Is_Ccc=doublebelow}', "");
Expect(1, 860, '\P{^Is_Ccc=doublebelow}', "");
Expect(0, 859, '\p{Is_Ccc=doublebelow}', "");
Expect(1, 859, '\p{^Is_Ccc=doublebelow}', "");
Expect(1, 859, '\P{Is_Ccc=doublebelow}', "");
Expect(0, 859, '\P{^Is_Ccc=doublebelow}', "");
Expect(1, 860, '\p{Is_Ccc=-_DOUBLE_Below}', "");
Expect(0, 860, '\p{^Is_Ccc=-_DOUBLE_Below}', "");
Expect(0, 860, '\P{Is_Ccc=-_DOUBLE_Below}', "");
Expect(1, 860, '\P{^Is_Ccc=-_DOUBLE_Below}', "");
Expect(0, 859, '\p{Is_Ccc=-_DOUBLE_Below}', "");
Expect(1, 859, '\p{^Is_Ccc=-_DOUBLE_Below}', "");
Expect(1, 859, '\P{Is_Ccc=-_DOUBLE_Below}', "");
Expect(0, 859, '\P{^Is_Ccc=-_DOUBLE_Below}', "");
Error('\p{Canonical_Combining_Class=:=-BelowRight}');
Error('\P{Canonical_Combining_Class=:=-BelowRight}');
Expect(1, 1434, '\p{Canonical_Combining_Class=belowright}', "");
Expect(0, 1434, '\p{^Canonical_Combining_Class=belowright}', "");
Expect(0, 1434, '\P{Canonical_Combining_Class=belowright}', "");
Expect(1, 1434, '\P{^Canonical_Combining_Class=belowright}', "");
Expect(0, 1433, '\p{Canonical_Combining_Class=belowright}', "");
Expect(1, 1433, '\p{^Canonical_Combining_Class=belowright}', "");
Expect(1, 1433, '\P{Canonical_Combining_Class=belowright}', "");
Expect(0, 1433, '\P{^Canonical_Combining_Class=belowright}', "");
Expect(1, 1434, '\p{Canonical_Combining_Class=BELOW-Right}', "");
Expect(0, 1434, '\p{^Canonical_Combining_Class=BELOW-Right}', "");
Expect(0, 1434, '\P{Canonical_Combining_Class=BELOW-Right}', "");
Expect(1, 1434, '\P{^Canonical_Combining_Class=BELOW-Right}', "");
Expect(0, 1433, '\p{Canonical_Combining_Class=BELOW-Right}', "");
Expect(1, 1433, '\p{^Canonical_Combining_Class=BELOW-Right}', "");
Expect(1, 1433, '\P{Canonical_Combining_Class=BELOW-Right}', "");
Expect(0, 1433, '\P{^Canonical_Combining_Class=BELOW-Right}', "");
Error('\p{Ccc=:=-BR}');
Error('\P{Ccc=:=-BR}');
Expect(1, 1434, '\p{Ccc=br}', "");
Expect(0, 1434, '\p{^Ccc=br}', "");
Expect(0, 1434, '\P{Ccc=br}', "");
Expect(1, 1434, '\P{^Ccc=br}', "");
Expect(0, 1433, '\p{Ccc=br}', "");
Expect(1, 1433, '\p{^Ccc=br}', "");
Expect(1, 1433, '\P{Ccc=br}', "");
Expect(0, 1433, '\P{^Ccc=br}', "");
Expect(1, 1434, '\p{Ccc=__BR}', "");
Expect(0, 1434, '\p{^Ccc=__BR}', "");
Expect(0, 1434, '\P{Ccc=__BR}', "");
Expect(1, 1434, '\P{^Ccc=__BR}', "");
Expect(0, 1433, '\p{Ccc=__BR}', "");
Expect(1, 1433, '\p{^Ccc=__BR}', "");
Expect(1, 1433, '\P{Ccc=__BR}', "");
Expect(0, 1433, '\P{^Ccc=__BR}', "");
Error('\p{Is_Canonical_Combining_Class=-	+0022	2:=}');
Error('\P{Is_Canonical_Combining_Class=-	+0022	2:=}');
Expect(1, 1434, '\p{Is_Canonical_Combining_Class:0_0_2_22}', "");
Expect(0, 1434, '\p{^Is_Canonical_Combining_Class:0_0_2_22}', "");
Expect(0, 1434, '\P{Is_Canonical_Combining_Class:0_0_2_22}', "");
Expect(1, 1434, '\P{^Is_Canonical_Combining_Class:0_0_2_22}', "");
Expect(0, 1433, '\p{Is_Canonical_Combining_Class:0_0_2_22}', "");
Expect(1, 1433, '\p{^Is_Canonical_Combining_Class:0_0_2_22}', "");
Expect(1, 1433, '\P{Is_Canonical_Combining_Class:0_0_2_22}', "");
Expect(0, 1433, '\P{^Is_Canonical_Combining_Class:0_0_2_22}', "");
Error('\p{Is_Ccc=-	below:=Right}');
Error('\P{Is_Ccc=-	below:=Right}');
Expect(1, 1434, '\p{Is_Ccc=belowright}', "");
Expect(0, 1434, '\p{^Is_Ccc=belowright}', "");
Expect(0, 1434, '\P{Is_Ccc=belowright}', "");
Expect(1, 1434, '\P{^Is_Ccc=belowright}', "");
Expect(0, 1433, '\p{Is_Ccc=belowright}', "");
Expect(1, 1433, '\p{^Is_Ccc=belowright}', "");
Expect(1, 1433, '\P{Is_Ccc=belowright}', "");
Expect(0, 1433, '\P{^Is_Ccc=belowright}', "");
Expect(1, 1434, '\p{Is_Ccc=_below	Right}', "");
Expect(0, 1434, '\p{^Is_Ccc=_below	Right}', "");
Expect(0, 1434, '\P{Is_Ccc=_below	Right}', "");
Expect(1, 1434, '\P{^Is_Ccc=_below	Right}', "");
Expect(0, 1433, '\p{Is_Ccc=_below	Right}', "");
Expect(1, 1433, '\p{^Is_Ccc=_below	Right}', "");
Expect(1, 1433, '\P{Is_Ccc=_below	Right}', "");
Expect(0, 1433, '\P{^Is_Ccc=_below	Right}', "");
Error('\p{Canonical_Combining_Class=--Kana/a/Voicing}');
Error('\P{Canonical_Combining_Class=--Kana/a/Voicing}');
Expect(1, 12442, '\p{Canonical_Combining_Class=kanavoicing}', "");
Expect(0, 12442, '\p{^Canonical_Combining_Class=kanavoicing}', "");
Expect(0, 12442, '\P{Canonical_Combining_Class=kanavoicing}', "");
Expect(1, 12442, '\P{^Canonical_Combining_Class=kanavoicing}', "");
Expect(0, 12440, '\p{Canonical_Combining_Class=kanavoicing}', "");
Expect(1, 12440, '\p{^Canonical_Combining_Class=kanavoicing}', "");
Expect(1, 12440, '\P{Canonical_Combining_Class=kanavoicing}', "");
Expect(0, 12440, '\P{^Canonical_Combining_Class=kanavoicing}', "");
Expect(1, 12442, '\p{Canonical_Combining_Class= _Kana-Voicing}', "");
Expect(0, 12442, '\p{^Canonical_Combining_Class= _Kana-Voicing}', "");
Expect(0, 12442, '\P{Canonical_Combining_Class= _Kana-Voicing}', "");
Expect(1, 12442, '\P{^Canonical_Combining_Class= _Kana-Voicing}', "");
Expect(0, 12440, '\p{Canonical_Combining_Class= _Kana-Voicing}', "");
Expect(1, 12440, '\p{^Canonical_Combining_Class= _Kana-Voicing}', "");
Expect(1, 12440, '\P{Canonical_Combining_Class= _Kana-Voicing}', "");
Expect(0, 12440, '\P{^Canonical_Combining_Class= _Kana-Voicing}', "");
Error('\p{Ccc=:=-_KV}');
Error('\P{Ccc=:=-_KV}');
Expect(1, 12442, '\p{Ccc=kv}', "");
Expect(0, 12442, '\p{^Ccc=kv}', "");
Expect(0, 12442, '\P{Ccc=kv}', "");
Expect(1, 12442, '\P{^Ccc=kv}', "");
Expect(0, 12440, '\p{Ccc=kv}', "");
Expect(1, 12440, '\p{^Ccc=kv}', "");
Expect(1, 12440, '\P{Ccc=kv}', "");
Expect(0, 12440, '\P{^Ccc=kv}', "");
Expect(1, 12442, '\p{Ccc: -	KV}', "");
Expect(0, 12442, '\p{^Ccc: -	KV}', "");
Expect(0, 12442, '\P{Ccc: -	KV}', "");
Expect(1, 12442, '\P{^Ccc: -	KV}', "");
Expect(0, 12440, '\p{Ccc: -	KV}', "");
Expect(1, 12440, '\p{^Ccc: -	KV}', "");
Expect(1, 12440, '\P{Ccc: -	KV}', "");
Expect(0, 12440, '\P{^Ccc: -	KV}', "");
Error('\p{Is_Canonical_Combining_Class= -08:=}');
Error('\P{Is_Canonical_Combining_Class= -08:=}');
Expect(1, 12442, '\p{Is_Canonical_Combining_Class=+08}', "");
Expect(0, 12442, '\p{^Is_Canonical_Combining_Class=+08}', "");
Expect(0, 12442, '\P{Is_Canonical_Combining_Class=+08}', "");
Expect(1, 12442, '\P{^Is_Canonical_Combining_Class=+08}', "");
Expect(0, 12440, '\p{Is_Canonical_Combining_Class=+08}', "");
Expect(1, 12440, '\p{^Is_Canonical_Combining_Class=+08}', "");
Expect(1, 12440, '\P{Is_Canonical_Combining_Class=+08}', "");
Expect(0, 12440, '\P{^Is_Canonical_Combining_Class=+08}', "");
Error('\p{Is_Ccc= :=kanavoicing}');
Error('\P{Is_Ccc= :=kanavoicing}');
Expect(1, 12442, '\p{Is_Ccc=kanavoicing}', "");
Expect(0, 12442, '\p{^Is_Ccc=kanavoicing}', "");
Expect(0, 12442, '\P{Is_Ccc=kanavoicing}', "");
Expect(1, 12442, '\P{^Is_Ccc=kanavoicing}', "");
Expect(0, 12440, '\p{Is_Ccc=kanavoicing}', "");
Expect(1, 12440, '\p{^Is_Ccc=kanavoicing}', "");
Expect(1, 12440, '\P{Is_Ccc=kanavoicing}', "");
Expect(0, 12440, '\P{^Is_Ccc=kanavoicing}', "");
Expect(1, 12442, '\p{Is_Ccc: _	Kana	Voicing}', "");
Expect(0, 12442, '\p{^Is_Ccc: _	Kana	Voicing}', "");
Expect(0, 12442, '\P{Is_Ccc: _	Kana	Voicing}', "");
Expect(1, 12442, '\P{^Is_Ccc: _	Kana	Voicing}', "");
Expect(0, 12440, '\p{Is_Ccc: _	Kana	Voicing}', "");
Expect(1, 12440, '\p{^Is_Ccc: _	Kana	Voicing}', "");
Expect(1, 12440, '\P{Is_Ccc: _	Kana	Voicing}', "");
Expect(0, 12440, '\P{^Is_Ccc: _	Kana	Voicing}', "");
Error('\p{Canonical_Combining_Class: 	below/a/}');
Error('\P{Canonical_Combining_Class: 	below/a/}');
Expect(1, 793, '\p{Canonical_Combining_Class=below}', "");
Expect(0, 793, '\p{^Canonical_Combining_Class=below}', "");
Expect(0, 793, '\P{Canonical_Combining_Class=below}', "");
Expect(1, 793, '\P{^Canonical_Combining_Class=below}', "");
Expect(0, 789, '\p{Canonical_Combining_Class=below}', "");
Expect(1, 789, '\p{^Canonical_Combining_Class=below}', "");
Expect(1, 789, '\P{Canonical_Combining_Class=below}', "");
Expect(0, 789, '\P{^Canonical_Combining_Class=below}', "");
Expect(1, 793, '\p{Canonical_Combining_Class=	_Below}', "");
Expect(0, 793, '\p{^Canonical_Combining_Class=	_Below}', "");
Expect(0, 793, '\P{Canonical_Combining_Class=	_Below}', "");
Expect(1, 793, '\P{^Canonical_Combining_Class=	_Below}', "");
Expect(0, 789, '\p{Canonical_Combining_Class=	_Below}', "");
Expect(1, 789, '\p{^Canonical_Combining_Class=	_Below}', "");
Expect(1, 789, '\P{Canonical_Combining_Class=	_Below}', "");
Expect(0, 789, '\P{^Canonical_Combining_Class=	_Below}', "");
Error('\p{Ccc=/a/- B}');
Error('\P{Ccc=/a/- B}');
Expect(1, 793, '\p{Ccc=b}', "");
Expect(0, 793, '\p{^Ccc=b}', "");
Expect(0, 793, '\P{Ccc=b}', "");
Expect(1, 793, '\P{^Ccc=b}', "");
Expect(0, 789, '\p{Ccc=b}', "");
Expect(1, 789, '\p{^Ccc=b}', "");
Expect(1, 789, '\P{Ccc=b}', "");
Expect(0, 789, '\P{^Ccc=b}', "");
Expect(1, 793, '\p{Ccc= 	B}', "");
Expect(0, 793, '\p{^Ccc= 	B}', "");
Expect(0, 793, '\P{Ccc= 	B}', "");
Expect(1, 793, '\P{^Ccc= 	B}', "");
Expect(0, 789, '\p{Ccc= 	B}', "");
Expect(1, 789, '\p{^Ccc= 	B}', "");
Expect(1, 789, '\P{Ccc= 	B}', "");
Expect(0, 789, '\P{^Ccc= 	B}', "");
Error('\p{Is_Canonical_Combining_Class=/a/-	22_0}');
Error('\P{Is_Canonical_Combining_Class=/a/-	22_0}');
Expect(1, 793, '\p{Is_Canonical_Combining_Class=+000_000_022_0}', "");
Expect(0, 793, '\p{^Is_Canonical_Combining_Class=+000_000_022_0}', "");
Expect(0, 793, '\P{Is_Canonical_Combining_Class=+000_000_022_0}', "");
Expect(1, 793, '\P{^Is_Canonical_Combining_Class=+000_000_022_0}', "");
Expect(0, 789, '\p{Is_Canonical_Combining_Class=+000_000_022_0}', "");
Expect(1, 789, '\p{^Is_Canonical_Combining_Class=+000_000_022_0}', "");
Expect(1, 789, '\P{Is_Canonical_Combining_Class=+000_000_022_0}', "");
Expect(0, 789, '\P{^Is_Canonical_Combining_Class=+000_000_022_0}', "");
Error('\p{Is_Ccc=/a/-	Below}');
Error('\P{Is_Ccc=/a/-	Below}');
Expect(1, 793, '\p{Is_Ccc=below}', "");
Expect(0, 793, '\p{^Is_Ccc=below}', "");
Expect(0, 793, '\P{Is_Ccc=below}', "");
Expect(1, 793, '\P{^Is_Ccc=below}', "");
Expect(0, 789, '\p{Is_Ccc=below}', "");
Expect(1, 789, '\p{^Is_Ccc=below}', "");
Expect(1, 789, '\P{Is_Ccc=below}', "");
Expect(0, 789, '\P{^Is_Ccc=below}', "");
Expect(1, 793, '\p{Is_Ccc=--Below}', "");
Expect(0, 793, '\p{^Is_Ccc=--Below}', "");
Expect(0, 793, '\P{Is_Ccc=--Below}', "");
Expect(1, 793, '\P{^Is_Ccc=--Below}', "");
Expect(0, 789, '\p{Is_Ccc=--Below}', "");
Expect(1, 789, '\p{^Is_Ccc=--Below}', "");
Expect(1, 789, '\P{Is_Ccc=--Below}', "");
Expect(0, 789, '\P{^Is_Ccc=--Below}', "");
Error('\p{Canonical_Combining_Class=/a/ -0000020}');
Error('\P{Canonical_Combining_Class=/a/ -0000020}');
Expect(1, 1467, '\p{Canonical_Combining_Class=0000002_0}', "");
Expect(0, 1467, '\p{^Canonical_Combining_Class=0000002_0}', "");
Expect(0, 1467, '\P{Canonical_Combining_Class=0000002_0}', "");
Expect(1, 1467, '\P{^Canonical_Combining_Class=0000002_0}', "");
Expect(0, 1466, '\p{Canonical_Combining_Class=0000002_0}', "");
Expect(1, 1466, '\p{^Canonical_Combining_Class=0000002_0}', "");
Expect(1, 1466, '\P{Canonical_Combining_Class=0000002_0}', "");
Expect(0, 1466, '\P{^Canonical_Combining_Class=0000002_0}', "");
Error('\p{Ccc=:=	_+00000000020}');
Error('\P{Ccc=:=	_+00000000020}');
Expect(1, 1467, '\p{Ccc:	0_0_0_0_0_0_0_020}', "");
Expect(0, 1467, '\p{^Ccc:	0_0_0_0_0_0_0_020}', "");
Expect(0, 1467, '\P{Ccc:	0_0_0_0_0_0_0_020}', "");
Expect(1, 1467, '\P{^Ccc:	0_0_0_0_0_0_0_020}', "");
Expect(0, 1466, '\p{Ccc:	0_0_0_0_0_0_0_020}', "");
Expect(1, 1466, '\p{^Ccc:	0_0_0_0_0_0_0_020}', "");
Expect(1, 1466, '\P{Ccc:	0_0_0_0_0_0_0_020}', "");
Expect(0, 1466, '\P{^Ccc:	0_0_0_0_0_0_0_020}', "");
Error('\p{Is_Canonical_Combining_Class=	/a/000	00020}');
Error('\P{Is_Canonical_Combining_Class=	/a/000	00020}');
Expect(1, 1467, '\p{Is_Canonical_Combining_Class=00000020}', "");
Expect(0, 1467, '\p{^Is_Canonical_Combining_Class=00000020}', "");
Expect(0, 1467, '\P{Is_Canonical_Combining_Class=00000020}', "");
Expect(1, 1467, '\P{^Is_Canonical_Combining_Class=00000020}', "");
Expect(0, 1466, '\p{Is_Canonical_Combining_Class=00000020}', "");
Expect(1, 1466, '\p{^Is_Canonical_Combining_Class=00000020}', "");
Expect(1, 1466, '\P{Is_Canonical_Combining_Class=00000020}', "");
Expect(0, 1466, '\P{^Is_Canonical_Combining_Class=00000020}', "");
Error('\p{Is_Ccc=-:=+000002 0}');
Error('\P{Is_Ccc=-:=+000002 0}');
Expect(1, 1467, '\p{Is_Ccc:	+20}', "");
Expect(0, 1467, '\p{^Is_Ccc:	+20}', "");
Expect(0, 1467, '\P{Is_Ccc:	+20}', "");
Expect(1, 1467, '\P{^Is_Ccc:	+20}', "");
Expect(0, 1466, '\p{Is_Ccc:	+20}', "");
Expect(1, 1466, '\p{^Is_Ccc:	+20}', "");
Expect(1, 1466, '\P{Is_Ccc:	+20}', "");
Expect(0, 1466, '\P{^Is_Ccc:	+20}', "");
Error('\p{Canonical_Combining_Class=-ATTACHED:=Above-Right}');
Error('\P{Canonical_Combining_Class=-ATTACHED:=Above-Right}');
Expect(1, 795, '\p{Canonical_Combining_Class:	attachedaboveright}', "");
Expect(0, 795, '\p{^Canonical_Combining_Class:	attachedaboveright}', "");
Expect(0, 795, '\P{Canonical_Combining_Class:	attachedaboveright}', "");
Expect(1, 795, '\P{^Canonical_Combining_Class:	attachedaboveright}', "");
Expect(0, 794, '\p{Canonical_Combining_Class:	attachedaboveright}', "");
Expect(1, 794, '\p{^Canonical_Combining_Class:	attachedaboveright}', "");
Expect(1, 794, '\P{Canonical_Combining_Class:	attachedaboveright}', "");
Expect(0, 794, '\P{^Canonical_Combining_Class:	attachedaboveright}', "");
Expect(1, 795, '\p{Canonical_Combining_Class=_-ATTACHED ABOVE_RIGHT}', "");
Expect(0, 795, '\p{^Canonical_Combining_Class=_-ATTACHED ABOVE_RIGHT}', "");
Expect(0, 795, '\P{Canonical_Combining_Class=_-ATTACHED ABOVE_RIGHT}', "");
Expect(1, 795, '\P{^Canonical_Combining_Class=_-ATTACHED ABOVE_RIGHT}', "");
Expect(0, 794, '\p{Canonical_Combining_Class=_-ATTACHED ABOVE_RIGHT}', "");
Expect(1, 794, '\p{^Canonical_Combining_Class=_-ATTACHED ABOVE_RIGHT}', "");
Expect(1, 794, '\P{Canonical_Combining_Class=_-ATTACHED ABOVE_RIGHT}', "");
Expect(0, 794, '\P{^Canonical_Combining_Class=_-ATTACHED ABOVE_RIGHT}', "");
Error('\p{Ccc:	/a/--ATAR}');
Error('\P{Ccc:	/a/--ATAR}');
Expect(1, 795, '\p{Ccc=atar}', "");
Expect(0, 795, '\p{^Ccc=atar}', "");
Expect(0, 795, '\P{Ccc=atar}', "");
Expect(1, 795, '\P{^Ccc=atar}', "");
Expect(0, 794, '\p{Ccc=atar}', "");
Expect(1, 794, '\p{^Ccc=atar}', "");
Expect(1, 794, '\P{Ccc=atar}', "");
Expect(0, 794, '\P{^Ccc=atar}', "");
Expect(1, 795, '\p{Ccc= ATAR}', "");
Expect(0, 795, '\p{^Ccc= ATAR}', "");
Expect(0, 795, '\P{Ccc= ATAR}', "");
Expect(1, 795, '\P{^Ccc= ATAR}', "");
Expect(0, 794, '\p{Ccc= ATAR}', "");
Expect(1, 794, '\p{^Ccc= ATAR}', "");
Expect(1, 794, '\P{Ccc= ATAR}', "");
Expect(0, 794, '\P{^Ccc= ATAR}', "");
Error('\p{Is_Canonical_Combining_Class=:= 021	6}');
Error('\P{Is_Canonical_Combining_Class=:= 021	6}');
Expect(1, 795, '\p{Is_Canonical_Combining_Class=0_2_16}', "");
Expect(0, 795, '\p{^Is_Canonical_Combining_Class=0_2_16}', "");
Expect(0, 795, '\P{Is_Canonical_Combining_Class=0_2_16}', "");
Expect(1, 795, '\P{^Is_Canonical_Combining_Class=0_2_16}', "");
Expect(0, 794, '\p{Is_Canonical_Combining_Class=0_2_16}', "");
Expect(1, 794, '\p{^Is_Canonical_Combining_Class=0_2_16}', "");
Expect(1, 794, '\P{Is_Canonical_Combining_Class=0_2_16}', "");
Expect(0, 794, '\P{^Is_Canonical_Combining_Class=0_2_16}', "");
Error('\p{Is_Ccc=_-AttachedABOVE_Right:=}');
Error('\P{Is_Ccc=_-AttachedABOVE_Right:=}');
Expect(1, 795, '\p{Is_Ccc=attachedaboveright}', "");
Expect(0, 795, '\p{^Is_Ccc=attachedaboveright}', "");
Expect(0, 795, '\P{Is_Ccc=attachedaboveright}', "");
Expect(1, 795, '\P{^Is_Ccc=attachedaboveright}', "");
Expect(0, 794, '\p{Is_Ccc=attachedaboveright}', "");
Expect(1, 794, '\p{^Is_Ccc=attachedaboveright}', "");
Expect(1, 794, '\P{Is_Ccc=attachedaboveright}', "");
Expect(0, 794, '\P{^Is_Ccc=attachedaboveright}', "");
Expect(1, 795, '\p{Is_Ccc=attached AboveRIGHT}', "");
Expect(0, 795, '\p{^Is_Ccc=attached AboveRIGHT}', "");
Expect(0, 795, '\P{Is_Ccc=attached AboveRIGHT}', "");
Expect(1, 795, '\P{^Is_Ccc=attached AboveRIGHT}', "");
Expect(0, 794, '\p{Is_Ccc=attached AboveRIGHT}', "");
Expect(1, 794, '\p{^Is_Ccc=attached AboveRIGHT}', "");
Expect(1, 794, '\P{Is_Ccc=attached AboveRIGHT}', "");
Expect(0, 794, '\P{^Is_Ccc=attached AboveRIGHT}', "");
Error('\p{Canonical_Combining_Class:  0031:=}');
Error('\P{Canonical_Combining_Class:  0031:=}');
Expect(1, 1561, '\p{Canonical_Combining_Class:	0_0_31}', "");
Expect(0, 1561, '\p{^Canonical_Combining_Class:	0_0_31}', "");
Expect(0, 1561, '\P{Canonical_Combining_Class:	0_0_31}', "");
Expect(1, 1561, '\P{^Canonical_Combining_Class:	0_0_31}', "");
Expect(0, 1560, '\p{Canonical_Combining_Class:	0_0_31}', "");
Expect(1, 1560, '\p{^Canonical_Combining_Class:	0_0_31}', "");
Expect(1, 1560, '\P{Canonical_Combining_Class:	0_0_31}', "");
Expect(0, 1560, '\P{^Canonical_Combining_Class:	0_0_31}', "");
Error('\p{Ccc=/a/_+0031}');
Error('\P{Ccc=/a/_+0031}');
Expect(1, 1561, '\p{Ccc=+03_1}', "");
Expect(0, 1561, '\p{^Ccc=+03_1}', "");
Expect(0, 1561, '\P{Ccc=+03_1}', "");
Expect(1, 1561, '\P{^Ccc=+03_1}', "");
Expect(0, 1560, '\p{Ccc=+03_1}', "");
Expect(1, 1560, '\p{^Ccc=+03_1}', "");
Expect(1, 1560, '\P{Ccc=+03_1}', "");
Expect(0, 1560, '\P{^Ccc=+03_1}', "");
Error('\p{Is_Canonical_Combining_Class=:=-00031}');
Error('\P{Is_Canonical_Combining_Class=:=-00031}');
Expect(1, 1561, '\p{Is_Canonical_Combining_Class=00000031}', "");
Expect(0, 1561, '\p{^Is_Canonical_Combining_Class=00000031}', "");
Expect(0, 1561, '\P{Is_Canonical_Combining_Class=00000031}', "");
Expect(1, 1561, '\P{^Is_Canonical_Combining_Class=00000031}', "");
Expect(0, 1560, '\p{Is_Canonical_Combining_Class=00000031}', "");
Expect(1, 1560, '\p{^Is_Canonical_Combining_Class=00000031}', "");
Expect(1, 1560, '\P{Is_Canonical_Combining_Class=00000031}', "");
Expect(0, 1560, '\P{^Is_Canonical_Combining_Class=00000031}', "");
Error('\p{Is_Ccc=-	00:=0-00_0_00031}');
Error('\P{Is_Ccc=-	00:=0-00_0_00031}');
Expect(1, 1561, '\p{Is_Ccc=031}', "");
Expect(0, 1561, '\p{^Is_Ccc=031}', "");
Expect(0, 1561, '\P{Is_Ccc=031}', "");
Expect(1, 1561, '\P{^Is_Ccc=031}', "");
Expect(0, 1560, '\p{Is_Ccc=031}', "");
Expect(1, 1560, '\p{^Is_Ccc=031}', "");
Expect(1, 1560, '\P{Is_Ccc=031}', "");
Expect(0, 1560, '\P{^Is_Ccc=031}', "");
Error('\p{Canonical_Combining_Class=:=--000000035}');
Error('\P{Canonical_Combining_Class=:=--000000035}');
Expect(1, 1648, '\p{Canonical_Combining_Class=00035}', "");
Expect(0, 1648, '\p{^Canonical_Combining_Class=00035}', "");
Expect(0, 1648, '\P{Canonical_Combining_Class=00035}', "");
Expect(1, 1648, '\P{^Canonical_Combining_Class=00035}', "");
Expect(0, 1647, '\p{Canonical_Combining_Class=00035}', "");
Expect(1, 1647, '\p{^Canonical_Combining_Class=00035}', "");
Expect(1, 1647, '\P{Canonical_Combining_Class=00035}', "");
Expect(0, 1647, '\P{^Canonical_Combining_Class=00035}', "");
Error('\p{Ccc=  +3:=5}');
Error('\P{Ccc=  +3:=5}');
Expect(1, 1648, '\p{Ccc=+0_0_0_0_0_0_35}', "");
Expect(0, 1648, '\p{^Ccc=+0_0_0_0_0_0_35}', "");
Expect(0, 1648, '\P{Ccc=+0_0_0_0_0_0_35}', "");
Expect(1, 1648, '\P{^Ccc=+0_0_0_0_0_0_35}', "");
Expect(0, 1647, '\p{Ccc=+0_0_0_0_0_0_35}', "");
Expect(1, 1647, '\p{^Ccc=+0_0_0_0_0_0_35}', "");
Expect(1, 1647, '\P{Ccc=+0_0_0_0_0_0_35}', "");
Expect(0, 1647, '\P{^Ccc=+0_0_0_0_0_0_35}', "");
Error('\p{Is_Canonical_Combining_Class=	/a/+00035}');
Error('\P{Is_Canonical_Combining_Class=	/a/+00035}');
Expect(1, 1648, '\p{Is_Canonical_Combining_Class=+0000000035}', "");
Expect(0, 1648, '\p{^Is_Canonical_Combining_Class=+0000000035}', "");
Expect(0, 1648, '\P{Is_Canonical_Combining_Class=+0000000035}', "");
Expect(1, 1648, '\P{^Is_Canonical_Combining_Class=+0000000035}', "");
Expect(0, 1647, '\p{Is_Canonical_Combining_Class=+0000000035}', "");
Expect(1, 1647, '\p{^Is_Canonical_Combining_Class=+0000000035}', "");
Expect(1, 1647, '\P{Is_Canonical_Combining_Class=+0000000035}', "");
Expect(0, 1647, '\P{^Is_Canonical_Combining_Class=+0000000035}', "");
Error('\p{Is_Ccc=/a/-	0000_35}');
Error('\P{Is_Ccc=/a/-	0000_35}');
Expect(1, 1648, '\p{Is_Ccc=3_5}', "");
Expect(0, 1648, '\p{^Is_Ccc=3_5}', "");
Expect(0, 1648, '\P{Is_Ccc=3_5}', "");
Expect(1, 1648, '\P{^Is_Ccc=3_5}', "");
Expect(0, 1647, '\p{Is_Ccc=3_5}', "");
Expect(1, 1647, '\p{^Is_Ccc=3_5}', "");
Expect(1, 1647, '\P{Is_Ccc=3_5}', "");
Expect(0, 1647, '\P{^Is_Ccc=3_5}', "");
Error('\p{Canonical_Combining_Class=_/a/00000011}');
Error('\P{Canonical_Combining_Class=_/a/00000011}');
Expect(1, 1457, '\p{Canonical_Combining_Class=+0000_0001_1}', "");
Expect(0, 1457, '\p{^Canonical_Combining_Class=+0000_0001_1}', "");
Expect(0, 1457, '\P{Canonical_Combining_Class=+0000_0001_1}', "");
Expect(1, 1457, '\P{^Canonical_Combining_Class=+0000_0001_1}', "");
Expect(0, 1456, '\p{Canonical_Combining_Class=+0000_0001_1}', "");
Expect(1, 1456, '\p{^Canonical_Combining_Class=+0000_0001_1}', "");
Expect(1, 1456, '\P{Canonical_Combining_Class=+0000_0001_1}', "");
Expect(0, 1456, '\P{^Canonical_Combining_Class=+0000_0001_1}', "");
Error('\p{Ccc=:=1-1}');
Error('\P{Ccc=:=1-1}');
Expect(1, 1457, '\p{Ccc=00000011}', "");
Expect(0, 1457, '\p{^Ccc=00000011}', "");
Expect(0, 1457, '\P{Ccc=00000011}', "");
Expect(1, 1457, '\P{^Ccc=00000011}', "");
Expect(0, 1456, '\p{Ccc=00000011}', "");
Expect(1, 1456, '\p{^Ccc=00000011}', "");
Expect(1, 1456, '\P{Ccc=00000011}', "");
Expect(0, 1456, '\P{^Ccc=00000011}', "");
Error('\p{Is_Canonical_Combining_Class=-_+0011:=}');
Error('\P{Is_Canonical_Combining_Class=-_+0011:=}');
Expect(1, 1457, '\p{Is_Canonical_Combining_Class=0000000011}', "");
Expect(0, 1457, '\p{^Is_Canonical_Combining_Class=0000000011}', "");
Expect(0, 1457, '\P{Is_Canonical_Combining_Class=0000000011}', "");
Expect(1, 1457, '\P{^Is_Canonical_Combining_Class=0000000011}', "");
Expect(0, 1456, '\p{Is_Canonical_Combining_Class=0000000011}', "");
Expect(1, 1456, '\p{^Is_Canonical_Combining_Class=0000000011}', "");
Expect(1, 1456, '\P{Is_Canonical_Combining_Class=0000000011}', "");
Expect(0, 1456, '\P{^Is_Canonical_Combining_Class=0000000011}', "");
Error('\p{Is_Ccc=-/a/+0000000011}');
Error('\P{Is_Ccc=-/a/+0000000011}');
Expect(1, 1457, '\p{Is_Ccc=0000000011}', "");
Expect(0, 1457, '\p{^Is_Ccc=0000000011}', "");
Expect(0, 1457, '\P{Is_Ccc=0000000011}', "");
Expect(1, 1457, '\P{^Is_Ccc=0000000011}', "");
Expect(0, 1456, '\p{Is_Ccc=0000000011}', "");
Expect(1, 1456, '\p{^Is_Ccc=0000000011}', "");
Expect(1, 1456, '\P{Is_Ccc=0000000011}', "");
Expect(0, 1456, '\P{^Is_Ccc=0000000011}', "");
Error('\p{Canonical_Combining_Class=	Iota:=Subscript}');
Error('\P{Canonical_Combining_Class=	Iota:=Subscript}');
Expect(1, 837, '\p{Canonical_Combining_Class=iotasubscript}', "");
Expect(0, 837, '\p{^Canonical_Combining_Class=iotasubscript}', "");
Expect(0, 837, '\P{Canonical_Combining_Class=iotasubscript}', "");
Expect(1, 837, '\P{^Canonical_Combining_Class=iotasubscript}', "");
Expect(0, 836, '\p{Canonical_Combining_Class=iotasubscript}', "");
Expect(1, 836, '\p{^Canonical_Combining_Class=iotasubscript}', "");
Expect(1, 836, '\P{Canonical_Combining_Class=iotasubscript}', "");
Expect(0, 836, '\P{^Canonical_Combining_Class=iotasubscript}', "");
Expect(1, 837, '\p{Canonical_Combining_Class=IotaSUBSCRIPT}', "");
Expect(0, 837, '\p{^Canonical_Combining_Class=IotaSUBSCRIPT}', "");
Expect(0, 837, '\P{Canonical_Combining_Class=IotaSUBSCRIPT}', "");
Expect(1, 837, '\P{^Canonical_Combining_Class=IotaSUBSCRIPT}', "");
Expect(0, 836, '\p{Canonical_Combining_Class=IotaSUBSCRIPT}', "");
Expect(1, 836, '\p{^Canonical_Combining_Class=IotaSUBSCRIPT}', "");
Expect(1, 836, '\P{Canonical_Combining_Class=IotaSUBSCRIPT}', "");
Expect(0, 836, '\P{^Canonical_Combining_Class=IotaSUBSCRIPT}', "");
Error('\p{Ccc=:=		IS}');
Error('\P{Ccc=:=		IS}');
Expect(1, 837, '\p{Ccc=is}', "");
Expect(0, 837, '\p{^Ccc=is}', "");
Expect(0, 837, '\P{Ccc=is}', "");
Expect(1, 837, '\P{^Ccc=is}', "");
Expect(0, 836, '\p{Ccc=is}', "");
Expect(1, 836, '\p{^Ccc=is}', "");
Expect(1, 836, '\P{Ccc=is}', "");
Expect(0, 836, '\P{^Ccc=is}', "");
Expect(1, 837, '\p{Ccc= _IS}', "");
Expect(0, 837, '\p{^Ccc= _IS}', "");
Expect(0, 837, '\P{Ccc= _IS}', "");
Expect(1, 837, '\P{^Ccc= _IS}', "");
Expect(0, 836, '\p{Ccc= _IS}', "");
Expect(1, 836, '\p{^Ccc= _IS}', "");
Expect(1, 836, '\P{Ccc= _IS}', "");
Expect(0, 836, '\P{^Ccc= _IS}', "");
Error('\p{Is_Canonical_Combining_Class= :=+00240}');
Error('\P{Is_Canonical_Combining_Class= :=+00240}');
Expect(1, 837, '\p{Is_Canonical_Combining_Class=+000000240}', "");
Expect(0, 837, '\p{^Is_Canonical_Combining_Class=+000000240}', "");
Expect(0, 837, '\P{Is_Canonical_Combining_Class=+000000240}', "");
Expect(1, 837, '\P{^Is_Canonical_Combining_Class=+000000240}', "");
Expect(0, 836, '\p{Is_Canonical_Combining_Class=+000000240}', "");
Expect(1, 836, '\p{^Is_Canonical_Combining_Class=+000000240}', "");
Expect(1, 836, '\P{Is_Canonical_Combining_Class=+000000240}', "");
Expect(0, 836, '\P{^Is_Canonical_Combining_Class=+000000240}', "");
Error('\p{Is_Ccc:   := Iota SUBSCRIPT}');
Error('\P{Is_Ccc:   := Iota SUBSCRIPT}');
Expect(1, 837, '\p{Is_Ccc=iotasubscript}', "");
Expect(0, 837, '\p{^Is_Ccc=iotasubscript}', "");
Expect(0, 837, '\P{Is_Ccc=iotasubscript}', "");
Expect(1, 837, '\P{^Is_Ccc=iotasubscript}', "");
Expect(0, 836, '\p{Is_Ccc=iotasubscript}', "");
Expect(1, 836, '\p{^Is_Ccc=iotasubscript}', "");
Expect(1, 836, '\P{Is_Ccc=iotasubscript}', "");
Expect(0, 836, '\P{^Is_Ccc=iotasubscript}', "");
Expect(1, 837, '\p{Is_Ccc=_	IOTASUBSCRIPT}', "");
Expect(0, 837, '\p{^Is_Ccc=_	IOTASUBSCRIPT}', "");
Expect(0, 837, '\P{Is_Ccc=_	IOTASUBSCRIPT}', "");
Expect(1, 837, '\P{^Is_Ccc=_	IOTASUBSCRIPT}', "");
Expect(0, 836, '\p{Is_Ccc=_	IOTASUBSCRIPT}', "");
Expect(1, 836, '\p{^Is_Ccc=_	IOTASUBSCRIPT}', "");
Expect(1, 836, '\P{Is_Ccc=_	IOTASUBSCRIPT}', "");
Expect(0, 836, '\P{^Is_Ccc=_	IOTASUBSCRIPT}', "");
Error('\p{Canonical_Combining_Class=	 Above:=right}');
Error('\P{Canonical_Combining_Class=	 Above:=right}');
Expect(1, 789, '\p{Canonical_Combining_Class=aboveright}', "");
Expect(0, 789, '\p{^Canonical_Combining_Class=aboveright}', "");
Expect(0, 789, '\P{Canonical_Combining_Class=aboveright}', "");
Expect(1, 789, '\P{^Canonical_Combining_Class=aboveright}', "");
Expect(0, 788, '\p{Canonical_Combining_Class=aboveright}', "");
Expect(1, 788, '\p{^Canonical_Combining_Class=aboveright}', "");
Expect(1, 788, '\P{Canonical_Combining_Class=aboveright}', "");
Expect(0, 788, '\P{^Canonical_Combining_Class=aboveright}', "");
Expect(1, 789, '\p{Canonical_Combining_Class=- ABOVE Right}', "");
Expect(0, 789, '\p{^Canonical_Combining_Class=- ABOVE Right}', "");
Expect(0, 789, '\P{Canonical_Combining_Class=- ABOVE Right}', "");
Expect(1, 789, '\P{^Canonical_Combining_Class=- ABOVE Right}', "");
Expect(0, 788, '\p{Canonical_Combining_Class=- ABOVE Right}', "");
Expect(1, 788, '\p{^Canonical_Combining_Class=- ABOVE Right}', "");
Expect(1, 788, '\P{Canonical_Combining_Class=- ABOVE Right}', "");
Expect(0, 788, '\P{^Canonical_Combining_Class=- ABOVE Right}', "");
Error('\p{Ccc= 	AR:=}');
Error('\P{Ccc= 	AR:=}');
Expect(1, 789, '\p{Ccc=ar}', "");
Expect(0, 789, '\p{^Ccc=ar}', "");
Expect(0, 789, '\P{Ccc=ar}', "");
Expect(1, 789, '\P{^Ccc=ar}', "");
Expect(0, 788, '\p{Ccc=ar}', "");
Expect(1, 788, '\p{^Ccc=ar}', "");
Expect(1, 788, '\P{Ccc=ar}', "");
Expect(0, 788, '\P{^Ccc=ar}', "");
Expect(1, 789, '\p{Ccc=__AR}', "");
Expect(0, 789, '\p{^Ccc=__AR}', "");
Expect(0, 789, '\P{Ccc=__AR}', "");
Expect(1, 789, '\P{^Ccc=__AR}', "");
Expect(0, 788, '\p{Ccc=__AR}', "");
Expect(1, 788, '\p{^Ccc=__AR}', "");
Expect(1, 788, '\P{Ccc=__AR}', "");
Expect(0, 788, '\P{^Ccc=__AR}', "");
Error('\p{Is_Canonical_Combining_Class=_:=0000000232}');
Error('\P{Is_Canonical_Combining_Class=_:=0000000232}');
Expect(1, 789, '\p{Is_Canonical_Combining_Class=23_2}', "");
Expect(0, 789, '\p{^Is_Canonical_Combining_Class=23_2}', "");
Expect(0, 789, '\P{Is_Canonical_Combining_Class=23_2}', "");
Expect(1, 789, '\P{^Is_Canonical_Combining_Class=23_2}', "");
Expect(0, 788, '\p{Is_Canonical_Combining_Class=23_2}', "");
Expect(1, 788, '\p{^Is_Canonical_Combining_Class=23_2}', "");
Expect(1, 788, '\P{Is_Canonical_Combining_Class=23_2}', "");
Expect(0, 788, '\P{^Is_Canonical_Combining_Class=23_2}', "");
Error('\p{Is_Ccc=/a/-_above right}');
Error('\P{Is_Ccc=/a/-_above right}');
Expect(1, 789, '\p{Is_Ccc=aboveright}', "");
Expect(0, 789, '\p{^Is_Ccc=aboveright}', "");
Expect(0, 789, '\P{Is_Ccc=aboveright}', "");
Expect(1, 789, '\P{^Is_Ccc=aboveright}', "");
Expect(0, 788, '\p{Is_Ccc=aboveright}', "");
Expect(1, 788, '\p{^Is_Ccc=aboveright}', "");
Expect(1, 788, '\P{Is_Ccc=aboveright}', "");
Expect(0, 788, '\P{^Is_Ccc=aboveright}', "");
Expect(1, 789, '\p{Is_Ccc=-	above-right}', "");
Expect(0, 789, '\p{^Is_Ccc=-	above-right}', "");
Expect(0, 789, '\P{Is_Ccc=-	above-right}', "");
Expect(1, 789, '\P{^Is_Ccc=-	above-right}', "");
Expect(0, 788, '\p{Is_Ccc=-	above-right}', "");
Expect(1, 788, '\p{^Is_Ccc=-	above-right}', "");
Expect(1, 788, '\P{Is_Ccc=-	above-right}', "");
Expect(0, 788, '\P{^Is_Ccc=-	above-right}', "");
Error('\p{Canonical_Combining_Class=-/a/029}');
Error('\P{Canonical_Combining_Class=-/a/029}');
Expect(1, 1613, '\p{Canonical_Combining_Class=00029}', "");
Expect(0, 1613, '\p{^Canonical_Combining_Class=00029}', "");
Expect(0, 1613, '\P{Canonical_Combining_Class=00029}', "");
Expect(1, 1613, '\P{^Canonical_Combining_Class=00029}', "");
Expect(0, 1612, '\p{Canonical_Combining_Class=00029}', "");
Expect(1, 1612, '\p{^Canonical_Combining_Class=00029}', "");
Expect(1, 1612, '\P{Canonical_Combining_Class=00029}', "");
Expect(0, 1612, '\P{^Canonical_Combining_Class=00029}', "");
Error('\p{Ccc=-:=+0-00-0-029}');
Error('\P{Ccc=-:=+0-00-0-029}');
Expect(1, 1613, '\p{Ccc=+0000000002_9}', "");
Expect(0, 1613, '\p{^Ccc=+0000000002_9}', "");
Expect(0, 1613, '\P{Ccc=+0000000002_9}', "");
Expect(1, 1613, '\P{^Ccc=+0000000002_9}', "");
Expect(0, 1612, '\p{Ccc=+0000000002_9}', "");
Expect(1, 1612, '\p{^Ccc=+0000000002_9}', "");
Expect(1, 1612, '\P{Ccc=+0000000002_9}', "");
Expect(0, 1612, '\P{^Ccc=+0000000002_9}', "");
Error('\p{Is_Canonical_Combining_Class=:= 0000000029}');
Error('\P{Is_Canonical_Combining_Class=:= 0000000029}');
Expect(1, 1613, '\p{Is_Canonical_Combining_Class=02_9}', "");
Expect(0, 1613, '\p{^Is_Canonical_Combining_Class=02_9}', "");
Expect(0, 1613, '\P{Is_Canonical_Combining_Class=02_9}', "");
Expect(1, 1613, '\P{^Is_Canonical_Combining_Class=02_9}', "");
Expect(0, 1612, '\p{Is_Canonical_Combining_Class=02_9}', "");
Expect(1, 1612, '\p{^Is_Canonical_Combining_Class=02_9}', "");
Expect(1, 1612, '\P{Is_Canonical_Combining_Class=02_9}', "");
Expect(0, 1612, '\P{^Is_Canonical_Combining_Class=02_9}', "");
Error('\p{Is_Ccc=_/a/0029}');
Error('\P{Is_Ccc=_/a/0029}');
Expect(1, 1613, '\p{Is_Ccc=2_9}', "");
Expect(0, 1613, '\p{^Is_Ccc=2_9}', "");
Expect(0, 1613, '\P{Is_Ccc=2_9}', "");
Expect(1, 1613, '\P{^Is_Ccc=2_9}', "");
Expect(0, 1612, '\p{Is_Ccc=2_9}', "");
Expect(1, 1612, '\p{^Is_Ccc=2_9}', "");
Expect(1, 1612, '\P{Is_Ccc=2_9}', "");
Expect(0, 1612, '\P{^Is_Ccc=2_9}', "");
Error('\p{Canonical_Combining_Class= /a/right}');
Error('\P{Canonical_Combining_Class= /a/right}');
Expect(1, 119149, '\p{Canonical_Combining_Class=right}', "");
Expect(0, 119149, '\p{^Canonical_Combining_Class=right}', "");
Expect(0, 119149, '\P{Canonical_Combining_Class=right}', "");
Expect(1, 119149, '\P{^Canonical_Combining_Class=right}', "");
Expect(0, 119148, '\p{Canonical_Combining_Class=right}', "");
Expect(1, 119148, '\p{^Canonical_Combining_Class=right}', "");
Expect(1, 119148, '\P{Canonical_Combining_Class=right}', "");
Expect(0, 119148, '\P{^Canonical_Combining_Class=right}', "");
Expect(1, 119149, '\p{Canonical_Combining_Class= 	RIGHT}', "");
Expect(0, 119149, '\p{^Canonical_Combining_Class= 	RIGHT}', "");
Expect(0, 119149, '\P{Canonical_Combining_Class= 	RIGHT}', "");
Expect(1, 119149, '\P{^Canonical_Combining_Class= 	RIGHT}', "");
Expect(0, 119148, '\p{Canonical_Combining_Class= 	RIGHT}', "");
Expect(1, 119148, '\p{^Canonical_Combining_Class= 	RIGHT}', "");
Expect(1, 119148, '\P{Canonical_Combining_Class= 	RIGHT}', "");
Expect(0, 119148, '\P{^Canonical_Combining_Class= 	RIGHT}', "");
Error('\p{Ccc=:= R}');
Error('\P{Ccc=:= R}');
Expect(1, 119149, '\p{Ccc=r}', "");
Expect(0, 119149, '\p{^Ccc=r}', "");
Expect(0, 119149, '\P{Ccc=r}', "");
Expect(1, 119149, '\P{^Ccc=r}', "");
Expect(0, 119148, '\p{Ccc=r}', "");
Expect(1, 119148, '\p{^Ccc=r}', "");
Expect(1, 119148, '\P{Ccc=r}', "");
Expect(0, 119148, '\P{^Ccc=r}', "");
Expect(1, 119149, '\p{Ccc=-_R}', "");
Expect(0, 119149, '\p{^Ccc=-_R}', "");
Expect(0, 119149, '\P{Ccc=-_R}', "");
Expect(1, 119149, '\P{^Ccc=-_R}', "");
Expect(0, 119148, '\p{Ccc=-_R}', "");
Expect(1, 119148, '\p{^Ccc=-_R}', "");
Expect(1, 119148, '\P{Ccc=-_R}', "");
Expect(0, 119148, '\P{^Ccc=-_R}', "");
Error('\p{Is_Canonical_Combining_Class= 022	6:=}');
Error('\P{Is_Canonical_Combining_Class= 022	6:=}');
Expect(1, 119149, '\p{Is_Canonical_Combining_Class=022_6}', "");
Expect(0, 119149, '\p{^Is_Canonical_Combining_Class=022_6}', "");
Expect(0, 119149, '\P{Is_Canonical_Combining_Class=022_6}', "");
Expect(1, 119149, '\P{^Is_Canonical_Combining_Class=022_6}', "");
Expect(0, 119148, '\p{Is_Canonical_Combining_Class=022_6}', "");
Expect(1, 119148, '\p{^Is_Canonical_Combining_Class=022_6}', "");
Expect(1, 119148, '\P{Is_Canonical_Combining_Class=022_6}', "");
Expect(0, 119148, '\P{^Is_Canonical_Combining_Class=022_6}', "");
Error('\p{Is_Ccc=:=-Right}');
Error('\P{Is_Ccc=:=-Right}');
Expect(1, 119149, '\p{Is_Ccc:	right}', "");
Expect(0, 119149, '\p{^Is_Ccc:	right}', "");
Expect(0, 119149, '\P{Is_Ccc:	right}', "");
Expect(1, 119149, '\P{^Is_Ccc:	right}', "");
Expect(0, 119148, '\p{Is_Ccc:	right}', "");
Expect(1, 119148, '\p{^Is_Ccc:	right}', "");
Expect(1, 119148, '\P{Is_Ccc:	right}', "");
Expect(0, 119148, '\P{^Is_Ccc:	right}', "");
Expect(1, 119149, '\p{Is_Ccc= _Right}', "");
Expect(0, 119149, '\p{^Is_Ccc= _Right}', "");
Expect(0, 119149, '\P{Is_Ccc= _Right}', "");
Expect(1, 119149, '\P{^Is_Ccc= _Right}', "");
Expect(0, 119148, '\p{Is_Ccc= _Right}', "");
Expect(1, 119148, '\p{^Is_Ccc= _Right}', "");
Expect(1, 119148, '\P{Is_Ccc= _Right}', "");
Expect(0, 119148, '\P{^Is_Ccc= _Right}', "");
Error('\p{Canonical_Combining_Class=:=		+15}');
Error('\P{Canonical_Combining_Class=:=		+15}');
Expect(1, 1461, '\p{Canonical_Combining_Class: 0000000015}', "");
Expect(0, 1461, '\p{^Canonical_Combining_Class: 0000000015}', "");
Expect(0, 1461, '\P{Canonical_Combining_Class: 0000000015}', "");
Expect(1, 1461, '\P{^Canonical_Combining_Class: 0000000015}', "");
Expect(0, 1460, '\p{Canonical_Combining_Class: 0000000015}', "");
Expect(1, 1460, '\p{^Canonical_Combining_Class: 0000000015}', "");
Expect(1, 1460, '\P{Canonical_Combining_Class: 0000000015}', "");
Expect(0, 1460, '\P{^Canonical_Combining_Class: 0000000015}', "");
Error('\p{Ccc=:= _0000015}');
Error('\P{Ccc=:= _0000015}');
Expect(1, 1461, '\p{Ccc=+00001_5}', "");
Expect(0, 1461, '\p{^Ccc=+00001_5}', "");
Expect(0, 1461, '\P{Ccc=+00001_5}', "");
Expect(1, 1461, '\P{^Ccc=+00001_5}', "");
Expect(0, 1460, '\p{Ccc=+00001_5}', "");
Expect(1, 1460, '\p{^Ccc=+00001_5}', "");
Expect(1, 1460, '\P{Ccc=+00001_5}', "");
Expect(0, 1460, '\P{^Ccc=+00001_5}', "");
Error('\p{Is_Canonical_Combining_Class=:=_ 15}');
Error('\P{Is_Canonical_Combining_Class=:=_ 15}');
Expect(1, 1461, '\p{Is_Canonical_Combining_Class=000000015}', "");
Expect(0, 1461, '\p{^Is_Canonical_Combining_Class=000000015}', "");
Expect(0, 1461, '\P{Is_Canonical_Combining_Class=000000015}', "");
Expect(1, 1461, '\P{^Is_Canonical_Combining_Class=000000015}', "");
Expect(0, 1460, '\p{Is_Canonical_Combining_Class=000000015}', "");
Expect(1, 1460, '\p{^Is_Canonical_Combining_Class=000000015}', "");
Expect(1, 1460, '\P{Is_Canonical_Combining_Class=000000015}', "");
Expect(0, 1460, '\P{^Is_Canonical_Combining_Class=000000015}', "");
Error('\p{Is_Ccc=__+015:=}');
Error('\P{Is_Ccc=__+015:=}');
Expect(1, 1461, '\p{Is_Ccc=001_5}', "");
Expect(0, 1461, '\p{^Is_Ccc=001_5}', "");
Expect(0, 1461, '\P{Is_Ccc=001_5}', "");
Expect(1, 1461, '\P{^Is_Ccc=001_5}', "");
Expect(0, 1460, '\p{Is_Ccc=001_5}', "");
Expect(1, 1460, '\p{^Is_Ccc=001_5}', "");
Expect(1, 1460, '\P{Is_Ccc=001_5}', "");
Expect(0, 1460, '\P{^Is_Ccc=001_5}', "");
Error('\p{Canonical_Combining_Class=	Below:=Left}');
Error('\P{Canonical_Combining_Class=	Below:=Left}');
Expect(1, 12330, '\p{Canonical_Combining_Class=belowleft}', "");
Expect(0, 12330, '\p{^Canonical_Combining_Class=belowleft}', "");
Expect(0, 12330, '\P{Canonical_Combining_Class=belowleft}', "");
Expect(1, 12330, '\P{^Canonical_Combining_Class=belowleft}', "");
Expect(0, 12329, '\p{Canonical_Combining_Class=belowleft}', "");
Expect(1, 12329, '\p{^Canonical_Combining_Class=belowleft}', "");
Expect(1, 12329, '\P{Canonical_Combining_Class=belowleft}', "");
Expect(0, 12329, '\P{^Canonical_Combining_Class=belowleft}', "");
Expect(1, 12330, '\p{Canonical_Combining_Class=_Below Left}', "");
Expect(0, 12330, '\p{^Canonical_Combining_Class=_Below Left}', "");
Expect(0, 12330, '\P{Canonical_Combining_Class=_Below Left}', "");
Expect(1, 12330, '\P{^Canonical_Combining_Class=_Below Left}', "");
Expect(0, 12329, '\p{Canonical_Combining_Class=_Below Left}', "");
Expect(1, 12329, '\p{^Canonical_Combining_Class=_Below Left}', "");
Expect(1, 12329, '\P{Canonical_Combining_Class=_Below Left}', "");
Expect(0, 12329, '\P{^Canonical_Combining_Class=_Below Left}', "");
Error('\p{Ccc=/a/-BL}');
Error('\P{Ccc=/a/-BL}');
Expect(1, 12330, '\p{Ccc=bl}', "");
Expect(0, 12330, '\p{^Ccc=bl}', "");
Expect(0, 12330, '\P{Ccc=bl}', "");
Expect(1, 12330, '\P{^Ccc=bl}', "");
Expect(0, 12329, '\p{Ccc=bl}', "");
Expect(1, 12329, '\p{^Ccc=bl}', "");
Expect(1, 12329, '\P{Ccc=bl}', "");
Expect(0, 12329, '\P{^Ccc=bl}', "");
Expect(1, 12330, '\p{Ccc= -bl}', "");
Expect(0, 12330, '\p{^Ccc= -bl}', "");
Expect(0, 12330, '\P{Ccc= -bl}', "");
Expect(1, 12330, '\P{^Ccc= -bl}', "");
Expect(0, 12329, '\p{Ccc= -bl}', "");
Expect(1, 12329, '\p{^Ccc= -bl}', "");
Expect(1, 12329, '\P{Ccc= -bl}', "");
Expect(0, 12329, '\P{^Ccc= -bl}', "");
Error('\p{Is_Canonical_Combining_Class=/a/-_00 02	18}');
Error('\P{Is_Canonical_Combining_Class=/a/-_00 02	18}');
Expect(1, 12330, '\p{Is_Canonical_Combining_Class=00218}', "");
Expect(0, 12330, '\p{^Is_Canonical_Combining_Class=00218}', "");
Expect(0, 12330, '\P{Is_Canonical_Combining_Class=00218}', "");
Expect(1, 12330, '\P{^Is_Canonical_Combining_Class=00218}', "");
Expect(0, 12329, '\p{Is_Canonical_Combining_Class=00218}', "");
Expect(1, 12329, '\p{^Is_Canonical_Combining_Class=00218}', "");
Expect(1, 12329, '\P{Is_Canonical_Combining_Class=00218}', "");
Expect(0, 12329, '\P{^Is_Canonical_Combining_Class=00218}', "");
Error('\p{Is_Ccc= /a/BELOW	Left}');
Error('\P{Is_Ccc= /a/BELOW	Left}');
Expect(1, 12330, '\p{Is_Ccc=belowleft}', "");
Expect(0, 12330, '\p{^Is_Ccc=belowleft}', "");
Expect(0, 12330, '\P{Is_Ccc=belowleft}', "");
Expect(1, 12330, '\P{^Is_Ccc=belowleft}', "");
Expect(0, 12329, '\p{Is_Ccc=belowleft}', "");
Expect(1, 12329, '\p{^Is_Ccc=belowleft}', "");
Expect(1, 12329, '\P{Is_Ccc=belowleft}', "");
Expect(0, 12329, '\P{^Is_Ccc=belowleft}', "");
Expect(1, 12330, '\p{Is_Ccc:_	below-LEFT}', "");
Expect(0, 12330, '\p{^Is_Ccc:_	below-LEFT}', "");
Expect(0, 12330, '\P{Is_Ccc:_	below-LEFT}', "");
Expect(1, 12330, '\P{^Is_Ccc:_	below-LEFT}', "");
Expect(0, 12329, '\p{Is_Ccc:_	below-LEFT}', "");
Expect(1, 12329, '\p{^Is_Ccc:_	below-LEFT}', "");
Expect(1, 12329, '\P{Is_Ccc:_	below-LEFT}', "");
Expect(0, 12329, '\P{^Is_Ccc:_	below-LEFT}', "");
Error('\p{Canonical_Combining_Class=:=- LEFT}');
Error('\P{Canonical_Combining_Class=:=- LEFT}');
Expect(1, 12335, '\p{Canonical_Combining_Class: left}', "");
Expect(0, 12335, '\p{^Canonical_Combining_Class: left}', "");
Expect(0, 12335, '\P{Canonical_Combining_Class: left}', "");
Expect(1, 12335, '\P{^Canonical_Combining_Class: left}', "");
Expect(0, 12333, '\p{Canonical_Combining_Class: left}', "");
Expect(1, 12333, '\p{^Canonical_Combining_Class: left}', "");
Expect(1, 12333, '\P{Canonical_Combining_Class: left}', "");
Expect(0, 12333, '\P{^Canonical_Combining_Class: left}', "");
Expect(1, 12335, '\p{Canonical_Combining_Class: 	LEFT}', "");
Expect(0, 12335, '\p{^Canonical_Combining_Class: 	LEFT}', "");
Expect(0, 12335, '\P{Canonical_Combining_Class: 	LEFT}', "");
Expect(1, 12335, '\P{^Canonical_Combining_Class: 	LEFT}', "");
Expect(0, 12333, '\p{Canonical_Combining_Class: 	LEFT}', "");
Expect(1, 12333, '\p{^Canonical_Combining_Class: 	LEFT}', "");
Expect(1, 12333, '\P{Canonical_Combining_Class: 	LEFT}', "");
Expect(0, 12333, '\P{^Canonical_Combining_Class: 	LEFT}', "");
Error('\p{Ccc=	l:=}');
Error('\P{Ccc=	l:=}');
Expect(1, 12335, '\p{Ccc=l}', "");
Expect(0, 12335, '\p{^Ccc=l}', "");
Expect(0, 12335, '\P{Ccc=l}', "");
Expect(1, 12335, '\P{^Ccc=l}', "");
Expect(0, 12333, '\p{Ccc=l}', "");
Expect(1, 12333, '\p{^Ccc=l}', "");
Expect(1, 12333, '\P{Ccc=l}', "");
Expect(0, 12333, '\P{^Ccc=l}', "");
Expect(1, 12335, '\p{Ccc=	L}', "");
Expect(0, 12335, '\p{^Ccc=	L}', "");
Expect(0, 12335, '\P{Ccc=	L}', "");
Expect(1, 12335, '\P{^Ccc=	L}', "");
Expect(0, 12333, '\p{Ccc=	L}', "");
Expect(1, 12333, '\p{^Ccc=	L}', "");
Expect(1, 12333, '\P{Ccc=	L}', "");
Expect(0, 12333, '\P{^Ccc=	L}', "");
Error('\p{Is_Canonical_Combining_Class=--+000000224/a/}');
Error('\P{Is_Canonical_Combining_Class=--+000000224/a/}');
Expect(1, 12335, '\p{Is_Canonical_Combining_Class=22_4}', "");
Expect(0, 12335, '\p{^Is_Canonical_Combining_Class=22_4}', "");
Expect(0, 12335, '\P{Is_Canonical_Combining_Class=22_4}', "");
Expect(1, 12335, '\P{^Is_Canonical_Combining_Class=22_4}', "");
Expect(0, 12333, '\p{Is_Canonical_Combining_Class=22_4}', "");
Expect(1, 12333, '\p{^Is_Canonical_Combining_Class=22_4}', "");
Expect(1, 12333, '\P{Is_Canonical_Combining_Class=22_4}', "");
Expect(0, 12333, '\P{^Is_Canonical_Combining_Class=22_4}', "");
Error('\p{Is_Ccc=:=_	left}');
Error('\P{Is_Ccc=:=_	left}');
Expect(1, 12335, '\p{Is_Ccc=left}', "");
Expect(0, 12335, '\p{^Is_Ccc=left}', "");
Expect(0, 12335, '\P{Is_Ccc=left}', "");
Expect(1, 12335, '\P{^Is_Ccc=left}', "");
Expect(0, 12333, '\p{Is_Ccc=left}', "");
Expect(1, 12333, '\p{^Is_Ccc=left}', "");
Expect(1, 12333, '\P{Is_Ccc=left}', "");
Expect(0, 12333, '\P{^Is_Ccc=left}', "");
Expect(1, 12335, '\p{Is_Ccc=-Left}', "");
Expect(0, 12335, '\p{^Is_Ccc=-Left}', "");
Expect(0, 12335, '\P{Is_Ccc=-Left}', "");
Expect(1, 12335, '\P{^Is_Ccc=-Left}', "");
Expect(0, 12333, '\p{Is_Ccc=-Left}', "");
Expect(1, 12333, '\p{^Is_Ccc=-Left}', "");
Expect(1, 12333, '\P{Is_Ccc=-Left}', "");
Expect(0, 12333, '\P{^Is_Ccc=-Left}', "");
Error('\p{Canonical_Combining_Class=	 above/a/}');
Error('\P{Canonical_Combining_Class=	 above/a/}');
Expect(1, 788, '\p{Canonical_Combining_Class=above}', "");
Expect(0, 788, '\p{^Canonical_Combining_Class=above}', "");
Expect(0, 788, '\P{Canonical_Combining_Class=above}', "");
Expect(1, 788, '\P{^Canonical_Combining_Class=above}', "");
Expect(0, 767, '\p{Canonical_Combining_Class=above}', "");
Expect(1, 767, '\p{^Canonical_Combining_Class=above}', "");
Expect(1, 767, '\P{Canonical_Combining_Class=above}', "");
Expect(0, 767, '\P{^Canonical_Combining_Class=above}', "");
Expect(1, 788, '\p{Canonical_Combining_Class=Above}', "");
Expect(0, 788, '\p{^Canonical_Combining_Class=Above}', "");
Expect(0, 788, '\P{Canonical_Combining_Class=Above}', "");
Expect(1, 788, '\P{^Canonical_Combining_Class=Above}', "");
Expect(0, 767, '\p{Canonical_Combining_Class=Above}', "");
Expect(1, 767, '\p{^Canonical_Combining_Class=Above}', "");
Expect(1, 767, '\P{Canonical_Combining_Class=Above}', "");
Expect(0, 767, '\P{^Canonical_Combining_Class=Above}', "");
Error('\p{Ccc=_	a/a/}');
Error('\P{Ccc=_	a/a/}');
Expect(1, 788, '\p{Ccc:   a}', "");
Expect(0, 788, '\p{^Ccc:   a}', "");
Expect(0, 788, '\P{Ccc:   a}', "");
Expect(1, 788, '\P{^Ccc:   a}', "");
Expect(0, 767, '\p{Ccc:   a}', "");
Expect(1, 767, '\p{^Ccc:   a}', "");
Expect(1, 767, '\P{Ccc:   a}', "");
Expect(0, 767, '\P{^Ccc:   a}', "");
Expect(1, 788, '\p{Ccc= -a}', "");
Expect(0, 788, '\p{^Ccc= -a}', "");
Expect(0, 788, '\P{Ccc= -a}', "");
Expect(1, 788, '\P{^Ccc= -a}', "");
Expect(0, 767, '\p{Ccc= -a}', "");
Expect(1, 767, '\p{^Ccc= -a}', "");
Expect(1, 767, '\P{Ccc= -a}', "");
Expect(0, 767, '\P{^Ccc= -a}', "");
Error('\p{Is_Canonical_Combining_Class=/a/__0230}');
Error('\P{Is_Canonical_Combining_Class=/a/__0230}');
Expect(1, 788, '\p{Is_Canonical_Combining_Class=+000000230}', "");
Expect(0, 788, '\p{^Is_Canonical_Combining_Class=+000000230}', "");
Expect(0, 788, '\P{Is_Canonical_Combining_Class=+000000230}', "");
Expect(1, 788, '\P{^Is_Canonical_Combining_Class=+000000230}', "");
Expect(0, 767, '\p{Is_Canonical_Combining_Class=+000000230}', "");
Expect(1, 767, '\p{^Is_Canonical_Combining_Class=+000000230}', "");
Expect(1, 767, '\P{Is_Canonical_Combining_Class=+000000230}', "");
Expect(0, 767, '\P{^Is_Canonical_Combining_Class=+000000230}', "");
Error('\p{Is_Ccc=- above:=}');
Error('\P{Is_Ccc=- above:=}');
Expect(1, 788, '\p{Is_Ccc=above}', "");
Expect(0, 788, '\p{^Is_Ccc=above}', "");
Expect(0, 788, '\P{Is_Ccc=above}', "");
Expect(1, 788, '\P{^Is_Ccc=above}', "");
Expect(0, 767, '\p{Is_Ccc=above}', "");
Expect(1, 767, '\p{^Is_Ccc=above}', "");
Expect(1, 767, '\P{Is_Ccc=above}', "");
Expect(0, 767, '\P{^Is_Ccc=above}', "");
Expect(1, 788, '\p{Is_Ccc=	_ABOVE}', "");
Expect(0, 788, '\p{^Is_Ccc=	_ABOVE}', "");
Expect(0, 788, '\P{Is_Ccc=	_ABOVE}', "");
Expect(1, 788, '\P{^Is_Ccc=	_ABOVE}', "");
Expect(0, 767, '\p{Is_Ccc=	_ABOVE}', "");
Expect(1, 767, '\p{^Is_Ccc=	_ABOVE}', "");
Expect(1, 767, '\P{Is_Ccc=	_ABOVE}', "");
Expect(0, 767, '\P{^Is_Ccc=	_ABOVE}', "");
Error('\p{Canonical_Combining_Class=	/a/+0-0-000 0	00	0_1-29}');
Error('\P{Canonical_Combining_Class=	/a/+0-0-000 0	00	0_1-29}');
Expect(1, 3953, '\p{Canonical_Combining_Class=00129}', "");
Expect(0, 3953, '\p{^Canonical_Combining_Class=00129}', "");
Expect(0, 3953, '\P{Canonical_Combining_Class=00129}', "");
Expect(1, 3953, '\P{^Canonical_Combining_Class=00129}', "");
Expect(0, 3952, '\p{Canonical_Combining_Class=00129}', "");
Expect(1, 3952, '\p{^Canonical_Combining_Class=00129}', "");
Expect(1, 3952, '\P{Canonical_Combining_Class=00129}', "");
Expect(0, 3952, '\P{^Canonical_Combining_Class=00129}', "");
Error('\p{Ccc=_/a/+000000000129}');
Error('\P{Ccc=_/a/+000000000129}');
Expect(1, 3953, '\p{Ccc=+0_0_0_0_0_0_0_0_0_1_29}', "");
Expect(0, 3953, '\p{^Ccc=+0_0_0_0_0_0_0_0_0_1_29}', "");
Expect(0, 3953, '\P{Ccc=+0_0_0_0_0_0_0_0_0_1_29}', "");
Expect(1, 3953, '\P{^Ccc=+0_0_0_0_0_0_0_0_0_1_29}', "");
Expect(0, 3952, '\p{Ccc=+0_0_0_0_0_0_0_0_0_1_29}', "");
Expect(1, 3952, '\p{^Ccc=+0_0_0_0_0_0_0_0_0_1_29}', "");
Expect(1, 3952, '\P{Ccc=+0_0_0_0_0_0_0_0_0_1_29}', "");
Expect(0, 3952, '\P{^Ccc=+0_0_0_0_0_0_0_0_0_1_29}', "");
Error('\p{Is_Canonical_Combining_Class=_:=00129}');
Error('\P{Is_Canonical_Combining_Class=_:=00129}');
Expect(1, 3953, '\p{Is_Canonical_Combining_Class=00129}', "");
Expect(0, 3953, '\p{^Is_Canonical_Combining_Class=00129}', "");
Expect(0, 3953, '\P{Is_Canonical_Combining_Class=00129}', "");
Expect(1, 3953, '\P{^Is_Canonical_Combining_Class=00129}', "");
Expect(0, 3952, '\p{Is_Canonical_Combining_Class=00129}', "");
Expect(1, 3952, '\p{^Is_Canonical_Combining_Class=00129}', "");
Expect(1, 3952, '\P{Is_Canonical_Combining_Class=00129}', "");
Expect(0, 3952, '\P{^Is_Canonical_Combining_Class=00129}', "");
Error('\p{Is_Ccc: -/a/000	000_0	0 1_29}');
Error('\P{Is_Ccc: -/a/000	000_0	0 1_29}');
Expect(1, 3953, '\p{Is_Ccc: +00129}', "");
Expect(0, 3953, '\p{^Is_Ccc: +00129}', "");
Expect(0, 3953, '\P{Is_Ccc: +00129}', "");
Expect(1, 3953, '\P{^Is_Ccc: +00129}', "");
Expect(0, 3952, '\p{Is_Ccc: +00129}', "");
Expect(1, 3952, '\p{^Is_Ccc: +00129}', "");
Expect(1, 3952, '\P{Is_Ccc: +00129}', "");
Expect(0, 3952, '\P{^Is_Ccc: +00129}', "");
Error('\p{Canonical_Combining_Class=/a/ _+000000017}');
Error('\P{Canonical_Combining_Class=/a/ _+000000017}');
Expect(1, 1463, '\p{Canonical_Combining_Class=000017}', "");
Expect(0, 1463, '\p{^Canonical_Combining_Class=000017}', "");
Expect(0, 1463, '\P{Canonical_Combining_Class=000017}', "");
Expect(1, 1463, '\P{^Canonical_Combining_Class=000017}', "");
Expect(0, 1462, '\p{Canonical_Combining_Class=000017}', "");
Expect(1, 1462, '\p{^Canonical_Combining_Class=000017}', "");
Expect(1, 1462, '\P{Canonical_Combining_Class=000017}', "");
Expect(0, 1462, '\P{^Canonical_Combining_Class=000017}', "");
Error('\p{Ccc=:=	+000017}');
Error('\P{Ccc=:=	+000017}');
Expect(1, 1463, '\p{Ccc:00017}', "");
Expect(0, 1463, '\p{^Ccc:00017}', "");
Expect(0, 1463, '\P{Ccc:00017}', "");
Expect(1, 1463, '\P{^Ccc:00017}', "");
Expect(0, 1462, '\p{Ccc:00017}', "");
Expect(1, 1462, '\p{^Ccc:00017}', "");
Expect(1, 1462, '\P{Ccc:00017}', "");
Expect(0, 1462, '\P{^Ccc:00017}', "");
Error('\p{Is_Canonical_Combining_Class= 017/a/}');
Error('\P{Is_Canonical_Combining_Class= 017/a/}');
Expect(1, 1463, '\p{Is_Canonical_Combining_Class=+00000000017}', "");
Expect(0, 1463, '\p{^Is_Canonical_Combining_Class=+00000000017}', "");
Expect(0, 1463, '\P{Is_Canonical_Combining_Class=+00000000017}', "");
Expect(1, 1463, '\P{^Is_Canonical_Combining_Class=+00000000017}', "");
Expect(0, 1462, '\p{Is_Canonical_Combining_Class=+00000000017}', "");
Expect(1, 1462, '\p{^Is_Canonical_Combining_Class=+00000000017}', "");
Expect(1, 1462, '\P{Is_Canonical_Combining_Class=+00000000017}', "");
Expect(0, 1462, '\P{^Is_Canonical_Combining_Class=+00000000017}', "");
Error('\p{Is_Ccc:	/a/_ +17}');
Error('\P{Is_Ccc:	/a/_ +17}');
Expect(1, 1463, '\p{Is_Ccc=+00000000017}', "");
Expect(0, 1463, '\p{^Is_Ccc=+00000000017}', "");
Expect(0, 1463, '\P{Is_Ccc=+00000000017}', "");
Expect(1, 1463, '\P{^Is_Ccc=+00000000017}', "");
Expect(0, 1462, '\p{Is_Ccc=+00000000017}', "");
Expect(1, 1462, '\p{^Is_Ccc=+00000000017}', "");
Expect(1, 1462, '\P{Is_Ccc=+00000000017}', "");
Expect(0, 1462, '\P{^Is_Ccc=+00000000017}', "");
Error('\p{Canonical_Combining_Class= -NOT:=reordered}');
Error('\P{Canonical_Combining_Class= -NOT:=reordered}');
Expect(1, 767, '\p{Canonical_Combining_Class=notreordered}', "");
Expect(0, 767, '\p{^Canonical_Combining_Class=notreordered}', "");
Expect(0, 767, '\P{Canonical_Combining_Class=notreordered}', "");
Expect(1, 767, '\P{^Canonical_Combining_Class=notreordered}', "");
Expect(0, 846, '\p{Canonical_Combining_Class=notreordered}', "");
Expect(1, 846, '\p{^Canonical_Combining_Class=notreordered}', "");
Expect(1, 846, '\P{Canonical_Combining_Class=notreordered}', "");
Expect(0, 846, '\P{^Canonical_Combining_Class=notreordered}', "");
Expect(1, 767, '\p{Canonical_Combining_Class=-Not_REORDERED}', "");
Expect(0, 767, '\p{^Canonical_Combining_Class=-Not_REORDERED}', "");
Expect(0, 767, '\P{Canonical_Combining_Class=-Not_REORDERED}', "");
Expect(1, 767, '\P{^Canonical_Combining_Class=-Not_REORDERED}', "");
Expect(0, 846, '\p{Canonical_Combining_Class=-Not_REORDERED}', "");
Expect(1, 846, '\p{^Canonical_Combining_Class=-Not_REORDERED}', "");
Expect(1, 846, '\P{Canonical_Combining_Class=-Not_REORDERED}', "");
Expect(0, 846, '\P{^Canonical_Combining_Class=-Not_REORDERED}', "");
Error('\p{Ccc:	/a/	_NR}');
Error('\P{Ccc:	/a/	_NR}');
Expect(1, 767, '\p{Ccc=nr}', "");
Expect(0, 767, '\p{^Ccc=nr}', "");
Expect(0, 767, '\P{Ccc=nr}', "");
Expect(1, 767, '\P{^Ccc=nr}', "");
Expect(0, 846, '\p{Ccc=nr}', "");
Expect(1, 846, '\p{^Ccc=nr}', "");
Expect(1, 846, '\P{Ccc=nr}', "");
Expect(0, 846, '\P{^Ccc=nr}', "");
Expect(1, 767, '\p{Ccc=_NR}', "");
Expect(0, 767, '\p{^Ccc=_NR}', "");
Expect(0, 767, '\P{Ccc=_NR}', "");
Expect(1, 767, '\P{^Ccc=_NR}', "");
Expect(0, 846, '\p{Ccc=_NR}', "");
Expect(1, 846, '\p{^Ccc=_NR}', "");
Expect(1, 846, '\P{Ccc=_NR}', "");
Expect(0, 846, '\P{^Ccc=_NR}', "");
Error('\p{Is_Canonical_Combining_Class:    /a/000_0}');
Error('\P{Is_Canonical_Combining_Class:    /a/000_0}');
Expect(1, 767, '\p{Is_Canonical_Combining_Class=0000}', "");
Expect(0, 767, '\p{^Is_Canonical_Combining_Class=0000}', "");
Expect(0, 767, '\P{Is_Canonical_Combining_Class=0000}', "");
Expect(1, 767, '\P{^Is_Canonical_Combining_Class=0000}', "");
Expect(0, 846, '\p{Is_Canonical_Combining_Class=0000}', "");
Expect(1, 846, '\p{^Is_Canonical_Combining_Class=0000}', "");
Expect(1, 846, '\P{Is_Canonical_Combining_Class=0000}', "");
Expect(0, 846, '\P{^Is_Canonical_Combining_Class=0000}', "");
Error('\p{Is_Ccc=:=_Not reordered}');
Error('\P{Is_Ccc=:=_Not reordered}');
Expect(1, 767, '\p{Is_Ccc=notreordered}', "");
Expect(0, 767, '\p{^Is_Ccc=notreordered}', "");
Expect(0, 767, '\P{Is_Ccc=notreordered}', "");
Expect(1, 767, '\P{^Is_Ccc=notreordered}', "");
Expect(0, 846, '\p{Is_Ccc=notreordered}', "");
Expect(1, 846, '\p{^Is_Ccc=notreordered}', "");
Expect(1, 846, '\P{Is_Ccc=notreordered}', "");
Expect(0, 846, '\P{^Is_Ccc=notreordered}', "");
Expect(1, 767, '\p{Is_Ccc=-	not Reordered}', "");
Expect(0, 767, '\p{^Is_Ccc=-	not Reordered}', "");
Expect(0, 767, '\P{Is_Ccc=-	not Reordered}', "");
Expect(1, 767, '\P{^Is_Ccc=-	not Reordered}', "");
Expect(0, 846, '\p{Is_Ccc=-	not Reordered}', "");
Expect(1, 846, '\p{^Is_Ccc=-	not Reordered}', "");
Expect(1, 846, '\P{Is_Ccc=-	not Reordered}', "");
Expect(0, 846, '\P{^Is_Ccc=-	not Reordered}', "");
Error('\p{Canonical_Combining_Class=_Above Left/a/}');
Error('\P{Canonical_Combining_Class=_Above Left/a/}');
Expect(1, 1454, '\p{Canonical_Combining_Class=aboveleft}', "");
Expect(0, 1454, '\p{^Canonical_Combining_Class=aboveleft}', "");
Expect(0, 1454, '\P{Canonical_Combining_Class=aboveleft}', "");
Expect(1, 1454, '\P{^Canonical_Combining_Class=aboveleft}', "");
Expect(0, 1453, '\p{Canonical_Combining_Class=aboveleft}', "");
Expect(1, 1453, '\p{^Canonical_Combining_Class=aboveleft}', "");
Expect(1, 1453, '\P{Canonical_Combining_Class=aboveleft}', "");
Expect(0, 1453, '\P{^Canonical_Combining_Class=aboveleft}', "");
Expect(1, 1454, '\p{Canonical_Combining_Class=_ABOVE Left}', "");
Expect(0, 1454, '\p{^Canonical_Combining_Class=_ABOVE Left}', "");
Expect(0, 1454, '\P{Canonical_Combining_Class=_ABOVE Left}', "");
Expect(1, 1454, '\P{^Canonical_Combining_Class=_ABOVE Left}', "");
Expect(0, 1453, '\p{Canonical_Combining_Class=_ABOVE Left}', "");
Expect(1, 1453, '\p{^Canonical_Combining_Class=_ABOVE Left}', "");
Expect(1, 1453, '\P{Canonical_Combining_Class=_ABOVE Left}', "");
Expect(0, 1453, '\P{^Canonical_Combining_Class=_ABOVE Left}', "");
Error('\p{Ccc=/a/_AL}');
Error('\P{Ccc=/a/_AL}');
Expect(1, 1454, '\p{Ccc=al}', "");
Expect(0, 1454, '\p{^Ccc=al}', "");
Expect(0, 1454, '\P{Ccc=al}', "");
Expect(1, 1454, '\P{^Ccc=al}', "");
Expect(0, 1453, '\p{Ccc=al}', "");
Expect(1, 1453, '\p{^Ccc=al}', "");
Expect(1, 1453, '\P{Ccc=al}', "");
Expect(0, 1453, '\P{^Ccc=al}', "");
Expect(1, 1454, '\p{Ccc= 	AL}', "");
Expect(0, 1454, '\p{^Ccc= 	AL}', "");
Expect(0, 1454, '\P{Ccc= 	AL}', "");
Expect(1, 1454, '\P{^Ccc= 	AL}', "");
Expect(0, 1453, '\p{Ccc= 	AL}', "");
Expect(1, 1453, '\p{^Ccc= 	AL}', "");
Expect(1, 1453, '\P{Ccc= 	AL}', "");
Expect(0, 1453, '\P{^Ccc= 	AL}', "");
Error('\p{Is_Canonical_Combining_Class=	00:=0_0 0_0	0 0_2	28}');
Error('\P{Is_Canonical_Combining_Class=	00:=0_0 0_0	0 0_2	28}');
Expect(1, 1454, '\p{Is_Canonical_Combining_Class=0_0_2_28}', "");
Expect(0, 1454, '\p{^Is_Canonical_Combining_Class=0_0_2_28}', "");
Expect(0, 1454, '\P{Is_Canonical_Combining_Class=0_0_2_28}', "");
Expect(1, 1454, '\P{^Is_Canonical_Combining_Class=0_0_2_28}', "");
Expect(0, 1453, '\p{Is_Canonical_Combining_Class=0_0_2_28}', "");
Expect(1, 1453, '\p{^Is_Canonical_Combining_Class=0_0_2_28}', "");
Expect(1, 1453, '\P{Is_Canonical_Combining_Class=0_0_2_28}', "");
Expect(0, 1453, '\P{^Is_Canonical_Combining_Class=0_0_2_28}', "");
Error('\p{Is_Ccc=-above-LEFT:=}');
Error('\P{Is_Ccc=-above-LEFT:=}');
Expect(1, 1454, '\p{Is_Ccc=aboveleft}', "");
Expect(0, 1454, '\p{^Is_Ccc=aboveleft}', "");
Expect(0, 1454, '\P{Is_Ccc=aboveleft}', "");
Expect(1, 1454, '\P{^Is_Ccc=aboveleft}', "");
Expect(0, 1453, '\p{Is_Ccc=aboveleft}', "");
Expect(1, 1453, '\p{^Is_Ccc=aboveleft}', "");
Expect(1, 1453, '\P{Is_Ccc=aboveleft}', "");
Expect(0, 1453, '\P{^Is_Ccc=aboveleft}', "");
Expect(1, 1454, '\p{Is_Ccc:	_	above_Left}', "");
Expect(0, 1454, '\p{^Is_Ccc:	_	above_Left}', "");
Expect(0, 1454, '\P{Is_Ccc:	_	above_Left}', "");
Expect(1, 1454, '\P{^Is_Ccc:	_	above_Left}', "");
Expect(0, 1453, '\p{Is_Ccc:	_	above_Left}', "");
Expect(1, 1453, '\p{^Is_Ccc:	_	above_Left}', "");
Expect(1, 1453, '\P{Is_Ccc:	_	above_Left}', "");
Expect(0, 1453, '\P{^Is_Ccc:	_	above_Left}', "");
Error('\p{Canonical_Combining_Class=	-overlay:=}');
Error('\P{Canonical_Combining_Class=	-overlay:=}');
Expect(1, 824, '\p{Canonical_Combining_Class=overlay}', "");
Expect(0, 824, '\p{^Canonical_Combining_Class=overlay}', "");
Expect(0, 824, '\P{Canonical_Combining_Class=overlay}', "");
Expect(1, 824, '\P{^Canonical_Combining_Class=overlay}', "");
Expect(0, 819, '\p{Canonical_Combining_Class=overlay}', "");
Expect(1, 819, '\p{^Canonical_Combining_Class=overlay}', "");
Expect(1, 819, '\P{Canonical_Combining_Class=overlay}', "");
Expect(0, 819, '\P{^Canonical_Combining_Class=overlay}', "");
Expect(1, 824, '\p{Canonical_Combining_Class=_	OVERLAY}', "");
Expect(0, 824, '\p{^Canonical_Combining_Class=_	OVERLAY}', "");
Expect(0, 824, '\P{Canonical_Combining_Class=_	OVERLAY}', "");
Expect(1, 824, '\P{^Canonical_Combining_Class=_	OVERLAY}', "");
Expect(0, 819, '\p{Canonical_Combining_Class=_	OVERLAY}', "");
Expect(1, 819, '\p{^Canonical_Combining_Class=_	OVERLAY}', "");
Expect(1, 819, '\P{Canonical_Combining_Class=_	OVERLAY}', "");
Expect(0, 819, '\P{^Canonical_Combining_Class=_	OVERLAY}', "");
Error('\p{Ccc=/a/-_OV}');
Error('\P{Ccc=/a/-_OV}');
Expect(1, 824, '\p{Ccc=ov}', "");
Expect(0, 824, '\p{^Ccc=ov}', "");
Expect(0, 824, '\P{Ccc=ov}', "");
Expect(1, 824, '\P{^Ccc=ov}', "");
Expect(0, 819, '\p{Ccc=ov}', "");
Expect(1, 819, '\p{^Ccc=ov}', "");
Expect(1, 819, '\P{Ccc=ov}', "");
Expect(0, 819, '\P{^Ccc=ov}', "");
Expect(1, 824, '\p{Ccc=_OV}', "");
Expect(0, 824, '\p{^Ccc=_OV}', "");
Expect(0, 824, '\P{Ccc=_OV}', "");
Expect(1, 824, '\P{^Ccc=_OV}', "");
Expect(0, 819, '\p{Ccc=_OV}', "");
Expect(1, 819, '\p{^Ccc=_OV}', "");
Expect(1, 819, '\P{Ccc=_OV}', "");
Expect(0, 819, '\P{^Ccc=_OV}', "");
Error('\p{Is_Canonical_Combining_Class=		+00/a/00-01}');
Error('\P{Is_Canonical_Combining_Class=		+00/a/00-01}');
Expect(1, 824, '\p{Is_Canonical_Combining_Class=00001}', "");
Expect(0, 824, '\p{^Is_Canonical_Combining_Class=00001}', "");
Expect(0, 824, '\P{Is_Canonical_Combining_Class=00001}', "");
Expect(1, 824, '\P{^Is_Canonical_Combining_Class=00001}', "");
Expect(0, 819, '\p{Is_Canonical_Combining_Class=00001}', "");
Expect(1, 819, '\p{^Is_Canonical_Combining_Class=00001}', "");
Expect(1, 819, '\P{Is_Canonical_Combining_Class=00001}', "");
Expect(0, 819, '\P{^Is_Canonical_Combining_Class=00001}', "");
Error('\p{Is_Ccc=:=	OVERLAY}');
Error('\P{Is_Ccc=:=	OVERLAY}');
Expect(1, 824, '\p{Is_Ccc=overlay}', "");
Expect(0, 824, '\p{^Is_Ccc=overlay}', "");
Expect(0, 824, '\P{Is_Ccc=overlay}', "");
Expect(1, 824, '\P{^Is_Ccc=overlay}', "");
Expect(0, 819, '\p{Is_Ccc=overlay}', "");
Expect(1, 819, '\p{^Is_Ccc=overlay}', "");
Expect(1, 819, '\P{Is_Ccc=overlay}', "");
Expect(0, 819, '\P{^Is_Ccc=overlay}', "");
Expect(1, 824, '\p{Is_Ccc:	-_OVERLAY}', "");
Expect(0, 824, '\p{^Is_Ccc:	-_OVERLAY}', "");
Expect(0, 824, '\P{Is_Ccc:	-_OVERLAY}', "");
Expect(1, 824, '\P{^Is_Ccc:	-_OVERLAY}', "");
Expect(0, 819, '\p{Is_Ccc:	-_OVERLAY}', "");
Expect(1, 819, '\p{^Is_Ccc:	-_OVERLAY}', "");
Expect(1, 819, '\P{Is_Ccc:	-_OVERLAY}', "");
Expect(0, 819, '\P{^Is_Ccc:	-_OVERLAY}', "");
Error('\p{Canonical_Combining_Class:_-Virama:=}');
Error('\P{Canonical_Combining_Class:_-Virama:=}');
Expect(1, 2381, '\p{Canonical_Combining_Class=virama}', "");
Expect(0, 2381, '\p{^Canonical_Combining_Class=virama}', "");
Expect(0, 2381, '\P{Canonical_Combining_Class=virama}', "");
Expect(1, 2381, '\P{^Canonical_Combining_Class=virama}', "");
Expect(0, 2380, '\p{Canonical_Combining_Class=virama}', "");
Expect(1, 2380, '\p{^Canonical_Combining_Class=virama}', "");
Expect(1, 2380, '\P{Canonical_Combining_Class=virama}', "");
Expect(0, 2380, '\P{^Canonical_Combining_Class=virama}', "");
Expect(1, 2381, '\p{Canonical_Combining_Class=__Virama}', "");
Expect(0, 2381, '\p{^Canonical_Combining_Class=__Virama}', "");
Expect(0, 2381, '\P{Canonical_Combining_Class=__Virama}', "");
Expect(1, 2381, '\P{^Canonical_Combining_Class=__Virama}', "");
Expect(0, 2380, '\p{Canonical_Combining_Class=__Virama}', "");
Expect(1, 2380, '\p{^Canonical_Combining_Class=__Virama}', "");
Expect(1, 2380, '\P{Canonical_Combining_Class=__Virama}', "");
Expect(0, 2380, '\P{^Canonical_Combining_Class=__Virama}', "");
Error('\p{Ccc=_vr/a/}');
Error('\P{Ccc=_vr/a/}');
Expect(1, 2381, '\p{Ccc=vr}', "");
Expect(0, 2381, '\p{^Ccc=vr}', "");
Expect(0, 2381, '\P{Ccc=vr}', "");
Expect(1, 2381, '\P{^Ccc=vr}', "");
Expect(0, 2380, '\p{Ccc=vr}', "");
Expect(1, 2380, '\p{^Ccc=vr}', "");
Expect(1, 2380, '\P{Ccc=vr}', "");
Expect(0, 2380, '\P{^Ccc=vr}', "");
Expect(1, 2381, '\p{Ccc=	 VR}', "");
Expect(0, 2381, '\p{^Ccc=	 VR}', "");
Expect(0, 2381, '\P{Ccc=	 VR}', "");
Expect(1, 2381, '\P{^Ccc=	 VR}', "");
Expect(0, 2380, '\p{Ccc=	 VR}', "");
Expect(1, 2380, '\p{^Ccc=	 VR}', "");
Expect(1, 2380, '\P{Ccc=	 VR}', "");
Expect(0, 2380, '\P{^Ccc=	 VR}', "");
Error('\p{Is_Canonical_Combining_Class= -9:=}');
Error('\P{Is_Canonical_Combining_Class= -9:=}');
Expect(1, 2381, '\p{Is_Canonical_Combining_Class=0000000009}', "");
Expect(0, 2381, '\p{^Is_Canonical_Combining_Class=0000000009}', "");
Expect(0, 2381, '\P{Is_Canonical_Combining_Class=0000000009}', "");
Expect(1, 2381, '\P{^Is_Canonical_Combining_Class=0000000009}', "");
Expect(0, 2380, '\p{Is_Canonical_Combining_Class=0000000009}', "");
Expect(1, 2380, '\p{^Is_Canonical_Combining_Class=0000000009}', "");
Expect(1, 2380, '\P{Is_Canonical_Combining_Class=0000000009}', "");
Expect(0, 2380, '\P{^Is_Canonical_Combining_Class=0000000009}', "");
Error('\p{Is_Ccc=- Virama:=}');
Error('\P{Is_Ccc=- Virama:=}');
Expect(1, 2381, '\p{Is_Ccc:virama}', "");
Expect(0, 2381, '\p{^Is_Ccc:virama}', "");
Expect(0, 2381, '\P{Is_Ccc:virama}', "");
Expect(1, 2381, '\P{^Is_Ccc:virama}', "");
Expect(0, 2380, '\p{Is_Ccc:virama}', "");
Expect(1, 2380, '\p{^Is_Ccc:virama}', "");
Expect(1, 2380, '\P{Is_Ccc:virama}', "");
Expect(0, 2380, '\P{^Is_Ccc:virama}', "");
Expect(1, 2381, '\p{Is_Ccc=	 VIRAMA}', "");
Expect(0, 2381, '\p{^Is_Ccc=	 VIRAMA}', "");
Expect(0, 2381, '\P{Is_Ccc=	 VIRAMA}', "");
Expect(1, 2381, '\P{^Is_Ccc=	 VIRAMA}', "");
Expect(0, 2380, '\p{Is_Ccc=	 VIRAMA}', "");
Expect(1, 2380, '\p{^Is_Ccc=	 VIRAMA}', "");
Expect(1, 2380, '\P{Is_Ccc=	 VIRAMA}', "");
Expect(0, 2380, '\P{^Is_Ccc=	 VIRAMA}', "");
Error('\p{Canonical_Combining_Class=	:=attachedBelow}');
Error('\P{Canonical_Combining_Class=	:=attachedBelow}');
Expect(1, 802, '\p{Canonical_Combining_Class=attachedbelow}', "");
Expect(0, 802, '\p{^Canonical_Combining_Class=attachedbelow}', "");
Expect(0, 802, '\P{Canonical_Combining_Class=attachedbelow}', "");
Expect(1, 802, '\P{^Canonical_Combining_Class=attachedbelow}', "");
Expect(0, 800, '\p{Canonical_Combining_Class=attachedbelow}', "");
Expect(1, 800, '\p{^Canonical_Combining_Class=attachedbelow}', "");
Expect(1, 800, '\P{Canonical_Combining_Class=attachedbelow}', "");
Expect(0, 800, '\P{^Canonical_Combining_Class=attachedbelow}', "");
Expect(1, 802, '\p{Canonical_Combining_Class=_-Attached-Below}', "");
Expect(0, 802, '\p{^Canonical_Combining_Class=_-Attached-Below}', "");
Expect(0, 802, '\P{Canonical_Combining_Class=_-Attached-Below}', "");
Expect(1, 802, '\P{^Canonical_Combining_Class=_-Attached-Below}', "");
Expect(0, 800, '\p{Canonical_Combining_Class=_-Attached-Below}', "");
Expect(1, 800, '\p{^Canonical_Combining_Class=_-Attached-Below}', "");
Expect(1, 800, '\P{Canonical_Combining_Class=_-Attached-Below}', "");
Expect(0, 800, '\P{^Canonical_Combining_Class=_-Attached-Below}', "");
Error('\p{Ccc= ATB:=}');
Error('\P{Ccc= ATB:=}');
Expect(1, 802, '\p{Ccc=atb}', "");
Expect(0, 802, '\p{^Ccc=atb}', "");
Expect(0, 802, '\P{Ccc=atb}', "");
Expect(1, 802, '\P{^Ccc=atb}', "");
Expect(0, 800, '\p{Ccc=atb}', "");
Expect(1, 800, '\p{^Ccc=atb}', "");
Expect(1, 800, '\P{Ccc=atb}', "");
Expect(0, 800, '\P{^Ccc=atb}', "");
Expect(1, 802, '\p{Ccc= 	atb}', "");
Expect(0, 802, '\p{^Ccc= 	atb}', "");
Expect(0, 802, '\P{Ccc= 	atb}', "");
Expect(1, 802, '\P{^Ccc= 	atb}', "");
Expect(0, 800, '\p{Ccc= 	atb}', "");
Expect(1, 800, '\p{^Ccc= 	atb}', "");
Expect(1, 800, '\P{Ccc= 	atb}', "");
Expect(0, 800, '\P{^Ccc= 	atb}', "");
Error('\p{Is_Canonical_Combining_Class: _20-2:=}');
Error('\P{Is_Canonical_Combining_Class: _20-2:=}');
Expect(1, 802, '\p{Is_Canonical_Combining_Class:	+00_00_00_02_02}', "");
Expect(0, 802, '\p{^Is_Canonical_Combining_Class:	+00_00_00_02_02}', "");
Expect(0, 802, '\P{Is_Canonical_Combining_Class:	+00_00_00_02_02}', "");
Expect(1, 802, '\P{^Is_Canonical_Combining_Class:	+00_00_00_02_02}', "");
Expect(0, 800, '\p{Is_Canonical_Combining_Class:	+00_00_00_02_02}', "");
Expect(1, 800, '\p{^Is_Canonical_Combining_Class:	+00_00_00_02_02}', "");
Expect(1, 800, '\P{Is_Canonical_Combining_Class:	+00_00_00_02_02}', "");
Expect(0, 800, '\P{^Is_Canonical_Combining_Class:	+00_00_00_02_02}', "");
Error('\p{Is_Ccc=-ATTACHED BELOW/a/}');
Error('\P{Is_Ccc=-ATTACHED BELOW/a/}');
Expect(1, 802, '\p{Is_Ccc=attachedbelow}', "");
Expect(0, 802, '\p{^Is_Ccc=attachedbelow}', "");
Expect(0, 802, '\P{Is_Ccc=attachedbelow}', "");
Expect(1, 802, '\P{^Is_Ccc=attachedbelow}', "");
Expect(0, 800, '\p{Is_Ccc=attachedbelow}', "");
Expect(1, 800, '\p{^Is_Ccc=attachedbelow}', "");
Expect(1, 800, '\P{Is_Ccc=attachedbelow}', "");
Expect(0, 800, '\P{^Is_Ccc=attachedbelow}', "");
Expect(1, 802, '\p{Is_Ccc=_Attached	Below}', "");
Expect(0, 802, '\p{^Is_Ccc=_Attached	Below}', "");
Expect(0, 802, '\P{Is_Ccc=_Attached	Below}', "");
Expect(1, 802, '\P{^Is_Ccc=_Attached	Below}', "");
Expect(0, 800, '\p{Is_Ccc=_Attached	Below}', "");
Expect(1, 800, '\p{^Is_Ccc=_Attached	Below}', "");
Expect(1, 800, '\P{Is_Ccc=_Attached	Below}', "");
Expect(0, 800, '\P{^Is_Ccc=_Attached	Below}', "");
Error('\p{Canonical_Combining_Class=/a/ -+0000000014}');
Error('\P{Canonical_Combining_Class=/a/ -+0000000014}');
Expect(1, 1460, '\p{Canonical_Combining_Class=000014}', "");
Expect(0, 1460, '\p{^Canonical_Combining_Class=000014}', "");
Expect(0, 1460, '\P{Canonical_Combining_Class=000014}', "");
Expect(1, 1460, '\P{^Canonical_Combining_Class=000014}', "");
Expect(0, 1459, '\p{Canonical_Combining_Class=000014}', "");
Expect(1, 1459, '\p{^Canonical_Combining_Class=000014}', "");
Expect(1, 1459, '\P{Canonical_Combining_Class=000014}', "");
Expect(0, 1459, '\P{^Canonical_Combining_Class=000014}', "");
Error('\p{Ccc=-/a/0014}');
Error('\P{Ccc=-/a/0014}');
Expect(1, 1460, '\p{Ccc=0000014}', "");
Expect(0, 1460, '\p{^Ccc=0000014}', "");
Expect(0, 1460, '\P{Ccc=0000014}', "");
Expect(1, 1460, '\P{^Ccc=0000014}', "");
Expect(0, 1459, '\p{Ccc=0000014}', "");
Expect(1, 1459, '\p{^Ccc=0000014}', "");
Expect(1, 1459, '\P{Ccc=0000014}', "");
Expect(0, 1459, '\P{^Ccc=0000014}', "");
Error('\p{Is_Canonical_Combining_Class=:=01_4}');
Error('\P{Is_Canonical_Combining_Class=:=01_4}');
Expect(1, 1460, '\p{Is_Canonical_Combining_Class:+00_00_01_4}', "");
Expect(0, 1460, '\p{^Is_Canonical_Combining_Class:+00_00_01_4}', "");
Expect(0, 1460, '\P{Is_Canonical_Combining_Class:+00_00_01_4}', "");
Expect(1, 1460, '\P{^Is_Canonical_Combining_Class:+00_00_01_4}', "");
Expect(0, 1459, '\p{Is_Canonical_Combining_Class:+00_00_01_4}', "");
Expect(1, 1459, '\p{^Is_Canonical_Combining_Class:+00_00_01_4}', "");
Expect(1, 1459, '\P{Is_Canonical_Combining_Class:+00_00_01_4}', "");
Expect(0, 1459, '\P{^Is_Canonical_Combining_Class:+00_00_01_4}', "");
Error('\p{Is_Ccc=_0014/a/}');
Error('\P{Is_Ccc=_0014/a/}');
Expect(1, 1460, '\p{Is_Ccc=014}', "");
Expect(0, 1460, '\p{^Is_Ccc=014}', "");
Expect(0, 1460, '\P{Is_Ccc=014}', "");
Expect(1, 1460, '\P{^Is_Ccc=014}', "");
Expect(0, 1459, '\p{Is_Ccc=014}', "");
Expect(1, 1459, '\p{^Is_Ccc=014}', "");
Expect(1, 1459, '\P{Is_Ccc=014}', "");
Expect(0, 1459, '\P{^Is_Ccc=014}', "");
Error('\p{Canonical_Combining_Class= _0000002	4:=}');
Error('\P{Canonical_Combining_Class= _0000002	4:=}');
Expect(1, 1473, '\p{Canonical_Combining_Class=+000002_4}', "");
Expect(0, 1473, '\p{^Canonical_Combining_Class=+000002_4}', "");
Expect(0, 1473, '\P{Canonical_Combining_Class=+000002_4}', "");
Expect(1, 1473, '\P{^Canonical_Combining_Class=+000002_4}', "");
Expect(0, 1472, '\p{Canonical_Combining_Class=+000002_4}', "");
Expect(1, 1472, '\p{^Canonical_Combining_Class=+000002_4}', "");
Expect(1, 1472, '\P{Canonical_Combining_Class=+000002_4}', "");
Expect(0, 1472, '\P{^Canonical_Combining_Class=+000002_4}', "");
Error('\p{Ccc=- 0_0_0	24/a/}');
Error('\P{Ccc=- 0_0_0	24/a/}');
Expect(1, 1473, '\p{Ccc=000024}', "");
Expect(0, 1473, '\p{^Ccc=000024}', "");
Expect(0, 1473, '\P{Ccc=000024}', "");
Expect(1, 1473, '\P{^Ccc=000024}', "");
Expect(0, 1472, '\p{Ccc=000024}', "");
Expect(1, 1472, '\p{^Ccc=000024}', "");
Expect(1, 1472, '\P{Ccc=000024}', "");
Expect(0, 1472, '\P{^Ccc=000024}', "");
Error('\p{Is_Canonical_Combining_Class=		0002/a/4}');
Error('\P{Is_Canonical_Combining_Class=		0002/a/4}');
Expect(1, 1473, '\p{Is_Canonical_Combining_Class=0000002_4}', "");
Expect(0, 1473, '\p{^Is_Canonical_Combining_Class=0000002_4}', "");
Expect(0, 1473, '\P{Is_Canonical_Combining_Class=0000002_4}', "");
Expect(1, 1473, '\P{^Is_Canonical_Combining_Class=0000002_4}', "");
Expect(0, 1472, '\p{Is_Canonical_Combining_Class=0000002_4}', "");
Expect(1, 1472, '\p{^Is_Canonical_Combining_Class=0000002_4}', "");
Expect(1, 1472, '\P{Is_Canonical_Combining_Class=0000002_4}', "");
Expect(0, 1472, '\P{^Is_Canonical_Combining_Class=0000002_4}', "");
Error('\p{Is_Ccc=_-+00:=00	02-4}');
Error('\P{Is_Ccc=_-+00:=00	02-4}');
Expect(1, 1473, '\p{Is_Ccc=+0_0_0_024}', "");
Expect(0, 1473, '\p{^Is_Ccc=+0_0_0_024}', "");
Expect(0, 1473, '\P{Is_Ccc=+0_0_0_024}', "");
Expect(1, 1473, '\P{^Is_Ccc=+0_0_0_024}', "");
Expect(0, 1472, '\p{Is_Ccc=+0_0_0_024}', "");
Expect(1, 1472, '\p{^Is_Ccc=+0_0_0_024}', "");
Expect(1, 1472, '\P{Is_Ccc=+0_0_0_024}', "");
Expect(0, 1472, '\P{^Is_Ccc=+0_0_0_024}', "");
Error('\p{Canonical_Combining_Class=	-0000000023/a/}');
Error('\P{Canonical_Combining_Class=	-0000000023/a/}');
Expect(1, 1471, '\p{Canonical_Combining_Class=+2_3}', "");
Expect(0, 1471, '\p{^Canonical_Combining_Class=+2_3}', "");
Expect(0, 1471, '\P{Canonical_Combining_Class=+2_3}', "");
Expect(1, 1471, '\P{^Canonical_Combining_Class=+2_3}', "");
Expect(0, 1470, '\p{Canonical_Combining_Class=+2_3}', "");
Expect(1, 1470, '\p{^Canonical_Combining_Class=+2_3}', "");
Expect(1, 1470, '\P{Canonical_Combining_Class=+2_3}', "");
Expect(0, 1470, '\P{^Canonical_Combining_Class=+2_3}', "");
Error('\p{Ccc=  00000023:=}');
Error('\P{Ccc=  00000023:=}');
Expect(1, 1471, '\p{Ccc=+0000023}', "");
Expect(0, 1471, '\p{^Ccc=+0000023}', "");
Expect(0, 1471, '\P{Ccc=+0000023}', "");
Expect(1, 1471, '\P{^Ccc=+0000023}', "");
Expect(0, 1470, '\p{Ccc=+0000023}', "");
Expect(1, 1470, '\p{^Ccc=+0000023}', "");
Expect(1, 1470, '\P{Ccc=+0000023}', "");
Expect(0, 1470, '\P{^Ccc=+0000023}', "");
Error('\p{Is_Canonical_Combining_Class=-02_3:=}');
Error('\P{Is_Canonical_Combining_Class=-02_3:=}');
Expect(1, 1471, '\p{Is_Canonical_Combining_Class: 0_0_0_0_0_0_23}', "");
Expect(0, 1471, '\p{^Is_Canonical_Combining_Class: 0_0_0_0_0_0_23}', "");
Expect(0, 1471, '\P{Is_Canonical_Combining_Class: 0_0_0_0_0_0_23}', "");
Expect(1, 1471, '\P{^Is_Canonical_Combining_Class: 0_0_0_0_0_0_23}', "");
Expect(0, 1470, '\p{Is_Canonical_Combining_Class: 0_0_0_0_0_0_23}', "");
Expect(1, 1470, '\p{^Is_Canonical_Combining_Class: 0_0_0_0_0_0_23}', "");
Expect(1, 1470, '\P{Is_Canonical_Combining_Class: 0_0_0_0_0_0_23}', "");
Expect(0, 1470, '\P{^Is_Canonical_Combining_Class: 0_0_0_0_0_0_23}', "");
Error('\p{Is_Ccc=  00023:=}');
Error('\P{Is_Ccc=  00023:=}');
Expect(1, 1471, '\p{Is_Ccc=000_000_23}', "");
Expect(0, 1471, '\p{^Is_Ccc=000_000_23}', "");
Expect(0, 1471, '\P{Is_Ccc=000_000_23}', "");
Expect(1, 1471, '\P{^Is_Ccc=000_000_23}', "");
Expect(0, 1470, '\p{Is_Ccc=000_000_23}', "");
Expect(1, 1470, '\p{^Is_Ccc=000_000_23}', "");
Expect(1, 1470, '\P{Is_Ccc=000_000_23}', "");
Expect(0, 1470, '\P{^Is_Ccc=000_000_23}', "");
Error('\p{Canonical_Combining_Class= /a/nukta}');
Error('\P{Canonical_Combining_Class= /a/nukta}');
Expect(1, 2364, '\p{Canonical_Combining_Class=nukta}', "");
Expect(0, 2364, '\p{^Canonical_Combining_Class=nukta}', "");
Expect(0, 2364, '\P{Canonical_Combining_Class=nukta}', "");
Expect(1, 2364, '\P{^Canonical_Combining_Class=nukta}', "");
Expect(0, 2363, '\p{Canonical_Combining_Class=nukta}', "");
Expect(1, 2363, '\p{^Canonical_Combining_Class=nukta}', "");
Expect(1, 2363, '\P{Canonical_Combining_Class=nukta}', "");
Expect(0, 2363, '\P{^Canonical_Combining_Class=nukta}', "");
Expect(1, 2364, '\p{Canonical_Combining_Class=-_Nukta}', "");
Expect(0, 2364, '\p{^Canonical_Combining_Class=-_Nukta}', "");
Expect(0, 2364, '\P{Canonical_Combining_Class=-_Nukta}', "");
Expect(1, 2364, '\P{^Canonical_Combining_Class=-_Nukta}', "");
Expect(0, 2363, '\p{Canonical_Combining_Class=-_Nukta}', "");
Expect(1, 2363, '\p{^Canonical_Combining_Class=-_Nukta}', "");
Expect(1, 2363, '\P{Canonical_Combining_Class=-_Nukta}', "");
Expect(0, 2363, '\P{^Canonical_Combining_Class=-_Nukta}', "");
Error('\p{Ccc=	NK:=}');
Error('\P{Ccc=	NK:=}');
Expect(1, 2364, '\p{Ccc:   nk}', "");
Expect(0, 2364, '\p{^Ccc:   nk}', "");
Expect(0, 2364, '\P{Ccc:   nk}', "");
Expect(1, 2364, '\P{^Ccc:   nk}', "");
Expect(0, 2363, '\p{Ccc:   nk}', "");
Expect(1, 2363, '\p{^Ccc:   nk}', "");
Expect(1, 2363, '\P{Ccc:   nk}', "");
Expect(0, 2363, '\P{^Ccc:   nk}', "");
Expect(1, 2364, '\p{Ccc=	 NK}', "");
Expect(0, 2364, '\p{^Ccc=	 NK}', "");
Expect(0, 2364, '\P{Ccc=	 NK}', "");
Expect(1, 2364, '\P{^Ccc=	 NK}', "");
Expect(0, 2363, '\p{Ccc=	 NK}', "");
Expect(1, 2363, '\p{^Ccc=	 NK}', "");
Expect(1, 2363, '\P{Ccc=	 NK}', "");
Expect(0, 2363, '\P{^Ccc=	 NK}', "");
Error('\p{Is_Canonical_Combining_Class= :=+000000007}');
Error('\P{Is_Canonical_Combining_Class= :=+000000007}');
Expect(1, 2364, '\p{Is_Canonical_Combining_Class=+0_0_0_0_07}', "");
Expect(0, 2364, '\p{^Is_Canonical_Combining_Class=+0_0_0_0_07}', "");
Expect(0, 2364, '\P{Is_Canonical_Combining_Class=+0_0_0_0_07}', "");
Expect(1, 2364, '\P{^Is_Canonical_Combining_Class=+0_0_0_0_07}', "");
Expect(0, 2363, '\p{Is_Canonical_Combining_Class=+0_0_0_0_07}', "");
Expect(1, 2363, '\p{^Is_Canonical_Combining_Class=+0_0_0_0_07}', "");
Expect(1, 2363, '\P{Is_Canonical_Combining_Class=+0_0_0_0_07}', "");
Expect(0, 2363, '\P{^Is_Canonical_Combining_Class=+0_0_0_0_07}', "");
Error('\p{Is_Ccc=Nukta:=}');
Error('\P{Is_Ccc=Nukta:=}');
Expect(1, 2364, '\p{Is_Ccc=nukta}', "");
Expect(0, 2364, '\p{^Is_Ccc=nukta}', "");
Expect(0, 2364, '\P{Is_Ccc=nukta}', "");
Expect(1, 2364, '\P{^Is_Ccc=nukta}', "");
Expect(0, 2363, '\p{Is_Ccc=nukta}', "");
Expect(1, 2363, '\p{^Is_Ccc=nukta}', "");
Expect(1, 2363, '\P{Is_Ccc=nukta}', "");
Expect(0, 2363, '\P{^Is_Ccc=nukta}', "");
Expect(1, 2364, '\p{Is_Ccc=	Nukta}', "");
Expect(0, 2364, '\p{^Is_Ccc=	Nukta}', "");
Expect(0, 2364, '\P{Is_Ccc=	Nukta}', "");
Expect(1, 2364, '\P{^Is_Ccc=	Nukta}', "");
Expect(0, 2363, '\p{Is_Ccc=	Nukta}', "");
Expect(1, 2363, '\p{^Is_Ccc=	Nukta}', "");
Expect(1, 2363, '\P{Is_Ccc=	Nukta}', "");
Expect(0, 2363, '\P{^Is_Ccc=	Nukta}', "");
Error('\p{Canonical_Combining_Class=:=_ 00000033}');
Error('\P{Canonical_Combining_Class=:=_ 00000033}');
Expect(1, 1617, '\p{Canonical_Combining_Class=0033}', "");
Expect(0, 1617, '\p{^Canonical_Combining_Class=0033}', "");
Expect(0, 1617, '\P{Canonical_Combining_Class=0033}', "");
Expect(1, 1617, '\P{^Canonical_Combining_Class=0033}', "");
Expect(0, 1616, '\p{Canonical_Combining_Class=0033}', "");
Expect(1, 1616, '\p{^Canonical_Combining_Class=0033}', "");
Expect(1, 1616, '\P{Canonical_Combining_Class=0033}', "");
Expect(0, 1616, '\P{^Canonical_Combining_Class=0033}', "");
Error('\p{Ccc=_ 00033:=}');
Error('\P{Ccc=_ 00033:=}');
Expect(1, 1617, '\p{Ccc=00_00_00_03_3}', "");
Expect(0, 1617, '\p{^Ccc=00_00_00_03_3}', "");
Expect(0, 1617, '\P{Ccc=00_00_00_03_3}', "");
Expect(1, 1617, '\P{^Ccc=00_00_00_03_3}', "");
Expect(0, 1616, '\p{Ccc=00_00_00_03_3}', "");
Expect(1, 1616, '\p{^Ccc=00_00_00_03_3}', "");
Expect(1, 1616, '\P{Ccc=00_00_00_03_3}', "");
Expect(0, 1616, '\P{^Ccc=00_00_00_03_3}', "");
Error('\p{Is_Canonical_Combining_Class=:=  +0033}');
Error('\P{Is_Canonical_Combining_Class=:=  +0033}');
Expect(1, 1617, '\p{Is_Canonical_Combining_Class=0003_3}', "");
Expect(0, 1617, '\p{^Is_Canonical_Combining_Class=0003_3}', "");
Expect(0, 1617, '\P{Is_Canonical_Combining_Class=0003_3}', "");
Expect(1, 1617, '\P{^Is_Canonical_Combining_Class=0003_3}', "");
Expect(0, 1616, '\p{Is_Canonical_Combining_Class=0003_3}', "");
Expect(1, 1616, '\p{^Is_Canonical_Combining_Class=0003_3}', "");
Expect(1, 1616, '\P{Is_Canonical_Combining_Class=0003_3}', "");
Expect(0, 1616, '\P{^Is_Canonical_Combining_Class=0003_3}', "");
Error('\p{Is_Ccc=/a/	_0033}');
Error('\P{Is_Ccc=/a/	_0033}');
Expect(1, 1617, '\p{Is_Ccc=33}', "");
Expect(0, 1617, '\p{^Is_Ccc=33}', "");
Expect(0, 1617, '\P{Is_Ccc=33}', "");
Expect(1, 1617, '\P{^Is_Ccc=33}', "");
Expect(0, 1616, '\p{Is_Ccc=33}', "");
Expect(1, 1616, '\p{^Is_Ccc=33}', "");
Expect(1, 1616, '\P{Is_Ccc=33}', "");
Expect(0, 1616, '\P{^Is_Ccc=33}', "");
Error('\p{Canonical_Combining_Class=:= 0 0 0_00 021}');
Error('\P{Canonical_Combining_Class=:= 0 0 0_00 021}');
Expect(1, 1468, '\p{Canonical_Combining_Class:	+0_0_0_0_0_0_0_0_21}', "");
Expect(0, 1468, '\p{^Canonical_Combining_Class:	+0_0_0_0_0_0_0_0_21}', "");
Expect(0, 1468, '\P{Canonical_Combining_Class:	+0_0_0_0_0_0_0_0_21}', "");
Expect(1, 1468, '\P{^Canonical_Combining_Class:	+0_0_0_0_0_0_0_0_21}', "");
Expect(0, 1467, '\p{Canonical_Combining_Class:	+0_0_0_0_0_0_0_0_21}', "");
Expect(1, 1467, '\p{^Canonical_Combining_Class:	+0_0_0_0_0_0_0_0_21}', "");
Expect(1, 1467, '\P{Canonical_Combining_Class:	+0_0_0_0_0_0_0_0_21}', "");
Expect(0, 1467, '\P{^Canonical_Combining_Class:	+0_0_0_0_0_0_0_0_21}', "");
Error('\p{Ccc=	_000000021/a/}');
Error('\P{Ccc=	_000000021/a/}');
Expect(1, 1468, '\p{Ccc=0000021}', "");
Expect(0, 1468, '\p{^Ccc=0000021}', "");
Expect(0, 1468, '\P{Ccc=0000021}', "");
Expect(1, 1468, '\P{^Ccc=0000021}', "");
Expect(0, 1467, '\p{Ccc=0000021}', "");
Expect(1, 1467, '\p{^Ccc=0000021}', "");
Expect(1, 1467, '\P{Ccc=0000021}', "");
Expect(0, 1467, '\P{^Ccc=0000021}', "");
Error('\p{Is_Canonical_Combining_Class=:=	-+000021}');
Error('\P{Is_Canonical_Combining_Class=:=	-+000021}');
Expect(1, 1468, '\p{Is_Canonical_Combining_Class=+000_000_002_1}', "");
Expect(0, 1468, '\p{^Is_Canonical_Combining_Class=+000_000_002_1}', "");
Expect(0, 1468, '\P{Is_Canonical_Combining_Class=+000_000_002_1}', "");
Expect(1, 1468, '\P{^Is_Canonical_Combining_Class=+000_000_002_1}', "");
Expect(0, 1467, '\p{Is_Canonical_Combining_Class=+000_000_002_1}', "");
Expect(1, 1467, '\p{^Is_Canonical_Combining_Class=+000_000_002_1}', "");
Expect(1, 1467, '\P{Is_Canonical_Combining_Class=+000_000_002_1}', "");
Expect(0, 1467, '\P{^Is_Canonical_Combining_Class=+000_000_002_1}', "");
Error('\p{Is_Ccc=:=-0000021}');
Error('\P{Is_Ccc=:=-0000021}');
Expect(1, 1468, '\p{Is_Ccc=0000021}', "");
Expect(0, 1468, '\p{^Is_Ccc=0000021}', "");
Expect(0, 1468, '\P{Is_Ccc=0000021}', "");
Expect(1, 1468, '\P{^Is_Ccc=0000021}', "");
Expect(0, 1467, '\p{Is_Ccc=0000021}', "");
Expect(1, 1467, '\p{^Is_Ccc=0000021}', "");
Expect(1, 1467, '\P{Is_Ccc=0000021}', "");
Expect(0, 1467, '\P{^Is_Ccc=0000021}', "");
Error('\p{Canonical_Combining_Class=_/a/+0000026}');
Error('\P{Canonical_Combining_Class=_/a/+0000026}');
Expect(1, 64286, '\p{Canonical_Combining_Class=02_6}', "");
Expect(0, 64286, '\p{^Canonical_Combining_Class=02_6}', "");
Expect(0, 64286, '\P{Canonical_Combining_Class=02_6}', "");
Expect(1, 64286, '\P{^Canonical_Combining_Class=02_6}', "");
Expect(0, 64285, '\p{Canonical_Combining_Class=02_6}', "");
Expect(1, 64285, '\p{^Canonical_Combining_Class=02_6}', "");
Expect(1, 64285, '\P{Canonical_Combining_Class=02_6}', "");
Expect(0, 64285, '\P{^Canonical_Combining_Class=02_6}', "");
Error('\p{Ccc=	 000000026/a/}');
Error('\P{Ccc=	 000000026/a/}');
Expect(1, 64286, '\p{Ccc=00000000026}', "");
Expect(0, 64286, '\p{^Ccc=00000000026}', "");
Expect(0, 64286, '\P{Ccc=00000000026}', "");
Expect(1, 64286, '\P{^Ccc=00000000026}', "");
Expect(0, 64285, '\p{Ccc=00000000026}', "");
Expect(1, 64285, '\p{^Ccc=00000000026}', "");
Expect(1, 64285, '\P{Ccc=00000000026}', "");
Expect(0, 64285, '\P{^Ccc=00000000026}', "");
Error('\p{Is_Canonical_Combining_Class= :=+0000026}');
Error('\P{Is_Canonical_Combining_Class= :=+0000026}');
Expect(1, 64286, '\p{Is_Canonical_Combining_Class=0_0_0_0_0_0_0_0_0_26}', "");
Expect(0, 64286, '\p{^Is_Canonical_Combining_Class=0_0_0_0_0_0_0_0_0_26}', "");
Expect(0, 64286, '\P{Is_Canonical_Combining_Class=0_0_0_0_0_0_0_0_0_26}', "");
Expect(1, 64286, '\P{^Is_Canonical_Combining_Class=0_0_0_0_0_0_0_0_0_26}', "");
Expect(0, 64285, '\p{Is_Canonical_Combining_Class=0_0_0_0_0_0_0_0_0_26}', "");
Expect(1, 64285, '\p{^Is_Canonical_Combining_Class=0_0_0_0_0_0_0_0_0_26}', "");
Expect(1, 64285, '\P{Is_Canonical_Combining_Class=0_0_0_0_0_0_0_0_0_26}', "");
Expect(0, 64285, '\P{^Is_Canonical_Combining_Class=0_0_0_0_0_0_0_0_0_26}', "");
Error('\p{Is_Ccc=-0002	6:=}');
Error('\P{Is_Ccc=-0002	6:=}');
Expect(1, 64286, '\p{Is_Ccc=0026}', "");
Expect(0, 64286, '\p{^Is_Ccc=0026}', "");
Expect(0, 64286, '\P{Is_Ccc=0026}', "");
Expect(1, 64286, '\P{^Is_Ccc=0026}', "");
Expect(0, 64285, '\p{Is_Ccc=0026}', "");
Expect(1, 64285, '\p{^Is_Ccc=0026}', "");
Expect(1, 64285, '\P{Is_Ccc=0026}', "");
Expect(0, 64285, '\P{^Is_Ccc=0026}', "");
Error('\p{Canonical_Combining_Class=_0:=00	0	0_0-1-03}');
Error('\P{Canonical_Combining_Class=_0:=00	0	0_0-1-03}');
Expect(1, 3641, '\p{Canonical_Combining_Class:00_01_03}', "");
Expect(0, 3641, '\p{^Canonical_Combining_Class:00_01_03}', "");
Expect(0, 3641, '\P{Canonical_Combining_Class:00_01_03}', "");
Expect(1, 3641, '\P{^Canonical_Combining_Class:00_01_03}', "");
Expect(0, 3639, '\p{Canonical_Combining_Class:00_01_03}', "");
Expect(1, 3639, '\p{^Canonical_Combining_Class:00_01_03}', "");
Expect(1, 3639, '\P{Canonical_Combining_Class:00_01_03}', "");
Expect(0, 3639, '\P{^Canonical_Combining_Class:00_01_03}', "");
Error('\p{Ccc=:=- 0000103}');
Error('\P{Ccc=:=- 0000103}');
Expect(1, 3641, '\p{Ccc=0_0_0_0_0_103}', "");
Expect(0, 3641, '\p{^Ccc=0_0_0_0_0_103}', "");
Expect(0, 3641, '\P{Ccc=0_0_0_0_0_103}', "");
Expect(1, 3641, '\P{^Ccc=0_0_0_0_0_103}', "");
Expect(0, 3639, '\p{Ccc=0_0_0_0_0_103}', "");
Expect(1, 3639, '\p{^Ccc=0_0_0_0_0_103}', "");
Expect(1, 3639, '\P{Ccc=0_0_0_0_0_103}', "");
Expect(0, 3639, '\P{^Ccc=0_0_0_0_0_103}', "");
Error('\p{Is_Canonical_Combining_Class=/a/ +000103}');
Error('\P{Is_Canonical_Combining_Class=/a/ +000103}');
Expect(1, 3641, '\p{Is_Canonical_Combining_Class=00000000010_3}', "");
Expect(0, 3641, '\p{^Is_Canonical_Combining_Class=00000000010_3}', "");
Expect(0, 3641, '\P{Is_Canonical_Combining_Class=00000000010_3}', "");
Expect(1, 3641, '\P{^Is_Canonical_Combining_Class=00000000010_3}', "");
Expect(0, 3639, '\p{Is_Canonical_Combining_Class=00000000010_3}', "");
Expect(1, 3639, '\p{^Is_Canonical_Combining_Class=00000000010_3}', "");
Expect(1, 3639, '\P{Is_Canonical_Combining_Class=00000000010_3}', "");
Expect(0, 3639, '\P{^Is_Canonical_Combining_Class=00000000010_3}', "");
Error('\p{Is_Ccc:	/a/	000000103}');
Error('\P{Is_Ccc:	/a/	000000103}');
Expect(1, 3641, '\p{Is_Ccc=00_01_03}', "");
Expect(0, 3641, '\p{^Is_Ccc=00_01_03}', "");
Expect(0, 3641, '\P{Is_Ccc=00_01_03}', "");
Expect(1, 3641, '\P{^Is_Ccc=00_01_03}', "");
Expect(0, 3639, '\p{Is_Ccc=00_01_03}', "");
Expect(1, 3639, '\p{^Is_Ccc=00_01_03}', "");
Expect(1, 3639, '\P{Is_Ccc=00_01_03}', "");
Expect(0, 3639, '\P{^Is_Ccc=00_01_03}', "");
Error('\p{Canonical_Combining_Class=		00000010:=}');
Error('\P{Canonical_Combining_Class=		00000010:=}');
Expect(1, 1456, '\p{Canonical_Combining_Class=+0_0_0_0_0_0_10}', "");
Expect(0, 1456, '\p{^Canonical_Combining_Class=+0_0_0_0_0_0_10}', "");
Expect(0, 1456, '\P{Canonical_Combining_Class=+0_0_0_0_0_0_10}', "");
Expect(1, 1456, '\P{^Canonical_Combining_Class=+0_0_0_0_0_0_10}', "");
Expect(0, 1455, '\p{Canonical_Combining_Class=+0_0_0_0_0_0_10}', "");
Expect(1, 1455, '\p{^Canonical_Combining_Class=+0_0_0_0_0_0_10}', "");
Expect(1, 1455, '\P{Canonical_Combining_Class=+0_0_0_0_0_0_10}', "");
Expect(0, 1455, '\P{^Canonical_Combining_Class=+0_0_0_0_0_0_10}', "");
Error('\p{Ccc= _+01:=0}');
Error('\P{Ccc= _+01:=0}');
Expect(1, 1456, '\p{Ccc=+0_0_0_0_0010}', "");
Expect(0, 1456, '\p{^Ccc=+0_0_0_0_0010}', "");
Expect(0, 1456, '\P{Ccc=+0_0_0_0_0010}', "");
Expect(1, 1456, '\P{^Ccc=+0_0_0_0_0010}', "");
Expect(0, 1455, '\p{Ccc=+0_0_0_0_0010}', "");
Expect(1, 1455, '\p{^Ccc=+0_0_0_0_0010}', "");
Expect(1, 1455, '\P{Ccc=+0_0_0_0_0010}', "");
Expect(0, 1455, '\P{^Ccc=+0_0_0_0_0010}', "");
Error('\p{Is_Canonical_Combining_Class=-/a/+00_0-010}');
Error('\P{Is_Canonical_Combining_Class=-/a/+00_0-010}');
Expect(1, 1456, '\p{Is_Canonical_Combining_Class=0000010}', "");
Expect(0, 1456, '\p{^Is_Canonical_Combining_Class=0000010}', "");
Expect(0, 1456, '\P{Is_Canonical_Combining_Class=0000010}', "");
Expect(1, 1456, '\P{^Is_Canonical_Combining_Class=0000010}', "");
Expect(0, 1455, '\p{Is_Canonical_Combining_Class=0000010}', "");
Expect(1, 1455, '\p{^Is_Canonical_Combining_Class=0000010}', "");
Expect(1, 1455, '\P{Is_Canonical_Combining_Class=0000010}', "");
Expect(0, 1455, '\P{^Is_Canonical_Combining_Class=0000010}', "");
Error('\p{Is_Ccc: 	:=+00	00_10}');
Error('\P{Is_Ccc: 	:=+00	00_10}');
Expect(1, 1456, '\p{Is_Ccc=00_00_10}', "");
Expect(0, 1456, '\p{^Is_Ccc=00_00_10}', "");
Expect(0, 1456, '\P{Is_Ccc=00_00_10}', "");
Expect(1, 1456, '\P{^Is_Ccc=00_00_10}', "");
Expect(0, 1455, '\p{Is_Ccc=00_00_10}', "");
Expect(1, 1455, '\p{^Is_Ccc=00_00_10}', "");
Expect(1, 1455, '\P{Is_Ccc=00_00_10}', "");
Expect(0, 1455, '\P{^Is_Ccc=00_00_10}', "");
Error('\p{Canonical_Combining_Class= -0/a/0	91}');
Error('\P{Canonical_Combining_Class= -0/a/0	91}');
Expect(1, 3158, '\p{Canonical_Combining_Class:	0091}', "");
Expect(0, 3158, '\p{^Canonical_Combining_Class:	0091}', "");
Expect(0, 3158, '\P{Canonical_Combining_Class:	0091}', "");
Expect(1, 3158, '\P{^Canonical_Combining_Class:	0091}', "");
Expect(0, 3157, '\p{Canonical_Combining_Class:	0091}', "");
Expect(1, 3157, '\p{^Canonical_Combining_Class:	0091}', "");
Expect(1, 3157, '\P{Canonical_Combining_Class:	0091}', "");
Expect(0, 3157, '\P{^Canonical_Combining_Class:	0091}', "");
Error('\p{Ccc=  +0000000091:=}');
Error('\P{Ccc=  +0000000091:=}');
Expect(1, 3158, '\p{Ccc=91}', "");
Expect(0, 3158, '\p{^Ccc=91}', "");
Expect(0, 3158, '\P{Ccc=91}', "");
Expect(1, 3158, '\P{^Ccc=91}', "");
Expect(0, 3157, '\p{Ccc=91}', "");
Expect(1, 3157, '\p{^Ccc=91}', "");
Expect(1, 3157, '\P{Ccc=91}', "");
Expect(0, 3157, '\P{^Ccc=91}', "");
Error('\p{Is_Canonical_Combining_Class= 	00-09 1/a/}');
Error('\P{Is_Canonical_Combining_Class= 	00-09 1/a/}');
Expect(1, 3158, '\p{Is_Canonical_Combining_Class=00_09_1}', "");
Expect(0, 3158, '\p{^Is_Canonical_Combining_Class=00_09_1}', "");
Expect(0, 3158, '\P{Is_Canonical_Combining_Class=00_09_1}', "");
Expect(1, 3158, '\P{^Is_Canonical_Combining_Class=00_09_1}', "");
Expect(0, 3157, '\p{Is_Canonical_Combining_Class=00_09_1}', "");
Expect(1, 3157, '\p{^Is_Canonical_Combining_Class=00_09_1}', "");
Expect(1, 3157, '\P{Is_Canonical_Combining_Class=00_09_1}', "");
Expect(0, 3157, '\P{^Is_Canonical_Combining_Class=00_09_1}', "");
Error('\p{Is_Ccc=/a/0000000091}');
Error('\P{Is_Ccc=/a/0000000091}');
Expect(1, 3158, '\p{Is_Ccc=00_00_00_09_1}', "");
Expect(0, 3158, '\p{^Is_Ccc=00_00_00_09_1}', "");
Expect(0, 3158, '\P{Is_Ccc=00_00_00_09_1}', "");
Expect(1, 3158, '\P{^Is_Ccc=00_00_00_09_1}', "");
Expect(0, 3157, '\p{Is_Ccc=00_00_00_09_1}', "");
Expect(1, 3157, '\p{^Is_Ccc=00_00_00_09_1}', "");
Expect(1, 3157, '\P{Is_Ccc=00_00_00_09_1}', "");
Expect(0, 3157, '\P{^Is_Ccc=00_00_00_09_1}', "");
Error('\p{Canonical_Combining_Class=:=__00107}');
Error('\P{Canonical_Combining_Class=:=__00107}');
Expect(1, 3659, '\p{Canonical_Combining_Class=00000107}', "");
Expect(0, 3659, '\p{^Canonical_Combining_Class=00000107}', "");
Expect(0, 3659, '\P{Canonical_Combining_Class=00000107}', "");
Expect(1, 3659, '\P{^Canonical_Combining_Class=00000107}', "");
Expect(0, 3655, '\p{Canonical_Combining_Class=00000107}', "");
Expect(1, 3655, '\p{^Canonical_Combining_Class=00000107}', "");
Expect(1, 3655, '\P{Canonical_Combining_Class=00000107}', "");
Expect(0, 3655, '\P{^Canonical_Combining_Class=00000107}', "");
Error('\p{Ccc=-+0107:=}');
Error('\P{Ccc=-+0107:=}');
Expect(1, 3659, '\p{Ccc=+000_001_07}', "");
Expect(0, 3659, '\p{^Ccc=+000_001_07}', "");
Expect(0, 3659, '\P{Ccc=+000_001_07}', "");
Expect(1, 3659, '\P{^Ccc=+000_001_07}', "");
Expect(0, 3655, '\p{Ccc=+000_001_07}', "");
Expect(1, 3655, '\p{^Ccc=+000_001_07}', "");
Expect(1, 3655, '\P{Ccc=+000_001_07}', "");
Expect(0, 3655, '\P{^Ccc=+000_001_07}', "");
Error('\p{Is_Canonical_Combining_Class=	-+0107:=}');
Error('\P{Is_Canonical_Combining_Class=	-+0107:=}');
Expect(1, 3659, '\p{Is_Canonical_Combining_Class=+0_0_1_07}', "");
Expect(0, 3659, '\p{^Is_Canonical_Combining_Class=+0_0_1_07}', "");
Expect(0, 3659, '\P{Is_Canonical_Combining_Class=+0_0_1_07}', "");
Expect(1, 3659, '\P{^Is_Canonical_Combining_Class=+0_0_1_07}', "");
Expect(0, 3655, '\p{Is_Canonical_Combining_Class=+0_0_1_07}', "");
Expect(1, 3655, '\p{^Is_Canonical_Combining_Class=+0_0_1_07}', "");
Expect(1, 3655, '\P{Is_Canonical_Combining_Class=+0_0_1_07}', "");
Expect(0, 3655, '\P{^Is_Canonical_Combining_Class=+0_0_1_07}', "");
Error('\p{Is_Ccc= _0_0/a/0_1_07}');
Error('\P{Is_Ccc= _0_0/a/0_1_07}');
Expect(1, 3659, '\p{Is_Ccc=000000000107}', "");
Expect(0, 3659, '\p{^Is_Ccc=000000000107}', "");
Expect(0, 3659, '\P{Is_Ccc=000000000107}', "");
Expect(1, 3659, '\P{^Is_Ccc=000000000107}', "");
Expect(0, 3655, '\p{Is_Ccc=000000000107}', "");
Expect(1, 3655, '\p{^Is_Ccc=000000000107}', "");
Expect(1, 3655, '\P{Is_Ccc=000000000107}', "");
Expect(0, 3655, '\P{^Is_Ccc=000000000107}', "");
Error('\p{Canonical_Combining_Class=-	Attached/a/above}');
Error('\P{Canonical_Combining_Class=-	Attached/a/above}');
Expect(1, 7630, '\p{Canonical_Combining_Class=attachedabove}', "");
Expect(0, 7630, '\p{^Canonical_Combining_Class=attachedabove}', "");
Expect(0, 7630, '\P{Canonical_Combining_Class=attachedabove}', "");
Expect(1, 7630, '\P{^Canonical_Combining_Class=attachedabove}', "");
Expect(0, 7629, '\p{Canonical_Combining_Class=attachedabove}', "");
Expect(1, 7629, '\p{^Canonical_Combining_Class=attachedabove}', "");
Expect(1, 7629, '\P{Canonical_Combining_Class=attachedabove}', "");
Expect(0, 7629, '\P{^Canonical_Combining_Class=attachedabove}', "");
Expect(1, 7630, '\p{Canonical_Combining_Class=-Attached_above}', "");
Expect(0, 7630, '\p{^Canonical_Combining_Class=-Attached_above}', "");
Expect(0, 7630, '\P{Canonical_Combining_Class=-Attached_above}', "");
Expect(1, 7630, '\P{^Canonical_Combining_Class=-Attached_above}', "");
Expect(0, 7629, '\p{Canonical_Combining_Class=-Attached_above}', "");
Expect(1, 7629, '\p{^Canonical_Combining_Class=-Attached_above}', "");
Expect(1, 7629, '\P{Canonical_Combining_Class=-Attached_above}', "");
Expect(0, 7629, '\P{^Canonical_Combining_Class=-Attached_above}', "");
Error('\p{Ccc=:=	ATA}');
Error('\P{Ccc=:=	ATA}');
Expect(1, 7630, '\p{Ccc=ata}', "");
Expect(0, 7630, '\p{^Ccc=ata}', "");
Expect(0, 7630, '\P{Ccc=ata}', "");
Expect(1, 7630, '\P{^Ccc=ata}', "");
Expect(0, 7629, '\p{Ccc=ata}', "");
Expect(1, 7629, '\p{^Ccc=ata}', "");
Expect(1, 7629, '\P{Ccc=ata}', "");
Expect(0, 7629, '\P{^Ccc=ata}', "");
Expect(1, 7630, '\p{Ccc:- ATA}', "");
Expect(0, 7630, '\p{^Ccc:- ATA}', "");
Expect(0, 7630, '\P{Ccc:- ATA}', "");
Expect(1, 7630, '\P{^Ccc:- ATA}', "");
Expect(0, 7629, '\p{Ccc:- ATA}', "");
Expect(1, 7629, '\p{^Ccc:- ATA}', "");
Expect(1, 7629, '\P{Ccc:- ATA}', "");
Expect(0, 7629, '\P{^Ccc:- ATA}', "");
Error('\p{Is_Canonical_Combining_Class=:=-	+0 0-0_0_0 0214}');
Error('\P{Is_Canonical_Combining_Class=:=-	+0 0-0_0_0 0214}');
Expect(1, 7630, '\p{Is_Canonical_Combining_Class=00_02_14}', "");
Expect(0, 7630, '\p{^Is_Canonical_Combining_Class=00_02_14}', "");
Expect(0, 7630, '\P{Is_Canonical_Combining_Class=00_02_14}', "");
Expect(1, 7630, '\P{^Is_Canonical_Combining_Class=00_02_14}', "");
Expect(0, 7629, '\p{Is_Canonical_Combining_Class=00_02_14}', "");
Expect(1, 7629, '\p{^Is_Canonical_Combining_Class=00_02_14}', "");
Expect(1, 7629, '\P{Is_Canonical_Combining_Class=00_02_14}', "");
Expect(0, 7629, '\P{^Is_Canonical_Combining_Class=00_02_14}', "");
Error('\p{Is_Ccc=/a/-	attached-Above}');
Error('\P{Is_Ccc=/a/-	attached-Above}');
Expect(1, 7630, '\p{Is_Ccc=attachedabove}', "");
Expect(0, 7630, '\p{^Is_Ccc=attachedabove}', "");
Expect(0, 7630, '\P{Is_Ccc=attachedabove}', "");
Expect(1, 7630, '\P{^Is_Ccc=attachedabove}', "");
Expect(0, 7629, '\p{Is_Ccc=attachedabove}', "");
Expect(1, 7629, '\p{^Is_Ccc=attachedabove}', "");
Expect(1, 7629, '\P{Is_Ccc=attachedabove}', "");
Expect(0, 7629, '\P{^Is_Ccc=attachedabove}', "");
Expect(1, 7630, '\p{Is_Ccc=-AttachedAbove}', "");
Expect(0, 7630, '\p{^Is_Ccc=-AttachedAbove}', "");
Expect(0, 7630, '\P{Is_Ccc=-AttachedAbove}', "");
Expect(1, 7630, '\P{^Is_Ccc=-AttachedAbove}', "");
Expect(0, 7629, '\p{Is_Ccc=-AttachedAbove}', "");
Expect(1, 7629, '\p{^Is_Ccc=-AttachedAbove}', "");
Expect(1, 7629, '\P{Is_Ccc=-AttachedAbove}', "");
Expect(0, 7629, '\P{^Is_Ccc=-AttachedAbove}', "");
Error('\p{Canonical_Combining_Class=	00001/a/2}');
Error('\P{Canonical_Combining_Class=	00001/a/2}');
Expect(1, 1458, '\p{Canonical_Combining_Class=000_001_2}', "");
Expect(0, 1458, '\p{^Canonical_Combining_Class=000_001_2}', "");
Expect(0, 1458, '\P{Canonical_Combining_Class=000_001_2}', "");
Expect(1, 1458, '\P{^Canonical_Combining_Class=000_001_2}', "");
Expect(0, 1457, '\p{Canonical_Combining_Class=000_001_2}', "");
Expect(1, 1457, '\p{^Canonical_Combining_Class=000_001_2}', "");
Expect(1, 1457, '\P{Canonical_Combining_Class=000_001_2}', "");
Expect(0, 1457, '\P{^Canonical_Combining_Class=000_001_2}', "");
Error('\p{Ccc:   :=_00000000012}');
Error('\P{Ccc:   :=_00000000012}');
Expect(1, 1458, '\p{Ccc=00001_2}', "");
Expect(0, 1458, '\p{^Ccc=00001_2}', "");
Expect(0, 1458, '\P{Ccc=00001_2}', "");
Expect(1, 1458, '\P{^Ccc=00001_2}', "");
Expect(0, 1457, '\p{Ccc=00001_2}', "");
Expect(1, 1457, '\p{^Ccc=00001_2}', "");
Expect(1, 1457, '\P{Ccc=00001_2}', "");
Expect(0, 1457, '\P{^Ccc=00001_2}', "");
Error('\p{Is_Canonical_Combining_Class=:= _001	2}');
Error('\P{Is_Canonical_Combining_Class=:= _001	2}');
Expect(1, 1458, '\p{Is_Canonical_Combining_Class=00_01_2}', "");
Expect(0, 1458, '\p{^Is_Canonical_Combining_Class=00_01_2}', "");
Expect(0, 1458, '\P{Is_Canonical_Combining_Class=00_01_2}', "");
Expect(1, 1458, '\P{^Is_Canonical_Combining_Class=00_01_2}', "");
Expect(0, 1457, '\p{Is_Canonical_Combining_Class=00_01_2}', "");
Expect(1, 1457, '\p{^Is_Canonical_Combining_Class=00_01_2}', "");
Expect(1, 1457, '\P{Is_Canonical_Combining_Class=00_01_2}', "");
Expect(0, 1457, '\P{^Is_Canonical_Combining_Class=00_01_2}', "");
Error('\p{Is_Ccc=/a/+0_0-0_0_12}');
Error('\P{Is_Ccc=/a/+0_0-0_0_12}');
Expect(1, 1458, '\p{Is_Ccc=0_0_0_0_0_0_0_0_012}', "");
Expect(0, 1458, '\p{^Is_Ccc=0_0_0_0_0_0_0_0_012}', "");
Expect(0, 1458, '\P{Is_Ccc=0_0_0_0_0_0_0_0_012}', "");
Expect(1, 1458, '\P{^Is_Ccc=0_0_0_0_0_0_0_0_012}', "");
Expect(0, 1457, '\p{Is_Ccc=0_0_0_0_0_0_0_0_012}', "");
Expect(1, 1457, '\p{^Is_Ccc=0_0_0_0_0_0_0_0_012}', "");
Expect(1, 1457, '\P{Is_Ccc=0_0_0_0_0_0_0_0_012}', "");
Expect(0, 1457, '\P{^Is_Ccc=0_0_0_0_0_0_0_0_012}', "");
Error('\p{Canonical_Combining_Class=/a/-_1	9}');
Error('\P{Canonical_Combining_Class=/a/-_1	9}');
Expect(1, 1466, '\p{Canonical_Combining_Class=00_00_00_19}', "");
Expect(0, 1466, '\p{^Canonical_Combining_Class=00_00_00_19}', "");
Expect(0, 1466, '\P{Canonical_Combining_Class=00_00_00_19}', "");
Expect(1, 1466, '\P{^Canonical_Combining_Class=00_00_00_19}', "");
Expect(0, 1464, '\p{Canonical_Combining_Class=00_00_00_19}', "");
Expect(1, 1464, '\p{^Canonical_Combining_Class=00_00_00_19}', "");
Expect(1, 1464, '\P{Canonical_Combining_Class=00_00_00_19}', "");
Expect(0, 1464, '\P{^Canonical_Combining_Class=00_00_00_19}', "");
Error('\p{Ccc=		0-00 0/a/0 0 19}');
Error('\P{Ccc=		0-00 0/a/0 0 19}');
Expect(1, 1466, '\p{Ccc=01_9}', "");
Expect(0, 1466, '\p{^Ccc=01_9}', "");
Expect(0, 1466, '\P{Ccc=01_9}', "");
Expect(1, 1466, '\P{^Ccc=01_9}', "");
Expect(0, 1464, '\p{Ccc=01_9}', "");
Expect(1, 1464, '\p{^Ccc=01_9}', "");
Expect(1, 1464, '\P{Ccc=01_9}', "");
Expect(0, 1464, '\P{^Ccc=01_9}', "");
Error('\p{Is_Canonical_Combining_Class=	 000001:=9}');
Error('\P{Is_Canonical_Combining_Class=	 000001:=9}');
Expect(1, 1466, '\p{Is_Canonical_Combining_Class=0_0_0_0_0_19}', "");
Expect(0, 1466, '\p{^Is_Canonical_Combining_Class=0_0_0_0_0_19}', "");
Expect(0, 1466, '\P{Is_Canonical_Combining_Class=0_0_0_0_0_19}', "");
Expect(1, 1466, '\P{^Is_Canonical_Combining_Class=0_0_0_0_0_19}', "");
Expect(0, 1464, '\p{Is_Canonical_Combining_Class=0_0_0_0_0_19}', "");
Expect(1, 1464, '\p{^Is_Canonical_Combining_Class=0_0_0_0_0_19}', "");
Expect(1, 1464, '\P{Is_Canonical_Combining_Class=0_0_0_0_0_19}', "");
Expect(0, 1464, '\P{^Is_Canonical_Combining_Class=0_0_0_0_0_19}', "");
Error('\p{Is_Ccc=/a/1_9}');
Error('\P{Is_Ccc=/a/1_9}');
Expect(1, 1466, '\p{Is_Ccc=019}', "");
Expect(0, 1466, '\p{^Is_Ccc=019}', "");
Expect(0, 1466, '\P{Is_Ccc=019}', "");
Expect(1, 1466, '\P{^Is_Ccc=019}', "");
Expect(0, 1464, '\p{Is_Ccc=019}', "");
Expect(1, 1464, '\p{^Is_Ccc=019}', "");
Expect(1, 1464, '\P{Is_Ccc=019}', "");
Expect(0, 1464, '\P{^Is_Ccc=019}', "");
Error('\p{Canonical_Combining_Class= /a/+00000000030}');
Error('\P{Canonical_Combining_Class= /a/+00000000030}');
Expect(1, 1560, '\p{Canonical_Combining_Class:   3_0}', "");
Expect(0, 1560, '\p{^Canonical_Combining_Class:   3_0}', "");
Expect(0, 1560, '\P{Canonical_Combining_Class:   3_0}', "");
Expect(1, 1560, '\P{^Canonical_Combining_Class:   3_0}', "");
Expect(0, 1559, '\p{Canonical_Combining_Class:   3_0}', "");
Expect(1, 1559, '\p{^Canonical_Combining_Class:   3_0}', "");
Expect(1, 1559, '\P{Canonical_Combining_Class:   3_0}', "");
Expect(0, 1559, '\P{^Canonical_Combining_Class:   3_0}', "");
Error('\p{Ccc=_	+03 0:=}');
Error('\P{Ccc=_	+03 0:=}');
Expect(1, 1560, '\p{Ccc=+0000030}', "");
Expect(0, 1560, '\p{^Ccc=+0000030}', "");
Expect(0, 1560, '\P{Ccc=+0000030}', "");
Expect(1, 1560, '\P{^Ccc=+0000030}', "");
Expect(0, 1559, '\p{Ccc=+0000030}', "");
Expect(1, 1559, '\p{^Ccc=+0000030}', "");
Expect(1, 1559, '\P{Ccc=+0000030}', "");
Expect(0, 1559, '\P{^Ccc=+0000030}', "");
Error('\p{Is_Canonical_Combining_Class= _030:=}');
Error('\P{Is_Canonical_Combining_Class= _030:=}');
Expect(1, 1560, '\p{Is_Canonical_Combining_Class=00000030}', "");
Expect(0, 1560, '\p{^Is_Canonical_Combining_Class=00000030}', "");
Expect(0, 1560, '\P{Is_Canonical_Combining_Class=00000030}', "");
Expect(1, 1560, '\P{^Is_Canonical_Combining_Class=00000030}', "");
Expect(0, 1559, '\p{Is_Canonical_Combining_Class=00000030}', "");
Expect(1, 1559, '\p{^Is_Canonical_Combining_Class=00000030}', "");
Expect(1, 1559, '\P{Is_Canonical_Combining_Class=00000030}', "");
Expect(0, 1559, '\P{^Is_Canonical_Combining_Class=00000030}', "");
Error('\p{Is_Ccc=-	0_0	0:=0030}');
Error('\P{Is_Ccc=-	0_0	0:=0030}');
Expect(1, 1560, '\p{Is_Ccc=+00000030}', "");
Expect(0, 1560, '\p{^Is_Ccc=+00000030}', "");
Expect(0, 1560, '\P{Is_Ccc=+00000030}', "");
Expect(1, 1560, '\P{^Is_Ccc=+00000030}', "");
Expect(0, 1559, '\p{Is_Ccc=+00000030}', "");
Expect(1, 1559, '\p{^Is_Ccc=+00000030}', "");
Expect(1, 1559, '\P{Is_Ccc=+00000030}', "");
Expect(0, 1559, '\P{^Is_Ccc=+00000030}', "");
Error('\p{Canonical_Combining_Class=-_0000025/a/}');
Error('\P{Canonical_Combining_Class=-_0000025/a/}');
Expect(1, 1474, '\p{Canonical_Combining_Class=+25}', "");
Expect(0, 1474, '\p{^Canonical_Combining_Class=+25}', "");
Expect(0, 1474, '\P{Canonical_Combining_Class=+25}', "");
Expect(1, 1474, '\P{^Canonical_Combining_Class=+25}', "");
Expect(0, 1473, '\p{Canonical_Combining_Class=+25}', "");
Expect(1, 1473, '\p{^Canonical_Combining_Class=+25}', "");
Expect(1, 1473, '\P{Canonical_Combining_Class=+25}', "");
Expect(0, 1473, '\P{^Canonical_Combining_Class=+25}', "");
Error('\p{Ccc= :=0025}');
Error('\P{Ccc= :=0025}');
Expect(1, 1474, '\p{Ccc=+0_0_0_0_0_0_0_0_025}', "");
Expect(0, 1474, '\p{^Ccc=+0_0_0_0_0_0_0_0_025}', "");
Expect(0, 1474, '\P{Ccc=+0_0_0_0_0_0_0_0_025}', "");
Expect(1, 1474, '\P{^Ccc=+0_0_0_0_0_0_0_0_025}', "");
Expect(0, 1473, '\p{Ccc=+0_0_0_0_0_0_0_0_025}', "");
Expect(1, 1473, '\p{^Ccc=+0_0_0_0_0_0_0_0_025}', "");
Expect(1, 1473, '\P{Ccc=+0_0_0_0_0_0_0_0_025}', "");
Expect(0, 1473, '\P{^Ccc=+0_0_0_0_0_0_0_0_025}', "");
Error('\p{Is_Canonical_Combining_Class=:=  000025}');
Error('\P{Is_Canonical_Combining_Class=:=  000025}');
Expect(1, 1474, '\p{Is_Canonical_Combining_Class=0000025}', "");
Expect(0, 1474, '\p{^Is_Canonical_Combining_Class=0000025}', "");
Expect(0, 1474, '\P{Is_Canonical_Combining_Class=0000025}', "");
Expect(1, 1474, '\P{^Is_Canonical_Combining_Class=0000025}', "");
Expect(0, 1473, '\p{Is_Canonical_Combining_Class=0000025}', "");
Expect(1, 1473, '\p{^Is_Canonical_Combining_Class=0000025}', "");
Expect(1, 1473, '\P{Is_Canonical_Combining_Class=0000025}', "");
Expect(0, 1473, '\P{^Is_Canonical_Combining_Class=0000025}', "");
Error('\p{Is_Ccc=/a/ 	0000025}');
Error('\P{Is_Ccc=/a/ 	0000025}');
Expect(1, 1474, '\p{Is_Ccc=+00000000025}', "");
Expect(0, 1474, '\p{^Is_Ccc=+00000000025}', "");
Expect(0, 1474, '\P{Is_Ccc=+00000000025}', "");
Expect(1, 1474, '\P{^Is_Ccc=+00000000025}', "");
Expect(0, 1473, '\p{Is_Ccc=+00000000025}', "");
Expect(1, 1473, '\p{^Is_Ccc=+00000000025}', "");
Expect(1, 1473, '\P{Is_Ccc=+00000000025}', "");
Expect(0, 1473, '\P{^Is_Ccc=+00000000025}', "");
Error('\p{Canonical_Combining_Class=/a/+028}');
Error('\P{Canonical_Combining_Class=/a/+028}');
Expect(1, 1612, '\p{Canonical_Combining_Class=+00_00_02_8}', "");
Expect(0, 1612, '\p{^Canonical_Combining_Class=+00_00_02_8}', "");
Expect(0, 1612, '\P{Canonical_Combining_Class=+00_00_02_8}', "");
Expect(1, 1612, '\P{^Canonical_Combining_Class=+00_00_02_8}', "");
Expect(0, 1611, '\p{Canonical_Combining_Class=+00_00_02_8}', "");
Expect(1, 1611, '\p{^Canonical_Combining_Class=+00_00_02_8}', "");
Expect(1, 1611, '\P{Canonical_Combining_Class=+00_00_02_8}', "");
Expect(0, 1611, '\P{^Canonical_Combining_Class=+00_00_02_8}', "");
Error('\p{Ccc=/a/	-+00028}');
Error('\P{Ccc=/a/	-+00028}');
Expect(1, 1612, '\p{Ccc: +2_8}', "");
Expect(0, 1612, '\p{^Ccc: +2_8}', "");
Expect(0, 1612, '\P{Ccc: +2_8}', "");
Expect(1, 1612, '\P{^Ccc: +2_8}', "");
Expect(0, 1611, '\p{Ccc: +2_8}', "");
Expect(1, 1611, '\p{^Ccc: +2_8}', "");
Expect(1, 1611, '\P{Ccc: +2_8}', "");
Expect(0, 1611, '\P{^Ccc: +2_8}', "");
Error('\p{Is_Canonical_Combining_Class=/a/+00-28}');
Error('\P{Is_Canonical_Combining_Class=/a/+00-28}');
Expect(1, 1612, '\p{Is_Canonical_Combining_Class=+28}', "");
Expect(0, 1612, '\p{^Is_Canonical_Combining_Class=+28}', "");
Expect(0, 1612, '\P{Is_Canonical_Combining_Class=+28}', "");
Expect(1, 1612, '\P{^Is_Canonical_Combining_Class=+28}', "");
Expect(0, 1611, '\p{Is_Canonical_Combining_Class=+28}', "");
Expect(1, 1611, '\p{^Is_Canonical_Combining_Class=+28}', "");
Expect(1, 1611, '\P{Is_Canonical_Combining_Class=+28}', "");
Expect(0, 1611, '\P{^Is_Canonical_Combining_Class=+28}', "");
Error('\p{Is_Ccc=:=	-000000028}');
Error('\P{Is_Ccc=:=	-000000028}');
Expect(1, 1612, '\p{Is_Ccc=00000000028}', "");
Expect(0, 1612, '\p{^Is_Ccc=00000000028}', "");
Expect(0, 1612, '\P{Is_Ccc=00000000028}', "");
Expect(1, 1612, '\P{^Is_Ccc=00000000028}', "");
Expect(0, 1611, '\p{Is_Ccc=00000000028}', "");
Expect(1, 1611, '\p{^Is_Ccc=00000000028}', "");
Expect(1, 1611, '\P{Is_Ccc=00000000028}', "");
Expect(0, 1611, '\P{^Is_Ccc=00000000028}', "");
Error('\p{Canonical_Combining_Class=/a/ +000000130}');
Error('\P{Canonical_Combining_Class=/a/ +000000130}');
Expect(1, 3954, '\p{Canonical_Combining_Class=0_0_0_0_0_0_130}', "");
Expect(0, 3954, '\p{^Canonical_Combining_Class=0_0_0_0_0_0_130}', "");
Expect(0, 3954, '\P{Canonical_Combining_Class=0_0_0_0_0_0_130}', "");
Expect(1, 3954, '\P{^Canonical_Combining_Class=0_0_0_0_0_0_130}', "");
Expect(0, 3953, '\p{Canonical_Combining_Class=0_0_0_0_0_0_130}', "");
Expect(1, 3953, '\p{^Canonical_Combining_Class=0_0_0_0_0_0_130}', "");
Expect(1, 3953, '\P{Canonical_Combining_Class=0_0_0_0_0_0_130}', "");
Expect(0, 3953, '\P{^Canonical_Combining_Class=0_0_0_0_0_0_130}', "");
Error('\p{Ccc=/a/ 0130}');
Error('\P{Ccc=/a/ 0130}');
Expect(1, 3954, '\p{Ccc=+013_0}', "");
Expect(0, 3954, '\p{^Ccc=+013_0}', "");
Expect(0, 3954, '\P{Ccc=+013_0}', "");
Expect(1, 3954, '\P{^Ccc=+013_0}', "");
Expect(0, 3953, '\p{Ccc=+013_0}', "");
Expect(1, 3953, '\p{^Ccc=+013_0}', "");
Expect(1, 3953, '\P{Ccc=+013_0}', "");
Expect(0, 3953, '\P{^Ccc=+013_0}', "");
Error('\p{Is_Canonical_Combining_Class=--0-0-01:=30}');
Error('\P{Is_Canonical_Combining_Class=--0-0-01:=30}');
Expect(1, 3954, '\p{Is_Canonical_Combining_Class=000000130}', "");
Expect(0, 3954, '\p{^Is_Canonical_Combining_Class=000000130}', "");
Expect(0, 3954, '\P{Is_Canonical_Combining_Class=000000130}', "");
Expect(1, 3954, '\P{^Is_Canonical_Combining_Class=000000130}', "");
Expect(0, 3953, '\p{Is_Canonical_Combining_Class=000000130}', "");
Expect(1, 3953, '\p{^Is_Canonical_Combining_Class=000000130}', "");
Expect(1, 3953, '\P{Is_Canonical_Combining_Class=000000130}', "");
Expect(0, 3953, '\P{^Is_Canonical_Combining_Class=000000130}', "");
Error('\p{Is_Ccc=-_+000000000130:=}');
Error('\P{Is_Ccc=-_+000000000130:=}');
Expect(1, 3954, '\p{Is_Ccc=+000130}', "");
Expect(0, 3954, '\p{^Is_Ccc=+000130}', "");
Expect(0, 3954, '\P{Is_Ccc=+000130}', "");
Expect(1, 3954, '\P{^Is_Ccc=+000130}', "");
Expect(0, 3953, '\p{Is_Ccc=+000130}', "");
Expect(1, 3953, '\p{^Is_Ccc=+000130}', "");
Expect(1, 3953, '\P{Is_Ccc=+000130}', "");
Expect(0, 3953, '\P{^Is_Ccc=+000130}', "");
Error('\p{Canonical_Combining_Class=:=00000_00012	2}');
Error('\P{Canonical_Combining_Class=:=00000_00012	2}');
Expect(1, 3787, '\p{Canonical_Combining_Class=000000000122}', "");
Expect(0, 3787, '\p{^Canonical_Combining_Class=000000000122}', "");
Expect(0, 3787, '\P{Canonical_Combining_Class=000000000122}', "");
Expect(1, 3787, '\P{^Canonical_Combining_Class=000000000122}', "");
Expect(0, 3783, '\p{Canonical_Combining_Class=000000000122}', "");
Expect(1, 3783, '\p{^Canonical_Combining_Class=000000000122}', "");
Expect(1, 3783, '\P{Canonical_Combining_Class=000000000122}', "");
Expect(0, 3783, '\P{^Canonical_Combining_Class=000000000122}', "");
Error('\p{Ccc=:=_00122}');
Error('\P{Ccc=:=_00122}');
Expect(1, 3787, '\p{Ccc=0_0_0_0_1_22}', "");
Expect(0, 3787, '\p{^Ccc=0_0_0_0_1_22}', "");
Expect(0, 3787, '\P{Ccc=0_0_0_0_1_22}', "");
Expect(1, 3787, '\P{^Ccc=0_0_0_0_1_22}', "");
Expect(0, 3783, '\p{Ccc=0_0_0_0_1_22}', "");
Expect(1, 3783, '\p{^Ccc=0_0_0_0_1_22}', "");
Expect(1, 3783, '\P{Ccc=0_0_0_0_1_22}', "");
Expect(0, 3783, '\P{^Ccc=0_0_0_0_1_22}', "");
Error('\p{Is_Canonical_Combining_Class=_12-2/a/}');
Error('\P{Is_Canonical_Combining_Class=_12-2/a/}');
Expect(1, 3787, '\p{Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0122}', "");
Expect(0, 3787, '\p{^Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0122}', "");
Expect(0, 3787, '\P{Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0122}', "");
Expect(1, 3787, '\P{^Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0122}', "");
Expect(0, 3783, '\p{Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0122}', "");
Expect(1, 3783, '\p{^Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0122}', "");
Expect(1, 3783, '\P{Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0122}', "");
Expect(0, 3783, '\P{^Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0122}', "");
Error('\p{Is_Ccc=/a/_	0000_0012 2}');
Error('\P{Is_Ccc=/a/_	0000_0012 2}');
Expect(1, 3787, '\p{Is_Ccc=+00_00_00_00_122}', "");
Expect(0, 3787, '\p{^Is_Ccc=+00_00_00_00_122}', "");
Expect(0, 3787, '\P{Is_Ccc=+00_00_00_00_122}', "");
Expect(1, 3787, '\P{^Is_Ccc=+00_00_00_00_122}', "");
Expect(0, 3783, '\p{Is_Ccc=+00_00_00_00_122}', "");
Expect(1, 3783, '\p{^Is_Ccc=+00_00_00_00_122}', "");
Expect(1, 3783, '\P{Is_Ccc=+00_00_00_00_122}', "");
Expect(0, 3783, '\P{^Is_Ccc=+00_00_00_00_122}', "");
Error('\p{Canonical_Combining_Class=_0000022/a/}');
Error('\P{Canonical_Combining_Class=_0000022/a/}');
Expect(1, 1469, '\p{Canonical_Combining_Class=0_0_0_0_0_0_0_0_22}', "");
Expect(0, 1469, '\p{^Canonical_Combining_Class=0_0_0_0_0_0_0_0_22}', "");
Expect(0, 1469, '\P{Canonical_Combining_Class=0_0_0_0_0_0_0_0_22}', "");
Expect(1, 1469, '\P{^Canonical_Combining_Class=0_0_0_0_0_0_0_0_22}', "");
Expect(0, 1468, '\p{Canonical_Combining_Class=0_0_0_0_0_0_0_0_22}', "");
Expect(1, 1468, '\p{^Canonical_Combining_Class=0_0_0_0_0_0_0_0_22}', "");
Expect(1, 1468, '\P{Canonical_Combining_Class=0_0_0_0_0_0_0_0_22}', "");
Expect(0, 1468, '\P{^Canonical_Combining_Class=0_0_0_0_0_0_0_0_22}', "");
Error('\p{Ccc=_/a/0 00_0_0 0 0022}');
Error('\P{Ccc=_/a/0 00_0_0 0 0022}');
Expect(1, 1469, '\p{Ccc:   02_2}', "");
Expect(0, 1469, '\p{^Ccc:   02_2}', "");
Expect(0, 1469, '\P{Ccc:   02_2}', "");
Expect(1, 1469, '\P{^Ccc:   02_2}', "");
Expect(0, 1468, '\p{Ccc:   02_2}', "");
Expect(1, 1468, '\p{^Ccc:   02_2}', "");
Expect(1, 1468, '\P{Ccc:   02_2}', "");
Expect(0, 1468, '\P{^Ccc:   02_2}', "");
Error('\p{Is_Canonical_Combining_Class=		+000000022/a/}');
Error('\P{Is_Canonical_Combining_Class=		+000000022/a/}');
Expect(1, 1469, '\p{Is_Canonical_Combining_Class=0_0_0_22}', "");
Expect(0, 1469, '\p{^Is_Canonical_Combining_Class=0_0_0_22}', "");
Expect(0, 1469, '\P{Is_Canonical_Combining_Class=0_0_0_22}', "");
Expect(1, 1469, '\P{^Is_Canonical_Combining_Class=0_0_0_22}', "");
Expect(0, 1468, '\p{Is_Canonical_Combining_Class=0_0_0_22}', "");
Expect(1, 1468, '\p{^Is_Canonical_Combining_Class=0_0_0_22}', "");
Expect(1, 1468, '\P{Is_Canonical_Combining_Class=0_0_0_22}', "");
Expect(0, 1468, '\P{^Is_Canonical_Combining_Class=0_0_0_22}', "");
Error('\p{Is_Ccc=--+022:=}');
Error('\P{Is_Ccc=--+022:=}');
Expect(1, 1469, '\p{Is_Ccc=02_2}', "");
Expect(0, 1469, '\p{^Is_Ccc=02_2}', "");
Expect(0, 1469, '\P{Is_Ccc=02_2}', "");
Expect(1, 1469, '\P{^Is_Ccc=02_2}', "");
Expect(0, 1468, '\p{Is_Ccc=02_2}', "");
Expect(1, 1468, '\p{^Is_Ccc=02_2}', "");
Expect(1, 1468, '\P{Is_Ccc=02_2}', "");
Expect(0, 1468, '\P{^Is_Ccc=02_2}', "");
Error('\p{Canonical_Combining_Class=:=	-01_3}');
Error('\P{Canonical_Combining_Class=:=	-01_3}');
Expect(1, 1459, '\p{Canonical_Combining_Class=+0000013}', "");
Expect(0, 1459, '\p{^Canonical_Combining_Class=+0000013}', "");
Expect(0, 1459, '\P{Canonical_Combining_Class=+0000013}', "");
Expect(1, 1459, '\P{^Canonical_Combining_Class=+0000013}', "");
Expect(0, 1458, '\p{Canonical_Combining_Class=+0000013}', "");
Expect(1, 1458, '\p{^Canonical_Combining_Class=+0000013}', "");
Expect(1, 1458, '\P{Canonical_Combining_Class=+0000013}', "");
Expect(0, 1458, '\P{^Canonical_Combining_Class=+0000013}', "");
Error('\p{Ccc: _0/a/0-013}');
Error('\P{Ccc: _0/a/0-013}');
Expect(1, 1459, '\p{Ccc=00000000013}', "");
Expect(0, 1459, '\p{^Ccc=00000000013}', "");
Expect(0, 1459, '\P{Ccc=00000000013}', "");
Expect(1, 1459, '\P{^Ccc=00000000013}', "");
Expect(0, 1458, '\p{Ccc=00000000013}', "");
Expect(1, 1458, '\p{^Ccc=00000000013}', "");
Expect(1, 1458, '\P{Ccc=00000000013}', "");
Expect(0, 1458, '\P{^Ccc=00000000013}', "");
Error('\p{Is_Canonical_Combining_Class: := 00	13}');
Error('\P{Is_Canonical_Combining_Class: := 00	13}');
Expect(1, 1459, '\p{Is_Canonical_Combining_Class=01_3}', "");
Expect(0, 1459, '\p{^Is_Canonical_Combining_Class=01_3}', "");
Expect(0, 1459, '\P{Is_Canonical_Combining_Class=01_3}', "");
Expect(1, 1459, '\P{^Is_Canonical_Combining_Class=01_3}', "");
Expect(0, 1458, '\p{Is_Canonical_Combining_Class=01_3}', "");
Expect(1, 1458, '\p{^Is_Canonical_Combining_Class=01_3}', "");
Expect(1, 1458, '\P{Is_Canonical_Combining_Class=01_3}', "");
Expect(0, 1458, '\P{^Is_Canonical_Combining_Class=01_3}', "");
Error('\p{Is_Ccc=  13:=}');
Error('\P{Is_Ccc=  13:=}');
Expect(1, 1459, '\p{Is_Ccc=00013}', "");
Expect(0, 1459, '\p{^Is_Ccc=00013}', "");
Expect(0, 1459, '\P{Is_Ccc=00013}', "");
Expect(1, 1459, '\P{^Is_Ccc=00013}', "");
Expect(0, 1458, '\p{Is_Ccc=00013}', "");
Expect(1, 1458, '\p{^Is_Ccc=00013}', "");
Expect(1, 1458, '\P{Is_Ccc=00013}', "");
Expect(0, 1458, '\P{^Is_Ccc=00013}', "");
Error('\p{Canonical_Combining_Class=		00036/a/}');
Error('\P{Canonical_Combining_Class=		00036/a/}');
Expect(1, 1809, '\p{Canonical_Combining_Class:   +0000036}', "");
Expect(0, 1809, '\p{^Canonical_Combining_Class:   +0000036}', "");
Expect(0, 1809, '\P{Canonical_Combining_Class:   +0000036}', "");
Expect(1, 1809, '\P{^Canonical_Combining_Class:   +0000036}', "");
Expect(0, 1808, '\p{Canonical_Combining_Class:   +0000036}', "");
Expect(1, 1808, '\p{^Canonical_Combining_Class:   +0000036}', "");
Expect(1, 1808, '\P{Canonical_Combining_Class:   +0000036}', "");
Expect(0, 1808, '\P{^Canonical_Combining_Class:   +0000036}', "");
Error('\p{Ccc=	/a/0	0	00	0_0-036}');
Error('\P{Ccc=	/a/0	0	00	0_0-036}');
Expect(1, 1809, '\p{Ccc=000036}', "");
Expect(0, 1809, '\p{^Ccc=000036}', "");
Expect(0, 1809, '\P{Ccc=000036}', "");
Expect(1, 1809, '\P{^Ccc=000036}', "");
Expect(0, 1808, '\p{Ccc=000036}', "");
Expect(1, 1808, '\p{^Ccc=000036}', "");
Expect(1, 1808, '\P{Ccc=000036}', "");
Expect(0, 1808, '\P{^Ccc=000036}', "");
Error('\p{Is_Canonical_Combining_Class=-+000000036/a/}');
Error('\P{Is_Canonical_Combining_Class=-+000000036/a/}');
Expect(1, 1809, '\p{Is_Canonical_Combining_Class=00000036}', "");
Expect(0, 1809, '\p{^Is_Canonical_Combining_Class=00000036}', "");
Expect(0, 1809, '\P{Is_Canonical_Combining_Class=00000036}', "");
Expect(1, 1809, '\P{^Is_Canonical_Combining_Class=00000036}', "");
Expect(0, 1808, '\p{Is_Canonical_Combining_Class=00000036}', "");
Expect(1, 1808, '\p{^Is_Canonical_Combining_Class=00000036}', "");
Expect(1, 1808, '\P{Is_Canonical_Combining_Class=00000036}', "");
Expect(0, 1808, '\P{^Is_Canonical_Combining_Class=00000036}', "");
Error('\p{Is_Ccc=/a/+036}');
Error('\P{Is_Ccc=/a/+036}');
Expect(1, 1809, '\p{Is_Ccc=03_6}', "");
Expect(0, 1809, '\p{^Is_Ccc=03_6}', "");
Expect(0, 1809, '\P{Is_Ccc=03_6}', "");
Expect(1, 1809, '\P{^Is_Ccc=03_6}', "");
Expect(0, 1808, '\p{Is_Ccc=03_6}', "");
Expect(1, 1808, '\p{^Is_Ccc=03_6}', "");
Expect(1, 1808, '\P{Is_Ccc=03_6}', "");
Expect(0, 1808, '\P{^Is_Ccc=03_6}', "");
Error('\p{Canonical_Combining_Class=/a/ 	+0000000034}');
Error('\P{Canonical_Combining_Class=/a/ 	+0000000034}');
Expect(1, 1618, '\p{Canonical_Combining_Class=0000003_4}', "");
Expect(0, 1618, '\p{^Canonical_Combining_Class=0000003_4}', "");
Expect(0, 1618, '\P{Canonical_Combining_Class=0000003_4}', "");
Expect(1, 1618, '\P{^Canonical_Combining_Class=0000003_4}', "");
Expect(0, 1617, '\p{Canonical_Combining_Class=0000003_4}', "");
Expect(1, 1617, '\p{^Canonical_Combining_Class=0000003_4}', "");
Expect(1, 1617, '\P{Canonical_Combining_Class=0000003_4}', "");
Expect(0, 1617, '\P{^Canonical_Combining_Class=0000003_4}', "");
Error('\p{Ccc=/a/_ 000000034}');
Error('\P{Ccc=/a/_ 000000034}');
Expect(1, 1618, '\p{Ccc:+00003_4}', "");
Expect(0, 1618, '\p{^Ccc:+00003_4}', "");
Expect(0, 1618, '\P{Ccc:+00003_4}', "");
Expect(1, 1618, '\P{^Ccc:+00003_4}', "");
Expect(0, 1617, '\p{Ccc:+00003_4}', "");
Expect(1, 1617, '\p{^Ccc:+00003_4}', "");
Expect(1, 1617, '\P{Ccc:+00003_4}', "");
Expect(0, 1617, '\P{^Ccc:+00003_4}', "");
Error('\p{Is_Canonical_Combining_Class:    _000000034/a/}');
Error('\P{Is_Canonical_Combining_Class:    _000000034/a/}');
Expect(1, 1618, '\p{Is_Canonical_Combining_Class=03_4}', "");
Expect(0, 1618, '\p{^Is_Canonical_Combining_Class=03_4}', "");
Expect(0, 1618, '\P{Is_Canonical_Combining_Class=03_4}', "");
Expect(1, 1618, '\P{^Is_Canonical_Combining_Class=03_4}', "");
Expect(0, 1617, '\p{Is_Canonical_Combining_Class=03_4}', "");
Expect(1, 1617, '\p{^Is_Canonical_Combining_Class=03_4}', "");
Expect(1, 1617, '\P{Is_Canonical_Combining_Class=03_4}', "");
Expect(0, 1617, '\P{^Is_Canonical_Combining_Class=03_4}', "");
Error('\p{Is_Ccc=	 034:=}');
Error('\P{Is_Ccc=	 034:=}');
Expect(1, 1618, '\p{Is_Ccc=+0_0_0_0_0_0_0_034}', "");
Expect(0, 1618, '\p{^Is_Ccc=+0_0_0_0_0_0_0_034}', "");
Expect(0, 1618, '\P{Is_Ccc=+0_0_0_0_0_0_0_034}', "");
Expect(1, 1618, '\P{^Is_Ccc=+0_0_0_0_0_0_0_034}', "");
Expect(0, 1617, '\p{Is_Ccc=+0_0_0_0_0_0_0_034}', "");
Expect(1, 1617, '\p{^Is_Ccc=+0_0_0_0_0_0_0_034}', "");
Expect(1, 1617, '\P{Is_Ccc=+0_0_0_0_0_0_0_034}', "");
Expect(0, 1617, '\P{^Is_Ccc=+0_0_0_0_0_0_0_034}', "");
Error('\p{Canonical_Combining_Class= -000000000132:=}');
Error('\P{Canonical_Combining_Class= -000000000132:=}');
Expect(1, 3956, '\p{Canonical_Combining_Class=000000000132}', "");
Expect(0, 3956, '\p{^Canonical_Combining_Class=000000000132}', "");
Expect(0, 3956, '\P{Canonical_Combining_Class=000000000132}', "");
Expect(1, 3956, '\P{^Canonical_Combining_Class=000000000132}', "");
Expect(0, 3955, '\p{Canonical_Combining_Class=000000000132}', "");
Expect(1, 3955, '\p{^Canonical_Combining_Class=000000000132}', "");
Expect(1, 3955, '\P{Canonical_Combining_Class=000000000132}', "");
Expect(0, 3955, '\P{^Canonical_Combining_Class=000000000132}', "");
Error('\p{Ccc=_/a/00000	00001	32}');
Error('\P{Ccc=_/a/00000	00001	32}');
Expect(1, 3956, '\p{Ccc=0132}', "");
Expect(0, 3956, '\p{^Ccc=0132}', "");
Expect(0, 3956, '\P{Ccc=0132}', "");
Expect(1, 3956, '\P{^Ccc=0132}', "");
Expect(0, 3955, '\p{Ccc=0132}', "");
Expect(1, 3955, '\p{^Ccc=0132}', "");
Expect(1, 3955, '\P{Ccc=0132}', "");
Expect(0, 3955, '\P{^Ccc=0132}', "");
Error('\p{Is_Canonical_Combining_Class=:=- 0_1 32}');
Error('\P{Is_Canonical_Combining_Class=:=- 0_1 32}');
Expect(1, 3956, '\p{Is_Canonical_Combining_Class=0_0_0_0_132}', "");
Expect(0, 3956, '\p{^Is_Canonical_Combining_Class=0_0_0_0_132}', "");
Expect(0, 3956, '\P{Is_Canonical_Combining_Class=0_0_0_0_132}', "");
Expect(1, 3956, '\P{^Is_Canonical_Combining_Class=0_0_0_0_132}', "");
Expect(0, 3955, '\p{Is_Canonical_Combining_Class=0_0_0_0_132}', "");
Expect(1, 3955, '\p{^Is_Canonical_Combining_Class=0_0_0_0_132}', "");
Expect(1, 3955, '\P{Is_Canonical_Combining_Class=0_0_0_0_132}', "");
Expect(0, 3955, '\P{^Is_Canonical_Combining_Class=0_0_0_0_132}', "");
Error('\p{Is_Ccc:   :=_	+0132}');
Error('\P{Is_Ccc:   :=_	+0132}');
Expect(1, 3956, '\p{Is_Ccc=000_000_001_32}', "");
Expect(0, 3956, '\p{^Is_Ccc=000_000_001_32}', "");
Expect(0, 3956, '\P{Is_Ccc=000_000_001_32}', "");
Expect(1, 3956, '\P{^Is_Ccc=000_000_001_32}', "");
Expect(0, 3955, '\p{Is_Ccc=000_000_001_32}', "");
Expect(1, 3955, '\p{^Is_Ccc=000_000_001_32}', "");
Expect(1, 3955, '\P{Is_Ccc=000_000_001_32}', "");
Expect(0, 3955, '\P{^Is_Ccc=000_000_001_32}', "");
Error('\p{Bidi_Class:	 Segment/a/Separator}');
Error('\P{Bidi_Class:	 Segment/a/Separator}');
Expect(1, 9, '\p{Bidi_Class: segmentseparator}', "");
Expect(0, 9, '\p{^Bidi_Class: segmentseparator}', "");
Expect(0, 9, '\P{Bidi_Class: segmentseparator}', "");
Expect(1, 9, '\P{^Bidi_Class: segmentseparator}', "");
Expect(0, 8, '\p{Bidi_Class: segmentseparator}', "");
Expect(1, 8, '\p{^Bidi_Class: segmentseparator}', "");
Expect(1, 8, '\P{Bidi_Class: segmentseparator}', "");
Expect(0, 8, '\P{^Bidi_Class: segmentseparator}', "");
Expect(1, 9, '\p{Bidi_Class=--segment SEPARATOR}', "");
Expect(0, 9, '\p{^Bidi_Class=--segment SEPARATOR}', "");
Expect(0, 9, '\P{Bidi_Class=--segment SEPARATOR}', "");
Expect(1, 9, '\P{^Bidi_Class=--segment SEPARATOR}', "");
Expect(0, 8, '\p{Bidi_Class=--segment SEPARATOR}', "");
Expect(1, 8, '\p{^Bidi_Class=--segment SEPARATOR}', "");
Expect(1, 8, '\P{Bidi_Class=--segment SEPARATOR}', "");
Expect(0, 8, '\P{^Bidi_Class=--segment SEPARATOR}', "");
Error('\p{Bc=-_S:=}');
Error('\P{Bc=-_S:=}');
Expect(1, 9, '\p{Bc=s}', "");
Expect(0, 9, '\p{^Bc=s}', "");
Expect(0, 9, '\P{Bc=s}', "");
Expect(1, 9, '\P{^Bc=s}', "");
Expect(0, 8, '\p{Bc=s}', "");
Expect(1, 8, '\p{^Bc=s}', "");
Expect(1, 8, '\P{Bc=s}', "");
Expect(0, 8, '\P{^Bc=s}', "");
Expect(1, 9, '\p{Bc=_	s}', "");
Expect(0, 9, '\p{^Bc=_	s}', "");
Expect(0, 9, '\P{Bc=_	s}', "");
Expect(1, 9, '\P{^Bc=_	s}', "");
Expect(0, 8, '\p{Bc=_	s}', "");
Expect(1, 8, '\p{^Bc=_	s}', "");
Expect(1, 8, '\P{Bc=_	s}', "");
Expect(0, 8, '\P{^Bc=_	s}', "");
Error('\p{Is_Bidi_Class=:=-	Segment	Separator}');
Error('\P{Is_Bidi_Class=:=-	Segment	Separator}');
Expect(1, 9, '\p{Is_Bidi_Class=segmentseparator}', "");
Expect(0, 9, '\p{^Is_Bidi_Class=segmentseparator}', "");
Expect(0, 9, '\P{Is_Bidi_Class=segmentseparator}', "");
Expect(1, 9, '\P{^Is_Bidi_Class=segmentseparator}', "");
Expect(0, 8, '\p{Is_Bidi_Class=segmentseparator}', "");
Expect(1, 8, '\p{^Is_Bidi_Class=segmentseparator}', "");
Expect(1, 8, '\P{Is_Bidi_Class=segmentseparator}', "");
Expect(0, 8, '\P{^Is_Bidi_Class=segmentseparator}', "");
Expect(1, 9, '\p{Is_Bidi_Class=-SEGMENT_SEPARATOR}', "");
Expect(0, 9, '\p{^Is_Bidi_Class=-SEGMENT_SEPARATOR}', "");
Expect(0, 9, '\P{Is_Bidi_Class=-SEGMENT_SEPARATOR}', "");
Expect(1, 9, '\P{^Is_Bidi_Class=-SEGMENT_SEPARATOR}', "");
Expect(0, 8, '\p{Is_Bidi_Class=-SEGMENT_SEPARATOR}', "");
Expect(1, 8, '\p{^Is_Bidi_Class=-SEGMENT_SEPARATOR}', "");
Expect(1, 8, '\P{Is_Bidi_Class=-SEGMENT_SEPARATOR}', "");
Expect(0, 8, '\P{^Is_Bidi_Class=-SEGMENT_SEPARATOR}', "");
Error('\p{Is_Bc=:=	_S}');
Error('\P{Is_Bc=:=	_S}');
Expect(1, 9, '\p{Is_Bc=s}', "");
Expect(0, 9, '\p{^Is_Bc=s}', "");
Expect(0, 9, '\P{Is_Bc=s}', "");
Expect(1, 9, '\P{^Is_Bc=s}', "");
Expect(0, 8, '\p{Is_Bc=s}', "");
Expect(1, 8, '\p{^Is_Bc=s}', "");
Expect(1, 8, '\P{Is_Bc=s}', "");
Expect(0, 8, '\P{^Is_Bc=s}', "");
Error('\p{Bidi_Class=_/a/RIGHT-to	left_OVERRIDE}');
Error('\P{Bidi_Class=_/a/RIGHT-to	left_OVERRIDE}');
Expect(1, 8238, '\p{Bidi_Class=righttoleftoverride}', "");
Expect(0, 8238, '\p{^Bidi_Class=righttoleftoverride}', "");
Expect(0, 8238, '\P{Bidi_Class=righttoleftoverride}', "");
Expect(1, 8238, '\P{^Bidi_Class=righttoleftoverride}', "");
Expect(0, 8237, '\p{Bidi_Class=righttoleftoverride}', "");
Expect(1, 8237, '\p{^Bidi_Class=righttoleftoverride}', "");
Expect(1, 8237, '\P{Bidi_Class=righttoleftoverride}', "");
Expect(0, 8237, '\P{^Bidi_Class=righttoleftoverride}', "");
Expect(1, 8238, '\p{Bidi_Class= _RIGHT	ToLEFTOverride}', "");
Expect(0, 8238, '\p{^Bidi_Class= _RIGHT	ToLEFTOverride}', "");
Expect(0, 8238, '\P{Bidi_Class= _RIGHT	ToLEFTOverride}', "");
Expect(1, 8238, '\P{^Bidi_Class= _RIGHT	ToLEFTOverride}', "");
Expect(0, 8237, '\p{Bidi_Class= _RIGHT	ToLEFTOverride}', "");
Expect(1, 8237, '\p{^Bidi_Class= _RIGHT	ToLEFTOverride}', "");
Expect(1, 8237, '\P{Bidi_Class= _RIGHT	ToLEFTOverride}', "");
Expect(0, 8237, '\P{^Bidi_Class= _RIGHT	ToLEFTOverride}', "");
Error('\p{Bc=/a/-_RLO}');
Error('\P{Bc=/a/-_RLO}');
Expect(1, 8238, '\p{Bc=rlo}', "");
Expect(0, 8238, '\p{^Bc=rlo}', "");
Expect(0, 8238, '\P{Bc=rlo}', "");
Expect(1, 8238, '\P{^Bc=rlo}', "");
Expect(0, 8237, '\p{Bc=rlo}', "");
Expect(1, 8237, '\p{^Bc=rlo}', "");
Expect(1, 8237, '\P{Bc=rlo}', "");
Expect(0, 8237, '\P{^Bc=rlo}', "");
Expect(1, 8238, '\p{Bc: RLO}', "");
Expect(0, 8238, '\p{^Bc: RLO}', "");
Expect(0, 8238, '\P{Bc: RLO}', "");
Expect(1, 8238, '\P{^Bc: RLO}', "");
Expect(0, 8237, '\p{Bc: RLO}', "");
Expect(1, 8237, '\p{^Bc: RLO}', "");
Expect(1, 8237, '\P{Bc: RLO}', "");
Expect(0, 8237, '\P{^Bc: RLO}', "");
Error('\p{Is_Bidi_Class=/a/-Right ToLeft-override}');
Error('\P{Is_Bidi_Class=/a/-Right ToLeft-override}');
Expect(1, 8238, '\p{Is_Bidi_Class=righttoleftoverride}', "");
Expect(0, 8238, '\p{^Is_Bidi_Class=righttoleftoverride}', "");
Expect(0, 8238, '\P{Is_Bidi_Class=righttoleftoverride}', "");
Expect(1, 8238, '\P{^Is_Bidi_Class=righttoleftoverride}', "");
Expect(0, 8237, '\p{Is_Bidi_Class=righttoleftoverride}', "");
Expect(1, 8237, '\p{^Is_Bidi_Class=righttoleftoverride}', "");
Expect(1, 8237, '\P{Is_Bidi_Class=righttoleftoverride}', "");
Expect(0, 8237, '\P{^Is_Bidi_Class=righttoleftoverride}', "");
Expect(1, 8238, '\p{Is_Bidi_Class=_-Right ToLeft-Override}', "");
Expect(0, 8238, '\p{^Is_Bidi_Class=_-Right ToLeft-Override}', "");
Expect(0, 8238, '\P{Is_Bidi_Class=_-Right ToLeft-Override}', "");
Expect(1, 8238, '\P{^Is_Bidi_Class=_-Right ToLeft-Override}', "");
Expect(0, 8237, '\p{Is_Bidi_Class=_-Right ToLeft-Override}', "");
Expect(1, 8237, '\p{^Is_Bidi_Class=_-Right ToLeft-Override}', "");
Expect(1, 8237, '\P{Is_Bidi_Class=_-Right ToLeft-Override}', "");
Expect(0, 8237, '\P{^Is_Bidi_Class=_-Right ToLeft-Override}', "");
Error('\p{Is_Bc=/a/- RLO}');
Error('\P{Is_Bc=/a/- RLO}');
Expect(1, 8238, '\p{Is_Bc=rlo}', "");
Expect(0, 8238, '\p{^Is_Bc=rlo}', "");
Expect(0, 8238, '\P{Is_Bc=rlo}', "");
Expect(1, 8238, '\P{^Is_Bc=rlo}', "");
Expect(0, 8237, '\p{Is_Bc=rlo}', "");
Expect(1, 8237, '\p{^Is_Bc=rlo}', "");
Expect(1, 8237, '\P{Is_Bc=rlo}', "");
Expect(0, 8237, '\P{^Is_Bc=rlo}', "");
Expect(1, 8238, '\p{Is_Bc= _RLO}', "");
Expect(0, 8238, '\p{^Is_Bc= _RLO}', "");
Expect(0, 8238, '\P{Is_Bc= _RLO}', "");
Expect(1, 8238, '\P{^Is_Bc= _RLO}', "");
Expect(0, 8237, '\p{Is_Bc= _RLO}', "");
Expect(1, 8237, '\p{^Is_Bc= _RLO}', "");
Expect(1, 8237, '\P{Is_Bc= _RLO}', "");
Expect(0, 8237, '\P{^Is_Bc= _RLO}', "");
Error('\p{Bidi_Class:	left:=To-Right_Override}');
Error('\P{Bidi_Class:	left:=To-Right_Override}');
Expect(1, 8237, '\p{Bidi_Class=lefttorightoverride}', "");
Expect(0, 8237, '\p{^Bidi_Class=lefttorightoverride}', "");
Expect(0, 8237, '\P{Bidi_Class=lefttorightoverride}', "");
Expect(1, 8237, '\P{^Bidi_Class=lefttorightoverride}', "");
Expect(0, 8236, '\p{Bidi_Class=lefttorightoverride}', "");
Expect(1, 8236, '\p{^Bidi_Class=lefttorightoverride}', "");
Expect(1, 8236, '\P{Bidi_Class=lefttorightoverride}', "");
Expect(0, 8236, '\P{^Bidi_Class=lefttorightoverride}', "");
Expect(1, 8237, '\p{Bidi_Class=-_Left To RIGHT-OVERRIDE}', "");
Expect(0, 8237, '\p{^Bidi_Class=-_Left To RIGHT-OVERRIDE}', "");
Expect(0, 8237, '\P{Bidi_Class=-_Left To RIGHT-OVERRIDE}', "");
Expect(1, 8237, '\P{^Bidi_Class=-_Left To RIGHT-OVERRIDE}', "");
Expect(0, 8236, '\p{Bidi_Class=-_Left To RIGHT-OVERRIDE}', "");
Expect(1, 8236, '\p{^Bidi_Class=-_Left To RIGHT-OVERRIDE}', "");
Expect(1, 8236, '\P{Bidi_Class=-_Left To RIGHT-OVERRIDE}', "");
Expect(0, 8236, '\P{^Bidi_Class=-_Left To RIGHT-OVERRIDE}', "");
Error('\p{Bc=:= LRO}');
Error('\P{Bc=:= LRO}');
Expect(1, 8237, '\p{Bc=lro}', "");
Expect(0, 8237, '\p{^Bc=lro}', "");
Expect(0, 8237, '\P{Bc=lro}', "");
Expect(1, 8237, '\P{^Bc=lro}', "");
Expect(0, 8236, '\p{Bc=lro}', "");
Expect(1, 8236, '\p{^Bc=lro}', "");
Expect(1, 8236, '\P{Bc=lro}', "");
Expect(0, 8236, '\P{^Bc=lro}', "");
Expect(1, 8237, '\p{Bc=_LRO}', "");
Expect(0, 8237, '\p{^Bc=_LRO}', "");
Expect(0, 8237, '\P{Bc=_LRO}', "");
Expect(1, 8237, '\P{^Bc=_LRO}', "");
Expect(0, 8236, '\p{Bc=_LRO}', "");
Expect(1, 8236, '\p{^Bc=_LRO}', "");
Expect(1, 8236, '\P{Bc=_LRO}', "");
Expect(0, 8236, '\P{^Bc=_LRO}', "");
Error('\p{Is_Bidi_Class=-:=left-To_Right	OVERRIDE}');
Error('\P{Is_Bidi_Class=-:=left-To_Right	OVERRIDE}');
Expect(1, 8237, '\p{Is_Bidi_Class=lefttorightoverride}', "");
Expect(0, 8237, '\p{^Is_Bidi_Class=lefttorightoverride}', "");
Expect(0, 8237, '\P{Is_Bidi_Class=lefttorightoverride}', "");
Expect(1, 8237, '\P{^Is_Bidi_Class=lefttorightoverride}', "");
Expect(0, 8236, '\p{Is_Bidi_Class=lefttorightoverride}', "");
Expect(1, 8236, '\p{^Is_Bidi_Class=lefttorightoverride}', "");
Expect(1, 8236, '\P{Is_Bidi_Class=lefttorightoverride}', "");
Expect(0, 8236, '\P{^Is_Bidi_Class=lefttorightoverride}', "");
Expect(1, 8237, '\p{Is_Bidi_Class:   _	Left TO	RightOVERRIDE}', "");
Expect(0, 8237, '\p{^Is_Bidi_Class:   _	Left TO	RightOVERRIDE}', "");
Expect(0, 8237, '\P{Is_Bidi_Class:   _	Left TO	RightOVERRIDE}', "");
Expect(1, 8237, '\P{^Is_Bidi_Class:   _	Left TO	RightOVERRIDE}', "");
Expect(0, 8236, '\p{Is_Bidi_Class:   _	Left TO	RightOVERRIDE}', "");
Expect(1, 8236, '\p{^Is_Bidi_Class:   _	Left TO	RightOVERRIDE}', "");
Expect(1, 8236, '\P{Is_Bidi_Class:   _	Left TO	RightOVERRIDE}', "");
Expect(0, 8236, '\P{^Is_Bidi_Class:   _	Left TO	RightOVERRIDE}', "");
Error('\p{Is_Bc=-_lro:=}');
Error('\P{Is_Bc=-_lro:=}');
Expect(1, 8237, '\p{Is_Bc=lro}', "");
Expect(0, 8237, '\p{^Is_Bc=lro}', "");
Expect(0, 8237, '\P{Is_Bc=lro}', "");
Expect(1, 8237, '\P{^Is_Bc=lro}', "");
Expect(0, 8236, '\p{Is_Bc=lro}', "");
Expect(1, 8236, '\p{^Is_Bc=lro}', "");
Expect(1, 8236, '\P{Is_Bc=lro}', "");
Expect(0, 8236, '\P{^Is_Bc=lro}', "");
Expect(1, 8237, '\p{Is_Bc=	 lro}', "");
Expect(0, 8237, '\p{^Is_Bc=	 lro}', "");
Expect(0, 8237, '\P{Is_Bc=	 lro}', "");
Expect(1, 8237, '\P{^Is_Bc=	 lro}', "");
Expect(0, 8236, '\p{Is_Bc=	 lro}', "");
Expect(1, 8236, '\p{^Is_Bc=	 lro}', "");
Expect(1, 8236, '\P{Is_Bc=	 lro}', "");
Expect(0, 8236, '\P{^Is_Bc=	 lro}', "");
Error('\p{Bidi_Class=		Left To_right:=}');
Error('\P{Bidi_Class=		Left To_right:=}');
Expect(1, 90, '\p{Bidi_Class=lefttoright}', "");
Expect(0, 90, '\p{^Bidi_Class=lefttoright}', "");
Expect(0, 90, '\P{Bidi_Class=lefttoright}', "");
Expect(1, 90, '\P{^Bidi_Class=lefttoright}', "");
Expect(0, 64, '\p{Bidi_Class=lefttoright}', "");
Expect(1, 64, '\p{^Bidi_Class=lefttoright}', "");
Expect(1, 64, '\P{Bidi_Class=lefttoright}', "");
Expect(0, 64, '\P{^Bidi_Class=lefttoright}', "");
Expect(1, 90, '\p{Bidi_Class=_LEFT	to_Right}', "");
Expect(0, 90, '\p{^Bidi_Class=_LEFT	to_Right}', "");
Expect(0, 90, '\P{Bidi_Class=_LEFT	to_Right}', "");
Expect(1, 90, '\P{^Bidi_Class=_LEFT	to_Right}', "");
Expect(0, 64, '\p{Bidi_Class=_LEFT	to_Right}', "");
Expect(1, 64, '\p{^Bidi_Class=_LEFT	to_Right}', "");
Expect(1, 64, '\P{Bidi_Class=_LEFT	to_Right}', "");
Expect(0, 64, '\P{^Bidi_Class=_LEFT	to_Right}', "");
Error('\p{Bc=/a/L}');
Error('\P{Bc=/a/L}');
Expect(1, 90, '\p{Bc=l}', "");
Expect(0, 90, '\p{^Bc=l}', "");
Expect(0, 90, '\P{Bc=l}', "");
Expect(1, 90, '\P{^Bc=l}', "");
Expect(0, 64, '\p{Bc=l}', "");
Expect(1, 64, '\p{^Bc=l}', "");
Expect(1, 64, '\P{Bc=l}', "");
Expect(0, 64, '\P{^Bc=l}', "");
Expect(1, 90, '\p{Bc=_	L}', "");
Expect(0, 90, '\p{^Bc=_	L}', "");
Expect(0, 90, '\P{Bc=_	L}', "");
Expect(1, 90, '\P{^Bc=_	L}', "");
Expect(0, 64, '\p{Bc=_	L}', "");
Expect(1, 64, '\p{^Bc=_	L}', "");
Expect(1, 64, '\P{Bc=_	L}', "");
Expect(0, 64, '\P{^Bc=_	L}', "");
Error('\p{Is_Bidi_Class=/a/-_Left	To-Right}');
Error('\P{Is_Bidi_Class=/a/-_Left	To-Right}');
Expect(1, 90, '\p{Is_Bidi_Class:lefttoright}', "");
Expect(0, 90, '\p{^Is_Bidi_Class:lefttoright}', "");
Expect(0, 90, '\P{Is_Bidi_Class:lefttoright}', "");
Expect(1, 90, '\P{^Is_Bidi_Class:lefttoright}', "");
Expect(0, 64, '\p{Is_Bidi_Class:lefttoright}', "");
Expect(1, 64, '\p{^Is_Bidi_Class:lefttoright}', "");
Expect(1, 64, '\P{Is_Bidi_Class:lefttoright}', "");
Expect(0, 64, '\P{^Is_Bidi_Class:lefttoright}', "");
Expect(1, 90, '\p{Is_Bidi_Class=	_Left_to-Right}', "");
Expect(0, 90, '\p{^Is_Bidi_Class=	_Left_to-Right}', "");
Expect(0, 90, '\P{Is_Bidi_Class=	_Left_to-Right}', "");
Expect(1, 90, '\P{^Is_Bidi_Class=	_Left_to-Right}', "");
Expect(0, 64, '\p{Is_Bidi_Class=	_Left_to-Right}', "");
Expect(1, 64, '\p{^Is_Bidi_Class=	_Left_to-Right}', "");
Expect(1, 64, '\P{Is_Bidi_Class=	_Left_to-Right}', "");
Expect(0, 64, '\P{^Is_Bidi_Class=	_Left_to-Right}', "");
Error('\p{Is_Bc=:=  L}');
Error('\P{Is_Bc=:=  L}');
Expect(1, 90, '\p{Is_Bc:	l}', "");
Expect(0, 90, '\p{^Is_Bc:	l}', "");
Expect(0, 90, '\P{Is_Bc:	l}', "");
Expect(1, 90, '\P{^Is_Bc:	l}', "");
Expect(0, 64, '\p{Is_Bc:	l}', "");
Expect(1, 64, '\p{^Is_Bc:	l}', "");
Expect(1, 64, '\P{Is_Bc:	l}', "");
Expect(0, 64, '\P{^Is_Bc:	l}', "");
Expect(1, 90, '\p{Is_Bc=  L}', "");
Expect(0, 90, '\p{^Is_Bc=  L}', "");
Expect(0, 90, '\P{Is_Bc=  L}', "");
Expect(1, 90, '\P{^Is_Bc=  L}', "");
Expect(0, 64, '\p{Is_Bc=  L}', "");
Expect(1, 64, '\p{^Is_Bc=  L}', "");
Expect(1, 64, '\P{Is_Bc=  L}', "");
Expect(0, 64, '\P{^Is_Bc=  L}', "");
Error('\p{Bidi_Class= Right/a/to-Left_Embedding}');
Error('\P{Bidi_Class= Right/a/to-Left_Embedding}');
Expect(1, 8235, '\p{Bidi_Class=righttoleftembedding}', "");
Expect(0, 8235, '\p{^Bidi_Class=righttoleftembedding}', "");
Expect(0, 8235, '\P{Bidi_Class=righttoleftembedding}', "");
Expect(1, 8235, '\P{^Bidi_Class=righttoleftembedding}', "");
Expect(0, 8234, '\p{Bidi_Class=righttoleftembedding}', "");
Expect(1, 8234, '\p{^Bidi_Class=righttoleftembedding}', "");
Expect(1, 8234, '\P{Bidi_Class=righttoleftembedding}', "");
Expect(0, 8234, '\P{^Bidi_Class=righttoleftembedding}', "");
Expect(1, 8235, '\p{Bidi_Class:  -right	to LEFT	EMBEDDING}', "");
Expect(0, 8235, '\p{^Bidi_Class:  -right	to LEFT	EMBEDDING}', "");
Expect(0, 8235, '\P{Bidi_Class:  -right	to LEFT	EMBEDDING}', "");
Expect(1, 8235, '\P{^Bidi_Class:  -right	to LEFT	EMBEDDING}', "");
Expect(0, 8234, '\p{Bidi_Class:  -right	to LEFT	EMBEDDING}', "");
Expect(1, 8234, '\p{^Bidi_Class:  -right	to LEFT	EMBEDDING}', "");
Expect(1, 8234, '\P{Bidi_Class:  -right	to LEFT	EMBEDDING}', "");
Expect(0, 8234, '\P{^Bidi_Class:  -right	to LEFT	EMBEDDING}', "");
Error('\p{Bc:   --RLE/a/}');
Error('\P{Bc:   --RLE/a/}');
Expect(1, 8235, '\p{Bc=rle}', "");
Expect(0, 8235, '\p{^Bc=rle}', "");
Expect(0, 8235, '\P{Bc=rle}', "");
Expect(1, 8235, '\P{^Bc=rle}', "");
Expect(0, 8234, '\p{Bc=rle}', "");
Expect(1, 8234, '\p{^Bc=rle}', "");
Expect(1, 8234, '\P{Bc=rle}', "");
Expect(0, 8234, '\P{^Bc=rle}', "");
Expect(1, 8235, '\p{Bc= RLE}', "");
Expect(0, 8235, '\p{^Bc= RLE}', "");
Expect(0, 8235, '\P{Bc= RLE}', "");
Expect(1, 8235, '\P{^Bc= RLE}', "");
Expect(0, 8234, '\p{Bc= RLE}', "");
Expect(1, 8234, '\p{^Bc= RLE}', "");
Expect(1, 8234, '\P{Bc= RLE}', "");
Expect(0, 8234, '\P{^Bc= RLE}', "");
Error('\p{Is_Bidi_Class=	:=Right-ToLeft_embedding}');
Error('\P{Is_Bidi_Class=	:=Right-ToLeft_embedding}');
Expect(1, 8235, '\p{Is_Bidi_Class=righttoleftembedding}', "");
Expect(0, 8235, '\p{^Is_Bidi_Class=righttoleftembedding}', "");
Expect(0, 8235, '\P{Is_Bidi_Class=righttoleftembedding}', "");
Expect(1, 8235, '\P{^Is_Bidi_Class=righttoleftembedding}', "");
Expect(0, 8234, '\p{Is_Bidi_Class=righttoleftembedding}', "");
Expect(1, 8234, '\p{^Is_Bidi_Class=righttoleftembedding}', "");
Expect(1, 8234, '\P{Is_Bidi_Class=righttoleftembedding}', "");
Expect(0, 8234, '\P{^Is_Bidi_Class=righttoleftembedding}', "");
Expect(1, 8235, '\p{Is_Bidi_Class= RIGHT_TO-leftEMBEDDING}', "");
Expect(0, 8235, '\p{^Is_Bidi_Class= RIGHT_TO-leftEMBEDDING}', "");
Expect(0, 8235, '\P{Is_Bidi_Class= RIGHT_TO-leftEMBEDDING}', "");
Expect(1, 8235, '\P{^Is_Bidi_Class= RIGHT_TO-leftEMBEDDING}', "");
Expect(0, 8234, '\p{Is_Bidi_Class= RIGHT_TO-leftEMBEDDING}', "");
Expect(1, 8234, '\p{^Is_Bidi_Class= RIGHT_TO-leftEMBEDDING}', "");
Expect(1, 8234, '\P{Is_Bidi_Class= RIGHT_TO-leftEMBEDDING}', "");
Expect(0, 8234, '\P{^Is_Bidi_Class= RIGHT_TO-leftEMBEDDING}', "");
Error('\p{Is_Bc=		rle/a/}');
Error('\P{Is_Bc=		rle/a/}');
Expect(1, 8235, '\p{Is_Bc=rle}', "");
Expect(0, 8235, '\p{^Is_Bc=rle}', "");
Expect(0, 8235, '\P{Is_Bc=rle}', "");
Expect(1, 8235, '\P{^Is_Bc=rle}', "");
Expect(0, 8234, '\p{Is_Bc=rle}', "");
Expect(1, 8234, '\p{^Is_Bc=rle}', "");
Expect(1, 8234, '\P{Is_Bc=rle}', "");
Expect(0, 8234, '\P{^Is_Bc=rle}', "");
Expect(1, 8235, '\p{Is_Bc=_	rle}', "");
Expect(0, 8235, '\p{^Is_Bc=_	rle}', "");
Expect(0, 8235, '\P{Is_Bc=_	rle}', "");
Expect(1, 8235, '\P{^Is_Bc=_	rle}', "");
Expect(0, 8234, '\p{Is_Bc=_	rle}', "");
Expect(1, 8234, '\p{^Is_Bc=_	rle}', "");
Expect(1, 8234, '\P{Is_Bc=_	rle}', "");
Expect(0, 8234, '\P{^Is_Bc=_	rle}', "");
Error('\p{Bidi_Class=	/a/Other_Neutral}');
Error('\P{Bidi_Class=	/a/Other_Neutral}');
Expect(1, 34, '\p{Bidi_Class=otherneutral}', "");
Expect(0, 34, '\p{^Bidi_Class=otherneutral}', "");
Expect(0, 34, '\P{Bidi_Class=otherneutral}', "");
Expect(1, 34, '\P{^Bidi_Class=otherneutral}', "");
Expect(0, 32, '\p{Bidi_Class=otherneutral}', "");
Expect(1, 32, '\p{^Bidi_Class=otherneutral}', "");
Expect(1, 32, '\P{Bidi_Class=otherneutral}', "");
Expect(0, 32, '\P{^Bidi_Class=otherneutral}', "");
Expect(1, 34, '\p{Bidi_Class=_-other_Neutral}', "");
Expect(0, 34, '\p{^Bidi_Class=_-other_Neutral}', "");
Expect(0, 34, '\P{Bidi_Class=_-other_Neutral}', "");
Expect(1, 34, '\P{^Bidi_Class=_-other_Neutral}', "");
Expect(0, 32, '\p{Bidi_Class=_-other_Neutral}', "");
Expect(1, 32, '\p{^Bidi_Class=_-other_Neutral}', "");
Expect(1, 32, '\P{Bidi_Class=_-other_Neutral}', "");
Expect(0, 32, '\P{^Bidi_Class=_-other_Neutral}', "");
Error('\p{Bc= 	ON:=}');
Error('\P{Bc= 	ON:=}');
Expect(1, 34, '\p{Bc=on}', "");
Expect(0, 34, '\p{^Bc=on}', "");
Expect(0, 34, '\P{Bc=on}', "");
Expect(1, 34, '\P{^Bc=on}', "");
Expect(0, 32, '\p{Bc=on}', "");
Expect(1, 32, '\p{^Bc=on}', "");
Expect(1, 32, '\P{Bc=on}', "");
Expect(0, 32, '\P{^Bc=on}', "");
Expect(1, 34, '\p{Bc=		ON}', "");
Expect(0, 34, '\p{^Bc=		ON}', "");
Expect(0, 34, '\P{Bc=		ON}', "");
Expect(1, 34, '\P{^Bc=		ON}', "");
Expect(0, 32, '\p{Bc=		ON}', "");
Expect(1, 32, '\p{^Bc=		ON}', "");
Expect(1, 32, '\P{Bc=		ON}', "");
Expect(0, 32, '\P{^Bc=		ON}', "");
Error('\p{Is_Bidi_Class=		Other:=Neutral}');
Error('\P{Is_Bidi_Class=		Other:=Neutral}');
Expect(1, 34, '\p{Is_Bidi_Class=otherneutral}', "");
Expect(0, 34, '\p{^Is_Bidi_Class=otherneutral}', "");
Expect(0, 34, '\P{Is_Bidi_Class=otherneutral}', "");
Expect(1, 34, '\P{^Is_Bidi_Class=otherneutral}', "");
Expect(0, 32, '\p{Is_Bidi_Class=otherneutral}', "");
Expect(1, 32, '\p{^Is_Bidi_Class=otherneutral}', "");
Expect(1, 32, '\P{Is_Bidi_Class=otherneutral}', "");
Expect(0, 32, '\P{^Is_Bidi_Class=otherneutral}', "");
Expect(1, 34, '\p{Is_Bidi_Class=OtherNeutral}', "");
Expect(0, 34, '\p{^Is_Bidi_Class=OtherNeutral}', "");
Expect(0, 34, '\P{Is_Bidi_Class=OtherNeutral}', "");
Expect(1, 34, '\P{^Is_Bidi_Class=OtherNeutral}', "");
Expect(0, 32, '\p{Is_Bidi_Class=OtherNeutral}', "");
Expect(1, 32, '\p{^Is_Bidi_Class=OtherNeutral}', "");
Expect(1, 32, '\P{Is_Bidi_Class=OtherNeutral}', "");
Expect(0, 32, '\P{^Is_Bidi_Class=OtherNeutral}', "");
Error('\p{Is_Bc=:=-	on}');
Error('\P{Is_Bc=:=-	on}');
Expect(1, 34, '\p{Is_Bc=on}', "");
Expect(0, 34, '\p{^Is_Bc=on}', "");
Expect(0, 34, '\P{Is_Bc=on}', "");
Expect(1, 34, '\P{^Is_Bc=on}', "");
Expect(0, 32, '\p{Is_Bc=on}', "");
Expect(1, 32, '\p{^Is_Bc=on}', "");
Expect(1, 32, '\P{Is_Bc=on}', "");
Expect(0, 32, '\P{^Is_Bc=on}', "");
Expect(1, 34, '\p{Is_Bc=	-on}', "");
Expect(0, 34, '\p{^Is_Bc=	-on}', "");
Expect(0, 34, '\P{Is_Bc=	-on}', "");
Expect(1, 34, '\P{^Is_Bc=	-on}', "");
Expect(0, 32, '\p{Is_Bc=	-on}', "");
Expect(1, 32, '\p{^Is_Bc=	-on}', "");
Expect(1, 32, '\P{Is_Bc=	-on}', "");
Expect(0, 32, '\P{^Is_Bc=	-on}', "");
Error('\p{Bidi_Class=	:=boundary_Neutral}');
Error('\P{Bidi_Class=	:=boundary_Neutral}');
Expect(1, 8, '\p{Bidi_Class:   boundaryneutral}', "");
Expect(0, 8, '\p{^Bidi_Class:   boundaryneutral}', "");
Expect(0, 8, '\P{Bidi_Class:   boundaryneutral}', "");
Expect(1, 8, '\P{^Bidi_Class:   boundaryneutral}', "");
Expect(0, 13, '\p{Bidi_Class:   boundaryneutral}', "");
Expect(1, 13, '\p{^Bidi_Class:   boundaryneutral}', "");
Expect(1, 13, '\P{Bidi_Class:   boundaryneutral}', "");
Expect(0, 13, '\P{^Bidi_Class:   boundaryneutral}', "");
Expect(1, 8, '\p{Bidi_Class=_ BOUNDARYneutral}', "");
Expect(0, 8, '\p{^Bidi_Class=_ BOUNDARYneutral}', "");
Expect(0, 8, '\P{Bidi_Class=_ BOUNDARYneutral}', "");
Expect(1, 8, '\P{^Bidi_Class=_ BOUNDARYneutral}', "");
Expect(0, 13, '\p{Bidi_Class=_ BOUNDARYneutral}', "");
Expect(1, 13, '\p{^Bidi_Class=_ BOUNDARYneutral}', "");
Expect(1, 13, '\P{Bidi_Class=_ BOUNDARYneutral}', "");
Expect(0, 13, '\P{^Bidi_Class=_ BOUNDARYneutral}', "");
Error('\p{Bc= :=BN}');
Error('\P{Bc= :=BN}');
Expect(1, 8, '\p{Bc=bn}', "");
Expect(0, 8, '\p{^Bc=bn}', "");
Expect(0, 8, '\P{Bc=bn}', "");
Expect(1, 8, '\P{^Bc=bn}', "");
Expect(0, 13, '\p{Bc=bn}', "");
Expect(1, 13, '\p{^Bc=bn}', "");
Expect(1, 13, '\P{Bc=bn}', "");
Expect(0, 13, '\P{^Bc=bn}', "");
Expect(1, 8, '\p{Bc=-	BN}', "");
Expect(0, 8, '\p{^Bc=-	BN}', "");
Expect(0, 8, '\P{Bc=-	BN}', "");
Expect(1, 8, '\P{^Bc=-	BN}', "");
Expect(0, 13, '\p{Bc=-	BN}', "");
Expect(1, 13, '\p{^Bc=-	BN}', "");
Expect(1, 13, '\P{Bc=-	BN}', "");
Expect(0, 13, '\P{^Bc=-	BN}', "");
Error('\p{Is_Bidi_Class= :=BoundaryNeutral}');
Error('\P{Is_Bidi_Class= :=BoundaryNeutral}');
Expect(1, 8, '\p{Is_Bidi_Class=boundaryneutral}', "");
Expect(0, 8, '\p{^Is_Bidi_Class=boundaryneutral}', "");
Expect(0, 8, '\P{Is_Bidi_Class=boundaryneutral}', "");
Expect(1, 8, '\P{^Is_Bidi_Class=boundaryneutral}', "");
Expect(0, 13, '\p{Is_Bidi_Class=boundaryneutral}', "");
Expect(1, 13, '\p{^Is_Bidi_Class=boundaryneutral}', "");
Expect(1, 13, '\P{Is_Bidi_Class=boundaryneutral}', "");
Expect(0, 13, '\P{^Is_Bidi_Class=boundaryneutral}', "");
Expect(1, 8, '\p{Is_Bidi_Class=	 boundary	neutral}', "");
Expect(0, 8, '\p{^Is_Bidi_Class=	 boundary	neutral}', "");
Expect(0, 8, '\P{Is_Bidi_Class=	 boundary	neutral}', "");
Expect(1, 8, '\P{^Is_Bidi_Class=	 boundary	neutral}', "");
Expect(0, 13, '\p{Is_Bidi_Class=	 boundary	neutral}', "");
Expect(1, 13, '\p{^Is_Bidi_Class=	 boundary	neutral}', "");
Expect(1, 13, '\P{Is_Bidi_Class=	 boundary	neutral}', "");
Expect(0, 13, '\P{^Is_Bidi_Class=	 boundary	neutral}', "");
Error('\p{Is_Bc=/a/--BN}');
Error('\P{Is_Bc=/a/--BN}');
Expect(1, 8, '\p{Is_Bc=bn}', "");
Expect(0, 8, '\p{^Is_Bc=bn}', "");
Expect(0, 8, '\P{Is_Bc=bn}', "");
Expect(1, 8, '\P{^Is_Bc=bn}', "");
Expect(0, 13, '\p{Is_Bc=bn}', "");
Expect(1, 13, '\p{^Is_Bc=bn}', "");
Expect(1, 13, '\P{Is_Bc=bn}', "");
Expect(0, 13, '\P{^Is_Bc=bn}', "");
Expect(1, 8, '\p{Is_Bc= 	BN}', "");
Expect(0, 8, '\p{^Is_Bc= 	BN}', "");
Expect(0, 8, '\P{Is_Bc= 	BN}', "");
Expect(1, 8, '\P{^Is_Bc= 	BN}', "");
Expect(0, 13, '\p{Is_Bc= 	BN}', "");
Expect(1, 13, '\p{^Is_Bc= 	BN}', "");
Expect(1, 13, '\P{Is_Bc= 	BN}', "");
Expect(0, 13, '\P{^Is_Bc= 	BN}', "");
Error('\p{Bidi_Class=	_Pop_DIRECTIONAL	Format:=}');
Error('\P{Bidi_Class=	_Pop_DIRECTIONAL	Format:=}');
Expect(1, 8236, '\p{Bidi_Class=popdirectionalformat}', "");
Expect(0, 8236, '\p{^Bidi_Class=popdirectionalformat}', "");
Expect(0, 8236, '\P{Bidi_Class=popdirectionalformat}', "");
Expect(1, 8236, '\P{^Bidi_Class=popdirectionalformat}', "");
Expect(0, 8235, '\p{Bidi_Class=popdirectionalformat}', "");
Expect(1, 8235, '\p{^Bidi_Class=popdirectionalformat}', "");
Expect(1, 8235, '\P{Bidi_Class=popdirectionalformat}', "");
Expect(0, 8235, '\P{^Bidi_Class=popdirectionalformat}', "");
Expect(1, 8236, '\p{Bidi_Class=	_pop_DIRECTIONALFormat}', "");
Expect(0, 8236, '\p{^Bidi_Class=	_pop_DIRECTIONALFormat}', "");
Expect(0, 8236, '\P{Bidi_Class=	_pop_DIRECTIONALFormat}', "");
Expect(1, 8236, '\P{^Bidi_Class=	_pop_DIRECTIONALFormat}', "");
Expect(0, 8235, '\p{Bidi_Class=	_pop_DIRECTIONALFormat}', "");
Expect(1, 8235, '\p{^Bidi_Class=	_pop_DIRECTIONALFormat}', "");
Expect(1, 8235, '\P{Bidi_Class=	_pop_DIRECTIONALFormat}', "");
Expect(0, 8235, '\P{^Bidi_Class=	_pop_DIRECTIONALFormat}', "");
Error('\p{Bc=/a/-_PDF}');
Error('\P{Bc=/a/-_PDF}');
Expect(1, 8236, '\p{Bc=pdf}', "");
Expect(0, 8236, '\p{^Bc=pdf}', "");
Expect(0, 8236, '\P{Bc=pdf}', "");
Expect(1, 8236, '\P{^Bc=pdf}', "");
Expect(0, 8235, '\p{Bc=pdf}', "");
Expect(1, 8235, '\p{^Bc=pdf}', "");
Expect(1, 8235, '\P{Bc=pdf}', "");
Expect(0, 8235, '\P{^Bc=pdf}', "");
Expect(1, 8236, '\p{Bc= PDF}', "");
Expect(0, 8236, '\p{^Bc= PDF}', "");
Expect(0, 8236, '\P{Bc= PDF}', "");
Expect(1, 8236, '\P{^Bc= PDF}', "");
Expect(0, 8235, '\p{Bc= PDF}', "");
Expect(1, 8235, '\p{^Bc= PDF}', "");
Expect(1, 8235, '\P{Bc= PDF}', "");
Expect(0, 8235, '\P{^Bc= PDF}', "");
Error('\p{Is_Bidi_Class=	PopDIRECTIONAL:=FORMAT}');
Error('\P{Is_Bidi_Class=	PopDIRECTIONAL:=FORMAT}');
Expect(1, 8236, '\p{Is_Bidi_Class=popdirectionalformat}', "");
Expect(0, 8236, '\p{^Is_Bidi_Class=popdirectionalformat}', "");
Expect(0, 8236, '\P{Is_Bidi_Class=popdirectionalformat}', "");
Expect(1, 8236, '\P{^Is_Bidi_Class=popdirectionalformat}', "");
Expect(0, 8235, '\p{Is_Bidi_Class=popdirectionalformat}', "");
Expect(1, 8235, '\p{^Is_Bidi_Class=popdirectionalformat}', "");
Expect(1, 8235, '\P{Is_Bidi_Class=popdirectionalformat}', "");
Expect(0, 8235, '\P{^Is_Bidi_Class=popdirectionalformat}', "");
Expect(1, 8236, '\p{Is_Bidi_Class=--POPdirectional_FORMAT}', "");
Expect(0, 8236, '\p{^Is_Bidi_Class=--POPdirectional_FORMAT}', "");
Expect(0, 8236, '\P{Is_Bidi_Class=--POPdirectional_FORMAT}', "");
Expect(1, 8236, '\P{^Is_Bidi_Class=--POPdirectional_FORMAT}', "");
Expect(0, 8235, '\p{Is_Bidi_Class=--POPdirectional_FORMAT}', "");
Expect(1, 8235, '\p{^Is_Bidi_Class=--POPdirectional_FORMAT}', "");
Expect(1, 8235, '\P{Is_Bidi_Class=--POPdirectional_FORMAT}', "");
Expect(0, 8235, '\P{^Is_Bidi_Class=--POPdirectional_FORMAT}', "");
Error('\p{Is_Bc=/a/ PDF}');
Error('\P{Is_Bc=/a/ PDF}');
Expect(1, 8236, '\p{Is_Bc=pdf}', "");
Expect(0, 8236, '\p{^Is_Bc=pdf}', "");
Expect(0, 8236, '\P{Is_Bc=pdf}', "");
Expect(1, 8236, '\P{^Is_Bc=pdf}', "");
Expect(0, 8235, '\p{Is_Bc=pdf}', "");
Expect(1, 8235, '\p{^Is_Bc=pdf}', "");
Expect(1, 8235, '\P{Is_Bc=pdf}', "");
Expect(0, 8235, '\P{^Is_Bc=pdf}', "");
Expect(1, 8236, '\p{Is_Bc=  PDF}', "");
Expect(0, 8236, '\p{^Is_Bc=  PDF}', "");
Expect(0, 8236, '\P{Is_Bc=  PDF}', "");
Expect(1, 8236, '\P{^Is_Bc=  PDF}', "");
Expect(0, 8235, '\p{Is_Bc=  PDF}', "");
Expect(1, 8235, '\p{^Is_Bc=  PDF}', "");
Expect(1, 8235, '\P{Is_Bc=  PDF}', "");
Expect(0, 8235, '\P{^Is_Bc=  PDF}', "");
Error('\p{Bidi_Class=	:=Left to-Right-EMBEDDING}');
Error('\P{Bidi_Class=	:=Left to-Right-EMBEDDING}');
Expect(1, 8234, '\p{Bidi_Class=lefttorightembedding}', "");
Expect(0, 8234, '\p{^Bidi_Class=lefttorightembedding}', "");
Expect(0, 8234, '\P{Bidi_Class=lefttorightembedding}', "");
Expect(1, 8234, '\P{^Bidi_Class=lefttorightembedding}', "");
Expect(0, 8233, '\p{Bidi_Class=lefttorightembedding}', "");
Expect(1, 8233, '\p{^Bidi_Class=lefttorightembedding}', "");
Expect(1, 8233, '\P{Bidi_Class=lefttorightembedding}', "");
Expect(0, 8233, '\P{^Bidi_Class=lefttorightembedding}', "");
Expect(1, 8234, '\p{Bidi_Class: _ left	TO	right	embedding}', "");
Expect(0, 8234, '\p{^Bidi_Class: _ left	TO	right	embedding}', "");
Expect(0, 8234, '\P{Bidi_Class: _ left	TO	right	embedding}', "");
Expect(1, 8234, '\P{^Bidi_Class: _ left	TO	right	embedding}', "");
Expect(0, 8233, '\p{Bidi_Class: _ left	TO	right	embedding}', "");
Expect(1, 8233, '\p{^Bidi_Class: _ left	TO	right	embedding}', "");
Expect(1, 8233, '\P{Bidi_Class: _ left	TO	right	embedding}', "");
Expect(0, 8233, '\P{^Bidi_Class: _ left	TO	right	embedding}', "");
Error('\p{Bc:   /a/ lre}');
Error('\P{Bc:   /a/ lre}');
Expect(1, 8234, '\p{Bc=lre}', "");
Expect(0, 8234, '\p{^Bc=lre}', "");
Expect(0, 8234, '\P{Bc=lre}', "");
Expect(1, 8234, '\P{^Bc=lre}', "");
Expect(0, 8233, '\p{Bc=lre}', "");
Expect(1, 8233, '\p{^Bc=lre}', "");
Expect(1, 8233, '\P{Bc=lre}', "");
Expect(0, 8233, '\P{^Bc=lre}', "");
Expect(1, 8234, '\p{Bc=	_lre}', "");
Expect(0, 8234, '\p{^Bc=	_lre}', "");
Expect(0, 8234, '\P{Bc=	_lre}', "");
Expect(1, 8234, '\P{^Bc=	_lre}', "");
Expect(0, 8233, '\p{Bc=	_lre}', "");
Expect(1, 8233, '\p{^Bc=	_lre}', "");
Expect(1, 8233, '\P{Bc=	_lre}', "");
Expect(0, 8233, '\P{^Bc=	_lre}', "");
Error('\p{Is_Bidi_Class= :=Left	TO_Right Embedding}');
Error('\P{Is_Bidi_Class= :=Left	TO_Right Embedding}');
Expect(1, 8234, '\p{Is_Bidi_Class=lefttorightembedding}', "");
Expect(0, 8234, '\p{^Is_Bidi_Class=lefttorightembedding}', "");
Expect(0, 8234, '\P{Is_Bidi_Class=lefttorightembedding}', "");
Expect(1, 8234, '\P{^Is_Bidi_Class=lefttorightembedding}', "");
Expect(0, 8233, '\p{Is_Bidi_Class=lefttorightembedding}', "");
Expect(1, 8233, '\p{^Is_Bidi_Class=lefttorightembedding}', "");
Expect(1, 8233, '\P{Is_Bidi_Class=lefttorightembedding}', "");
Expect(0, 8233, '\P{^Is_Bidi_Class=lefttorightembedding}', "");
Expect(1, 8234, '\p{Is_Bidi_Class=	-Left To_Rightembedding}', "");
Expect(0, 8234, '\p{^Is_Bidi_Class=	-Left To_Rightembedding}', "");
Expect(0, 8234, '\P{Is_Bidi_Class=	-Left To_Rightembedding}', "");
Expect(1, 8234, '\P{^Is_Bidi_Class=	-Left To_Rightembedding}', "");
Expect(0, 8233, '\p{Is_Bidi_Class=	-Left To_Rightembedding}', "");
Expect(1, 8233, '\p{^Is_Bidi_Class=	-Left To_Rightembedding}', "");
Expect(1, 8233, '\P{Is_Bidi_Class=	-Left To_Rightembedding}', "");
Expect(0, 8233, '\P{^Is_Bidi_Class=	-Left To_Rightembedding}', "");
Error('\p{Is_Bc=-/a/LRE}');
Error('\P{Is_Bc=-/a/LRE}');
Expect(1, 8234, '\p{Is_Bc=lre}', "");
Expect(0, 8234, '\p{^Is_Bc=lre}', "");
Expect(0, 8234, '\P{Is_Bc=lre}', "");
Expect(1, 8234, '\P{^Is_Bc=lre}', "");
Expect(0, 8233, '\p{Is_Bc=lre}', "");
Expect(1, 8233, '\p{^Is_Bc=lre}', "");
Expect(1, 8233, '\P{Is_Bc=lre}', "");
Expect(0, 8233, '\P{^Is_Bc=lre}', "");
Expect(1, 8234, '\p{Is_Bc:	_lre}', "");
Expect(0, 8234, '\p{^Is_Bc:	_lre}', "");
Expect(0, 8234, '\P{Is_Bc:	_lre}', "");
Expect(1, 8234, '\P{^Is_Bc:	_lre}', "");
Expect(0, 8233, '\p{Is_Bc:	_lre}', "");
Expect(1, 8233, '\p{^Is_Bc:	_lre}', "");
Expect(1, 8233, '\P{Is_Bc:	_lre}', "");
Expect(0, 8233, '\P{^Is_Bc:	_lre}', "");
Error('\p{Bidi_Class= -Arabic/a/Letter}');
Error('\P{Bidi_Class= -Arabic/a/Letter}');
Expect(1, 1541, '\p{Bidi_Class=arabicletter}', "");
Expect(0, 1541, '\p{^Bidi_Class=arabicletter}', "");
Expect(0, 1541, '\P{Bidi_Class=arabicletter}', "");
Expect(1, 1541, '\P{^Bidi_Class=arabicletter}', "");
Expect(0, 1539, '\p{Bidi_Class=arabicletter}', "");
Expect(1, 1539, '\p{^Bidi_Class=arabicletter}', "");
Expect(1, 1539, '\P{Bidi_Class=arabicletter}', "");
Expect(0, 1539, '\P{^Bidi_Class=arabicletter}', "");
Expect(1, 1541, '\p{Bidi_Class=	-Arabicletter}', "");
Expect(0, 1541, '\p{^Bidi_Class=	-Arabicletter}', "");
Expect(0, 1541, '\P{Bidi_Class=	-Arabicletter}', "");
Expect(1, 1541, '\P{^Bidi_Class=	-Arabicletter}', "");
Expect(0, 1539, '\p{Bidi_Class=	-Arabicletter}', "");
Expect(1, 1539, '\p{^Bidi_Class=	-Arabicletter}', "");
Expect(1, 1539, '\P{Bidi_Class=	-Arabicletter}', "");
Expect(0, 1539, '\P{^Bidi_Class=	-Arabicletter}', "");
Error('\p{Bc=/a/AL}');
Error('\P{Bc=/a/AL}');
Expect(1, 1541, '\p{Bc=al}', "");
Expect(0, 1541, '\p{^Bc=al}', "");
Expect(0, 1541, '\P{Bc=al}', "");
Expect(1, 1541, '\P{^Bc=al}', "");
Expect(0, 1539, '\p{Bc=al}', "");
Expect(1, 1539, '\p{^Bc=al}', "");
Expect(1, 1539, '\P{Bc=al}', "");
Expect(0, 1539, '\P{^Bc=al}', "");
Expect(1, 1541, '\p{Bc=	_AL}', "");
Expect(0, 1541, '\p{^Bc=	_AL}', "");
Expect(0, 1541, '\P{Bc=	_AL}', "");
Expect(1, 1541, '\P{^Bc=	_AL}', "");
Expect(0, 1539, '\p{Bc=	_AL}', "");
Expect(1, 1539, '\p{^Bc=	_AL}', "");
Expect(1, 1539, '\P{Bc=	_AL}', "");
Expect(0, 1539, '\P{^Bc=	_AL}', "");
Error('\p{Is_Bidi_Class=-Arabic/a/letter}');
Error('\P{Is_Bidi_Class=-Arabic/a/letter}');
Expect(1, 1541, '\p{Is_Bidi_Class=arabicletter}', "");
Expect(0, 1541, '\p{^Is_Bidi_Class=arabicletter}', "");
Expect(0, 1541, '\P{Is_Bidi_Class=arabicletter}', "");
Expect(1, 1541, '\P{^Is_Bidi_Class=arabicletter}', "");
Expect(0, 1539, '\p{Is_Bidi_Class=arabicletter}', "");
Expect(1, 1539, '\p{^Is_Bidi_Class=arabicletter}', "");
Expect(1, 1539, '\P{Is_Bidi_Class=arabicletter}', "");
Expect(0, 1539, '\P{^Is_Bidi_Class=arabicletter}', "");
Expect(1, 1541, '\p{Is_Bidi_Class= Arabic_Letter}', "");
Expect(0, 1541, '\p{^Is_Bidi_Class= Arabic_Letter}', "");
Expect(0, 1541, '\P{Is_Bidi_Class= Arabic_Letter}', "");
Expect(1, 1541, '\P{^Is_Bidi_Class= Arabic_Letter}', "");
Expect(0, 1539, '\p{Is_Bidi_Class= Arabic_Letter}', "");
Expect(1, 1539, '\p{^Is_Bidi_Class= Arabic_Letter}', "");
Expect(1, 1539, '\P{Is_Bidi_Class= Arabic_Letter}', "");
Expect(0, 1539, '\P{^Is_Bidi_Class= Arabic_Letter}', "");
Error('\p{Is_Bc=_AL:=}');
Error('\P{Is_Bc=_AL:=}');
Expect(1, 1541, '\p{Is_Bc=al}', "");
Expect(0, 1541, '\p{^Is_Bc=al}', "");
Expect(0, 1541, '\P{Is_Bc=al}', "");
Expect(1, 1541, '\P{^Is_Bc=al}', "");
Expect(0, 1539, '\p{Is_Bc=al}', "");
Expect(1, 1539, '\p{^Is_Bc=al}', "");
Expect(1, 1539, '\P{Is_Bc=al}', "");
Expect(0, 1539, '\P{^Is_Bc=al}', "");
Expect(1, 1541, '\p{Is_Bc=	AL}', "");
Expect(0, 1541, '\p{^Is_Bc=	AL}', "");
Expect(0, 1541, '\P{Is_Bc=	AL}', "");
Expect(1, 1541, '\P{^Is_Bc=	AL}', "");
Expect(0, 1539, '\p{Is_Bc=	AL}', "");
Expect(1, 1539, '\p{^Is_Bc=	AL}', "");
Expect(1, 1539, '\P{Is_Bc=	AL}', "");
Expect(0, 1539, '\P{^Is_Bc=	AL}', "");
Error('\p{Bidi_Class= /a/Common	Separator}');
Error('\P{Bidi_Class= /a/Common	Separator}');
Expect(1, 44, '\p{Bidi_Class=commonseparator}', "");
Expect(0, 44, '\p{^Bidi_Class=commonseparator}', "");
Expect(0, 44, '\P{Bidi_Class=commonseparator}', "");
Expect(1, 44, '\P{^Bidi_Class=commonseparator}', "");
Expect(0, 43, '\p{Bidi_Class=commonseparator}', "");
Expect(1, 43, '\p{^Bidi_Class=commonseparator}', "");
Expect(1, 43, '\P{Bidi_Class=commonseparator}', "");
Expect(0, 43, '\P{^Bidi_Class=commonseparator}', "");
Expect(1, 44, '\p{Bidi_Class=_	Common-separator}', "");
Expect(0, 44, '\p{^Bidi_Class=_	Common-separator}', "");
Expect(0, 44, '\P{Bidi_Class=_	Common-separator}', "");
Expect(1, 44, '\P{^Bidi_Class=_	Common-separator}', "");
Expect(0, 43, '\p{Bidi_Class=_	Common-separator}', "");
Expect(1, 43, '\p{^Bidi_Class=_	Common-separator}', "");
Expect(1, 43, '\P{Bidi_Class=_	Common-separator}', "");
Expect(0, 43, '\P{^Bidi_Class=_	Common-separator}', "");
Error('\p{Bc=	:=CS}');
Error('\P{Bc=	:=CS}');
Expect(1, 44, '\p{Bc:	cs}', "");
Expect(0, 44, '\p{^Bc:	cs}', "");
Expect(0, 44, '\P{Bc:	cs}', "");
Expect(1, 44, '\P{^Bc:	cs}', "");
Expect(0, 43, '\p{Bc:	cs}', "");
Expect(1, 43, '\p{^Bc:	cs}', "");
Expect(1, 43, '\P{Bc:	cs}', "");
Expect(0, 43, '\P{^Bc:	cs}', "");
Expect(1, 44, '\p{Bc= -CS}', "");
Expect(0, 44, '\p{^Bc= -CS}', "");
Expect(0, 44, '\P{Bc= -CS}', "");
Expect(1, 44, '\P{^Bc= -CS}', "");
Expect(0, 43, '\p{Bc= -CS}', "");
Expect(1, 43, '\p{^Bc= -CS}', "");
Expect(1, 43, '\P{Bc= -CS}', "");
Expect(0, 43, '\P{^Bc= -CS}', "");
Error('\p{Is_Bidi_Class=/a/ Common separator}');
Error('\P{Is_Bidi_Class=/a/ Common separator}');
Expect(1, 44, '\p{Is_Bidi_Class=commonseparator}', "");
Expect(0, 44, '\p{^Is_Bidi_Class=commonseparator}', "");
Expect(0, 44, '\P{Is_Bidi_Class=commonseparator}', "");
Expect(1, 44, '\P{^Is_Bidi_Class=commonseparator}', "");
Expect(0, 43, '\p{Is_Bidi_Class=commonseparator}', "");
Expect(1, 43, '\p{^Is_Bidi_Class=commonseparator}', "");
Expect(1, 43, '\P{Is_Bidi_Class=commonseparator}', "");
Expect(0, 43, '\P{^Is_Bidi_Class=commonseparator}', "");
Expect(1, 44, '\p{Is_Bidi_Class=	_common_Separator}', "");
Expect(0, 44, '\p{^Is_Bidi_Class=	_common_Separator}', "");
Expect(0, 44, '\P{Is_Bidi_Class=	_common_Separator}', "");
Expect(1, 44, '\P{^Is_Bidi_Class=	_common_Separator}', "");
Expect(0, 43, '\p{Is_Bidi_Class=	_common_Separator}', "");
Expect(1, 43, '\p{^Is_Bidi_Class=	_common_Separator}', "");
Expect(1, 43, '\P{Is_Bidi_Class=	_common_Separator}', "");
Expect(0, 43, '\P{^Is_Bidi_Class=	_common_Separator}', "");
Error('\p{Is_Bc= _cs/a/}');
Error('\P{Is_Bc= _cs/a/}');
Expect(1, 44, '\p{Is_Bc=cs}', "");
Expect(0, 44, '\p{^Is_Bc=cs}', "");
Expect(0, 44, '\P{Is_Bc=cs}', "");
Expect(1, 44, '\P{^Is_Bc=cs}', "");
Expect(0, 43, '\p{Is_Bc=cs}', "");
Expect(1, 43, '\p{^Is_Bc=cs}', "");
Expect(1, 43, '\P{Is_Bc=cs}', "");
Expect(0, 43, '\P{^Is_Bc=cs}', "");
Expect(1, 44, '\p{Is_Bc=	 CS}', "");
Expect(0, 44, '\p{^Is_Bc=	 CS}', "");
Expect(0, 44, '\P{Is_Bc=	 CS}', "");
Expect(1, 44, '\P{^Is_Bc=	 CS}', "");
Expect(0, 43, '\p{Is_Bc=	 CS}', "");
Expect(1, 43, '\p{^Is_Bc=	 CS}', "");
Expect(1, 43, '\P{Is_Bc=	 CS}', "");
Expect(0, 43, '\P{^Is_Bc=	 CS}', "");
Error('\p{Bidi_Class=_ White	SPACE/a/}');
Error('\P{Bidi_Class=_ White	SPACE/a/}');
Expect(1, 12, '\p{Bidi_Class=whitespace}', "");
Expect(0, 12, '\p{^Bidi_Class=whitespace}', "");
Expect(0, 12, '\P{Bidi_Class=whitespace}', "");
Expect(1, 12, '\P{^Bidi_Class=whitespace}', "");
Expect(0, 11, '\p{Bidi_Class=whitespace}', "");
Expect(1, 11, '\p{^Bidi_Class=whitespace}', "");
Expect(1, 11, '\P{Bidi_Class=whitespace}', "");
Expect(0, 11, '\P{^Bidi_Class=whitespace}', "");
Expect(1, 12, '\p{Bidi_Class= White space}', "");
Expect(0, 12, '\p{^Bidi_Class= White space}', "");
Expect(0, 12, '\P{Bidi_Class= White space}', "");
Expect(1, 12, '\P{^Bidi_Class= White space}', "");
Expect(0, 11, '\p{Bidi_Class= White space}', "");
Expect(1, 11, '\p{^Bidi_Class= White space}', "");
Expect(1, 11, '\P{Bidi_Class= White space}', "");
Expect(0, 11, '\P{^Bidi_Class= White space}', "");
Error('\p{Bc=/a/-ws}');
Error('\P{Bc=/a/-ws}');
Expect(1, 12, '\p{Bc=ws}', "");
Expect(0, 12, '\p{^Bc=ws}', "");
Expect(0, 12, '\P{Bc=ws}', "");
Expect(1, 12, '\P{^Bc=ws}', "");
Expect(0, 11, '\p{Bc=ws}', "");
Expect(1, 11, '\p{^Bc=ws}', "");
Expect(1, 11, '\P{Bc=ws}', "");
Expect(0, 11, '\P{^Bc=ws}', "");
Expect(1, 12, '\p{Bc=_WS}', "");
Expect(0, 12, '\p{^Bc=_WS}', "");
Expect(0, 12, '\P{Bc=_WS}', "");
Expect(1, 12, '\P{^Bc=_WS}', "");
Expect(0, 11, '\p{Bc=_WS}', "");
Expect(1, 11, '\p{^Bc=_WS}', "");
Expect(1, 11, '\P{Bc=_WS}', "");
Expect(0, 11, '\P{^Bc=_WS}', "");
Error('\p{Is_Bidi_Class=:= _WhiteSpace}');
Error('\P{Is_Bidi_Class=:= _WhiteSpace}');
Expect(1, 12, '\p{Is_Bidi_Class=whitespace}', "");
Expect(0, 12, '\p{^Is_Bidi_Class=whitespace}', "");
Expect(0, 12, '\P{Is_Bidi_Class=whitespace}', "");
Expect(1, 12, '\P{^Is_Bidi_Class=whitespace}', "");
Expect(0, 11, '\p{Is_Bidi_Class=whitespace}', "");
Expect(1, 11, '\p{^Is_Bidi_Class=whitespace}', "");
Expect(1, 11, '\P{Is_Bidi_Class=whitespace}', "");
Expect(0, 11, '\P{^Is_Bidi_Class=whitespace}', "");
Expect(1, 12, '\p{Is_Bidi_Class:	_WHITE Space}', "");
Expect(0, 12, '\p{^Is_Bidi_Class:	_WHITE Space}', "");
Expect(0, 12, '\P{Is_Bidi_Class:	_WHITE Space}', "");
Expect(1, 12, '\P{^Is_Bidi_Class:	_WHITE Space}', "");
Expect(0, 11, '\p{Is_Bidi_Class:	_WHITE Space}', "");
Expect(1, 11, '\p{^Is_Bidi_Class:	_WHITE Space}', "");
Expect(1, 11, '\P{Is_Bidi_Class:	_WHITE Space}', "");
Expect(0, 11, '\P{^Is_Bidi_Class:	_WHITE Space}', "");
Error('\p{Is_Bc: /a/_WS}');
Error('\P{Is_Bc: /a/_WS}');
Expect(1, 12, '\p{Is_Bc=ws}', "");
Expect(0, 12, '\p{^Is_Bc=ws}', "");
Expect(0, 12, '\P{Is_Bc=ws}', "");
Expect(1, 12, '\P{^Is_Bc=ws}', "");
Expect(0, 11, '\p{Is_Bc=ws}', "");
Expect(1, 11, '\p{^Is_Bc=ws}', "");
Expect(1, 11, '\P{Is_Bc=ws}', "");
Expect(0, 11, '\P{^Is_Bc=ws}', "");
Expect(1, 12, '\p{Is_Bc=	WS}', "");
Expect(0, 12, '\p{^Is_Bc=	WS}', "");
Expect(0, 12, '\P{Is_Bc=	WS}', "");
Expect(1, 12, '\P{^Is_Bc=	WS}', "");
Expect(0, 11, '\p{Is_Bc=	WS}', "");
Expect(1, 11, '\p{^Is_Bc=	WS}', "");
Expect(1, 11, '\P{Is_Bc=	WS}', "");
Expect(0, 11, '\P{^Is_Bc=	WS}', "");
Error('\p{Bidi_Class=	-Paragraph Separator/a/}');
Error('\P{Bidi_Class=	-Paragraph Separator/a/}');
Expect(1, 10, '\p{Bidi_Class=paragraphseparator}', "");
Expect(0, 10, '\p{^Bidi_Class=paragraphseparator}', "");
Expect(0, 10, '\P{Bidi_Class=paragraphseparator}', "");
Expect(1, 10, '\P{^Bidi_Class=paragraphseparator}', "");
Expect(0, 9, '\p{Bidi_Class=paragraphseparator}', "");
Expect(1, 9, '\p{^Bidi_Class=paragraphseparator}', "");
Expect(1, 9, '\P{Bidi_Class=paragraphseparator}', "");
Expect(0, 9, '\P{^Bidi_Class=paragraphseparator}', "");
Expect(1, 10, '\p{Bidi_Class=  Paragraph-Separator}', "");
Expect(0, 10, '\p{^Bidi_Class=  Paragraph-Separator}', "");
Expect(0, 10, '\P{Bidi_Class=  Paragraph-Separator}', "");
Expect(1, 10, '\P{^Bidi_Class=  Paragraph-Separator}', "");
Expect(0, 9, '\p{Bidi_Class=  Paragraph-Separator}', "");
Expect(1, 9, '\p{^Bidi_Class=  Paragraph-Separator}', "");
Expect(1, 9, '\P{Bidi_Class=  Paragraph-Separator}', "");
Expect(0, 9, '\P{^Bidi_Class=  Paragraph-Separator}', "");
Error('\p{Bc=	 B:=}');
Error('\P{Bc=	 B:=}');
Expect(1, 10, '\p{Bc=b}', "");
Expect(0, 10, '\p{^Bc=b}', "");
Expect(0, 10, '\P{Bc=b}', "");
Expect(1, 10, '\P{^Bc=b}', "");
Expect(0, 9, '\p{Bc=b}', "");
Expect(1, 9, '\p{^Bc=b}', "");
Expect(1, 9, '\P{Bc=b}', "");
Expect(0, 9, '\P{^Bc=b}', "");
Expect(1, 10, '\p{Bc= 	b}', "");
Expect(0, 10, '\p{^Bc= 	b}', "");
Expect(0, 10, '\P{Bc= 	b}', "");
Expect(1, 10, '\P{^Bc= 	b}', "");
Expect(0, 9, '\p{Bc= 	b}', "");
Expect(1, 9, '\p{^Bc= 	b}', "");
Expect(1, 9, '\P{Bc= 	b}', "");
Expect(0, 9, '\P{^Bc= 	b}', "");
Error('\p{Is_Bidi_Class=_	Paragraph:=Separator}');
Error('\P{Is_Bidi_Class=_	Paragraph:=Separator}');
Expect(1, 10, '\p{Is_Bidi_Class=paragraphseparator}', "");
Expect(0, 10, '\p{^Is_Bidi_Class=paragraphseparator}', "");
Expect(0, 10, '\P{Is_Bidi_Class=paragraphseparator}', "");
Expect(1, 10, '\P{^Is_Bidi_Class=paragraphseparator}', "");
Expect(0, 9, '\p{Is_Bidi_Class=paragraphseparator}', "");
Expect(1, 9, '\p{^Is_Bidi_Class=paragraphseparator}', "");
Expect(1, 9, '\P{Is_Bidi_Class=paragraphseparator}', "");
Expect(0, 9, '\P{^Is_Bidi_Class=paragraphseparator}', "");
Expect(1, 10, '\p{Is_Bidi_Class= Paragraph_separator}', "");
Expect(0, 10, '\p{^Is_Bidi_Class= Paragraph_separator}', "");
Expect(0, 10, '\P{Is_Bidi_Class= Paragraph_separator}', "");
Expect(1, 10, '\P{^Is_Bidi_Class= Paragraph_separator}', "");
Expect(0, 9, '\p{Is_Bidi_Class= Paragraph_separator}', "");
Expect(1, 9, '\p{^Is_Bidi_Class= Paragraph_separator}', "");
Expect(1, 9, '\P{Is_Bidi_Class= Paragraph_separator}', "");
Expect(0, 9, '\P{^Is_Bidi_Class= Paragraph_separator}', "");
Error('\p{Is_Bc= /a/b}');
Error('\P{Is_Bc= /a/b}');
Expect(1, 10, '\p{Is_Bc=b}', "");
Expect(0, 10, '\p{^Is_Bc=b}', "");
Expect(0, 10, '\P{Is_Bc=b}', "");
Expect(1, 10, '\P{^Is_Bc=b}', "");
Expect(0, 9, '\p{Is_Bc=b}', "");
Expect(1, 9, '\p{^Is_Bc=b}', "");
Expect(1, 9, '\P{Is_Bc=b}', "");
Expect(0, 9, '\P{^Is_Bc=b}', "");
Expect(1, 10, '\p{Is_Bc=_-B}', "");
Expect(0, 10, '\p{^Is_Bc=_-B}', "");
Expect(0, 10, '\P{Is_Bc=_-B}', "");
Expect(1, 10, '\P{^Is_Bc=_-B}', "");
Expect(0, 9, '\p{Is_Bc=_-B}', "");
Expect(1, 9, '\p{^Is_Bc=_-B}', "");
Expect(1, 9, '\P{Is_Bc=_-B}', "");
Expect(0, 9, '\P{^Is_Bc=_-B}', "");
Error('\p{Bidi_Class:		/a/NonspacingMARK}');
Error('\P{Bidi_Class:		/a/NonspacingMARK}');
Expect(1, 879, '\p{Bidi_Class: nonspacingmark}', "");
Expect(0, 879, '\p{^Bidi_Class: nonspacingmark}', "");
Expect(0, 879, '\P{Bidi_Class: nonspacingmark}', "");
Expect(1, 879, '\P{^Bidi_Class: nonspacingmark}', "");
Expect(0, 767, '\p{Bidi_Class: nonspacingmark}', "");
Expect(1, 767, '\p{^Bidi_Class: nonspacingmark}', "");
Expect(1, 767, '\P{Bidi_Class: nonspacingmark}', "");
Expect(0, 767, '\P{^Bidi_Class: nonspacingmark}', "");
Expect(1, 879, '\p{Bidi_Class=_Nonspacing-Mark}', "");
Expect(0, 879, '\p{^Bidi_Class=_Nonspacing-Mark}', "");
Expect(0, 879, '\P{Bidi_Class=_Nonspacing-Mark}', "");
Expect(1, 879, '\P{^Bidi_Class=_Nonspacing-Mark}', "");
Expect(0, 767, '\p{Bidi_Class=_Nonspacing-Mark}', "");
Expect(1, 767, '\p{^Bidi_Class=_Nonspacing-Mark}', "");
Expect(1, 767, '\P{Bidi_Class=_Nonspacing-Mark}', "");
Expect(0, 767, '\P{^Bidi_Class=_Nonspacing-Mark}', "");
Error('\p{Bc=-NSM:=}');
Error('\P{Bc=-NSM:=}');
Expect(1, 879, '\p{Bc:nsm}', "");
Expect(0, 879, '\p{^Bc:nsm}', "");
Expect(0, 879, '\P{Bc:nsm}', "");
Expect(1, 879, '\P{^Bc:nsm}', "");
Expect(0, 767, '\p{Bc:nsm}', "");
Expect(1, 767, '\p{^Bc:nsm}', "");
Expect(1, 767, '\P{Bc:nsm}', "");
Expect(0, 767, '\P{^Bc:nsm}', "");
Expect(1, 879, '\p{Bc=		NSM}', "");
Expect(0, 879, '\p{^Bc=		NSM}', "");
Expect(0, 879, '\P{Bc=		NSM}', "");
Expect(1, 879, '\P{^Bc=		NSM}', "");
Expect(0, 767, '\p{Bc=		NSM}', "");
Expect(1, 767, '\p{^Bc=		NSM}', "");
Expect(1, 767, '\P{Bc=		NSM}', "");
Expect(0, 767, '\P{^Bc=		NSM}', "");
Error('\p{Is_Bidi_Class=-_NONSPACING-MARK/a/}');
Error('\P{Is_Bidi_Class=-_NONSPACING-MARK/a/}');
Expect(1, 879, '\p{Is_Bidi_Class=nonspacingmark}', "");
Expect(0, 879, '\p{^Is_Bidi_Class=nonspacingmark}', "");
Expect(0, 879, '\P{Is_Bidi_Class=nonspacingmark}', "");
Expect(1, 879, '\P{^Is_Bidi_Class=nonspacingmark}', "");
Expect(0, 767, '\p{Is_Bidi_Class=nonspacingmark}', "");
Expect(1, 767, '\p{^Is_Bidi_Class=nonspacingmark}', "");
Expect(1, 767, '\P{Is_Bidi_Class=nonspacingmark}', "");
Expect(0, 767, '\P{^Is_Bidi_Class=nonspacingmark}', "");
Expect(1, 879, '\p{Is_Bidi_Class=__NonspacingMark}', "");
Expect(0, 879, '\p{^Is_Bidi_Class=__NonspacingMark}', "");
Expect(0, 879, '\P{Is_Bidi_Class=__NonspacingMark}', "");
Expect(1, 879, '\P{^Is_Bidi_Class=__NonspacingMark}', "");
Expect(0, 767, '\p{Is_Bidi_Class=__NonspacingMark}', "");
Expect(1, 767, '\p{^Is_Bidi_Class=__NonspacingMark}', "");
Expect(1, 767, '\P{Is_Bidi_Class=__NonspacingMark}', "");
Expect(0, 767, '\P{^Is_Bidi_Class=__NonspacingMark}', "");
Error('\p{Is_Bc=:= 	NSM}');
Error('\P{Is_Bc=:= 	NSM}');
Expect(1, 879, '\p{Is_Bc=nsm}', "");
Expect(0, 879, '\p{^Is_Bc=nsm}', "");
Expect(0, 879, '\P{Is_Bc=nsm}', "");
Expect(1, 879, '\P{^Is_Bc=nsm}', "");
Expect(0, 767, '\p{Is_Bc=nsm}', "");
Expect(1, 767, '\p{^Is_Bc=nsm}', "");
Expect(1, 767, '\P{Is_Bc=nsm}', "");
Expect(0, 767, '\P{^Is_Bc=nsm}', "");
Expect(1, 879, '\p{Is_Bc=	_nsm}', "");
Expect(0, 879, '\p{^Is_Bc=	_nsm}', "");
Expect(0, 879, '\P{Is_Bc=	_nsm}', "");
Expect(1, 879, '\P{^Is_Bc=	_nsm}', "");
Expect(0, 767, '\p{Is_Bc=	_nsm}', "");
Expect(1, 767, '\p{^Is_Bc=	_nsm}', "");
Expect(1, 767, '\P{Is_Bc=	_nsm}', "");
Expect(0, 767, '\P{^Is_Bc=	_nsm}', "");
Error('\p{Bidi_Class=--European	separator/a/}');
Error('\P{Bidi_Class=--European	separator/a/}');
Expect(1, 43, '\p{Bidi_Class=europeanseparator}', "");
Expect(0, 43, '\p{^Bidi_Class=europeanseparator}', "");
Expect(0, 43, '\P{Bidi_Class=europeanseparator}', "");
Expect(1, 43, '\P{^Bidi_Class=europeanseparator}', "");
Expect(0, 42, '\p{Bidi_Class=europeanseparator}', "");
Expect(1, 42, '\p{^Bidi_Class=europeanseparator}', "");
Expect(1, 42, '\P{Bidi_Class=europeanseparator}', "");
Expect(0, 42, '\P{^Bidi_Class=europeanseparator}', "");
Expect(1, 43, '\p{Bidi_Class= -europeanSEPARATOR}', "");
Expect(0, 43, '\p{^Bidi_Class= -europeanSEPARATOR}', "");
Expect(0, 43, '\P{Bidi_Class= -europeanSEPARATOR}', "");
Expect(1, 43, '\P{^Bidi_Class= -europeanSEPARATOR}', "");
Expect(0, 42, '\p{Bidi_Class= -europeanSEPARATOR}', "");
Expect(1, 42, '\p{^Bidi_Class= -europeanSEPARATOR}', "");
Expect(1, 42, '\P{Bidi_Class= -europeanSEPARATOR}', "");
Expect(0, 42, '\P{^Bidi_Class= -europeanSEPARATOR}', "");
Error('\p{Bc::=ES}');
Error('\P{Bc::=ES}');
Expect(1, 43, '\p{Bc=es}', "");
Expect(0, 43, '\p{^Bc=es}', "");
Expect(0, 43, '\P{Bc=es}', "");
Expect(1, 43, '\P{^Bc=es}', "");
Expect(0, 42, '\p{Bc=es}', "");
Expect(1, 42, '\p{^Bc=es}', "");
Expect(1, 42, '\P{Bc=es}', "");
Expect(0, 42, '\P{^Bc=es}', "");
Expect(1, 43, '\p{Bc=--es}', "");
Expect(0, 43, '\p{^Bc=--es}', "");
Expect(0, 43, '\P{Bc=--es}', "");
Expect(1, 43, '\P{^Bc=--es}', "");
Expect(0, 42, '\p{Bc=--es}', "");
Expect(1, 42, '\p{^Bc=--es}', "");
Expect(1, 42, '\P{Bc=--es}', "");
Expect(0, 42, '\P{^Bc=--es}', "");
Error('\p{Is_Bidi_Class=/a/	EUROPEAN separator}');
Error('\P{Is_Bidi_Class=/a/	EUROPEAN separator}');
Expect(1, 43, '\p{Is_Bidi_Class=europeanseparator}', "");
Expect(0, 43, '\p{^Is_Bidi_Class=europeanseparator}', "");
Expect(0, 43, '\P{Is_Bidi_Class=europeanseparator}', "");
Expect(1, 43, '\P{^Is_Bidi_Class=europeanseparator}', "");
Expect(0, 42, '\p{Is_Bidi_Class=europeanseparator}', "");
Expect(1, 42, '\p{^Is_Bidi_Class=europeanseparator}', "");
Expect(1, 42, '\P{Is_Bidi_Class=europeanseparator}', "");
Expect(0, 42, '\P{^Is_Bidi_Class=europeanseparator}', "");
Expect(1, 43, '\p{Is_Bidi_Class=	 EUROPEANSEPARATOR}', "");
Expect(0, 43, '\p{^Is_Bidi_Class=	 EUROPEANSEPARATOR}', "");
Expect(0, 43, '\P{Is_Bidi_Class=	 EUROPEANSEPARATOR}', "");
Expect(1, 43, '\P{^Is_Bidi_Class=	 EUROPEANSEPARATOR}', "");
Expect(0, 42, '\p{Is_Bidi_Class=	 EUROPEANSEPARATOR}', "");
Expect(1, 42, '\p{^Is_Bidi_Class=	 EUROPEANSEPARATOR}', "");
Expect(1, 42, '\P{Is_Bidi_Class=	 EUROPEANSEPARATOR}', "");
Expect(0, 42, '\P{^Is_Bidi_Class=	 EUROPEANSEPARATOR}', "");
Error('\p{Is_Bc=/a/__es}');
Error('\P{Is_Bc=/a/__es}');
Expect(1, 43, '\p{Is_Bc=es}', "");
Expect(0, 43, '\p{^Is_Bc=es}', "");
Expect(0, 43, '\P{Is_Bc=es}', "");
Expect(1, 43, '\P{^Is_Bc=es}', "");
Expect(0, 42, '\p{Is_Bc=es}', "");
Expect(1, 42, '\p{^Is_Bc=es}', "");
Expect(1, 42, '\P{Is_Bc=es}', "");
Expect(0, 42, '\P{^Is_Bc=es}', "");
Expect(1, 43, '\p{Is_Bc=		ES}', "");
Expect(0, 43, '\p{^Is_Bc=		ES}', "");
Expect(0, 43, '\P{Is_Bc=		ES}', "");
Expect(1, 43, '\P{^Is_Bc=		ES}', "");
Expect(0, 42, '\p{Is_Bc=		ES}', "");
Expect(1, 42, '\p{^Is_Bc=		ES}', "");
Expect(1, 42, '\P{Is_Bc=		ES}', "");
Expect(0, 42, '\P{^Is_Bc=		ES}', "");
Error('\p{Bidi_Class=/a/european Number}');
Error('\P{Bidi_Class=/a/european Number}');
Expect(1, 57, '\p{Bidi_Class=europeannumber}', "");
Expect(0, 57, '\p{^Bidi_Class=europeannumber}', "");
Expect(0, 57, '\P{Bidi_Class=europeannumber}', "");
Expect(1, 57, '\P{^Bidi_Class=europeannumber}', "");
Expect(0, 47, '\p{Bidi_Class=europeannumber}', "");
Expect(1, 47, '\p{^Bidi_Class=europeannumber}', "");
Expect(1, 47, '\P{Bidi_Class=europeannumber}', "");
Expect(0, 47, '\P{^Bidi_Class=europeannumber}', "");
Expect(1, 57, '\p{Bidi_Class=__EuropeanNumber}', "");
Expect(0, 57, '\p{^Bidi_Class=__EuropeanNumber}', "");
Expect(0, 57, '\P{Bidi_Class=__EuropeanNumber}', "");
Expect(1, 57, '\P{^Bidi_Class=__EuropeanNumber}', "");
Expect(0, 47, '\p{Bidi_Class=__EuropeanNumber}', "");
Expect(1, 47, '\p{^Bidi_Class=__EuropeanNumber}', "");
Expect(1, 47, '\P{Bidi_Class=__EuropeanNumber}', "");
Expect(0, 47, '\P{^Bidi_Class=__EuropeanNumber}', "");
Error('\p{Bc= /a/EN}');
Error('\P{Bc= /a/EN}');
Expect(1, 57, '\p{Bc=en}', "");
Expect(0, 57, '\p{^Bc=en}', "");
Expect(0, 57, '\P{Bc=en}', "");
Expect(1, 57, '\P{^Bc=en}', "");
Expect(0, 47, '\p{Bc=en}', "");
Expect(1, 47, '\p{^Bc=en}', "");
Expect(1, 47, '\P{Bc=en}', "");
Expect(0, 47, '\P{^Bc=en}', "");
Expect(1, 57, '\p{Bc=  en}', "");
Expect(0, 57, '\p{^Bc=  en}', "");
Expect(0, 57, '\P{Bc=  en}', "");
Expect(1, 57, '\P{^Bc=  en}', "");
Expect(0, 47, '\p{Bc=  en}', "");
Expect(1, 47, '\p{^Bc=  en}', "");
Expect(1, 47, '\P{Bc=  en}', "");
Expect(0, 47, '\P{^Bc=  en}', "");
Error('\p{Is_Bidi_Class=-/a/European_Number}');
Error('\P{Is_Bidi_Class=-/a/European_Number}');
Expect(1, 57, '\p{Is_Bidi_Class=europeannumber}', "");
Expect(0, 57, '\p{^Is_Bidi_Class=europeannumber}', "");
Expect(0, 57, '\P{Is_Bidi_Class=europeannumber}', "");
Expect(1, 57, '\P{^Is_Bidi_Class=europeannumber}', "");
Expect(0, 47, '\p{Is_Bidi_Class=europeannumber}', "");
Expect(1, 47, '\p{^Is_Bidi_Class=europeannumber}', "");
Expect(1, 47, '\P{Is_Bidi_Class=europeannumber}', "");
Expect(0, 47, '\P{^Is_Bidi_Class=europeannumber}', "");
Expect(1, 57, '\p{Is_Bidi_Class=	_European_number}', "");
Expect(0, 57, '\p{^Is_Bidi_Class=	_European_number}', "");
Expect(0, 57, '\P{Is_Bidi_Class=	_European_number}', "");
Expect(1, 57, '\P{^Is_Bidi_Class=	_European_number}', "");
Expect(0, 47, '\p{Is_Bidi_Class=	_European_number}', "");
Expect(1, 47, '\p{^Is_Bidi_Class=	_European_number}', "");
Expect(1, 47, '\P{Is_Bidi_Class=	_European_number}', "");
Expect(0, 47, '\P{^Is_Bidi_Class=	_European_number}', "");
Error('\p{Is_Bc=:=		EN}');
Error('\P{Is_Bc=:=		EN}');
Expect(1, 57, '\p{Is_Bc=en}', "");
Expect(0, 57, '\p{^Is_Bc=en}', "");
Expect(0, 57, '\P{Is_Bc=en}', "");
Expect(1, 57, '\P{^Is_Bc=en}', "");
Expect(0, 47, '\p{Is_Bc=en}', "");
Expect(1, 47, '\p{^Is_Bc=en}', "");
Expect(1, 47, '\P{Is_Bc=en}', "");
Expect(0, 47, '\P{^Is_Bc=en}', "");
Expect(1, 57, '\p{Is_Bc=-EN}', "");
Expect(0, 57, '\p{^Is_Bc=-EN}', "");
Expect(0, 57, '\P{Is_Bc=-EN}', "");
Expect(1, 57, '\P{^Is_Bc=-EN}', "");
Expect(0, 47, '\p{Is_Bc=-EN}', "");
Expect(1, 47, '\p{^Is_Bc=-EN}', "");
Expect(1, 47, '\P{Is_Bc=-EN}', "");
Expect(0, 47, '\P{^Is_Bc=-EN}', "");
Error('\p{Bidi_Class=european-TERMINATOR:=}');
Error('\P{Bidi_Class=european-TERMINATOR:=}');
Expect(1, 37, '\p{Bidi_Class=europeanterminator}', "");
Expect(0, 37, '\p{^Bidi_Class=europeanterminator}', "");
Expect(0, 37, '\P{Bidi_Class=europeanterminator}', "");
Expect(1, 37, '\P{^Bidi_Class=europeanterminator}', "");
Expect(0, 34, '\p{Bidi_Class=europeanterminator}', "");
Expect(1, 34, '\p{^Bidi_Class=europeanterminator}', "");
Expect(1, 34, '\P{Bidi_Class=europeanterminator}', "");
Expect(0, 34, '\P{^Bidi_Class=europeanterminator}', "");
Expect(1, 37, '\p{Bidi_Class=european_Terminator}', "");
Expect(0, 37, '\p{^Bidi_Class=european_Terminator}', "");
Expect(0, 37, '\P{Bidi_Class=european_Terminator}', "");
Expect(1, 37, '\P{^Bidi_Class=european_Terminator}', "");
Expect(0, 34, '\p{Bidi_Class=european_Terminator}', "");
Expect(1, 34, '\p{^Bidi_Class=european_Terminator}', "");
Expect(1, 34, '\P{Bidi_Class=european_Terminator}', "");
Expect(0, 34, '\P{^Bidi_Class=european_Terminator}', "");
Error('\p{Bc=:=-ET}');
Error('\P{Bc=:=-ET}');
Expect(1, 37, '\p{Bc=et}', "");
Expect(0, 37, '\p{^Bc=et}', "");
Expect(0, 37, '\P{Bc=et}', "");
Expect(1, 37, '\P{^Bc=et}', "");
Expect(0, 34, '\p{Bc=et}', "");
Expect(1, 34, '\p{^Bc=et}', "");
Expect(1, 34, '\P{Bc=et}', "");
Expect(0, 34, '\P{^Bc=et}', "");
Expect(1, 37, '\p{Bc=  ET}', "");
Expect(0, 37, '\p{^Bc=  ET}', "");
Expect(0, 37, '\P{Bc=  ET}', "");
Expect(1, 37, '\P{^Bc=  ET}', "");
Expect(0, 34, '\p{Bc=  ET}', "");
Expect(1, 34, '\p{^Bc=  ET}', "");
Expect(1, 34, '\P{Bc=  ET}', "");
Expect(0, 34, '\P{^Bc=  ET}', "");
Error('\p{Is_Bidi_Class:- EUROPEAN/a/Terminator}');
Error('\P{Is_Bidi_Class:- EUROPEAN/a/Terminator}');
Expect(1, 37, '\p{Is_Bidi_Class:europeanterminator}', "");
Expect(0, 37, '\p{^Is_Bidi_Class:europeanterminator}', "");
Expect(0, 37, '\P{Is_Bidi_Class:europeanterminator}', "");
Expect(1, 37, '\P{^Is_Bidi_Class:europeanterminator}', "");
Expect(0, 34, '\p{Is_Bidi_Class:europeanterminator}', "");
Expect(1, 34, '\p{^Is_Bidi_Class:europeanterminator}', "");
Expect(1, 34, '\P{Is_Bidi_Class:europeanterminator}', "");
Expect(0, 34, '\P{^Is_Bidi_Class:europeanterminator}', "");
Expect(1, 37, '\p{Is_Bidi_Class=-_Europeanterminator}', "");
Expect(0, 37, '\p{^Is_Bidi_Class=-_Europeanterminator}', "");
Expect(0, 37, '\P{Is_Bidi_Class=-_Europeanterminator}', "");
Expect(1, 37, '\P{^Is_Bidi_Class=-_Europeanterminator}', "");
Expect(0, 34, '\p{Is_Bidi_Class=-_Europeanterminator}', "");
Expect(1, 34, '\p{^Is_Bidi_Class=-_Europeanterminator}', "");
Expect(1, 34, '\P{Is_Bidi_Class=-_Europeanterminator}', "");
Expect(0, 34, '\P{^Is_Bidi_Class=-_Europeanterminator}', "");
Error('\p{Is_Bc=	-et/a/}');
Error('\P{Is_Bc=	-et/a/}');
Expect(1, 37, '\p{Is_Bc=et}', "");
Expect(0, 37, '\p{^Is_Bc=et}', "");
Expect(0, 37, '\P{Is_Bc=et}', "");
Expect(1, 37, '\P{^Is_Bc=et}', "");
Expect(0, 34, '\p{Is_Bc=et}', "");
Expect(1, 34, '\p{^Is_Bc=et}', "");
Expect(1, 34, '\P{Is_Bc=et}', "");
Expect(0, 34, '\P{^Is_Bc=et}', "");
Expect(1, 37, '\p{Is_Bc=ET}', "");
Expect(0, 37, '\p{^Is_Bc=ET}', "");
Expect(0, 37, '\P{Is_Bc=ET}', "");
Expect(1, 37, '\P{^Is_Bc=ET}', "");
Expect(0, 34, '\p{Is_Bc=ET}', "");
Expect(1, 34, '\p{^Is_Bc=ET}', "");
Expect(1, 34, '\P{Is_Bc=ET}', "");
Expect(0, 34, '\P{^Is_Bc=ET}', "");
Error('\p{Bidi_Class:	 /a/Arabicnumber}');
Error('\P{Bidi_Class:	 /a/Arabicnumber}');
Expect(1, 1539, '\p{Bidi_Class=arabicnumber}', "");
Expect(0, 1539, '\p{^Bidi_Class=arabicnumber}', "");
Expect(0, 1539, '\P{Bidi_Class=arabicnumber}', "");
Expect(1, 1539, '\P{^Bidi_Class=arabicnumber}', "");
Expect(0, 1535, '\p{Bidi_Class=arabicnumber}', "");
Expect(1, 1535, '\p{^Bidi_Class=arabicnumber}', "");
Expect(1, 1535, '\P{Bidi_Class=arabicnumber}', "");
Expect(0, 1535, '\P{^Bidi_Class=arabicnumber}', "");
Expect(1, 1539, '\p{Bidi_Class=-arabic-number}', "");
Expect(0, 1539, '\p{^Bidi_Class=-arabic-number}', "");
Expect(0, 1539, '\P{Bidi_Class=-arabic-number}', "");
Expect(1, 1539, '\P{^Bidi_Class=-arabic-number}', "");
Expect(0, 1535, '\p{Bidi_Class=-arabic-number}', "");
Expect(1, 1535, '\p{^Bidi_Class=-arabic-number}', "");
Expect(1, 1535, '\P{Bidi_Class=-arabic-number}', "");
Expect(0, 1535, '\P{^Bidi_Class=-arabic-number}', "");
Error('\p{Bc=/a/ AN}');
Error('\P{Bc=/a/ AN}');
Expect(1, 1539, '\p{Bc=an}', "");
Expect(0, 1539, '\p{^Bc=an}', "");
Expect(0, 1539, '\P{Bc=an}', "");
Expect(1, 1539, '\P{^Bc=an}', "");
Expect(0, 1535, '\p{Bc=an}', "");
Expect(1, 1535, '\p{^Bc=an}', "");
Expect(1, 1535, '\P{Bc=an}', "");
Expect(0, 1535, '\P{^Bc=an}', "");
Expect(1, 1539, '\p{Bc:     AN}', "");
Expect(0, 1539, '\p{^Bc:     AN}', "");
Expect(0, 1539, '\P{Bc:     AN}', "");
Expect(1, 1539, '\P{^Bc:     AN}', "");
Expect(0, 1535, '\p{Bc:     AN}', "");
Expect(1, 1535, '\p{^Bc:     AN}', "");
Expect(1, 1535, '\P{Bc:     AN}', "");
Expect(0, 1535, '\P{^Bc:     AN}', "");
Error('\p{Is_Bidi_Class=:=_Arabic_Number}');
Error('\P{Is_Bidi_Class=:=_Arabic_Number}');
Expect(1, 1539, '\p{Is_Bidi_Class=arabicnumber}', "");
Expect(0, 1539, '\p{^Is_Bidi_Class=arabicnumber}', "");
Expect(0, 1539, '\P{Is_Bidi_Class=arabicnumber}', "");
Expect(1, 1539, '\P{^Is_Bidi_Class=arabicnumber}', "");
Expect(0, 1535, '\p{Is_Bidi_Class=arabicnumber}', "");
Expect(1, 1535, '\p{^Is_Bidi_Class=arabicnumber}', "");
Expect(1, 1535, '\P{Is_Bidi_Class=arabicnumber}', "");
Expect(0, 1535, '\P{^Is_Bidi_Class=arabicnumber}', "");
Expect(1, 1539, '\p{Is_Bidi_Class=_ ARABIC	Number}', "");
Expect(0, 1539, '\p{^Is_Bidi_Class=_ ARABIC	Number}', "");
Expect(0, 1539, '\P{Is_Bidi_Class=_ ARABIC	Number}', "");
Expect(1, 1539, '\P{^Is_Bidi_Class=_ ARABIC	Number}', "");
Expect(0, 1535, '\p{Is_Bidi_Class=_ ARABIC	Number}', "");
Expect(1, 1535, '\p{^Is_Bidi_Class=_ ARABIC	Number}', "");
Expect(1, 1535, '\P{Is_Bidi_Class=_ ARABIC	Number}', "");
Expect(0, 1535, '\P{^Is_Bidi_Class=_ ARABIC	Number}', "");
Error('\p{Is_Bc:   -	an:=}');
Error('\P{Is_Bc:   -	an:=}');
Expect(1, 1539, '\p{Is_Bc=an}', "");
Expect(0, 1539, '\p{^Is_Bc=an}', "");
Expect(0, 1539, '\P{Is_Bc=an}', "");
Expect(1, 1539, '\P{^Is_Bc=an}', "");
Expect(0, 1535, '\p{Is_Bc=an}', "");
Expect(1, 1535, '\p{^Is_Bc=an}', "");
Expect(1, 1535, '\P{Is_Bc=an}', "");
Expect(0, 1535, '\P{^Is_Bc=an}', "");
Expect(1, 1539, '\p{Is_Bc=	AN}', "");
Expect(0, 1539, '\p{^Is_Bc=	AN}', "");
Expect(0, 1539, '\P{Is_Bc=	AN}', "");
Expect(1, 1539, '\P{^Is_Bc=	AN}', "");
Expect(0, 1535, '\p{Is_Bc=	AN}', "");
Expect(1, 1535, '\p{^Is_Bc=	AN}', "");
Expect(1, 1535, '\P{Is_Bc=	AN}', "");
Expect(0, 1535, '\P{^Is_Bc=	AN}', "");
Error('\p{Bidi_Class=-	right-ToLeft/a/}');
Error('\P{Bidi_Class=-	right-ToLeft/a/}');
Expect(1, 1424, '\p{Bidi_Class=righttoleft}', "");
Expect(0, 1424, '\p{^Bidi_Class=righttoleft}', "");
Expect(0, 1424, '\P{Bidi_Class=righttoleft}', "");
Expect(1, 1424, '\P{^Bidi_Class=righttoleft}', "");
Expect(0, 1423, '\p{Bidi_Class=righttoleft}', "");
Expect(1, 1423, '\p{^Bidi_Class=righttoleft}', "");
Expect(1, 1423, '\P{Bidi_Class=righttoleft}', "");
Expect(0, 1423, '\P{^Bidi_Class=righttoleft}', "");
Expect(1, 1424, '\p{Bidi_Class:	 _Right	To Left}', "");
Expect(0, 1424, '\p{^Bidi_Class:	 _Right	To Left}', "");
Expect(0, 1424, '\P{Bidi_Class:	 _Right	To Left}', "");
Expect(1, 1424, '\P{^Bidi_Class:	 _Right	To Left}', "");
Expect(0, 1423, '\p{Bidi_Class:	 _Right	To Left}', "");
Expect(1, 1423, '\p{^Bidi_Class:	 _Right	To Left}', "");
Expect(1, 1423, '\P{Bidi_Class:	 _Right	To Left}', "");
Expect(0, 1423, '\P{^Bidi_Class:	 _Right	To Left}', "");
Error('\p{Bc= -R:=}');
Error('\P{Bc= -R:=}');
Expect(1, 1424, '\p{Bc=r}', "");
Expect(0, 1424, '\p{^Bc=r}', "");
Expect(0, 1424, '\P{Bc=r}', "");
Expect(1, 1424, '\P{^Bc=r}', "");
Expect(0, 1423, '\p{Bc=r}', "");
Expect(1, 1423, '\p{^Bc=r}', "");
Expect(1, 1423, '\P{Bc=r}', "");
Expect(0, 1423, '\P{^Bc=r}', "");
Expect(1, 1424, '\p{Bc=	 R}', "");
Expect(0, 1424, '\p{^Bc=	 R}', "");
Expect(0, 1424, '\P{Bc=	 R}', "");
Expect(1, 1424, '\P{^Bc=	 R}', "");
Expect(0, 1423, '\p{Bc=	 R}', "");
Expect(1, 1423, '\p{^Bc=	 R}', "");
Expect(1, 1423, '\P{Bc=	 R}', "");
Expect(0, 1423, '\P{^Bc=	 R}', "");
Error('\p{Is_Bidi_Class= :=right-to-LEFT}');
Error('\P{Is_Bidi_Class= :=right-to-LEFT}');
Expect(1, 1424, '\p{Is_Bidi_Class=righttoleft}', "");
Expect(0, 1424, '\p{^Is_Bidi_Class=righttoleft}', "");
Expect(0, 1424, '\P{Is_Bidi_Class=righttoleft}', "");
Expect(1, 1424, '\P{^Is_Bidi_Class=righttoleft}', "");
Expect(0, 1423, '\p{Is_Bidi_Class=righttoleft}', "");
Expect(1, 1423, '\p{^Is_Bidi_Class=righttoleft}', "");
Expect(1, 1423, '\P{Is_Bidi_Class=righttoleft}', "");
Expect(0, 1423, '\P{^Is_Bidi_Class=righttoleft}', "");
Expect(1, 1424, '\p{Is_Bidi_Class= 	RightTO left}', "");
Expect(0, 1424, '\p{^Is_Bidi_Class= 	RightTO left}', "");
Expect(0, 1424, '\P{Is_Bidi_Class= 	RightTO left}', "");
Expect(1, 1424, '\P{^Is_Bidi_Class= 	RightTO left}', "");
Expect(0, 1423, '\p{Is_Bidi_Class= 	RightTO left}', "");
Expect(1, 1423, '\p{^Is_Bidi_Class= 	RightTO left}', "");
Expect(1, 1423, '\P{Is_Bidi_Class= 	RightTO left}', "");
Expect(0, 1423, '\P{^Is_Bidi_Class= 	RightTO left}', "");
Error('\p{Is_Bc=_:=R}');
Error('\P{Is_Bc=_:=R}');
Expect(1, 1424, '\p{Is_Bc:r}', "");
Expect(0, 1424, '\p{^Is_Bc:r}', "");
Expect(0, 1424, '\P{Is_Bc:r}', "");
Expect(1, 1424, '\P{^Is_Bc:r}', "");
Expect(0, 1423, '\p{Is_Bc:r}', "");
Expect(1, 1423, '\p{^Is_Bc:r}', "");
Expect(1, 1423, '\P{Is_Bc:r}', "");
Expect(0, 1423, '\P{^Is_Bc:r}', "");
Expect(1, 1424, '\p{Is_Bc=-R}', "");
Expect(0, 1424, '\p{^Is_Bc=-R}', "");
Expect(0, 1424, '\P{Is_Bc=-R}', "");
Expect(1, 1424, '\P{^Is_Bc=-R}', "");
Expect(0, 1423, '\p{Is_Bc=-R}', "");
Expect(1, 1423, '\p{^Is_Bc=-R}', "");
Expect(1, 1423, '\P{Is_Bc=-R}', "");
Expect(0, 1423, '\P{^Is_Bc=-R}', "");
Error('\p{Radical=_yes/a/}');
Error('\P{Radical=_yes/a/}');
Expect(1, 11929, '\p{Radical=yes}', "");
Expect(0, 11929, '\p{^Radical=yes}', "");
Expect(0, 11929, '\P{Radical=yes}', "");
Expect(1, 11929, '\P{^Radical=yes}', "");
Expect(0, 11903, '\p{Radical=yes}', "");
Expect(1, 11903, '\p{^Radical=yes}', "");
Expect(1, 11903, '\P{Radical=yes}', "");
Expect(0, 11903, '\P{^Radical=yes}', "");
Expect(1, 11929, '\p{Radical=- YES}', "");
Expect(0, 11929, '\p{^Radical=- YES}', "");
Expect(0, 11929, '\P{Radical=- YES}', "");
Expect(1, 11929, '\P{^Radical=- YES}', "");
Expect(0, 11903, '\p{Radical=- YES}', "");
Expect(1, 11903, '\p{^Radical=- YES}', "");
Expect(1, 11903, '\P{Radical=- YES}', "");
Expect(0, 11903, '\P{^Radical=- YES}', "");
Error('\p{Is_Radical=	_y/a/}');
Error('\P{Is_Radical=	_y/a/}');
Expect(1, 11929, '\p{Is_Radical=y}', "");
Expect(0, 11929, '\p{^Is_Radical=y}', "");
Expect(0, 11929, '\P{Is_Radical=y}', "");
Expect(1, 11929, '\P{^Is_Radical=y}', "");
Expect(0, 11903, '\p{Is_Radical=y}', "");
Expect(1, 11903, '\p{^Is_Radical=y}', "");
Expect(1, 11903, '\P{Is_Radical=y}', "");
Expect(0, 11903, '\P{^Is_Radical=y}', "");
Expect(1, 11929, '\p{Is_Radical=_-Y}', "");
Expect(0, 11929, '\p{^Is_Radical=_-Y}', "");
Expect(0, 11929, '\P{Is_Radical=_-Y}', "");
Expect(1, 11929, '\P{^Is_Radical=_-Y}', "");
Expect(0, 11903, '\p{Is_Radical=_-Y}', "");
Expect(1, 11903, '\p{^Is_Radical=_-Y}', "");
Expect(1, 11903, '\P{Is_Radical=_-Y}', "");
Expect(0, 11903, '\P{^Is_Radical=_-Y}', "");
Error('\p{Radical=:=T}');
Error('\P{Radical=:=T}');
Expect(1, 11929, '\p{Radical=t}', "");
Expect(0, 11929, '\p{^Radical=t}', "");
Expect(0, 11929, '\P{Radical=t}', "");
Expect(1, 11929, '\P{^Radical=t}', "");
Expect(0, 11903, '\p{Radical=t}', "");
Expect(1, 11903, '\p{^Radical=t}', "");
Expect(1, 11903, '\P{Radical=t}', "");
Expect(0, 11903, '\P{^Radical=t}', "");
Expect(1, 11929, '\p{Radical= 	T}', "");
Expect(0, 11929, '\p{^Radical= 	T}', "");
Expect(0, 11929, '\P{Radical= 	T}', "");
Expect(1, 11929, '\P{^Radical= 	T}', "");
Expect(0, 11903, '\p{Radical= 	T}', "");
Expect(1, 11903, '\p{^Radical= 	T}', "");
Expect(1, 11903, '\P{Radical= 	T}', "");
Expect(0, 11903, '\P{^Radical= 	T}', "");
Error('\p{Is_Radical=-True/a/}');
Error('\P{Is_Radical=-True/a/}');
Expect(1, 11929, '\p{Is_Radical=true}', "");
Expect(0, 11929, '\p{^Is_Radical=true}', "");
Expect(0, 11929, '\P{Is_Radical=true}', "");
Expect(1, 11929, '\P{^Is_Radical=true}', "");
Expect(0, 11903, '\p{Is_Radical=true}', "");
Expect(1, 11903, '\p{^Is_Radical=true}', "");
Expect(1, 11903, '\P{Is_Radical=true}', "");
Expect(0, 11903, '\P{^Is_Radical=true}', "");
Expect(1, 11929, '\p{Is_Radical=--True}', "");
Expect(0, 11929, '\p{^Is_Radical=--True}', "");
Expect(0, 11929, '\P{Is_Radical=--True}', "");
Expect(1, 11929, '\P{^Is_Radical=--True}', "");
Expect(0, 11903, '\p{Is_Radical=--True}', "");
Expect(1, 11903, '\p{^Is_Radical=--True}', "");
Expect(1, 11903, '\P{Is_Radical=--True}', "");
Expect(0, 11903, '\P{^Is_Radical=--True}', "");
Error('\p{Radical=	:=No}');
Error('\P{Radical=	:=No}');
Expect(1, 11903, '\p{Radical=no}', "");
Expect(0, 11903, '\p{^Radical=no}', "");
Expect(0, 11903, '\P{Radical=no}', "");
Expect(1, 11903, '\P{^Radical=no}', "");
Expect(0, 11929, '\p{Radical=no}', "");
Expect(1, 11929, '\p{^Radical=no}', "");
Expect(1, 11929, '\P{Radical=no}', "");
Expect(0, 11929, '\P{^Radical=no}', "");
Expect(1, 11903, '\p{Radical= _No}', "");
Expect(0, 11903, '\p{^Radical= _No}', "");
Expect(0, 11903, '\P{Radical= _No}', "");
Expect(1, 11903, '\P{^Radical= _No}', "");
Expect(0, 11929, '\p{Radical= _No}', "");
Expect(1, 11929, '\p{^Radical= _No}', "");
Expect(1, 11929, '\P{Radical= _No}', "");
Expect(0, 11929, '\P{^Radical= _No}', "");
Error('\p{Is_Radical=__N/a/}');
Error('\P{Is_Radical=__N/a/}');
Expect(1, 11903, '\p{Is_Radical=n}', "");
Expect(0, 11903, '\p{^Is_Radical=n}', "");
Expect(0, 11903, '\P{Is_Radical=n}', "");
Expect(1, 11903, '\P{^Is_Radical=n}', "");
Expect(0, 11929, '\p{Is_Radical=n}', "");
Expect(1, 11929, '\p{^Is_Radical=n}', "");
Expect(1, 11929, '\P{Is_Radical=n}', "");
Expect(0, 11929, '\P{^Is_Radical=n}', "");
Expect(1, 11903, '\p{Is_Radical=-n}', "");
Expect(0, 11903, '\p{^Is_Radical=-n}', "");
Expect(0, 11903, '\P{Is_Radical=-n}', "");
Expect(1, 11903, '\P{^Is_Radical=-n}', "");
Expect(0, 11929, '\p{Is_Radical=-n}', "");
Expect(1, 11929, '\p{^Is_Radical=-n}', "");
Expect(1, 11929, '\P{Is_Radical=-n}', "");
Expect(0, 11929, '\P{^Is_Radical=-n}', "");
Error('\p{Radical= -F:=}');
Error('\P{Radical= -F:=}');
Expect(1, 11903, '\p{Radical=f}', "");
Expect(0, 11903, '\p{^Radical=f}', "");
Expect(0, 11903, '\P{Radical=f}', "");
Expect(1, 11903, '\P{^Radical=f}', "");
Expect(0, 11929, '\p{Radical=f}', "");
Expect(1, 11929, '\p{^Radical=f}', "");
Expect(1, 11929, '\P{Radical=f}', "");
Expect(0, 11929, '\P{^Radical=f}', "");
Expect(1, 11903, '\p{Radical=_F}', "");
Expect(0, 11903, '\p{^Radical=_F}', "");
Expect(0, 11903, '\P{Radical=_F}', "");
Expect(1, 11903, '\P{^Radical=_F}', "");
Expect(0, 11929, '\p{Radical=_F}', "");
Expect(1, 11929, '\p{^Radical=_F}', "");
Expect(1, 11929, '\P{Radical=_F}', "");
Expect(0, 11929, '\P{^Radical=_F}', "");
Error('\p{Is_Radical: /a/	FALSE}');
Error('\P{Is_Radical: /a/	FALSE}');
Expect(1, 11903, '\p{Is_Radical=false}', "");
Expect(0, 11903, '\p{^Is_Radical=false}', "");
Expect(0, 11903, '\P{Is_Radical=false}', "");
Expect(1, 11903, '\P{^Is_Radical=false}', "");
Expect(0, 11929, '\p{Is_Radical=false}', "");
Expect(1, 11929, '\p{^Is_Radical=false}', "");
Expect(1, 11929, '\P{Is_Radical=false}', "");
Expect(0, 11929, '\P{^Is_Radical=false}', "");
Expect(1, 11903, '\p{Is_Radical=  FALSE}', "");
Expect(0, 11903, '\p{^Is_Radical=  FALSE}', "");
Expect(0, 11903, '\P{Is_Radical=  FALSE}', "");
Expect(1, 11903, '\P{^Is_Radical=  FALSE}', "");
Expect(0, 11929, '\p{Is_Radical=  FALSE}', "");
Expect(1, 11929, '\p{^Is_Radical=  FALSE}', "");
Expect(1, 11929, '\P{Is_Radical=  FALSE}', "");
Expect(0, 11929, '\P{^Is_Radical=  FALSE}', "");
Error('\p{Quotation_Mark:--yes/a/}');
Error('\P{Quotation_Mark:--yes/a/}');
Expect(1, 34, '\p{Quotation_Mark=yes}', "");
Expect(0, 34, '\p{^Quotation_Mark=yes}', "");
Expect(0, 34, '\P{Quotation_Mark=yes}', "");
Expect(1, 34, '\P{^Quotation_Mark=yes}', "");
Expect(0, 33, '\p{Quotation_Mark=yes}', "");
Expect(1, 33, '\p{^Quotation_Mark=yes}', "");
Expect(1, 33, '\P{Quotation_Mark=yes}', "");
Expect(0, 33, '\P{^Quotation_Mark=yes}', "");
Expect(1, 34, '\p{Quotation_Mark=	-Yes}', "");
Expect(0, 34, '\p{^Quotation_Mark=	-Yes}', "");
Expect(0, 34, '\P{Quotation_Mark=	-Yes}', "");
Expect(1, 34, '\P{^Quotation_Mark=	-Yes}', "");
Expect(0, 33, '\p{Quotation_Mark=	-Yes}', "");
Expect(1, 33, '\p{^Quotation_Mark=	-Yes}', "");
Expect(1, 33, '\P{Quotation_Mark=	-Yes}', "");
Expect(0, 33, '\P{^Quotation_Mark=	-Yes}', "");
Error('\p{QMark=	:=Y}');
Error('\P{QMark=	:=Y}');
Expect(1, 34, '\p{QMark=y}', "");
Expect(0, 34, '\p{^QMark=y}', "");
Expect(0, 34, '\P{QMark=y}', "");
Expect(1, 34, '\P{^QMark=y}', "");
Expect(0, 33, '\p{QMark=y}', "");
Expect(1, 33, '\p{^QMark=y}', "");
Expect(1, 33, '\P{QMark=y}', "");
Expect(0, 33, '\P{^QMark=y}', "");
Expect(1, 34, '\p{QMark=_	Y}', "");
Expect(0, 34, '\p{^QMark=_	Y}', "");
Expect(0, 34, '\P{QMark=_	Y}', "");
Expect(1, 34, '\P{^QMark=_	Y}', "");
Expect(0, 33, '\p{QMark=_	Y}', "");
Expect(1, 33, '\p{^QMark=_	Y}', "");
Expect(1, 33, '\P{QMark=_	Y}', "");
Expect(0, 33, '\P{^QMark=_	Y}', "");
Error('\p{Is_Quotation_Mark: 	T:=}');
Error('\P{Is_Quotation_Mark: 	T:=}');
Expect(1, 34, '\p{Is_Quotation_Mark=t}', "");
Expect(0, 34, '\p{^Is_Quotation_Mark=t}', "");
Expect(0, 34, '\P{Is_Quotation_Mark=t}', "");
Expect(1, 34, '\P{^Is_Quotation_Mark=t}', "");
Expect(0, 33, '\p{Is_Quotation_Mark=t}', "");
Expect(1, 33, '\p{^Is_Quotation_Mark=t}', "");
Expect(1, 33, '\P{Is_Quotation_Mark=t}', "");
Expect(0, 33, '\P{^Is_Quotation_Mark=t}', "");
Expect(1, 34, '\p{Is_Quotation_Mark=_T}', "");
Expect(0, 34, '\p{^Is_Quotation_Mark=_T}', "");
Expect(0, 34, '\P{Is_Quotation_Mark=_T}', "");
Expect(1, 34, '\P{^Is_Quotation_Mark=_T}', "");
Expect(0, 33, '\p{Is_Quotation_Mark=_T}', "");
Expect(1, 33, '\p{^Is_Quotation_Mark=_T}', "");
Expect(1, 33, '\P{Is_Quotation_Mark=_T}', "");
Expect(0, 33, '\P{^Is_Quotation_Mark=_T}', "");
Error('\p{Is_QMark=_-true/a/}');
Error('\P{Is_QMark=_-true/a/}');
Expect(1, 34, '\p{Is_QMark=true}', "");
Expect(0, 34, '\p{^Is_QMark=true}', "");
Expect(0, 34, '\P{Is_QMark=true}', "");
Expect(1, 34, '\P{^Is_QMark=true}', "");
Expect(0, 33, '\p{Is_QMark=true}', "");
Expect(1, 33, '\p{^Is_QMark=true}', "");
Expect(1, 33, '\P{Is_QMark=true}', "");
Expect(0, 33, '\P{^Is_QMark=true}', "");
Expect(1, 34, '\p{Is_QMark=- True}', "");
Expect(0, 34, '\p{^Is_QMark=- True}', "");
Expect(0, 34, '\P{Is_QMark=- True}', "");
Expect(1, 34, '\P{^Is_QMark=- True}', "");
Expect(0, 33, '\p{Is_QMark=- True}', "");
Expect(1, 33, '\p{^Is_QMark=- True}', "");
Expect(1, 33, '\P{Is_QMark=- True}', "");
Expect(0, 33, '\P{^Is_QMark=- True}', "");
Error('\p{Quotation_Mark=/a/  NO}');
Error('\P{Quotation_Mark=/a/  NO}');
Expect(1, 33, '\p{Quotation_Mark:no}', "");
Expect(0, 33, '\p{^Quotation_Mark:no}', "");
Expect(0, 33, '\P{Quotation_Mark:no}', "");
Expect(1, 33, '\P{^Quotation_Mark:no}', "");
Expect(0, 34, '\p{Quotation_Mark:no}', "");
Expect(1, 34, '\p{^Quotation_Mark:no}', "");
Expect(1, 34, '\P{Quotation_Mark:no}', "");
Expect(0, 34, '\P{^Quotation_Mark:no}', "");
Expect(1, 33, '\p{Quotation_Mark=_	No}', "");
Expect(0, 33, '\p{^Quotation_Mark=_	No}', "");
Expect(0, 33, '\P{Quotation_Mark=_	No}', "");
Expect(1, 33, '\P{^Quotation_Mark=_	No}', "");
Expect(0, 34, '\p{Quotation_Mark=_	No}', "");
Expect(1, 34, '\p{^Quotation_Mark=_	No}', "");
Expect(1, 34, '\P{Quotation_Mark=_	No}', "");
Expect(0, 34, '\P{^Quotation_Mark=_	No}', "");
Error('\p{QMark=__N/a/}');
Error('\P{QMark=__N/a/}');
Expect(1, 33, '\p{QMark=n}', "");
Expect(0, 33, '\p{^QMark=n}', "");
Expect(0, 33, '\P{QMark=n}', "");
Expect(1, 33, '\P{^QMark=n}', "");
Expect(0, 34, '\p{QMark=n}', "");
Expect(1, 34, '\p{^QMark=n}', "");
Expect(1, 34, '\P{QMark=n}', "");
Expect(0, 34, '\P{^QMark=n}', "");
Expect(1, 33, '\p{QMark=	N}', "");
Expect(0, 33, '\p{^QMark=	N}', "");
Expect(0, 33, '\P{QMark=	N}', "");
Expect(1, 33, '\P{^QMark=	N}', "");
Expect(0, 34, '\p{QMark=	N}', "");
Expect(1, 34, '\p{^QMark=	N}', "");
Expect(1, 34, '\P{QMark=	N}', "");
Expect(0, 34, '\P{^QMark=	N}', "");
Error('\p{Is_Quotation_Mark= F:=}');
Error('\P{Is_Quotation_Mark= F:=}');
Expect(1, 33, '\p{Is_Quotation_Mark=f}', "");
Expect(0, 33, '\p{^Is_Quotation_Mark=f}', "");
Expect(0, 33, '\P{Is_Quotation_Mark=f}', "");
Expect(1, 33, '\P{^Is_Quotation_Mark=f}', "");
Expect(0, 34, '\p{Is_Quotation_Mark=f}', "");
Expect(1, 34, '\p{^Is_Quotation_Mark=f}', "");
Expect(1, 34, '\P{Is_Quotation_Mark=f}', "");
Expect(0, 34, '\P{^Is_Quotation_Mark=f}', "");
Expect(1, 33, '\p{Is_Quotation_Mark= _f}', "");
Expect(0, 33, '\p{^Is_Quotation_Mark= _f}', "");
Expect(0, 33, '\P{Is_Quotation_Mark= _f}', "");
Expect(1, 33, '\P{^Is_Quotation_Mark= _f}', "");
Expect(0, 34, '\p{Is_Quotation_Mark= _f}', "");
Expect(1, 34, '\p{^Is_Quotation_Mark= _f}', "");
Expect(1, 34, '\P{Is_Quotation_Mark= _f}', "");
Expect(0, 34, '\P{^Is_Quotation_Mark= _f}', "");
Error('\p{Is_QMark=-/a/FALSE}');
Error('\P{Is_QMark=-/a/FALSE}');
Expect(1, 33, '\p{Is_QMark=false}', "");
Expect(0, 33, '\p{^Is_QMark=false}', "");
Expect(0, 33, '\P{Is_QMark=false}', "");
Expect(1, 33, '\P{^Is_QMark=false}', "");
Expect(0, 34, '\p{Is_QMark=false}', "");
Expect(1, 34, '\p{^Is_QMark=false}', "");
Expect(1, 34, '\P{Is_QMark=false}', "");
Expect(0, 34, '\P{^Is_QMark=false}', "");
Expect(1, 33, '\p{Is_QMark= -FALSE}', "");
Expect(0, 33, '\p{^Is_QMark= -FALSE}', "");
Expect(0, 33, '\P{Is_QMark= -FALSE}', "");
Expect(1, 33, '\P{^Is_QMark= -FALSE}', "");
Expect(0, 34, '\p{Is_QMark= -FALSE}', "");
Expect(1, 34, '\p{^Is_QMark= -FALSE}', "");
Expect(1, 34, '\P{Is_QMark= -FALSE}', "");
Expect(0, 34, '\P{^Is_QMark= -FALSE}', "");
Error('\p{Expands_On_NFD=Yes}');
Error('\P{Expands_On_NFD=Yes}');
Error('\p{XO_NFD=Y}');
Error('\P{XO_NFD=Y}');
Error('\p{Is_Expands_On_NFD=T}');
Error('\P{Is_Expands_On_NFD=T}');
Error('\p{Is_XO_NFD=True}');
Error('\P{Is_XO_NFD=True}');
Error('\p{Expands_On_NFD=No}');
Error('\P{Expands_On_NFD=No}');
Error('\p{XO_NFD:N}');
Error('\P{XO_NFD:N}');
Error('\p{Is_Expands_On_NFD=F}');
Error('\P{Is_Expands_On_NFD=F}');
Error('\p{Is_XO_NFD=False}');
Error('\P{Is_XO_NFD=False}');
Error('\p{Soft_Dotted=:= YES}');
Error('\P{Soft_Dotted=:= YES}');
Expect(1, 106, '\p{Soft_Dotted=yes}', "");
Expect(0, 106, '\p{^Soft_Dotted=yes}', "");
Expect(0, 106, '\P{Soft_Dotted=yes}', "");
Expect(1, 106, '\P{^Soft_Dotted=yes}', "");
Expect(0, 104, '\p{Soft_Dotted=yes}', "");
Expect(1, 104, '\p{^Soft_Dotted=yes}', "");
Expect(1, 104, '\P{Soft_Dotted=yes}', "");
Expect(0, 104, '\P{^Soft_Dotted=yes}', "");
Expect(1, 106, '\p{Soft_Dotted=	 yes}', "");
Expect(0, 106, '\p{^Soft_Dotted=	 yes}', "");
Expect(0, 106, '\P{Soft_Dotted=	 yes}', "");
Expect(1, 106, '\P{^Soft_Dotted=	 yes}', "");
Expect(0, 104, '\p{Soft_Dotted=	 yes}', "");
Expect(1, 104, '\p{^Soft_Dotted=	 yes}', "");
Expect(1, 104, '\P{Soft_Dotted=	 yes}', "");
Expect(0, 104, '\P{^Soft_Dotted=	 yes}', "");
Error('\p{SD=/a/	y}');
Error('\P{SD=/a/	y}');
Expect(1, 106, '\p{SD=y}', "");
Expect(0, 106, '\p{^SD=y}', "");
Expect(0, 106, '\P{SD=y}', "");
Expect(1, 106, '\P{^SD=y}', "");
Expect(0, 104, '\p{SD=y}', "");
Expect(1, 104, '\p{^SD=y}', "");
Expect(1, 104, '\P{SD=y}', "");
Expect(0, 104, '\P{^SD=y}', "");
Expect(1, 106, '\p{SD:  	Y}', "");
Expect(0, 106, '\p{^SD:  	Y}', "");
Expect(0, 106, '\P{SD:  	Y}', "");
Expect(1, 106, '\P{^SD:  	Y}', "");
Expect(0, 104, '\p{SD:  	Y}', "");
Expect(1, 104, '\p{^SD:  	Y}', "");
Expect(1, 104, '\P{SD:  	Y}', "");
Expect(0, 104, '\P{^SD:  	Y}', "");
Error('\p{Is_Soft_Dotted=:=	-t}');
Error('\P{Is_Soft_Dotted=:=	-t}');
Expect(1, 106, '\p{Is_Soft_Dotted=t}', "");
Expect(0, 106, '\p{^Is_Soft_Dotted=t}', "");
Expect(0, 106, '\P{Is_Soft_Dotted=t}', "");
Expect(1, 106, '\P{^Is_Soft_Dotted=t}', "");
Expect(0, 104, '\p{Is_Soft_Dotted=t}', "");
Expect(1, 104, '\p{^Is_Soft_Dotted=t}', "");
Expect(1, 104, '\P{Is_Soft_Dotted=t}', "");
Expect(0, 104, '\P{^Is_Soft_Dotted=t}', "");
Expect(1, 106, '\p{Is_Soft_Dotted=--T}', "");
Expect(0, 106, '\p{^Is_Soft_Dotted=--T}', "");
Expect(0, 106, '\P{Is_Soft_Dotted=--T}', "");
Expect(1, 106, '\P{^Is_Soft_Dotted=--T}', "");
Expect(0, 104, '\p{Is_Soft_Dotted=--T}', "");
Expect(1, 104, '\p{^Is_Soft_Dotted=--T}', "");
Expect(1, 104, '\P{Is_Soft_Dotted=--T}', "");
Expect(0, 104, '\P{^Is_Soft_Dotted=--T}', "");
Error('\p{Is_SD=_:=True}');
Error('\P{Is_SD=_:=True}');
Expect(1, 106, '\p{Is_SD:true}', "");
Expect(0, 106, '\p{^Is_SD:true}', "");
Expect(0, 106, '\P{Is_SD:true}', "");
Expect(1, 106, '\P{^Is_SD:true}', "");
Expect(0, 104, '\p{Is_SD:true}', "");
Expect(1, 104, '\p{^Is_SD:true}', "");
Expect(1, 104, '\P{Is_SD:true}', "");
Expect(0, 104, '\P{^Is_SD:true}', "");
Expect(1, 106, '\p{Is_SD=__True}', "");
Expect(0, 106, '\p{^Is_SD=__True}', "");
Expect(0, 106, '\P{Is_SD=__True}', "");
Expect(1, 106, '\P{^Is_SD=__True}', "");
Expect(0, 104, '\p{Is_SD=__True}', "");
Expect(1, 104, '\p{^Is_SD=__True}', "");
Expect(1, 104, '\P{Is_SD=__True}', "");
Expect(0, 104, '\P{^Is_SD=__True}', "");
Error('\p{Soft_Dotted=-No:=}');
Error('\P{Soft_Dotted=-No:=}');
Expect(1, 104, '\p{Soft_Dotted=no}', "");
Expect(0, 104, '\p{^Soft_Dotted=no}', "");
Expect(0, 104, '\P{Soft_Dotted=no}', "");
Expect(1, 104, '\P{^Soft_Dotted=no}', "");
Expect(0, 106, '\p{Soft_Dotted=no}', "");
Expect(1, 106, '\p{^Soft_Dotted=no}', "");
Expect(1, 106, '\P{Soft_Dotted=no}', "");
Expect(0, 106, '\P{^Soft_Dotted=no}', "");
Expect(1, 104, '\p{Soft_Dotted= -NO}', "");
Expect(0, 104, '\p{^Soft_Dotted= -NO}', "");
Expect(0, 104, '\P{Soft_Dotted= -NO}', "");
Expect(1, 104, '\P{^Soft_Dotted= -NO}', "");
Expect(0, 106, '\p{Soft_Dotted= -NO}', "");
Expect(1, 106, '\p{^Soft_Dotted= -NO}', "");
Expect(1, 106, '\P{Soft_Dotted= -NO}', "");
Expect(0, 106, '\P{^Soft_Dotted= -NO}', "");
Error('\p{SD:/a/ _N}');
Error('\P{SD:/a/ _N}');
Expect(1, 104, '\p{SD:   n}', "");
Expect(0, 104, '\p{^SD:   n}', "");
Expect(0, 104, '\P{SD:   n}', "");
Expect(1, 104, '\P{^SD:   n}', "");
Expect(0, 106, '\p{SD:   n}', "");
Expect(1, 106, '\p{^SD:   n}', "");
Expect(1, 106, '\P{SD:   n}', "");
Expect(0, 106, '\P{^SD:   n}', "");
Expect(1, 104, '\p{SD=-N}', "");
Expect(0, 104, '\p{^SD=-N}', "");
Expect(0, 104, '\P{SD=-N}', "");
Expect(1, 104, '\P{^SD=-N}', "");
Expect(0, 106, '\p{SD=-N}', "");
Expect(1, 106, '\p{^SD=-N}', "");
Expect(1, 106, '\P{SD=-N}', "");
Expect(0, 106, '\P{^SD=-N}', "");
Error('\p{Is_Soft_Dotted=	 F:=}');
Error('\P{Is_Soft_Dotted=	 F:=}');
Expect(1, 104, '\p{Is_Soft_Dotted=f}', "");
Expect(0, 104, '\p{^Is_Soft_Dotted=f}', "");
Expect(0, 104, '\P{Is_Soft_Dotted=f}', "");
Expect(1, 104, '\P{^Is_Soft_Dotted=f}', "");
Expect(0, 106, '\p{Is_Soft_Dotted=f}', "");
Expect(1, 106, '\p{^Is_Soft_Dotted=f}', "");
Expect(1, 106, '\P{Is_Soft_Dotted=f}', "");
Expect(0, 106, '\P{^Is_Soft_Dotted=f}', "");
Expect(1, 104, '\p{Is_Soft_Dotted=-	F}', "");
Expect(0, 104, '\p{^Is_Soft_Dotted=-	F}', "");
Expect(0, 104, '\P{Is_Soft_Dotted=-	F}', "");
Expect(1, 104, '\P{^Is_Soft_Dotted=-	F}', "");
Expect(0, 106, '\p{Is_Soft_Dotted=-	F}', "");
Expect(1, 106, '\p{^Is_Soft_Dotted=-	F}', "");
Expect(1, 106, '\P{Is_Soft_Dotted=-	F}', "");
Expect(0, 106, '\P{^Is_Soft_Dotted=-	F}', "");
Error('\p{Is_SD=	/a/False}');
Error('\P{Is_SD=	/a/False}');
Expect(1, 104, '\p{Is_SD=false}', "");
Expect(0, 104, '\p{^Is_SD=false}', "");
Expect(0, 104, '\P{Is_SD=false}', "");
Expect(1, 104, '\P{^Is_SD=false}', "");
Expect(0, 106, '\p{Is_SD=false}', "");
Expect(1, 106, '\p{^Is_SD=false}', "");
Expect(1, 106, '\P{Is_SD=false}', "");
Expect(0, 106, '\P{^Is_SD=false}', "");
Expect(1, 104, '\p{Is_SD=	False}', "");
Expect(0, 104, '\p{^Is_SD=	False}', "");
Expect(0, 104, '\P{Is_SD=	False}', "");
Expect(1, 104, '\P{^Is_SD=	False}', "");
Expect(0, 106, '\p{Is_SD=	False}', "");
Expect(1, 106, '\p{^Is_SD=	False}', "");
Expect(1, 106, '\P{Is_SD=	False}', "");
Expect(0, 106, '\P{^Is_SD=	False}', "");
Error('\p{Other_ID_Start=/a/  yes}');
Error('\P{Other_ID_Start=/a/  yes}');
Expect(1, 8472, '\p{Other_ID_Start=yes}', 'deprecated');
Expect(0, 8472, '\p{^Other_ID_Start=yes}', 'deprecated');
Expect(0, 8472, '\P{Other_ID_Start=yes}', 'deprecated');
Expect(1, 8472, '\P{^Other_ID_Start=yes}', 'deprecated');
Expect(0, 8471, '\p{Other_ID_Start=yes}', 'deprecated');
Expect(1, 8471, '\p{^Other_ID_Start=yes}', 'deprecated');
Expect(1, 8471, '\P{Other_ID_Start=yes}', 'deprecated');
Expect(0, 8471, '\P{^Other_ID_Start=yes}', 'deprecated');
Expect(1, 8472, '\p{Other_ID_Start=-	yes}', 'deprecated');
Expect(0, 8472, '\p{^Other_ID_Start=-	yes}', 'deprecated');
Expect(0, 8472, '\P{Other_ID_Start=-	yes}', 'deprecated');
Expect(1, 8472, '\P{^Other_ID_Start=-	yes}', 'deprecated');
Expect(0, 8471, '\p{Other_ID_Start=-	yes}', 'deprecated');
Expect(1, 8471, '\p{^Other_ID_Start=-	yes}', 'deprecated');
Expect(1, 8471, '\P{Other_ID_Start=-	yes}', 'deprecated');
Expect(0, 8471, '\P{^Other_ID_Start=-	yes}', 'deprecated');
Error('\p{OIDS:   /a/Y}');
Error('\P{OIDS:   /a/Y}');
Expect(1, 8472, '\p{OIDS=y}', 'deprecated');
Expect(0, 8472, '\p{^OIDS=y}', 'deprecated');
Expect(0, 8472, '\P{OIDS=y}', 'deprecated');
Expect(1, 8472, '\P{^OIDS=y}', 'deprecated');
Expect(0, 8471, '\p{OIDS=y}', 'deprecated');
Expect(1, 8471, '\p{^OIDS=y}', 'deprecated');
Expect(1, 8471, '\P{OIDS=y}', 'deprecated');
Expect(0, 8471, '\P{^OIDS=y}', 'deprecated');
Expect(1, 8472, '\p{OIDS=	-Y}', 'deprecated');
Expect(0, 8472, '\p{^OIDS=	-Y}', 'deprecated');
Expect(0, 8472, '\P{OIDS=	-Y}', 'deprecated');
Expect(1, 8472, '\P{^OIDS=	-Y}', 'deprecated');
Expect(0, 8471, '\p{OIDS=	-Y}', 'deprecated');
Expect(1, 8471, '\p{^OIDS=	-Y}', 'deprecated');
Expect(1, 8471, '\P{OIDS=	-Y}', 'deprecated');
Expect(0, 8471, '\P{^OIDS=	-Y}', 'deprecated');
Error('\p{Is_Other_ID_Start=/a/_	T}');
Error('\P{Is_Other_ID_Start=/a/_	T}');
Expect(1, 8472, '\p{Is_Other_ID_Start=t}', 'deprecated');
Expect(0, 8472, '\p{^Is_Other_ID_Start=t}', 'deprecated');
Expect(0, 8472, '\P{Is_Other_ID_Start=t}', 'deprecated');
Expect(1, 8472, '\P{^Is_Other_ID_Start=t}', 'deprecated');
Expect(0, 8471, '\p{Is_Other_ID_Start=t}', 'deprecated');
Expect(1, 8471, '\p{^Is_Other_ID_Start=t}', 'deprecated');
Expect(1, 8471, '\P{Is_Other_ID_Start=t}', 'deprecated');
Expect(0, 8471, '\P{^Is_Other_ID_Start=t}', 'deprecated');
Expect(1, 8472, '\p{Is_Other_ID_Start= -T}', 'deprecated');
Expect(0, 8472, '\p{^Is_Other_ID_Start= -T}', 'deprecated');
Expect(0, 8472, '\P{Is_Other_ID_Start= -T}', 'deprecated');
Expect(1, 8472, '\P{^Is_Other_ID_Start= -T}', 'deprecated');
Expect(0, 8471, '\p{Is_Other_ID_Start= -T}', 'deprecated');
Expect(1, 8471, '\p{^Is_Other_ID_Start= -T}', 'deprecated');
Expect(1, 8471, '\P{Is_Other_ID_Start= -T}', 'deprecated');
Expect(0, 8471, '\P{^Is_Other_ID_Start= -T}', 'deprecated');
Error('\p{Is_OIDS=-_True:=}');
Error('\P{Is_OIDS=-_True:=}');
Expect(1, 8472, '\p{Is_OIDS=true}', 'deprecated');
Expect(0, 8472, '\p{^Is_OIDS=true}', 'deprecated');
Expect(0, 8472, '\P{Is_OIDS=true}', 'deprecated');
Expect(1, 8472, '\P{^Is_OIDS=true}', 'deprecated');
Expect(0, 8471, '\p{Is_OIDS=true}', 'deprecated');
Expect(1, 8471, '\p{^Is_OIDS=true}', 'deprecated');
Expect(1, 8471, '\P{Is_OIDS=true}', 'deprecated');
Expect(0, 8471, '\P{^Is_OIDS=true}', 'deprecated');
Expect(1, 8472, '\p{Is_OIDS= -True}', 'deprecated');
Expect(0, 8472, '\p{^Is_OIDS= -True}', 'deprecated');
Expect(0, 8472, '\P{Is_OIDS= -True}', 'deprecated');
Expect(1, 8472, '\P{^Is_OIDS= -True}', 'deprecated');
Expect(0, 8471, '\p{Is_OIDS= -True}', 'deprecated');
Expect(1, 8471, '\p{^Is_OIDS= -True}', 'deprecated');
Expect(1, 8471, '\P{Is_OIDS= -True}', 'deprecated');
Expect(0, 8471, '\P{^Is_OIDS= -True}', 'deprecated');
Error('\p{Other_ID_Start=--NO:=}');
Error('\P{Other_ID_Start=--NO:=}');
Expect(1, 8471, '\p{Other_ID_Start=no}', 'deprecated');
Expect(0, 8471, '\p{^Other_ID_Start=no}', 'deprecated');
Expect(0, 8471, '\P{Other_ID_Start=no}', 'deprecated');
Expect(1, 8471, '\P{^Other_ID_Start=no}', 'deprecated');
Expect(0, 8472, '\p{Other_ID_Start=no}', 'deprecated');
Expect(1, 8472, '\p{^Other_ID_Start=no}', 'deprecated');
Expect(1, 8472, '\P{Other_ID_Start=no}', 'deprecated');
Expect(0, 8472, '\P{^Other_ID_Start=no}', 'deprecated');
Expect(1, 8471, '\p{Other_ID_Start=_-No}', 'deprecated');
Expect(0, 8471, '\p{^Other_ID_Start=_-No}', 'deprecated');
Expect(0, 8471, '\P{Other_ID_Start=_-No}', 'deprecated');
Expect(1, 8471, '\P{^Other_ID_Start=_-No}', 'deprecated');
Expect(0, 8472, '\p{Other_ID_Start=_-No}', 'deprecated');
Expect(1, 8472, '\p{^Other_ID_Start=_-No}', 'deprecated');
Expect(1, 8472, '\P{Other_ID_Start=_-No}', 'deprecated');
Expect(0, 8472, '\P{^Other_ID_Start=_-No}', 'deprecated');
Error('\p{OIDS=:=  N}');
Error('\P{OIDS=:=  N}');
Expect(1, 8471, '\p{OIDS=n}', 'deprecated');
Expect(0, 8471, '\p{^OIDS=n}', 'deprecated');
Expect(0, 8471, '\P{OIDS=n}', 'deprecated');
Expect(1, 8471, '\P{^OIDS=n}', 'deprecated');
Expect(0, 8472, '\p{OIDS=n}', 'deprecated');
Expect(1, 8472, '\p{^OIDS=n}', 'deprecated');
Expect(1, 8472, '\P{OIDS=n}', 'deprecated');
Expect(0, 8472, '\P{^OIDS=n}', 'deprecated');
Expect(1, 8471, '\p{OIDS=_N}', 'deprecated');
Expect(0, 8471, '\p{^OIDS=_N}', 'deprecated');
Expect(0, 8471, '\P{OIDS=_N}', 'deprecated');
Expect(1, 8471, '\P{^OIDS=_N}', 'deprecated');
Expect(0, 8472, '\p{OIDS=_N}', 'deprecated');
Expect(1, 8472, '\p{^OIDS=_N}', 'deprecated');
Expect(1, 8472, '\P{OIDS=_N}', 'deprecated');
Expect(0, 8472, '\P{^OIDS=_N}', 'deprecated');
Error('\p{Is_Other_ID_Start= F:=}');
Error('\P{Is_Other_ID_Start= F:=}');
Expect(1, 8471, '\p{Is_Other_ID_Start=f}', 'deprecated');
Expect(0, 8471, '\p{^Is_Other_ID_Start=f}', 'deprecated');
Expect(0, 8471, '\P{Is_Other_ID_Start=f}', 'deprecated');
Expect(1, 8471, '\P{^Is_Other_ID_Start=f}', 'deprecated');
Expect(0, 8472, '\p{Is_Other_ID_Start=f}', 'deprecated');
Expect(1, 8472, '\p{^Is_Other_ID_Start=f}', 'deprecated');
Expect(1, 8472, '\P{Is_Other_ID_Start=f}', 'deprecated');
Expect(0, 8472, '\P{^Is_Other_ID_Start=f}', 'deprecated');
Expect(1, 8471, '\p{Is_Other_ID_Start: 	 f}', 'deprecated');
Expect(0, 8471, '\p{^Is_Other_ID_Start: 	 f}', 'deprecated');
Expect(0, 8471, '\P{Is_Other_ID_Start: 	 f}', 'deprecated');
Expect(1, 8471, '\P{^Is_Other_ID_Start: 	 f}', 'deprecated');
Expect(0, 8472, '\p{Is_Other_ID_Start: 	 f}', 'deprecated');
Expect(1, 8472, '\p{^Is_Other_ID_Start: 	 f}', 'deprecated');
Expect(1, 8472, '\P{Is_Other_ID_Start: 	 f}', 'deprecated');
Expect(0, 8472, '\P{^Is_Other_ID_Start: 	 f}', 'deprecated');
Error('\p{Is_OIDS=:=	False}');
Error('\P{Is_OIDS=:=	False}');
Expect(1, 8471, '\p{Is_OIDS=false}', 'deprecated');
Expect(0, 8471, '\p{^Is_OIDS=false}', 'deprecated');
Expect(0, 8471, '\P{Is_OIDS=false}', 'deprecated');
Expect(1, 8471, '\P{^Is_OIDS=false}', 'deprecated');
Expect(0, 8472, '\p{Is_OIDS=false}', 'deprecated');
Expect(1, 8472, '\p{^Is_OIDS=false}', 'deprecated');
Expect(1, 8472, '\P{Is_OIDS=false}', 'deprecated');
Expect(0, 8472, '\P{^Is_OIDS=false}', 'deprecated');
Expect(1, 8471, '\p{Is_OIDS=	 false}', 'deprecated');
Expect(0, 8471, '\p{^Is_OIDS=	 false}', 'deprecated');
Expect(0, 8471, '\P{Is_OIDS=	 false}', 'deprecated');
Expect(1, 8471, '\P{^Is_OIDS=	 false}', 'deprecated');
Expect(0, 8472, '\p{Is_OIDS=	 false}', 'deprecated');
Expect(1, 8472, '\p{^Is_OIDS=	 false}', 'deprecated');
Expect(1, 8472, '\P{Is_OIDS=	 false}', 'deprecated');
Expect(0, 8472, '\P{^Is_OIDS=	 false}', 'deprecated');
Error('\p{Grapheme_Base=:=	Yes}');
Error('\P{Grapheme_Base=:=	Yes}');
Expect(1, 126, '\p{Grapheme_Base=yes}', "");
Expect(0, 126, '\p{^Grapheme_Base=yes}', "");
Expect(0, 126, '\P{Grapheme_Base=yes}', "");
Expect(1, 126, '\P{^Grapheme_Base=yes}', "");
Expect(0, 31, '\p{Grapheme_Base=yes}', "");
Expect(1, 31, '\p{^Grapheme_Base=yes}', "");
Expect(1, 31, '\P{Grapheme_Base=yes}', "");
Expect(0, 31, '\P{^Grapheme_Base=yes}', "");
Expect(1, 126, '\p{Grapheme_Base=_YES}', "");
Expect(0, 126, '\p{^Grapheme_Base=_YES}', "");
Expect(0, 126, '\P{Grapheme_Base=_YES}', "");
Expect(1, 126, '\P{^Grapheme_Base=_YES}', "");
Expect(0, 31, '\p{Grapheme_Base=_YES}', "");
Expect(1, 31, '\p{^Grapheme_Base=_YES}', "");
Expect(1, 31, '\P{Grapheme_Base=_YES}', "");
Expect(0, 31, '\P{^Grapheme_Base=_YES}', "");
Error('\p{Gr_Base=:=_Y}');
Error('\P{Gr_Base=:=_Y}');
Expect(1, 126, '\p{Gr_Base=y}', "");
Expect(0, 126, '\p{^Gr_Base=y}', "");
Expect(0, 126, '\P{Gr_Base=y}', "");
Expect(1, 126, '\P{^Gr_Base=y}', "");
Expect(0, 31, '\p{Gr_Base=y}', "");
Expect(1, 31, '\p{^Gr_Base=y}', "");
Expect(1, 31, '\P{Gr_Base=y}', "");
Expect(0, 31, '\P{^Gr_Base=y}', "");
Expect(1, 126, '\p{Gr_Base=		y}', "");
Expect(0, 126, '\p{^Gr_Base=		y}', "");
Expect(0, 126, '\P{Gr_Base=		y}', "");
Expect(1, 126, '\P{^Gr_Base=		y}', "");
Expect(0, 31, '\p{Gr_Base=		y}', "");
Expect(1, 31, '\p{^Gr_Base=		y}', "");
Expect(1, 31, '\P{Gr_Base=		y}', "");
Expect(0, 31, '\P{^Gr_Base=		y}', "");
Error('\p{Is_Grapheme_Base=/a/	_T}');
Error('\P{Is_Grapheme_Base=/a/	_T}');
Expect(1, 126, '\p{Is_Grapheme_Base=t}', "");
Expect(0, 126, '\p{^Is_Grapheme_Base=t}', "");
Expect(0, 126, '\P{Is_Grapheme_Base=t}', "");
Expect(1, 126, '\P{^Is_Grapheme_Base=t}', "");
Expect(0, 31, '\p{Is_Grapheme_Base=t}', "");
Expect(1, 31, '\p{^Is_Grapheme_Base=t}', "");
Expect(1, 31, '\P{Is_Grapheme_Base=t}', "");
Expect(0, 31, '\P{^Is_Grapheme_Base=t}', "");
Expect(1, 126, '\p{Is_Grapheme_Base=T}', "");
Expect(0, 126, '\p{^Is_Grapheme_Base=T}', "");
Expect(0, 126, '\P{Is_Grapheme_Base=T}', "");
Expect(1, 126, '\P{^Is_Grapheme_Base=T}', "");
Expect(0, 31, '\p{Is_Grapheme_Base=T}', "");
Expect(1, 31, '\p{^Is_Grapheme_Base=T}', "");
Expect(1, 31, '\P{Is_Grapheme_Base=T}', "");
Expect(0, 31, '\P{^Is_Grapheme_Base=T}', "");
Error('\p{Is_Gr_Base:		/a/true}');
Error('\P{Is_Gr_Base:		/a/true}');
Expect(1, 126, '\p{Is_Gr_Base=true}', "");
Expect(0, 126, '\p{^Is_Gr_Base=true}', "");
Expect(0, 126, '\P{Is_Gr_Base=true}', "");
Expect(1, 126, '\P{^Is_Gr_Base=true}', "");
Expect(0, 31, '\p{Is_Gr_Base=true}', "");
Expect(1, 31, '\p{^Is_Gr_Base=true}', "");
Expect(1, 31, '\P{Is_Gr_Base=true}', "");
Expect(0, 31, '\P{^Is_Gr_Base=true}', "");
Expect(1, 126, '\p{Is_Gr_Base=	-TRUE}', "");
Expect(0, 126, '\p{^Is_Gr_Base=	-TRUE}', "");
Expect(0, 126, '\P{Is_Gr_Base=	-TRUE}', "");
Expect(1, 126, '\P{^Is_Gr_Base=	-TRUE}', "");
Expect(0, 31, '\p{Is_Gr_Base=	-TRUE}', "");
Expect(1, 31, '\p{^Is_Gr_Base=	-TRUE}', "");
Expect(1, 31, '\P{Is_Gr_Base=	-TRUE}', "");
Expect(0, 31, '\P{^Is_Gr_Base=	-TRUE}', "");
Error('\p{Grapheme_Base: :=--no}');
Error('\P{Grapheme_Base: :=--no}');
Expect(1, 31, '\p{Grapheme_Base=no}', "");
Expect(0, 31, '\p{^Grapheme_Base=no}', "");
Expect(0, 31, '\P{Grapheme_Base=no}', "");
Expect(1, 31, '\P{^Grapheme_Base=no}', "");
Expect(0, 126, '\p{Grapheme_Base=no}', "");
Expect(1, 126, '\p{^Grapheme_Base=no}', "");
Expect(1, 126, '\P{Grapheme_Base=no}', "");
Expect(0, 126, '\P{^Grapheme_Base=no}', "");
Expect(1, 31, '\p{Grapheme_Base=_No}', "");
Expect(0, 31, '\p{^Grapheme_Base=_No}', "");
Expect(0, 31, '\P{Grapheme_Base=_No}', "");
Expect(1, 31, '\P{^Grapheme_Base=_No}', "");
Expect(0, 126, '\p{Grapheme_Base=_No}', "");
Expect(1, 126, '\p{^Grapheme_Base=_No}', "");
Expect(1, 126, '\P{Grapheme_Base=_No}', "");
Expect(0, 126, '\P{^Grapheme_Base=_No}', "");
Error('\p{Gr_Base=_ n/a/}');
Error('\P{Gr_Base=_ n/a/}');
Expect(1, 31, '\p{Gr_Base=n}', "");
Expect(0, 31, '\p{^Gr_Base=n}', "");
Expect(0, 31, '\P{Gr_Base=n}', "");
Expect(1, 31, '\P{^Gr_Base=n}', "");
Expect(0, 126, '\p{Gr_Base=n}', "");
Expect(1, 126, '\p{^Gr_Base=n}', "");
Expect(1, 126, '\P{Gr_Base=n}', "");
Expect(0, 126, '\P{^Gr_Base=n}', "");
Expect(1, 31, '\p{Gr_Base= N}', "");
Expect(0, 31, '\p{^Gr_Base= N}', "");
Expect(0, 31, '\P{Gr_Base= N}', "");
Expect(1, 31, '\P{^Gr_Base= N}', "");
Expect(0, 126, '\p{Gr_Base= N}', "");
Expect(1, 126, '\p{^Gr_Base= N}', "");
Expect(1, 126, '\P{Gr_Base= N}', "");
Expect(0, 126, '\P{^Gr_Base= N}', "");
Error('\p{Is_Grapheme_Base=:= F}');
Error('\P{Is_Grapheme_Base=:= F}');
Expect(1, 31, '\p{Is_Grapheme_Base=f}', "");
Expect(0, 31, '\p{^Is_Grapheme_Base=f}', "");
Expect(0, 31, '\P{Is_Grapheme_Base=f}', "");
Expect(1, 31, '\P{^Is_Grapheme_Base=f}', "");
Expect(0, 126, '\p{Is_Grapheme_Base=f}', "");
Expect(1, 126, '\p{^Is_Grapheme_Base=f}', "");
Expect(1, 126, '\P{Is_Grapheme_Base=f}', "");
Expect(0, 126, '\P{^Is_Grapheme_Base=f}', "");
Expect(1, 31, '\p{Is_Grapheme_Base=--F}', "");
Expect(0, 31, '\p{^Is_Grapheme_Base=--F}', "");
Expect(0, 31, '\P{Is_Grapheme_Base=--F}', "");
Expect(1, 31, '\P{^Is_Grapheme_Base=--F}', "");
Expect(0, 126, '\p{Is_Grapheme_Base=--F}', "");
Expect(1, 126, '\p{^Is_Grapheme_Base=--F}', "");
Expect(1, 126, '\P{Is_Grapheme_Base=--F}', "");
Expect(0, 126, '\P{^Is_Grapheme_Base=--F}', "");
Error('\p{Is_Gr_Base=:=__FALSE}');
Error('\P{Is_Gr_Base=:=__FALSE}');
Expect(1, 31, '\p{Is_Gr_Base=false}', "");
Expect(0, 31, '\p{^Is_Gr_Base=false}', "");
Expect(0, 31, '\P{Is_Gr_Base=false}', "");
Expect(1, 31, '\P{^Is_Gr_Base=false}', "");
Expect(0, 126, '\p{Is_Gr_Base=false}', "");
Expect(1, 126, '\p{^Is_Gr_Base=false}', "");
Expect(1, 126, '\P{Is_Gr_Base=false}', "");
Expect(0, 126, '\P{^Is_Gr_Base=false}', "");
Expect(1, 31, '\p{Is_Gr_Base= -False}', "");
Expect(0, 31, '\p{^Is_Gr_Base= -False}', "");
Expect(0, 31, '\P{Is_Gr_Base= -False}', "");
Expect(1, 31, '\P{^Is_Gr_Base= -False}', "");
Expect(0, 126, '\p{Is_Gr_Base= -False}', "");
Expect(1, 126, '\p{^Is_Gr_Base= -False}', "");
Expect(1, 126, '\P{Is_Gr_Base= -False}', "");
Expect(0, 126, '\P{^Is_Gr_Base= -False}', "");
Error('\p{Numeric_Value=:=  0000000033}');
Error('\P{Numeric_Value=:=  0000000033}');
Expect(1, 12893, '\p{Numeric_Value=+000000033}', "");
Expect(0, 12893, '\p{^Numeric_Value=+000000033}', "");
Expect(0, 12893, '\P{Numeric_Value=+000000033}', "");
Expect(1, 12893, '\P{^Numeric_Value=+000000033}', "");
Expect(0, 12892, '\p{Numeric_Value=+000000033}', "");
Expect(1, 12892, '\p{^Numeric_Value=+000000033}', "");
Expect(1, 12892, '\P{Numeric_Value=+000000033}', "");
Expect(0, 12892, '\P{^Numeric_Value=+000000033}', "");
Error('\p{Nv=/a/_ 33}');
Error('\P{Nv=/a/_ 33}');
Expect(1, 12893, '\p{Nv=0_0_0_0_33}', "");
Expect(0, 12893, '\p{^Nv=0_0_0_0_33}', "");
Expect(0, 12893, '\P{Nv=0_0_0_0_33}', "");
Expect(1, 12893, '\P{^Nv=0_0_0_0_33}', "");
Expect(0, 12892, '\p{Nv=0_0_0_0_33}', "");
Expect(1, 12892, '\p{^Nv=0_0_0_0_33}', "");
Expect(1, 12892, '\P{Nv=0_0_0_0_33}', "");
Expect(0, 12892, '\P{^Nv=0_0_0_0_33}', "");
Error('\p{Is_Numeric_Value=/a/ +0000033}');
Error('\P{Is_Numeric_Value=/a/ +0000033}');
Expect(1, 12893, '\p{Is_Numeric_Value=0_0_0_0_0_0033}', "");
Expect(0, 12893, '\p{^Is_Numeric_Value=0_0_0_0_0_0033}', "");
Expect(0, 12893, '\P{Is_Numeric_Value=0_0_0_0_0_0033}', "");
Expect(1, 12893, '\P{^Is_Numeric_Value=0_0_0_0_0_0033}', "");
Expect(0, 12892, '\p{Is_Numeric_Value=0_0_0_0_0_0033}', "");
Expect(1, 12892, '\p{^Is_Numeric_Value=0_0_0_0_0_0033}', "");
Expect(1, 12892, '\P{Is_Numeric_Value=0_0_0_0_0_0033}', "");
Expect(0, 12892, '\P{^Is_Numeric_Value=0_0_0_0_0_0033}', "");
Error('\p{Is_Nv= -00-00	03/a/3}');
Error('\P{Is_Nv= -00-00	03/a/3}');
Expect(1, 12893, '\p{Is_Nv=+0000033}', "");
Expect(0, 12893, '\p{^Is_Nv=+0000033}', "");
Expect(0, 12893, '\P{Is_Nv=+0000033}', "");
Expect(1, 12893, '\P{^Is_Nv=+0000033}', "");
Expect(0, 12892, '\p{Is_Nv=+0000033}', "");
Expect(1, 12892, '\p{^Is_Nv=+0000033}', "");
Expect(1, 12892, '\P{Is_Nv=+0000033}', "");
Expect(0, 12892, '\P{^Is_Nv=+0000033}', "");
Error('\p{Numeric_Value:		 0_0:=0 0-0032}');
Error('\P{Numeric_Value:		 0_0:=0 0-0032}');
Expect(1, 12892, '\p{Numeric_Value:0032}', "");
Expect(0, 12892, '\p{^Numeric_Value:0032}', "");
Expect(0, 12892, '\P{Numeric_Value:0032}', "");
Expect(1, 12892, '\P{^Numeric_Value:0032}', "");
Expect(0, 12891, '\p{Numeric_Value:0032}', "");
Expect(1, 12891, '\p{^Numeric_Value:0032}', "");
Expect(1, 12891, '\P{Numeric_Value:0032}', "");
Expect(0, 12891, '\P{^Numeric_Value:0032}', "");
Error('\p{Nv:_/a/0000032}');
Error('\P{Nv:_/a/0000032}');
Expect(1, 12892, '\p{Nv: +03_2}', "");
Expect(0, 12892, '\p{^Nv: +03_2}', "");
Expect(0, 12892, '\P{Nv: +03_2}', "");
Expect(1, 12892, '\P{^Nv: +03_2}', "");
Expect(0, 12891, '\p{Nv: +03_2}', "");
Expect(1, 12891, '\p{^Nv: +03_2}', "");
Expect(1, 12891, '\P{Nv: +03_2}', "");
Expect(0, 12891, '\P{^Nv: +03_2}', "");
Error('\p{Is_Numeric_Value=	000032/a/}');
Error('\P{Is_Numeric_Value=	000032/a/}');
Expect(1, 12892, '\p{Is_Numeric_Value=3_2}', "");
Expect(0, 12892, '\p{^Is_Numeric_Value=3_2}', "");
Expect(0, 12892, '\P{Is_Numeric_Value=3_2}', "");
Expect(1, 12892, '\P{^Is_Numeric_Value=3_2}', "");
Expect(0, 12891, '\p{Is_Numeric_Value=3_2}', "");
Expect(1, 12891, '\p{^Is_Numeric_Value=3_2}', "");
Expect(1, 12891, '\P{Is_Numeric_Value=3_2}', "");
Expect(0, 12891, '\P{^Is_Numeric_Value=3_2}', "");
Error('\p{Is_Nv=/a/+000000032}');
Error('\P{Is_Nv=/a/+000000032}');
Expect(1, 12892, '\p{Is_Nv=0000000032}', "");
Expect(0, 12892, '\p{^Is_Nv=0000000032}', "");
Expect(0, 12892, '\P{Is_Nv=0000000032}', "");
Expect(1, 12892, '\P{^Is_Nv=0000000032}', "");
Expect(0, 12891, '\p{Is_Nv=0000000032}', "");
Expect(1, 12891, '\p{^Is_Nv=0000000032}', "");
Expect(1, 12891, '\P{Is_Nv=0000000032}', "");
Expect(0, 12891, '\P{^Is_Nv=0000000032}', "");
Error('\p{Numeric_Value=/a/00000003/000000016}');
Error('\P{Numeric_Value=/a/00000003/000000016}');
Expect(1, 2550, '\p{Numeric_Value=00003/0000016}', "");
Expect(0, 2550, '\p{^Numeric_Value=00003/0000016}', "");
Expect(0, 2550, '\P{Numeric_Value=00003/0000016}', "");
Expect(1, 2550, '\P{^Numeric_Value=00003/0000016}', "");
Expect(0, 2549, '\p{Numeric_Value=00003/0000016}', "");
Expect(1, 2549, '\p{^Numeric_Value=00003/0000016}', "");
Expect(1, 2549, '\P{Numeric_Value=00003/0000016}', "");
Expect(0, 2549, '\P{^Numeric_Value=00003/0000016}', "");
Error('\p{Numeric_Value=0.19}');
Error('\P{Numeric_Value=0.19}');
Expect(1, 2550, '\p{Numeric_Value=0.188}', "");
Expect(0, 2550, '\p{^Numeric_Value=0.188}', "");
Expect(0, 2550, '\P{Numeric_Value=0.188}', "");
Expect(1, 2550, '\P{^Numeric_Value=0.188}', "");
Expect(0, 2549, '\p{Numeric_Value=0.188}', "");
Expect(1, 2549, '\p{^Numeric_Value=0.188}', "");
Expect(1, 2549, '\P{Numeric_Value=0.188}', "");
Expect(0, 2549, '\P{^Numeric_Value=0.188}', "");
Error('\p{Nv=_/a/+000000003/0016}');
Error('\P{Nv=_/a/+000000003/0016}');
Expect(1, 2550, '\p{Nv=+000000003/0016}', "");
Expect(0, 2550, '\p{^Nv=+000000003/0016}', "");
Expect(0, 2550, '\P{Nv=+000000003/0016}', "");
Expect(1, 2550, '\P{^Nv=+000000003/0016}', "");
Expect(0, 2549, '\p{Nv=+000000003/0016}', "");
Expect(1, 2549, '\p{^Nv=+000000003/0016}', "");
Expect(1, 2549, '\P{Nv=+000000003/0016}', "");
Expect(0, 2549, '\P{^Nv=+000000003/0016}', "");
Error('\p{Nv=0.19}');
Error('\P{Nv=0.19}');
Expect(1, 2550, '\p{Nv=0.188}', "");
Expect(0, 2550, '\p{^Nv=0.188}', "");
Expect(0, 2550, '\P{Nv=0.188}', "");
Expect(1, 2550, '\P{^Nv=0.188}', "");
Expect(0, 2549, '\p{Nv=0.188}', "");
Expect(1, 2549, '\p{^Nv=0.188}', "");
Expect(1, 2549, '\P{Nv=0.188}', "");
Expect(0, 2549, '\P{^Nv=0.188}', "");
Error('\p{Is_Numeric_Value=/a/0003/16}');
Error('\P{Is_Numeric_Value=/a/0003/16}');
Expect(1, 2550, '\p{Is_Numeric_Value=+3/00000016}', "");
Expect(0, 2550, '\p{^Is_Numeric_Value=+3/00000016}', "");
Expect(0, 2550, '\P{Is_Numeric_Value=+3/00000016}', "");
Expect(1, 2550, '\P{^Is_Numeric_Value=+3/00000016}', "");
Expect(0, 2549, '\p{Is_Numeric_Value=+3/00000016}', "");
Expect(1, 2549, '\p{^Is_Numeric_Value=+3/00000016}', "");
Expect(1, 2549, '\P{Is_Numeric_Value=+3/00000016}', "");
Expect(0, 2549, '\P{^Is_Numeric_Value=+3/00000016}', "");
Error('\p{Is_Numeric_Value=0.19}');
Error('\P{Is_Numeric_Value=0.19}');
Expect(1, 2550, '\p{Is_Numeric_Value=0.188}', "");
Expect(0, 2550, '\p{^Is_Numeric_Value=0.188}', "");
Expect(0, 2550, '\P{Is_Numeric_Value=0.188}', "");
Expect(1, 2550, '\P{^Is_Numeric_Value=0.188}', "");
Expect(0, 2549, '\p{Is_Numeric_Value=0.188}', "");
Expect(1, 2549, '\p{^Is_Numeric_Value=0.188}', "");
Expect(1, 2549, '\P{Is_Numeric_Value=0.188}', "");
Expect(0, 2549, '\P{^Is_Numeric_Value=0.188}', "");
Error('\p{Is_Nv=__00000003/00016/a/}');
Error('\P{Is_Nv=__00000003/00016/a/}');
Expect(1, 2550, '\p{Is_Nv=+03/0016}', "");
Expect(0, 2550, '\p{^Is_Nv=+03/0016}', "");
Expect(0, 2550, '\P{Is_Nv=+03/0016}', "");
Expect(1, 2550, '\P{^Is_Nv=+03/0016}', "");
Expect(0, 2549, '\p{Is_Nv=+03/0016}', "");
Expect(1, 2549, '\p{^Is_Nv=+03/0016}', "");
Expect(1, 2549, '\P{Is_Nv=+03/0016}', "");
Expect(0, 2549, '\P{^Is_Nv=+03/0016}', "");
Error('\p{Is_Nv=0.19}');
Error('\P{Is_Nv=0.19}');
Expect(1, 2550, '\p{Is_Nv=0.188}', "");
Expect(0, 2550, '\p{^Is_Nv=0.188}', "");
Expect(0, 2550, '\P{Is_Nv=0.188}', "");
Expect(1, 2550, '\P{^Is_Nv=0.188}', "");
Expect(0, 2549, '\p{Is_Nv=0.188}', "");
Expect(1, 2549, '\p{^Is_Nv=0.188}', "");
Expect(1, 2549, '\P{Is_Nv=0.188}', "");
Expect(0, 2549, '\P{^Is_Nv=0.188}', "");
Error('\p{Numeric_Value=	/a/+000000021}');
Error('\P{Numeric_Value=	/a/+000000021}');
Expect(1, 12881, '\p{Numeric_Value=0_0_0_0_0_21}', "");
Expect(0, 12881, '\p{^Numeric_Value=0_0_0_0_0_21}', "");
Expect(0, 12881, '\P{Numeric_Value=0_0_0_0_0_21}', "");
Expect(1, 12881, '\P{^Numeric_Value=0_0_0_0_0_21}', "");
Expect(0, 12880, '\p{Numeric_Value=0_0_0_0_0_21}', "");
Expect(1, 12880, '\p{^Numeric_Value=0_0_0_0_0_21}', "");
Expect(1, 12880, '\P{Numeric_Value=0_0_0_0_0_21}', "");
Expect(0, 12880, '\P{^Numeric_Value=0_0_0_0_0_21}', "");
Error('\p{Nv=_:=+00021}');
Error('\P{Nv=_:=+00021}');
Expect(1, 12881, '\p{Nv: 00000021}', "");
Expect(0, 12881, '\p{^Nv: 00000021}', "");
Expect(0, 12881, '\P{Nv: 00000021}', "");
Expect(1, 12881, '\P{^Nv: 00000021}', "");
Expect(0, 12880, '\p{Nv: 00000021}', "");
Expect(1, 12880, '\p{^Nv: 00000021}', "");
Expect(1, 12880, '\P{Nv: 00000021}', "");
Expect(0, 12880, '\P{^Nv: 00000021}', "");
Error('\p{Is_Numeric_Value=:=-	0_0	0	0	21}');
Error('\P{Is_Numeric_Value=:=-	0_0	0	0	21}');
Expect(1, 12881, '\p{Is_Numeric_Value=21}', "");
Expect(0, 12881, '\p{^Is_Numeric_Value=21}', "");
Expect(0, 12881, '\P{Is_Numeric_Value=21}', "");
Expect(1, 12881, '\P{^Is_Numeric_Value=21}', "");
Expect(0, 12880, '\p{Is_Numeric_Value=21}', "");
Expect(1, 12880, '\p{^Is_Numeric_Value=21}', "");
Expect(1, 12880, '\P{Is_Numeric_Value=21}', "");
Expect(0, 12880, '\P{^Is_Numeric_Value=21}', "");
Error('\p{Is_Nv=_0000000021:=}');
Error('\P{Is_Nv=_0000000021:=}');
Expect(1, 12881, '\p{Is_Nv=0_0_0_0_0_0_0_021}', "");
Expect(0, 12881, '\p{^Is_Nv=0_0_0_0_0_0_0_021}', "");
Expect(0, 12881, '\P{Is_Nv=0_0_0_0_0_0_0_021}', "");
Expect(1, 12881, '\P{^Is_Nv=0_0_0_0_0_0_0_021}', "");
Expect(0, 12880, '\p{Is_Nv=0_0_0_0_0_0_0_021}', "");
Expect(1, 12880, '\p{^Is_Nv=0_0_0_0_0_0_0_021}', "");
Expect(1, 12880, '\P{Is_Nv=0_0_0_0_0_0_0_021}', "");
Expect(0, 12880, '\P{^Is_Nv=0_0_0_0_0_0_0_021}', "");
Error('\p{Numeric_Value=_0 0 0/a/90}');
Error('\P{Numeric_Value=_0 0 0/a/90}');
Expect(1, 4986, '\p{Numeric_Value=9_0}', "");
Expect(0, 4986, '\p{^Numeric_Value=9_0}', "");
Expect(0, 4986, '\P{Numeric_Value=9_0}', "");
Expect(1, 4986, '\P{^Numeric_Value=9_0}', "");
Expect(0, 4985, '\p{Numeric_Value=9_0}', "");
Expect(1, 4985, '\p{^Numeric_Value=9_0}', "");
Expect(1, 4985, '\P{Numeric_Value=9_0}', "");
Expect(0, 4985, '\P{^Numeric_Value=9_0}', "");
Error('\p{Nv=:= _00090}');
Error('\P{Nv=:= _00090}');
Expect(1, 4986, '\p{Nv=009_0}', "");
Expect(0, 4986, '\p{^Nv=009_0}', "");
Expect(0, 4986, '\P{Nv=009_0}', "");
Expect(1, 4986, '\P{^Nv=009_0}', "");
Expect(0, 4985, '\p{Nv=009_0}', "");
Expect(1, 4985, '\p{^Nv=009_0}', "");
Expect(1, 4985, '\P{Nv=009_0}', "");
Expect(0, 4985, '\P{^Nv=009_0}', "");
Error('\p{Is_Numeric_Value=__0000/a/0009_0}');
Error('\P{Is_Numeric_Value=__0000/a/0009_0}');
Expect(1, 4986, '\p{Is_Numeric_Value=000000090}', "");
Expect(0, 4986, '\p{^Is_Numeric_Value=000000090}', "");
Expect(0, 4986, '\P{Is_Numeric_Value=000000090}', "");
Expect(1, 4986, '\P{^Is_Numeric_Value=000000090}', "");
Expect(0, 4985, '\p{Is_Numeric_Value=000000090}', "");
Expect(1, 4985, '\p{^Is_Numeric_Value=000000090}', "");
Expect(1, 4985, '\P{Is_Numeric_Value=000000090}', "");
Expect(0, 4985, '\P{^Is_Numeric_Value=000000090}', "");
Error('\p{Is_Nv=-+000090/a/}');
Error('\P{Is_Nv=-+000090/a/}');
Expect(1, 4986, '\p{Is_Nv=0_0_0_0_0090}', "");
Expect(0, 4986, '\p{^Is_Nv=0_0_0_0_0090}', "");
Expect(0, 4986, '\P{Is_Nv=0_0_0_0_0090}', "");
Expect(1, 4986, '\P{^Is_Nv=0_0_0_0_0090}', "");
Expect(0, 4985, '\p{Is_Nv=0_0_0_0_0090}', "");
Expect(1, 4985, '\p{^Is_Nv=0_0_0_0_0090}', "");
Expect(1, 4985, '\P{Is_Nv=0_0_0_0_0090}', "");
Expect(0, 4985, '\P{^Is_Nv=0_0_0_0_0090}', "");
Error('\p{Numeric_Value=/a/--0000007}');
Error('\P{Numeric_Value=/a/--0000007}');
Expect(1, 55, '\p{Numeric_Value:	+0007}', "");
Expect(0, 55, '\p{^Numeric_Value:	+0007}', "");
Expect(0, 55, '\P{Numeric_Value:	+0007}', "");
Expect(1, 55, '\P{^Numeric_Value:	+0007}', "");
Expect(0, 54, '\p{Numeric_Value:	+0007}', "");
Expect(1, 54, '\p{^Numeric_Value:	+0007}', "");
Expect(1, 54, '\P{Numeric_Value:	+0007}', "");
Expect(0, 54, '\P{^Numeric_Value:	+0007}', "");
Error('\p{Nv: 	+0000000 7/a/}');
Error('\P{Nv: 	+0000000 7/a/}');
Expect(1, 55, '\p{Nv=7}', "");
Expect(0, 55, '\p{^Nv=7}', "");
Expect(0, 55, '\P{Nv=7}', "");
Expect(1, 55, '\P{^Nv=7}', "");
Expect(0, 54, '\p{Nv=7}', "");
Expect(1, 54, '\p{^Nv=7}', "");
Expect(1, 54, '\P{Nv=7}', "");
Expect(0, 54, '\P{^Nv=7}', "");
Error('\p{Is_Numeric_Value= :=7}');
Error('\P{Is_Numeric_Value= :=7}');
Expect(1, 55, '\p{Is_Numeric_Value=+0000007}', "");
Expect(0, 55, '\p{^Is_Numeric_Value=+0000007}', "");
Expect(0, 55, '\P{Is_Numeric_Value=+0000007}', "");
Expect(1, 55, '\P{^Is_Numeric_Value=+0000007}', "");
Expect(0, 54, '\p{Is_Numeric_Value=+0000007}', "");
Expect(1, 54, '\p{^Is_Numeric_Value=+0000007}', "");
Expect(1, 54, '\P{Is_Numeric_Value=+0000007}', "");
Expect(0, 54, '\P{^Is_Numeric_Value=+0000007}', "");
Error('\p{Is_Nv=-_+0000	7:=}');
Error('\P{Is_Nv=-_+0000	7:=}');
Expect(1, 55, '\p{Is_Nv=+0000007}', "");
Expect(0, 55, '\p{^Is_Nv=+0000007}', "");
Expect(0, 55, '\P{Is_Nv=+0000007}', "");
Expect(1, 55, '\P{^Is_Nv=+0000007}', "");
Expect(0, 54, '\p{Is_Nv=+0000007}', "");
Expect(1, 54, '\p{^Is_Nv=+0000007}', "");
Expect(1, 54, '\P{Is_Nv=+0000007}', "");
Expect(0, 54, '\P{^Is_Nv=+0000007}', "");
Error('\p{Numeric_Value=	0	0/a/0 0-600}');
Error('\P{Numeric_Value=	0	0/a/0 0-600}');
Expect(1, 65822, '\p{Numeric_Value:00600}', "");
Expect(0, 65822, '\p{^Numeric_Value:00600}', "");
Expect(0, 65822, '\P{Numeric_Value:00600}', "");
Expect(1, 65822, '\P{^Numeric_Value:00600}', "");
Expect(0, 65821, '\p{Numeric_Value:00600}', "");
Expect(1, 65821, '\p{^Numeric_Value:00600}', "");
Expect(1, 65821, '\P{Numeric_Value:00600}', "");
Expect(0, 65821, '\P{^Numeric_Value:00600}', "");
Error('\p{Nv=_ +00:=60-0}');
Error('\P{Nv=_ +00:=60-0}');
Expect(1, 65822, '\p{Nv=+000_000_060_0}', "");
Expect(0, 65822, '\p{^Nv=+000_000_060_0}', "");
Expect(0, 65822, '\P{Nv=+000_000_060_0}', "");
Expect(1, 65822, '\P{^Nv=+000_000_060_0}', "");
Expect(0, 65821, '\p{Nv=+000_000_060_0}', "");
Expect(1, 65821, '\p{^Nv=+000_000_060_0}', "");
Expect(1, 65821, '\P{Nv=+000_000_060_0}', "");
Expect(0, 65821, '\P{^Nv=+000_000_060_0}', "");
Error('\p{Is_Numeric_Value=- 600/a/}');
Error('\P{Is_Numeric_Value=- 600/a/}');
Expect(1, 65822, '\p{Is_Numeric_Value=+000_000_006_00}', "");
Expect(0, 65822, '\p{^Is_Numeric_Value=+000_000_006_00}', "");
Expect(0, 65822, '\P{Is_Numeric_Value=+000_000_006_00}', "");
Expect(1, 65822, '\P{^Is_Numeric_Value=+000_000_006_00}', "");
Expect(0, 65821, '\p{Is_Numeric_Value=+000_000_006_00}', "");
Expect(1, 65821, '\p{^Is_Numeric_Value=+000_000_006_00}', "");
Expect(1, 65821, '\P{Is_Numeric_Value=+000_000_006_00}', "");
Expect(0, 65821, '\P{^Is_Numeric_Value=+000_000_006_00}', "");
Error('\p{Is_Nv= -600/a/}');
Error('\P{Is_Nv= -600/a/}');
Expect(1, 65822, '\p{Is_Nv=0060_0}', "");
Expect(0, 65822, '\p{^Is_Nv=0060_0}', "");
Expect(0, 65822, '\P{Is_Nv=0060_0}', "");
Expect(1, 65822, '\P{^Is_Nv=0060_0}', "");
Expect(0, 65821, '\p{Is_Nv=0060_0}', "");
Expect(1, 65821, '\p{^Is_Nv=0060_0}', "");
Expect(1, 65821, '\P{Is_Nv=0060_0}', "");
Expect(0, 65821, '\P{^Is_Nv=0060_0}', "");
Error('\p{Numeric_Value=:=	0026}');
Error('\P{Numeric_Value=:=	0026}');
Expect(1, 12886, '\p{Numeric_Value=+0026}', "");
Expect(0, 12886, '\p{^Numeric_Value=+0026}', "");
Expect(0, 12886, '\P{Numeric_Value=+0026}', "");
Expect(1, 12886, '\P{^Numeric_Value=+0026}', "");
Expect(0, 12885, '\p{Numeric_Value=+0026}', "");
Expect(1, 12885, '\p{^Numeric_Value=+0026}', "");
Expect(1, 12885, '\P{Numeric_Value=+0026}', "");
Expect(0, 12885, '\P{^Numeric_Value=+0026}', "");
Error('\p{Nv:__00	0:=0-0	0 0026}');
Error('\P{Nv:__00	0:=0-0	0 0026}');
Expect(1, 12886, '\p{Nv=+00_00_00_00_26}', "");
Expect(0, 12886, '\p{^Nv=+00_00_00_00_26}', "");
Expect(0, 12886, '\P{Nv=+00_00_00_00_26}', "");
Expect(1, 12886, '\P{^Nv=+00_00_00_00_26}', "");
Expect(0, 12885, '\p{Nv=+00_00_00_00_26}', "");
Expect(1, 12885, '\p{^Nv=+00_00_00_00_26}', "");
Expect(1, 12885, '\P{Nv=+00_00_00_00_26}', "");
Expect(0, 12885, '\P{^Nv=+00_00_00_00_26}', "");
Error('\p{Is_Numeric_Value=/a/ 0000000026}');
Error('\P{Is_Numeric_Value=/a/ 0000000026}');
Expect(1, 12886, '\p{Is_Numeric_Value=00_00_26}', "");
Expect(0, 12886, '\p{^Is_Numeric_Value=00_00_26}', "");
Expect(0, 12886, '\P{Is_Numeric_Value=00_00_26}', "");
Expect(1, 12886, '\P{^Is_Numeric_Value=00_00_26}', "");
Expect(0, 12885, '\p{Is_Numeric_Value=00_00_26}', "");
Expect(1, 12885, '\p{^Is_Numeric_Value=00_00_26}', "");
Expect(1, 12885, '\P{Is_Numeric_Value=00_00_26}', "");
Expect(0, 12885, '\P{^Is_Numeric_Value=00_00_26}', "");
Error('\p{Is_Nv=-000	000000-26/a/}');
Error('\P{Is_Nv=-000	000000-26/a/}');
Expect(1, 12886, '\p{Is_Nv=2_6}', "");
Expect(0, 12886, '\p{^Is_Nv=2_6}', "");
Expect(0, 12886, '\P{Is_Nv=2_6}', "");
Expect(1, 12886, '\P{^Is_Nv=2_6}', "");
Expect(0, 12885, '\p{Is_Nv=2_6}', "");
Expect(1, 12885, '\p{^Is_Nv=2_6}', "");
Expect(1, 12885, '\P{Is_Nv=2_6}', "");
Expect(0, 12885, '\P{^Is_Nv=2_6}', "");
Error('\p{Numeric_Value=_/a/0080}');
Error('\P{Numeric_Value=_/a/0080}');
Expect(1, 4985, '\p{Numeric_Value=08_0}', "");
Expect(0, 4985, '\p{^Numeric_Value=08_0}', "");
Expect(0, 4985, '\P{Numeric_Value=08_0}', "");
Expect(1, 4985, '\P{^Numeric_Value=08_0}', "");
Expect(0, 4984, '\p{Numeric_Value=08_0}', "");
Expect(1, 4984, '\p{^Numeric_Value=08_0}', "");
Expect(1, 4984, '\P{Numeric_Value=08_0}', "");
Expect(0, 4984, '\P{^Numeric_Value=08_0}', "");
Error('\p{Nv=0	0_0_0	0	0/a/080}');
Error('\P{Nv=0	0_0_0	0	0/a/080}');
Expect(1, 4985, '\p{Nv=08_0}', "");
Expect(0, 4985, '\p{^Nv=08_0}', "");
Expect(0, 4985, '\P{Nv=08_0}', "");
Expect(1, 4985, '\P{^Nv=08_0}', "");
Expect(0, 4984, '\p{Nv=08_0}', "");
Expect(1, 4984, '\p{^Nv=08_0}', "");
Expect(1, 4984, '\P{Nv=08_0}', "");
Expect(0, 4984, '\P{^Nv=08_0}', "");
Error('\p{Is_Numeric_Value=/a/-	000-000-80}');
Error('\P{Is_Numeric_Value=/a/-	000-000-80}');
Expect(1, 4985, '\p{Is_Numeric_Value=+8_0}', "");
Expect(0, 4985, '\p{^Is_Numeric_Value=+8_0}', "");
Expect(0, 4985, '\P{Is_Numeric_Value=+8_0}', "");
Expect(1, 4985, '\P{^Is_Numeric_Value=+8_0}', "");
Expect(0, 4984, '\p{Is_Numeric_Value=+8_0}', "");
Expect(1, 4984, '\p{^Is_Numeric_Value=+8_0}', "");
Expect(1, 4984, '\P{Is_Numeric_Value=+8_0}', "");
Expect(0, 4984, '\P{^Is_Numeric_Value=+8_0}', "");
Error('\p{Is_Nv=_0-0	80:=}');
Error('\P{Is_Nv=_0-0	80:=}');
Expect(1, 4985, '\p{Is_Nv=0_0_80}', "");
Expect(0, 4985, '\p{^Is_Nv=0_0_80}', "");
Expect(0, 4985, '\P{Is_Nv=0_0_80}', "");
Expect(1, 4985, '\P{^Is_Nv=0_0_80}', "");
Expect(0, 4984, '\p{Is_Nv=0_0_80}', "");
Expect(1, 4984, '\p{^Is_Nv=0_0_80}', "");
Expect(1, 4984, '\P{Is_Nv=0_0_80}', "");
Expect(0, 4984, '\P{^Is_Nv=0_0_80}', "");
Error('\p{Numeric_Value=	:=+0000000020-0}');
Error('\P{Numeric_Value=	:=+0000000020-0}');
Expect(1, 65818, '\p{Numeric_Value=0200}', "");
Expect(0, 65818, '\p{^Numeric_Value=0200}', "");
Expect(0, 65818, '\P{Numeric_Value=0200}', "");
Expect(1, 65818, '\P{^Numeric_Value=0200}', "");
Expect(0, 65817, '\p{Numeric_Value=0200}', "");
Expect(1, 65817, '\p{^Numeric_Value=0200}', "");
Expect(1, 65817, '\P{Numeric_Value=0200}', "");
Expect(0, 65817, '\P{^Numeric_Value=0200}', "");
Error('\p{Nv=- 0/a/2 00}');
Error('\P{Nv=- 0/a/2 00}');
Expect(1, 65818, '\p{Nv=00_00_00_00_02_00}', "");
Expect(0, 65818, '\p{^Nv=00_00_00_00_02_00}', "");
Expect(0, 65818, '\P{Nv=00_00_00_00_02_00}', "");
Expect(1, 65818, '\P{^Nv=00_00_00_00_02_00}', "");
Expect(0, 65817, '\p{Nv=00_00_00_00_02_00}', "");
Expect(1, 65817, '\p{^Nv=00_00_00_00_02_00}', "");
Expect(1, 65817, '\P{Nv=00_00_00_00_02_00}', "");
Expect(0, 65817, '\P{^Nv=00_00_00_00_02_00}', "");
Error('\p{Is_Numeric_Value=-0000200/a/}');
Error('\P{Is_Numeric_Value=-0000200/a/}');
Expect(1, 65818, '\p{Is_Numeric_Value=+0200}', "");
Expect(0, 65818, '\p{^Is_Numeric_Value=+0200}', "");
Expect(0, 65818, '\P{Is_Numeric_Value=+0200}', "");
Expect(1, 65818, '\P{^Is_Numeric_Value=+0200}', "");
Expect(0, 65817, '\p{Is_Numeric_Value=+0200}', "");
Expect(1, 65817, '\p{^Is_Numeric_Value=+0200}', "");
Expect(1, 65817, '\P{Is_Numeric_Value=+0200}', "");
Expect(0, 65817, '\P{^Is_Numeric_Value=+0200}', "");
Error('\p{Is_Nv=	/a/0200}');
Error('\P{Is_Nv=	/a/0200}');
Expect(1, 65818, '\p{Is_Nv=+20_0}', "");
Expect(0, 65818, '\p{^Is_Nv=+20_0}', "");
Expect(0, 65818, '\P{Is_Nv=+20_0}', "");
Expect(1, 65818, '\P{^Is_Nv=+20_0}', "");
Expect(0, 65817, '\p{Is_Nv=+20_0}', "");
Expect(1, 65817, '\p{^Is_Nv=+20_0}', "");
Expect(1, 65817, '\P{Is_Nv=+20_0}', "");
Expect(0, 65817, '\P{^Is_Nv=+20_0}', "");
Error('\p{Numeric_Value=-:=001_8}');
Error('\P{Numeric_Value=-:=001_8}');
Expect(1, 5871, '\p{Numeric_Value=0000018}', "");
Expect(0, 5871, '\p{^Numeric_Value=0000018}', "");
Expect(0, 5871, '\P{Numeric_Value=0000018}', "");
Expect(1, 5871, '\P{^Numeric_Value=0000018}', "");
Expect(0, 5870, '\p{Numeric_Value=0000018}', "");
Expect(1, 5870, '\p{^Numeric_Value=0000018}', "");
Expect(1, 5870, '\P{Numeric_Value=0000018}', "");
Expect(0, 5870, '\P{^Numeric_Value=0000018}', "");
Error('\p{Nv=	/a/01	8}');
Error('\P{Nv=	/a/01	8}');
Expect(1, 5871, '\p{Nv=+00_00_01_8}', "");
Expect(0, 5871, '\p{^Nv=+00_00_01_8}', "");
Expect(0, 5871, '\P{Nv=+00_00_01_8}', "");
Expect(1, 5871, '\P{^Nv=+00_00_01_8}', "");
Expect(0, 5870, '\p{Nv=+00_00_01_8}', "");
Expect(1, 5870, '\p{^Nv=+00_00_01_8}', "");
Expect(1, 5870, '\P{Nv=+00_00_01_8}', "");
Expect(0, 5870, '\P{^Nv=+00_00_01_8}', "");
Error('\p{Is_Numeric_Value=_0001:=8}');
Error('\P{Is_Numeric_Value=_0001:=8}');
Expect(1, 5871, '\p{Is_Numeric_Value: 00_00_00_018}', "");
Expect(0, 5871, '\p{^Is_Numeric_Value: 00_00_00_018}', "");
Expect(0, 5871, '\P{Is_Numeric_Value: 00_00_00_018}', "");
Expect(1, 5871, '\P{^Is_Numeric_Value: 00_00_00_018}', "");
Expect(0, 5870, '\p{Is_Numeric_Value: 00_00_00_018}', "");
Expect(1, 5870, '\p{^Is_Numeric_Value: 00_00_00_018}', "");
Expect(1, 5870, '\P{Is_Numeric_Value: 00_00_00_018}', "");
Expect(0, 5870, '\P{^Is_Numeric_Value: 00_00_00_018}', "");
Error('\p{Is_Nv=_/a/+000018}');
Error('\P{Is_Nv=_/a/+000018}');
Expect(1, 5871, '\p{Is_Nv=000001_8}', "");
Expect(0, 5871, '\p{^Is_Nv=000001_8}', "");
Expect(0, 5871, '\P{Is_Nv=000001_8}', "");
Expect(1, 5871, '\P{^Is_Nv=000001_8}', "");
Expect(0, 5870, '\p{Is_Nv=000001_8}', "");
Expect(1, 5870, '\p{^Is_Nv=000001_8}', "");
Expect(1, 5870, '\P{Is_Nv=000001_8}', "");
Expect(0, 5870, '\P{^Is_Nv=000001_8}', "");
Error('\p{Numeric_Value=	003/000008/a/}');
Error('\P{Numeric_Value=	003/000008/a/}');
Expect(1, 8540, '\p{Numeric_Value=0000000003/00008}', "");
Expect(0, 8540, '\p{^Numeric_Value=0000000003/00008}', "");
Expect(0, 8540, '\P{Numeric_Value=0000000003/00008}', "");
Expect(1, 8540, '\P{^Numeric_Value=0000000003/00008}', "");
Expect(0, 8539, '\p{Numeric_Value=0000000003/00008}', "");
Expect(1, 8539, '\p{^Numeric_Value=0000000003/00008}', "");
Expect(1, 8539, '\P{Numeric_Value=0000000003/00008}', "");
Expect(0, 8539, '\P{^Numeric_Value=0000000003/00008}', "");
Error('\p{Numeric_Value=0.38}');
Error('\P{Numeric_Value=0.38}');
Expect(1, 8540, '\p{Numeric_Value=0.375}', "");
Expect(0, 8540, '\p{^Numeric_Value=0.375}', "");
Expect(0, 8540, '\P{Numeric_Value=0.375}', "");
Expect(1, 8540, '\P{^Numeric_Value=0.375}', "");
Expect(0, 8539, '\p{Numeric_Value=0.375}', "");
Expect(1, 8539, '\p{^Numeric_Value=0.375}', "");
Expect(1, 8539, '\P{Numeric_Value=0.375}', "");
Expect(0, 8539, '\P{^Numeric_Value=0.375}', "");
Error('\p{Nv=/a/00003/8}');
Error('\P{Nv=/a/00003/8}');
Expect(1, 8540, '\p{Nv=0000003/000008}', "");
Expect(0, 8540, '\p{^Nv=0000003/000008}', "");
Expect(0, 8540, '\P{Nv=0000003/000008}', "");
Expect(1, 8540, '\P{^Nv=0000003/000008}', "");
Expect(0, 8539, '\p{Nv=0000003/000008}', "");
Expect(1, 8539, '\p{^Nv=0000003/000008}', "");
Expect(1, 8539, '\P{Nv=0000003/000008}', "");
Expect(0, 8539, '\P{^Nv=0000003/000008}', "");
Error('\p{Nv=0.38}');
Error('\P{Nv=0.38}');
Expect(1, 8540, '\p{Nv=0.375}', "");
Expect(0, 8540, '\p{^Nv=0.375}', "");
Expect(0, 8540, '\P{Nv=0.375}', "");
Expect(1, 8540, '\P{^Nv=0.375}', "");
Expect(0, 8539, '\p{Nv=0.375}', "");
Expect(1, 8539, '\p{^Nv=0.375}', "");
Expect(1, 8539, '\P{Nv=0.375}', "");
Expect(0, 8539, '\P{^Nv=0.375}', "");
Error('\p{Is_Numeric_Value=-	+3/8:=}');
Error('\P{Is_Numeric_Value=-	+3/8:=}');
Expect(1, 8540, '\p{Is_Numeric_Value=000000003/8}', "");
Expect(0, 8540, '\p{^Is_Numeric_Value=000000003/8}', "");
Expect(0, 8540, '\P{Is_Numeric_Value=000000003/8}', "");
Expect(1, 8540, '\P{^Is_Numeric_Value=000000003/8}', "");
Expect(0, 8539, '\p{Is_Numeric_Value=000000003/8}', "");
Expect(1, 8539, '\p{^Is_Numeric_Value=000000003/8}', "");
Expect(1, 8539, '\P{Is_Numeric_Value=000000003/8}', "");
Expect(0, 8539, '\P{^Is_Numeric_Value=000000003/8}', "");
Error('\p{Is_Numeric_Value=0.38}');
Error('\P{Is_Numeric_Value=0.38}');
Expect(1, 8540, '\p{Is_Numeric_Value=0.375}', "");
Expect(0, 8540, '\p{^Is_Numeric_Value=0.375}', "");
Expect(0, 8540, '\P{Is_Numeric_Value=0.375}', "");
Expect(1, 8540, '\P{^Is_Numeric_Value=0.375}', "");
Expect(0, 8539, '\p{Is_Numeric_Value=0.375}', "");
Expect(1, 8539, '\p{^Is_Numeric_Value=0.375}', "");
Expect(1, 8539, '\P{Is_Numeric_Value=0.375}', "");
Expect(0, 8539, '\P{^Is_Numeric_Value=0.375}', "");
Error('\p{Is_Nv=_/a/3/08}');
Error('\P{Is_Nv=_/a/3/08}');
Expect(1, 8540, '\p{Is_Nv=00003/000008}', "");
Expect(0, 8540, '\p{^Is_Nv=00003/000008}', "");
Expect(0, 8540, '\P{Is_Nv=00003/000008}', "");
Expect(1, 8540, '\P{^Is_Nv=00003/000008}', "");
Expect(0, 8539, '\p{Is_Nv=00003/000008}', "");
Expect(1, 8539, '\p{^Is_Nv=00003/000008}', "");
Expect(1, 8539, '\P{Is_Nv=00003/000008}', "");
Expect(0, 8539, '\P{^Is_Nv=00003/000008}', "");
Error('\p{Is_Nv=0.38}');
Error('\P{Is_Nv=0.38}');
Expect(1, 8540, '\p{Is_Nv=0.375}', "");
Expect(0, 8540, '\p{^Is_Nv=0.375}', "");
Expect(0, 8540, '\P{Is_Nv=0.375}', "");
Expect(1, 8540, '\P{^Is_Nv=0.375}', "");
Expect(0, 8539, '\p{Is_Nv=0.375}', "");
Expect(1, 8539, '\p{^Is_Nv=0.375}', "");
Expect(1, 8539, '\P{Is_Nv=0.375}', "");
Expect(0, 8539, '\P{^Is_Nv=0.375}', "");
Error('\p{Numeric_Value=	0000000500:=}');
Error('\P{Numeric_Value=	0000000500:=}');
Expect(1, 8558, '\p{Numeric_Value=00_00_00_500}', "");
Expect(0, 8558, '\p{^Numeric_Value=00_00_00_500}', "");
Expect(0, 8558, '\P{Numeric_Value=00_00_00_500}', "");
Expect(1, 8558, '\P{^Numeric_Value=00_00_00_500}', "");
Expect(0, 8557, '\p{Numeric_Value=00_00_00_500}', "");
Expect(1, 8557, '\p{^Numeric_Value=00_00_00_500}', "");
Expect(1, 8557, '\P{Numeric_Value=00_00_00_500}', "");
Expect(0, 8557, '\P{^Numeric_Value=00_00_00_500}', "");
Error('\p{Nv=:= 0000000050_0}');
Error('\P{Nv=:= 0000000050_0}');
Expect(1, 8558, '\p{Nv:   +0_5_00}', "");
Expect(0, 8558, '\p{^Nv:   +0_5_00}', "");
Expect(0, 8558, '\P{Nv:   +0_5_00}', "");
Expect(1, 8558, '\P{^Nv:   +0_5_00}', "");
Expect(0, 8557, '\p{Nv:   +0_5_00}', "");
Expect(1, 8557, '\p{^Nv:   +0_5_00}', "");
Expect(1, 8557, '\P{Nv:   +0_5_00}', "");
Expect(0, 8557, '\P{^Nv:   +0_5_00}', "");
Error('\p{Is_Numeric_Value:   /a/- 00000050-0}');
Error('\P{Is_Numeric_Value:   /a/- 00000050-0}');
Expect(1, 8558, '\p{Is_Numeric_Value=00_00_00_00_50_0}', "");
Expect(0, 8558, '\p{^Is_Numeric_Value=00_00_00_00_50_0}', "");
Expect(0, 8558, '\P{Is_Numeric_Value=00_00_00_00_50_0}', "");
Expect(1, 8558, '\P{^Is_Numeric_Value=00_00_00_00_50_0}', "");
Expect(0, 8557, '\p{Is_Numeric_Value=00_00_00_00_50_0}', "");
Expect(1, 8557, '\p{^Is_Numeric_Value=00_00_00_00_50_0}', "");
Expect(1, 8557, '\P{Is_Numeric_Value=00_00_00_00_50_0}', "");
Expect(0, 8557, '\P{^Is_Numeric_Value=00_00_00_00_50_0}', "");
Error('\p{Is_Nv=	500:=}');
Error('\P{Is_Nv=	500:=}');
Expect(1, 8558, '\p{Is_Nv=00500}', "");
Expect(0, 8558, '\p{^Is_Nv=00500}', "");
Expect(0, 8558, '\P{Is_Nv=00500}', "");
Expect(1, 8558, '\P{^Is_Nv=00500}', "");
Expect(0, 8557, '\p{Is_Nv=00500}', "");
Expect(1, 8557, '\p{^Is_Nv=00500}', "");
Expect(1, 8557, '\P{Is_Nv=00500}', "");
Expect(0, 8557, '\P{^Is_Nv=00500}', "");
Error('\p{Numeric_Value=_001 6:=}');
Error('\P{Numeric_Value=_001 6:=}');
Expect(1, 2553, '\p{Numeric_Value=00000016}', "");
Expect(0, 2553, '\p{^Numeric_Value=00000016}', "");
Expect(0, 2553, '\P{Numeric_Value=00000016}', "");
Expect(1, 2553, '\P{^Numeric_Value=00000016}', "");
Expect(0, 2552, '\p{Numeric_Value=00000016}', "");
Expect(1, 2552, '\p{^Numeric_Value=00000016}', "");
Expect(1, 2552, '\P{Numeric_Value=00000016}', "");
Expect(0, 2552, '\P{^Numeric_Value=00000016}', "");
Error('\p{Nv=:=-_00000016}');
Error('\P{Nv=:=-_00000016}');
Expect(1, 2553, '\p{Nv=+0_0_0_0_0_0016}', "");
Expect(0, 2553, '\p{^Nv=+0_0_0_0_0_0016}', "");
Expect(0, 2553, '\P{Nv=+0_0_0_0_0_0016}', "");
Expect(1, 2553, '\P{^Nv=+0_0_0_0_0_0016}', "");
Expect(0, 2552, '\p{Nv=+0_0_0_0_0_0016}', "");
Expect(1, 2552, '\p{^Nv=+0_0_0_0_0_0016}', "");
Expect(1, 2552, '\P{Nv=+0_0_0_0_0_0016}', "");
Expect(0, 2552, '\P{^Nv=+0_0_0_0_0_0016}', "");
Error('\p{Is_Numeric_Value=-	00000_00001 6:=}');
Error('\P{Is_Numeric_Value=-	00000_00001 6:=}');
Expect(1, 2553, '\p{Is_Numeric_Value=1_6}', "");
Expect(0, 2553, '\p{^Is_Numeric_Value=1_6}', "");
Expect(0, 2553, '\P{Is_Numeric_Value=1_6}', "");
Expect(1, 2553, '\P{^Is_Numeric_Value=1_6}', "");
Expect(0, 2552, '\p{Is_Numeric_Value=1_6}', "");
Expect(1, 2552, '\p{^Is_Numeric_Value=1_6}', "");
Expect(1, 2552, '\P{Is_Numeric_Value=1_6}', "");
Expect(0, 2552, '\P{^Is_Numeric_Value=1_6}', "");
Error('\p{Is_Nv=:=_	00000016}');
Error('\P{Is_Nv=:=_	00000016}');
Expect(1, 2553, '\p{Is_Nv=+00016}', "");
Expect(0, 2553, '\p{^Is_Nv=+00016}', "");
Expect(0, 2553, '\P{Is_Nv=+00016}', "");
Expect(1, 2553, '\P{^Is_Nv=+00016}', "");
Expect(0, 2552, '\p{Is_Nv=+00016}', "");
Expect(1, 2552, '\p{^Is_Nv=+00016}', "");
Expect(1, 2552, '\P{Is_Nv=+00016}', "");
Expect(0, 2552, '\P{^Is_Nv=+00016}', "");
Error('\p{Numeric_Value: /a/0_0	00 0044}');
Error('\P{Numeric_Value: /a/0_0	00 0044}');
Expect(1, 12985, '\p{Numeric_Value=44}', "");
Expect(0, 12985, '\p{^Numeric_Value=44}', "");
Expect(0, 12985, '\P{Numeric_Value=44}', "");
Expect(1, 12985, '\P{^Numeric_Value=44}', "");
Expect(0, 12984, '\p{Numeric_Value=44}', "");
Expect(1, 12984, '\p{^Numeric_Value=44}', "");
Expect(1, 12984, '\P{Numeric_Value=44}', "");
Expect(0, 12984, '\P{^Numeric_Value=44}', "");
Error('\p{Nv= _+00000044/a/}');
Error('\P{Nv= _+00000044/a/}');
Expect(1, 12985, '\p{Nv=0044}', "");
Expect(0, 12985, '\p{^Nv=0044}', "");
Expect(0, 12985, '\P{Nv=0044}', "");
Expect(1, 12985, '\P{^Nv=0044}', "");
Expect(0, 12984, '\p{Nv=0044}', "");
Expect(1, 12984, '\p{^Nv=0044}', "");
Expect(1, 12984, '\P{Nv=0044}', "");
Expect(0, 12984, '\P{^Nv=0044}', "");
Error('\p{Is_Numeric_Value=-004_4/a/}');
Error('\P{Is_Numeric_Value=-004_4/a/}');
Expect(1, 12985, '\p{Is_Numeric_Value=000_000_000_44}', "");
Expect(0, 12985, '\p{^Is_Numeric_Value=000_000_000_44}', "");
Expect(0, 12985, '\P{Is_Numeric_Value=000_000_000_44}', "");
Expect(1, 12985, '\P{^Is_Numeric_Value=000_000_000_44}', "");
Expect(0, 12984, '\p{Is_Numeric_Value=000_000_000_44}', "");
Expect(1, 12984, '\p{^Is_Numeric_Value=000_000_000_44}', "");
Expect(1, 12984, '\P{Is_Numeric_Value=000_000_000_44}', "");
Expect(0, 12984, '\P{^Is_Numeric_Value=000_000_000_44}', "");
Error('\p{Is_Nv= 	+4 4:=}');
Error('\P{Is_Nv= 	+4 4:=}');
Expect(1, 12985, '\p{Is_Nv:+00_04_4}', "");
Expect(0, 12985, '\p{^Is_Nv:+00_04_4}', "");
Expect(0, 12985, '\P{Is_Nv:+00_04_4}', "");
Expect(1, 12985, '\P{^Is_Nv:+00_04_4}', "");
Expect(0, 12984, '\p{Is_Nv:+00_04_4}', "");
Expect(1, 12984, '\p{^Is_Nv:+00_04_4}', "");
Expect(1, 12984, '\P{Is_Nv:+00_04_4}', "");
Expect(0, 12984, '\P{^Is_Nv:+00_04_4}', "");
Error('\p{Numeric_Value=0	0/a/0_00-0 00027}');
Error('\P{Numeric_Value=0	0/a/0_00-0 00027}');
Expect(1, 12887, '\p{Numeric_Value=+27}', "");
Expect(0, 12887, '\p{^Numeric_Value=+27}', "");
Expect(0, 12887, '\P{Numeric_Value=+27}', "");
Expect(1, 12887, '\P{^Numeric_Value=+27}', "");
Expect(0, 12886, '\p{Numeric_Value=+27}', "");
Expect(1, 12886, '\p{^Numeric_Value=+27}', "");
Expect(1, 12886, '\P{Numeric_Value=+27}', "");
Expect(0, 12886, '\P{^Numeric_Value=+27}', "");
Error('\p{Nv=-_+000000027:=}');
Error('\P{Nv=-_+000000027:=}');
Expect(1, 12887, '\p{Nv=0000_0002_7}', "");
Expect(0, 12887, '\p{^Nv=0000_0002_7}', "");
Expect(0, 12887, '\P{Nv=0000_0002_7}', "");
Expect(1, 12887, '\P{^Nv=0000_0002_7}', "");
Expect(0, 12886, '\p{Nv=0000_0002_7}', "");
Expect(1, 12886, '\p{^Nv=0000_0002_7}', "");
Expect(1, 12886, '\P{Nv=0000_0002_7}', "");
Expect(0, 12886, '\P{^Nv=0000_0002_7}', "");
Error('\p{Is_Numeric_Value:		00000000027:=}');
Error('\P{Is_Numeric_Value:		00000000027:=}');
Expect(1, 12887, '\p{Is_Numeric_Value=27}', "");
Expect(0, 12887, '\p{^Is_Numeric_Value=27}', "");
Expect(0, 12887, '\P{Is_Numeric_Value=27}', "");
Expect(1, 12887, '\P{^Is_Numeric_Value=27}', "");
Expect(0, 12886, '\p{Is_Numeric_Value=27}', "");
Expect(1, 12886, '\p{^Is_Numeric_Value=27}', "");
Expect(1, 12886, '\P{Is_Numeric_Value=27}', "");
Expect(0, 12886, '\P{^Is_Numeric_Value=27}', "");
Error('\p{Is_Nv=:=00 02-7}');
Error('\P{Is_Nv=:=00 02-7}');
Expect(1, 12887, '\p{Is_Nv=0_0_0_0_0_0_00027}', "");
Expect(0, 12887, '\p{^Is_Nv=0_0_0_0_0_0_00027}', "");
Expect(0, 12887, '\P{Is_Nv=0_0_0_0_0_0_00027}', "");
Expect(1, 12887, '\P{^Is_Nv=0_0_0_0_0_0_00027}', "");
Expect(0, 12886, '\p{Is_Nv=0_0_0_0_0_0_00027}', "");
Expect(1, 12886, '\p{^Is_Nv=0_0_0_0_0_0_00027}', "");
Expect(1, 12886, '\P{Is_Nv=0_0_0_0_0_0_00027}', "");
Expect(0, 12886, '\P{^Is_Nv=0_0_0_0_0_0_00027}', "");
Error('\p{Numeric_Value=-/a/+100000000}');
Error('\P{Numeric_Value=-/a/+100000000}');
Expect(1, 20159, '\p{Numeric_Value=000000100000000}', "");
Expect(0, 20159, '\p{^Numeric_Value=000000100000000}', "");
Expect(0, 20159, '\P{Numeric_Value=000000100000000}', "");
Expect(1, 20159, '\P{^Numeric_Value=000000100000000}', "");
Expect(0, 20158, '\p{Numeric_Value=000000100000000}', "");
Expect(1, 20158, '\p{^Numeric_Value=000000100000000}', "");
Expect(1, 20158, '\P{Numeric_Value=000000100000000}', "");
Expect(0, 20158, '\P{^Numeric_Value=000000100000000}', "");
Error('\p{Nv=-/a/10-00-00000}');
Error('\P{Nv=-/a/10-00-00000}');
Expect(1, 20159, '\p{Nv=00000100000000}', "");
Expect(0, 20159, '\p{^Nv=00000100000000}', "");
Expect(0, 20159, '\P{Nv=00000100000000}', "");
Expect(1, 20159, '\P{^Nv=00000100000000}', "");
Expect(0, 20158, '\p{Nv=00000100000000}', "");
Expect(1, 20158, '\p{^Nv=00000100000000}', "");
Expect(1, 20158, '\P{Nv=00000100000000}', "");
Expect(0, 20158, '\P{^Nv=00000100000000}', "");
Error('\p{Is_Numeric_Value=-:=+00000100000000}');
Error('\P{Is_Numeric_Value=-:=+00000100000000}');
Expect(1, 20159, '\p{Is_Numeric_Value=0000100000000}', "");
Expect(0, 20159, '\p{^Is_Numeric_Value=0000100000000}', "");
Expect(0, 20159, '\P{Is_Numeric_Value=0000100000000}', "");
Expect(1, 20159, '\P{^Is_Numeric_Value=0000100000000}', "");
Expect(0, 20158, '\p{Is_Numeric_Value=0000100000000}', "");
Expect(1, 20158, '\p{^Is_Numeric_Value=0000100000000}', "");
Expect(1, 20158, '\P{Is_Numeric_Value=0000100000000}', "");
Expect(0, 20158, '\P{^Is_Numeric_Value=0000100000000}', "");
Error('\p{Is_Nv= 0000100000000/a/}');
Error('\P{Is_Nv= 0000100000000/a/}');
Expect(1, 20159, '\p{Is_Nv=+00100000000}', "");
Expect(0, 20159, '\p{^Is_Nv=+00100000000}', "");
Expect(0, 20159, '\P{Is_Nv=+00100000000}', "");
Expect(1, 20159, '\P{^Is_Nv=+00100000000}', "");
Expect(0, 20158, '\p{Is_Nv=+00100000000}', "");
Expect(1, 20158, '\p{^Is_Nv=+00100000000}', "");
Expect(1, 20158, '\P{Is_Nv=+00100000000}', "");
Expect(0, 20158, '\P{^Is_Nv=+00100000000}', "");
Error('\p{Numeric_Value=:=-1/00010}');
Error('\P{Numeric_Value=:=-1/00010}');
Expect(1, 8530, '\p{Numeric_Value=1/0000000010}', "");
Expect(0, 8530, '\p{^Numeric_Value=1/0000000010}', "");
Expect(0, 8530, '\P{Numeric_Value=1/0000000010}', "");
Expect(1, 8530, '\P{^Numeric_Value=1/0000000010}', "");
Expect(0, 8529, '\p{Numeric_Value=1/0000000010}', "");
Expect(1, 8529, '\p{^Numeric_Value=1/0000000010}', "");
Expect(1, 8529, '\P{Numeric_Value=1/0000000010}', "");
Expect(0, 8529, '\P{^Numeric_Value=1/0000000010}', "");
Expect(1, 8530, '\p{Numeric_Value=0.100}', "");
Expect(0, 8530, '\p{^Numeric_Value=0.100}', "");
Expect(0, 8530, '\P{Numeric_Value=0.100}', "");
Expect(1, 8530, '\P{^Numeric_Value=0.100}', "");
Expect(0, 8529, '\p{Numeric_Value=0.100}', "");
Expect(1, 8529, '\p{^Numeric_Value=0.100}', "");
Expect(1, 8529, '\P{Numeric_Value=0.100}', "");
Expect(0, 8529, '\P{^Numeric_Value=0.100}', "");
Error('\p{Nv=_:=00000001/010}');
Error('\P{Nv=_:=00000001/010}');
Expect(1, 8530, '\p{Nv=0000001/000010}', "");
Expect(0, 8530, '\p{^Nv=0000001/000010}', "");
Expect(0, 8530, '\P{Nv=0000001/000010}', "");
Expect(1, 8530, '\P{^Nv=0000001/000010}', "");
Expect(0, 8529, '\p{Nv=0000001/000010}', "");
Expect(1, 8529, '\p{^Nv=0000001/000010}', "");
Expect(1, 8529, '\P{Nv=0000001/000010}', "");
Expect(0, 8529, '\P{^Nv=0000001/000010}', "");
Expect(1, 8530, '\p{Nv=0.100}', "");
Expect(0, 8530, '\p{^Nv=0.100}', "");
Expect(0, 8530, '\P{Nv=0.100}', "");
Expect(1, 8530, '\P{^Nv=0.100}', "");
Expect(0, 8529, '\p{Nv=0.100}', "");
Expect(1, 8529, '\p{^Nv=0.100}', "");
Expect(1, 8529, '\P{Nv=0.100}', "");
Expect(0, 8529, '\P{^Nv=0.100}', "");
Error('\p{Is_Numeric_Value=/a/_0001/0000000010}');
Error('\P{Is_Numeric_Value=/a/_0001/0000000010}');
Expect(1, 8530, '\p{Is_Numeric_Value:	01/0010}', "");
Expect(0, 8530, '\p{^Is_Numeric_Value:	01/0010}', "");
Expect(0, 8530, '\P{Is_Numeric_Value:	01/0010}', "");
Expect(1, 8530, '\P{^Is_Numeric_Value:	01/0010}', "");
Expect(0, 8529, '\p{Is_Numeric_Value:	01/0010}', "");
Expect(1, 8529, '\p{^Is_Numeric_Value:	01/0010}', "");
Expect(1, 8529, '\P{Is_Numeric_Value:	01/0010}', "");
Expect(0, 8529, '\P{^Is_Numeric_Value:	01/0010}', "");
Expect(1, 8530, '\p{Is_Numeric_Value=0.100}', "");
Expect(0, 8530, '\p{^Is_Numeric_Value=0.100}', "");
Expect(0, 8530, '\P{Is_Numeric_Value=0.100}', "");
Expect(1, 8530, '\P{^Is_Numeric_Value=0.100}', "");
Expect(0, 8529, '\p{Is_Numeric_Value=0.100}', "");
Expect(1, 8529, '\p{^Is_Numeric_Value=0.100}', "");
Expect(1, 8529, '\P{Is_Numeric_Value=0.100}', "");
Expect(0, 8529, '\P{^Is_Numeric_Value=0.100}', "");
Error('\p{Is_Nv=:=	_+01/000000010}');
Error('\P{Is_Nv=:=	_+01/000000010}');
Expect(1, 8530, '\p{Is_Nv=0000000001/00010}', "");
Expect(0, 8530, '\p{^Is_Nv=0000000001/00010}', "");
Expect(0, 8530, '\P{Is_Nv=0000000001/00010}', "");
Expect(1, 8530, '\P{^Is_Nv=0000000001/00010}', "");
Expect(0, 8529, '\p{Is_Nv=0000000001/00010}', "");
Expect(1, 8529, '\p{^Is_Nv=0000000001/00010}', "");
Expect(1, 8529, '\P{Is_Nv=0000000001/00010}', "");
Expect(0, 8529, '\P{^Is_Nv=0000000001/00010}', "");
Expect(1, 8530, '\p{Is_Nv=0.100}', "");
Expect(0, 8530, '\p{^Is_Nv=0.100}', "");
Expect(0, 8530, '\P{Is_Nv=0.100}', "");
Expect(1, 8530, '\P{^Is_Nv=0.100}', "");
Expect(0, 8529, '\p{Is_Nv=0.100}', "");
Expect(1, 8529, '\p{^Is_Nv=0.100}', "");
Expect(1, 8529, '\P{Is_Nv=0.100}', "");
Expect(0, 8529, '\P{^Is_Nv=0.100}', "");
Error('\p{Numeric_Value=:=_000400}');
Error('\P{Numeric_Value=:=_000400}');
Expect(1, 65820, '\p{Numeric_Value=00_04_00}', "");
Expect(0, 65820, '\p{^Numeric_Value=00_04_00}', "");
Expect(0, 65820, '\P{Numeric_Value=00_04_00}', "");
Expect(1, 65820, '\P{^Numeric_Value=00_04_00}', "");
Expect(0, 65819, '\p{Numeric_Value=00_04_00}', "");
Expect(1, 65819, '\p{^Numeric_Value=00_04_00}', "");
Expect(1, 65819, '\P{Numeric_Value=00_04_00}', "");
Expect(0, 65819, '\P{^Numeric_Value=00_04_00}', "");
Error('\p{Nv=_:=00400}');
Error('\P{Nv=_:=00400}');
Expect(1, 65820, '\p{Nv=00000000400}', "");
Expect(0, 65820, '\p{^Nv=00000000400}', "");
Expect(0, 65820, '\P{Nv=00000000400}', "");
Expect(1, 65820, '\P{^Nv=00000000400}', "");
Expect(0, 65819, '\p{Nv=00000000400}', "");
Expect(1, 65819, '\p{^Nv=00000000400}', "");
Expect(1, 65819, '\P{Nv=00000000400}', "");
Expect(0, 65819, '\P{^Nv=00000000400}', "");
Error('\p{Is_Numeric_Value=/a/_000400}');
Error('\P{Is_Numeric_Value=/a/_000400}');
Expect(1, 65820, '\p{Is_Numeric_Value=0000000400}', "");
Expect(0, 65820, '\p{^Is_Numeric_Value=0000000400}', "");
Expect(0, 65820, '\P{Is_Numeric_Value=0000000400}', "");
Expect(1, 65820, '\P{^Is_Numeric_Value=0000000400}', "");
Expect(0, 65819, '\p{Is_Numeric_Value=0000000400}', "");
Expect(1, 65819, '\p{^Is_Numeric_Value=0000000400}', "");
Expect(1, 65819, '\P{Is_Numeric_Value=0000000400}', "");
Expect(0, 65819, '\P{^Is_Numeric_Value=0000000400}', "");
Error('\p{Is_Nv=/a/	 00000040-0}');
Error('\P{Is_Nv=/a/	 00000040-0}');
Expect(1, 65820, '\p{Is_Nv=+0040_0}', "");
Expect(0, 65820, '\p{^Is_Nv=+0040_0}', "");
Expect(0, 65820, '\P{Is_Nv=+0040_0}', "");
Expect(1, 65820, '\P{^Is_Nv=+0040_0}', "");
Expect(0, 65819, '\p{Is_Nv=+0040_0}', "");
Expect(1, 65819, '\p{^Is_Nv=+0040_0}', "");
Expect(1, 65819, '\P{Is_Nv=+0040_0}', "");
Expect(0, 65819, '\P{^Is_Nv=+0040_0}', "");
Error('\p{Numeric_Value=:=-	05/008}');
Error('\P{Numeric_Value=:=-	05/008}');
Expect(1, 8541, '\p{Numeric_Value=+0005/08}', "");
Expect(0, 8541, '\p{^Numeric_Value=+0005/08}', "");
Expect(0, 8541, '\P{Numeric_Value=+0005/08}', "");
Expect(1, 8541, '\P{^Numeric_Value=+0005/08}', "");
Expect(0, 8540, '\p{Numeric_Value=+0005/08}', "");
Expect(1, 8540, '\p{^Numeric_Value=+0005/08}', "");
Expect(1, 8540, '\P{Numeric_Value=+0005/08}', "");
Expect(0, 8540, '\P{^Numeric_Value=+0005/08}', "");
Error('\p{Numeric_Value=0.63}');
Error('\P{Numeric_Value=0.63}');
Expect(1, 8541, '\p{Numeric_Value=0.625}', "");
Expect(0, 8541, '\p{^Numeric_Value=0.625}', "");
Expect(0, 8541, '\P{Numeric_Value=0.625}', "");
Expect(1, 8541, '\P{^Numeric_Value=0.625}', "");
Expect(0, 8540, '\p{Numeric_Value=0.625}', "");
Expect(1, 8540, '\p{^Numeric_Value=0.625}', "");
Expect(1, 8540, '\P{Numeric_Value=0.625}', "");
Expect(0, 8540, '\P{^Numeric_Value=0.625}', "");
Error('\p{Nv=/a/	+00000005/000000008}');
Error('\P{Nv=/a/	+00000005/000000008}');
Expect(1, 8541, '\p{Nv=+05/000008}', "");
Expect(0, 8541, '\p{^Nv=+05/000008}', "");
Expect(0, 8541, '\P{Nv=+05/000008}', "");
Expect(1, 8541, '\P{^Nv=+05/000008}', "");
Expect(0, 8540, '\p{Nv=+05/000008}', "");
Expect(1, 8540, '\p{^Nv=+05/000008}', "");
Expect(1, 8540, '\P{Nv=+05/000008}', "");
Expect(0, 8540, '\P{^Nv=+05/000008}', "");
Error('\p{Nv=0.63}');
Error('\P{Nv=0.63}');
Expect(1, 8541, '\p{Nv: 0.625}', "");
Expect(0, 8541, '\p{^Nv: 0.625}', "");
Expect(0, 8541, '\P{Nv: 0.625}', "");
Expect(1, 8541, '\P{^Nv: 0.625}', "");
Expect(0, 8540, '\p{Nv: 0.625}', "");
Expect(1, 8540, '\p{^Nv: 0.625}', "");
Expect(1, 8540, '\P{Nv: 0.625}', "");
Expect(0, 8540, '\P{^Nv: 0.625}', "");
Error('\p{Is_Numeric_Value=	+000000005/000008:=}');
Error('\P{Is_Numeric_Value=	+000000005/000008:=}');
Expect(1, 8541, '\p{Is_Numeric_Value=+000000005/00008}', "");
Expect(0, 8541, '\p{^Is_Numeric_Value=+000000005/00008}', "");
Expect(0, 8541, '\P{Is_Numeric_Value=+000000005/00008}', "");
Expect(1, 8541, '\P{^Is_Numeric_Value=+000000005/00008}', "");
Expect(0, 8540, '\p{Is_Numeric_Value=+000000005/00008}', "");
Expect(1, 8540, '\p{^Is_Numeric_Value=+000000005/00008}', "");
Expect(1, 8540, '\P{Is_Numeric_Value=+000000005/00008}', "");
Expect(0, 8540, '\P{^Is_Numeric_Value=+000000005/00008}', "");
Error('\p{Is_Numeric_Value=0.63}');
Error('\P{Is_Numeric_Value=0.63}');
Expect(1, 8541, '\p{Is_Numeric_Value: 0.625}', "");
Expect(0, 8541, '\p{^Is_Numeric_Value: 0.625}', "");
Expect(0, 8541, '\P{Is_Numeric_Value: 0.625}', "");
Expect(1, 8541, '\P{^Is_Numeric_Value: 0.625}', "");
Expect(0, 8540, '\p{Is_Numeric_Value: 0.625}', "");
Expect(1, 8540, '\p{^Is_Numeric_Value: 0.625}', "");
Expect(1, 8540, '\P{Is_Numeric_Value: 0.625}', "");
Expect(0, 8540, '\P{^Is_Numeric_Value: 0.625}', "");
Error('\p{Is_Nv:    	+05/08:=}');
Error('\P{Is_Nv:    	+05/08:=}');
Expect(1, 8541, '\p{Is_Nv=0005/0000000008}', "");
Expect(0, 8541, '\p{^Is_Nv=0005/0000000008}', "");
Expect(0, 8541, '\P{Is_Nv=0005/0000000008}', "");
Expect(1, 8541, '\P{^Is_Nv=0005/0000000008}', "");
Expect(0, 8540, '\p{Is_Nv=0005/0000000008}', "");
Expect(1, 8540, '\p{^Is_Nv=0005/0000000008}', "");
Expect(1, 8540, '\P{Is_Nv=0005/0000000008}', "");
Expect(0, 8540, '\P{^Is_Nv=0005/0000000008}', "");
Error('\p{Is_Nv=0.63}');
Error('\P{Is_Nv=0.63}');
Expect(1, 8541, '\p{Is_Nv=0.625}', "");
Expect(0, 8541, '\p{^Is_Nv=0.625}', "");
Expect(0, 8541, '\P{Is_Nv=0.625}', "");
Expect(1, 8541, '\P{^Is_Nv=0.625}', "");
Expect(0, 8540, '\p{Is_Nv=0.625}', "");
Expect(1, 8540, '\p{^Is_Nv=0.625}', "");
Expect(1, 8540, '\P{Is_Nv=0.625}', "");
Expect(0, 8540, '\P{^Is_Nv=0.625}', "");
Error('\p{Numeric_Value=/a/_	020}');
Error('\P{Numeric_Value=/a/_	020}');
Expect(1, 4979, '\p{Numeric_Value=00000020}', "");
Expect(0, 4979, '\p{^Numeric_Value=00000020}', "");
Expect(0, 4979, '\P{Numeric_Value=00000020}', "");
Expect(1, 4979, '\P{^Numeric_Value=00000020}', "");
Expect(0, 4978, '\p{Numeric_Value=00000020}', "");
Expect(1, 4978, '\p{^Numeric_Value=00000020}', "");
Expect(1, 4978, '\P{Numeric_Value=00000020}', "");
Expect(0, 4978, '\P{^Numeric_Value=00000020}', "");
Error('\p{Nv=+00000002-0/a/}');
Error('\P{Nv=+00000002-0/a/}');
Expect(1, 4979, '\p{Nv=000_002_0}', "");
Expect(0, 4979, '\p{^Nv=000_002_0}', "");
Expect(0, 4979, '\P{Nv=000_002_0}', "");
Expect(1, 4979, '\P{^Nv=000_002_0}', "");
Expect(0, 4978, '\p{Nv=000_002_0}', "");
Expect(1, 4978, '\p{^Nv=000_002_0}', "");
Expect(1, 4978, '\P{Nv=000_002_0}', "");
Expect(0, 4978, '\P{^Nv=000_002_0}', "");
Error('\p{Is_Numeric_Value= /a/00020}');
Error('\P{Is_Numeric_Value= /a/00020}');
Expect(1, 4979, '\p{Is_Numeric_Value=000020}', "");
Expect(0, 4979, '\p{^Is_Numeric_Value=000020}', "");
Expect(0, 4979, '\P{Is_Numeric_Value=000020}', "");
Expect(1, 4979, '\P{^Is_Numeric_Value=000020}', "");
Expect(0, 4978, '\p{Is_Numeric_Value=000020}', "");
Expect(1, 4978, '\p{^Is_Numeric_Value=000020}', "");
Expect(1, 4978, '\P{Is_Numeric_Value=000020}', "");
Expect(0, 4978, '\P{^Is_Numeric_Value=000020}', "");
Error('\p{Is_Nv=-:=0_0	00_00 0020}');
Error('\P{Is_Nv=-:=0_0	00_00 0020}');
Expect(1, 4979, '\p{Is_Nv:   +02_0}', "");
Expect(0, 4979, '\p{^Is_Nv:   +02_0}', "");
Expect(0, 4979, '\P{Is_Nv:   +02_0}', "");
Expect(1, 4979, '\P{^Is_Nv:   +02_0}', "");
Expect(0, 4978, '\p{Is_Nv:   +02_0}', "");
Expect(1, 4978, '\p{^Is_Nv:   +02_0}', "");
Expect(1, 4978, '\P{Is_Nv:   +02_0}', "");
Expect(0, 4978, '\P{^Is_Nv:   +02_0}', "");
Error('\p{Numeric_Value=_-+0 3 0:=000}');
Error('\P{Numeric_Value=_-+0 3 0:=000}');
Expect(1, 65837, '\p{Numeric_Value=+000_000_300_00}', "");
Expect(0, 65837, '\p{^Numeric_Value=+000_000_300_00}', "");
Expect(0, 65837, '\P{Numeric_Value=+000_000_300_00}', "");
Expect(1, 65837, '\P{^Numeric_Value=+000_000_300_00}', "");
Expect(0, 65836, '\p{Numeric_Value=+000_000_300_00}', "");
Expect(1, 65836, '\p{^Numeric_Value=+000_000_300_00}', "");
Expect(1, 65836, '\P{Numeric_Value=+000_000_300_00}', "");
Expect(0, 65836, '\P{^Numeric_Value=+000_000_300_00}', "");
Error('\p{Nv=_:=0 000	03	0	0 00}');
Error('\P{Nv=_:=0 000	03	0	0 00}');
Expect(1, 65837, '\p{Nv=0_0_0_0_3_0_000}', "");
Expect(0, 65837, '\p{^Nv=0_0_0_0_3_0_000}', "");
Expect(0, 65837, '\P{Nv=0_0_0_0_3_0_000}', "");
Expect(1, 65837, '\P{^Nv=0_0_0_0_3_0_000}', "");
Expect(0, 65836, '\p{Nv=0_0_0_0_3_0_000}', "");
Expect(1, 65836, '\p{^Nv=0_0_0_0_3_0_000}', "");
Expect(1, 65836, '\P{Nv=0_0_0_0_3_0_000}', "");
Expect(0, 65836, '\P{^Nv=0_0_0_0_3_0_000}', "");
Error('\p{Is_Numeric_Value=_ +00000030000:=}');
Error('\P{Is_Numeric_Value=_ +00000030000:=}');
Expect(1, 65837, '\p{Is_Numeric_Value=+030000}', "");
Expect(0, 65837, '\p{^Is_Numeric_Value=+030000}', "");
Expect(0, 65837, '\P{Is_Numeric_Value=+030000}', "");
Expect(1, 65837, '\P{^Is_Numeric_Value=+030000}', "");
Expect(0, 65836, '\p{Is_Numeric_Value=+030000}', "");
Expect(1, 65836, '\p{^Is_Numeric_Value=+030000}', "");
Expect(1, 65836, '\P{Is_Numeric_Value=+030000}', "");
Expect(0, 65836, '\P{^Is_Numeric_Value=+030000}', "");
Error('\p{Is_Nv=-:=000_000300	00}');
Error('\P{Is_Nv=-:=000_000300	00}');
Expect(1, 65837, '\p{Is_Nv=0_0_0_0_0_0_3_0000}', "");
Expect(0, 65837, '\p{^Is_Nv=0_0_0_0_0_0_3_0000}', "");
Expect(0, 65837, '\P{Is_Nv=0_0_0_0_0_0_3_0000}', "");
Expect(1, 65837, '\P{^Is_Nv=0_0_0_0_0_0_3_0000}', "");
Expect(0, 65836, '\p{Is_Nv=0_0_0_0_0_0_3_0000}', "");
Expect(1, 65836, '\p{^Is_Nv=0_0_0_0_0_0_3_0000}', "");
Expect(1, 65836, '\P{Is_Nv=0_0_0_0_0_0_3_0000}', "");
Expect(0, 65836, '\P{^Is_Nv=0_0_0_0_0_0_3_0000}', "");
Error('\p{Numeric_Value= :=+0000000010}');
Error('\P{Numeric_Value= :=+0000000010}');
Expect(1, 3056, '\p{Numeric_Value:	10}', "");
Expect(0, 3056, '\p{^Numeric_Value:	10}', "");
Expect(0, 3056, '\P{Numeric_Value:	10}', "");
Expect(1, 3056, '\P{^Numeric_Value:	10}', "");
Expect(0, 3055, '\p{Numeric_Value:	10}', "");
Expect(1, 3055, '\p{^Numeric_Value:	10}', "");
Expect(1, 3055, '\P{Numeric_Value:	10}', "");
Expect(0, 3055, '\P{^Numeric_Value:	10}', "");
Error('\p{Nv=/a/-0010}');
Error('\P{Nv=/a/-0010}');
Expect(1, 3056, '\p{Nv=0_0_0_0_0_0_0_0_0_10}', "");
Expect(0, 3056, '\p{^Nv=0_0_0_0_0_0_0_0_0_10}', "");
Expect(0, 3056, '\P{Nv=0_0_0_0_0_0_0_0_0_10}', "");
Expect(1, 3056, '\P{^Nv=0_0_0_0_0_0_0_0_0_10}', "");
Expect(0, 3055, '\p{Nv=0_0_0_0_0_0_0_0_0_10}', "");
Expect(1, 3055, '\p{^Nv=0_0_0_0_0_0_0_0_0_10}', "");
Expect(1, 3055, '\P{Nv=0_0_0_0_0_0_0_0_0_10}', "");
Expect(0, 3055, '\P{^Nv=0_0_0_0_0_0_0_0_0_10}', "");
Error('\p{Is_Numeric_Value=	 0/a/0 0_0_0	00010}');
Error('\P{Is_Numeric_Value=	 0/a/0 0_0_0	00010}');
Expect(1, 3056, '\p{Is_Numeric_Value=10}', "");
Expect(0, 3056, '\p{^Is_Numeric_Value=10}', "");
Expect(0, 3056, '\P{Is_Numeric_Value=10}', "");
Expect(1, 3056, '\P{^Is_Numeric_Value=10}', "");
Expect(0, 3055, '\p{Is_Numeric_Value=10}', "");
Expect(1, 3055, '\p{^Is_Numeric_Value=10}', "");
Expect(1, 3055, '\P{Is_Numeric_Value=10}', "");
Expect(0, 3055, '\P{^Is_Numeric_Value=10}', "");
Error('\p{Is_Nv=/a/_00010}');
Error('\P{Is_Nv=/a/_00010}');
Expect(1, 3056, '\p{Is_Nv=+0000000010}', "");
Expect(0, 3056, '\p{^Is_Nv=+0000000010}', "");
Expect(0, 3056, '\P{Is_Nv=+0000000010}', "");
Expect(1, 3056, '\P{^Is_Nv=+0000000010}', "");
Expect(0, 3055, '\p{Is_Nv=+0000000010}', "");
Expect(1, 3055, '\p{^Is_Nv=+0000000010}', "");
Expect(1, 3055, '\P{Is_Nv=+0000000010}', "");
Expect(0, 3055, '\P{^Is_Nv=+0000000010}', "");
Error('\p{Numeric_Value=--3-1/a/}');
Error('\P{Numeric_Value=--3-1/a/}');
Expect(1, 12891, '\p{Numeric_Value=+00031}', "");
Expect(0, 12891, '\p{^Numeric_Value=+00031}', "");
Expect(0, 12891, '\P{Numeric_Value=+00031}', "");
Expect(1, 12891, '\P{^Numeric_Value=+00031}', "");
Expect(0, 12890, '\p{Numeric_Value=+00031}', "");
Expect(1, 12890, '\p{^Numeric_Value=+00031}', "");
Expect(1, 12890, '\P{Numeric_Value=+00031}', "");
Expect(0, 12890, '\P{^Numeric_Value=+00031}', "");
Error('\p{Nv=	/a/0-000-0_0_31}');
Error('\P{Nv=	/a/0-000-0_0_31}');
Expect(1, 12891, '\p{Nv=00000000031}', "");
Expect(0, 12891, '\p{^Nv=00000000031}', "");
Expect(0, 12891, '\P{Nv=00000000031}', "");
Expect(1, 12891, '\P{^Nv=00000000031}', "");
Expect(0, 12890, '\p{Nv=00000000031}', "");
Expect(1, 12890, '\p{^Nv=00000000031}', "");
Expect(1, 12890, '\P{Nv=00000000031}', "");
Expect(0, 12890, '\P{^Nv=00000000031}', "");
Error('\p{Is_Numeric_Value=_-+00003_1/a/}');
Error('\P{Is_Numeric_Value=_-+00003_1/a/}');
Expect(1, 12891, '\p{Is_Numeric_Value=+0_0_0_0_0_00031}', "");
Expect(0, 12891, '\p{^Is_Numeric_Value=+0_0_0_0_0_00031}', "");
Expect(0, 12891, '\P{Is_Numeric_Value=+0_0_0_0_0_00031}', "");
Expect(1, 12891, '\P{^Is_Numeric_Value=+0_0_0_0_0_00031}', "");
Expect(0, 12890, '\p{Is_Numeric_Value=+0_0_0_0_0_00031}', "");
Expect(1, 12890, '\p{^Is_Numeric_Value=+0_0_0_0_0_00031}', "");
Expect(1, 12890, '\P{Is_Numeric_Value=+0_0_0_0_0_00031}', "");
Expect(0, 12890, '\P{^Is_Numeric_Value=+0_0_0_0_0_00031}', "");
Error('\p{Is_Nv=/a/--+0000000031}');
Error('\P{Is_Nv=/a/--+0000000031}');
Expect(1, 12891, '\p{Is_Nv=00000031}', "");
Expect(0, 12891, '\p{^Is_Nv=00000031}', "");
Expect(0, 12891, '\P{Is_Nv=00000031}', "");
Expect(1, 12891, '\P{^Is_Nv=00000031}', "");
Expect(0, 12890, '\p{Is_Nv=00000031}', "");
Expect(1, 12890, '\p{^Is_Nv=00000031}', "");
Expect(1, 12890, '\P{Is_Nv=00000031}', "");
Expect(0, 12890, '\P{^Is_Nv=00000031}', "");
Error('\p{Numeric_Value=/a/	0008000}');
Error('\P{Numeric_Value=/a/	0008000}');
Expect(1, 65833, '\p{Numeric_Value=+0000008000}', "");
Expect(0, 65833, '\p{^Numeric_Value=+0000008000}', "");
Expect(0, 65833, '\P{Numeric_Value=+0000008000}', "");
Expect(1, 65833, '\P{^Numeric_Value=+0000008000}', "");
Expect(0, 65832, '\p{Numeric_Value=+0000008000}', "");
Expect(1, 65832, '\p{^Numeric_Value=+0000008000}', "");
Expect(1, 65832, '\P{Numeric_Value=+0000008000}', "");
Expect(0, 65832, '\P{^Numeric_Value=+0000008000}', "");
Error('\p{Nv=:= +000000008000}');
Error('\P{Nv=:= +000000008000}');
Expect(1, 65833, '\p{Nv=0000000008000}', "");
Expect(0, 65833, '\p{^Nv=0000000008000}', "");
Expect(0, 65833, '\P{Nv=0000000008000}', "");
Expect(1, 65833, '\P{^Nv=0000000008000}', "");
Expect(0, 65832, '\p{Nv=0000000008000}', "");
Expect(1, 65832, '\p{^Nv=0000000008000}', "");
Expect(1, 65832, '\P{Nv=0000000008000}', "");
Expect(0, 65832, '\P{^Nv=0000000008000}', "");
Error('\p{Is_Numeric_Value=:=-	00000008000}');
Error('\P{Is_Numeric_Value=:=-	00000008000}');
Expect(1, 65833, '\p{Is_Numeric_Value=000000008000}', "");
Expect(0, 65833, '\p{^Is_Numeric_Value=000000008000}', "");
Expect(0, 65833, '\P{Is_Numeric_Value=000000008000}', "");
Expect(1, 65833, '\P{^Is_Numeric_Value=000000008000}', "");
Expect(0, 65832, '\p{Is_Numeric_Value=000000008000}', "");
Expect(1, 65832, '\p{^Is_Numeric_Value=000000008000}', "");
Expect(1, 65832, '\P{Is_Numeric_Value=000000008000}', "");
Expect(0, 65832, '\P{^Is_Numeric_Value=000000008000}', "");
Error('\p{Is_Nv=	/a/+00_00 0800 0}');
Error('\P{Is_Nv=	/a/+00_00 0800 0}');
Expect(1, 65833, '\p{Is_Nv=0_0_0_0_8000}', "");
Expect(0, 65833, '\p{^Is_Nv=0_0_0_0_8000}', "");
Expect(0, 65833, '\P{Is_Nv=0_0_0_0_8000}', "");
Expect(1, 65833, '\P{^Is_Nv=0_0_0_0_8000}', "");
Expect(0, 65832, '\p{Is_Nv=0_0_0_0_8000}', "");
Expect(1, 65832, '\p{^Is_Nv=0_0_0_0_8000}', "");
Expect(1, 65832, '\P{Is_Nv=0_0_0_0_8000}', "");
Expect(0, 65832, '\P{^Is_Nv=0_0_0_0_8000}', "");
Error('\p{Numeric_Value=_/a/+00001000000000000}');
Error('\P{Numeric_Value=_/a/+00001000000000000}');
Expect(1, 20806, '\p{Numeric_Value=+0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(0, 20806, '\p{^Numeric_Value=+0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(0, 20806, '\P{Numeric_Value=+0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(1, 20806, '\P{^Numeric_Value=+0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(0, 20805, '\p{Numeric_Value=+0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(1, 20805, '\p{^Numeric_Value=+0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(1, 20805, '\P{Numeric_Value=+0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(0, 20805, '\P{^Numeric_Value=+0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Error('\p{Nv: -_+00	00:=00-1000 00 00-00 000}');
Error('\P{Nv: -_+00	00:=00-1000 00 00-00 000}');
Expect(1, 20806, '\p{Nv=+00_00_00_01_00_00_00_00_00_00}', "");
Expect(0, 20806, '\p{^Nv=+00_00_00_01_00_00_00_00_00_00}', "");
Expect(0, 20806, '\P{Nv=+00_00_00_01_00_00_00_00_00_00}', "");
Expect(1, 20806, '\P{^Nv=+00_00_00_01_00_00_00_00_00_00}', "");
Expect(0, 20805, '\p{Nv=+00_00_00_01_00_00_00_00_00_00}', "");
Expect(1, 20805, '\p{^Nv=+00_00_00_01_00_00_00_00_00_00}', "");
Expect(1, 20805, '\P{Nv=+00_00_00_01_00_00_00_00_00_00}', "");
Expect(0, 20805, '\P{^Nv=+00_00_00_01_00_00_00_00_00_00}', "");
Error('\p{Is_Numeric_Value=_00001000000000000:=}');
Error('\P{Is_Numeric_Value=_00001000000000000:=}');
Expect(1, 20806, '\p{Is_Numeric_Value=+0_1_0_0_0_0_0_0000000}', "");
Expect(0, 20806, '\p{^Is_Numeric_Value=+0_1_0_0_0_0_0_0000000}', "");
Expect(0, 20806, '\P{Is_Numeric_Value=+0_1_0_0_0_0_0_0000000}', "");
Expect(1, 20806, '\P{^Is_Numeric_Value=+0_1_0_0_0_0_0_0000000}', "");
Expect(0, 20805, '\p{Is_Numeric_Value=+0_1_0_0_0_0_0_0000000}', "");
Expect(1, 20805, '\p{^Is_Numeric_Value=+0_1_0_0_0_0_0_0000000}', "");
Expect(1, 20805, '\P{Is_Numeric_Value=+0_1_0_0_0_0_0_0000000}', "");
Expect(0, 20805, '\P{^Is_Numeric_Value=+0_1_0_0_0_0_0_0000000}', "");
Error('\p{Is_Nv=-	1000000000000/a/}');
Error('\P{Is_Nv=-	1000000000000/a/}');
Expect(1, 20806, '\p{Is_Nv=00_00_00_01_00_00_00_00_00_00}', "");
Expect(0, 20806, '\p{^Is_Nv=00_00_00_01_00_00_00_00_00_00}', "");
Expect(0, 20806, '\P{Is_Nv=00_00_00_01_00_00_00_00_00_00}', "");
Expect(1, 20806, '\P{^Is_Nv=00_00_00_01_00_00_00_00_00_00}', "");
Expect(0, 20805, '\p{Is_Nv=00_00_00_01_00_00_00_00_00_00}', "");
Expect(1, 20805, '\p{^Is_Nv=00_00_00_01_00_00_00_00_00_00}', "");
Expect(1, 20805, '\P{Is_Nv=00_00_00_01_00_00_00_00_00_00}', "");
Expect(0, 20805, '\P{^Is_Nv=00_00_00_01_00_00_00_00_00_00}', "");
Error('\p{Numeric_Value= -+000035:=}');
Error('\P{Numeric_Value= -+000035:=}');
Expect(1, 12895, '\p{Numeric_Value=+035}', "");
Expect(0, 12895, '\p{^Numeric_Value=+035}', "");
Expect(0, 12895, '\P{Numeric_Value=+035}', "");
Expect(1, 12895, '\P{^Numeric_Value=+035}', "");
Expect(0, 12894, '\p{Numeric_Value=+035}', "");
Expect(1, 12894, '\p{^Numeric_Value=+035}', "");
Expect(1, 12894, '\P{Numeric_Value=+035}', "");
Expect(0, 12894, '\P{^Numeric_Value=+035}', "");
Error('\p{Nv=0000035:=}');
Error('\P{Nv=0000035:=}');
Expect(1, 12895, '\p{Nv=+000003_5}', "");
Expect(0, 12895, '\p{^Nv=+000003_5}', "");
Expect(0, 12895, '\P{Nv=+000003_5}', "");
Expect(1, 12895, '\P{^Nv=+000003_5}', "");
Expect(0, 12894, '\p{Nv=+000003_5}', "");
Expect(1, 12894, '\p{^Nv=+000003_5}', "");
Expect(1, 12894, '\P{Nv=+000003_5}', "");
Expect(0, 12894, '\P{^Nv=+000003_5}', "");
Error('\p{Is_Numeric_Value=	/a/0000035}');
Error('\P{Is_Numeric_Value=	/a/0000035}');
Expect(1, 12895, '\p{Is_Numeric_Value=000_000_35}', "");
Expect(0, 12895, '\p{^Is_Numeric_Value=000_000_35}', "");
Expect(0, 12895, '\P{Is_Numeric_Value=000_000_35}', "");
Expect(1, 12895, '\P{^Is_Numeric_Value=000_000_35}', "");
Expect(0, 12894, '\p{Is_Numeric_Value=000_000_35}', "");
Expect(1, 12894, '\p{^Is_Numeric_Value=000_000_35}', "");
Expect(1, 12894, '\P{Is_Numeric_Value=000_000_35}', "");
Expect(0, 12894, '\P{^Is_Numeric_Value=000_000_35}', "");
Error('\p{Is_Nv=__+3-5/a/}');
Error('\P{Is_Nv=__+3-5/a/}');
Expect(1, 12895, '\p{Is_Nv:   0_0_0_0_0_035}', "");
Expect(0, 12895, '\p{^Is_Nv:   0_0_0_0_0_035}', "");
Expect(0, 12895, '\P{Is_Nv:   0_0_0_0_0_035}', "");
Expect(1, 12895, '\P{^Is_Nv:   0_0_0_0_0_035}', "");
Expect(0, 12894, '\p{Is_Nv:   0_0_0_0_0_035}', "");
Expect(1, 12894, '\p{^Is_Nv:   0_0_0_0_0_035}', "");
Expect(1, 12894, '\P{Is_Nv:   0_0_0_0_0_035}', "");
Expect(0, 12894, '\P{^Is_Nv:   0_0_0_0_0_035}', "");
Error('\p{Numeric_Value=	/a/011}');
Error('\P{Numeric_Value=	/a/011}');
Expect(1, 8554, '\p{Numeric_Value:00000011}', "");
Expect(0, 8554, '\p{^Numeric_Value:00000011}', "");
Expect(0, 8554, '\P{Numeric_Value:00000011}', "");
Expect(1, 8554, '\P{^Numeric_Value:00000011}', "");
Expect(0, 8553, '\p{Numeric_Value:00000011}', "");
Expect(1, 8553, '\p{^Numeric_Value:00000011}', "");
Expect(1, 8553, '\P{Numeric_Value:00000011}', "");
Expect(0, 8553, '\P{^Numeric_Value:00000011}', "");
Error('\p{Nv=/a/__000000011}');
Error('\P{Nv=/a/__000000011}');
Expect(1, 8554, '\p{Nv=+1_1}', "");
Expect(0, 8554, '\p{^Nv=+1_1}', "");
Expect(0, 8554, '\P{Nv=+1_1}', "");
Expect(1, 8554, '\P{^Nv=+1_1}', "");
Expect(0, 8553, '\p{Nv=+1_1}', "");
Expect(1, 8553, '\p{^Nv=+1_1}', "");
Expect(1, 8553, '\P{Nv=+1_1}', "");
Expect(0, 8553, '\P{^Nv=+1_1}', "");
Error('\p{Is_Numeric_Value= :=11}');
Error('\P{Is_Numeric_Value= :=11}');
Expect(1, 8554, '\p{Is_Numeric_Value=00011}', "");
Expect(0, 8554, '\p{^Is_Numeric_Value=00011}', "");
Expect(0, 8554, '\P{Is_Numeric_Value=00011}', "");
Expect(1, 8554, '\P{^Is_Numeric_Value=00011}', "");
Expect(0, 8553, '\p{Is_Numeric_Value=00011}', "");
Expect(1, 8553, '\p{^Is_Numeric_Value=00011}', "");
Expect(1, 8553, '\P{Is_Numeric_Value=00011}', "");
Expect(0, 8553, '\P{^Is_Numeric_Value=00011}', "");
Error('\p{Is_Nv= _0000000011/a/}');
Error('\P{Is_Nv= _0000000011/a/}');
Expect(1, 8554, '\p{Is_Nv=000000001_1}', "");
Expect(0, 8554, '\p{^Is_Nv=000000001_1}', "");
Expect(0, 8554, '\P{Is_Nv=000000001_1}', "");
Expect(1, 8554, '\P{^Is_Nv=000000001_1}', "");
Expect(0, 8553, '\p{Is_Nv=000000001_1}', "");
Expect(1, 8553, '\p{^Is_Nv=000000001_1}', "");
Expect(1, 8553, '\P{Is_Nv=000000001_1}', "");
Expect(0, 8553, '\P{^Is_Nv=000000001_1}', "");
Error('\p{Numeric_Value=-:=000000001/0000005}');
Error('\P{Numeric_Value=-:=000000001/0000005}');
Expect(1, 8533, '\p{Numeric_Value=1/0000005}', "");
Expect(0, 8533, '\p{^Numeric_Value=1/0000005}', "");
Expect(0, 8533, '\P{Numeric_Value=1/0000005}', "");
Expect(1, 8533, '\P{^Numeric_Value=1/0000005}', "");
Expect(0, 8532, '\p{Numeric_Value=1/0000005}', "");
Expect(1, 8532, '\p{^Numeric_Value=1/0000005}', "");
Expect(1, 8532, '\P{Numeric_Value=1/0000005}', "");
Expect(0, 8532, '\P{^Numeric_Value=1/0000005}', "");
Expect(1, 8533, '\p{Numeric_Value=0.200}', "");
Expect(0, 8533, '\p{^Numeric_Value=0.200}', "");
Expect(0, 8533, '\P{Numeric_Value=0.200}', "");
Expect(1, 8533, '\P{^Numeric_Value=0.200}', "");
Expect(0, 8532, '\p{Numeric_Value=0.200}', "");
Expect(1, 8532, '\p{^Numeric_Value=0.200}', "");
Expect(1, 8532, '\P{Numeric_Value=0.200}', "");
Expect(0, 8532, '\P{^Numeric_Value=0.200}', "");
Error('\p{Nv=-01/5/a/}');
Error('\P{Nv=-01/5/a/}');
Expect(1, 8533, '\p{Nv=+1/0000005}', "");
Expect(0, 8533, '\p{^Nv=+1/0000005}', "");
Expect(0, 8533, '\P{Nv=+1/0000005}', "");
Expect(1, 8533, '\P{^Nv=+1/0000005}', "");
Expect(0, 8532, '\p{Nv=+1/0000005}', "");
Expect(1, 8532, '\p{^Nv=+1/0000005}', "");
Expect(1, 8532, '\P{Nv=+1/0000005}', "");
Expect(0, 8532, '\P{^Nv=+1/0000005}', "");
Expect(1, 8533, '\p{Nv=0.200}', "");
Expect(0, 8533, '\p{^Nv=0.200}', "");
Expect(0, 8533, '\P{Nv=0.200}', "");
Expect(1, 8533, '\P{^Nv=0.200}', "");
Expect(0, 8532, '\p{Nv=0.200}', "");
Expect(1, 8532, '\p{^Nv=0.200}', "");
Expect(1, 8532, '\P{Nv=0.200}', "");
Expect(0, 8532, '\P{^Nv=0.200}', "");
Error('\p{Is_Numeric_Value=:=-00001/000005}');
Error('\P{Is_Numeric_Value=:=-00001/000005}');
Expect(1, 8533, '\p{Is_Numeric_Value=0000001/0000005}', "");
Expect(0, 8533, '\p{^Is_Numeric_Value=0000001/0000005}', "");
Expect(0, 8533, '\P{Is_Numeric_Value=0000001/0000005}', "");
Expect(1, 8533, '\P{^Is_Numeric_Value=0000001/0000005}', "");
Expect(0, 8532, '\p{Is_Numeric_Value=0000001/0000005}', "");
Expect(1, 8532, '\p{^Is_Numeric_Value=0000001/0000005}', "");
Expect(1, 8532, '\P{Is_Numeric_Value=0000001/0000005}', "");
Expect(0, 8532, '\P{^Is_Numeric_Value=0000001/0000005}', "");
Expect(1, 8533, '\p{Is_Numeric_Value=0.200}', "");
Expect(0, 8533, '\p{^Is_Numeric_Value=0.200}', "");
Expect(0, 8533, '\P{Is_Numeric_Value=0.200}', "");
Expect(1, 8533, '\P{^Is_Numeric_Value=0.200}', "");
Expect(0, 8532, '\p{Is_Numeric_Value=0.200}', "");
Expect(1, 8532, '\p{^Is_Numeric_Value=0.200}', "");
Expect(1, 8532, '\P{Is_Numeric_Value=0.200}', "");
Expect(0, 8532, '\P{^Is_Numeric_Value=0.200}', "");
Error('\p{Is_Nv=-/a/001/00000005}');
Error('\P{Is_Nv=-/a/001/00000005}');
Expect(1, 8533, '\p{Is_Nv=000001/5}', "");
Expect(0, 8533, '\p{^Is_Nv=000001/5}', "");
Expect(0, 8533, '\P{Is_Nv=000001/5}', "");
Expect(1, 8533, '\P{^Is_Nv=000001/5}', "");
Expect(0, 8532, '\p{Is_Nv=000001/5}', "");
Expect(1, 8532, '\p{^Is_Nv=000001/5}', "");
Expect(1, 8532, '\P{Is_Nv=000001/5}', "");
Expect(0, 8532, '\P{^Is_Nv=000001/5}', "");
Expect(1, 8533, '\p{Is_Nv: 0.200}', "");
Expect(0, 8533, '\p{^Is_Nv: 0.200}', "");
Expect(0, 8533, '\P{Is_Nv: 0.200}', "");
Expect(1, 8533, '\P{^Is_Nv: 0.200}', "");
Expect(0, 8532, '\p{Is_Nv: 0.200}', "");
Expect(1, 8532, '\p{^Is_Nv: 0.200}', "");
Expect(1, 8532, '\P{Is_Nv: 0.200}', "");
Expect(0, 8532, '\P{^Is_Nv: 0.200}', "");
Error('\p{Numeric_Value=_/a/NaN}');
Error('\P{Numeric_Value=_/a/NaN}');
Expect(1, 47, '\p{Numeric_Value=nan}', "");
Expect(0, 47, '\p{^Numeric_Value=nan}', "");
Expect(0, 47, '\P{Numeric_Value=nan}', "");
Expect(1, 47, '\P{^Numeric_Value=nan}', "");
Expect(0, 57, '\p{Numeric_Value=nan}', "");
Expect(1, 57, '\p{^Numeric_Value=nan}', "");
Expect(1, 57, '\P{Numeric_Value=nan}', "");
Expect(0, 57, '\P{^Numeric_Value=nan}', "");
Expect(1, 47, '\p{Numeric_Value=		NaN}', "");
Expect(0, 47, '\p{^Numeric_Value=		NaN}', "");
Expect(0, 47, '\P{Numeric_Value=		NaN}', "");
Expect(1, 47, '\P{^Numeric_Value=		NaN}', "");
Expect(0, 57, '\p{Numeric_Value=		NaN}', "");
Expect(1, 57, '\p{^Numeric_Value=		NaN}', "");
Expect(1, 57, '\P{Numeric_Value=		NaN}', "");
Expect(0, 57, '\P{^Numeric_Value=		NaN}', "");
Error('\p{Nv=:=		nan}');
Error('\P{Nv=:=		nan}');
Expect(1, 47, '\p{Nv=nan}', "");
Expect(0, 47, '\p{^Nv=nan}', "");
Expect(0, 47, '\P{Nv=nan}', "");
Expect(1, 47, '\P{^Nv=nan}', "");
Expect(0, 57, '\p{Nv=nan}', "");
Expect(1, 57, '\p{^Nv=nan}', "");
Expect(1, 57, '\P{Nv=nan}', "");
Expect(0, 57, '\P{^Nv=nan}', "");
Expect(1, 47, '\p{Nv=_nan}', "");
Expect(0, 47, '\p{^Nv=_nan}', "");
Expect(0, 47, '\P{Nv=_nan}', "");
Expect(1, 47, '\P{^Nv=_nan}', "");
Expect(0, 57, '\p{Nv=_nan}', "");
Expect(1, 57, '\p{^Nv=_nan}', "");
Expect(1, 57, '\P{Nv=_nan}', "");
Expect(0, 57, '\P{^Nv=_nan}', "");
Error('\p{Is_Numeric_Value=_	nan/a/}');
Error('\P{Is_Numeric_Value=_	nan/a/}');
Expect(1, 47, '\p{Is_Numeric_Value=nan}', "");
Expect(0, 47, '\p{^Is_Numeric_Value=nan}', "");
Expect(0, 47, '\P{Is_Numeric_Value=nan}', "");
Expect(1, 47, '\P{^Is_Numeric_Value=nan}', "");
Expect(0, 57, '\p{Is_Numeric_Value=nan}', "");
Expect(1, 57, '\p{^Is_Numeric_Value=nan}', "");
Expect(1, 57, '\P{Is_Numeric_Value=nan}', "");
Expect(0, 57, '\P{^Is_Numeric_Value=nan}', "");
Expect(1, 47, '\p{Is_Numeric_Value=-	NaN}', "");
Expect(0, 47, '\p{^Is_Numeric_Value=-	NaN}', "");
Expect(0, 47, '\P{Is_Numeric_Value=-	NaN}', "");
Expect(1, 47, '\P{^Is_Numeric_Value=-	NaN}', "");
Expect(0, 57, '\p{Is_Numeric_Value=-	NaN}', "");
Expect(1, 57, '\p{^Is_Numeric_Value=-	NaN}', "");
Expect(1, 57, '\P{Is_Numeric_Value=-	NaN}', "");
Expect(0, 57, '\P{^Is_Numeric_Value=-	NaN}', "");
Error('\p{Is_Nv:__NaN:=}');
Error('\P{Is_Nv:__NaN:=}');
Expect(1, 47, '\p{Is_Nv=nan}', "");
Expect(0, 47, '\p{^Is_Nv=nan}', "");
Expect(0, 47, '\P{Is_Nv=nan}', "");
Expect(1, 47, '\P{^Is_Nv=nan}', "");
Expect(0, 57, '\p{Is_Nv=nan}', "");
Expect(1, 57, '\p{^Is_Nv=nan}', "");
Expect(1, 57, '\P{Is_Nv=nan}', "");
Expect(0, 57, '\P{^Is_Nv=nan}', "");
Expect(1, 47, '\p{Is_Nv= NAN}', "");
Expect(0, 47, '\p{^Is_Nv= NAN}', "");
Expect(0, 47, '\P{Is_Nv= NAN}', "");
Expect(1, 47, '\P{^Is_Nv= NAN}', "");
Expect(0, 57, '\p{Is_Nv= NAN}', "");
Expect(1, 57, '\p{^Is_Nv= NAN}', "");
Expect(1, 57, '\P{Is_Nv= NAN}', "");
Expect(0, 57, '\P{^Is_Nv= NAN}', "");
Error('\p{Numeric_Value=:=-0000000015/2}');
Error('\P{Numeric_Value=:=-0000000015/2}');
Expect(1, 3889, '\p{Numeric_Value:   00000000015/0000000002}', "");
Expect(0, 3889, '\p{^Numeric_Value:   00000000015/0000000002}', "");
Expect(0, 3889, '\P{Numeric_Value:   00000000015/0000000002}', "");
Expect(1, 3889, '\P{^Numeric_Value:   00000000015/0000000002}', "");
Expect(0, 3888, '\p{Numeric_Value:   00000000015/0000000002}', "");
Expect(1, 3888, '\p{^Numeric_Value:   00000000015/0000000002}', "");
Expect(1, 3888, '\P{Numeric_Value:   00000000015/0000000002}', "");
Expect(0, 3888, '\P{^Numeric_Value:   00000000015/0000000002}', "");
Expect(1, 3889, '\p{Numeric_Value=7.500}', "");
Expect(0, 3889, '\p{^Numeric_Value=7.500}', "");
Expect(0, 3889, '\P{Numeric_Value=7.500}', "");
Expect(1, 3889, '\P{^Numeric_Value=7.500}', "");
Expect(0, 3888, '\p{Numeric_Value=7.500}', "");
Expect(1, 3888, '\p{^Numeric_Value=7.500}', "");
Expect(1, 3888, '\P{Numeric_Value=7.500}', "");
Expect(0, 3888, '\P{^Numeric_Value=7.500}', "");
Error('\p{Nv=	-0000000015/2/a/}');
Error('\P{Nv=	-0000000015/2/a/}');
Expect(1, 3889, '\p{Nv=015/000002}', "");
Expect(0, 3889, '\p{^Nv=015/000002}', "");
Expect(0, 3889, '\P{Nv=015/000002}', "");
Expect(1, 3889, '\P{^Nv=015/000002}', "");
Expect(0, 3888, '\p{Nv=015/000002}', "");
Expect(1, 3888, '\p{^Nv=015/000002}', "");
Expect(1, 3888, '\P{Nv=015/000002}', "");
Expect(0, 3888, '\P{^Nv=015/000002}', "");
Expect(1, 3889, '\p{Nv=7.500}', "");
Expect(0, 3889, '\p{^Nv=7.500}', "");
Expect(0, 3889, '\P{Nv=7.500}', "");
Expect(1, 3889, '\P{^Nv=7.500}', "");
Expect(0, 3888, '\p{Nv=7.500}', "");
Expect(1, 3888, '\p{^Nv=7.500}', "");
Expect(1, 3888, '\P{Nv=7.500}', "");
Expect(0, 3888, '\P{^Nv=7.500}', "");
Error('\p{Is_Numeric_Value=:=00000015/00000002}');
Error('\P{Is_Numeric_Value=:=00000015/00000002}');
Expect(1, 3889, '\p{Is_Numeric_Value:0000000015/0000002}', "");
Expect(0, 3889, '\p{^Is_Numeric_Value:0000000015/0000002}', "");
Expect(0, 3889, '\P{Is_Numeric_Value:0000000015/0000002}', "");
Expect(1, 3889, '\P{^Is_Numeric_Value:0000000015/0000002}', "");
Expect(0, 3888, '\p{Is_Numeric_Value:0000000015/0000002}', "");
Expect(1, 3888, '\p{^Is_Numeric_Value:0000000015/0000002}', "");
Expect(1, 3888, '\P{Is_Numeric_Value:0000000015/0000002}', "");
Expect(0, 3888, '\P{^Is_Numeric_Value:0000000015/0000002}', "");
Expect(1, 3889, '\p{Is_Numeric_Value=7.500}', "");
Expect(0, 3889, '\p{^Is_Numeric_Value=7.500}', "");
Expect(0, 3889, '\P{Is_Numeric_Value=7.500}', "");
Expect(1, 3889, '\P{^Is_Numeric_Value=7.500}', "");
Expect(0, 3888, '\p{Is_Numeric_Value=7.500}', "");
Expect(1, 3888, '\p{^Is_Numeric_Value=7.500}', "");
Expect(1, 3888, '\P{Is_Numeric_Value=7.500}', "");
Expect(0, 3888, '\P{^Is_Numeric_Value=7.500}', "");
Error('\p{Is_Nv= /a/00000015/002}');
Error('\P{Is_Nv= /a/00000015/002}');
Expect(1, 3889, '\p{Is_Nv=+015/002}', "");
Expect(0, 3889, '\p{^Is_Nv=+015/002}', "");
Expect(0, 3889, '\P{Is_Nv=+015/002}', "");
Expect(1, 3889, '\P{^Is_Nv=+015/002}', "");
Expect(0, 3888, '\p{Is_Nv=+015/002}', "");
Expect(1, 3888, '\p{^Is_Nv=+015/002}', "");
Expect(1, 3888, '\P{Is_Nv=+015/002}', "");
Expect(0, 3888, '\P{^Is_Nv=+015/002}', "");
Expect(1, 3889, '\p{Is_Nv=7.500}', "");
Expect(0, 3889, '\p{^Is_Nv=7.500}', "");
Expect(0, 3889, '\P{Is_Nv=7.500}', "");
Expect(1, 3889, '\P{^Is_Nv=7.500}', "");
Expect(0, 3888, '\p{Is_Nv=7.500}', "");
Expect(1, 3888, '\p{^Is_Nv=7.500}', "");
Expect(1, 3888, '\P{Is_Nv=7.500}', "");
Expect(0, 3888, '\P{^Is_Nv=7.500}', "");
Error('\p{Numeric_Value:	/a/000007/00000008}');
Error('\P{Numeric_Value:	/a/000007/00000008}');
Expect(1, 8542, '\p{Numeric_Value=07/8}', "");
Expect(0, 8542, '\p{^Numeric_Value=07/8}', "");
Expect(0, 8542, '\P{Numeric_Value=07/8}', "");
Expect(1, 8542, '\P{^Numeric_Value=07/8}', "");
Expect(0, 8541, '\p{Numeric_Value=07/8}', "");
Expect(1, 8541, '\p{^Numeric_Value=07/8}', "");
Expect(1, 8541, '\P{Numeric_Value=07/8}', "");
Expect(0, 8541, '\P{^Numeric_Value=07/8}', "");
Error('\p{Numeric_Value:	0.9}');
Error('\P{Numeric_Value:	0.9}');
Error('\p{Numeric_Value:	0.88}');
Error('\P{Numeric_Value:	0.88}');
Expect(1, 8542, '\p{Numeric_Value=0.875}', "");
Expect(0, 8542, '\p{^Numeric_Value=0.875}', "");
Expect(0, 8542, '\P{Numeric_Value=0.875}', "");
Expect(1, 8542, '\P{^Numeric_Value=0.875}', "");
Expect(0, 8541, '\p{Numeric_Value=0.875}', "");
Expect(1, 8541, '\p{^Numeric_Value=0.875}', "");
Expect(1, 8541, '\P{Numeric_Value=0.875}', "");
Expect(0, 8541, '\P{^Numeric_Value=0.875}', "");
Error('\p{Nv=__000000007/0000000008/a/}');
Error('\P{Nv=__000000007/0000000008/a/}');
Expect(1, 8542, '\p{Nv=7/00000008}', "");
Expect(0, 8542, '\p{^Nv=7/00000008}', "");
Expect(0, 8542, '\P{Nv=7/00000008}', "");
Expect(1, 8542, '\P{^Nv=7/00000008}', "");
Expect(0, 8541, '\p{Nv=7/00000008}', "");
Expect(1, 8541, '\p{^Nv=7/00000008}', "");
Expect(1, 8541, '\P{Nv=7/00000008}', "");
Expect(0, 8541, '\P{^Nv=7/00000008}', "");
Error('\p{Nv=0.9}');
Error('\P{Nv=0.9}');
Error('\p{Nv:0.88}');
Error('\P{Nv:0.88}');
Expect(1, 8542, '\p{Nv=0.875}', "");
Expect(0, 8542, '\p{^Nv=0.875}', "");
Expect(0, 8542, '\P{Nv=0.875}', "");
Expect(1, 8542, '\P{^Nv=0.875}', "");
Expect(0, 8541, '\p{Nv=0.875}', "");
Expect(1, 8541, '\p{^Nv=0.875}', "");
Expect(1, 8541, '\P{Nv=0.875}', "");
Expect(0, 8541, '\P{^Nv=0.875}', "");
Error('\p{Is_Numeric_Value=:=_ +0000007/0000008}');
Error('\P{Is_Numeric_Value=:=_ +0000007/0000008}');
Expect(1, 8542, '\p{Is_Numeric_Value=00007/8}', "");
Expect(0, 8542, '\p{^Is_Numeric_Value=00007/8}', "");
Expect(0, 8542, '\P{Is_Numeric_Value=00007/8}', "");
Expect(1, 8542, '\P{^Is_Numeric_Value=00007/8}', "");
Expect(0, 8541, '\p{Is_Numeric_Value=00007/8}', "");
Expect(1, 8541, '\p{^Is_Numeric_Value=00007/8}', "");
Expect(1, 8541, '\P{Is_Numeric_Value=00007/8}', "");
Expect(0, 8541, '\P{^Is_Numeric_Value=00007/8}', "");
Error('\p{Is_Numeric_Value=0.9}');
Error('\P{Is_Numeric_Value=0.9}');
Error('\p{Is_Numeric_Value=0.88}');
Error('\P{Is_Numeric_Value=0.88}');
Expect(1, 8542, '\p{Is_Numeric_Value=0.875}', "");
Expect(0, 8542, '\p{^Is_Numeric_Value=0.875}', "");
Expect(0, 8542, '\P{Is_Numeric_Value=0.875}', "");
Expect(1, 8542, '\P{^Is_Numeric_Value=0.875}', "");
Expect(0, 8541, '\p{Is_Numeric_Value=0.875}', "");
Expect(1, 8541, '\p{^Is_Numeric_Value=0.875}', "");
Expect(1, 8541, '\P{Is_Numeric_Value=0.875}', "");
Expect(0, 8541, '\P{^Is_Numeric_Value=0.875}', "");
Error('\p{Is_Nv= 	+0000000007/0008/a/}');
Error('\P{Is_Nv= 	+0000000007/0008/a/}');
Expect(1, 8542, '\p{Is_Nv=7/008}', "");
Expect(0, 8542, '\p{^Is_Nv=7/008}', "");
Expect(0, 8542, '\P{Is_Nv=7/008}', "");
Expect(1, 8542, '\P{^Is_Nv=7/008}', "");
Expect(0, 8541, '\p{Is_Nv=7/008}', "");
Expect(1, 8541, '\p{^Is_Nv=7/008}', "");
Expect(1, 8541, '\P{Is_Nv=7/008}', "");
Expect(0, 8541, '\P{^Is_Nv=7/008}', "");
Error('\p{Is_Nv=0.9}');
Error('\P{Is_Nv=0.9}');
Error('\p{Is_Nv=0.88}');
Error('\P{Is_Nv=0.88}');
Expect(1, 8542, '\p{Is_Nv=0.875}', "");
Expect(0, 8542, '\p{^Is_Nv=0.875}', "");
Expect(0, 8542, '\P{Is_Nv=0.875}', "");
Expect(1, 8542, '\P{^Is_Nv=0.875}', "");
Expect(0, 8541, '\p{Is_Nv=0.875}', "");
Expect(1, 8541, '\p{^Is_Nv=0.875}', "");
Expect(1, 8541, '\P{Is_Nv=0.875}', "");
Expect(0, 8541, '\P{^Is_Nv=0.875}', "");
Error('\p{Numeric_Value=	-+0000/a/0007-00}');
Error('\P{Numeric_Value=	-+0000/a/0007-00}');
Expect(1, 65823, '\p{Numeric_Value:   +0700}', "");
Expect(0, 65823, '\p{^Numeric_Value:   +0700}', "");
Expect(0, 65823, '\P{Numeric_Value:   +0700}', "");
Expect(1, 65823, '\P{^Numeric_Value:   +0700}', "");
Expect(0, 65822, '\p{Numeric_Value:   +0700}', "");
Expect(1, 65822, '\p{^Numeric_Value:   +0700}', "");
Expect(1, 65822, '\P{Numeric_Value:   +0700}', "");
Expect(0, 65822, '\P{^Numeric_Value:   +0700}', "");
Error('\p{Nv=:=-00000700}');
Error('\P{Nv=:=-00000700}');
Expect(1, 65823, '\p{Nv=0700}', "");
Expect(0, 65823, '\p{^Nv=0700}', "");
Expect(0, 65823, '\P{Nv=0700}', "");
Expect(1, 65823, '\P{^Nv=0700}', "");
Expect(0, 65822, '\p{Nv=0700}', "");
Expect(1, 65822, '\p{^Nv=0700}', "");
Expect(1, 65822, '\P{Nv=0700}', "");
Expect(0, 65822, '\P{^Nv=0700}', "");
Error('\p{Is_Numeric_Value=_ +0-7:=00}');
Error('\P{Is_Numeric_Value=_ +0-7:=00}');
Expect(1, 65823, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_700}', "");
Expect(0, 65823, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_700}', "");
Expect(0, 65823, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_700}', "");
Expect(1, 65823, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_700}', "");
Expect(0, 65822, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_700}', "");
Expect(1, 65822, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_700}', "");
Expect(1, 65822, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_700}', "");
Expect(0, 65822, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_700}', "");
Error('\p{Is_Nv=_0_0_0-0/a/07-00}');
Error('\P{Is_Nv=_0_0_0-0/a/07-00}');
Expect(1, 65823, '\p{Is_Nv=0000000700}', "");
Expect(0, 65823, '\p{^Is_Nv=0000000700}', "");
Expect(0, 65823, '\P{Is_Nv=0000000700}', "");
Expect(1, 65823, '\P{^Is_Nv=0000000700}', "");
Expect(0, 65822, '\p{Is_Nv=0000000700}', "");
Expect(1, 65822, '\p{^Is_Nv=0000000700}', "");
Expect(1, 65822, '\P{Is_Nv=0000000700}', "");
Expect(0, 65822, '\P{^Is_Nv=0000000700}', "");
Error('\p{Numeric_Value:/a/013/02}');
Error('\P{Numeric_Value:/a/013/02}');
Expect(1, 3888, '\p{Numeric_Value=013/2}', "");
Expect(0, 3888, '\p{^Numeric_Value=013/2}', "");
Expect(0, 3888, '\P{Numeric_Value=013/2}', "");
Expect(1, 3888, '\P{^Numeric_Value=013/2}', "");
Expect(0, 3887, '\p{Numeric_Value=013/2}', "");
Expect(1, 3887, '\p{^Numeric_Value=013/2}', "");
Expect(1, 3887, '\P{Numeric_Value=013/2}', "");
Expect(0, 3887, '\P{^Numeric_Value=013/2}', "");
Expect(1, 3888, '\p{Numeric_Value=6.500}', "");
Expect(0, 3888, '\p{^Numeric_Value=6.500}', "");
Expect(0, 3888, '\P{Numeric_Value=6.500}', "");
Expect(1, 3888, '\P{^Numeric_Value=6.500}', "");
Expect(0, 3887, '\p{Numeric_Value=6.500}', "");
Expect(1, 3887, '\p{^Numeric_Value=6.500}', "");
Expect(1, 3887, '\P{Numeric_Value=6.500}', "");
Expect(0, 3887, '\P{^Numeric_Value=6.500}', "");
Error('\p{Nv= _0000013/002/a/}');
Error('\P{Nv= _0000013/002/a/}');
Expect(1, 3888, '\p{Nv=0013/0000002}', "");
Expect(0, 3888, '\p{^Nv=0013/0000002}', "");
Expect(0, 3888, '\P{Nv=0013/0000002}', "");
Expect(1, 3888, '\P{^Nv=0013/0000002}', "");
Expect(0, 3887, '\p{Nv=0013/0000002}', "");
Expect(1, 3887, '\p{^Nv=0013/0000002}', "");
Expect(1, 3887, '\P{Nv=0013/0000002}', "");
Expect(0, 3887, '\P{^Nv=0013/0000002}', "");
Expect(1, 3888, '\p{Nv=6.500}', "");
Expect(0, 3888, '\p{^Nv=6.500}', "");
Expect(0, 3888, '\P{Nv=6.500}', "");
Expect(1, 3888, '\P{^Nv=6.500}', "");
Expect(0, 3887, '\p{Nv=6.500}', "");
Expect(1, 3887, '\p{^Nv=6.500}', "");
Expect(1, 3887, '\P{Nv=6.500}', "");
Expect(0, 3887, '\P{^Nv=6.500}', "");
Error('\p{Is_Numeric_Value=__00013/0000002/a/}');
Error('\P{Is_Numeric_Value=__00013/0000002/a/}');
Expect(1, 3888, '\p{Is_Numeric_Value: 013/0002}', "");
Expect(0, 3888, '\p{^Is_Numeric_Value: 013/0002}', "");
Expect(0, 3888, '\P{Is_Numeric_Value: 013/0002}', "");
Expect(1, 3888, '\P{^Is_Numeric_Value: 013/0002}', "");
Expect(0, 3887, '\p{Is_Numeric_Value: 013/0002}', "");
Expect(1, 3887, '\p{^Is_Numeric_Value: 013/0002}', "");
Expect(1, 3887, '\P{Is_Numeric_Value: 013/0002}', "");
Expect(0, 3887, '\P{^Is_Numeric_Value: 013/0002}', "");
Expect(1, 3888, '\p{Is_Numeric_Value=6.500}', "");
Expect(0, 3888, '\p{^Is_Numeric_Value=6.500}', "");
Expect(0, 3888, '\P{Is_Numeric_Value=6.500}', "");
Expect(1, 3888, '\P{^Is_Numeric_Value=6.500}', "");
Expect(0, 3887, '\p{Is_Numeric_Value=6.500}', "");
Expect(1, 3887, '\p{^Is_Numeric_Value=6.500}', "");
Expect(1, 3887, '\P{Is_Numeric_Value=6.500}', "");
Expect(0, 3887, '\P{^Is_Numeric_Value=6.500}', "");
Error('\p{Is_Nv=/a/--0013/0002}');
Error('\P{Is_Nv=/a/--0013/0002}');
Expect(1, 3888, '\p{Is_Nv=+00000013/000002}', "");
Expect(0, 3888, '\p{^Is_Nv=+00000013/000002}', "");
Expect(0, 3888, '\P{Is_Nv=+00000013/000002}', "");
Expect(1, 3888, '\P{^Is_Nv=+00000013/000002}', "");
Expect(0, 3887, '\p{Is_Nv=+00000013/000002}', "");
Expect(1, 3887, '\p{^Is_Nv=+00000013/000002}', "");
Expect(1, 3887, '\P{Is_Nv=+00000013/000002}', "");
Expect(0, 3887, '\P{^Is_Nv=+00000013/000002}', "");
Expect(1, 3888, '\p{Is_Nv=6.500}', "");
Expect(0, 3888, '\p{^Is_Nv=6.500}', "");
Expect(0, 3888, '\P{Is_Nv=6.500}', "");
Expect(1, 3888, '\P{^Is_Nv=6.500}', "");
Expect(0, 3887, '\p{Is_Nv=6.500}', "");
Expect(1, 3887, '\p{^Is_Nv=6.500}', "");
Expect(1, 3887, '\P{Is_Nv=6.500}', "");
Expect(0, 3887, '\P{^Is_Nv=6.500}', "");
Error('\p{Numeric_Value=	-0/a/0 048}');
Error('\P{Numeric_Value=	-0/a/0 048}');
Expect(1, 12989, '\p{Numeric_Value=+0_0_0_0_0_0_048}', "");
Expect(0, 12989, '\p{^Numeric_Value=+0_0_0_0_0_0_048}', "");
Expect(0, 12989, '\P{Numeric_Value=+0_0_0_0_0_0_048}', "");
Expect(1, 12989, '\P{^Numeric_Value=+0_0_0_0_0_0_048}', "");
Expect(0, 12988, '\p{Numeric_Value=+0_0_0_0_0_0_048}', "");
Expect(1, 12988, '\p{^Numeric_Value=+0_0_0_0_0_0_048}', "");
Expect(1, 12988, '\P{Numeric_Value=+0_0_0_0_0_0_048}', "");
Expect(0, 12988, '\P{^Numeric_Value=+0_0_0_0_0_0_048}', "");
Error('\p{Nv=/a/_	48}');
Error('\P{Nv=/a/_	48}');
Expect(1, 12989, '\p{Nv: +00_00_00_00_048}', "");
Expect(0, 12989, '\p{^Nv: +00_00_00_00_048}', "");
Expect(0, 12989, '\P{Nv: +00_00_00_00_048}', "");
Expect(1, 12989, '\P{^Nv: +00_00_00_00_048}', "");
Expect(0, 12988, '\p{Nv: +00_00_00_00_048}', "");
Expect(1, 12988, '\p{^Nv: +00_00_00_00_048}', "");
Expect(1, 12988, '\P{Nv: +00_00_00_00_048}', "");
Expect(0, 12988, '\P{^Nv: +00_00_00_00_048}', "");
Error('\p{Is_Numeric_Value=--0:=0-0-00	0_0-0_0_48}');
Error('\P{Is_Numeric_Value=--0:=0-0-00	0_0-0_0_48}');
Expect(1, 12989, '\p{Is_Numeric_Value=004_8}', "");
Expect(0, 12989, '\p{^Is_Numeric_Value=004_8}', "");
Expect(0, 12989, '\P{Is_Numeric_Value=004_8}', "");
Expect(1, 12989, '\P{^Is_Numeric_Value=004_8}', "");
Expect(0, 12988, '\p{Is_Numeric_Value=004_8}', "");
Expect(1, 12988, '\p{^Is_Numeric_Value=004_8}', "");
Expect(1, 12988, '\P{Is_Numeric_Value=004_8}', "");
Expect(0, 12988, '\P{^Is_Numeric_Value=004_8}', "");
Error('\p{Is_Nv:   /a/ 0048}');
Error('\P{Is_Nv:   /a/ 0048}');
Expect(1, 12989, '\p{Is_Nv=+048}', "");
Expect(0, 12989, '\p{^Is_Nv=+048}', "");
Expect(0, 12989, '\P{Is_Nv=+048}', "");
Expect(1, 12989, '\P{^Is_Nv=+048}', "");
Expect(0, 12988, '\p{Is_Nv=+048}', "");
Expect(1, 12988, '\p{^Is_Nv=+048}', "");
Expect(1, 12988, '\P{Is_Nv=+048}', "");
Expect(0, 12988, '\P{^Is_Nv=+048}', "");
Error('\p{Numeric_Value=:=0001/000000003}');
Error('\P{Numeric_Value=:=0001/000000003}');
Expect(1, 8531, '\p{Numeric_Value=00001/003}', "");
Expect(0, 8531, '\p{^Numeric_Value=00001/003}', "");
Expect(0, 8531, '\P{Numeric_Value=00001/003}', "");
Expect(1, 8531, '\P{^Numeric_Value=00001/003}', "");
Expect(0, 8530, '\p{Numeric_Value=00001/003}', "");
Expect(1, 8530, '\p{^Numeric_Value=00001/003}', "");
Expect(1, 8530, '\P{Numeric_Value=00001/003}', "");
Expect(0, 8530, '\P{^Numeric_Value=00001/003}', "");
Error('\p{Numeric_Value=0.3}');
Error('\P{Numeric_Value=0.3}');
Error('\p{Numeric_Value=0.33}');
Error('\P{Numeric_Value=0.33}');
Expect(1, 8531, '\p{Numeric_Value=0.333}', "");
Expect(0, 8531, '\p{^Numeric_Value=0.333}', "");
Expect(0, 8531, '\P{Numeric_Value=0.333}', "");
Expect(1, 8531, '\P{^Numeric_Value=0.333}', "");
Expect(0, 8530, '\p{Numeric_Value=0.333}', "");
Expect(1, 8530, '\p{^Numeric_Value=0.333}', "");
Expect(1, 8530, '\P{Numeric_Value=0.333}', "");
Expect(0, 8530, '\P{^Numeric_Value=0.333}', "");
Error('\p{Nv=- 1/00000003:=}');
Error('\P{Nv=- 1/00000003:=}');
Expect(1, 8531, '\p{Nv=0000000001/0000000003}', "");
Expect(0, 8531, '\p{^Nv=0000000001/0000000003}', "");
Expect(0, 8531, '\P{Nv=0000000001/0000000003}', "");
Expect(1, 8531, '\P{^Nv=0000000001/0000000003}', "");
Expect(0, 8530, '\p{Nv=0000000001/0000000003}', "");
Expect(1, 8530, '\p{^Nv=0000000001/0000000003}', "");
Expect(1, 8530, '\P{Nv=0000000001/0000000003}', "");
Expect(0, 8530, '\P{^Nv=0000000001/0000000003}', "");
Error('\p{Nv=0.3}');
Error('\P{Nv=0.3}');
Error('\p{Nv=0.33}');
Error('\P{Nv=0.33}');
Expect(1, 8531, '\p{Nv:	0.333}', "");
Expect(0, 8531, '\p{^Nv:	0.333}', "");
Expect(0, 8531, '\P{Nv:	0.333}', "");
Expect(1, 8531, '\P{^Nv:	0.333}', "");
Expect(0, 8530, '\p{Nv:	0.333}', "");
Expect(1, 8530, '\p{^Nv:	0.333}', "");
Expect(1, 8530, '\P{Nv:	0.333}', "");
Expect(0, 8530, '\P{^Nv:	0.333}', "");
Error('\p{Is_Numeric_Value=	-00001/000003/a/}');
Error('\P{Is_Numeric_Value=	-00001/000003/a/}');
Expect(1, 8531, '\p{Is_Numeric_Value:   000000001/0000000003}', "");
Expect(0, 8531, '\p{^Is_Numeric_Value:   000000001/0000000003}', "");
Expect(0, 8531, '\P{Is_Numeric_Value:   000000001/0000000003}', "");
Expect(1, 8531, '\P{^Is_Numeric_Value:   000000001/0000000003}', "");
Expect(0, 8530, '\p{Is_Numeric_Value:   000000001/0000000003}', "");
Expect(1, 8530, '\p{^Is_Numeric_Value:   000000001/0000000003}', "");
Expect(1, 8530, '\P{Is_Numeric_Value:   000000001/0000000003}', "");
Expect(0, 8530, '\P{^Is_Numeric_Value:   000000001/0000000003}', "");
Error('\p{Is_Numeric_Value=0.3}');
Error('\P{Is_Numeric_Value=0.3}');
Error('\p{Is_Numeric_Value:0.33}');
Error('\P{Is_Numeric_Value:0.33}');
Expect(1, 8531, '\p{Is_Numeric_Value=0.333}', "");
Expect(0, 8531, '\p{^Is_Numeric_Value=0.333}', "");
Expect(0, 8531, '\P{Is_Numeric_Value=0.333}', "");
Expect(1, 8531, '\P{^Is_Numeric_Value=0.333}', "");
Expect(0, 8530, '\p{Is_Numeric_Value=0.333}', "");
Expect(1, 8530, '\p{^Is_Numeric_Value=0.333}', "");
Expect(1, 8530, '\P{Is_Numeric_Value=0.333}', "");
Expect(0, 8530, '\P{^Is_Numeric_Value=0.333}', "");
Error('\p{Is_Nv=	:=000001/003}');
Error('\P{Is_Nv=	:=000001/003}');
Expect(1, 8531, '\p{Is_Nv=000000001/0000000003}', "");
Expect(0, 8531, '\p{^Is_Nv=000000001/0000000003}', "");
Expect(0, 8531, '\P{Is_Nv=000000001/0000000003}', "");
Expect(1, 8531, '\P{^Is_Nv=000000001/0000000003}', "");
Expect(0, 8530, '\p{Is_Nv=000000001/0000000003}', "");
Expect(1, 8530, '\p{^Is_Nv=000000001/0000000003}', "");
Expect(1, 8530, '\P{Is_Nv=000000001/0000000003}', "");
Expect(0, 8530, '\P{^Is_Nv=000000001/0000000003}', "");
Error('\p{Is_Nv: 0.3}');
Error('\P{Is_Nv: 0.3}');
Error('\p{Is_Nv=0.33}');
Error('\P{Is_Nv=0.33}');
Expect(1, 8531, '\p{Is_Nv=0.333}', "");
Expect(0, 8531, '\p{^Is_Nv=0.333}', "");
Expect(0, 8531, '\P{Is_Nv=0.333}', "");
Expect(1, 8531, '\P{^Is_Nv=0.333}', "");
Expect(0, 8530, '\p{Is_Nv=0.333}', "");
Expect(1, 8530, '\p{^Is_Nv=0.333}', "");
Expect(1, 8530, '\P{Is_Nv=0.333}', "");
Expect(0, 8530, '\P{^Is_Nv=0.333}', "");
Error('\p{Numeric_Value=_-000002000:=}');
Error('\P{Numeric_Value=_-000002000:=}');
Expect(1, 65827, '\p{Numeric_Value=0000002000}', "");
Expect(0, 65827, '\p{^Numeric_Value=0000002000}', "");
Expect(0, 65827, '\P{Numeric_Value=0000002000}', "");
Expect(1, 65827, '\P{^Numeric_Value=0000002000}', "");
Expect(0, 65826, '\p{Numeric_Value=0000002000}', "");
Expect(1, 65826, '\p{^Numeric_Value=0000002000}', "");
Expect(1, 65826, '\P{Numeric_Value=0000002000}', "");
Expect(0, 65826, '\P{^Numeric_Value=0000002000}', "");
Error('\p{Nv=	00000000200:=0}');
Error('\P{Nv=	00000000200:=0}');
Expect(1, 65827, '\p{Nv=00_00_00_02_000}', "");
Expect(0, 65827, '\p{^Nv=00_00_00_02_000}', "");
Expect(0, 65827, '\P{Nv=00_00_00_02_000}', "");
Expect(1, 65827, '\P{^Nv=00_00_00_02_000}', "");
Expect(0, 65826, '\p{Nv=00_00_00_02_000}', "");
Expect(1, 65826, '\p{^Nv=00_00_00_02_000}', "");
Expect(1, 65826, '\P{Nv=00_00_00_02_000}', "");
Expect(0, 65826, '\P{^Nv=00_00_00_02_000}', "");
Error('\p{Is_Numeric_Value=:=0200	0}');
Error('\P{Is_Numeric_Value=:=0200	0}');
Expect(1, 65827, '\p{Is_Numeric_Value=02000}', "");
Expect(0, 65827, '\p{^Is_Numeric_Value=02000}', "");
Expect(0, 65827, '\P{Is_Numeric_Value=02000}', "");
Expect(1, 65827, '\P{^Is_Numeric_Value=02000}', "");
Expect(0, 65826, '\p{Is_Numeric_Value=02000}', "");
Expect(1, 65826, '\p{^Is_Numeric_Value=02000}', "");
Expect(1, 65826, '\P{Is_Numeric_Value=02000}', "");
Expect(0, 65826, '\P{^Is_Numeric_Value=02000}', "");
Error('\p{Is_Nv=/a/+002000}');
Error('\P{Is_Nv=/a/+002000}');
Expect(1, 65827, '\p{Is_Nv=2000}', "");
Expect(0, 65827, '\p{^Is_Nv=2000}', "");
Expect(0, 65827, '\P{Is_Nv=2000}', "");
Expect(1, 65827, '\P{^Is_Nv=2000}', "");
Expect(0, 65826, '\p{Is_Nv=2000}', "");
Expect(1, 65826, '\p{^Is_Nv=2000}', "");
Expect(1, 65826, '\P{Is_Nv=2000}', "");
Expect(0, 65826, '\P{^Is_Nv=2000}', "");
Error('\p{Numeric_Value=_ 000000029:=}');
Error('\P{Numeric_Value=_ 000000029:=}');
Expect(1, 12889, '\p{Numeric_Value=00_00_00_02_9}', "");
Expect(0, 12889, '\p{^Numeric_Value=00_00_00_02_9}', "");
Expect(0, 12889, '\P{Numeric_Value=00_00_00_02_9}', "");
Expect(1, 12889, '\P{^Numeric_Value=00_00_00_02_9}', "");
Expect(0, 12888, '\p{Numeric_Value=00_00_00_02_9}', "");
Expect(1, 12888, '\p{^Numeric_Value=00_00_00_02_9}', "");
Expect(1, 12888, '\P{Numeric_Value=00_00_00_02_9}', "");
Expect(0, 12888, '\P{^Numeric_Value=00_00_00_02_9}', "");
Error('\p{Nv=	 00000029/a/}');
Error('\P{Nv=	 00000029/a/}');
Expect(1, 12889, '\p{Nv=0_0_0_0_0_0_0_0_029}', "");
Expect(0, 12889, '\p{^Nv=0_0_0_0_0_0_0_0_029}', "");
Expect(0, 12889, '\P{Nv=0_0_0_0_0_0_0_0_029}', "");
Expect(1, 12889, '\P{^Nv=0_0_0_0_0_0_0_0_029}', "");
Expect(0, 12888, '\p{Nv=0_0_0_0_0_0_0_0_029}', "");
Expect(1, 12888, '\p{^Nv=0_0_0_0_0_0_0_0_029}', "");
Expect(1, 12888, '\P{Nv=0_0_0_0_0_0_0_0_029}', "");
Expect(0, 12888, '\P{^Nv=0_0_0_0_0_0_0_0_029}', "");
Error('\p{Is_Numeric_Value=-:=000002-9}');
Error('\P{Is_Numeric_Value=-:=000002-9}');
Expect(1, 12889, '\p{Is_Numeric_Value=+00029}', "");
Expect(0, 12889, '\p{^Is_Numeric_Value=+00029}', "");
Expect(0, 12889, '\P{Is_Numeric_Value=+00029}', "");
Expect(1, 12889, '\P{^Is_Numeric_Value=+00029}', "");
Expect(0, 12888, '\p{Is_Numeric_Value=+00029}', "");
Expect(1, 12888, '\p{^Is_Numeric_Value=+00029}', "");
Expect(1, 12888, '\P{Is_Numeric_Value=+00029}', "");
Expect(0, 12888, '\P{^Is_Numeric_Value=+00029}', "");
Error('\p{Is_Nv:- 0/a/0_0 0-0 00029}');
Error('\P{Is_Nv:- 0/a/0_0 0-0 00029}');
Expect(1, 12889, '\p{Is_Nv=000029}', "");
Expect(0, 12889, '\p{^Is_Nv=000029}', "");
Expect(0, 12889, '\P{Is_Nv=000029}', "");
Expect(1, 12889, '\P{^Is_Nv=000029}', "");
Expect(0, 12888, '\p{Is_Nv=000029}', "");
Expect(1, 12888, '\p{^Is_Nv=000029}', "");
Expect(1, 12888, '\P{Is_Nv=000029}', "");
Expect(0, 12888, '\P{^Is_Nv=000029}', "");
Error('\p{Numeric_Value= 000000000100000/a/}');
Error('\P{Numeric_Value= 000000000100000/a/}');
Expect(1, 8584, '\p{Numeric_Value=+00000100000}', "");
Expect(0, 8584, '\p{^Numeric_Value=+00000100000}', "");
Expect(0, 8584, '\P{Numeric_Value=+00000100000}', "");
Expect(1, 8584, '\P{^Numeric_Value=+00000100000}', "");
Expect(0, 8583, '\p{Numeric_Value=+00000100000}', "");
Expect(1, 8583, '\p{^Numeric_Value=+00000100000}', "");
Expect(1, 8583, '\P{Numeric_Value=+00000100000}', "");
Expect(0, 8583, '\P{^Numeric_Value=+00000100000}', "");
Error('\p{Nv=:=-_+010000-0}');
Error('\P{Nv=:=-_+010000-0}');
Expect(1, 8584, '\p{Nv=000000000100000}', "");
Expect(0, 8584, '\p{^Nv=000000000100000}', "");
Expect(0, 8584, '\P{Nv=000000000100000}', "");
Expect(1, 8584, '\P{^Nv=000000000100000}', "");
Expect(0, 8583, '\p{Nv=000000000100000}', "");
Expect(1, 8583, '\p{^Nv=000000000100000}', "");
Expect(1, 8583, '\P{Nv=000000000100000}', "");
Expect(0, 8583, '\P{^Nv=000000000100000}', "");
Error('\p{Is_Numeric_Value=- +0_0-1	00	000:=}');
Error('\P{Is_Numeric_Value=- +0_0-1	00	000:=}');
Expect(1, 8584, '\p{Is_Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(0, 8584, '\p{^Is_Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(0, 8584, '\P{Is_Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(1, 8584, '\P{^Is_Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(0, 8583, '\p{Is_Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(1, 8583, '\p{^Is_Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(1, 8583, '\P{Is_Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(0, 8583, '\P{^Is_Numeric_Value=0_0_1_0_0_0_00}', "");
Error('\p{Is_Nv: 	000100000/a/}');
Error('\P{Is_Nv: 	000100000/a/}');
Expect(1, 8584, '\p{Is_Nv:0_0_0_0_1_0_0_0_00}', "");
Expect(0, 8584, '\p{^Is_Nv:0_0_0_0_1_0_0_0_00}', "");
Expect(0, 8584, '\P{Is_Nv:0_0_0_0_1_0_0_0_00}', "");
Expect(1, 8584, '\P{^Is_Nv:0_0_0_0_1_0_0_0_00}', "");
Expect(0, 8583, '\p{Is_Nv:0_0_0_0_1_0_0_0_00}', "");
Expect(1, 8583, '\p{^Is_Nv:0_0_0_0_1_0_0_0_00}', "");
Expect(1, 8583, '\P{Is_Nv:0_0_0_0_1_0_0_0_00}', "");
Expect(0, 8583, '\P{^Is_Nv:0_0_0_0_1_0_0_0_00}', "");
Error('\p{Numeric_Value= _050:=}');
Error('\P{Numeric_Value= _050:=}');
Expect(1, 4982, '\p{Numeric_Value=+5_0}', "");
Expect(0, 4982, '\p{^Numeric_Value=+5_0}', "");
Expect(0, 4982, '\P{Numeric_Value=+5_0}', "");
Expect(1, 4982, '\P{^Numeric_Value=+5_0}', "");
Expect(0, 4981, '\p{Numeric_Value=+5_0}', "");
Expect(1, 4981, '\p{^Numeric_Value=+5_0}', "");
Expect(1, 4981, '\P{Numeric_Value=+5_0}', "");
Expect(0, 4981, '\P{^Numeric_Value=+5_0}', "");
Error('\p{Nv=  0-0	0_0-0 0:=50}');
Error('\P{Nv=  0-0	0_0-0 0:=50}');
Expect(1, 4982, '\p{Nv=05_0}', "");
Expect(0, 4982, '\p{^Nv=05_0}', "");
Expect(0, 4982, '\P{Nv=05_0}', "");
Expect(1, 4982, '\P{^Nv=05_0}', "");
Expect(0, 4981, '\p{Nv=05_0}', "");
Expect(1, 4981, '\p{^Nv=05_0}', "");
Expect(1, 4981, '\P{Nv=05_0}', "");
Expect(0, 4981, '\P{^Nv=05_0}', "");
Error('\p{Is_Numeric_Value=:=000050}');
Error('\P{Is_Numeric_Value=:=000050}');
Expect(1, 4982, '\p{Is_Numeric_Value=50}', "");
Expect(0, 4982, '\p{^Is_Numeric_Value=50}', "");
Expect(0, 4982, '\P{Is_Numeric_Value=50}', "");
Expect(1, 4982, '\P{^Is_Numeric_Value=50}', "");
Expect(0, 4981, '\p{Is_Numeric_Value=50}', "");
Expect(1, 4981, '\p{^Is_Numeric_Value=50}', "");
Expect(1, 4981, '\P{Is_Numeric_Value=50}', "");
Expect(0, 4981, '\P{^Is_Numeric_Value=50}', "");
Error('\p{Is_Nv=/a/-00000050}');
Error('\P{Is_Nv=/a/-00000050}');
Expect(1, 4982, '\p{Is_Nv=0000050}', "");
Expect(0, 4982, '\p{^Is_Nv=0000050}', "");
Expect(0, 4982, '\P{Is_Nv=0000050}', "");
Expect(1, 4982, '\P{^Is_Nv=0000050}', "");
Expect(0, 4981, '\p{Is_Nv=0000050}', "");
Expect(1, 4981, '\p{^Is_Nv=0000050}', "");
Expect(1, 4981, '\P{Is_Nv=0000050}', "");
Expect(0, 4981, '\P{^Is_Nv=0000050}', "");
Error('\p{Numeric_Value=__+00-00 00/a/39}');
Error('\P{Numeric_Value=__+00-00 00/a/39}');
Expect(1, 12980, '\p{Numeric_Value=+0000_0000_39}', "");
Expect(0, 12980, '\p{^Numeric_Value=+0000_0000_39}', "");
Expect(0, 12980, '\P{Numeric_Value=+0000_0000_39}', "");
Expect(1, 12980, '\P{^Numeric_Value=+0000_0000_39}', "");
Expect(0, 12979, '\p{Numeric_Value=+0000_0000_39}', "");
Expect(1, 12979, '\p{^Numeric_Value=+0000_0000_39}', "");
Expect(1, 12979, '\P{Numeric_Value=+0000_0000_39}', "");
Expect(0, 12979, '\P{^Numeric_Value=+0000_0000_39}', "");
Error('\p{Nv:-+000/a/003-9}');
Error('\P{Nv:-+000/a/003-9}');
Expect(1, 12980, '\p{Nv=0_0_0_039}', "");
Expect(0, 12980, '\p{^Nv=0_0_0_039}', "");
Expect(0, 12980, '\P{Nv=0_0_0_039}', "");
Expect(1, 12980, '\P{^Nv=0_0_0_039}', "");
Expect(0, 12979, '\p{Nv=0_0_0_039}', "");
Expect(1, 12979, '\p{^Nv=0_0_0_039}', "");
Expect(1, 12979, '\P{Nv=0_0_0_039}', "");
Expect(0, 12979, '\P{^Nv=0_0_0_039}', "");
Error('\p{Is_Numeric_Value=/a/--+0000039}');
Error('\P{Is_Numeric_Value=/a/--+0000039}');
Expect(1, 12980, '\p{Is_Numeric_Value=0039}', "");
Expect(0, 12980, '\p{^Is_Numeric_Value=0039}', "");
Expect(0, 12980, '\P{Is_Numeric_Value=0039}', "");
Expect(1, 12980, '\P{^Is_Numeric_Value=0039}', "");
Expect(0, 12979, '\p{Is_Numeric_Value=0039}', "");
Expect(1, 12979, '\p{^Is_Numeric_Value=0039}', "");
Expect(1, 12979, '\P{Is_Numeric_Value=0039}', "");
Expect(0, 12979, '\P{^Is_Numeric_Value=0039}', "");
Error('\p{Is_Nv=/a/+3	9}');
Error('\P{Is_Nv=/a/+3	9}');
Expect(1, 12980, '\p{Is_Nv=+039}', "");
Expect(0, 12980, '\p{^Is_Nv=+039}', "");
Expect(0, 12980, '\P{Is_Nv=+039}', "");
Expect(1, 12980, '\P{^Is_Nv=+039}', "");
Expect(0, 12979, '\p{Is_Nv=+039}', "");
Expect(1, 12979, '\p{^Is_Nv=+039}', "");
Expect(1, 12979, '\P{Is_Nv=+039}', "");
Expect(0, 12979, '\P{^Is_Nv=+039}', "");
Error('\p{Numeric_Value=:=-	000000001/016}');
Error('\P{Numeric_Value=:=-	000000001/016}');
Expect(1, 2548, '\p{Numeric_Value=+1/16}', "");
Expect(0, 2548, '\p{^Numeric_Value=+1/16}', "");
Expect(0, 2548, '\P{Numeric_Value=+1/16}', "");
Expect(1, 2548, '\P{^Numeric_Value=+1/16}', "");
Expect(0, 2547, '\p{Numeric_Value=+1/16}', "");
Expect(1, 2547, '\p{^Numeric_Value=+1/16}', "");
Expect(1, 2547, '\P{Numeric_Value=+1/16}', "");
Expect(0, 2547, '\P{^Numeric_Value=+1/16}', "");
Error('\p{Numeric_Value:	0.06}');
Error('\P{Numeric_Value:	0.06}');
Expect(1, 2548, '\p{Numeric_Value:   0.063}', "");
Expect(0, 2548, '\p{^Numeric_Value:   0.063}', "");
Expect(0, 2548, '\P{Numeric_Value:   0.063}', "");
Expect(1, 2548, '\P{^Numeric_Value:   0.063}', "");
Expect(0, 2547, '\p{Numeric_Value:   0.063}', "");
Expect(1, 2547, '\p{^Numeric_Value:   0.063}', "");
Expect(1, 2547, '\P{Numeric_Value:   0.063}', "");
Expect(0, 2547, '\P{^Numeric_Value:   0.063}', "");
Error('\p{Nv=/a/000000001/00016}');
Error('\P{Nv=/a/000000001/00016}');
Expect(1, 2548, '\p{Nv=+000000001/0000000016}', "");
Expect(0, 2548, '\p{^Nv=+000000001/0000000016}', "");
Expect(0, 2548, '\P{Nv=+000000001/0000000016}', "");
Expect(1, 2548, '\P{^Nv=+000000001/0000000016}', "");
Expect(0, 2547, '\p{Nv=+000000001/0000000016}', "");
Expect(1, 2547, '\p{^Nv=+000000001/0000000016}', "");
Expect(1, 2547, '\P{Nv=+000000001/0000000016}', "");
Expect(0, 2547, '\P{^Nv=+000000001/0000000016}', "");
Error('\p{Nv:0.06}');
Error('\P{Nv:0.06}');
Expect(1, 2548, '\p{Nv: 0.063}', "");
Expect(0, 2548, '\p{^Nv: 0.063}', "");
Expect(0, 2548, '\P{Nv: 0.063}', "");
Expect(1, 2548, '\P{^Nv: 0.063}', "");
Expect(0, 2547, '\p{Nv: 0.063}', "");
Expect(1, 2547, '\p{^Nv: 0.063}', "");
Expect(1, 2547, '\P{Nv: 0.063}', "");
Expect(0, 2547, '\P{^Nv: 0.063}', "");
Error('\p{Is_Numeric_Value=0000000001/00000000016:=}');
Error('\P{Is_Numeric_Value=0000000001/00000000016:=}');
Expect(1, 2548, '\p{Is_Numeric_Value=+001/000000016}', "");
Expect(0, 2548, '\p{^Is_Numeric_Value=+001/000000016}', "");
Expect(0, 2548, '\P{Is_Numeric_Value=+001/000000016}', "");
Expect(1, 2548, '\P{^Is_Numeric_Value=+001/000000016}', "");
Expect(0, 2547, '\p{Is_Numeric_Value=+001/000000016}', "");
Expect(1, 2547, '\p{^Is_Numeric_Value=+001/000000016}', "");
Expect(1, 2547, '\P{Is_Numeric_Value=+001/000000016}', "");
Expect(0, 2547, '\P{^Is_Numeric_Value=+001/000000016}', "");
Error('\p{Is_Numeric_Value=0.06}');
Error('\P{Is_Numeric_Value=0.06}');
Expect(1, 2548, '\p{Is_Numeric_Value=0.063}', "");
Expect(0, 2548, '\p{^Is_Numeric_Value=0.063}', "");
Expect(0, 2548, '\P{Is_Numeric_Value=0.063}', "");
Expect(1, 2548, '\P{^Is_Numeric_Value=0.063}', "");
Expect(0, 2547, '\p{Is_Numeric_Value=0.063}', "");
Expect(1, 2547, '\p{^Is_Numeric_Value=0.063}', "");
Expect(1, 2547, '\P{Is_Numeric_Value=0.063}', "");
Expect(0, 2547, '\P{^Is_Numeric_Value=0.063}', "");
Error('\p{Is_Nv=		0000000001/00000000016:=}');
Error('\P{Is_Nv=		0000000001/00000000016:=}');
Expect(1, 2548, '\p{Is_Nv=+0000001/00000016}', "");
Expect(0, 2548, '\p{^Is_Nv=+0000001/00000016}', "");
Expect(0, 2548, '\P{Is_Nv=+0000001/00000016}', "");
Expect(1, 2548, '\P{^Is_Nv=+0000001/00000016}', "");
Expect(0, 2547, '\p{Is_Nv=+0000001/00000016}', "");
Expect(1, 2547, '\p{^Is_Nv=+0000001/00000016}', "");
Expect(1, 2547, '\P{Is_Nv=+0000001/00000016}', "");
Expect(0, 2547, '\P{^Is_Nv=+0000001/00000016}', "");
Error('\p{Is_Nv=0.06}');
Error('\P{Is_Nv=0.06}');
Expect(1, 2548, '\p{Is_Nv=0.063}', "");
Expect(0, 2548, '\p{^Is_Nv=0.063}', "");
Expect(0, 2548, '\P{Is_Nv=0.063}', "");
Expect(1, 2548, '\P{^Is_Nv=0.063}', "");
Expect(0, 2547, '\p{Is_Nv=0.063}', "");
Expect(1, 2547, '\p{^Is_Nv=0.063}', "");
Expect(1, 2547, '\P{Is_Nv=0.063}', "");
Expect(0, 2547, '\P{^Is_Nv=0.063}', "");
Error('\p{Numeric_Value=_00003/00002/a/}');
Error('\P{Numeric_Value=_00003/00002/a/}');
Expect(1, 3883, '\p{Numeric_Value=0000003/2}', "");
Expect(0, 3883, '\p{^Numeric_Value=0000003/2}', "");
Expect(0, 3883, '\P{Numeric_Value=0000003/2}', "");
Expect(1, 3883, '\P{^Numeric_Value=0000003/2}', "");
Expect(0, 3882, '\p{Numeric_Value=0000003/2}', "");
Expect(1, 3882, '\p{^Numeric_Value=0000003/2}', "");
Expect(1, 3882, '\P{Numeric_Value=0000003/2}', "");
Expect(0, 3882, '\P{^Numeric_Value=0000003/2}', "");
Expect(1, 3883, '\p{Numeric_Value=1.500}', "");
Expect(0, 3883, '\p{^Numeric_Value=1.500}', "");
Expect(0, 3883, '\P{Numeric_Value=1.500}', "");
Expect(1, 3883, '\P{^Numeric_Value=1.500}', "");
Expect(0, 3882, '\p{Numeric_Value=1.500}', "");
Expect(1, 3882, '\p{^Numeric_Value=1.500}', "");
Expect(1, 3882, '\P{Numeric_Value=1.500}', "");
Expect(0, 3882, '\P{^Numeric_Value=1.500}', "");
Error('\p{Nv=_0000000003/00000002/a/}');
Error('\P{Nv=_0000000003/00000002/a/}');
Expect(1, 3883, '\p{Nv=00000003/00002}', "");
Expect(0, 3883, '\p{^Nv=00000003/00002}', "");
Expect(0, 3883, '\P{Nv=00000003/00002}', "");
Expect(1, 3883, '\P{^Nv=00000003/00002}', "");
Expect(0, 3882, '\p{Nv=00000003/00002}', "");
Expect(1, 3882, '\p{^Nv=00000003/00002}', "");
Expect(1, 3882, '\P{Nv=00000003/00002}', "");
Expect(0, 3882, '\P{^Nv=00000003/00002}', "");
Expect(1, 3883, '\p{Nv=1.500}', "");
Expect(0, 3883, '\p{^Nv=1.500}', "");
Expect(0, 3883, '\P{Nv=1.500}', "");
Expect(1, 3883, '\P{^Nv=1.500}', "");
Expect(0, 3882, '\p{Nv=1.500}', "");
Expect(1, 3882, '\p{^Nv=1.500}', "");
Expect(1, 3882, '\P{Nv=1.500}', "");
Expect(0, 3882, '\P{^Nv=1.500}', "");
Error('\p{Is_Numeric_Value=	_+003/0000002/a/}');
Error('\P{Is_Numeric_Value=	_+003/0000002/a/}');
Expect(1, 3883, '\p{Is_Numeric_Value=3/0000000002}', "");
Expect(0, 3883, '\p{^Is_Numeric_Value=3/0000000002}', "");
Expect(0, 3883, '\P{Is_Numeric_Value=3/0000000002}', "");
Expect(1, 3883, '\P{^Is_Numeric_Value=3/0000000002}', "");
Expect(0, 3882, '\p{Is_Numeric_Value=3/0000000002}', "");
Expect(1, 3882, '\p{^Is_Numeric_Value=3/0000000002}', "");
Expect(1, 3882, '\P{Is_Numeric_Value=3/0000000002}', "");
Expect(0, 3882, '\P{^Is_Numeric_Value=3/0000000002}', "");
Expect(1, 3883, '\p{Is_Numeric_Value:1.500}', "");
Expect(0, 3883, '\p{^Is_Numeric_Value:1.500}', "");
Expect(0, 3883, '\P{Is_Numeric_Value:1.500}', "");
Expect(1, 3883, '\P{^Is_Numeric_Value:1.500}', "");
Expect(0, 3882, '\p{Is_Numeric_Value:1.500}', "");
Expect(1, 3882, '\p{^Is_Numeric_Value:1.500}', "");
Expect(1, 3882, '\P{Is_Numeric_Value:1.500}', "");
Expect(0, 3882, '\P{^Is_Numeric_Value:1.500}', "");
Error('\p{Is_Nv=/a/--0000003/000002}');
Error('\P{Is_Nv=/a/--0000003/000002}');
Expect(1, 3883, '\p{Is_Nv: 0000003/02}', "");
Expect(0, 3883, '\p{^Is_Nv: 0000003/02}', "");
Expect(0, 3883, '\P{Is_Nv: 0000003/02}', "");
Expect(1, 3883, '\P{^Is_Nv: 0000003/02}', "");
Expect(0, 3882, '\p{Is_Nv: 0000003/02}', "");
Expect(1, 3882, '\p{^Is_Nv: 0000003/02}', "");
Expect(1, 3882, '\P{Is_Nv: 0000003/02}', "");
Expect(0, 3882, '\P{^Is_Nv: 0000003/02}', "");
Expect(1, 3883, '\p{Is_Nv=1.500}', "");
Expect(0, 3883, '\p{^Is_Nv=1.500}', "");
Expect(0, 3883, '\P{Is_Nv=1.500}', "");
Expect(1, 3883, '\P{^Is_Nv=1.500}', "");
Expect(0, 3882, '\p{Is_Nv=1.500}', "");
Expect(1, 3882, '\p{^Is_Nv=1.500}', "");
Expect(1, 3882, '\P{Is_Nv=1.500}', "");
Expect(0, 3882, '\P{^Is_Nv=1.500}', "");
Error('\p{Numeric_Value=-	00000004/a/1}');
Error('\P{Numeric_Value=-	00000004/a/1}');
Expect(1, 12982, '\p{Numeric_Value=0000000041}', "");
Expect(0, 12982, '\p{^Numeric_Value=0000000041}', "");
Expect(0, 12982, '\P{Numeric_Value=0000000041}', "");
Expect(1, 12982, '\P{^Numeric_Value=0000000041}', "");
Expect(0, 12981, '\p{Numeric_Value=0000000041}', "");
Expect(1, 12981, '\p{^Numeric_Value=0000000041}', "");
Expect(1, 12981, '\P{Numeric_Value=0000000041}', "");
Expect(0, 12981, '\P{^Numeric_Value=0000000041}', "");
Error('\p{Nv=-:=+0000000041}');
Error('\P{Nv=-:=+0000000041}');
Expect(1, 12982, '\p{Nv=0_0_0_041}', "");
Expect(0, 12982, '\p{^Nv=0_0_0_041}', "");
Expect(0, 12982, '\P{Nv=0_0_0_041}', "");
Expect(1, 12982, '\P{^Nv=0_0_0_041}', "");
Expect(0, 12981, '\p{Nv=0_0_0_041}', "");
Expect(1, 12981, '\p{^Nv=0_0_0_041}', "");
Expect(1, 12981, '\P{Nv=0_0_0_041}', "");
Expect(0, 12981, '\P{^Nv=0_0_0_041}', "");
Error('\p{Is_Numeric_Value=_	00/a/00-00-41}');
Error('\P{Is_Numeric_Value=_	00/a/00-00-41}');
Expect(1, 12982, '\p{Is_Numeric_Value: +41}', "");
Expect(0, 12982, '\p{^Is_Numeric_Value: +41}', "");
Expect(0, 12982, '\P{Is_Numeric_Value: +41}', "");
Expect(1, 12982, '\P{^Is_Numeric_Value: +41}', "");
Expect(0, 12981, '\p{Is_Numeric_Value: +41}', "");
Expect(1, 12981, '\p{^Is_Numeric_Value: +41}', "");
Expect(1, 12981, '\P{Is_Numeric_Value: +41}', "");
Expect(0, 12981, '\P{^Is_Numeric_Value: +41}', "");
Error('\p{Is_Nv=_-0	0	0	0_00/a/041}');
Error('\P{Is_Nv=_-0	0	0	0_00/a/041}');
Expect(1, 12982, '\p{Is_Nv=+0000000041}', "");
Expect(0, 12982, '\p{^Is_Nv=+0000000041}', "");
Expect(0, 12982, '\P{Is_Nv=+0000000041}', "");
Expect(1, 12982, '\P{^Is_Nv=+0000000041}', "");
Expect(0, 12981, '\p{Is_Nv=+0000000041}', "");
Expect(1, 12981, '\p{^Is_Nv=+0000000041}', "");
Expect(1, 12981, '\P{Is_Nv=+0000000041}', "");
Expect(0, 12981, '\P{^Is_Nv=+0000000041}', "");
Error('\p{Numeric_Value=/a/--012}');
Error('\P{Numeric_Value=/a/--012}');
Expect(1, 8555, '\p{Numeric_Value=+000000012}', "");
Expect(0, 8555, '\p{^Numeric_Value=+000000012}', "");
Expect(0, 8555, '\P{Numeric_Value=+000000012}', "");
Expect(1, 8555, '\P{^Numeric_Value=+000000012}', "");
Expect(0, 8554, '\p{Numeric_Value=+000000012}', "");
Expect(1, 8554, '\p{^Numeric_Value=+000000012}', "");
Expect(1, 8554, '\P{Numeric_Value=+000000012}', "");
Expect(0, 8554, '\P{^Numeric_Value=+000000012}', "");
Error('\p{Nv=	:=0000000012}');
Error('\P{Nv=	:=0000000012}');
Expect(1, 8555, '\p{Nv=000_000_12}', "");
Expect(0, 8555, '\p{^Nv=000_000_12}', "");
Expect(0, 8555, '\P{Nv=000_000_12}', "");
Expect(1, 8555, '\P{^Nv=000_000_12}', "");
Expect(0, 8554, '\p{Nv=000_000_12}', "");
Expect(1, 8554, '\p{^Nv=000_000_12}', "");
Expect(1, 8554, '\P{Nv=000_000_12}', "");
Expect(0, 8554, '\P{^Nv=000_000_12}', "");
Error('\p{Is_Numeric_Value=-:=012}');
Error('\P{Is_Numeric_Value=-:=012}');
Expect(1, 8555, '\p{Is_Numeric_Value=12}', "");
Expect(0, 8555, '\p{^Is_Numeric_Value=12}', "");
Expect(0, 8555, '\P{Is_Numeric_Value=12}', "");
Expect(1, 8555, '\P{^Is_Numeric_Value=12}', "");
Expect(0, 8554, '\p{Is_Numeric_Value=12}', "");
Expect(1, 8554, '\p{^Is_Numeric_Value=12}', "");
Expect(1, 8554, '\P{Is_Numeric_Value=12}', "");
Expect(0, 8554, '\P{^Is_Numeric_Value=12}', "");
Error('\p{Is_Nv=/a/ 012}');
Error('\P{Is_Nv=/a/ 012}');
Expect(1, 8555, '\p{Is_Nv=+1_2}', "");
Expect(0, 8555, '\p{^Is_Nv=+1_2}', "");
Expect(0, 8555, '\P{Is_Nv=+1_2}', "");
Expect(1, 8555, '\P{^Is_Nv=+1_2}', "");
Expect(0, 8554, '\p{Is_Nv=+1_2}', "");
Expect(1, 8554, '\p{^Is_Nv=+1_2}', "");
Expect(1, 8554, '\P{Is_Nv=+1_2}', "");
Expect(0, 8554, '\P{^Is_Nv=+1_2}', "");
Error('\p{Numeric_Value=	:=00-00	00_00-15}');
Error('\P{Numeric_Value=	:=00-00	00_00-15}');
Expect(1, 9326, '\p{Numeric_Value=+00000000015}', "");
Expect(0, 9326, '\p{^Numeric_Value=+00000000015}', "");
Expect(0, 9326, '\P{Numeric_Value=+00000000015}', "");
Expect(1, 9326, '\P{^Numeric_Value=+00000000015}', "");
Expect(0, 9325, '\p{Numeric_Value=+00000000015}', "");
Expect(1, 9325, '\p{^Numeric_Value=+00000000015}', "");
Expect(1, 9325, '\P{Numeric_Value=+00000000015}', "");
Expect(0, 9325, '\P{^Numeric_Value=+00000000015}', "");
Error('\p{Nv=-/a/0015}');
Error('\P{Nv=-/a/0015}');
Expect(1, 9326, '\p{Nv=000000015}', "");
Expect(0, 9326, '\p{^Nv=000000015}', "");
Expect(0, 9326, '\P{Nv=000000015}', "");
Expect(1, 9326, '\P{^Nv=000000015}', "");
Expect(0, 9325, '\p{Nv=000000015}', "");
Expect(1, 9325, '\p{^Nv=000000015}', "");
Expect(1, 9325, '\P{Nv=000000015}', "");
Expect(0, 9325, '\P{^Nv=000000015}', "");
Error('\p{Is_Numeric_Value=-/a/+0015}');
Error('\P{Is_Numeric_Value=-/a/+0015}');
Expect(1, 9326, '\p{Is_Numeric_Value=+15}', "");
Expect(0, 9326, '\p{^Is_Numeric_Value=+15}', "");
Expect(0, 9326, '\P{Is_Numeric_Value=+15}', "");
Expect(1, 9326, '\P{^Is_Numeric_Value=+15}', "");
Expect(0, 9325, '\p{Is_Numeric_Value=+15}', "");
Expect(1, 9325, '\p{^Is_Numeric_Value=+15}', "");
Expect(1, 9325, '\P{Is_Numeric_Value=+15}', "");
Expect(0, 9325, '\P{^Is_Numeric_Value=+15}', "");
Error('\p{Is_Nv=	-00:=01	5}');
Error('\P{Is_Nv=	-00:=01	5}');
Expect(1, 9326, '\p{Is_Nv=0000_0001_5}', "");
Expect(0, 9326, '\p{^Is_Nv=0000_0001_5}', "");
Expect(0, 9326, '\P{Is_Nv=0000_0001_5}', "");
Expect(1, 9326, '\P{^Is_Nv=0000_0001_5}', "");
Expect(0, 9325, '\p{Is_Nv=0000_0001_5}', "");
Expect(1, 9325, '\p{^Is_Nv=0000_0001_5}', "");
Expect(1, 9325, '\P{Is_Nv=0000_0001_5}', "");
Expect(0, 9325, '\P{^Is_Nv=0000_0001_5}', "");
Error('\p{Numeric_Value:	_/a/0001/0000002}');
Error('\P{Numeric_Value:	_/a/0001/0000002}');
Expect(1, 3891, '\p{Numeric_Value=-0000001/0002}', "");
Expect(0, 3891, '\p{^Numeric_Value=-0000001/0002}', "");
Expect(0, 3891, '\P{Numeric_Value=-0000001/0002}', "");
Expect(1, 3891, '\P{^Numeric_Value=-0000001/0002}', "");
Expect(0, 3890, '\p{Numeric_Value=-0000001/0002}', "");
Expect(1, 3890, '\p{^Numeric_Value=-0000001/0002}', "");
Expect(1, 3890, '\P{Numeric_Value=-0000001/0002}', "");
Expect(0, 3890, '\P{^Numeric_Value=-0000001/0002}', "");
Expect(1, 3891, '\p{Numeric_Value=-0.500}', "");
Expect(0, 3891, '\p{^Numeric_Value=-0.500}', "");
Expect(0, 3891, '\P{Numeric_Value=-0.500}', "");
Expect(1, 3891, '\P{^Numeric_Value=-0.500}', "");
Expect(0, 3890, '\p{Numeric_Value=-0.500}', "");
Expect(1, 3890, '\p{^Numeric_Value=-0.500}', "");
Expect(1, 3890, '\P{Numeric_Value=-0.500}', "");
Expect(0, 3890, '\P{^Numeric_Value=-0.500}', "");
Error('\p{Nv:/a/_  0001/000000002}');
Error('\P{Nv:/a/_  0001/000000002}');
Expect(1, 3891, '\p{Nv=-000000001/00002}', "");
Expect(0, 3891, '\p{^Nv=-000000001/00002}', "");
Expect(0, 3891, '\P{Nv=-000000001/00002}', "");
Expect(1, 3891, '\P{^Nv=-000000001/00002}', "");
Expect(0, 3890, '\p{Nv=-000000001/00002}', "");
Expect(1, 3890, '\p{^Nv=-000000001/00002}', "");
Expect(1, 3890, '\P{Nv=-000000001/00002}', "");
Expect(0, 3890, '\P{^Nv=-000000001/00002}', "");
Expect(1, 3891, '\p{Nv=-0.500}', "");
Expect(0, 3891, '\p{^Nv=-0.500}', "");
Expect(0, 3891, '\P{Nv=-0.500}', "");
Expect(1, 3891, '\P{^Nv=-0.500}', "");
Expect(0, 3890, '\p{Nv=-0.500}', "");
Expect(1, 3890, '\p{^Nv=-0.500}', "");
Expect(1, 3890, '\P{Nv=-0.500}', "");
Expect(0, 3890, '\P{^Nv=-0.500}', "");
Error('\p{Is_Numeric_Value=-_	0001/0000000002:=}');
Error('\P{Is_Numeric_Value=-_	0001/0000000002:=}');
Expect(1, 3891, '\p{Is_Numeric_Value=-00001/2}', "");
Expect(0, 3891, '\p{^Is_Numeric_Value=-00001/2}', "");
Expect(0, 3891, '\P{Is_Numeric_Value=-00001/2}', "");
Expect(1, 3891, '\P{^Is_Numeric_Value=-00001/2}', "");
Expect(0, 3890, '\p{Is_Numeric_Value=-00001/2}', "");
Expect(1, 3890, '\p{^Is_Numeric_Value=-00001/2}', "");
Expect(1, 3890, '\P{Is_Numeric_Value=-00001/2}', "");
Expect(0, 3890, '\P{^Is_Numeric_Value=-00001/2}', "");
Expect(1, 3891, '\p{Is_Numeric_Value=-0.500}', "");
Expect(0, 3891, '\p{^Is_Numeric_Value=-0.500}', "");
Expect(0, 3891, '\P{Is_Numeric_Value=-0.500}', "");
Expect(1, 3891, '\P{^Is_Numeric_Value=-0.500}', "");
Expect(0, 3890, '\p{Is_Numeric_Value=-0.500}', "");
Expect(1, 3890, '\p{^Is_Numeric_Value=-0.500}', "");
Expect(1, 3890, '\P{Is_Numeric_Value=-0.500}', "");
Expect(0, 3890, '\P{^Is_Numeric_Value=-0.500}', "");
Error('\p{Is_Nv=/a/	00001/2}');
Error('\P{Is_Nv=/a/	00001/2}');
Expect(1, 3891, '\p{Is_Nv:-000001/00000002}', "");
Expect(0, 3891, '\p{^Is_Nv:-000001/00000002}', "");
Expect(0, 3891, '\P{Is_Nv:-000001/00000002}', "");
Expect(1, 3891, '\P{^Is_Nv:-000001/00000002}', "");
Expect(0, 3890, '\p{Is_Nv:-000001/00000002}', "");
Expect(1, 3890, '\p{^Is_Nv:-000001/00000002}', "");
Expect(1, 3890, '\P{Is_Nv:-000001/00000002}', "");
Expect(0, 3890, '\P{^Is_Nv:-000001/00000002}', "");
Expect(1, 3891, '\p{Is_Nv=-0.500}', "");
Expect(0, 3891, '\p{^Is_Nv=-0.500}', "");
Expect(0, 3891, '\P{Is_Nv=-0.500}', "");
Expect(1, 3891, '\P{^Is_Nv=-0.500}', "");
Expect(0, 3890, '\p{Is_Nv=-0.500}', "");
Expect(1, 3890, '\p{^Is_Nv=-0.500}', "");
Expect(1, 3890, '\P{Is_Nv=-0.500}', "");
Expect(0, 3890, '\P{^Is_Nv=-0.500}', "");
Error('\p{Numeric_Value=/a/_ 080000}');
Error('\P{Numeric_Value=/a/_ 080000}');
Expect(1, 65842, '\p{Numeric_Value=0000008000_0}', "");
Expect(0, 65842, '\p{^Numeric_Value=0000008000_0}', "");
Expect(0, 65842, '\P{Numeric_Value=0000008000_0}', "");
Expect(1, 65842, '\P{^Numeric_Value=0000008000_0}', "");
Expect(0, 65841, '\p{Numeric_Value=0000008000_0}', "");
Expect(1, 65841, '\p{^Numeric_Value=0000008000_0}', "");
Expect(1, 65841, '\P{Numeric_Value=0000008000_0}', "");
Expect(0, 65841, '\P{^Numeric_Value=0000008000_0}', "");
Error('\p{Nv=-/a/+0_8-0-000}');
Error('\P{Nv=-/a/+0_8-0-000}');
Expect(1, 65842, '\p{Nv=0000080000}', "");
Expect(0, 65842, '\p{^Nv=0000080000}', "");
Expect(0, 65842, '\P{Nv=0000080000}', "");
Expect(1, 65842, '\P{^Nv=0000080000}', "");
Expect(0, 65841, '\p{Nv=0000080000}', "");
Expect(1, 65841, '\p{^Nv=0000080000}', "");
Expect(1, 65841, '\P{Nv=0000080000}', "");
Expect(0, 65841, '\P{^Nv=0000080000}', "");
Error('\p{Is_Numeric_Value=:=08000	0}');
Error('\P{Is_Numeric_Value=:=08000	0}');
Expect(1, 65842, '\p{Is_Numeric_Value: +00000080000}', "");
Expect(0, 65842, '\p{^Is_Numeric_Value: +00000080000}', "");
Expect(0, 65842, '\P{Is_Numeric_Value: +00000080000}', "");
Expect(1, 65842, '\P{^Is_Numeric_Value: +00000080000}', "");
Expect(0, 65841, '\p{Is_Numeric_Value: +00000080000}', "");
Expect(1, 65841, '\p{^Is_Numeric_Value: +00000080000}', "");
Expect(1, 65841, '\P{Is_Numeric_Value: +00000080000}', "");
Expect(0, 65841, '\P{^Is_Numeric_Value: +00000080000}', "");
Error('\p{Is_Nv=	0000080000:=}');
Error('\P{Is_Nv=	0000080000:=}');
Expect(1, 65842, '\p{Is_Nv=0000000080000}', "");
Expect(0, 65842, '\p{^Is_Nv=0000000080000}', "");
Expect(0, 65842, '\P{Is_Nv=0000000080000}', "");
Expect(1, 65842, '\P{^Is_Nv=0000000080000}', "");
Expect(0, 65841, '\p{Is_Nv=0000000080000}', "");
Expect(1, 65841, '\p{^Is_Nv=0000000080000}', "");
Expect(1, 65841, '\P{Is_Nv=0000000080000}', "");
Expect(0, 65841, '\P{^Is_Nv=0000000080000}', "");
Error('\p{Numeric_Value=	/a/000060}');
Error('\P{Numeric_Value=	/a/000060}');
Expect(1, 4983, '\p{Numeric_Value=060}', "");
Expect(0, 4983, '\p{^Numeric_Value=060}', "");
Expect(0, 4983, '\P{Numeric_Value=060}', "");
Expect(1, 4983, '\P{^Numeric_Value=060}', "");
Expect(0, 4982, '\p{Numeric_Value=060}', "");
Expect(1, 4982, '\p{^Numeric_Value=060}', "");
Expect(1, 4982, '\P{Numeric_Value=060}', "");
Expect(0, 4982, '\P{^Numeric_Value=060}', "");
Error('\p{Nv=-	00_00/a/00	60}');
Error('\P{Nv=-	00_00/a/00	60}');
Expect(1, 4983, '\p{Nv=0_0_0_060}', "");
Expect(0, 4983, '\p{^Nv=0_0_0_060}', "");
Expect(0, 4983, '\P{Nv=0_0_0_060}', "");
Expect(1, 4983, '\P{^Nv=0_0_0_060}', "");
Expect(0, 4982, '\p{Nv=0_0_0_060}', "");
Expect(1, 4982, '\p{^Nv=0_0_0_060}', "");
Expect(1, 4982, '\P{Nv=0_0_0_060}', "");
Expect(0, 4982, '\P{^Nv=0_0_0_060}', "");
Error('\p{Is_Numeric_Value=:=_-+06_0}');
Error('\P{Is_Numeric_Value=:=_-+06_0}');
Expect(1, 4983, '\p{Is_Numeric_Value=06_0}', "");
Expect(0, 4983, '\p{^Is_Numeric_Value=06_0}', "");
Expect(0, 4983, '\P{Is_Numeric_Value=06_0}', "");
Expect(1, 4983, '\P{^Is_Numeric_Value=06_0}', "");
Expect(0, 4982, '\p{Is_Numeric_Value=06_0}', "");
Expect(1, 4982, '\p{^Is_Numeric_Value=06_0}', "");
Expect(1, 4982, '\P{Is_Numeric_Value=06_0}', "");
Expect(0, 4982, '\P{^Is_Numeric_Value=06_0}', "");
Error('\p{Is_Nv=-0/a/0	0	0	0060}');
Error('\P{Is_Nv=-0/a/0	0	0	0060}');
Expect(1, 4983, '\p{Is_Nv=0060}', "");
Expect(0, 4983, '\p{^Is_Nv=0060}', "");
Expect(0, 4983, '\P{Is_Nv=0060}', "");
Expect(1, 4983, '\P{^Is_Nv=0060}', "");
Expect(0, 4982, '\p{Is_Nv=0060}', "");
Expect(1, 4982, '\p{^Is_Nv=0060}', "");
Expect(1, 4982, '\P{Is_Nv=0060}', "");
Expect(0, 4982, '\P{^Is_Nv=0060}', "");
Error('\p{Numeric_Value=:=--+00045}');
Error('\P{Numeric_Value=:=--+00045}');
Expect(1, 12986, '\p{Numeric_Value=+045}', "");
Expect(0, 12986, '\p{^Numeric_Value=+045}', "");
Expect(0, 12986, '\P{Numeric_Value=+045}', "");
Expect(1, 12986, '\P{^Numeric_Value=+045}', "");
Expect(0, 12985, '\p{Numeric_Value=+045}', "");
Expect(1, 12985, '\p{^Numeric_Value=+045}', "");
Expect(1, 12985, '\P{Numeric_Value=+045}', "");
Expect(0, 12985, '\P{^Numeric_Value=+045}', "");
Error('\p{Nv=/a/- +45}');
Error('\P{Nv=/a/- +45}');
Expect(1, 12986, '\p{Nv=000000045}', "");
Expect(0, 12986, '\p{^Nv=000000045}', "");
Expect(0, 12986, '\P{Nv=000000045}', "");
Expect(1, 12986, '\P{^Nv=000000045}', "");
Expect(0, 12985, '\p{Nv=000000045}', "");
Expect(1, 12985, '\p{^Nv=000000045}', "");
Expect(1, 12985, '\P{Nv=000000045}', "");
Expect(0, 12985, '\P{^Nv=000000045}', "");
Error('\p{Is_Numeric_Value:   /a/ _+045}');
Error('\P{Is_Numeric_Value:   /a/ _+045}');
Expect(1, 12986, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0_045}', "");
Expect(0, 12986, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0_045}', "");
Expect(0, 12986, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0_045}', "");
Expect(1, 12986, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0_045}', "");
Expect(0, 12985, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0_045}', "");
Expect(1, 12985, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0_045}', "");
Expect(1, 12985, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0_045}', "");
Expect(0, 12985, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0_045}', "");
Error('\p{Is_Nv=/a/+000000 45}');
Error('\P{Is_Nv=/a/+000000 45}');
Expect(1, 12986, '\p{Is_Nv=+00045}', "");
Expect(0, 12986, '\p{^Is_Nv=+00045}', "");
Expect(0, 12986, '\P{Is_Nv=+00045}', "");
Expect(1, 12986, '\P{^Is_Nv=+00045}', "");
Expect(0, 12985, '\p{Is_Nv=+00045}', "");
Expect(1, 12985, '\p{^Is_Nv=+00045}', "");
Expect(1, 12985, '\P{Is_Nv=+00045}', "");
Expect(0, 12985, '\P{^Is_Nv=+00045}', "");
Error('\p{Numeric_Value= _+000000019/a/}');
Error('\P{Numeric_Value= _+000000019/a/}');
Expect(1, 5872, '\p{Numeric_Value=+0_0_0_19}', "");
Expect(0, 5872, '\p{^Numeric_Value=+0_0_0_19}', "");
Expect(0, 5872, '\P{Numeric_Value=+0_0_0_19}', "");
Expect(1, 5872, '\P{^Numeric_Value=+0_0_0_19}', "");
Expect(0, 5871, '\p{Numeric_Value=+0_0_0_19}', "");
Expect(1, 5871, '\p{^Numeric_Value=+0_0_0_19}', "");
Expect(1, 5871, '\P{Numeric_Value=+0_0_0_19}', "");
Expect(0, 5871, '\P{^Numeric_Value=+0_0_0_19}', "");
Error('\p{Nv=/a/+0000019}');
Error('\P{Nv=/a/+0000019}');
Expect(1, 5872, '\p{Nv=00019}', "");
Expect(0, 5872, '\p{^Nv=00019}', "");
Expect(0, 5872, '\P{Nv=00019}', "");
Expect(1, 5872, '\P{^Nv=00019}', "");
Expect(0, 5871, '\p{Nv=00019}', "");
Expect(1, 5871, '\p{^Nv=00019}', "");
Expect(1, 5871, '\P{Nv=00019}', "");
Expect(0, 5871, '\P{^Nv=00019}', "");
Error('\p{Is_Numeric_Value= 	00	0_019/a/}');
Error('\P{Is_Numeric_Value= 	00	0_019/a/}');
Expect(1, 5872, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0019}', "");
Expect(0, 5872, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0019}', "");
Expect(0, 5872, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0019}', "");
Expect(1, 5872, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0019}', "");
Expect(0, 5871, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0019}', "");
Expect(1, 5871, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0019}', "");
Expect(1, 5871, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0019}', "");
Expect(0, 5871, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0019}', "");
Error('\p{Is_Nv=--+00_00:=0019}');
Error('\P{Is_Nv=--+00_00:=0019}');
Expect(1, 5872, '\p{Is_Nv=+00000019}', "");
Expect(0, 5872, '\p{^Is_Nv=+00000019}', "");
Expect(0, 5872, '\P{Is_Nv=+00000019}', "");
Expect(1, 5872, '\P{^Is_Nv=+00000019}', "");
Expect(0, 5871, '\p{Is_Nv=+00000019}', "");
Expect(1, 5871, '\p{^Is_Nv=+00000019}', "");
Expect(1, 5871, '\P{Is_Nv=+00000019}', "");
Expect(0, 5871, '\P{^Is_Nv=+00000019}', "");
Error('\p{Numeric_Value=-	000000011/000000002:=}');
Error('\P{Numeric_Value=-	000000011/000000002:=}');
Expect(1, 3887, '\p{Numeric_Value=+00000011/2}', "");
Expect(0, 3887, '\p{^Numeric_Value=+00000011/2}', "");
Expect(0, 3887, '\P{Numeric_Value=+00000011/2}', "");
Expect(1, 3887, '\P{^Numeric_Value=+00000011/2}', "");
Expect(0, 3886, '\p{Numeric_Value=+00000011/2}', "");
Expect(1, 3886, '\p{^Numeric_Value=+00000011/2}', "");
Expect(1, 3886, '\P{Numeric_Value=+00000011/2}', "");
Expect(0, 3886, '\P{^Numeric_Value=+00000011/2}', "");
Expect(1, 3887, '\p{Numeric_Value=5.500}', "");
Expect(0, 3887, '\p{^Numeric_Value=5.500}', "");
Expect(0, 3887, '\P{Numeric_Value=5.500}', "");
Expect(1, 3887, '\P{^Numeric_Value=5.500}', "");
Expect(0, 3886, '\p{Numeric_Value=5.500}', "");
Expect(1, 3886, '\p{^Numeric_Value=5.500}', "");
Expect(1, 3886, '\P{Numeric_Value=5.500}', "");
Expect(0, 3886, '\P{^Numeric_Value=5.500}', "");
Error('\p{Nv=	_+00011/02/a/}');
Error('\P{Nv=	_+00011/02/a/}');
Expect(1, 3887, '\p{Nv=00000011/02}', "");
Expect(0, 3887, '\p{^Nv=00000011/02}', "");
Expect(0, 3887, '\P{Nv=00000011/02}', "");
Expect(1, 3887, '\P{^Nv=00000011/02}', "");
Expect(0, 3886, '\p{Nv=00000011/02}', "");
Expect(1, 3886, '\p{^Nv=00000011/02}', "");
Expect(1, 3886, '\P{Nv=00000011/02}', "");
Expect(0, 3886, '\P{^Nv=00000011/02}', "");
Expect(1, 3887, '\p{Nv=5.500}', "");
Expect(0, 3887, '\p{^Nv=5.500}', "");
Expect(0, 3887, '\P{Nv=5.500}', "");
Expect(1, 3887, '\P{^Nv=5.500}', "");
Expect(0, 3886, '\p{Nv=5.500}', "");
Expect(1, 3886, '\p{^Nv=5.500}', "");
Expect(1, 3886, '\P{Nv=5.500}', "");
Expect(0, 3886, '\P{^Nv=5.500}', "");
Error('\p{Is_Numeric_Value=	0000011/000000002:=}');
Error('\P{Is_Numeric_Value=	0000011/000000002:=}');
Expect(1, 3887, '\p{Is_Numeric_Value=0000011/000002}', "");
Expect(0, 3887, '\p{^Is_Numeric_Value=0000011/000002}', "");
Expect(0, 3887, '\P{Is_Numeric_Value=0000011/000002}', "");
Expect(1, 3887, '\P{^Is_Numeric_Value=0000011/000002}', "");
Expect(0, 3886, '\p{Is_Numeric_Value=0000011/000002}', "");
Expect(1, 3886, '\p{^Is_Numeric_Value=0000011/000002}', "");
Expect(1, 3886, '\P{Is_Numeric_Value=0000011/000002}', "");
Expect(0, 3886, '\P{^Is_Numeric_Value=0000011/000002}', "");
Expect(1, 3887, '\p{Is_Numeric_Value=5.500}', "");
Expect(0, 3887, '\p{^Is_Numeric_Value=5.500}', "");
Expect(0, 3887, '\P{Is_Numeric_Value=5.500}', "");
Expect(1, 3887, '\P{^Is_Numeric_Value=5.500}', "");
Expect(0, 3886, '\p{Is_Numeric_Value=5.500}', "");
Expect(1, 3886, '\p{^Is_Numeric_Value=5.500}', "");
Expect(1, 3886, '\P{Is_Numeric_Value=5.500}', "");
Expect(0, 3886, '\P{^Is_Numeric_Value=5.500}', "");
Error('\p{Is_Nv= :=00011/002}');
Error('\P{Is_Nv= :=00011/002}');
Expect(1, 3887, '\p{Is_Nv:0011/000000002}', "");
Expect(0, 3887, '\p{^Is_Nv:0011/000000002}', "");
Expect(0, 3887, '\P{Is_Nv:0011/000000002}', "");
Expect(1, 3887, '\P{^Is_Nv:0011/000000002}', "");
Expect(0, 3886, '\p{Is_Nv:0011/000000002}', "");
Expect(1, 3886, '\p{^Is_Nv:0011/000000002}', "");
Expect(1, 3886, '\P{Is_Nv:0011/000000002}', "");
Expect(0, 3886, '\P{^Is_Nv:0011/000000002}', "");
Expect(1, 3887, '\p{Is_Nv=5.500}', "");
Expect(0, 3887, '\p{^Is_Nv=5.500}', "");
Expect(0, 3887, '\P{Is_Nv=5.500}', "");
Expect(1, 3887, '\P{^Is_Nv=5.500}', "");
Expect(0, 3886, '\p{Is_Nv=5.500}', "");
Expect(1, 3886, '\p{^Is_Nv=5.500}', "");
Expect(1, 3886, '\P{Is_Nv=5.500}', "");
Expect(0, 3886, '\P{^Is_Nv=5.500}', "");
Error('\p{Numeric_Value= _+0070/a/}');
Error('\P{Numeric_Value= _+0070/a/}');
Expect(1, 4984, '\p{Numeric_Value=+07_0}', "");
Expect(0, 4984, '\p{^Numeric_Value=+07_0}', "");
Expect(0, 4984, '\P{Numeric_Value=+07_0}', "");
Expect(1, 4984, '\P{^Numeric_Value=+07_0}', "");
Expect(0, 4983, '\p{Numeric_Value=+07_0}', "");
Expect(1, 4983, '\p{^Numeric_Value=+07_0}', "");
Expect(1, 4983, '\P{Numeric_Value=+07_0}', "");
Expect(0, 4983, '\P{^Numeric_Value=+07_0}', "");
Error('\p{Nv:   -	007_0/a/}');
Error('\P{Nv:   -	007_0/a/}');
Expect(1, 4984, '\p{Nv=007_0}', "");
Expect(0, 4984, '\p{^Nv=007_0}', "");
Expect(0, 4984, '\P{Nv=007_0}', "");
Expect(1, 4984, '\P{^Nv=007_0}', "");
Expect(0, 4983, '\p{Nv=007_0}', "");
Expect(1, 4983, '\p{^Nv=007_0}', "");
Expect(1, 4983, '\P{Nv=007_0}', "");
Expect(0, 4983, '\P{^Nv=007_0}', "");
Error('\p{Is_Numeric_Value=-/a/0_0 70}');
Error('\P{Is_Numeric_Value=-/a/0_0 70}');
Expect(1, 4984, '\p{Is_Numeric_Value=000007_0}', "");
Expect(0, 4984, '\p{^Is_Numeric_Value=000007_0}', "");
Expect(0, 4984, '\P{Is_Numeric_Value=000007_0}', "");
Expect(1, 4984, '\P{^Is_Numeric_Value=000007_0}', "");
Expect(0, 4983, '\p{Is_Numeric_Value=000007_0}', "");
Expect(1, 4983, '\p{^Is_Numeric_Value=000007_0}', "");
Expect(1, 4983, '\P{Is_Numeric_Value=000007_0}', "");
Expect(0, 4983, '\P{^Is_Numeric_Value=000007_0}', "");
Error('\p{Is_Nv= -07-0:=}');
Error('\P{Is_Nv= -07-0:=}');
Expect(1, 4984, '\p{Is_Nv=7_0}', "");
Expect(0, 4984, '\p{^Is_Nv=7_0}', "");
Expect(0, 4984, '\P{Is_Nv=7_0}', "");
Expect(1, 4984, '\P{^Is_Nv=7_0}', "");
Expect(0, 4983, '\p{Is_Nv=7_0}', "");
Expect(1, 4983, '\p{^Is_Nv=7_0}', "");
Expect(1, 4983, '\P{Is_Nv=7_0}', "");
Expect(0, 4983, '\P{^Is_Nv=7_0}', "");
Error('\p{Numeric_Value=:=	-00 2}');
Error('\P{Numeric_Value=:=	-00 2}');
Expect(1, 50, '\p{Numeric_Value=0_0_02}', "");
Expect(0, 50, '\p{^Numeric_Value=0_0_02}', "");
Expect(0, 50, '\P{Numeric_Value=0_0_02}', "");
Expect(1, 50, '\P{^Numeric_Value=0_0_02}', "");
Expect(0, 49, '\p{Numeric_Value=0_0_02}', "");
Expect(1, 49, '\p{^Numeric_Value=0_0_02}', "");
Expect(1, 49, '\P{Numeric_Value=0_0_02}', "");
Expect(0, 49, '\P{^Numeric_Value=0_0_02}', "");
Error('\p{Nv=-00 2/a/}');
Error('\P{Nv=-00 2/a/}');
Expect(1, 50, '\p{Nv=+000000002}', "");
Expect(0, 50, '\p{^Nv=+000000002}', "");
Expect(0, 50, '\P{Nv=+000000002}', "");
Expect(1, 50, '\P{^Nv=+000000002}', "");
Expect(0, 49, '\p{Nv=+000000002}', "");
Expect(1, 49, '\p{^Nv=+000000002}', "");
Expect(1, 49, '\P{Nv=+000000002}', "");
Expect(0, 49, '\P{^Nv=+000000002}', "");
Error('\p{Is_Numeric_Value:	-:=00002}');
Error('\P{Is_Numeric_Value:	-:=00002}');
Expect(1, 50, '\p{Is_Numeric_Value=+0_0_0_0_0002}', "");
Expect(0, 50, '\p{^Is_Numeric_Value=+0_0_0_0_0002}', "");
Expect(0, 50, '\P{Is_Numeric_Value=+0_0_0_0_0002}', "");
Expect(1, 50, '\P{^Is_Numeric_Value=+0_0_0_0_0002}', "");
Expect(0, 49, '\p{Is_Numeric_Value=+0_0_0_0_0002}', "");
Expect(1, 49, '\p{^Is_Numeric_Value=+0_0_0_0_0002}', "");
Expect(1, 49, '\P{Is_Numeric_Value=+0_0_0_0_0002}', "");
Expect(0, 49, '\P{^Is_Numeric_Value=+0_0_0_0_0002}', "");
Error('\p{Is_Nv: -/a/+0-0 0	0	002}');
Error('\P{Is_Nv: -/a/+0-0 0	0	002}');
Expect(1, 50, '\p{Is_Nv:+00000002}', "");
Expect(0, 50, '\p{^Is_Nv:+00000002}', "");
Expect(0, 50, '\P{Is_Nv:+00000002}', "");
Expect(1, 50, '\P{^Is_Nv:+00000002}', "");
Expect(0, 49, '\p{Is_Nv:+00000002}', "");
Expect(1, 49, '\p{^Is_Nv:+00000002}', "");
Expect(1, 49, '\P{Is_Nv:+00000002}', "");
Expect(0, 49, '\P{^Is_Nv:+00000002}', "");
Error('\p{Numeric_Value=--+0-0 00_17:=}');
Error('\P{Numeric_Value=--+0-0 00_17:=}');
Expect(1, 5870, '\p{Numeric_Value=+0000017}', "");
Expect(0, 5870, '\p{^Numeric_Value=+0000017}', "");
Expect(0, 5870, '\P{Numeric_Value=+0000017}', "");
Expect(1, 5870, '\P{^Numeric_Value=+0000017}', "");
Expect(0, 5869, '\p{Numeric_Value=+0000017}', "");
Expect(1, 5869, '\p{^Numeric_Value=+0000017}', "");
Expect(1, 5869, '\P{Numeric_Value=+0000017}', "");
Expect(0, 5869, '\P{^Numeric_Value=+0000017}', "");
Error('\p{Nv=	 0/a/0 17}');
Error('\P{Nv=	 0/a/0 17}');
Expect(1, 5870, '\p{Nv=17}', "");
Expect(0, 5870, '\p{^Nv=17}', "");
Expect(0, 5870, '\P{Nv=17}', "");
Expect(1, 5870, '\P{^Nv=17}', "");
Expect(0, 5869, '\p{Nv=17}', "");
Expect(1, 5869, '\p{^Nv=17}', "");
Expect(1, 5869, '\P{Nv=17}', "");
Expect(0, 5869, '\P{^Nv=17}', "");
Error('\p{Is_Numeric_Value=/a/		00000017}');
Error('\P{Is_Numeric_Value=/a/		00000017}');
Expect(1, 5870, '\p{Is_Numeric_Value=00_00_00_17}', "");
Expect(0, 5870, '\p{^Is_Numeric_Value=00_00_00_17}', "");
Expect(0, 5870, '\P{Is_Numeric_Value=00_00_00_17}', "");
Expect(1, 5870, '\P{^Is_Numeric_Value=00_00_00_17}', "");
Expect(0, 5869, '\p{Is_Numeric_Value=00_00_00_17}', "");
Expect(1, 5869, '\p{^Is_Numeric_Value=00_00_00_17}', "");
Expect(1, 5869, '\P{Is_Numeric_Value=00_00_00_17}', "");
Expect(0, 5869, '\P{^Is_Numeric_Value=00_00_00_17}', "");
Error('\p{Is_Nv: +017:=}');
Error('\P{Is_Nv: +017:=}');
Expect(1, 5870, '\p{Is_Nv=0000017}', "");
Expect(0, 5870, '\p{^Is_Nv=0000017}', "");
Expect(0, 5870, '\P{Is_Nv=0000017}', "");
Expect(1, 5870, '\P{^Is_Nv=0000017}', "");
Expect(0, 5869, '\p{Is_Nv=0000017}', "");
Expect(1, 5869, '\p{^Is_Nv=0000017}', "");
Expect(1, 5869, '\P{Is_Nv=0000017}', "");
Expect(0, 5869, '\P{^Is_Nv=0000017}', "");
Error('\p{Numeric_Value=  0-0_0/a/0-0	00_02_0 000}');
Error('\P{Numeric_Value=  0-0_0/a/0-0	00_02_0 000}');
Expect(1, 65836, '\p{Numeric_Value=0020000}', "");
Expect(0, 65836, '\p{^Numeric_Value=0020000}', "");
Expect(0, 65836, '\P{Numeric_Value=0020000}', "");
Expect(1, 65836, '\P{^Numeric_Value=0020000}', "");
Expect(0, 65835, '\p{Numeric_Value=0020000}', "");
Expect(1, 65835, '\p{^Numeric_Value=0020000}', "");
Expect(1, 65835, '\P{Numeric_Value=0020000}', "");
Expect(0, 65835, '\P{^Numeric_Value=0020000}', "");
Error('\p{Nv=-:=000020000}');
Error('\P{Nv=-:=000020000}');
Expect(1, 65836, '\p{Nv=000000020000}', "");
Expect(0, 65836, '\p{^Nv=000000020000}', "");
Expect(0, 65836, '\P{Nv=000000020000}', "");
Expect(1, 65836, '\P{^Nv=000000020000}', "");
Expect(0, 65835, '\p{Nv=000000020000}', "");
Expect(1, 65835, '\p{^Nv=000000020000}', "");
Expect(1, 65835, '\P{Nv=000000020000}', "");
Expect(0, 65835, '\P{^Nv=000000020000}', "");
Error('\p{Is_Numeric_Value=-/a/2000-0}');
Error('\P{Is_Numeric_Value=-/a/2000-0}');
Expect(1, 65836, '\p{Is_Numeric_Value:	+00_00_00_02_0000}', "");
Expect(0, 65836, '\p{^Is_Numeric_Value:	+00_00_00_02_0000}', "");
Expect(0, 65836, '\P{Is_Numeric_Value:	+00_00_00_02_0000}', "");
Expect(1, 65836, '\P{^Is_Numeric_Value:	+00_00_00_02_0000}', "");
Expect(0, 65835, '\p{Is_Numeric_Value:	+00_00_00_02_0000}', "");
Expect(1, 65835, '\p{^Is_Numeric_Value:	+00_00_00_02_0000}', "");
Expect(1, 65835, '\P{Is_Numeric_Value:	+00_00_00_02_0000}', "");
Expect(0, 65835, '\P{^Is_Numeric_Value:	+00_00_00_02_0000}', "");
Error('\p{Is_Nv:    -00000000020000:=}');
Error('\P{Is_Nv:    -00000000020000:=}');
Expect(1, 65836, '\p{Is_Nv=20000}', "");
Expect(0, 65836, '\p{^Is_Nv=20000}', "");
Expect(0, 65836, '\P{Is_Nv=20000}', "");
Expect(1, 65836, '\P{^Is_Nv=20000}', "");
Expect(0, 65835, '\p{Is_Nv=20000}', "");
Expect(1, 65835, '\p{^Is_Nv=20000}', "");
Expect(1, 65835, '\P{Is_Nv=20000}', "");
Expect(0, 65835, '\P{^Is_Nv=20000}', "");
Error('\p{Numeric_Value:	-/a/1}');
Error('\P{Numeric_Value:	-/a/1}');
Expect(1, 49, '\p{Numeric_Value=+0000000001}', "");
Expect(0, 49, '\p{^Numeric_Value=+0000000001}', "");
Expect(0, 49, '\P{Numeric_Value=+0000000001}', "");
Expect(1, 49, '\P{^Numeric_Value=+0000000001}', "");
Expect(0, 48, '\p{Numeric_Value=+0000000001}', "");
Expect(1, 48, '\p{^Numeric_Value=+0000000001}', "");
Expect(1, 48, '\P{Numeric_Value=+0000000001}', "");
Expect(0, 48, '\P{^Numeric_Value=+0000000001}', "");
Error('\p{Nv=_	0_00	0 0 0:=0-001}');
Error('\P{Nv=_	0_00	0 0 0:=0-001}');
Expect(1, 49, '\p{Nv=00_1}', "");
Expect(0, 49, '\p{^Nv=00_1}', "");
Expect(0, 49, '\P{Nv=00_1}', "");
Expect(1, 49, '\P{^Nv=00_1}', "");
Expect(0, 48, '\p{Nv=00_1}', "");
Expect(1, 48, '\p{^Nv=00_1}', "");
Expect(1, 48, '\P{Nv=00_1}', "");
Expect(0, 48, '\P{^Nv=00_1}', "");
Error('\p{Is_Numeric_Value=:=--000000001}');
Error('\P{Is_Numeric_Value=:=--000000001}');
Expect(1, 49, '\p{Is_Numeric_Value:	0_0_0_0_0_0_001}', "");
Expect(0, 49, '\p{^Is_Numeric_Value:	0_0_0_0_0_0_001}', "");
Expect(0, 49, '\P{Is_Numeric_Value:	0_0_0_0_0_0_001}', "");
Expect(1, 49, '\P{^Is_Numeric_Value:	0_0_0_0_0_0_001}', "");
Expect(0, 48, '\p{Is_Numeric_Value:	0_0_0_0_0_0_001}', "");
Expect(1, 48, '\p{^Is_Numeric_Value:	0_0_0_0_0_0_001}', "");
Expect(1, 48, '\P{Is_Numeric_Value:	0_0_0_0_0_0_001}', "");
Expect(0, 48, '\P{^Is_Numeric_Value:	0_0_0_0_0_0_001}', "");
Error('\p{Is_Nv=		1/a/}');
Error('\P{Is_Nv=		1/a/}');
Expect(1, 49, '\p{Is_Nv:000001}', "");
Expect(0, 49, '\p{^Is_Nv:000001}', "");
Expect(0, 49, '\P{Is_Nv:000001}', "");
Expect(1, 49, '\P{^Is_Nv:000001}', "");
Expect(0, 48, '\p{Is_Nv:000001}', "");
Expect(1, 48, '\p{^Is_Nv:000001}', "");
Expect(1, 48, '\P{Is_Nv:000001}', "");
Expect(0, 48, '\P{^Is_Nv:000001}', "");
Error('\p{Numeric_Value=:=+0000000006000}');
Error('\P{Numeric_Value=:=+0000000006000}');
Expect(1, 65831, '\p{Numeric_Value: 000000006000}', "");
Expect(0, 65831, '\p{^Numeric_Value: 000000006000}', "");
Expect(0, 65831, '\P{Numeric_Value: 000000006000}', "");
Expect(1, 65831, '\P{^Numeric_Value: 000000006000}', "");
Expect(0, 65830, '\p{Numeric_Value: 000000006000}', "");
Expect(1, 65830, '\p{^Numeric_Value: 000000006000}', "");
Expect(1, 65830, '\P{Numeric_Value: 000000006000}', "");
Expect(0, 65830, '\P{^Numeric_Value: 000000006000}', "");
Error('\p{Nv=/a/ 000006000}');
Error('\P{Nv=/a/ 000006000}');
Expect(1, 65831, '\p{Nv=0006000}', "");
Expect(0, 65831, '\p{^Nv=0006000}', "");
Expect(0, 65831, '\P{Nv=0006000}', "");
Expect(1, 65831, '\P{^Nv=0006000}', "");
Expect(0, 65830, '\p{Nv=0006000}', "");
Expect(1, 65830, '\p{^Nv=0006000}', "");
Expect(1, 65830, '\P{Nv=0006000}', "");
Expect(0, 65830, '\P{^Nv=0006000}', "");
Error('\p{Is_Numeric_Value=-0	0:=0_0-0-0_000_6_0	00}');
Error('\P{Is_Numeric_Value=-0	0:=0_0-0-0_000_6_0	00}');
Expect(1, 65831, '\p{Is_Numeric_Value=0000006000}', "");
Expect(0, 65831, '\p{^Is_Numeric_Value=0000006000}', "");
Expect(0, 65831, '\P{Is_Numeric_Value=0000006000}', "");
Expect(1, 65831, '\P{^Is_Numeric_Value=0000006000}', "");
Expect(0, 65830, '\p{Is_Numeric_Value=0000006000}', "");
Expect(1, 65830, '\p{^Is_Numeric_Value=0000006000}', "");
Expect(1, 65830, '\P{Is_Numeric_Value=0000006000}', "");
Expect(0, 65830, '\P{^Is_Numeric_Value=0000006000}', "");
Error('\p{Is_Nv= 	+6-0_00/a/}');
Error('\P{Is_Nv= 	+6-0_00/a/}');
Expect(1, 65831, '\p{Is_Nv=00006000}', "");
Expect(0, 65831, '\p{^Is_Nv=00006000}', "");
Expect(0, 65831, '\P{Is_Nv=00006000}', "");
Expect(1, 65831, '\P{^Is_Nv=00006000}', "");
Expect(0, 65830, '\p{Is_Nv=00006000}', "");
Expect(1, 65830, '\p{^Is_Nv=00006000}', "");
Expect(1, 65830, '\P{Is_Nv=00006000}', "");
Expect(0, 65830, '\P{^Is_Nv=00006000}', "");
Error('\p{Numeric_Value=_:=+3	0}');
Error('\P{Numeric_Value=_:=+3	0}');
Expect(1, 4980, '\p{Numeric_Value=00_00_00_00_03_0}', "");
Expect(0, 4980, '\p{^Numeric_Value=00_00_00_00_03_0}', "");
Expect(0, 4980, '\P{Numeric_Value=00_00_00_00_03_0}', "");
Expect(1, 4980, '\P{^Numeric_Value=00_00_00_00_03_0}', "");
Expect(0, 4979, '\p{Numeric_Value=00_00_00_00_03_0}', "");
Expect(1, 4979, '\p{^Numeric_Value=00_00_00_00_03_0}', "");
Expect(1, 4979, '\P{Numeric_Value=00_00_00_00_03_0}', "");
Expect(0, 4979, '\P{^Numeric_Value=00_00_00_00_03_0}', "");
Error('\p{Nv=		+00/a/0030}');
Error('\P{Nv=		+00/a/0030}');
Expect(1, 4980, '\p{Nv:	000_000_30}', "");
Expect(0, 4980, '\p{^Nv:	000_000_30}', "");
Expect(0, 4980, '\P{Nv:	000_000_30}', "");
Expect(1, 4980, '\P{^Nv:	000_000_30}', "");
Expect(0, 4979, '\p{Nv:	000_000_30}', "");
Expect(1, 4979, '\p{^Nv:	000_000_30}', "");
Expect(1, 4979, '\P{Nv:	000_000_30}', "");
Expect(0, 4979, '\P{^Nv:	000_000_30}', "");
Error('\p{Is_Numeric_Value=	:=0000000030}');
Error('\P{Is_Numeric_Value=	:=0000000030}');
Expect(1, 4980, '\p{Is_Numeric_Value:   +000_000_003_0}', "");
Expect(0, 4980, '\p{^Is_Numeric_Value:   +000_000_003_0}', "");
Expect(0, 4980, '\P{Is_Numeric_Value:   +000_000_003_0}', "");
Expect(1, 4980, '\P{^Is_Numeric_Value:   +000_000_003_0}', "");
Expect(0, 4979, '\p{Is_Numeric_Value:   +000_000_003_0}', "");
Expect(1, 4979, '\p{^Is_Numeric_Value:   +000_000_003_0}', "");
Expect(1, 4979, '\P{Is_Numeric_Value:   +000_000_003_0}', "");
Expect(0, 4979, '\P{^Is_Numeric_Value:   +000_000_003_0}', "");
Error('\p{Is_Nv=	/a/+0000000030}');
Error('\P{Is_Nv=	/a/+0000000030}');
Expect(1, 4980, '\p{Is_Nv=+00000000030}', "");
Expect(0, 4980, '\p{^Is_Nv=+00000000030}', "");
Expect(0, 4980, '\P{Is_Nv=+00000000030}', "");
Expect(1, 4980, '\P{^Is_Nv=+00000000030}', "");
Expect(0, 4979, '\p{Is_Nv=+00000000030}', "");
Expect(1, 4979, '\p{^Is_Nv=+00000000030}', "");
Expect(1, 4979, '\P{Is_Nv=+00000000030}', "");
Expect(0, 4979, '\P{^Is_Nv=+00000000030}', "");
Error('\p{Numeric_Value=:=  02/000003}');
Error('\P{Numeric_Value=:=  02/000003}');
Expect(1, 8532, '\p{Numeric_Value=+0002/03}', "");
Expect(0, 8532, '\p{^Numeric_Value=+0002/03}', "");
Expect(0, 8532, '\P{Numeric_Value=+0002/03}', "");
Expect(1, 8532, '\P{^Numeric_Value=+0002/03}', "");
Expect(0, 8531, '\p{Numeric_Value=+0002/03}', "");
Expect(1, 8531, '\p{^Numeric_Value=+0002/03}', "");
Expect(1, 8531, '\P{Numeric_Value=+0002/03}', "");
Expect(0, 8531, '\P{^Numeric_Value=+0002/03}', "");
Error('\p{Numeric_Value=0.7}');
Error('\P{Numeric_Value=0.7}');
Error('\p{Numeric_Value=0.67}');
Error('\P{Numeric_Value=0.67}');
Expect(1, 8532, '\p{Numeric_Value: 0.667}', "");
Expect(0, 8532, '\p{^Numeric_Value: 0.667}', "");
Expect(0, 8532, '\P{Numeric_Value: 0.667}', "");
Expect(1, 8532, '\P{^Numeric_Value: 0.667}', "");
Expect(0, 8531, '\p{Numeric_Value: 0.667}', "");
Expect(1, 8531, '\p{^Numeric_Value: 0.667}', "");
Expect(1, 8531, '\P{Numeric_Value: 0.667}', "");
Expect(0, 8531, '\P{^Numeric_Value: 0.667}', "");
Error('\p{Nv=:=_ +000002/0003}');
Error('\P{Nv=:=_ +000002/0003}');
Expect(1, 8532, '\p{Nv=+002/03}', "");
Expect(0, 8532, '\p{^Nv=+002/03}', "");
Expect(0, 8532, '\P{Nv=+002/03}', "");
Expect(1, 8532, '\P{^Nv=+002/03}', "");
Expect(0, 8531, '\p{Nv=+002/03}', "");
Expect(1, 8531, '\p{^Nv=+002/03}', "");
Expect(1, 8531, '\P{Nv=+002/03}', "");
Expect(0, 8531, '\P{^Nv=+002/03}', "");
Error('\p{Nv=0.7}');
Error('\P{Nv=0.7}');
Error('\p{Nv=0.67}');
Error('\P{Nv=0.67}');
Expect(1, 8532, '\p{Nv: 0.667}', "");
Expect(0, 8532, '\p{^Nv: 0.667}', "");
Expect(0, 8532, '\P{Nv: 0.667}', "");
Expect(1, 8532, '\P{^Nv: 0.667}', "");
Expect(0, 8531, '\p{Nv: 0.667}', "");
Expect(1, 8531, '\p{^Nv: 0.667}', "");
Expect(1, 8531, '\P{Nv: 0.667}', "");
Expect(0, 8531, '\P{^Nv: 0.667}', "");
Error('\p{Is_Numeric_Value=-/a/2/03}');
Error('\P{Is_Numeric_Value=-/a/2/03}');
Expect(1, 8532, '\p{Is_Numeric_Value=000000002/0000003}', "");
Expect(0, 8532, '\p{^Is_Numeric_Value=000000002/0000003}', "");
Expect(0, 8532, '\P{Is_Numeric_Value=000000002/0000003}', "");
Expect(1, 8532, '\P{^Is_Numeric_Value=000000002/0000003}', "");
Expect(0, 8531, '\p{Is_Numeric_Value=000000002/0000003}', "");
Expect(1, 8531, '\p{^Is_Numeric_Value=000000002/0000003}', "");
Expect(1, 8531, '\P{Is_Numeric_Value=000000002/0000003}', "");
Expect(0, 8531, '\P{^Is_Numeric_Value=000000002/0000003}', "");
Error('\p{Is_Numeric_Value=0.7}');
Error('\P{Is_Numeric_Value=0.7}');
Error('\p{Is_Numeric_Value=0.67}');
Error('\P{Is_Numeric_Value=0.67}');
Expect(1, 8532, '\p{Is_Numeric_Value=0.667}', "");
Expect(0, 8532, '\p{^Is_Numeric_Value=0.667}', "");
Expect(0, 8532, '\P{Is_Numeric_Value=0.667}', "");
Expect(1, 8532, '\P{^Is_Numeric_Value=0.667}', "");
Expect(0, 8531, '\p{Is_Numeric_Value=0.667}', "");
Expect(1, 8531, '\p{^Is_Numeric_Value=0.667}', "");
Expect(1, 8531, '\P{Is_Numeric_Value=0.667}', "");
Expect(0, 8531, '\P{^Is_Numeric_Value=0.667}', "");
Error('\p{Is_Nv=-	0000000002/00000003:=}');
Error('\P{Is_Nv=-	0000000002/00000003:=}');
Expect(1, 8532, '\p{Is_Nv=0000000002/00000003}', "");
Expect(0, 8532, '\p{^Is_Nv=0000000002/00000003}', "");
Expect(0, 8532, '\P{Is_Nv=0000000002/00000003}', "");
Expect(1, 8532, '\P{^Is_Nv=0000000002/00000003}', "");
Expect(0, 8531, '\p{Is_Nv=0000000002/00000003}', "");
Expect(1, 8531, '\p{^Is_Nv=0000000002/00000003}', "");
Expect(1, 8531, '\P{Is_Nv=0000000002/00000003}', "");
Expect(0, 8531, '\P{^Is_Nv=0000000002/00000003}', "");
Error('\p{Is_Nv=0.7}');
Error('\P{Is_Nv=0.7}');
Error('\p{Is_Nv=0.67}');
Error('\P{Is_Nv=0.67}');
Expect(1, 8532, '\p{Is_Nv:   0.667}', "");
Expect(0, 8532, '\p{^Is_Nv:   0.667}', "");
Expect(0, 8532, '\P{Is_Nv:   0.667}', "");
Expect(1, 8532, '\P{^Is_Nv:   0.667}', "");
Expect(0, 8531, '\p{Is_Nv:   0.667}', "");
Expect(1, 8531, '\p{^Is_Nv:   0.667}', "");
Expect(1, 8531, '\P{Is_Nv:   0.667}', "");
Expect(0, 8531, '\P{^Is_Nv:   0.667}', "");
Error('\p{Numeric_Value=:=_	40-00}');
Error('\P{Numeric_Value=:=_	40-00}');
Expect(1, 65829, '\p{Numeric_Value=000000004000}', "");
Expect(0, 65829, '\p{^Numeric_Value=000000004000}', "");
Expect(0, 65829, '\P{Numeric_Value=000000004000}', "");
Expect(1, 65829, '\P{^Numeric_Value=000000004000}', "");
Expect(0, 65828, '\p{Numeric_Value=000000004000}', "");
Expect(1, 65828, '\p{^Numeric_Value=000000004000}', "");
Expect(1, 65828, '\P{Numeric_Value=000000004000}', "");
Expect(0, 65828, '\P{^Numeric_Value=000000004000}', "");
Error('\p{Nv:    /a/0004000}');
Error('\P{Nv:    /a/0004000}');
Expect(1, 65829, '\p{Nv=0000004000}', "");
Expect(0, 65829, '\p{^Nv=0000004000}', "");
Expect(0, 65829, '\P{Nv=0000004000}', "");
Expect(1, 65829, '\P{^Nv=0000004000}', "");
Expect(0, 65828, '\p{Nv=0000004000}', "");
Expect(1, 65828, '\p{^Nv=0000004000}', "");
Expect(1, 65828, '\P{Nv=0000004000}', "");
Expect(0, 65828, '\P{^Nv=0000004000}', "");
Error('\p{Is_Numeric_Value= 	0:=0_0-0 0	00 0-04000}');
Error('\P{Is_Numeric_Value= 	0:=0_0-0 0	00 0-04000}');
Expect(1, 65829, '\p{Is_Numeric_Value=+0000000400_0}', "");
Expect(0, 65829, '\p{^Is_Numeric_Value=+0000000400_0}', "");
Expect(0, 65829, '\P{Is_Numeric_Value=+0000000400_0}', "");
Expect(1, 65829, '\P{^Is_Numeric_Value=+0000000400_0}', "");
Expect(0, 65828, '\p{Is_Numeric_Value=+0000000400_0}', "");
Expect(1, 65828, '\p{^Is_Numeric_Value=+0000000400_0}', "");
Expect(1, 65828, '\P{Is_Numeric_Value=+0000000400_0}', "");
Expect(0, 65828, '\P{^Is_Numeric_Value=+0000000400_0}', "");
Error('\p{Is_Nv::=	-0004000}');
Error('\P{Is_Nv::=	-0004000}');
Expect(1, 65829, '\p{Is_Nv=+0_0_0_0_0_4_0_00}', "");
Expect(0, 65829, '\p{^Is_Nv=+0_0_0_0_0_4_0_00}', "");
Expect(0, 65829, '\P{Is_Nv=+0_0_0_0_0_4_0_00}', "");
Expect(1, 65829, '\P{^Is_Nv=+0_0_0_0_0_4_0_00}', "");
Expect(0, 65828, '\p{Is_Nv=+0_0_0_0_0_4_0_00}', "");
Expect(1, 65828, '\p{^Is_Nv=+0_0_0_0_0_4_0_00}', "");
Expect(1, 65828, '\P{Is_Nv=+0_0_0_0_0_4_0_00}', "");
Expect(0, 65828, '\P{^Is_Nv=+0_0_0_0_0_4_0_00}', "");
Error('\p{Numeric_Value= _+0000000100/a/}');
Error('\P{Numeric_Value= _+0000000100/a/}');
Expect(1, 3057, '\p{Numeric_Value=+010_0}', "");
Expect(0, 3057, '\p{^Numeric_Value=+010_0}', "");
Expect(0, 3057, '\P{Numeric_Value=+010_0}', "");
Expect(1, 3057, '\P{^Numeric_Value=+010_0}', "");
Expect(0, 3056, '\p{Numeric_Value=+010_0}', "");
Expect(1, 3056, '\p{^Numeric_Value=+010_0}', "");
Expect(1, 3056, '\P{Numeric_Value=+010_0}', "");
Expect(0, 3056, '\P{^Numeric_Value=+010_0}', "");
Error('\p{Nv=/a/0-0_00-0 0100}');
Error('\P{Nv=/a/0-0_00-0 0100}');
Expect(1, 3057, '\p{Nv: 00100}', "");
Expect(0, 3057, '\p{^Nv: 00100}', "");
Expect(0, 3057, '\P{Nv: 00100}', "");
Expect(1, 3057, '\P{^Nv: 00100}', "");
Expect(0, 3056, '\p{Nv: 00100}', "");
Expect(1, 3056, '\p{^Nv: 00100}', "");
Expect(1, 3056, '\P{Nv: 00100}', "");
Expect(0, 3056, '\P{^Nv: 00100}', "");
Error('\p{Is_Numeric_Value=/a/	 00000000100}');
Error('\P{Is_Numeric_Value=/a/	 00000000100}');
Expect(1, 3057, '\p{Is_Numeric_Value=100}', "");
Expect(0, 3057, '\p{^Is_Numeric_Value=100}', "");
Expect(0, 3057, '\P{Is_Numeric_Value=100}', "");
Expect(1, 3057, '\P{^Is_Numeric_Value=100}', "");
Expect(0, 3056, '\p{Is_Numeric_Value=100}', "");
Expect(1, 3056, '\p{^Is_Numeric_Value=100}', "");
Expect(1, 3056, '\P{Is_Numeric_Value=100}', "");
Expect(0, 3056, '\P{^Is_Numeric_Value=100}', "");
Error('\p{Is_Nv=__00000100/a/}');
Error('\P{Is_Nv=__00000100/a/}');
Expect(1, 3057, '\p{Is_Nv=+0100}', "");
Expect(0, 3057, '\p{^Is_Nv=+0100}', "");
Expect(0, 3057, '\P{Is_Nv=+0100}', "");
Expect(1, 3057, '\P{^Is_Nv=+0100}', "");
Expect(0, 3056, '\p{Is_Nv=+0100}', "");
Expect(1, 3056, '\p{^Is_Nv=+0100}', "");
Expect(1, 3056, '\P{Is_Nv=+0100}', "");
Expect(0, 3056, '\P{^Is_Nv=+0100}', "");
Error('\p{Numeric_Value=-_+0-0_00/a/0	300}');
Error('\P{Numeric_Value=-_+0-0_00/a/0	300}');
Expect(1, 65819, '\p{Numeric_Value=0300}', "");
Expect(0, 65819, '\p{^Numeric_Value=0300}', "");
Expect(0, 65819, '\P{Numeric_Value=0300}', "");
Expect(1, 65819, '\P{^Numeric_Value=0300}', "");
Expect(0, 65818, '\p{Numeric_Value=0300}', "");
Expect(1, 65818, '\p{^Numeric_Value=0300}', "");
Expect(1, 65818, '\P{Numeric_Value=0300}', "");
Expect(0, 65818, '\P{^Numeric_Value=0300}', "");
Error('\p{Nv=__00000000300/a/}');
Error('\P{Nv=__00000000300/a/}');
Expect(1, 65819, '\p{Nv: +00000000300}', "");
Expect(0, 65819, '\p{^Nv: +00000000300}', "");
Expect(0, 65819, '\P{Nv: +00000000300}', "");
Expect(1, 65819, '\P{^Nv: +00000000300}', "");
Expect(0, 65818, '\p{Nv: +00000000300}', "");
Expect(1, 65818, '\p{^Nv: +00000000300}', "");
Expect(1, 65818, '\P{Nv: +00000000300}', "");
Expect(0, 65818, '\P{^Nv: +00000000300}', "");
Error('\p{Is_Numeric_Value=/a/_ 00000300}');
Error('\P{Is_Numeric_Value=/a/_ 00000300}');
Expect(1, 65819, '\p{Is_Numeric_Value=0_0_0_0_0_300}', "");
Expect(0, 65819, '\p{^Is_Numeric_Value=0_0_0_0_0_300}', "");
Expect(0, 65819, '\P{Is_Numeric_Value=0_0_0_0_0_300}', "");
Expect(1, 65819, '\P{^Is_Numeric_Value=0_0_0_0_0_300}', "");
Expect(0, 65818, '\p{Is_Numeric_Value=0_0_0_0_0_300}', "");
Expect(1, 65818, '\p{^Is_Numeric_Value=0_0_0_0_0_300}', "");
Expect(1, 65818, '\P{Is_Numeric_Value=0_0_0_0_0_300}', "");
Expect(0, 65818, '\P{^Is_Numeric_Value=0_0_0_0_0_300}', "");
Error('\p{Is_Nv=_00000300:=}');
Error('\P{Is_Nv=_00000300:=}');
Expect(1, 65819, '\p{Is_Nv:300}', "");
Expect(0, 65819, '\p{^Is_Nv:300}', "");
Expect(0, 65819, '\P{Is_Nv:300}', "");
Expect(1, 65819, '\P{^Is_Nv:300}', "");
Expect(0, 65818, '\p{Is_Nv:300}', "");
Expect(1, 65818, '\p{^Is_Nv:300}', "");
Expect(1, 65818, '\P{Is_Nv:300}', "");
Expect(0, 65818, '\P{^Is_Nv:300}', "");
Error('\p{Numeric_Value=:=__1/0008}');
Error('\P{Numeric_Value=:=__1/0008}');
Expect(1, 2549, '\p{Numeric_Value=0000001/0000008}', "");
Expect(0, 2549, '\p{^Numeric_Value=0000001/0000008}', "");
Expect(0, 2549, '\P{Numeric_Value=0000001/0000008}', "");
Expect(1, 2549, '\P{^Numeric_Value=0000001/0000008}', "");
Expect(0, 2548, '\p{Numeric_Value=0000001/0000008}', "");
Expect(1, 2548, '\p{^Numeric_Value=0000001/0000008}', "");
Expect(1, 2548, '\P{Numeric_Value=0000001/0000008}', "");
Expect(0, 2548, '\P{^Numeric_Value=0000001/0000008}', "");
Error('\p{Numeric_Value=0.13}');
Error('\P{Numeric_Value=0.13}');
Expect(1, 2549, '\p{Numeric_Value=0.125}', "");
Expect(0, 2549, '\p{^Numeric_Value=0.125}', "");
Expect(0, 2549, '\P{Numeric_Value=0.125}', "");
Expect(1, 2549, '\P{^Numeric_Value=0.125}', "");
Expect(0, 2548, '\p{Numeric_Value=0.125}', "");
Expect(1, 2548, '\p{^Numeric_Value=0.125}', "");
Expect(1, 2548, '\P{Numeric_Value=0.125}', "");
Expect(0, 2548, '\P{^Numeric_Value=0.125}', "");
Error('\p{Nv=	0000000001/000008/a/}');
Error('\P{Nv=	0000000001/000008/a/}');
Expect(1, 2549, '\p{Nv=0000001/008}', "");
Expect(0, 2549, '\p{^Nv=0000001/008}', "");
Expect(0, 2549, '\P{Nv=0000001/008}', "");
Expect(1, 2549, '\P{^Nv=0000001/008}', "");
Expect(0, 2548, '\p{Nv=0000001/008}', "");
Expect(1, 2548, '\p{^Nv=0000001/008}', "");
Expect(1, 2548, '\P{Nv=0000001/008}', "");
Expect(0, 2548, '\P{^Nv=0000001/008}', "");
Error('\p{Nv=0.13}');
Error('\P{Nv=0.13}');
Expect(1, 2549, '\p{Nv=0.125}', "");
Expect(0, 2549, '\p{^Nv=0.125}', "");
Expect(0, 2549, '\P{Nv=0.125}', "");
Expect(1, 2549, '\P{^Nv=0.125}', "");
Expect(0, 2548, '\p{Nv=0.125}', "");
Expect(1, 2548, '\p{^Nv=0.125}', "");
Expect(1, 2548, '\P{Nv=0.125}', "");
Expect(0, 2548, '\P{^Nv=0.125}', "");
Error('\p{Is_Numeric_Value=:=_ 1/000008}');
Error('\P{Is_Numeric_Value=:=_ 1/000008}');
Expect(1, 2549, '\p{Is_Numeric_Value=00001/000008}', "");
Expect(0, 2549, '\p{^Is_Numeric_Value=00001/000008}', "");
Expect(0, 2549, '\P{Is_Numeric_Value=00001/000008}', "");
Expect(1, 2549, '\P{^Is_Numeric_Value=00001/000008}', "");
Expect(0, 2548, '\p{Is_Numeric_Value=00001/000008}', "");
Expect(1, 2548, '\p{^Is_Numeric_Value=00001/000008}', "");
Expect(1, 2548, '\P{Is_Numeric_Value=00001/000008}', "");
Expect(0, 2548, '\P{^Is_Numeric_Value=00001/000008}', "");
Error('\p{Is_Numeric_Value=0.13}');
Error('\P{Is_Numeric_Value=0.13}');
Expect(1, 2549, '\p{Is_Numeric_Value=0.125}', "");
Expect(0, 2549, '\p{^Is_Numeric_Value=0.125}', "");
Expect(0, 2549, '\P{Is_Numeric_Value=0.125}', "");
Expect(1, 2549, '\P{^Is_Numeric_Value=0.125}', "");
Expect(0, 2548, '\p{Is_Numeric_Value=0.125}', "");
Expect(1, 2548, '\p{^Is_Numeric_Value=0.125}', "");
Expect(1, 2548, '\P{Is_Numeric_Value=0.125}', "");
Expect(0, 2548, '\P{^Is_Numeric_Value=0.125}', "");
Error('\p{Is_Nv= 00001/0000008/a/}');
Error('\P{Is_Nv= 00001/0000008/a/}');
Expect(1, 2549, '\p{Is_Nv=+000001/0000008}', "");
Expect(0, 2549, '\p{^Is_Nv=+000001/0000008}', "");
Expect(0, 2549, '\P{Is_Nv=+000001/0000008}', "");
Expect(1, 2549, '\P{^Is_Nv=+000001/0000008}', "");
Expect(0, 2548, '\p{Is_Nv=+000001/0000008}', "");
Expect(1, 2548, '\p{^Is_Nv=+000001/0000008}', "");
Expect(1, 2548, '\P{Is_Nv=+000001/0000008}', "");
Expect(0, 2548, '\P{^Is_Nv=+000001/0000008}', "");
Error('\p{Is_Nv=0.13}');
Error('\P{Is_Nv=0.13}');
Expect(1, 2549, '\p{Is_Nv=0.125}', "");
Expect(0, 2549, '\p{^Is_Nv=0.125}', "");
Expect(0, 2549, '\P{Is_Nv=0.125}', "");
Expect(1, 2549, '\P{^Is_Nv=0.125}', "");
Expect(0, 2548, '\p{Is_Nv=0.125}', "");
Expect(1, 2548, '\p{^Is_Nv=0.125}', "");
Expect(1, 2548, '\P{Is_Nv=0.125}', "");
Expect(0, 2548, '\P{^Is_Nv=0.125}', "");
Error('\p{Numeric_Value=_/a/+0000000005/0000000006}');
Error('\P{Numeric_Value=_/a/+0000000005/0000000006}');
Expect(1, 8538, '\p{Numeric_Value:0005/6}', "");
Expect(0, 8538, '\p{^Numeric_Value:0005/6}', "");
Expect(0, 8538, '\P{Numeric_Value:0005/6}', "");
Expect(1, 8538, '\P{^Numeric_Value:0005/6}', "");
Expect(0, 8537, '\p{Numeric_Value:0005/6}', "");
Expect(1, 8537, '\p{^Numeric_Value:0005/6}', "");
Expect(1, 8537, '\P{Numeric_Value:0005/6}', "");
Expect(0, 8537, '\P{^Numeric_Value:0005/6}', "");
Error('\p{Numeric_Value=0.83}');
Error('\P{Numeric_Value=0.83}');
Expect(1, 8538, '\p{Numeric_Value=0.833}', "");
Expect(0, 8538, '\p{^Numeric_Value=0.833}', "");
Expect(0, 8538, '\P{Numeric_Value=0.833}', "");
Expect(1, 8538, '\P{^Numeric_Value=0.833}', "");
Expect(0, 8537, '\p{Numeric_Value=0.833}', "");
Expect(1, 8537, '\p{^Numeric_Value=0.833}', "");
Expect(1, 8537, '\P{Numeric_Value=0.833}', "");
Expect(0, 8537, '\P{^Numeric_Value=0.833}', "");
Error('\p{Nv=_ 00005/000006:=}');
Error('\P{Nv=_ 00005/000006:=}');
Expect(1, 8538, '\p{Nv=5/000000006}', "");
Expect(0, 8538, '\p{^Nv=5/000000006}', "");
Expect(0, 8538, '\P{Nv=5/000000006}', "");
Expect(1, 8538, '\P{^Nv=5/000000006}', "");
Expect(0, 8537, '\p{Nv=5/000000006}', "");
Expect(1, 8537, '\p{^Nv=5/000000006}', "");
Expect(1, 8537, '\P{Nv=5/000000006}', "");
Expect(0, 8537, '\P{^Nv=5/000000006}', "");
Error('\p{Nv=0.83}');
Error('\P{Nv=0.83}');
Expect(1, 8538, '\p{Nv=0.833}', "");
Expect(0, 8538, '\p{^Nv=0.833}', "");
Expect(0, 8538, '\P{Nv=0.833}', "");
Expect(1, 8538, '\P{^Nv=0.833}', "");
Expect(0, 8537, '\p{Nv=0.833}', "");
Expect(1, 8537, '\p{^Nv=0.833}', "");
Expect(1, 8537, '\P{Nv=0.833}', "");
Expect(0, 8537, '\P{^Nv=0.833}', "");
Error('\p{Is_Numeric_Value=:=	+0005/00000006}');
Error('\P{Is_Numeric_Value=:=	+0005/00000006}');
Expect(1, 8538, '\p{Is_Numeric_Value=+00005/0006}', "");
Expect(0, 8538, '\p{^Is_Numeric_Value=+00005/0006}', "");
Expect(0, 8538, '\P{Is_Numeric_Value=+00005/0006}', "");
Expect(1, 8538, '\P{^Is_Numeric_Value=+00005/0006}', "");
Expect(0, 8537, '\p{Is_Numeric_Value=+00005/0006}', "");
Expect(1, 8537, '\p{^Is_Numeric_Value=+00005/0006}', "");
Expect(1, 8537, '\P{Is_Numeric_Value=+00005/0006}', "");
Expect(0, 8537, '\P{^Is_Numeric_Value=+00005/0006}', "");
Error('\p{Is_Numeric_Value=0.83}');
Error('\P{Is_Numeric_Value=0.83}');
Expect(1, 8538, '\p{Is_Numeric_Value=0.833}', "");
Expect(0, 8538, '\p{^Is_Numeric_Value=0.833}', "");
Expect(0, 8538, '\P{Is_Numeric_Value=0.833}', "");
Expect(1, 8538, '\P{^Is_Numeric_Value=0.833}', "");
Expect(0, 8537, '\p{Is_Numeric_Value=0.833}', "");
Expect(1, 8537, '\p{^Is_Numeric_Value=0.833}', "");
Expect(1, 8537, '\P{Is_Numeric_Value=0.833}', "");
Expect(0, 8537, '\P{^Is_Numeric_Value=0.833}', "");
Error('\p{Is_Nv=	:=0005/0000000006}');
Error('\P{Is_Nv=	:=0005/0000000006}');
Expect(1, 8538, '\p{Is_Nv=0000005/006}', "");
Expect(0, 8538, '\p{^Is_Nv=0000005/006}', "");
Expect(0, 8538, '\P{Is_Nv=0000005/006}', "");
Expect(1, 8538, '\P{^Is_Nv=0000005/006}', "");
Expect(0, 8537, '\p{Is_Nv=0000005/006}', "");
Expect(1, 8537, '\p{^Is_Nv=0000005/006}', "");
Expect(1, 8537, '\P{Is_Nv=0000005/006}', "");
Expect(0, 8537, '\P{^Is_Nv=0000005/006}', "");
Error('\p{Is_Nv=0.83}');
Error('\P{Is_Nv=0.83}');
Expect(1, 8538, '\p{Is_Nv=0.833}', "");
Expect(0, 8538, '\p{^Is_Nv=0.833}', "");
Expect(0, 8538, '\P{Is_Nv=0.833}', "");
Expect(1, 8538, '\P{^Is_Nv=0.833}', "");
Expect(0, 8537, '\p{Is_Nv=0.833}', "");
Expect(1, 8537, '\p{^Is_Nv=0.833}', "");
Expect(1, 8537, '\P{Is_Nv=0.833}', "");
Expect(0, 8537, '\P{^Is_Nv=0.833}', "");
Error('\p{Numeric_Value=-_0 0:=0	0	0025}');
Error('\P{Numeric_Value=-_0 0:=0	0	0025}');
Expect(1, 12885, '\p{Numeric_Value=00_00_00_00_25}', "");
Expect(0, 12885, '\p{^Numeric_Value=00_00_00_00_25}', "");
Expect(0, 12885, '\P{Numeric_Value=00_00_00_00_25}', "");
Expect(1, 12885, '\P{^Numeric_Value=00_00_00_00_25}', "");
Expect(0, 12884, '\p{Numeric_Value=00_00_00_00_25}', "");
Expect(1, 12884, '\p{^Numeric_Value=00_00_00_00_25}', "");
Expect(1, 12884, '\P{Numeric_Value=00_00_00_00_25}', "");
Expect(0, 12884, '\P{^Numeric_Value=00_00_00_00_25}', "");
Error('\p{Nv=	/a/0002_5}');
Error('\P{Nv=	/a/0002_5}');
Expect(1, 12885, '\p{Nv=+0025}', "");
Expect(0, 12885, '\p{^Nv=+0025}', "");
Expect(0, 12885, '\P{Nv=+0025}', "");
Expect(1, 12885, '\P{^Nv=+0025}', "");
Expect(0, 12884, '\p{Nv=+0025}', "");
Expect(1, 12884, '\p{^Nv=+0025}', "");
Expect(1, 12884, '\P{Nv=+0025}', "");
Expect(0, 12884, '\P{^Nv=+0025}', "");
Error('\p{Is_Numeric_Value=:=-_+00002-5}');
Error('\P{Is_Numeric_Value=:=-_+00002-5}');
Expect(1, 12885, '\p{Is_Numeric_Value=+0000000025}', "");
Expect(0, 12885, '\p{^Is_Numeric_Value=+0000000025}', "");
Expect(0, 12885, '\P{Is_Numeric_Value=+0000000025}', "");
Expect(1, 12885, '\P{^Is_Numeric_Value=+0000000025}', "");
Expect(0, 12884, '\p{Is_Numeric_Value=+0000000025}', "");
Expect(1, 12884, '\p{^Is_Numeric_Value=+0000000025}', "");
Expect(1, 12884, '\P{Is_Numeric_Value=+0000000025}', "");
Expect(0, 12884, '\P{^Is_Numeric_Value=+0000000025}', "");
Error('\p{Is_Nv= -00/a/00 00 00 025}');
Error('\P{Is_Nv= -00/a/00 00 00 025}');
Expect(1, 12885, '\p{Is_Nv=00_00_00_00_025}', "");
Expect(0, 12885, '\p{^Is_Nv=00_00_00_00_025}', "");
Expect(0, 12885, '\P{Is_Nv=00_00_00_00_025}', "");
Expect(1, 12885, '\P{^Is_Nv=00_00_00_00_025}', "");
Expect(0, 12884, '\p{Is_Nv=00_00_00_00_025}', "");
Expect(1, 12884, '\p{^Is_Nv=00_00_00_00_025}', "");
Expect(1, 12884, '\P{Is_Nv=00_00_00_00_025}', "");
Expect(0, 12884, '\P{^Is_Nv=00_00_00_00_025}', "");
Error('\p{Numeric_Value=/a/-	+28}');
Error('\P{Numeric_Value=/a/-	+28}');
Expect(1, 12888, '\p{Numeric_Value:	00000000028}', "");
Expect(0, 12888, '\p{^Numeric_Value:	00000000028}', "");
Expect(0, 12888, '\P{Numeric_Value:	00000000028}', "");
Expect(1, 12888, '\P{^Numeric_Value:	00000000028}', "");
Expect(0, 12887, '\p{Numeric_Value:	00000000028}', "");
Expect(1, 12887, '\p{^Numeric_Value:	00000000028}', "");
Expect(1, 12887, '\P{Numeric_Value:	00000000028}', "");
Expect(0, 12887, '\P{^Numeric_Value:	00000000028}', "");
Error('\p{Nv=+02:=8}');
Error('\P{Nv=+02:=8}');
Expect(1, 12888, '\p{Nv=000028}', "");
Expect(0, 12888, '\p{^Nv=000028}', "");
Expect(0, 12888, '\P{Nv=000028}', "");
Expect(1, 12888, '\P{^Nv=000028}', "");
Expect(0, 12887, '\p{Nv=000028}', "");
Expect(1, 12887, '\p{^Nv=000028}', "");
Expect(1, 12887, '\P{Nv=000028}', "");
Expect(0, 12887, '\P{^Nv=000028}', "");
Error('\p{Is_Numeric_Value=:=000000028}');
Error('\P{Is_Numeric_Value=:=000000028}');
Expect(1, 12888, '\p{Is_Numeric_Value=02_8}', "");
Expect(0, 12888, '\p{^Is_Numeric_Value=02_8}', "");
Expect(0, 12888, '\P{Is_Numeric_Value=02_8}', "");
Expect(1, 12888, '\P{^Is_Numeric_Value=02_8}', "");
Expect(0, 12887, '\p{Is_Numeric_Value=02_8}', "");
Expect(1, 12887, '\p{^Is_Numeric_Value=02_8}', "");
Expect(1, 12887, '\P{Is_Numeric_Value=02_8}', "");
Expect(0, 12887, '\P{^Is_Numeric_Value=02_8}', "");
Error('\p{Is_Nv:+000000028/a/}');
Error('\P{Is_Nv:+000000028/a/}');
Expect(1, 12888, '\p{Is_Nv=+0028}', "");
Expect(0, 12888, '\p{^Is_Nv=+0028}', "");
Expect(0, 12888, '\P{Is_Nv=+0028}', "");
Expect(1, 12888, '\P{^Is_Nv=+0028}', "");
Expect(0, 12887, '\p{Is_Nv=+0028}', "");
Expect(1, 12887, '\p{^Is_Nv=+0028}', "");
Expect(1, 12887, '\P{Is_Nv=+0028}', "");
Expect(0, 12887, '\P{^Is_Nv=+0028}', "");
Error('\p{Numeric_Value=:=--00007/02}');
Error('\P{Numeric_Value=:=--00007/02}');
Expect(1, 3885, '\p{Numeric_Value=00000007/000002}', "");
Expect(0, 3885, '\p{^Numeric_Value=00000007/000002}', "");
Expect(0, 3885, '\P{Numeric_Value=00000007/000002}', "");
Expect(1, 3885, '\P{^Numeric_Value=00000007/000002}', "");
Expect(0, 3884, '\p{Numeric_Value=00000007/000002}', "");
Expect(1, 3884, '\p{^Numeric_Value=00000007/000002}', "");
Expect(1, 3884, '\P{Numeric_Value=00000007/000002}', "");
Expect(0, 3884, '\P{^Numeric_Value=00000007/000002}', "");
Expect(1, 3885, '\p{Numeric_Value=3.500}', "");
Expect(0, 3885, '\p{^Numeric_Value=3.500}', "");
Expect(0, 3885, '\P{Numeric_Value=3.500}', "");
Expect(1, 3885, '\P{^Numeric_Value=3.500}', "");
Expect(0, 3884, '\p{Numeric_Value=3.500}', "");
Expect(1, 3884, '\p{^Numeric_Value=3.500}', "");
Expect(1, 3884, '\P{Numeric_Value=3.500}', "");
Expect(0, 3884, '\P{^Numeric_Value=3.500}', "");
Error('\p{Nv=  7/000002:=}');
Error('\P{Nv=  7/000002:=}');
Expect(1, 3885, '\p{Nv=+07/00002}', "");
Expect(0, 3885, '\p{^Nv=+07/00002}', "");
Expect(0, 3885, '\P{Nv=+07/00002}', "");
Expect(1, 3885, '\P{^Nv=+07/00002}', "");
Expect(0, 3884, '\p{Nv=+07/00002}', "");
Expect(1, 3884, '\p{^Nv=+07/00002}', "");
Expect(1, 3884, '\P{Nv=+07/00002}', "");
Expect(0, 3884, '\P{^Nv=+07/00002}', "");
Expect(1, 3885, '\p{Nv:	3.500}', "");
Expect(0, 3885, '\p{^Nv:	3.500}', "");
Expect(0, 3885, '\P{Nv:	3.500}', "");
Expect(1, 3885, '\P{^Nv:	3.500}', "");
Expect(0, 3884, '\p{Nv:	3.500}', "");
Expect(1, 3884, '\p{^Nv:	3.500}', "");
Expect(1, 3884, '\P{Nv:	3.500}', "");
Expect(0, 3884, '\P{^Nv:	3.500}', "");
Error('\p{Is_Numeric_Value:   	/a/+7/0000000002}');
Error('\P{Is_Numeric_Value:   	/a/+7/0000000002}');
Expect(1, 3885, '\p{Is_Numeric_Value=007/0000002}', "");
Expect(0, 3885, '\p{^Is_Numeric_Value=007/0000002}', "");
Expect(0, 3885, '\P{Is_Numeric_Value=007/0000002}', "");
Expect(1, 3885, '\P{^Is_Numeric_Value=007/0000002}', "");
Expect(0, 3884, '\p{Is_Numeric_Value=007/0000002}', "");
Expect(1, 3884, '\p{^Is_Numeric_Value=007/0000002}', "");
Expect(1, 3884, '\P{Is_Numeric_Value=007/0000002}', "");
Expect(0, 3884, '\P{^Is_Numeric_Value=007/0000002}', "");
Expect(1, 3885, '\p{Is_Numeric_Value=3.500}', "");
Expect(0, 3885, '\p{^Is_Numeric_Value=3.500}', "");
Expect(0, 3885, '\P{Is_Numeric_Value=3.500}', "");
Expect(1, 3885, '\P{^Is_Numeric_Value=3.500}', "");
Expect(0, 3884, '\p{Is_Numeric_Value=3.500}', "");
Expect(1, 3884, '\p{^Is_Numeric_Value=3.500}', "");
Expect(1, 3884, '\P{Is_Numeric_Value=3.500}', "");
Expect(0, 3884, '\P{^Is_Numeric_Value=3.500}', "");
Error('\p{Is_Nv=	/a/0000000007/000000002}');
Error('\P{Is_Nv=	/a/0000000007/000000002}');
Expect(1, 3885, '\p{Is_Nv=00007/00002}', "");
Expect(0, 3885, '\p{^Is_Nv=00007/00002}', "");
Expect(0, 3885, '\P{Is_Nv=00007/00002}', "");
Expect(1, 3885, '\P{^Is_Nv=00007/00002}', "");
Expect(0, 3884, '\p{Is_Nv=00007/00002}', "");
Expect(1, 3884, '\p{^Is_Nv=00007/00002}', "");
Expect(1, 3884, '\P{Is_Nv=00007/00002}', "");
Expect(0, 3884, '\P{^Is_Nv=00007/00002}', "");
Expect(1, 3885, '\p{Is_Nv=3.500}', "");
Expect(0, 3885, '\p{^Is_Nv=3.500}', "");
Expect(0, 3885, '\P{Is_Nv=3.500}', "");
Expect(1, 3885, '\P{^Is_Nv=3.500}', "");
Expect(0, 3884, '\p{Is_Nv=3.500}', "");
Expect(1, 3884, '\p{^Is_Nv=3.500}', "");
Expect(1, 3884, '\P{Is_Nv=3.500}', "");
Expect(0, 3884, '\P{^Is_Nv=3.500}', "");
Error('\p{Numeric_Value=--009/002:=}');
Error('\P{Numeric_Value=--009/002:=}');
Expect(1, 3886, '\p{Numeric_Value=00009/000000002}', "");
Expect(0, 3886, '\p{^Numeric_Value=00009/000000002}', "");
Expect(0, 3886, '\P{Numeric_Value=00009/000000002}', "");
Expect(1, 3886, '\P{^Numeric_Value=00009/000000002}', "");
Expect(0, 3885, '\p{Numeric_Value=00009/000000002}', "");
Expect(1, 3885, '\p{^Numeric_Value=00009/000000002}', "");
Expect(1, 3885, '\P{Numeric_Value=00009/000000002}', "");
Expect(0, 3885, '\P{^Numeric_Value=00009/000000002}', "");
Expect(1, 3886, '\p{Numeric_Value=4.500}', "");
Expect(0, 3886, '\p{^Numeric_Value=4.500}', "");
Expect(0, 3886, '\P{Numeric_Value=4.500}', "");
Expect(1, 3886, '\P{^Numeric_Value=4.500}', "");
Expect(0, 3885, '\p{Numeric_Value=4.500}', "");
Expect(1, 3885, '\p{^Numeric_Value=4.500}', "");
Expect(1, 3885, '\P{Numeric_Value=4.500}', "");
Expect(0, 3885, '\P{^Numeric_Value=4.500}', "");
Error('\p{Nv= :=+0000009/2}');
Error('\P{Nv= :=+0000009/2}');
Expect(1, 3886, '\p{Nv=09/02}', "");
Expect(0, 3886, '\p{^Nv=09/02}', "");
Expect(0, 3886, '\P{Nv=09/02}', "");
Expect(1, 3886, '\P{^Nv=09/02}', "");
Expect(0, 3885, '\p{Nv=09/02}', "");
Expect(1, 3885, '\p{^Nv=09/02}', "");
Expect(1, 3885, '\P{Nv=09/02}', "");
Expect(0, 3885, '\P{^Nv=09/02}', "");
Expect(1, 3886, '\p{Nv:4.500}', "");
Expect(0, 3886, '\p{^Nv:4.500}', "");
Expect(0, 3886, '\P{Nv:4.500}', "");
Expect(1, 3886, '\P{^Nv:4.500}', "");
Expect(0, 3885, '\p{Nv:4.500}', "");
Expect(1, 3885, '\p{^Nv:4.500}', "");
Expect(1, 3885, '\P{Nv:4.500}', "");
Expect(0, 3885, '\P{^Nv:4.500}', "");
Error('\p{Is_Numeric_Value=__000009/00000002/a/}');
Error('\P{Is_Numeric_Value=__000009/00000002/a/}');
Expect(1, 3886, '\p{Is_Numeric_Value: 000000009/02}', "");
Expect(0, 3886, '\p{^Is_Numeric_Value: 000000009/02}', "");
Expect(0, 3886, '\P{Is_Numeric_Value: 000000009/02}', "");
Expect(1, 3886, '\P{^Is_Numeric_Value: 000000009/02}', "");
Expect(0, 3885, '\p{Is_Numeric_Value: 000000009/02}', "");
Expect(1, 3885, '\p{^Is_Numeric_Value: 000000009/02}', "");
Expect(1, 3885, '\P{Is_Numeric_Value: 000000009/02}', "");
Expect(0, 3885, '\P{^Is_Numeric_Value: 000000009/02}', "");
Expect(1, 3886, '\p{Is_Numeric_Value=4.500}', "");
Expect(0, 3886, '\p{^Is_Numeric_Value=4.500}', "");
Expect(0, 3886, '\P{Is_Numeric_Value=4.500}', "");
Expect(1, 3886, '\P{^Is_Numeric_Value=4.500}', "");
Expect(0, 3885, '\p{Is_Numeric_Value=4.500}', "");
Expect(1, 3885, '\p{^Is_Numeric_Value=4.500}', "");
Expect(1, 3885, '\P{Is_Numeric_Value=4.500}', "");
Expect(0, 3885, '\P{^Is_Numeric_Value=4.500}', "");
Error('\p{Is_Nv= 0000000009/0002/a/}');
Error('\P{Is_Nv= 0000000009/0002/a/}');
Expect(1, 3886, '\p{Is_Nv=+09/0000002}', "");
Expect(0, 3886, '\p{^Is_Nv=+09/0000002}', "");
Expect(0, 3886, '\P{Is_Nv=+09/0000002}', "");
Expect(1, 3886, '\P{^Is_Nv=+09/0000002}', "");
Expect(0, 3885, '\p{Is_Nv=+09/0000002}', "");
Expect(1, 3885, '\p{^Is_Nv=+09/0000002}', "");
Expect(1, 3885, '\P{Is_Nv=+09/0000002}', "");
Expect(0, 3885, '\P{^Is_Nv=+09/0000002}', "");
Expect(1, 3886, '\p{Is_Nv=4.500}', "");
Expect(0, 3886, '\p{^Is_Nv=4.500}', "");
Expect(0, 3886, '\P{Is_Nv=4.500}', "");
Expect(1, 3886, '\P{^Is_Nv=4.500}', "");
Expect(0, 3885, '\p{Is_Nv=4.500}', "");
Expect(1, 3885, '\p{^Is_Nv=4.500}', "");
Expect(1, 3885, '\P{Is_Nv=4.500}', "");
Expect(0, 3885, '\P{^Is_Nv=4.500}', "");
Error('\p{Numeric_Value=_:=04_0}');
Error('\P{Numeric_Value=_:=04_0}');
Expect(1, 4981, '\p{Numeric_Value=0000000040}', "");
Expect(0, 4981, '\p{^Numeric_Value=0000000040}', "");
Expect(0, 4981, '\P{Numeric_Value=0000000040}', "");
Expect(1, 4981, '\P{^Numeric_Value=0000000040}', "");
Expect(0, 4980, '\p{Numeric_Value=0000000040}', "");
Expect(1, 4980, '\p{^Numeric_Value=0000000040}', "");
Expect(1, 4980, '\P{Numeric_Value=0000000040}', "");
Expect(0, 4980, '\P{^Numeric_Value=0000000040}', "");
Error('\p{Nv=_:=04_0}');
Error('\P{Nv=_:=04_0}');
Expect(1, 4981, '\p{Nv=0_0_0_040}', "");
Expect(0, 4981, '\p{^Nv=0_0_0_040}', "");
Expect(0, 4981, '\P{Nv=0_0_0_040}', "");
Expect(1, 4981, '\P{^Nv=0_0_0_040}', "");
Expect(0, 4980, '\p{Nv=0_0_0_040}', "");
Expect(1, 4980, '\p{^Nv=0_0_0_040}', "");
Expect(1, 4980, '\P{Nv=0_0_0_040}', "");
Expect(0, 4980, '\P{^Nv=0_0_0_040}', "");
Error('\p{Is_Numeric_Value=_-00	040/a/}');
Error('\P{Is_Numeric_Value=_-00	040/a/}');
Expect(1, 4981, '\p{Is_Numeric_Value=00_00_00_00_40}', "");
Expect(0, 4981, '\p{^Is_Numeric_Value=00_00_00_00_40}', "");
Expect(0, 4981, '\P{Is_Numeric_Value=00_00_00_00_40}', "");
Expect(1, 4981, '\P{^Is_Numeric_Value=00_00_00_00_40}', "");
Expect(0, 4980, '\p{Is_Numeric_Value=00_00_00_00_40}', "");
Expect(1, 4980, '\p{^Is_Numeric_Value=00_00_00_00_40}', "");
Expect(1, 4980, '\P{Is_Numeric_Value=00_00_00_00_40}', "");
Expect(0, 4980, '\P{^Is_Numeric_Value=00_00_00_00_40}', "");
Error('\p{Is_Nv=/a/ 04-0}');
Error('\P{Is_Nv=/a/ 04-0}');
Expect(1, 4981, '\p{Is_Nv=00_04_0}', "");
Expect(0, 4981, '\p{^Is_Nv=00_04_0}', "");
Expect(0, 4981, '\P{Is_Nv=00_04_0}', "");
Expect(1, 4981, '\P{^Is_Nv=00_04_0}', "");
Expect(0, 4980, '\p{Is_Nv=00_04_0}', "");
Expect(1, 4980, '\p{^Is_Nv=00_04_0}', "");
Expect(1, 4980, '\P{Is_Nv=00_04_0}', "");
Expect(0, 4980, '\P{^Is_Nv=00_04_0}', "");
Error('\p{Numeric_Value=-_+0 0:=00_0	0 0	003000}');
Error('\P{Numeric_Value=-_+0 0:=00_0	0 0	003000}');
Expect(1, 65828, '\p{Numeric_Value=+300_0}', "");
Expect(0, 65828, '\p{^Numeric_Value=+300_0}', "");
Expect(0, 65828, '\P{Numeric_Value=+300_0}', "");
Expect(1, 65828, '\P{^Numeric_Value=+300_0}', "");
Expect(0, 65827, '\p{Numeric_Value=+300_0}', "");
Expect(1, 65827, '\p{^Numeric_Value=+300_0}', "");
Expect(1, 65827, '\P{Numeric_Value=+300_0}', "");
Expect(0, 65827, '\P{^Numeric_Value=+300_0}', "");
Error('\p{Nv=_:=3000}');
Error('\P{Nv=_:=3000}');
Expect(1, 65828, '\p{Nv=0000003000}', "");
Expect(0, 65828, '\p{^Nv=0000003000}', "");
Expect(0, 65828, '\P{Nv=0000003000}', "");
Expect(1, 65828, '\P{^Nv=0000003000}', "");
Expect(0, 65827, '\p{Nv=0000003000}', "");
Expect(1, 65827, '\p{^Nv=0000003000}', "");
Expect(1, 65827, '\P{Nv=0000003000}', "");
Expect(0, 65827, '\P{^Nv=0000003000}', "");
Error('\p{Is_Numeric_Value:		_03000/a/}');
Error('\P{Is_Numeric_Value:		_03000/a/}');
Expect(1, 65828, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_3000}', "");
Expect(0, 65828, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_3000}', "");
Expect(0, 65828, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_3000}', "");
Expect(1, 65828, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_3000}', "");
Expect(0, 65827, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_3000}', "");
Expect(1, 65827, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_3000}', "");
Expect(1, 65827, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_3000}', "");
Expect(0, 65827, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_3000}', "");
Error('\p{Is_Nv=-300 0:=}');
Error('\P{Is_Nv=-300 0:=}');
Expect(1, 65828, '\p{Is_Nv:   0000003000}', "");
Expect(0, 65828, '\p{^Is_Nv:   0000003000}', "");
Expect(0, 65828, '\P{Is_Nv:   0000003000}', "");
Expect(1, 65828, '\P{^Is_Nv:   0000003000}', "");
Expect(0, 65827, '\p{Is_Nv:   0000003000}', "");
Expect(1, 65827, '\p{^Is_Nv:   0000003000}', "");
Expect(1, 65827, '\P{Is_Nv:   0000003000}', "");
Expect(0, 65827, '\P{^Is_Nv:   0000003000}', "");
Error('\p{Numeric_Value=:=_0000800}');
Error('\P{Numeric_Value=:=_0000800}');
Expect(1, 65824, '\p{Numeric_Value=+000000000800}', "");
Expect(0, 65824, '\p{^Numeric_Value=+000000000800}', "");
Expect(0, 65824, '\P{Numeric_Value=+000000000800}', "");
Expect(1, 65824, '\P{^Numeric_Value=+000000000800}', "");
Expect(0, 65823, '\p{Numeric_Value=+000000000800}', "");
Expect(1, 65823, '\p{^Numeric_Value=+000000000800}', "");
Expect(1, 65823, '\P{Numeric_Value=+000000000800}', "");
Expect(0, 65823, '\P{^Numeric_Value=+000000000800}', "");
Error('\p{Nv=:=80	0}');
Error('\P{Nv=:=80	0}');
Expect(1, 65824, '\p{Nv=+00000080_0}', "");
Expect(0, 65824, '\p{^Nv=+00000080_0}', "");
Expect(0, 65824, '\P{Nv=+00000080_0}', "");
Expect(1, 65824, '\P{^Nv=+00000080_0}', "");
Expect(0, 65823, '\p{Nv=+00000080_0}', "");
Expect(1, 65823, '\p{^Nv=+00000080_0}', "");
Expect(1, 65823, '\P{Nv=+00000080_0}', "");
Expect(0, 65823, '\P{^Nv=+00000080_0}', "");
Error('\p{Is_Numeric_Value=  00-00	00	800:=}');
Error('\P{Is_Numeric_Value=  00-00	00	800:=}');
Expect(1, 65824, '\p{Is_Numeric_Value=80_0}', "");
Expect(0, 65824, '\p{^Is_Numeric_Value=80_0}', "");
Expect(0, 65824, '\P{Is_Numeric_Value=80_0}', "");
Expect(1, 65824, '\P{^Is_Numeric_Value=80_0}', "");
Expect(0, 65823, '\p{Is_Numeric_Value=80_0}', "");
Expect(1, 65823, '\p{^Is_Numeric_Value=80_0}', "");
Expect(1, 65823, '\P{Is_Numeric_Value=80_0}', "");
Expect(0, 65823, '\P{^Is_Numeric_Value=80_0}', "");
Error('\p{Is_Nv= /a/+800}');
Error('\P{Is_Nv= /a/+800}');
Expect(1, 65824, '\p{Is_Nv=00_00_00_80_0}', "");
Expect(0, 65824, '\p{^Is_Nv=00_00_00_80_0}', "");
Expect(0, 65824, '\P{Is_Nv=00_00_00_80_0}', "");
Expect(1, 65824, '\P{^Is_Nv=00_00_00_80_0}', "");
Expect(0, 65823, '\p{Is_Nv=00_00_00_80_0}', "");
Expect(1, 65823, '\p{^Is_Nv=00_00_00_80_0}', "");
Expect(1, 65823, '\P{Is_Nv=00_00_00_80_0}', "");
Expect(0, 65823, '\P{^Is_Nv=00_00_00_80_0}', "");
Error('\p{Numeric_Value=	/a/+0-9-0_00}');
Error('\P{Numeric_Value=	/a/+0-9-0_00}');
Expect(1, 65834, '\p{Numeric_Value: 09000}', "");
Expect(0, 65834, '\p{^Numeric_Value: 09000}', "");
Expect(0, 65834, '\P{Numeric_Value: 09000}', "");
Expect(1, 65834, '\P{^Numeric_Value: 09000}', "");
Expect(0, 65833, '\p{Numeric_Value: 09000}', "");
Expect(1, 65833, '\p{^Numeric_Value: 09000}', "");
Expect(1, 65833, '\P{Numeric_Value: 09000}', "");
Expect(0, 65833, '\P{^Numeric_Value: 09000}', "");
Error('\p{Nv=	09000/a/}');
Error('\P{Nv=	09000/a/}');
Expect(1, 65834, '\p{Nv=000_090_00}', "");
Expect(0, 65834, '\p{^Nv=000_090_00}', "");
Expect(0, 65834, '\P{Nv=000_090_00}', "");
Expect(1, 65834, '\P{^Nv=000_090_00}', "");
Expect(0, 65833, '\p{Nv=000_090_00}', "");
Expect(1, 65833, '\p{^Nv=000_090_00}', "");
Expect(1, 65833, '\P{Nv=000_090_00}', "");
Expect(0, 65833, '\P{^Nv=000_090_00}', "");
Error('\p{Is_Numeric_Value= :=0-0 9-0_00}');
Error('\P{Is_Numeric_Value= :=0-0 9-0_00}');
Expect(1, 65834, '\p{Is_Numeric_Value=0000000009000}', "");
Expect(0, 65834, '\p{^Is_Numeric_Value=0000000009000}', "");
Expect(0, 65834, '\P{Is_Numeric_Value=0000000009000}', "");
Expect(1, 65834, '\P{^Is_Numeric_Value=0000000009000}', "");
Expect(0, 65833, '\p{Is_Numeric_Value=0000000009000}', "");
Expect(1, 65833, '\p{^Is_Numeric_Value=0000000009000}', "");
Expect(1, 65833, '\P{Is_Numeric_Value=0000000009000}', "");
Expect(0, 65833, '\P{^Is_Numeric_Value=0000000009000}', "");
Error('\p{Is_Nv=:= -+000000900	0}');
Error('\P{Is_Nv=:= -+000000900	0}');
Expect(1, 65834, '\p{Is_Nv=0000_0000_0900_0}', "");
Expect(0, 65834, '\p{^Is_Nv=0000_0000_0900_0}', "");
Expect(0, 65834, '\P{Is_Nv=0000_0000_0900_0}', "");
Expect(1, 65834, '\P{^Is_Nv=0000_0000_0900_0}', "");
Expect(0, 65833, '\p{Is_Nv=0000_0000_0900_0}', "");
Expect(1, 65833, '\p{^Is_Nv=0000_0000_0900_0}', "");
Expect(1, 65833, '\P{Is_Nv=0000_0000_0900_0}', "");
Expect(0, 65833, '\P{^Is_Nv=0000_0000_0900_0}', "");
Error('\p{Numeric_Value=--0-0-00 0:=014}');
Error('\P{Numeric_Value=--0-0-00 0:=014}');
Expect(1, 9325, '\p{Numeric_Value=+014}', "");
Expect(0, 9325, '\p{^Numeric_Value=+014}', "");
Expect(0, 9325, '\P{Numeric_Value=+014}', "");
Expect(1, 9325, '\P{^Numeric_Value=+014}', "");
Expect(0, 9324, '\p{Numeric_Value=+014}', "");
Expect(1, 9324, '\p{^Numeric_Value=+014}', "");
Expect(1, 9324, '\P{Numeric_Value=+014}', "");
Expect(0, 9324, '\P{^Numeric_Value=+014}', "");
Error('\p{Nv=:=	+1 4}');
Error('\P{Nv=:=	+1 4}');
Expect(1, 9325, '\p{Nv=+000014}', "");
Expect(0, 9325, '\p{^Nv=+000014}', "");
Expect(0, 9325, '\P{Nv=+000014}', "");
Expect(1, 9325, '\P{^Nv=+000014}', "");
Expect(0, 9324, '\p{Nv=+000014}', "");
Expect(1, 9324, '\p{^Nv=+000014}', "");
Expect(1, 9324, '\P{Nv=+000014}', "");
Expect(0, 9324, '\P{^Nv=+000014}', "");
Error('\p{Is_Numeric_Value=_-00-00:=0000_014}');
Error('\P{Is_Numeric_Value=_-00-00:=0000_014}');
Expect(1, 9325, '\p{Is_Numeric_Value=0000000014}', "");
Expect(0, 9325, '\p{^Is_Numeric_Value=0000000014}', "");
Expect(0, 9325, '\P{Is_Numeric_Value=0000000014}', "");
Expect(1, 9325, '\P{^Is_Numeric_Value=0000000014}', "");
Expect(0, 9324, '\p{Is_Numeric_Value=0000000014}', "");
Expect(1, 9324, '\p{^Is_Numeric_Value=0000000014}', "");
Expect(1, 9324, '\P{Is_Numeric_Value=0000000014}', "");
Expect(0, 9324, '\P{^Is_Numeric_Value=0000000014}', "");
Error('\p{Is_Nv=:=0000014}');
Error('\P{Is_Nv=:=0000014}');
Expect(1, 9325, '\p{Is_Nv=00000000014}', "");
Expect(0, 9325, '\p{^Is_Nv=00000000014}', "");
Expect(0, 9325, '\P{Is_Nv=00000000014}', "");
Expect(1, 9325, '\P{^Is_Nv=00000000014}', "");
Expect(0, 9324, '\p{Is_Nv=00000000014}', "");
Expect(1, 9324, '\p{^Is_Nv=00000000014}', "");
Expect(1, 9324, '\P{Is_Nv=00000000014}', "");
Expect(0, 9324, '\P{^Is_Nv=00000000014}', "");
Error('\p{Numeric_Value: 	+000060000/a/}');
Error('\P{Numeric_Value: 	+000060000/a/}');
Expect(1, 65840, '\p{Numeric_Value=06_00_00}', "");
Expect(0, 65840, '\p{^Numeric_Value=06_00_00}', "");
Expect(0, 65840, '\P{Numeric_Value=06_00_00}', "");
Expect(1, 65840, '\P{^Numeric_Value=06_00_00}', "");
Expect(0, 65839, '\p{Numeric_Value=06_00_00}', "");
Expect(1, 65839, '\p{^Numeric_Value=06_00_00}', "");
Expect(1, 65839, '\P{Numeric_Value=06_00_00}', "");
Expect(0, 65839, '\P{^Numeric_Value=06_00_00}', "");
Error('\p{Nv=_+0	0	00/a/0-60000}');
Error('\P{Nv=_+0	0	00/a/0-60000}');
Expect(1, 65840, '\p{Nv=000006000_0}', "");
Expect(0, 65840, '\p{^Nv=000006000_0}', "");
Expect(0, 65840, '\P{Nv=000006000_0}', "");
Expect(1, 65840, '\P{^Nv=000006000_0}', "");
Expect(0, 65839, '\p{Nv=000006000_0}', "");
Expect(1, 65839, '\p{^Nv=000006000_0}', "");
Expect(1, 65839, '\P{Nv=000006000_0}', "");
Expect(0, 65839, '\P{^Nv=000006000_0}', "");
Error('\p{Is_Numeric_Value=:=-_0-0	0_0 0_0 0_0	0_60000}');
Error('\P{Is_Numeric_Value=:=-_0-0	0_0 0_0 0_0	0_60000}');
Expect(1, 65840, '\p{Is_Numeric_Value=0000_0000_0600_00}', "");
Expect(0, 65840, '\p{^Is_Numeric_Value=0000_0000_0600_00}', "");
Expect(0, 65840, '\P{Is_Numeric_Value=0000_0000_0600_00}', "");
Expect(1, 65840, '\P{^Is_Numeric_Value=0000_0000_0600_00}', "");
Expect(0, 65839, '\p{Is_Numeric_Value=0000_0000_0600_00}', "");
Expect(1, 65839, '\p{^Is_Numeric_Value=0000_0000_0600_00}', "");
Expect(1, 65839, '\P{Is_Numeric_Value=0000_0000_0600_00}', "");
Expect(0, 65839, '\P{^Is_Numeric_Value=0000_0000_0600_00}', "");
Error('\p{Is_Nv=	-00060000:=}');
Error('\P{Is_Nv=	-00060000:=}');
Expect(1, 65840, '\p{Is_Nv=00000060000}', "");
Expect(0, 65840, '\p{^Is_Nv=00000060000}', "");
Expect(0, 65840, '\P{Is_Nv=00000060000}', "");
Expect(1, 65840, '\P{^Is_Nv=00000060000}', "");
Expect(0, 65839, '\p{Is_Nv=00000060000}', "");
Expect(1, 65839, '\p{^Is_Nv=00000060000}', "");
Expect(1, 65839, '\P{Is_Nv=00000060000}', "");
Expect(0, 65839, '\P{^Is_Nv=00000060000}', "");
Error('\p{Numeric_Value=:=0 0-0	0 49}');
Error('\P{Numeric_Value=:=0 0-0	0 49}');
Expect(1, 12990, '\p{Numeric_Value=000000049}', "");
Expect(0, 12990, '\p{^Numeric_Value=000000049}', "");
Expect(0, 12990, '\P{Numeric_Value=000000049}', "");
Expect(1, 12990, '\P{^Numeric_Value=000000049}', "");
Expect(0, 12989, '\p{Numeric_Value=000000049}', "");
Expect(1, 12989, '\p{^Numeric_Value=000000049}', "");
Expect(1, 12989, '\P{Numeric_Value=000000049}', "");
Expect(0, 12989, '\P{^Numeric_Value=000000049}', "");
Error('\p{Nv=- 04:=9}');
Error('\P{Nv=- 04:=9}');
Expect(1, 12990, '\p{Nv=004_9}', "");
Expect(0, 12990, '\p{^Nv=004_9}', "");
Expect(0, 12990, '\P{Nv=004_9}', "");
Expect(1, 12990, '\P{^Nv=004_9}', "");
Expect(0, 12989, '\p{Nv=004_9}', "");
Expect(1, 12989, '\p{^Nv=004_9}', "");
Expect(1, 12989, '\P{Nv=004_9}', "");
Expect(0, 12989, '\P{^Nv=004_9}', "");
Error('\p{Is_Numeric_Value= -00049:=}');
Error('\P{Is_Numeric_Value= -00049:=}');
Expect(1, 12990, '\p{Is_Numeric_Value=+0_0_0_49}', "");
Expect(0, 12990, '\p{^Is_Numeric_Value=+0_0_0_49}', "");
Expect(0, 12990, '\P{Is_Numeric_Value=+0_0_0_49}', "");
Expect(1, 12990, '\P{^Is_Numeric_Value=+0_0_0_49}', "");
Expect(0, 12989, '\p{Is_Numeric_Value=+0_0_0_49}', "");
Expect(1, 12989, '\p{^Is_Numeric_Value=+0_0_0_49}', "");
Expect(1, 12989, '\P{Is_Numeric_Value=+0_0_0_49}', "");
Expect(0, 12989, '\P{^Is_Numeric_Value=+0_0_0_49}', "");
Error('\p{Is_Nv:		0 0-0 0:=0-0	0	0_49}');
Error('\P{Is_Nv:		0 0-0 0:=0-0	0	0_49}');
Expect(1, 12990, '\p{Is_Nv=0_0_0_0_049}', "");
Expect(0, 12990, '\p{^Is_Nv=0_0_0_0_049}', "");
Expect(0, 12990, '\P{Is_Nv=0_0_0_0_049}', "");
Expect(1, 12990, '\P{^Is_Nv=0_0_0_0_049}', "");
Expect(0, 12989, '\p{Is_Nv=0_0_0_0_049}', "");
Expect(1, 12989, '\p{^Is_Nv=0_0_0_0_049}', "");
Expect(1, 12989, '\P{Is_Nv=0_0_0_0_049}', "");
Expect(0, 12989, '\P{^Is_Nv=0_0_0_0_049}', "");
Error('\p{Numeric_Value=	_0_0_0-0	024:=}');
Error('\P{Numeric_Value=	_0_0_0-0	024:=}');
Expect(1, 12884, '\p{Numeric_Value=0_0_0_24}', "");
Expect(0, 12884, '\p{^Numeric_Value=0_0_0_24}', "");
Expect(0, 12884, '\P{Numeric_Value=0_0_0_24}', "");
Expect(1, 12884, '\P{^Numeric_Value=0_0_0_24}', "");
Expect(0, 12883, '\p{Numeric_Value=0_0_0_24}', "");
Expect(1, 12883, '\p{^Numeric_Value=0_0_0_24}', "");
Expect(1, 12883, '\P{Numeric_Value=0_0_0_24}', "");
Expect(0, 12883, '\P{^Numeric_Value=0_0_0_24}', "");
Error('\p{Nv= /a/0024}');
Error('\P{Nv= /a/0024}');
Expect(1, 12884, '\p{Nv=00_00_24}', "");
Expect(0, 12884, '\p{^Nv=00_00_24}', "");
Expect(0, 12884, '\P{Nv=00_00_24}', "");
Expect(1, 12884, '\P{^Nv=00_00_24}', "");
Expect(0, 12883, '\p{Nv=00_00_24}', "");
Expect(1, 12883, '\p{^Nv=00_00_24}', "");
Expect(1, 12883, '\P{Nv=00_00_24}', "");
Expect(0, 12883, '\P{^Nv=00_00_24}', "");
Error('\p{Is_Numeric_Value=/a/	-+0000024}');
Error('\P{Is_Numeric_Value=/a/	-+0000024}');
Expect(1, 12884, '\p{Is_Numeric_Value=00024}', "");
Expect(0, 12884, '\p{^Is_Numeric_Value=00024}', "");
Expect(0, 12884, '\P{Is_Numeric_Value=00024}', "");
Expect(1, 12884, '\P{^Is_Numeric_Value=00024}', "");
Expect(0, 12883, '\p{Is_Numeric_Value=00024}', "");
Expect(1, 12883, '\p{^Is_Numeric_Value=00024}', "");
Expect(1, 12883, '\P{Is_Numeric_Value=00024}', "");
Expect(0, 12883, '\P{^Is_Numeric_Value=00024}', "");
Error('\p{Is_Nv=__24:=}');
Error('\P{Is_Nv=__24:=}');
Expect(1, 12884, '\p{Is_Nv=+0000000024}', "");
Expect(0, 12884, '\p{^Is_Nv=+0000000024}', "");
Expect(0, 12884, '\P{Is_Nv=+0000000024}', "");
Expect(1, 12884, '\P{^Is_Nv=+0000000024}', "");
Expect(0, 12883, '\p{Is_Nv=+0000000024}', "");
Expect(1, 12883, '\p{^Is_Nv=+0000000024}', "");
Expect(1, 12883, '\P{Is_Nv=+0000000024}', "");
Expect(0, 12883, '\P{^Is_Nv=+0000000024}', "");
Error('\p{Numeric_Value= /a/+00001/00000004}');
Error('\P{Numeric_Value= /a/+00001/00000004}');
Expect(1, 188, '\p{Numeric_Value=001/04}', "");
Expect(0, 188, '\p{^Numeric_Value=001/04}', "");
Expect(0, 188, '\P{Numeric_Value=001/04}', "");
Expect(1, 188, '\P{^Numeric_Value=001/04}', "");
Expect(0, 187, '\p{Numeric_Value=001/04}', "");
Expect(1, 187, '\p{^Numeric_Value=001/04}', "");
Expect(1, 187, '\P{Numeric_Value=001/04}', "");
Expect(0, 187, '\P{^Numeric_Value=001/04}', "");
Error('\p{Numeric_Value=0.3}');
Error('\P{Numeric_Value=0.3}');
Expect(1, 188, '\p{Numeric_Value:0.250}', "");
Expect(0, 188, '\p{^Numeric_Value:0.250}', "");
Expect(0, 188, '\P{Numeric_Value:0.250}', "");
Expect(1, 188, '\P{^Numeric_Value:0.250}', "");
Expect(0, 187, '\p{Numeric_Value:0.250}', "");
Expect(1, 187, '\p{^Numeric_Value:0.250}', "");
Expect(1, 187, '\P{Numeric_Value:0.250}', "");
Expect(0, 187, '\P{^Numeric_Value:0.250}', "");
Error('\p{Nv=/a/__001/4}');
Error('\P{Nv=/a/__001/4}');
Expect(1, 188, '\p{Nv:   +00001/0004}', "");
Expect(0, 188, '\p{^Nv:   +00001/0004}', "");
Expect(0, 188, '\P{Nv:   +00001/0004}', "");
Expect(1, 188, '\P{^Nv:   +00001/0004}', "");
Expect(0, 187, '\p{Nv:   +00001/0004}', "");
Expect(1, 187, '\p{^Nv:   +00001/0004}', "");
Expect(1, 187, '\P{Nv:   +00001/0004}', "");
Expect(0, 187, '\P{^Nv:   +00001/0004}', "");
Error('\p{Nv=0.3}');
Error('\P{Nv=0.3}');
Expect(1, 188, '\p{Nv=0.250}', "");
Expect(0, 188, '\p{^Nv=0.250}', "");
Expect(0, 188, '\P{Nv=0.250}', "");
Expect(1, 188, '\P{^Nv=0.250}', "");
Expect(0, 187, '\p{Nv=0.250}', "");
Expect(1, 187, '\p{^Nv=0.250}', "");
Expect(1, 187, '\P{Nv=0.250}', "");
Expect(0, 187, '\P{^Nv=0.250}', "");
Error('\p{Is_Numeric_Value= /a/+001/000000004}');
Error('\P{Is_Numeric_Value= /a/+001/000000004}');
Expect(1, 188, '\p{Is_Numeric_Value=000000001/0004}', "");
Expect(0, 188, '\p{^Is_Numeric_Value=000000001/0004}', "");
Expect(0, 188, '\P{Is_Numeric_Value=000000001/0004}', "");
Expect(1, 188, '\P{^Is_Numeric_Value=000000001/0004}', "");
Expect(0, 187, '\p{Is_Numeric_Value=000000001/0004}', "");
Expect(1, 187, '\p{^Is_Numeric_Value=000000001/0004}', "");
Expect(1, 187, '\P{Is_Numeric_Value=000000001/0004}', "");
Expect(0, 187, '\P{^Is_Numeric_Value=000000001/0004}', "");
Error('\p{Is_Numeric_Value=0.3}');
Error('\P{Is_Numeric_Value=0.3}');
Expect(1, 188, '\p{Is_Numeric_Value=0.250}', "");
Expect(0, 188, '\p{^Is_Numeric_Value=0.250}', "");
Expect(0, 188, '\P{Is_Numeric_Value=0.250}', "");
Expect(1, 188, '\P{^Is_Numeric_Value=0.250}', "");
Expect(0, 187, '\p{Is_Numeric_Value=0.250}', "");
Expect(1, 187, '\p{^Is_Numeric_Value=0.250}', "");
Expect(1, 187, '\P{Is_Numeric_Value=0.250}', "");
Expect(0, 187, '\P{^Is_Numeric_Value=0.250}', "");
Error('\p{Is_Nv=-:=0001/000000004}');
Error('\P{Is_Nv=-:=0001/000000004}');
Expect(1, 188, '\p{Is_Nv=1/0000000004}', "");
Expect(0, 188, '\p{^Is_Nv=1/0000000004}', "");
Expect(0, 188, '\P{Is_Nv=1/0000000004}', "");
Expect(1, 188, '\P{^Is_Nv=1/0000000004}', "");
Expect(0, 187, '\p{Is_Nv=1/0000000004}', "");
Expect(1, 187, '\p{^Is_Nv=1/0000000004}', "");
Expect(1, 187, '\P{Is_Nv=1/0000000004}', "");
Expect(0, 187, '\P{^Is_Nv=1/0000000004}', "");
Error('\p{Is_Nv=0.3}');
Error('\P{Is_Nv=0.3}');
Expect(1, 188, '\p{Is_Nv=0.250}', "");
Expect(0, 188, '\p{^Is_Nv=0.250}', "");
Expect(0, 188, '\P{Is_Nv=0.250}', "");
Expect(1, 188, '\P{^Is_Nv=0.250}', "");
Expect(0, 187, '\p{Is_Nv=0.250}', "");
Expect(1, 187, '\p{^Is_Nv=0.250}', "");
Expect(1, 187, '\P{Is_Nv=0.250}', "");
Expect(0, 187, '\P{^Is_Nv=0.250}', "");
Error('\p{Numeric_Value=-_+0 9-0/a/000}');
Error('\P{Numeric_Value=-_+0 9-0/a/000}');
Expect(1, 65843, '\p{Numeric_Value=+000000090000}', "");
Expect(0, 65843, '\p{^Numeric_Value=+000000090000}', "");
Expect(0, 65843, '\P{Numeric_Value=+000000090000}', "");
Expect(1, 65843, '\P{^Numeric_Value=+000000090000}', "");
Expect(0, 65842, '\p{Numeric_Value=+000000090000}', "");
Expect(1, 65842, '\p{^Numeric_Value=+000000090000}', "");
Expect(1, 65842, '\P{Numeric_Value=+000000090000}', "");
Expect(0, 65842, '\P{^Numeric_Value=+000000090000}', "");
Error('\p{Nv=:=-	0090000}');
Error('\P{Nv=:=-	0090000}');
Expect(1, 65843, '\p{Nv=0_0_0_0_0_0_0_9_0_000}', "");
Expect(0, 65843, '\p{^Nv=0_0_0_0_0_0_0_9_0_000}', "");
Expect(0, 65843, '\P{Nv=0_0_0_0_0_0_0_9_0_000}', "");
Expect(1, 65843, '\P{^Nv=0_0_0_0_0_0_0_9_0_000}', "");
Expect(0, 65842, '\p{Nv=0_0_0_0_0_0_0_9_0_000}', "");
Expect(1, 65842, '\p{^Nv=0_0_0_0_0_0_0_9_0_000}', "");
Expect(1, 65842, '\P{Nv=0_0_0_0_0_0_0_9_0_000}', "");
Expect(0, 65842, '\P{^Nv=0_0_0_0_0_0_0_9_0_000}', "");
Error('\p{Is_Numeric_Value=/a/000090000}');
Error('\P{Is_Numeric_Value=/a/000090000}');
Expect(1, 65843, '\p{Is_Numeric_Value=0090000}', "");
Expect(0, 65843, '\p{^Is_Numeric_Value=0090000}', "");
Expect(0, 65843, '\P{Is_Numeric_Value=0090000}', "");
Expect(1, 65843, '\P{^Is_Numeric_Value=0090000}', "");
Expect(0, 65842, '\p{Is_Numeric_Value=0090000}', "");
Expect(1, 65842, '\p{^Is_Numeric_Value=0090000}', "");
Expect(1, 65842, '\P{Is_Numeric_Value=0090000}', "");
Expect(0, 65842, '\P{^Is_Numeric_Value=0090000}', "");
Error('\p{Is_Nv= 00090000/a/}');
Error('\P{Is_Nv= 00090000/a/}');
Expect(1, 65843, '\p{Is_Nv=+00009000_0}', "");
Expect(0, 65843, '\p{^Is_Nv=+00009000_0}', "");
Expect(0, 65843, '\P{Is_Nv=+00009000_0}', "");
Expect(1, 65843, '\P{^Is_Nv=+00009000_0}', "");
Expect(0, 65842, '\p{Is_Nv=+00009000_0}', "");
Expect(1, 65842, '\p{^Is_Nv=+00009000_0}', "");
Expect(1, 65842, '\P{Is_Nv=+00009000_0}', "");
Expect(0, 65842, '\P{^Is_Nv=+00009000_0}', "");
Error('\p{Numeric_Value=-:=+0 0-00_0-0	50000}');
Error('\P{Numeric_Value=-:=+0 0-00_0-0	50000}');
Expect(1, 8583, '\p{Numeric_Value=+0000000050000}', "");
Expect(0, 8583, '\p{^Numeric_Value=+0000000050000}', "");
Expect(0, 8583, '\P{Numeric_Value=+0000000050000}', "");
Expect(1, 8583, '\P{^Numeric_Value=+0000000050000}', "");
Expect(0, 8582, '\p{Numeric_Value=+0000000050000}', "");
Expect(1, 8582, '\p{^Numeric_Value=+0000000050000}', "");
Expect(1, 8582, '\P{Numeric_Value=+0000000050000}', "");
Expect(0, 8582, '\P{^Numeric_Value=+0000000050000}', "");
Error('\p{Nv=-:=+00_00 50 00 0}');
Error('\P{Nv=-:=+00_00 50 00 0}');
Expect(1, 8583, '\p{Nv:00005000_0}', "");
Expect(0, 8583, '\p{^Nv:00005000_0}', "");
Expect(0, 8583, '\P{Nv:00005000_0}', "");
Expect(1, 8583, '\P{^Nv:00005000_0}', "");
Expect(0, 8582, '\p{Nv:00005000_0}', "");
Expect(1, 8582, '\p{^Nv:00005000_0}', "");
Expect(1, 8582, '\P{Nv:00005000_0}', "");
Expect(0, 8582, '\P{^Nv:00005000_0}', "");
Error('\p{Is_Numeric_Value=	/a/+000_500 00}');
Error('\P{Is_Numeric_Value=	/a/+000_500 00}');
Expect(1, 8583, '\p{Is_Numeric_Value=0000050000}', "");
Expect(0, 8583, '\p{^Is_Numeric_Value=0000050000}', "");
Expect(0, 8583, '\P{Is_Numeric_Value=0000050000}', "");
Expect(1, 8583, '\P{^Is_Numeric_Value=0000050000}', "");
Expect(0, 8582, '\p{Is_Numeric_Value=0000050000}', "");
Expect(1, 8582, '\p{^Is_Numeric_Value=0000050000}', "");
Expect(1, 8582, '\P{Is_Numeric_Value=0000050000}', "");
Expect(0, 8582, '\P{^Is_Numeric_Value=0000050000}', "");
Error('\p{Is_Nv=-005 000	0/a/}');
Error('\P{Is_Nv=-005 000	0/a/}');
Expect(1, 8583, '\p{Is_Nv=00000050000}', "");
Expect(0, 8583, '\p{^Is_Nv=00000050000}', "");
Expect(0, 8583, '\P{Is_Nv=00000050000}', "");
Expect(1, 8583, '\P{^Is_Nv=00000050000}', "");
Expect(0, 8582, '\p{Is_Nv=00000050000}', "");
Expect(1, 8582, '\p{^Is_Nv=00000050000}', "");
Expect(1, 8582, '\P{Is_Nv=00000050000}', "");
Expect(0, 8582, '\P{^Is_Nv=00000050000}', "");
Error('\p{Numeric_Value=_/a/0_00 0	0	0-40000}');
Error('\P{Numeric_Value=_/a/0_00 0	0	0-40000}');
Expect(1, 65838, '\p{Numeric_Value=+00_00_00_00_04_0000}', "");
Expect(0, 65838, '\p{^Numeric_Value=+00_00_00_00_04_0000}', "");
Expect(0, 65838, '\P{Numeric_Value=+00_00_00_00_04_0000}', "");
Expect(1, 65838, '\P{^Numeric_Value=+00_00_00_00_04_0000}', "");
Expect(0, 65837, '\p{Numeric_Value=+00_00_00_00_04_0000}', "");
Expect(1, 65837, '\p{^Numeric_Value=+00_00_00_00_04_0000}', "");
Expect(1, 65837, '\P{Numeric_Value=+00_00_00_00_04_0000}', "");
Expect(0, 65837, '\P{^Numeric_Value=+00_00_00_00_04_0000}', "");
Error('\p{Nv=	_+00 04 00 00:=}');
Error('\P{Nv=	_+00 04 00 00:=}');
Expect(1, 65838, '\p{Nv:	000_400_00}', "");
Expect(0, 65838, '\p{^Nv:	000_400_00}', "");
Expect(0, 65838, '\P{Nv:	000_400_00}', "");
Expect(1, 65838, '\P{^Nv:	000_400_00}', "");
Expect(0, 65837, '\p{Nv:	000_400_00}', "");
Expect(1, 65837, '\p{^Nv:	000_400_00}', "");
Expect(1, 65837, '\P{Nv:	000_400_00}', "");
Expect(0, 65837, '\P{^Nv:	000_400_00}', "");
Error('\p{Is_Numeric_Value=	/a/+40000}');
Error('\P{Is_Numeric_Value=	/a/+40000}');
Expect(1, 65838, '\p{Is_Numeric_Value=+004000_0}', "");
Expect(0, 65838, '\p{^Is_Numeric_Value=+004000_0}', "");
Expect(0, 65838, '\P{Is_Numeric_Value=+004000_0}', "");
Expect(1, 65838, '\P{^Is_Numeric_Value=+004000_0}', "");
Expect(0, 65837, '\p{Is_Numeric_Value=+004000_0}', "");
Expect(1, 65837, '\p{^Is_Numeric_Value=+004000_0}', "");
Expect(1, 65837, '\P{Is_Numeric_Value=+004000_0}', "");
Expect(0, 65837, '\P{^Is_Numeric_Value=+004000_0}', "");
Error('\p{Is_Nv= 	000000_004000-0/a/}');
Error('\P{Is_Nv= 	000000_004000-0/a/}');
Expect(1, 65838, '\p{Is_Nv:	+000000040000}', "");
Expect(0, 65838, '\p{^Is_Nv:	+000000040000}', "");
Expect(0, 65838, '\P{Is_Nv:	+000000040000}', "");
Expect(1, 65838, '\P{^Is_Nv:	+000000040000}', "");
Expect(0, 65837, '\p{Is_Nv:	+000000040000}', "");
Expect(1, 65837, '\p{^Is_Nv:	+000000040000}', "");
Expect(1, 65837, '\P{Is_Nv:	+000000040000}', "");
Expect(0, 65837, '\P{^Is_Nv:	+000000040000}', "");
Error('\p{Numeric_Value= :=00000001/000002}');
Error('\P{Numeric_Value= :=00000001/000002}');
Expect(1, 189, '\p{Numeric_Value=000000001/00000002}', "");
Expect(0, 189, '\p{^Numeric_Value=000000001/00000002}', "");
Expect(0, 189, '\P{Numeric_Value=000000001/00000002}', "");
Expect(1, 189, '\P{^Numeric_Value=000000001/00000002}', "");
Expect(0, 188, '\p{Numeric_Value=000000001/00000002}', "");
Expect(1, 188, '\p{^Numeric_Value=000000001/00000002}', "");
Expect(1, 188, '\P{Numeric_Value=000000001/00000002}', "");
Expect(0, 188, '\P{^Numeric_Value=000000001/00000002}', "");
Expect(1, 189, '\p{Numeric_Value=0.500}', "");
Expect(0, 189, '\p{^Numeric_Value=0.500}', "");
Expect(0, 189, '\P{Numeric_Value=0.500}', "");
Expect(1, 189, '\P{^Numeric_Value=0.500}', "");
Expect(0, 188, '\p{Numeric_Value=0.500}', "");
Expect(1, 188, '\p{^Numeric_Value=0.500}', "");
Expect(1, 188, '\P{Numeric_Value=0.500}', "");
Expect(0, 188, '\P{^Numeric_Value=0.500}', "");
Error('\p{Nv=/a/_ 001/2}');
Error('\P{Nv=/a/_ 001/2}');
Expect(1, 189, '\p{Nv=001/0000000002}', "");
Expect(0, 189, '\p{^Nv=001/0000000002}', "");
Expect(0, 189, '\P{Nv=001/0000000002}', "");
Expect(1, 189, '\P{^Nv=001/0000000002}', "");
Expect(0, 188, '\p{Nv=001/0000000002}', "");
Expect(1, 188, '\p{^Nv=001/0000000002}', "");
Expect(1, 188, '\P{Nv=001/0000000002}', "");
Expect(0, 188, '\P{^Nv=001/0000000002}', "");
Expect(1, 189, '\p{Nv=0.500}', "");
Expect(0, 189, '\p{^Nv=0.500}', "");
Expect(0, 189, '\P{Nv=0.500}', "");
Expect(1, 189, '\P{^Nv=0.500}', "");
Expect(0, 188, '\p{Nv=0.500}', "");
Expect(1, 188, '\p{^Nv=0.500}', "");
Expect(1, 188, '\P{Nv=0.500}', "");
Expect(0, 188, '\P{^Nv=0.500}', "");
Error('\p{Is_Numeric_Value=_-+00000001/0002/a/}');
Error('\P{Is_Numeric_Value=_-+00000001/0002/a/}');
Expect(1, 189, '\p{Is_Numeric_Value:0000000001/002}', "");
Expect(0, 189, '\p{^Is_Numeric_Value:0000000001/002}', "");
Expect(0, 189, '\P{Is_Numeric_Value:0000000001/002}', "");
Expect(1, 189, '\P{^Is_Numeric_Value:0000000001/002}', "");
Expect(0, 188, '\p{Is_Numeric_Value:0000000001/002}', "");
Expect(1, 188, '\p{^Is_Numeric_Value:0000000001/002}', "");
Expect(1, 188, '\P{Is_Numeric_Value:0000000001/002}', "");
Expect(0, 188, '\P{^Is_Numeric_Value:0000000001/002}', "");
Expect(1, 189, '\p{Is_Numeric_Value=0.500}', "");
Expect(0, 189, '\p{^Is_Numeric_Value=0.500}', "");
Expect(0, 189, '\P{Is_Numeric_Value=0.500}', "");
Expect(1, 189, '\P{^Is_Numeric_Value=0.500}', "");
Expect(0, 188, '\p{Is_Numeric_Value=0.500}', "");
Expect(1, 188, '\p{^Is_Numeric_Value=0.500}', "");
Expect(1, 188, '\P{Is_Numeric_Value=0.500}', "");
Expect(0, 188, '\P{^Is_Numeric_Value=0.500}', "");
Error('\p{Is_Nv=	 00001/000002:=}');
Error('\P{Is_Nv=	 00001/000002:=}');
Expect(1, 189, '\p{Is_Nv=000001/00000002}', "");
Expect(0, 189, '\p{^Is_Nv=000001/00000002}', "");
Expect(0, 189, '\P{Is_Nv=000001/00000002}', "");
Expect(1, 189, '\P{^Is_Nv=000001/00000002}', "");
Expect(0, 188, '\p{Is_Nv=000001/00000002}', "");
Expect(1, 188, '\p{^Is_Nv=000001/00000002}', "");
Expect(1, 188, '\P{Is_Nv=000001/00000002}', "");
Expect(0, 188, '\P{^Is_Nv=000001/00000002}', "");
Expect(1, 189, '\p{Is_Nv=0.500}', "");
Expect(0, 189, '\p{^Is_Nv=0.500}', "");
Expect(0, 189, '\P{Is_Nv=0.500}', "");
Expect(1, 189, '\P{^Is_Nv=0.500}', "");
Expect(0, 188, '\p{Is_Nv=0.500}', "");
Expect(1, 188, '\p{^Is_Nv=0.500}', "");
Expect(1, 188, '\P{Is_Nv=0.500}', "");
Expect(0, 188, '\P{^Is_Nv=0.500}', "");
Error('\p{Numeric_Value= -0	0 7:=0-00}');
Error('\P{Numeric_Value= -0	0 7:=0-00}');
Expect(1, 65832, '\p{Numeric_Value=+7000}', "");
Expect(0, 65832, '\p{^Numeric_Value=+7000}', "");
Expect(0, 65832, '\P{Numeric_Value=+7000}', "");
Expect(1, 65832, '\P{^Numeric_Value=+7000}', "");
Expect(0, 65831, '\p{Numeric_Value=+7000}', "");
Expect(1, 65831, '\p{^Numeric_Value=+7000}', "");
Expect(1, 65831, '\P{Numeric_Value=+7000}', "");
Expect(0, 65831, '\P{^Numeric_Value=+7000}', "");
Error('\p{Nv:	 	0000000007000:=}');
Error('\P{Nv:	 	0000000007000:=}');
Expect(1, 65832, '\p{Nv=7000}', "");
Expect(0, 65832, '\p{^Nv=7000}', "");
Expect(0, 65832, '\P{Nv=7000}', "");
Expect(1, 65832, '\P{^Nv=7000}', "");
Expect(0, 65831, '\p{Nv=7000}', "");
Expect(1, 65831, '\p{^Nv=7000}', "");
Expect(1, 65831, '\P{Nv=7000}', "");
Expect(0, 65831, '\P{^Nv=7000}', "");
Error('\p{Is_Numeric_Value:/a/-	000007000}');
Error('\P{Is_Numeric_Value:/a/-	000007000}');
Expect(1, 65832, '\p{Is_Numeric_Value: +0007000}', "");
Expect(0, 65832, '\p{^Is_Numeric_Value: +0007000}', "");
Expect(0, 65832, '\P{Is_Numeric_Value: +0007000}', "");
Expect(1, 65832, '\P{^Is_Numeric_Value: +0007000}', "");
Expect(0, 65831, '\p{Is_Numeric_Value: +0007000}', "");
Expect(1, 65831, '\p{^Is_Numeric_Value: +0007000}', "");
Expect(1, 65831, '\P{Is_Numeric_Value: +0007000}', "");
Expect(0, 65831, '\P{^Is_Numeric_Value: +0007000}', "");
Error('\p{Is_Nv=_7_0	00:=}');
Error('\P{Is_Nv=_7_0	00:=}');
Expect(1, 65832, '\p{Is_Nv=00700_0}', "");
Expect(0, 65832, '\p{^Is_Nv=00700_0}', "");
Expect(0, 65832, '\P{Is_Nv=00700_0}', "");
Expect(1, 65832, '\P{^Is_Nv=00700_0}', "");
Expect(0, 65831, '\p{Is_Nv=00700_0}', "");
Expect(1, 65831, '\p{^Is_Nv=00700_0}', "");
Expect(1, 65831, '\P{Is_Nv=00700_0}', "");
Expect(0, 65831, '\P{^Is_Nv=00700_0}', "");
Error('\p{Numeric_Value=/a/	03/000005}');
Error('\P{Numeric_Value=/a/	03/000005}');
Expect(1, 8535, '\p{Numeric_Value=03/5}', "");
Expect(0, 8535, '\p{^Numeric_Value=03/5}', "");
Expect(0, 8535, '\P{Numeric_Value=03/5}', "");
Expect(1, 8535, '\P{^Numeric_Value=03/5}', "");
Expect(0, 8534, '\p{Numeric_Value=03/5}', "");
Expect(1, 8534, '\p{^Numeric_Value=03/5}', "");
Expect(1, 8534, '\P{Numeric_Value=03/5}', "");
Expect(0, 8534, '\P{^Numeric_Value=03/5}', "");
Expect(1, 8535, '\p{Numeric_Value=0.600}', "");
Expect(0, 8535, '\p{^Numeric_Value=0.600}', "");
Expect(0, 8535, '\P{Numeric_Value=0.600}', "");
Expect(1, 8535, '\P{^Numeric_Value=0.600}', "");
Expect(0, 8534, '\p{Numeric_Value=0.600}', "");
Expect(1, 8534, '\p{^Numeric_Value=0.600}', "");
Expect(1, 8534, '\P{Numeric_Value=0.600}', "");
Expect(0, 8534, '\P{^Numeric_Value=0.600}', "");
Error('\p{Nv=:=-	00000003/05}');
Error('\P{Nv=:=-	00000003/05}');
Expect(1, 8535, '\p{Nv=03/00000005}', "");
Expect(0, 8535, '\p{^Nv=03/00000005}', "");
Expect(0, 8535, '\P{Nv=03/00000005}', "");
Expect(1, 8535, '\P{^Nv=03/00000005}', "");
Expect(0, 8534, '\p{Nv=03/00000005}', "");
Expect(1, 8534, '\p{^Nv=03/00000005}', "");
Expect(1, 8534, '\P{Nv=03/00000005}', "");
Expect(0, 8534, '\P{^Nv=03/00000005}', "");
Expect(1, 8535, '\p{Nv=0.600}', "");
Expect(0, 8535, '\p{^Nv=0.600}', "");
Expect(0, 8535, '\P{Nv=0.600}', "");
Expect(1, 8535, '\P{^Nv=0.600}', "");
Expect(0, 8534, '\p{Nv=0.600}', "");
Expect(1, 8534, '\p{^Nv=0.600}', "");
Expect(1, 8534, '\P{Nv=0.600}', "");
Expect(0, 8534, '\P{^Nv=0.600}', "");
Error('\p{Is_Numeric_Value=_-+3/0000000005/a/}');
Error('\P{Is_Numeric_Value=_-+3/0000000005/a/}');
Expect(1, 8535, '\p{Is_Numeric_Value=3/00005}', "");
Expect(0, 8535, '\p{^Is_Numeric_Value=3/00005}', "");
Expect(0, 8535, '\P{Is_Numeric_Value=3/00005}', "");
Expect(1, 8535, '\P{^Is_Numeric_Value=3/00005}', "");
Expect(0, 8534, '\p{Is_Numeric_Value=3/00005}', "");
Expect(1, 8534, '\p{^Is_Numeric_Value=3/00005}', "");
Expect(1, 8534, '\P{Is_Numeric_Value=3/00005}', "");
Expect(0, 8534, '\P{^Is_Numeric_Value=3/00005}', "");
Expect(1, 8535, '\p{Is_Numeric_Value=0.600}', "");
Expect(0, 8535, '\p{^Is_Numeric_Value=0.600}', "");
Expect(0, 8535, '\P{Is_Numeric_Value=0.600}', "");
Expect(1, 8535, '\P{^Is_Numeric_Value=0.600}', "");
Expect(0, 8534, '\p{Is_Numeric_Value=0.600}', "");
Expect(1, 8534, '\p{^Is_Numeric_Value=0.600}', "");
Expect(1, 8534, '\P{Is_Numeric_Value=0.600}', "");
Expect(0, 8534, '\P{^Is_Numeric_Value=0.600}', "");
Error('\p{Is_Nv=-+00000003/00000005/a/}');
Error('\P{Is_Nv=-+00000003/00000005/a/}');
Expect(1, 8535, '\p{Is_Nv=+000000003/00000005}', "");
Expect(0, 8535, '\p{^Is_Nv=+000000003/00000005}', "");
Expect(0, 8535, '\P{Is_Nv=+000000003/00000005}', "");
Expect(1, 8535, '\P{^Is_Nv=+000000003/00000005}', "");
Expect(0, 8534, '\p{Is_Nv=+000000003/00000005}', "");
Expect(1, 8534, '\p{^Is_Nv=+000000003/00000005}', "");
Expect(1, 8534, '\P{Is_Nv=+000000003/00000005}', "");
Expect(0, 8534, '\P{^Is_Nv=+000000003/00000005}', "");
Expect(1, 8535, '\p{Is_Nv=0.600}', "");
Expect(0, 8535, '\p{^Is_Nv=0.600}', "");
Expect(0, 8535, '\P{Is_Nv=0.600}', "");
Expect(1, 8535, '\P{^Is_Nv=0.600}', "");
Expect(0, 8534, '\p{Is_Nv=0.600}', "");
Expect(1, 8534, '\p{^Is_Nv=0.600}', "");
Expect(1, 8534, '\P{Is_Nv=0.600}', "");
Expect(0, 8534, '\P{^Is_Nv=0.600}', "");
Error('\p{Numeric_Value=:=- +00017/0000002}');
Error('\P{Numeric_Value=:=- +00017/0000002}');
Expect(1, 3890, '\p{Numeric_Value: 0017/2}', "");
Expect(0, 3890, '\p{^Numeric_Value: 0017/2}', "");
Expect(0, 3890, '\P{Numeric_Value: 0017/2}', "");
Expect(1, 3890, '\P{^Numeric_Value: 0017/2}', "");
Expect(0, 3889, '\p{Numeric_Value: 0017/2}', "");
Expect(1, 3889, '\p{^Numeric_Value: 0017/2}', "");
Expect(1, 3889, '\P{Numeric_Value: 0017/2}', "");
Expect(0, 3889, '\P{^Numeric_Value: 0017/2}', "");
Expect(1, 3890, '\p{Numeric_Value=8.500}', "");
Expect(0, 3890, '\p{^Numeric_Value=8.500}', "");
Expect(0, 3890, '\P{Numeric_Value=8.500}', "");
Expect(1, 3890, '\P{^Numeric_Value=8.500}', "");
Expect(0, 3889, '\p{Numeric_Value=8.500}', "");
Expect(1, 3889, '\p{^Numeric_Value=8.500}', "");
Expect(1, 3889, '\P{Numeric_Value=8.500}', "");
Expect(0, 3889, '\P{^Numeric_Value=8.500}', "");
Error('\p{Nv=	:=000000017/02}');
Error('\P{Nv=	:=000000017/02}');
Expect(1, 3890, '\p{Nv=0000017/002}', "");
Expect(0, 3890, '\p{^Nv=0000017/002}', "");
Expect(0, 3890, '\P{Nv=0000017/002}', "");
Expect(1, 3890, '\P{^Nv=0000017/002}', "");
Expect(0, 3889, '\p{Nv=0000017/002}', "");
Expect(1, 3889, '\p{^Nv=0000017/002}', "");
Expect(1, 3889, '\P{Nv=0000017/002}', "");
Expect(0, 3889, '\P{^Nv=0000017/002}', "");
Expect(1, 3890, '\p{Nv=8.500}', "");
Expect(0, 3890, '\p{^Nv=8.500}', "");
Expect(0, 3890, '\P{Nv=8.500}', "");
Expect(1, 3890, '\P{^Nv=8.500}', "");
Expect(0, 3889, '\p{Nv=8.500}', "");
Expect(1, 3889, '\p{^Nv=8.500}', "");
Expect(1, 3889, '\P{Nv=8.500}', "");
Expect(0, 3889, '\P{^Nv=8.500}', "");
Error('\p{Is_Numeric_Value: /a/		00000000017/00002}');
Error('\P{Is_Numeric_Value: /a/		00000000017/00002}');
Expect(1, 3890, '\p{Is_Numeric_Value=00000017/02}', "");
Expect(0, 3890, '\p{^Is_Numeric_Value=00000017/02}', "");
Expect(0, 3890, '\P{Is_Numeric_Value=00000017/02}', "");
Expect(1, 3890, '\P{^Is_Numeric_Value=00000017/02}', "");
Expect(0, 3889, '\p{Is_Numeric_Value=00000017/02}', "");
Expect(1, 3889, '\p{^Is_Numeric_Value=00000017/02}', "");
Expect(1, 3889, '\P{Is_Numeric_Value=00000017/02}', "");
Expect(0, 3889, '\P{^Is_Numeric_Value=00000017/02}', "");
Expect(1, 3890, '\p{Is_Numeric_Value=8.500}', "");
Expect(0, 3890, '\p{^Is_Numeric_Value=8.500}', "");
Expect(0, 3890, '\P{Is_Numeric_Value=8.500}', "");
Expect(1, 3890, '\P{^Is_Numeric_Value=8.500}', "");
Expect(0, 3889, '\p{Is_Numeric_Value=8.500}', "");
Expect(1, 3889, '\p{^Is_Numeric_Value=8.500}', "");
Expect(1, 3889, '\P{Is_Numeric_Value=8.500}', "");
Expect(0, 3889, '\P{^Is_Numeric_Value=8.500}', "");
Error('\p{Is_Nv=	 000000017/000000002:=}');
Error('\P{Is_Nv=	 000000017/000000002:=}');
Expect(1, 3890, '\p{Is_Nv=+0000000017/0000000002}', "");
Expect(0, 3890, '\p{^Is_Nv=+0000000017/0000000002}', "");
Expect(0, 3890, '\P{Is_Nv=+0000000017/0000000002}', "");
Expect(1, 3890, '\P{^Is_Nv=+0000000017/0000000002}', "");
Expect(0, 3889, '\p{Is_Nv=+0000000017/0000000002}', "");
Expect(1, 3889, '\p{^Is_Nv=+0000000017/0000000002}', "");
Expect(1, 3889, '\P{Is_Nv=+0000000017/0000000002}', "");
Expect(0, 3889, '\P{^Is_Nv=+0000000017/0000000002}', "");
Expect(1, 3890, '\p{Is_Nv=8.500}', "");
Expect(0, 3890, '\p{^Is_Nv=8.500}', "");
Expect(0, 3890, '\P{Is_Nv=8.500}', "");
Expect(1, 3890, '\P{^Is_Nv=8.500}', "");
Expect(0, 3889, '\p{Is_Nv=8.500}', "");
Expect(1, 3889, '\p{^Is_Nv=8.500}', "");
Expect(1, 3889, '\P{Is_Nv=8.500}', "");
Expect(0, 3889, '\P{^Is_Nv=8.500}', "");
Error('\p{Numeric_Value=_00000042:=}');
Error('\P{Numeric_Value=_00000042:=}');
Expect(1, 12983, '\p{Numeric_Value=00000042}', "");
Expect(0, 12983, '\p{^Numeric_Value=00000042}', "");
Expect(0, 12983, '\P{Numeric_Value=00000042}', "");
Expect(1, 12983, '\P{^Numeric_Value=00000042}', "");
Expect(0, 12982, '\p{Numeric_Value=00000042}', "");
Expect(1, 12982, '\p{^Numeric_Value=00000042}', "");
Expect(1, 12982, '\P{Numeric_Value=00000042}', "");
Expect(0, 12982, '\P{^Numeric_Value=00000042}', "");
Error('\p{Nv=-:=+042}');
Error('\P{Nv=-:=+042}');
Expect(1, 12983, '\p{Nv=+04_2}', "");
Expect(0, 12983, '\p{^Nv=+04_2}', "");
Expect(0, 12983, '\P{Nv=+04_2}', "");
Expect(1, 12983, '\P{^Nv=+04_2}', "");
Expect(0, 12982, '\p{Nv=+04_2}', "");
Expect(1, 12982, '\p{^Nv=+04_2}', "");
Expect(1, 12982, '\P{Nv=+04_2}', "");
Expect(0, 12982, '\P{^Nv=+04_2}', "");
Error('\p{Is_Numeric_Value=_:=0000042}');
Error('\P{Is_Numeric_Value=_:=0000042}');
Expect(1, 12983, '\p{Is_Numeric_Value=00_04_2}', "");
Expect(0, 12983, '\p{^Is_Numeric_Value=00_04_2}', "");
Expect(0, 12983, '\P{Is_Numeric_Value=00_04_2}', "");
Expect(1, 12983, '\P{^Is_Numeric_Value=00_04_2}', "");
Expect(0, 12982, '\p{Is_Numeric_Value=00_04_2}', "");
Expect(1, 12982, '\p{^Is_Numeric_Value=00_04_2}', "");
Expect(1, 12982, '\P{Is_Numeric_Value=00_04_2}', "");
Expect(0, 12982, '\P{^Is_Numeric_Value=00_04_2}', "");
Error('\p{Is_Nv= _000_000:=004_2}');
Error('\P{Is_Nv= _000_000:=004_2}');
Expect(1, 12983, '\p{Is_Nv=00000042}', "");
Expect(0, 12983, '\p{^Is_Nv=00000042}', "");
Expect(0, 12983, '\P{Is_Nv=00000042}', "");
Expect(1, 12983, '\P{^Is_Nv=00000042}', "");
Expect(0, 12982, '\p{Is_Nv=00000042}', "");
Expect(1, 12982, '\p{^Is_Nv=00000042}', "");
Expect(1, 12982, '\P{Is_Nv=00000042}', "");
Expect(0, 12982, '\P{^Is_Nv=00000042}', "");
Error('\p{Numeric_Value= :=0 0 22}');
Error('\P{Numeric_Value= :=0 0 22}');
Expect(1, 12882, '\p{Numeric_Value=+22}', "");
Expect(0, 12882, '\p{^Numeric_Value=+22}', "");
Expect(0, 12882, '\P{Numeric_Value=+22}', "");
Expect(1, 12882, '\P{^Numeric_Value=+22}', "");
Expect(0, 12881, '\p{Numeric_Value=+22}', "");
Expect(1, 12881, '\p{^Numeric_Value=+22}', "");
Expect(1, 12881, '\P{Numeric_Value=+22}', "");
Expect(0, 12881, '\P{^Numeric_Value=+22}', "");
Error('\p{Nv= 	0000022:=}');
Error('\P{Nv= 	0000022:=}');
Expect(1, 12882, '\p{Nv=00_00_22}', "");
Expect(0, 12882, '\p{^Nv=00_00_22}', "");
Expect(0, 12882, '\P{Nv=00_00_22}', "");
Expect(1, 12882, '\P{^Nv=00_00_22}', "");
Expect(0, 12881, '\p{Nv=00_00_22}', "");
Expect(1, 12881, '\p{^Nv=00_00_22}', "");
Expect(1, 12881, '\P{Nv=00_00_22}', "");
Expect(0, 12881, '\P{^Nv=00_00_22}', "");
Error('\p{Is_Numeric_Value=_/a/000000002-2}');
Error('\P{Is_Numeric_Value=_/a/000000002-2}');
Expect(1, 12882, '\p{Is_Numeric_Value=00022}', "");
Expect(0, 12882, '\p{^Is_Numeric_Value=00022}', "");
Expect(0, 12882, '\P{Is_Numeric_Value=00022}', "");
Expect(1, 12882, '\P{^Is_Numeric_Value=00022}', "");
Expect(0, 12881, '\p{Is_Numeric_Value=00022}', "");
Expect(1, 12881, '\p{^Is_Numeric_Value=00022}', "");
Expect(1, 12881, '\P{Is_Numeric_Value=00022}', "");
Expect(0, 12881, '\P{^Is_Numeric_Value=00022}', "");
Error('\p{Is_Nv=/a/_+000022}');
Error('\P{Is_Nv=/a/_+000022}');
Expect(1, 12882, '\p{Is_Nv:   02_2}', "");
Expect(0, 12882, '\p{^Is_Nv:   02_2}', "");
Expect(0, 12882, '\P{Is_Nv:   02_2}', "");
Expect(1, 12882, '\P{^Is_Nv:   02_2}', "");
Expect(0, 12881, '\p{Is_Nv:   02_2}', "");
Expect(1, 12881, '\p{^Is_Nv:   02_2}', "");
Expect(1, 12881, '\P{Is_Nv:   02_2}', "");
Expect(0, 12881, '\P{^Is_Nv:   02_2}', "");
Error('\p{Numeric_Value=-/a/0000001/0000000009}');
Error('\P{Numeric_Value=-/a/0000001/0000000009}');
Expect(1, 8529, '\p{Numeric_Value=+0000000001/0000000009}', "");
Expect(0, 8529, '\p{^Numeric_Value=+0000000001/0000000009}', "");
Expect(0, 8529, '\P{Numeric_Value=+0000000001/0000000009}', "");
Expect(1, 8529, '\P{^Numeric_Value=+0000000001/0000000009}', "");
Expect(0, 8528, '\p{Numeric_Value=+0000000001/0000000009}', "");
Expect(1, 8528, '\p{^Numeric_Value=+0000000001/0000000009}', "");
Expect(1, 8528, '\P{Numeric_Value=+0000000001/0000000009}', "");
Expect(0, 8528, '\P{^Numeric_Value=+0000000001/0000000009}', "");
Error('\p{Numeric_Value:   0.11}');
Error('\P{Numeric_Value:   0.11}');
Expect(1, 8529, '\p{Numeric_Value=0.111}', "");
Expect(0, 8529, '\p{^Numeric_Value=0.111}', "");
Expect(0, 8529, '\P{Numeric_Value=0.111}', "");
Expect(1, 8529, '\P{^Numeric_Value=0.111}', "");
Expect(0, 8528, '\p{Numeric_Value=0.111}', "");
Expect(1, 8528, '\p{^Numeric_Value=0.111}', "");
Expect(1, 8528, '\P{Numeric_Value=0.111}', "");
Expect(0, 8528, '\P{^Numeric_Value=0.111}', "");
Error('\p{Nv:	/a/-_1/000009}');
Error('\P{Nv:	/a/-_1/000009}');
Expect(1, 8529, '\p{Nv=0000000001/0009}', "");
Expect(0, 8529, '\p{^Nv=0000000001/0009}', "");
Expect(0, 8529, '\P{Nv=0000000001/0009}', "");
Expect(1, 8529, '\P{^Nv=0000000001/0009}', "");
Expect(0, 8528, '\p{Nv=0000000001/0009}', "");
Expect(1, 8528, '\p{^Nv=0000000001/0009}', "");
Expect(1, 8528, '\P{Nv=0000000001/0009}', "");
Expect(0, 8528, '\P{^Nv=0000000001/0009}', "");
Error('\p{Nv=0.11}');
Error('\P{Nv=0.11}');
Expect(1, 8529, '\p{Nv=0.111}', "");
Expect(0, 8529, '\p{^Nv=0.111}', "");
Expect(0, 8529, '\P{Nv=0.111}', "");
Expect(1, 8529, '\P{^Nv=0.111}', "");
Expect(0, 8528, '\p{Nv=0.111}', "");
Expect(1, 8528, '\p{^Nv=0.111}', "");
Expect(1, 8528, '\P{Nv=0.111}', "");
Expect(0, 8528, '\P{^Nv=0.111}', "");
Error('\p{Is_Numeric_Value=/a/	+1/000000009}');
Error('\P{Is_Numeric_Value=/a/	+1/000000009}');
Expect(1, 8529, '\p{Is_Numeric_Value=00001/00009}', "");
Expect(0, 8529, '\p{^Is_Numeric_Value=00001/00009}', "");
Expect(0, 8529, '\P{Is_Numeric_Value=00001/00009}', "");
Expect(1, 8529, '\P{^Is_Numeric_Value=00001/00009}', "");
Expect(0, 8528, '\p{Is_Numeric_Value=00001/00009}', "");
Expect(1, 8528, '\p{^Is_Numeric_Value=00001/00009}', "");
Expect(1, 8528, '\P{Is_Numeric_Value=00001/00009}', "");
Expect(0, 8528, '\P{^Is_Numeric_Value=00001/00009}', "");
Error('\p{Is_Numeric_Value=0.11}');
Error('\P{Is_Numeric_Value=0.11}');
Expect(1, 8529, '\p{Is_Numeric_Value=0.111}', "");
Expect(0, 8529, '\p{^Is_Numeric_Value=0.111}', "");
Expect(0, 8529, '\P{Is_Numeric_Value=0.111}', "");
Expect(1, 8529, '\P{^Is_Numeric_Value=0.111}', "");
Expect(0, 8528, '\p{Is_Numeric_Value=0.111}', "");
Expect(1, 8528, '\p{^Is_Numeric_Value=0.111}', "");
Expect(1, 8528, '\P{Is_Numeric_Value=0.111}', "");
Expect(0, 8528, '\P{^Is_Numeric_Value=0.111}', "");
Error('\p{Is_Nv=_/a/01/000000009}');
Error('\P{Is_Nv=_/a/01/000000009}');
Expect(1, 8529, '\p{Is_Nv=001/000009}', "");
Expect(0, 8529, '\p{^Is_Nv=001/000009}', "");
Expect(0, 8529, '\P{Is_Nv=001/000009}', "");
Expect(1, 8529, '\P{^Is_Nv=001/000009}', "");
Expect(0, 8528, '\p{Is_Nv=001/000009}', "");
Expect(1, 8528, '\p{^Is_Nv=001/000009}', "");
Expect(1, 8528, '\P{Is_Nv=001/000009}', "");
Expect(0, 8528, '\P{^Is_Nv=001/000009}', "");
Error('\p{Is_Nv=0.11}');
Error('\P{Is_Nv=0.11}');
Expect(1, 8529, '\p{Is_Nv=0.111}', "");
Expect(0, 8529, '\p{^Is_Nv=0.111}', "");
Expect(0, 8529, '\P{Is_Nv=0.111}', "");
Expect(1, 8529, '\P{^Is_Nv=0.111}', "");
Expect(0, 8528, '\p{Is_Nv=0.111}', "");
Expect(1, 8528, '\p{^Is_Nv=0.111}', "");
Expect(1, 8528, '\P{Is_Nv=0.111}', "");
Expect(0, 8528, '\P{^Is_Nv=0.111}', "");
Error('\p{Numeric_Value=+0000900/a/}');
Error('\P{Numeric_Value=+0000900/a/}');
Expect(1, 65825, '\p{Numeric_Value=+0090_0}', "");
Expect(0, 65825, '\p{^Numeric_Value=+0090_0}', "");
Expect(0, 65825, '\P{Numeric_Value=+0090_0}', "");
Expect(1, 65825, '\P{^Numeric_Value=+0090_0}', "");
Expect(0, 65824, '\p{Numeric_Value=+0090_0}', "");
Expect(1, 65824, '\p{^Numeric_Value=+0090_0}', "");
Expect(1, 65824, '\P{Numeric_Value=+0090_0}', "");
Expect(0, 65824, '\P{^Numeric_Value=+0090_0}', "");
Error('\p{Nv:   _/a/0 0-0_0_0_0_0 9_00}');
Error('\P{Nv:   _/a/0 0-0_0_0_0_0 9_00}');
Expect(1, 65825, '\p{Nv=+0000000900}', "");
Expect(0, 65825, '\p{^Nv=+0000000900}', "");
Expect(0, 65825, '\P{Nv=+0000000900}', "");
Expect(1, 65825, '\P{^Nv=+0000000900}', "");
Expect(0, 65824, '\p{Nv=+0000000900}', "");
Expect(1, 65824, '\p{^Nv=+0000000900}', "");
Expect(1, 65824, '\P{Nv=+0000000900}', "");
Expect(0, 65824, '\P{^Nv=+0000000900}', "");
Error('\p{Is_Numeric_Value=--090	0/a/}');
Error('\P{Is_Numeric_Value=--090	0/a/}');
Expect(1, 65825, '\p{Is_Numeric_Value=+90_0}', "");
Expect(0, 65825, '\p{^Is_Numeric_Value=+90_0}', "");
Expect(0, 65825, '\P{Is_Numeric_Value=+90_0}', "");
Expect(1, 65825, '\P{^Is_Numeric_Value=+90_0}', "");
Expect(0, 65824, '\p{Is_Numeric_Value=+90_0}', "");
Expect(1, 65824, '\p{^Is_Numeric_Value=+90_0}', "");
Expect(1, 65824, '\P{Is_Numeric_Value=+90_0}', "");
Expect(0, 65824, '\P{^Is_Numeric_Value=+90_0}', "");
Error('\p{Is_Nv:/a/0900}');
Error('\P{Is_Nv:/a/0900}');
Expect(1, 65825, '\p{Is_Nv=000000900}', "");
Expect(0, 65825, '\p{^Is_Nv=000000900}', "");
Expect(0, 65825, '\P{Is_Nv=000000900}', "");
Expect(1, 65825, '\P{^Is_Nv=000000900}', "");
Expect(0, 65824, '\p{Is_Nv=000000900}', "");
Expect(1, 65824, '\p{^Is_Nv=000000900}', "");
Expect(1, 65824, '\P{Is_Nv=000000900}', "");
Expect(0, 65824, '\P{^Is_Nv=000000900}', "");
Error('\p{Numeric_Value=-/a/0000002/000005}');
Error('\P{Numeric_Value=-/a/0000002/000005}');
Expect(1, 8534, '\p{Numeric_Value=02/005}', "");
Expect(0, 8534, '\p{^Numeric_Value=02/005}', "");
Expect(0, 8534, '\P{Numeric_Value=02/005}', "");
Expect(1, 8534, '\P{^Numeric_Value=02/005}', "");
Expect(0, 8533, '\p{Numeric_Value=02/005}', "");
Expect(1, 8533, '\p{^Numeric_Value=02/005}', "");
Expect(1, 8533, '\P{Numeric_Value=02/005}', "");
Expect(0, 8533, '\P{^Numeric_Value=02/005}', "");
Expect(1, 8534, '\p{Numeric_Value=0.400}', "");
Expect(0, 8534, '\p{^Numeric_Value=0.400}', "");
Expect(0, 8534, '\P{Numeric_Value=0.400}', "");
Expect(1, 8534, '\P{^Numeric_Value=0.400}', "");
Expect(0, 8533, '\p{Numeric_Value=0.400}', "");
Expect(1, 8533, '\p{^Numeric_Value=0.400}', "");
Expect(1, 8533, '\P{Numeric_Value=0.400}', "");
Expect(0, 8533, '\P{^Numeric_Value=0.400}', "");
Error('\p{Nv=/a/__00000002/05}');
Error('\P{Nv=/a/__00000002/05}');
Expect(1, 8534, '\p{Nv=2/0000000005}', "");
Expect(0, 8534, '\p{^Nv=2/0000000005}', "");
Expect(0, 8534, '\P{Nv=2/0000000005}', "");
Expect(1, 8534, '\P{^Nv=2/0000000005}', "");
Expect(0, 8533, '\p{Nv=2/0000000005}', "");
Expect(1, 8533, '\p{^Nv=2/0000000005}', "");
Expect(1, 8533, '\P{Nv=2/0000000005}', "");
Expect(0, 8533, '\P{^Nv=2/0000000005}', "");
Expect(1, 8534, '\p{Nv=0.400}', "");
Expect(0, 8534, '\p{^Nv=0.400}', "");
Expect(0, 8534, '\P{Nv=0.400}', "");
Expect(1, 8534, '\P{^Nv=0.400}', "");
Expect(0, 8533, '\p{Nv=0.400}', "");
Expect(1, 8533, '\p{^Nv=0.400}', "");
Expect(1, 8533, '\P{Nv=0.400}', "");
Expect(0, 8533, '\P{^Nv=0.400}', "");
Error('\p{Is_Numeric_Value=/a/	 0000002/005}');
Error('\P{Is_Numeric_Value=/a/	 0000002/005}');
Expect(1, 8534, '\p{Is_Numeric_Value=0000002/0005}', "");
Expect(0, 8534, '\p{^Is_Numeric_Value=0000002/0005}', "");
Expect(0, 8534, '\P{Is_Numeric_Value=0000002/0005}', "");
Expect(1, 8534, '\P{^Is_Numeric_Value=0000002/0005}', "");
Expect(0, 8533, '\p{Is_Numeric_Value=0000002/0005}', "");
Expect(1, 8533, '\p{^Is_Numeric_Value=0000002/0005}', "");
Expect(1, 8533, '\P{Is_Numeric_Value=0000002/0005}', "");
Expect(0, 8533, '\P{^Is_Numeric_Value=0000002/0005}', "");
Expect(1, 8534, '\p{Is_Numeric_Value=0.400}', "");
Expect(0, 8534, '\p{^Is_Numeric_Value=0.400}', "");
Expect(0, 8534, '\P{Is_Numeric_Value=0.400}', "");
Expect(1, 8534, '\P{^Is_Numeric_Value=0.400}', "");
Expect(0, 8533, '\p{Is_Numeric_Value=0.400}', "");
Expect(1, 8533, '\p{^Is_Numeric_Value=0.400}', "");
Expect(1, 8533, '\P{Is_Numeric_Value=0.400}', "");
Expect(0, 8533, '\P{^Is_Numeric_Value=0.400}', "");
Error('\p{Is_Nv::=_ 0000000002/0000000005}');
Error('\P{Is_Nv::=_ 0000000002/0000000005}');
Expect(1, 8534, '\p{Is_Nv=+000000002/05}', "");
Expect(0, 8534, '\p{^Is_Nv=+000000002/05}', "");
Expect(0, 8534, '\P{Is_Nv=+000000002/05}', "");
Expect(1, 8534, '\P{^Is_Nv=+000000002/05}', "");
Expect(0, 8533, '\p{Is_Nv=+000000002/05}', "");
Expect(1, 8533, '\p{^Is_Nv=+000000002/05}', "");
Expect(1, 8533, '\P{Is_Nv=+000000002/05}', "");
Expect(0, 8533, '\P{^Is_Nv=+000000002/05}', "");
Expect(1, 8534, '\p{Is_Nv=0.400}', "");
Expect(0, 8534, '\p{^Is_Nv=0.400}', "");
Expect(0, 8534, '\P{Is_Nv=0.400}', "");
Expect(1, 8534, '\P{^Is_Nv=0.400}', "");
Expect(0, 8533, '\p{Is_Nv=0.400}', "");
Expect(1, 8533, '\p{^Is_Nv=0.400}', "");
Expect(1, 8533, '\P{Is_Nv=0.400}', "");
Expect(0, 8533, '\P{^Is_Nv=0.400}', "");
Error('\p{Numeric_Value=-_0046:=}');
Error('\P{Numeric_Value=-_0046:=}');
Expect(1, 12987, '\p{Numeric_Value: 0000000046}', "");
Expect(0, 12987, '\p{^Numeric_Value: 0000000046}', "");
Expect(0, 12987, '\P{Numeric_Value: 0000000046}', "");
Expect(1, 12987, '\P{^Numeric_Value: 0000000046}', "");
Expect(0, 12986, '\p{Numeric_Value: 0000000046}', "");
Expect(1, 12986, '\p{^Numeric_Value: 0000000046}', "");
Expect(1, 12986, '\P{Numeric_Value: 0000000046}', "");
Expect(0, 12986, '\P{^Numeric_Value: 0000000046}', "");
Error('\p{Nv=:=_000000046}');
Error('\P{Nv=:=_000000046}');
Expect(1, 12987, '\p{Nv=046}', "");
Expect(0, 12987, '\p{^Nv=046}', "");
Expect(0, 12987, '\P{Nv=046}', "");
Expect(1, 12987, '\P{^Nv=046}', "");
Expect(0, 12986, '\p{Nv=046}', "");
Expect(1, 12986, '\p{^Nv=046}', "");
Expect(1, 12986, '\P{Nv=046}', "");
Expect(0, 12986, '\P{^Nv=046}', "");
Error('\p{Is_Numeric_Value=/a/+000046}');
Error('\P{Is_Numeric_Value=/a/+000046}');
Expect(1, 12987, '\p{Is_Numeric_Value=+0_0_0_0_46}', "");
Expect(0, 12987, '\p{^Is_Numeric_Value=+0_0_0_0_46}', "");
Expect(0, 12987, '\P{Is_Numeric_Value=+0_0_0_0_46}', "");
Expect(1, 12987, '\P{^Is_Numeric_Value=+0_0_0_0_46}', "");
Expect(0, 12986, '\p{Is_Numeric_Value=+0_0_0_0_46}', "");
Expect(1, 12986, '\p{^Is_Numeric_Value=+0_0_0_0_46}', "");
Expect(1, 12986, '\P{Is_Numeric_Value=+0_0_0_0_46}', "");
Expect(0, 12986, '\P{^Is_Numeric_Value=+0_0_0_0_46}', "");
Error('\p{Is_Nv=/a/	000000046}');
Error('\P{Is_Nv=/a/	000000046}');
Expect(1, 12987, '\p{Is_Nv:   0000046}', "");
Expect(0, 12987, '\p{^Is_Nv:   0000046}', "");
Expect(0, 12987, '\P{Is_Nv:   0000046}', "");
Expect(1, 12987, '\P{^Is_Nv:   0000046}', "");
Expect(0, 12986, '\p{Is_Nv:   0000046}', "");
Expect(1, 12986, '\p{^Is_Nv:   0000046}', "");
Expect(1, 12986, '\P{Is_Nv:   0000046}', "");
Expect(0, 12986, '\P{^Is_Nv:   0000046}', "");
Error('\p{Numeric_Value=	:=0000	0000 0}');
Error('\P{Numeric_Value=	:=0000	0000 0}');
Expect(1, 48, '\p{Numeric_Value=0_0_0_0_00}', "");
Expect(0, 48, '\p{^Numeric_Value=0_0_0_0_00}', "");
Expect(0, 48, '\P{Numeric_Value=0_0_0_0_00}', "");
Expect(1, 48, '\P{^Numeric_Value=0_0_0_0_00}', "");
Expect(0, 47, '\p{Numeric_Value=0_0_0_0_00}', "");
Expect(1, 47, '\p{^Numeric_Value=0_0_0_0_00}', "");
Expect(1, 47, '\P{Numeric_Value=0_0_0_0_00}', "");
Expect(0, 47, '\P{^Numeric_Value=0_0_0_0_00}', "");
Error('\p{Nv= _0/a/}');
Error('\P{Nv= _0/a/}');
Expect(1, 48, '\p{Nv=0000000_0}', "");
Expect(0, 48, '\p{^Nv=0000000_0}', "");
Expect(0, 48, '\P{Nv=0000000_0}', "");
Expect(1, 48, '\P{^Nv=0000000_0}', "");
Expect(0, 47, '\p{Nv=0000000_0}', "");
Expect(1, 47, '\p{^Nv=0000000_0}', "");
Expect(1, 47, '\P{Nv=0000000_0}', "");
Expect(0, 47, '\P{^Nv=0000000_0}', "");
Error('\p{Is_Numeric_Value=:=-_+0000}');
Error('\P{Is_Numeric_Value=:=-_+0000}');
Expect(1, 48, '\p{Is_Numeric_Value=0}', "");
Expect(0, 48, '\p{^Is_Numeric_Value=0}', "");
Expect(0, 48, '\P{Is_Numeric_Value=0}', "");
Expect(1, 48, '\P{^Is_Numeric_Value=0}', "");
Expect(0, 47, '\p{Is_Numeric_Value=0}', "");
Expect(1, 47, '\p{^Is_Numeric_Value=0}', "");
Expect(1, 47, '\P{Is_Numeric_Value=0}', "");
Expect(0, 47, '\P{^Is_Numeric_Value=0}', "");
Error('\p{Is_Nv=--00:=0}');
Error('\P{Is_Nv=--00:=0}');
Expect(1, 48, '\p{Is_Nv=0000}', "");
Expect(0, 48, '\p{^Is_Nv=0000}', "");
Expect(0, 48, '\P{Is_Nv=0000}', "");
Expect(1, 48, '\P{^Is_Nv=0000}', "");
Expect(0, 47, '\p{Is_Nv=0000}', "");
Expect(1, 47, '\p{^Is_Nv=0000}', "");
Expect(1, 47, '\P{Is_Nv=0000}', "");
Expect(0, 47, '\P{^Is_Nv=0000}', "");
Error('\p{Numeric_Value= +023/a/}');
Error('\P{Numeric_Value= +023/a/}');
Expect(1, 12883, '\p{Numeric_Value=00000023}', "");
Expect(0, 12883, '\p{^Numeric_Value=00000023}', "");
Expect(0, 12883, '\P{Numeric_Value=00000023}', "");
Expect(1, 12883, '\P{^Numeric_Value=00000023}', "");
Expect(0, 12882, '\p{Numeric_Value=00000023}', "");
Expect(1, 12882, '\p{^Numeric_Value=00000023}', "");
Expect(1, 12882, '\P{Numeric_Value=00000023}', "");
Expect(0, 12882, '\P{^Numeric_Value=00000023}', "");
Error('\p{Nv=-/a/00000023}');
Error('\P{Nv=-/a/00000023}');
Expect(1, 12883, '\p{Nv:	+000000023}', "");
Expect(0, 12883, '\p{^Nv:	+000000023}', "");
Expect(0, 12883, '\P{Nv:	+000000023}', "");
Expect(1, 12883, '\P{^Nv:	+000000023}', "");
Expect(0, 12882, '\p{Nv:	+000000023}', "");
Expect(1, 12882, '\p{^Nv:	+000000023}', "");
Expect(1, 12882, '\P{Nv:	+000000023}', "");
Expect(0, 12882, '\P{^Nv:	+000000023}', "");
Error('\p{Is_Numeric_Value=-00000023:=}');
Error('\P{Is_Numeric_Value=-00000023:=}');
Expect(1, 12883, '\p{Is_Numeric_Value=000002_3}', "");
Expect(0, 12883, '\p{^Is_Numeric_Value=000002_3}', "");
Expect(0, 12883, '\P{Is_Numeric_Value=000002_3}', "");
Expect(1, 12883, '\P{^Is_Numeric_Value=000002_3}', "");
Expect(0, 12882, '\p{Is_Numeric_Value=000002_3}', "");
Expect(1, 12882, '\p{^Is_Numeric_Value=000002_3}', "");
Expect(1, 12882, '\P{Is_Numeric_Value=000002_3}', "");
Expect(0, 12882, '\P{^Is_Numeric_Value=000002_3}', "");
Error('\p{Is_Nv=:= -+0_00_0023}');
Error('\P{Is_Nv=:= -+0_00_0023}');
Expect(1, 12883, '\p{Is_Nv:   +23}', "");
Expect(0, 12883, '\p{^Is_Nv:   +23}', "");
Expect(0, 12883, '\P{Is_Nv:   +23}', "");
Expect(1, 12883, '\P{^Is_Nv:   +23}', "");
Expect(0, 12882, '\p{Is_Nv:   +23}', "");
Expect(1, 12882, '\p{^Is_Nv:   +23}', "");
Expect(1, 12882, '\P{Is_Nv:   +23}', "");
Expect(0, 12882, '\P{^Is_Nv:   +23}', "");
Error('\p{Numeric_Value=:= 	000001/0000007}');
Error('\P{Numeric_Value=:= 	000001/0000007}');
Expect(1, 8528, '\p{Numeric_Value=+00000001/0000007}', "");
Expect(0, 8528, '\p{^Numeric_Value=+00000001/0000007}', "");
Expect(0, 8528, '\P{Numeric_Value=+00000001/0000007}', "");
Expect(1, 8528, '\P{^Numeric_Value=+00000001/0000007}', "");
Expect(0, 8527, '\p{Numeric_Value=+00000001/0000007}', "");
Expect(1, 8527, '\p{^Numeric_Value=+00000001/0000007}', "");
Expect(1, 8527, '\P{Numeric_Value=+00000001/0000007}', "");
Expect(0, 8527, '\P{^Numeric_Value=+00000001/0000007}', "");
Error('\p{Numeric_Value=0.14}');
Error('\P{Numeric_Value=0.14}');
Expect(1, 8528, '\p{Numeric_Value=0.143}', "");
Expect(0, 8528, '\p{^Numeric_Value=0.143}', "");
Expect(0, 8528, '\P{Numeric_Value=0.143}', "");
Expect(1, 8528, '\P{^Numeric_Value=0.143}', "");
Expect(0, 8527, '\p{Numeric_Value=0.143}', "");
Expect(1, 8527, '\p{^Numeric_Value=0.143}', "");
Expect(1, 8527, '\P{Numeric_Value=0.143}', "");
Expect(0, 8527, '\P{^Numeric_Value=0.143}', "");
Error('\p{Nv=_:=00000001/00007}');
Error('\P{Nv=_:=00000001/00007}');
Expect(1, 8528, '\p{Nv:	+000001/0007}', "");
Expect(0, 8528, '\p{^Nv:	+000001/0007}', "");
Expect(0, 8528, '\P{Nv:	+000001/0007}', "");
Expect(1, 8528, '\P{^Nv:	+000001/0007}', "");
Expect(0, 8527, '\p{Nv:	+000001/0007}', "");
Expect(1, 8527, '\p{^Nv:	+000001/0007}', "");
Expect(1, 8527, '\P{Nv:	+000001/0007}', "");
Expect(0, 8527, '\P{^Nv:	+000001/0007}', "");
Error('\p{Nv=0.14}');
Error('\P{Nv=0.14}');
Expect(1, 8528, '\p{Nv=0.143}', "");
Expect(0, 8528, '\p{^Nv=0.143}', "");
Expect(0, 8528, '\P{Nv=0.143}', "");
Expect(1, 8528, '\P{^Nv=0.143}', "");
Expect(0, 8527, '\p{Nv=0.143}', "");
Expect(1, 8527, '\p{^Nv=0.143}', "");
Expect(1, 8527, '\P{Nv=0.143}', "");
Expect(0, 8527, '\P{^Nv=0.143}', "");
Error('\p{Is_Numeric_Value=/a/000000001/000000007}');
Error('\P{Is_Numeric_Value=/a/000000001/000000007}');
Expect(1, 8528, '\p{Is_Numeric_Value=01/000007}', "");
Expect(0, 8528, '\p{^Is_Numeric_Value=01/000007}', "");
Expect(0, 8528, '\P{Is_Numeric_Value=01/000007}', "");
Expect(1, 8528, '\P{^Is_Numeric_Value=01/000007}', "");
Expect(0, 8527, '\p{Is_Numeric_Value=01/000007}', "");
Expect(1, 8527, '\p{^Is_Numeric_Value=01/000007}', "");
Expect(1, 8527, '\P{Is_Numeric_Value=01/000007}', "");
Expect(0, 8527, '\P{^Is_Numeric_Value=01/000007}', "");
Error('\p{Is_Numeric_Value=0.14}');
Error('\P{Is_Numeric_Value=0.14}');
Expect(1, 8528, '\p{Is_Numeric_Value=0.143}', "");
Expect(0, 8528, '\p{^Is_Numeric_Value=0.143}', "");
Expect(0, 8528, '\P{Is_Numeric_Value=0.143}', "");
Expect(1, 8528, '\P{^Is_Numeric_Value=0.143}', "");
Expect(0, 8527, '\p{Is_Numeric_Value=0.143}', "");
Expect(1, 8527, '\p{^Is_Numeric_Value=0.143}', "");
Expect(1, 8527, '\P{Is_Numeric_Value=0.143}', "");
Expect(0, 8527, '\P{^Is_Numeric_Value=0.143}', "");
Error('\p{Is_Nv=-	0000000001/00000007/a/}');
Error('\P{Is_Nv=-	0000000001/00000007/a/}');
Expect(1, 8528, '\p{Is_Nv=+0000001/0000007}', "");
Expect(0, 8528, '\p{^Is_Nv=+0000001/0000007}', "");
Expect(0, 8528, '\P{Is_Nv=+0000001/0000007}', "");
Expect(1, 8528, '\P{^Is_Nv=+0000001/0000007}', "");
Expect(0, 8527, '\p{Is_Nv=+0000001/0000007}', "");
Expect(1, 8527, '\p{^Is_Nv=+0000001/0000007}', "");
Expect(1, 8527, '\P{Is_Nv=+0000001/0000007}', "");
Expect(0, 8527, '\P{^Is_Nv=+0000001/0000007}', "");
Error('\p{Is_Nv=0.14}');
Error('\P{Is_Nv=0.14}');
Expect(1, 8528, '\p{Is_Nv=0.143}', "");
Expect(0, 8528, '\p{^Is_Nv=0.143}', "");
Expect(0, 8528, '\P{Is_Nv=0.143}', "");
Expect(1, 8528, '\P{^Is_Nv=0.143}', "");
Expect(0, 8527, '\p{Is_Nv=0.143}', "");
Expect(1, 8527, '\p{^Is_Nv=0.143}', "");
Expect(1, 8527, '\P{Is_Nv=0.143}', "");
Expect(0, 8527, '\P{^Is_Nv=0.143}', "");
Error('\p{Numeric_Value=	:=00000004/0000000005}');
Error('\P{Numeric_Value=	:=00000004/0000000005}');
Expect(1, 8536, '\p{Numeric_Value=004/005}', "");
Expect(0, 8536, '\p{^Numeric_Value=004/005}', "");
Expect(0, 8536, '\P{Numeric_Value=004/005}', "");
Expect(1, 8536, '\P{^Numeric_Value=004/005}', "");
Expect(0, 8535, '\p{Numeric_Value=004/005}', "");
Expect(1, 8535, '\p{^Numeric_Value=004/005}', "");
Expect(1, 8535, '\P{Numeric_Value=004/005}', "");
Expect(0, 8535, '\P{^Numeric_Value=004/005}', "");
Expect(1, 8536, '\p{Numeric_Value=0.800}', "");
Expect(0, 8536, '\p{^Numeric_Value=0.800}', "");
Expect(0, 8536, '\P{Numeric_Value=0.800}', "");
Expect(1, 8536, '\P{^Numeric_Value=0.800}', "");
Expect(0, 8535, '\p{Numeric_Value=0.800}', "");
Expect(1, 8535, '\p{^Numeric_Value=0.800}', "");
Expect(1, 8535, '\P{Numeric_Value=0.800}', "");
Expect(0, 8535, '\P{^Numeric_Value=0.800}', "");
Error('\p{Nv= :=+004/05}');
Error('\P{Nv= :=+004/05}');
Expect(1, 8536, '\p{Nv:   +4/0005}', "");
Expect(0, 8536, '\p{^Nv:   +4/0005}', "");
Expect(0, 8536, '\P{Nv:   +4/0005}', "");
Expect(1, 8536, '\P{^Nv:   +4/0005}', "");
Expect(0, 8535, '\p{Nv:   +4/0005}', "");
Expect(1, 8535, '\p{^Nv:   +4/0005}', "");
Expect(1, 8535, '\P{Nv:   +4/0005}', "");
Expect(0, 8535, '\P{^Nv:   +4/0005}', "");
Expect(1, 8536, '\p{Nv=0.800}', "");
Expect(0, 8536, '\p{^Nv=0.800}', "");
Expect(0, 8536, '\P{Nv=0.800}', "");
Expect(1, 8536, '\P{^Nv=0.800}', "");
Expect(0, 8535, '\p{Nv=0.800}', "");
Expect(1, 8535, '\p{^Nv=0.800}', "");
Expect(1, 8535, '\P{Nv=0.800}', "");
Expect(0, 8535, '\P{^Nv=0.800}', "");
Error('\p{Is_Numeric_Value=/a/0004/0000000005}');
Error('\P{Is_Numeric_Value=/a/0004/0000000005}');
Expect(1, 8536, '\p{Is_Numeric_Value=+0004/0000000005}', "");
Expect(0, 8536, '\p{^Is_Numeric_Value=+0004/0000000005}', "");
Expect(0, 8536, '\P{Is_Numeric_Value=+0004/0000000005}', "");
Expect(1, 8536, '\P{^Is_Numeric_Value=+0004/0000000005}', "");
Expect(0, 8535, '\p{Is_Numeric_Value=+0004/0000000005}', "");
Expect(1, 8535, '\p{^Is_Numeric_Value=+0004/0000000005}', "");
Expect(1, 8535, '\P{Is_Numeric_Value=+0004/0000000005}', "");
Expect(0, 8535, '\P{^Is_Numeric_Value=+0004/0000000005}', "");
Expect(1, 8536, '\p{Is_Numeric_Value=0.800}', "");
Expect(0, 8536, '\p{^Is_Numeric_Value=0.800}', "");
Expect(0, 8536, '\P{Is_Numeric_Value=0.800}', "");
Expect(1, 8536, '\P{^Is_Numeric_Value=0.800}', "");
Expect(0, 8535, '\p{Is_Numeric_Value=0.800}', "");
Expect(1, 8535, '\p{^Is_Numeric_Value=0.800}', "");
Expect(1, 8535, '\P{Is_Numeric_Value=0.800}', "");
Expect(0, 8535, '\P{^Is_Numeric_Value=0.800}', "");
Error('\p{Is_Nv= :=000004/0000005}');
Error('\P{Is_Nv= :=000004/0000005}');
Expect(1, 8536, '\p{Is_Nv=+000004/00000005}', "");
Expect(0, 8536, '\p{^Is_Nv=+000004/00000005}', "");
Expect(0, 8536, '\P{Is_Nv=+000004/00000005}', "");
Expect(1, 8536, '\P{^Is_Nv=+000004/00000005}', "");
Expect(0, 8535, '\p{Is_Nv=+000004/00000005}', "");
Expect(1, 8535, '\p{^Is_Nv=+000004/00000005}', "");
Expect(1, 8535, '\P{Is_Nv=+000004/00000005}', "");
Expect(0, 8535, '\P{^Is_Nv=+000004/00000005}', "");
Expect(1, 8536, '\p{Is_Nv=0.800}', "");
Expect(0, 8536, '\p{^Is_Nv=0.800}', "");
Expect(0, 8536, '\P{Is_Nv=0.800}', "");
Expect(1, 8536, '\P{^Is_Nv=0.800}', "");
Expect(0, 8535, '\p{Is_Nv=0.800}', "");
Expect(1, 8535, '\p{^Is_Nv=0.800}', "");
Expect(1, 8535, '\P{Is_Nv=0.800}', "");
Expect(0, 8535, '\P{^Is_Nv=0.800}', "");
Error('\p{Numeric_Value=_+0000000013/a/}');
Error('\P{Numeric_Value=_+0000000013/a/}');
Expect(1, 9324, '\p{Numeric_Value=00_00_13}', "");
Expect(0, 9324, '\p{^Numeric_Value=00_00_13}', "");
Expect(0, 9324, '\P{Numeric_Value=00_00_13}', "");
Expect(1, 9324, '\P{^Numeric_Value=00_00_13}', "");
Expect(0, 9323, '\p{Numeric_Value=00_00_13}', "");
Expect(1, 9323, '\p{^Numeric_Value=00_00_13}', "");
Expect(1, 9323, '\P{Numeric_Value=00_00_13}', "");
Expect(0, 9323, '\P{^Numeric_Value=00_00_13}', "");
Error('\p{Nv=:=0000000001	3}');
Error('\P{Nv=:=0000000001	3}');
Expect(1, 9324, '\p{Nv=01_3}', "");
Expect(0, 9324, '\p{^Nv=01_3}', "");
Expect(0, 9324, '\P{Nv=01_3}', "");
Expect(1, 9324, '\P{^Nv=01_3}', "");
Expect(0, 9323, '\p{Nv=01_3}', "");
Expect(1, 9323, '\p{^Nv=01_3}', "");
Expect(1, 9323, '\P{Nv=01_3}', "");
Expect(0, 9323, '\P{^Nv=01_3}', "");
Error('\p{Is_Numeric_Value=:= _+01	3}');
Error('\P{Is_Numeric_Value=:= _+01	3}');
Expect(1, 9324, '\p{Is_Numeric_Value=00013}', "");
Expect(0, 9324, '\p{^Is_Numeric_Value=00013}', "");
Expect(0, 9324, '\P{Is_Numeric_Value=00013}', "");
Expect(1, 9324, '\P{^Is_Numeric_Value=00013}', "");
Expect(0, 9323, '\p{Is_Numeric_Value=00013}', "");
Expect(1, 9323, '\p{^Is_Numeric_Value=00013}', "");
Expect(1, 9323, '\P{Is_Numeric_Value=00013}', "");
Expect(0, 9323, '\P{^Is_Numeric_Value=00013}', "");
Error('\p{Is_Nv=-	00000013/a/}');
Error('\P{Is_Nv=-	00000013/a/}');
Expect(1, 9324, '\p{Is_Nv=0013}', "");
Expect(0, 9324, '\p{^Is_Nv=0013}', "");
Expect(0, 9324, '\P{Is_Nv=0013}', "");
Expect(1, 9324, '\P{^Is_Nv=0013}', "");
Expect(0, 9323, '\p{Is_Nv=0013}', "");
Expect(1, 9323, '\p{^Is_Nv=0013}', "");
Expect(1, 9323, '\P{Is_Nv=0013}', "");
Expect(0, 9323, '\P{^Is_Nv=0013}', "");
Error('\p{Numeric_Value= 00000:=6}');
Error('\P{Numeric_Value= 00000:=6}');
Expect(1, 54, '\p{Numeric_Value=+00_6}', "");
Expect(0, 54, '\p{^Numeric_Value=+00_6}', "");
Expect(0, 54, '\P{Numeric_Value=+00_6}', "");
Expect(1, 54, '\P{^Numeric_Value=+00_6}', "");
Expect(0, 53, '\p{Numeric_Value=+00_6}', "");
Expect(1, 53, '\p{^Numeric_Value=+00_6}', "");
Expect(1, 53, '\P{Numeric_Value=+00_6}', "");
Expect(0, 53, '\P{^Numeric_Value=+00_6}', "");
Error('\p{Nv=- 000000	6:=}');
Error('\P{Nv=- 000000	6:=}');
Expect(1, 54, '\p{Nv=+000_6}', "");
Expect(0, 54, '\p{^Nv=+000_6}', "");
Expect(0, 54, '\P{Nv=+000_6}', "");
Expect(1, 54, '\P{^Nv=+000_6}', "");
Expect(0, 53, '\p{Nv=+000_6}', "");
Expect(1, 53, '\p{^Nv=+000_6}', "");
Expect(1, 53, '\P{Nv=+000_6}', "");
Expect(0, 53, '\P{^Nv=+000_6}', "");
Error('\p{Is_Numeric_Value=_000006/a/}');
Error('\P{Is_Numeric_Value=_000006/a/}');
Expect(1, 54, '\p{Is_Numeric_Value=+006}', "");
Expect(0, 54, '\p{^Is_Numeric_Value=+006}', "");
Expect(0, 54, '\P{Is_Numeric_Value=+006}', "");
Expect(1, 54, '\P{^Is_Numeric_Value=+006}', "");
Expect(0, 53, '\p{Is_Numeric_Value=+006}', "");
Expect(1, 53, '\p{^Is_Numeric_Value=+006}', "");
Expect(1, 53, '\P{Is_Numeric_Value=+006}', "");
Expect(0, 53, '\P{^Is_Numeric_Value=+006}', "");
Error('\p{Is_Nv=_ +0_0-0-0_0-0/a/06}');
Error('\P{Is_Nv=_ +0_0-0-0_0-0/a/06}');
Expect(1, 54, '\p{Is_Nv=6}', "");
Expect(0, 54, '\p{^Is_Nv=6}', "");
Expect(0, 54, '\P{Is_Nv=6}', "");
Expect(1, 54, '\P{^Is_Nv=6}', "");
Expect(0, 53, '\p{Is_Nv=6}', "");
Expect(1, 53, '\p{^Is_Nv=6}', "");
Expect(1, 53, '\P{Is_Nv=6}', "");
Expect(0, 53, '\P{^Is_Nv=6}', "");
Error('\p{Numeric_Value=_:=00	000000	70	000}');
Error('\P{Numeric_Value=_:=00	000000	70	000}');
Expect(1, 65841, '\p{Numeric_Value=0000000007000_0}', "");
Expect(0, 65841, '\p{^Numeric_Value=0000000007000_0}', "");
Expect(0, 65841, '\P{Numeric_Value=0000000007000_0}', "");
Expect(1, 65841, '\P{^Numeric_Value=0000000007000_0}', "");
Expect(0, 65840, '\p{Numeric_Value=0000000007000_0}', "");
Expect(1, 65840, '\p{^Numeric_Value=0000000007000_0}', "");
Expect(1, 65840, '\P{Numeric_Value=0000000007000_0}', "");
Expect(0, 65840, '\P{^Numeric_Value=0000000007000_0}', "");
Error('\p{Nv=		00000070000/a/}');
Error('\P{Nv=		00000070000/a/}');
Expect(1, 65841, '\p{Nv=0070000}', "");
Expect(0, 65841, '\p{^Nv=0070000}', "");
Expect(0, 65841, '\P{Nv=0070000}', "");
Expect(1, 65841, '\P{^Nv=0070000}', "");
Expect(0, 65840, '\p{Nv=0070000}', "");
Expect(1, 65840, '\p{^Nv=0070000}', "");
Expect(1, 65840, '\P{Nv=0070000}', "");
Expect(0, 65840, '\P{^Nv=0070000}', "");
Error('\p{Is_Numeric_Value=-:=000070000}');
Error('\P{Is_Numeric_Value=-:=000070000}');
Expect(1, 65841, '\p{Is_Numeric_Value=0_0_7_0_0_00}', "");
Expect(0, 65841, '\p{^Is_Numeric_Value=0_0_7_0_0_00}', "");
Expect(0, 65841, '\P{Is_Numeric_Value=0_0_7_0_0_00}', "");
Expect(1, 65841, '\P{^Is_Numeric_Value=0_0_7_0_0_00}', "");
Expect(0, 65840, '\p{Is_Numeric_Value=0_0_7_0_0_00}', "");
Expect(1, 65840, '\p{^Is_Numeric_Value=0_0_7_0_0_00}', "");
Expect(1, 65840, '\P{Is_Numeric_Value=0_0_7_0_0_00}', "");
Expect(0, 65840, '\P{^Is_Numeric_Value=0_0_7_0_0_00}', "");
Error('\p{Is_Nv=-/a/00070000}');
Error('\P{Is_Nv=-/a/00070000}');
Expect(1, 65841, '\p{Is_Nv=0000000070000}', "");
Expect(0, 65841, '\p{^Is_Nv=0000000070000}', "");
Expect(0, 65841, '\P{Is_Nv=0000000070000}', "");
Expect(1, 65841, '\P{^Is_Nv=0000000070000}', "");
Expect(0, 65840, '\p{Is_Nv=0000000070000}', "");
Expect(1, 65840, '\p{^Is_Nv=0000000070000}', "");
Expect(1, 65840, '\P{Is_Nv=0000000070000}', "");
Expect(0, 65840, '\P{^Is_Nv=0000000070000}', "");
Error('\p{Numeric_Value:   	_0-00-0:=0	00_0036}');
Error('\P{Numeric_Value:   	_0-00-0:=0	00_0036}');
Expect(1, 12977, '\p{Numeric_Value=00036}', "");
Expect(0, 12977, '\p{^Numeric_Value=00036}', "");
Expect(0, 12977, '\P{Numeric_Value=00036}', "");
Expect(1, 12977, '\P{^Numeric_Value=00036}', "");
Expect(0, 12976, '\p{Numeric_Value=00036}', "");
Expect(1, 12976, '\p{^Numeric_Value=00036}', "");
Expect(1, 12976, '\P{Numeric_Value=00036}', "");
Expect(0, 12976, '\P{^Numeric_Value=00036}', "");
Error('\p{Nv=__+03:=6}');
Error('\P{Nv=__+03:=6}');
Expect(1, 12977, '\p{Nv=0_0_0_0_0_0_36}', "");
Expect(0, 12977, '\p{^Nv=0_0_0_0_0_0_36}', "");
Expect(0, 12977, '\P{Nv=0_0_0_0_0_0_36}', "");
Expect(1, 12977, '\P{^Nv=0_0_0_0_0_0_36}', "");
Expect(0, 12976, '\p{Nv=0_0_0_0_0_0_36}', "");
Expect(1, 12976, '\p{^Nv=0_0_0_0_0_0_36}', "");
Expect(1, 12976, '\P{Nv=0_0_0_0_0_0_36}', "");
Expect(0, 12976, '\P{^Nv=0_0_0_0_0_0_36}', "");
Error('\p{Is_Numeric_Value=-/a/+0036}');
Error('\P{Is_Numeric_Value=-/a/+0036}');
Expect(1, 12977, '\p{Is_Numeric_Value=+036}', "");
Expect(0, 12977, '\p{^Is_Numeric_Value=+036}', "");
Expect(0, 12977, '\P{Is_Numeric_Value=+036}', "");
Expect(1, 12977, '\P{^Is_Numeric_Value=+036}', "");
Expect(0, 12976, '\p{Is_Numeric_Value=+036}', "");
Expect(1, 12976, '\p{^Is_Numeric_Value=+036}', "");
Expect(1, 12976, '\P{Is_Numeric_Value=+036}', "");
Expect(0, 12976, '\P{^Is_Numeric_Value=+036}', "");
Error('\p{Is_Nv=-	0 0_0:=0	0036}');
Error('\P{Is_Nv=-	0 0_0:=0	0036}');
Expect(1, 12977, '\p{Is_Nv=3_6}', "");
Expect(0, 12977, '\p{^Is_Nv=3_6}', "");
Expect(0, 12977, '\P{Is_Nv=3_6}', "");
Expect(1, 12977, '\P{^Is_Nv=3_6}', "");
Expect(0, 12976, '\p{Is_Nv=3_6}', "");
Expect(1, 12976, '\p{^Is_Nv=3_6}', "");
Expect(1, 12976, '\P{Is_Nv=3_6}', "");
Expect(0, 12976, '\P{^Is_Nv=3_6}', "");
Error('\p{Numeric_Value=-_+0/a/0_0_03}');
Error('\P{Numeric_Value=-_+0/a/0_0_03}');
Expect(1, 51, '\p{Numeric_Value=0000000_3}', "");
Expect(0, 51, '\p{^Numeric_Value=0000000_3}', "");
Expect(0, 51, '\P{Numeric_Value=0000000_3}', "");
Expect(1, 51, '\P{^Numeric_Value=0000000_3}', "");
Expect(0, 50, '\p{Numeric_Value=0000000_3}', "");
Expect(1, 50, '\p{^Numeric_Value=0000000_3}', "");
Expect(1, 50, '\P{Numeric_Value=0000000_3}', "");
Expect(0, 50, '\P{^Numeric_Value=0000000_3}', "");
Error('\p{Nv=/a/	 0000000003}');
Error('\P{Nv=/a/	 0000000003}');
Expect(1, 51, '\p{Nv=+00_3}', "");
Expect(0, 51, '\p{^Nv=+00_3}', "");
Expect(0, 51, '\P{Nv=+00_3}', "");
Expect(1, 51, '\P{^Nv=+00_3}', "");
Expect(0, 50, '\p{Nv=+00_3}', "");
Expect(1, 50, '\p{^Nv=+00_3}', "");
Expect(1, 50, '\P{Nv=+00_3}', "");
Expect(0, 50, '\P{^Nv=+00_3}', "");
Error('\p{Is_Numeric_Value=:=_-03}');
Error('\P{Is_Numeric_Value=:=_-03}');
Expect(1, 51, '\p{Is_Numeric_Value=0_0_0_0_0_003}', "");
Expect(0, 51, '\p{^Is_Numeric_Value=0_0_0_0_0_003}', "");
Expect(0, 51, '\P{Is_Numeric_Value=0_0_0_0_0_003}', "");
Expect(1, 51, '\P{^Is_Numeric_Value=0_0_0_0_0_003}', "");
Expect(0, 50, '\p{Is_Numeric_Value=0_0_0_0_0_003}', "");
Expect(1, 50, '\p{^Is_Numeric_Value=0_0_0_0_0_003}', "");
Expect(1, 50, '\P{Is_Numeric_Value=0_0_0_0_0_003}', "");
Expect(0, 50, '\P{^Is_Numeric_Value=0_0_0_0_0_003}', "");
Error('\p{Is_Nv=_+003/a/}');
Error('\P{Is_Nv=_+003/a/}');
Expect(1, 51, '\p{Is_Nv=00003}', "");
Expect(0, 51, '\p{^Is_Nv=00003}', "");
Expect(0, 51, '\P{Is_Nv=00003}', "");
Expect(1, 51, '\P{^Is_Nv=00003}', "");
Expect(0, 50, '\p{Is_Nv=00003}', "");
Expect(1, 50, '\p{^Is_Nv=00003}', "");
Expect(1, 50, '\P{Is_Nv=00003}', "");
Expect(0, 50, '\P{^Is_Nv=00003}', "");
Error('\p{Numeric_Value=/a/_ 0000-0000	0500	0}');
Error('\P{Numeric_Value=/a/_ 0000-0000	0500	0}');
Expect(1, 8577, '\p{Numeric_Value=0_0_5_0_00}', "");
Expect(0, 8577, '\p{^Numeric_Value=0_0_5_0_00}', "");
Expect(0, 8577, '\P{Numeric_Value=0_0_5_0_00}', "");
Expect(1, 8577, '\P{^Numeric_Value=0_0_5_0_00}', "");
Expect(0, 8576, '\p{Numeric_Value=0_0_5_0_00}', "");
Expect(1, 8576, '\p{^Numeric_Value=0_0_5_0_00}', "");
Expect(1, 8576, '\P{Numeric_Value=0_0_5_0_00}', "");
Expect(0, 8576, '\P{^Numeric_Value=0_0_5_0_00}', "");
Error('\p{Nv=/a/5000}');
Error('\P{Nv=/a/5000}');
Expect(1, 8577, '\p{Nv=5000}', "");
Expect(0, 8577, '\p{^Nv=5000}', "");
Expect(0, 8577, '\P{Nv=5000}', "");
Expect(1, 8577, '\P{^Nv=5000}', "");
Expect(0, 8576, '\p{Nv=5000}', "");
Expect(1, 8576, '\p{^Nv=5000}', "");
Expect(1, 8576, '\P{Nv=5000}', "");
Expect(0, 8576, '\P{^Nv=5000}', "");
Error('\p{Is_Numeric_Value= -0-0_0/a/0_5_0 00}');
Error('\P{Is_Numeric_Value= -0-0_0/a/0_5_0 00}');
Expect(1, 8577, '\p{Is_Numeric_Value=005000}', "");
Expect(0, 8577, '\p{^Is_Numeric_Value=005000}', "");
Expect(0, 8577, '\P{Is_Numeric_Value=005000}', "");
Expect(1, 8577, '\P{^Is_Numeric_Value=005000}', "");
Expect(0, 8576, '\p{Is_Numeric_Value=005000}', "");
Expect(1, 8576, '\p{^Is_Numeric_Value=005000}', "");
Expect(1, 8576, '\P{Is_Numeric_Value=005000}', "");
Expect(0, 8576, '\P{^Is_Numeric_Value=005000}', "");
Error('\p{Is_Nv=-/a/0000000005000}');
Error('\P{Is_Nv=-/a/0000000005000}');
Expect(1, 8577, '\p{Is_Nv=00005000}', "");
Expect(0, 8577, '\p{^Is_Nv=00005000}', "");
Expect(0, 8577, '\P{Is_Nv=00005000}', "");
Expect(1, 8577, '\P{^Is_Nv=00005000}', "");
Expect(0, 8576, '\p{Is_Nv=00005000}', "");
Expect(1, 8576, '\p{^Is_Nv=00005000}', "");
Expect(1, 8576, '\P{Is_Nv=00005000}', "");
Expect(0, 8576, '\P{^Is_Nv=00005000}', "");
Error('\p{Numeric_Value=+00009:=}');
Error('\P{Numeric_Value=+00009:=}');
Expect(1, 57, '\p{Numeric_Value: 00000000_9}', "");
Expect(0, 57, '\p{^Numeric_Value: 00000000_9}', "");
Expect(0, 57, '\P{Numeric_Value: 00000000_9}', "");
Expect(1, 57, '\P{^Numeric_Value: 00000000_9}', "");
Expect(0, 56, '\p{Numeric_Value: 00000000_9}', "");
Expect(1, 56, '\p{^Numeric_Value: 00000000_9}', "");
Expect(1, 56, '\P{Numeric_Value: 00000000_9}', "");
Expect(0, 56, '\P{^Numeric_Value: 00000000_9}', "");
Error('\p{Nv=/a/+00009}');
Error('\P{Nv=/a/+00009}');
Expect(1, 57, '\p{Nv:0_0_09}', "");
Expect(0, 57, '\p{^Nv:0_0_09}', "");
Expect(0, 57, '\P{Nv:0_0_09}', "");
Expect(1, 57, '\P{^Nv:0_0_09}', "");
Expect(0, 56, '\p{Nv:0_0_09}', "");
Expect(1, 56, '\p{^Nv:0_0_09}', "");
Expect(1, 56, '\P{Nv:0_0_09}', "");
Expect(0, 56, '\P{^Nv:0_0_09}', "");
Error('\p{Is_Numeric_Value=/a/_000009}');
Error('\P{Is_Numeric_Value=/a/_000009}');
Expect(1, 57, '\p{Is_Numeric_Value=000_9}', "");
Expect(0, 57, '\p{^Is_Numeric_Value=000_9}', "");
Expect(0, 57, '\P{Is_Numeric_Value=000_9}', "");
Expect(1, 57, '\P{^Is_Numeric_Value=000_9}', "");
Expect(0, 56, '\p{Is_Numeric_Value=000_9}', "");
Expect(1, 56, '\p{^Is_Numeric_Value=000_9}', "");
Expect(1, 56, '\P{Is_Numeric_Value=000_9}', "");
Expect(0, 56, '\P{^Is_Numeric_Value=000_9}', "");
Error('\p{Is_Nv=/a/- 000-9}');
Error('\P{Is_Nv=/a/- 000-9}');
Expect(1, 57, '\p{Is_Nv=00_9}', "");
Expect(0, 57, '\p{^Is_Nv=00_9}', "");
Expect(0, 57, '\P{Is_Nv=00_9}', "");
Expect(1, 57, '\P{^Is_Nv=00_9}', "");
Expect(0, 56, '\p{Is_Nv=00_9}', "");
Expect(1, 56, '\p{^Is_Nv=00_9}', "");
Expect(1, 56, '\P{Is_Nv=00_9}', "");
Expect(0, 56, '\P{^Is_Nv=00_9}', "");
Error('\p{Numeric_Value=:=_+000010000}');
Error('\P{Numeric_Value=:=_+000010000}');
Expect(1, 4988, '\p{Numeric_Value=+000010000}', "");
Expect(0, 4988, '\p{^Numeric_Value=+000010000}', "");
Expect(0, 4988, '\P{Numeric_Value=+000010000}', "");
Expect(1, 4988, '\P{^Numeric_Value=+000010000}', "");
Expect(0, 4987, '\p{Numeric_Value=+000010000}', "");
Expect(1, 4987, '\p{^Numeric_Value=+000010000}', "");
Expect(1, 4987, '\P{Numeric_Value=+000010000}', "");
Expect(0, 4987, '\P{^Numeric_Value=+000010000}', "");
Error('\p{Nv=:=__10000}');
Error('\P{Nv=:=__10000}');
Expect(1, 4988, '\p{Nv=+0010000}', "");
Expect(0, 4988, '\p{^Nv=+0010000}', "");
Expect(0, 4988, '\P{Nv=+0010000}', "");
Expect(1, 4988, '\P{^Nv=+0010000}', "");
Expect(0, 4987, '\p{Nv=+0010000}', "");
Expect(1, 4987, '\p{^Nv=+0010000}', "");
Expect(1, 4987, '\P{Nv=+0010000}', "");
Expect(0, 4987, '\P{^Nv=+0010000}', "");
Error('\p{Is_Numeric_Value=_/a/10_00_0}');
Error('\P{Is_Numeric_Value=_/a/10_00_0}');
Expect(1, 4988, '\p{Is_Numeric_Value=00000010000}', "");
Expect(0, 4988, '\p{^Is_Numeric_Value=00000010000}', "");
Expect(0, 4988, '\P{Is_Numeric_Value=00000010000}', "");
Expect(1, 4988, '\P{^Is_Numeric_Value=00000010000}', "");
Expect(0, 4987, '\p{Is_Numeric_Value=00000010000}', "");
Expect(1, 4987, '\p{^Is_Numeric_Value=00000010000}', "");
Expect(1, 4987, '\P{Is_Numeric_Value=00000010000}', "");
Expect(0, 4987, '\P{^Is_Numeric_Value=00000010000}', "");
Error('\p{Is_Nv:-0000	00:=00	01 00-00}');
Error('\P{Is_Nv:-0000	00:=00	01 00-00}');
Expect(1, 4988, '\p{Is_Nv=000000010000}', "");
Expect(0, 4988, '\p{^Is_Nv=000000010000}', "");
Expect(0, 4988, '\P{Is_Nv=000000010000}', "");
Expect(1, 4988, '\P{^Is_Nv=000000010000}', "");
Expect(0, 4987, '\p{Is_Nv=000000010000}', "");
Expect(1, 4987, '\p{^Is_Nv=000000010000}', "");
Expect(1, 4987, '\P{Is_Nv=000000010000}', "");
Expect(0, 4987, '\P{^Is_Nv=000000010000}', "");
Error('\p{Numeric_Value=	 00000/a/00004	7}');
Error('\P{Numeric_Value=	 00000/a/00004	7}');
Expect(1, 12988, '\p{Numeric_Value=+0000000004_7}', "");
Expect(0, 12988, '\p{^Numeric_Value=+0000000004_7}', "");
Expect(0, 12988, '\P{Numeric_Value=+0000000004_7}', "");
Expect(1, 12988, '\P{^Numeric_Value=+0000000004_7}', "");
Expect(0, 12987, '\p{Numeric_Value=+0000000004_7}', "");
Expect(1, 12987, '\p{^Numeric_Value=+0000000004_7}', "");
Expect(1, 12987, '\P{Numeric_Value=+0000000004_7}', "");
Expect(0, 12987, '\P{^Numeric_Value=+0000000004_7}', "");
Error('\p{Nv=/a/-	000047}');
Error('\P{Nv=/a/-	000047}');
Expect(1, 12988, '\p{Nv:047}', "");
Expect(0, 12988, '\p{^Nv:047}', "");
Expect(0, 12988, '\P{Nv:047}', "");
Expect(1, 12988, '\P{^Nv:047}', "");
Expect(0, 12987, '\p{Nv:047}', "");
Expect(1, 12987, '\p{^Nv:047}', "");
Expect(1, 12987, '\P{Nv:047}', "");
Expect(0, 12987, '\P{^Nv:047}', "");
Error('\p{Is_Numeric_Value:	_:=0000047}');
Error('\P{Is_Numeric_Value:	_:=0000047}');
Expect(1, 12988, '\p{Is_Numeric_Value=0047}', "");
Expect(0, 12988, '\p{^Is_Numeric_Value=0047}', "");
Expect(0, 12988, '\P{Is_Numeric_Value=0047}', "");
Expect(1, 12988, '\P{^Is_Numeric_Value=0047}', "");
Expect(0, 12987, '\p{Is_Numeric_Value=0047}', "");
Expect(1, 12987, '\p{^Is_Numeric_Value=0047}', "");
Expect(1, 12987, '\P{Is_Numeric_Value=0047}', "");
Expect(0, 12987, '\P{^Is_Numeric_Value=0047}', "");
Error('\p{Is_Nv=__+0000000047/a/}');
Error('\P{Is_Nv=__+0000000047/a/}');
Expect(1, 12988, '\p{Is_Nv=0_0_0_0_47}', "");
Expect(0, 12988, '\p{^Is_Nv=0_0_0_0_47}', "");
Expect(0, 12988, '\P{Is_Nv=0_0_0_0_47}', "");
Expect(1, 12988, '\P{^Is_Nv=0_0_0_0_47}', "");
Expect(0, 12987, '\p{Is_Nv=0_0_0_0_47}', "");
Expect(1, 12987, '\p{^Is_Nv=0_0_0_0_47}', "");
Expect(1, 12987, '\P{Is_Nv=0_0_0_0_47}', "");
Expect(0, 12987, '\P{^Is_Nv=0_0_0_0_47}', "");
Error('\p{Numeric_Value=:=_-+00000001/00006}');
Error('\P{Numeric_Value=:=_-+00000001/00006}');
Expect(1, 8537, '\p{Numeric_Value=0000001/006}', "");
Expect(0, 8537, '\p{^Numeric_Value=0000001/006}', "");
Expect(0, 8537, '\P{Numeric_Value=0000001/006}', "");
Expect(1, 8537, '\P{^Numeric_Value=0000001/006}', "");
Expect(0, 8536, '\p{Numeric_Value=0000001/006}', "");
Expect(1, 8536, '\p{^Numeric_Value=0000001/006}', "");
Expect(1, 8536, '\P{Numeric_Value=0000001/006}', "");
Expect(0, 8536, '\P{^Numeric_Value=0000001/006}', "");
Error('\p{Numeric_Value=0.17}');
Error('\P{Numeric_Value=0.17}');
Expect(1, 8537, '\p{Numeric_Value=0.167}', "");
Expect(0, 8537, '\p{^Numeric_Value=0.167}', "");
Expect(0, 8537, '\P{Numeric_Value=0.167}', "");
Expect(1, 8537, '\P{^Numeric_Value=0.167}', "");
Expect(0, 8536, '\p{Numeric_Value=0.167}', "");
Expect(1, 8536, '\p{^Numeric_Value=0.167}', "");
Expect(1, 8536, '\P{Numeric_Value=0.167}', "");
Expect(0, 8536, '\P{^Numeric_Value=0.167}', "");
Error('\p{Nv=__01/0006:=}');
Error('\P{Nv=__01/0006:=}');
Expect(1, 8537, '\p{Nv=00000001/00006}', "");
Expect(0, 8537, '\p{^Nv=00000001/00006}', "");
Expect(0, 8537, '\P{Nv=00000001/00006}', "");
Expect(1, 8537, '\P{^Nv=00000001/00006}', "");
Expect(0, 8536, '\p{Nv=00000001/00006}', "");
Expect(1, 8536, '\p{^Nv=00000001/00006}', "");
Expect(1, 8536, '\P{Nv=00000001/00006}', "");
Expect(0, 8536, '\P{^Nv=00000001/00006}', "");
Error('\p{Nv=0.17}');
Error('\P{Nv=0.17}');
Expect(1, 8537, '\p{Nv=0.167}', "");
Expect(0, 8537, '\p{^Nv=0.167}', "");
Expect(0, 8537, '\P{Nv=0.167}', "");
Expect(1, 8537, '\P{^Nv=0.167}', "");
Expect(0, 8536, '\p{Nv=0.167}', "");
Expect(1, 8536, '\p{^Nv=0.167}', "");
Expect(1, 8536, '\P{Nv=0.167}', "");
Expect(0, 8536, '\P{^Nv=0.167}', "");
Error('\p{Is_Numeric_Value=:=	 01/0006}');
Error('\P{Is_Numeric_Value=:=	 01/0006}');
Expect(1, 8537, '\p{Is_Numeric_Value=000001/0000006}', "");
Expect(0, 8537, '\p{^Is_Numeric_Value=000001/0000006}', "");
Expect(0, 8537, '\P{Is_Numeric_Value=000001/0000006}', "");
Expect(1, 8537, '\P{^Is_Numeric_Value=000001/0000006}', "");
Expect(0, 8536, '\p{Is_Numeric_Value=000001/0000006}', "");
Expect(1, 8536, '\p{^Is_Numeric_Value=000001/0000006}', "");
Expect(1, 8536, '\P{Is_Numeric_Value=000001/0000006}', "");
Expect(0, 8536, '\P{^Is_Numeric_Value=000001/0000006}', "");
Error('\p{Is_Numeric_Value:0.17}');
Error('\P{Is_Numeric_Value:0.17}');
Expect(1, 8537, '\p{Is_Numeric_Value=0.167}', "");
Expect(0, 8537, '\p{^Is_Numeric_Value=0.167}', "");
Expect(0, 8537, '\P{Is_Numeric_Value=0.167}', "");
Expect(1, 8537, '\P{^Is_Numeric_Value=0.167}', "");
Expect(0, 8536, '\p{Is_Numeric_Value=0.167}', "");
Expect(1, 8536, '\p{^Is_Numeric_Value=0.167}', "");
Expect(1, 8536, '\P{Is_Numeric_Value=0.167}', "");
Expect(0, 8536, '\P{^Is_Numeric_Value=0.167}', "");
Error('\p{Is_Nv=/a/	_0000001/00000006}');
Error('\P{Is_Nv=/a/	_0000001/00000006}');
Expect(1, 8537, '\p{Is_Nv=+0001/000006}', "");
Expect(0, 8537, '\p{^Is_Nv=+0001/000006}', "");
Expect(0, 8537, '\P{Is_Nv=+0001/000006}', "");
Expect(1, 8537, '\P{^Is_Nv=+0001/000006}', "");
Expect(0, 8536, '\p{Is_Nv=+0001/000006}', "");
Expect(1, 8536, '\p{^Is_Nv=+0001/000006}', "");
Expect(1, 8536, '\P{Is_Nv=+0001/000006}', "");
Expect(0, 8536, '\P{^Is_Nv=+0001/000006}', "");
Error('\p{Is_Nv: 0.17}');
Error('\P{Is_Nv: 0.17}');
Expect(1, 8537, '\p{Is_Nv=0.167}', "");
Expect(0, 8537, '\p{^Is_Nv=0.167}', "");
Expect(0, 8537, '\P{Is_Nv=0.167}', "");
Expect(1, 8537, '\P{^Is_Nv=0.167}', "");
Expect(0, 8536, '\p{Is_Nv=0.167}', "");
Expect(1, 8536, '\p{^Is_Nv=0.167}', "");
Expect(1, 8536, '\P{Is_Nv=0.167}', "");
Expect(0, 8536, '\P{^Is_Nv=0.167}', "");
Error('\p{Numeric_Value=	:=0_0000	0 0 0	38}');
Error('\P{Numeric_Value=	:=0_0000	0 0 0	38}');
Expect(1, 12979, '\p{Numeric_Value: 38}', "");
Expect(0, 12979, '\p{^Numeric_Value: 38}', "");
Expect(0, 12979, '\P{Numeric_Value: 38}', "");
Expect(1, 12979, '\P{^Numeric_Value: 38}', "");
Expect(0, 12978, '\p{Numeric_Value: 38}', "");
Expect(1, 12978, '\p{^Numeric_Value: 38}', "");
Expect(1, 12978, '\P{Numeric_Value: 38}', "");
Expect(0, 12978, '\P{^Numeric_Value: 38}', "");
Error('\p{Nv=/a/-_000	003-8}');
Error('\P{Nv=/a/-_000	003-8}');
Expect(1, 12979, '\p{Nv=0_0_0_0_0_0_38}', "");
Expect(0, 12979, '\p{^Nv=0_0_0_0_0_0_38}', "");
Expect(0, 12979, '\P{Nv=0_0_0_0_0_0_38}', "");
Expect(1, 12979, '\P{^Nv=0_0_0_0_0_0_38}', "");
Expect(0, 12978, '\p{Nv=0_0_0_0_0_0_38}', "");
Expect(1, 12978, '\p{^Nv=0_0_0_0_0_0_38}', "");
Expect(1, 12978, '\P{Nv=0_0_0_0_0_0_38}', "");
Expect(0, 12978, '\P{^Nv=0_0_0_0_0_0_38}', "");
Error('\p{Is_Numeric_Value=_0000038:=}');
Error('\P{Is_Numeric_Value=_0000038:=}');
Expect(1, 12979, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_038}', "");
Expect(0, 12979, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_038}', "");
Expect(0, 12979, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_038}', "");
Expect(1, 12979, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_038}', "");
Expect(0, 12978, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_038}', "");
Expect(1, 12978, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_038}', "");
Expect(1, 12978, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_038}', "");
Expect(0, 12978, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_038}', "");
Error('\p{Is_Nv: /a/ -000000038}');
Error('\P{Is_Nv: /a/ -000000038}');
Expect(1, 12979, '\p{Is_Nv=0038}', "");
Expect(0, 12979, '\p{^Is_Nv=0038}', "");
Expect(0, 12979, '\P{Is_Nv=0038}', "");
Expect(1, 12979, '\P{^Is_Nv=0038}', "");
Expect(0, 12978, '\p{Is_Nv=0038}', "");
Expect(1, 12978, '\p{^Is_Nv=0038}', "");
Expect(1, 12978, '\P{Is_Nv=0038}', "");
Expect(0, 12978, '\P{^Is_Nv=0038}', "");
Error('\p{Numeric_Value=:=  000000008}');
Error('\P{Numeric_Value=:=  000000008}');
Expect(1, 56, '\p{Numeric_Value=00_8}', "");
Expect(0, 56, '\p{^Numeric_Value=00_8}', "");
Expect(0, 56, '\P{Numeric_Value=00_8}', "");
Expect(1, 56, '\P{^Numeric_Value=00_8}', "");
Expect(0, 55, '\p{Numeric_Value=00_8}', "");
Expect(1, 55, '\p{^Numeric_Value=00_8}', "");
Expect(1, 55, '\P{Numeric_Value=00_8}', "");
Expect(0, 55, '\P{^Numeric_Value=00_8}', "");
Error('\p{Nv=:=_08}');
Error('\P{Nv=:=_08}');
Expect(1, 56, '\p{Nv=+0_0_0_0_0_0_008}', "");
Expect(0, 56, '\p{^Nv=+0_0_0_0_0_0_008}', "");
Expect(0, 56, '\P{Nv=+0_0_0_0_0_0_008}', "");
Expect(1, 56, '\P{^Nv=+0_0_0_0_0_0_008}', "");
Expect(0, 55, '\p{Nv=+0_0_0_0_0_0_008}', "");
Expect(1, 55, '\p{^Nv=+0_0_0_0_0_0_008}', "");
Expect(1, 55, '\P{Nv=+0_0_0_0_0_0_008}', "");
Expect(0, 55, '\P{^Nv=+0_0_0_0_0_0_008}', "");
Error('\p{Is_Numeric_Value=_+0 0_08/a/}');
Error('\P{Is_Numeric_Value=_+0 0_08/a/}');
Expect(1, 56, '\p{Is_Numeric_Value=00_00_00_00_8}', "");
Expect(0, 56, '\p{^Is_Numeric_Value=00_00_00_00_8}', "");
Expect(0, 56, '\P{Is_Numeric_Value=00_00_00_00_8}', "");
Expect(1, 56, '\P{^Is_Numeric_Value=00_00_00_00_8}', "");
Expect(0, 55, '\p{Is_Numeric_Value=00_00_00_00_8}', "");
Expect(1, 55, '\p{^Is_Numeric_Value=00_00_00_00_8}', "");
Expect(1, 55, '\P{Is_Numeric_Value=00_00_00_00_8}', "");
Expect(0, 55, '\P{^Is_Numeric_Value=00_00_00_00_8}', "");
Error('\p{Is_Nv=_0/a/0 0	0	0_0-0 08}');
Error('\P{Is_Nv=_0/a/0 0	0	0_0-0 08}');
Expect(1, 56, '\p{Is_Nv=0_8}', "");
Expect(0, 56, '\p{^Is_Nv=0_8}', "");
Expect(0, 56, '\P{Is_Nv=0_8}', "");
Expect(1, 56, '\P{^Is_Nv=0_8}', "");
Expect(0, 55, '\p{Is_Nv=0_8}', "");
Expect(1, 55, '\p{^Is_Nv=0_8}', "");
Expect(1, 55, '\P{Is_Nv=0_8}', "");
Expect(0, 55, '\P{^Is_Nv=0_8}', "");
Error('\p{Numeric_Value:   	 +00000003/000004/a/}');
Error('\P{Numeric_Value:   	 +00000003/000004/a/}');
Expect(1, 190, '\p{Numeric_Value=+0000000003/000000004}', "");
Expect(0, 190, '\p{^Numeric_Value=+0000000003/000000004}', "");
Expect(0, 190, '\P{Numeric_Value=+0000000003/000000004}', "");
Expect(1, 190, '\P{^Numeric_Value=+0000000003/000000004}', "");
Expect(0, 189, '\p{Numeric_Value=+0000000003/000000004}', "");
Expect(1, 189, '\p{^Numeric_Value=+0000000003/000000004}', "");
Expect(1, 189, '\P{Numeric_Value=+0000000003/000000004}', "");
Expect(0, 189, '\P{^Numeric_Value=+0000000003/000000004}', "");
Expect(1, 190, '\p{Numeric_Value=0.750}', "");
Expect(0, 190, '\p{^Numeric_Value=0.750}', "");
Expect(0, 190, '\P{Numeric_Value=0.750}', "");
Expect(1, 190, '\P{^Numeric_Value=0.750}', "");
Expect(0, 189, '\p{Numeric_Value=0.750}', "");
Expect(1, 189, '\p{^Numeric_Value=0.750}', "");
Expect(1, 189, '\P{Numeric_Value=0.750}', "");
Expect(0, 189, '\P{^Numeric_Value=0.750}', "");
Error('\p{Nv=:=00003/000000004}');
Error('\P{Nv=:=00003/000000004}');
Expect(1, 190, '\p{Nv=3/00000004}', "");
Expect(0, 190, '\p{^Nv=3/00000004}', "");
Expect(0, 190, '\P{Nv=3/00000004}', "");
Expect(1, 190, '\P{^Nv=3/00000004}', "");
Expect(0, 189, '\p{Nv=3/00000004}', "");
Expect(1, 189, '\p{^Nv=3/00000004}', "");
Expect(1, 189, '\P{Nv=3/00000004}', "");
Expect(0, 189, '\P{^Nv=3/00000004}', "");
Expect(1, 190, '\p{Nv=0.750}', "");
Expect(0, 190, '\p{^Nv=0.750}', "");
Expect(0, 190, '\P{Nv=0.750}', "");
Expect(1, 190, '\P{^Nv=0.750}', "");
Expect(0, 189, '\p{Nv=0.750}', "");
Expect(1, 189, '\p{^Nv=0.750}', "");
Expect(1, 189, '\P{Nv=0.750}', "");
Expect(0, 189, '\P{^Nv=0.750}', "");
Error('\p{Is_Numeric_Value=:=-_0003/0000000004}');
Error('\P{Is_Numeric_Value=:=-_0003/0000000004}');
Expect(1, 190, '\p{Is_Numeric_Value=000003/04}', "");
Expect(0, 190, '\p{^Is_Numeric_Value=000003/04}', "");
Expect(0, 190, '\P{Is_Numeric_Value=000003/04}', "");
Expect(1, 190, '\P{^Is_Numeric_Value=000003/04}', "");
Expect(0, 189, '\p{Is_Numeric_Value=000003/04}', "");
Expect(1, 189, '\p{^Is_Numeric_Value=000003/04}', "");
Expect(1, 189, '\P{Is_Numeric_Value=000003/04}', "");
Expect(0, 189, '\P{^Is_Numeric_Value=000003/04}', "");
Expect(1, 190, '\p{Is_Numeric_Value=0.750}', "");
Expect(0, 190, '\p{^Is_Numeric_Value=0.750}', "");
Expect(0, 190, '\P{Is_Numeric_Value=0.750}', "");
Expect(1, 190, '\P{^Is_Numeric_Value=0.750}', "");
Expect(0, 189, '\p{Is_Numeric_Value=0.750}', "");
Expect(1, 189, '\p{^Is_Numeric_Value=0.750}', "");
Expect(1, 189, '\P{Is_Numeric_Value=0.750}', "");
Expect(0, 189, '\P{^Is_Numeric_Value=0.750}', "");
Error('\p{Is_Nv=_-000000003/04/a/}');
Error('\P{Is_Nv=_-000000003/04/a/}');
Expect(1, 190, '\p{Is_Nv=00000003/000000004}', "");
Expect(0, 190, '\p{^Is_Nv=00000003/000000004}', "");
Expect(0, 190, '\P{Is_Nv=00000003/000000004}', "");
Expect(1, 190, '\P{^Is_Nv=00000003/000000004}', "");
Expect(0, 189, '\p{Is_Nv=00000003/000000004}', "");
Expect(1, 189, '\p{^Is_Nv=00000003/000000004}', "");
Expect(1, 189, '\P{Is_Nv=00000003/000000004}', "");
Expect(0, 189, '\P{^Is_Nv=00000003/000000004}', "");
Expect(1, 190, '\p{Is_Nv=0.750}', "");
Expect(0, 190, '\p{^Is_Nv=0.750}', "");
Expect(0, 190, '\P{Is_Nv=0.750}', "");
Expect(1, 190, '\P{^Is_Nv=0.750}', "");
Expect(0, 189, '\p{Is_Nv=0.750}', "");
Expect(1, 189, '\p{^Is_Nv=0.750}', "");
Expect(1, 189, '\P{Is_Nv=0.750}', "");
Expect(0, 189, '\P{^Is_Nv=0.750}', "");
Error('\p{Numeric_Value=--0000000:=4}');
Error('\P{Numeric_Value=--0000000:=4}');
Expect(1, 52, '\p{Numeric_Value=0_4}', "");
Expect(0, 52, '\p{^Numeric_Value=0_4}', "");
Expect(0, 52, '\P{Numeric_Value=0_4}', "");
Expect(1, 52, '\P{^Numeric_Value=0_4}', "");
Expect(0, 51, '\p{Numeric_Value=0_4}', "");
Expect(1, 51, '\p{^Numeric_Value=0_4}', "");
Expect(1, 51, '\P{Numeric_Value=0_4}', "");
Expect(0, 51, '\P{^Numeric_Value=0_4}', "");
Error('\p{Nv= _0004/a/}');
Error('\P{Nv= _0004/a/}');
Expect(1, 52, '\p{Nv=+00000004}', "");
Expect(0, 52, '\p{^Nv=+00000004}', "");
Expect(0, 52, '\P{Nv=+00000004}', "");
Expect(1, 52, '\P{^Nv=+00000004}', "");
Expect(0, 51, '\p{Nv=+00000004}', "");
Expect(1, 51, '\p{^Nv=+00000004}', "");
Expect(1, 51, '\P{Nv=+00000004}', "");
Expect(0, 51, '\P{^Nv=+00000004}', "");
Error('\p{Is_Numeric_Value=	0000000_4/a/}');
Error('\P{Is_Numeric_Value=	0000000_4/a/}');
Expect(1, 52, '\p{Is_Numeric_Value:   000_4}', "");
Expect(0, 52, '\p{^Is_Numeric_Value:   000_4}', "");
Expect(0, 52, '\P{Is_Numeric_Value:   000_4}', "");
Expect(1, 52, '\P{^Is_Numeric_Value:   000_4}', "");
Expect(0, 51, '\p{Is_Numeric_Value:   000_4}', "");
Expect(1, 51, '\p{^Is_Numeric_Value:   000_4}', "");
Expect(1, 51, '\P{Is_Numeric_Value:   000_4}', "");
Expect(0, 51, '\P{^Is_Numeric_Value:   000_4}', "");
Error('\p{Is_Nv=/a/ 	00004}');
Error('\P{Is_Nv=/a/ 	00004}');
Expect(1, 52, '\p{Is_Nv=4}', "");
Expect(0, 52, '\p{^Is_Nv=4}', "");
Expect(0, 52, '\P{Is_Nv=4}', "");
Expect(1, 52, '\P{^Is_Nv=4}', "");
Expect(0, 51, '\p{Is_Nv=4}', "");
Expect(1, 51, '\p{^Is_Nv=4}', "");
Expect(1, 51, '\P{Is_Nv=4}', "");
Expect(0, 51, '\P{^Is_Nv=4}', "");
Error('\p{Numeric_Value=-/a/+3	4}');
Error('\P{Numeric_Value=-/a/+3	4}');
Expect(1, 12894, '\p{Numeric_Value=+34}', "");
Expect(0, 12894, '\p{^Numeric_Value=+34}', "");
Expect(0, 12894, '\P{Numeric_Value=+34}', "");
Expect(1, 12894, '\P{^Numeric_Value=+34}', "");
Expect(0, 12893, '\p{Numeric_Value=+34}', "");
Expect(1, 12893, '\p{^Numeric_Value=+34}', "");
Expect(1, 12893, '\P{Numeric_Value=+34}', "");
Expect(0, 12893, '\P{^Numeric_Value=+34}', "");
Error('\p{Nv:	:=--000000034}');
Error('\P{Nv:	:=--000000034}');
Expect(1, 12894, '\p{Nv=000000034}', "");
Expect(0, 12894, '\p{^Nv=000000034}', "");
Expect(0, 12894, '\P{Nv=000000034}', "");
Expect(1, 12894, '\P{^Nv=000000034}', "");
Expect(0, 12893, '\p{Nv=000000034}', "");
Expect(1, 12893, '\p{^Nv=000000034}', "");
Expect(1, 12893, '\P{Nv=000000034}', "");
Expect(0, 12893, '\P{^Nv=000000034}', "");
Error('\p{Is_Numeric_Value=-+0000003	4:=}');
Error('\P{Is_Numeric_Value=-+0000003	4:=}');
Expect(1, 12894, '\p{Is_Numeric_Value=+000000034}', "");
Expect(0, 12894, '\p{^Is_Numeric_Value=+000000034}', "");
Expect(0, 12894, '\P{Is_Numeric_Value=+000000034}', "");
Expect(1, 12894, '\P{^Is_Numeric_Value=+000000034}', "");
Expect(0, 12893, '\p{Is_Numeric_Value=+000000034}', "");
Expect(1, 12893, '\p{^Is_Numeric_Value=+000000034}', "");
Expect(1, 12893, '\P{Is_Numeric_Value=+000000034}', "");
Expect(0, 12893, '\P{^Is_Numeric_Value=+000000034}', "");
Error('\p{Is_Nv=/a/- 00000034}');
Error('\P{Is_Nv=/a/- 00000034}');
Expect(1, 12894, '\p{Is_Nv=0000034}', "");
Expect(0, 12894, '\p{^Is_Nv=0000034}', "");
Expect(0, 12894, '\P{Is_Nv=0000034}', "");
Expect(1, 12894, '\P{^Is_Nv=0000034}', "");
Expect(0, 12893, '\p{Is_Nv=0000034}', "");
Expect(1, 12893, '\p{^Is_Nv=0000034}', "");
Expect(1, 12893, '\P{Is_Nv=0000034}', "");
Expect(0, 12893, '\P{^Is_Nv=0000034}', "");
Error('\p{Numeric_Value=_-0037:=}');
Error('\P{Numeric_Value=_-0037:=}');
Expect(1, 12978, '\p{Numeric_Value=0_0_0_0_0_0_37}', "");
Expect(0, 12978, '\p{^Numeric_Value=0_0_0_0_0_0_37}', "");
Expect(0, 12978, '\P{Numeric_Value=0_0_0_0_0_0_37}', "");
Expect(1, 12978, '\P{^Numeric_Value=0_0_0_0_0_0_37}', "");
Expect(0, 12977, '\p{Numeric_Value=0_0_0_0_0_0_37}', "");
Expect(1, 12977, '\p{^Numeric_Value=0_0_0_0_0_0_37}', "");
Expect(1, 12977, '\P{Numeric_Value=0_0_0_0_0_0_37}', "");
Expect(0, 12977, '\P{^Numeric_Value=0_0_0_0_0_0_37}', "");
Error('\p{Nv=:=_00000000037}');
Error('\P{Nv=:=_00000000037}');
Expect(1, 12978, '\p{Nv=000000037}', "");
Expect(0, 12978, '\p{^Nv=000000037}', "");
Expect(0, 12978, '\P{Nv=000000037}', "");
Expect(1, 12978, '\P{^Nv=000000037}', "");
Expect(0, 12977, '\p{Nv=000000037}', "");
Expect(1, 12977, '\p{^Nv=000000037}', "");
Expect(1, 12977, '\P{Nv=000000037}', "");
Expect(0, 12977, '\P{^Nv=000000037}', "");
Error('\p{Is_Numeric_Value:   :=_	+0000000037}');
Error('\P{Is_Numeric_Value:   :=_	+0000000037}');
Expect(1, 12978, '\p{Is_Numeric_Value:0_0_0_0_0_0_00037}', "");
Expect(0, 12978, '\p{^Is_Numeric_Value:0_0_0_0_0_0_00037}', "");
Expect(0, 12978, '\P{Is_Numeric_Value:0_0_0_0_0_0_00037}', "");
Expect(1, 12978, '\P{^Is_Numeric_Value:0_0_0_0_0_0_00037}', "");
Expect(0, 12977, '\p{Is_Numeric_Value:0_0_0_0_0_0_00037}', "");
Expect(1, 12977, '\p{^Is_Numeric_Value:0_0_0_0_0_0_00037}', "");
Expect(1, 12977, '\P{Is_Numeric_Value:0_0_0_0_0_0_00037}', "");
Expect(0, 12977, '\P{^Is_Numeric_Value:0_0_0_0_0_0_00037}', "");
Error('\p{Is_Nv=-/a/+00000	00003	7}');
Error('\P{Is_Nv=-/a/+00000	00003	7}');
Expect(1, 12978, '\p{Is_Nv=0_0_0_37}', "");
Expect(0, 12978, '\p{^Is_Nv=0_0_0_37}', "");
Expect(0, 12978, '\P{Is_Nv=0_0_0_37}', "");
Expect(1, 12978, '\P{^Is_Nv=0_0_0_37}', "");
Expect(0, 12977, '\p{Is_Nv=0_0_0_37}', "");
Expect(1, 12977, '\p{^Is_Nv=0_0_0_37}', "");
Expect(1, 12977, '\P{Is_Nv=0_0_0_37}', "");
Expect(0, 12977, '\P{^Is_Nv=0_0_0_37}', "");
Error('\p{Numeric_Value=/a/-+0000000005/02}');
Error('\P{Numeric_Value=/a/-+0000000005/02}');
Expect(1, 3884, '\p{Numeric_Value:   +00000005/000000002}', "");
Expect(0, 3884, '\p{^Numeric_Value:   +00000005/000000002}', "");
Expect(0, 3884, '\P{Numeric_Value:   +00000005/000000002}', "");
Expect(1, 3884, '\P{^Numeric_Value:   +00000005/000000002}', "");
Expect(0, 3883, '\p{Numeric_Value:   +00000005/000000002}', "");
Expect(1, 3883, '\p{^Numeric_Value:   +00000005/000000002}', "");
Expect(1, 3883, '\P{Numeric_Value:   +00000005/000000002}', "");
Expect(0, 3883, '\P{^Numeric_Value:   +00000005/000000002}', "");
Expect(1, 3884, '\p{Numeric_Value: 2.500}', "");
Expect(0, 3884, '\p{^Numeric_Value: 2.500}', "");
Expect(0, 3884, '\P{Numeric_Value: 2.500}', "");
Expect(1, 3884, '\P{^Numeric_Value: 2.500}', "");
Expect(0, 3883, '\p{Numeric_Value: 2.500}', "");
Expect(1, 3883, '\p{^Numeric_Value: 2.500}', "");
Expect(1, 3883, '\P{Numeric_Value: 2.500}', "");
Expect(0, 3883, '\P{^Numeric_Value: 2.500}', "");
Error('\p{Nv=/a/_	0005/000000002}');
Error('\P{Nv=/a/_	0005/000000002}');
Expect(1, 3884, '\p{Nv=00000005/2}', "");
Expect(0, 3884, '\p{^Nv=00000005/2}', "");
Expect(0, 3884, '\P{Nv=00000005/2}', "");
Expect(1, 3884, '\P{^Nv=00000005/2}', "");
Expect(0, 3883, '\p{Nv=00000005/2}', "");
Expect(1, 3883, '\p{^Nv=00000005/2}', "");
Expect(1, 3883, '\P{Nv=00000005/2}', "");
Expect(0, 3883, '\P{^Nv=00000005/2}', "");
Expect(1, 3884, '\p{Nv:2.500}', "");
Expect(0, 3884, '\p{^Nv:2.500}', "");
Expect(0, 3884, '\P{Nv:2.500}', "");
Expect(1, 3884, '\P{^Nv:2.500}', "");
Expect(0, 3883, '\p{Nv:2.500}', "");
Expect(1, 3883, '\p{^Nv:2.500}', "");
Expect(1, 3883, '\P{Nv:2.500}', "");
Expect(0, 3883, '\P{^Nv:2.500}', "");
Error('\p{Is_Numeric_Value=	000005/0002/a/}');
Error('\P{Is_Numeric_Value=	000005/0002/a/}');
Expect(1, 3884, '\p{Is_Numeric_Value=00005/000002}', "");
Expect(0, 3884, '\p{^Is_Numeric_Value=00005/000002}', "");
Expect(0, 3884, '\P{Is_Numeric_Value=00005/000002}', "");
Expect(1, 3884, '\P{^Is_Numeric_Value=00005/000002}', "");
Expect(0, 3883, '\p{Is_Numeric_Value=00005/000002}', "");
Expect(1, 3883, '\p{^Is_Numeric_Value=00005/000002}', "");
Expect(1, 3883, '\P{Is_Numeric_Value=00005/000002}', "");
Expect(0, 3883, '\P{^Is_Numeric_Value=00005/000002}', "");
Expect(1, 3884, '\p{Is_Numeric_Value=2.500}', "");
Expect(0, 3884, '\p{^Is_Numeric_Value=2.500}', "");
Expect(0, 3884, '\P{Is_Numeric_Value=2.500}', "");
Expect(1, 3884, '\P{^Is_Numeric_Value=2.500}', "");
Expect(0, 3883, '\p{Is_Numeric_Value=2.500}', "");
Expect(1, 3883, '\p{^Is_Numeric_Value=2.500}', "");
Expect(1, 3883, '\P{Is_Numeric_Value=2.500}', "");
Expect(0, 3883, '\P{^Is_Numeric_Value=2.500}', "");
Error('\p{Is_Nv=_+05/002:=}');
Error('\P{Is_Nv=_+05/002:=}');
Expect(1, 3884, '\p{Is_Nv=0000005/0002}', "");
Expect(0, 3884, '\p{^Is_Nv=0000005/0002}', "");
Expect(0, 3884, '\P{Is_Nv=0000005/0002}', "");
Expect(1, 3884, '\P{^Is_Nv=0000005/0002}', "");
Expect(0, 3883, '\p{Is_Nv=0000005/0002}', "");
Expect(1, 3883, '\p{^Is_Nv=0000005/0002}', "");
Expect(1, 3883, '\P{Is_Nv=0000005/0002}', "");
Expect(0, 3883, '\P{^Is_Nv=0000005/0002}', "");
Expect(1, 3884, '\p{Is_Nv=2.500}', "");
Expect(0, 3884, '\p{^Is_Nv=2.500}', "");
Expect(0, 3884, '\P{Is_Nv=2.500}', "");
Expect(1, 3884, '\P{^Is_Nv=2.500}', "");
Expect(0, 3883, '\p{Is_Nv=2.500}', "");
Expect(1, 3883, '\p{^Is_Nv=2.500}', "");
Expect(1, 3883, '\P{Is_Nv=2.500}', "");
Expect(0, 3883, '\P{^Is_Nv=2.500}', "");
Error('\p{Numeric_Value=- 0000100 0/a/}');
Error('\P{Numeric_Value=- 0000100 0/a/}');
Expect(1, 3058, '\p{Numeric_Value:   +1_0_00}', "");
Expect(0, 3058, '\p{^Numeric_Value:   +1_0_00}', "");
Expect(0, 3058, '\P{Numeric_Value:   +1_0_00}', "");
Expect(1, 3058, '\P{^Numeric_Value:   +1_0_00}', "");
Expect(0, 3057, '\p{Numeric_Value:   +1_0_00}', "");
Expect(1, 3057, '\p{^Numeric_Value:   +1_0_00}', "");
Expect(1, 3057, '\P{Numeric_Value:   +1_0_00}', "");
Expect(0, 3057, '\P{^Numeric_Value:   +1_0_00}', "");
Error('\p{Nv=/a/+0000000001000}');
Error('\P{Nv=/a/+0000000001000}');
Expect(1, 3058, '\p{Nv=0001000}', "");
Expect(0, 3058, '\p{^Nv=0001000}', "");
Expect(0, 3058, '\P{Nv=0001000}', "");
Expect(1, 3058, '\P{^Nv=0001000}', "");
Expect(0, 3057, '\p{Nv=0001000}', "");
Expect(1, 3057, '\p{^Nv=0001000}', "");
Expect(1, 3057, '\P{Nv=0001000}', "");
Expect(0, 3057, '\P{^Nv=0001000}', "");
Error('\p{Is_Numeric_Value=-+00000001000:=}');
Error('\P{Is_Numeric_Value=-+00000001000:=}');
Expect(1, 3058, '\p{Is_Numeric_Value=0000001000}', "");
Expect(0, 3058, '\p{^Is_Numeric_Value=0000001000}', "");
Expect(0, 3058, '\P{Is_Numeric_Value=0000001000}', "");
Expect(1, 3058, '\P{^Is_Numeric_Value=0000001000}', "");
Expect(0, 3057, '\p{Is_Numeric_Value=0000001000}', "");
Expect(1, 3057, '\p{^Is_Numeric_Value=0000001000}', "");
Expect(1, 3057, '\P{Is_Numeric_Value=0000001000}', "");
Expect(0, 3057, '\P{^Is_Numeric_Value=0000001000}', "");
Error('\p{Is_Nv=:=	1000}');
Error('\P{Is_Nv=:=	1000}');
Expect(1, 3058, '\p{Is_Nv=00000001000}', "");
Expect(0, 3058, '\p{^Is_Nv=00000001000}', "");
Expect(0, 3058, '\P{Is_Nv=00000001000}', "");
Expect(1, 3058, '\P{^Is_Nv=00000001000}', "");
Expect(0, 3057, '\p{Is_Nv=00000001000}', "");
Expect(1, 3057, '\p{^Is_Nv=00000001000}', "");
Expect(1, 3057, '\P{Is_Nv=00000001000}', "");
Expect(0, 3057, '\P{^Is_Nv=00000001000}', "");
Error('\p{Numeric_Value=	/a/+0000000043}');
Error('\P{Numeric_Value=	/a/+0000000043}');
Expect(1, 12984, '\p{Numeric_Value=+0000000043}', "");
Expect(0, 12984, '\p{^Numeric_Value=+0000000043}', "");
Expect(0, 12984, '\P{Numeric_Value=+0000000043}', "");
Expect(1, 12984, '\P{^Numeric_Value=+0000000043}', "");
Expect(0, 12983, '\p{Numeric_Value=+0000000043}', "");
Expect(1, 12983, '\p{^Numeric_Value=+0000000043}', "");
Expect(1, 12983, '\P{Numeric_Value=+0000000043}', "");
Expect(0, 12983, '\P{^Numeric_Value=+0000000043}', "");
Error('\p{Nv=_/a/04_3}');
Error('\P{Nv=_/a/04_3}');
Expect(1, 12984, '\p{Nv=043}', "");
Expect(0, 12984, '\p{^Nv=043}', "");
Expect(0, 12984, '\P{Nv=043}', "");
Expect(1, 12984, '\P{^Nv=043}', "");
Expect(0, 12983, '\p{Nv=043}', "");
Expect(1, 12983, '\p{^Nv=043}', "");
Expect(1, 12983, '\P{Nv=043}', "");
Expect(0, 12983, '\P{^Nv=043}', "");
Error('\p{Is_Numeric_Value=:=_ +00000000043}');
Error('\P{Is_Numeric_Value=:=_ +00000000043}');
Expect(1, 12984, '\p{Is_Numeric_Value=00000000043}', "");
Expect(0, 12984, '\p{^Is_Numeric_Value=00000000043}', "");
Expect(0, 12984, '\P{Is_Numeric_Value=00000000043}', "");
Expect(1, 12984, '\P{^Is_Numeric_Value=00000000043}', "");
Expect(0, 12983, '\p{Is_Numeric_Value=00000000043}', "");
Expect(1, 12983, '\p{^Is_Numeric_Value=00000000043}', "");
Expect(1, 12983, '\P{Is_Numeric_Value=00000000043}', "");
Expect(0, 12983, '\P{^Is_Numeric_Value=00000000043}', "");
Error('\p{Is_Nv=/a/_+0000043}');
Error('\P{Is_Nv=/a/_+0000043}');
Expect(1, 12984, '\p{Is_Nv=+0000000043}', "");
Expect(0, 12984, '\p{^Is_Nv=+0000000043}', "");
Expect(0, 12984, '\P{Is_Nv=+0000000043}', "");
Expect(1, 12984, '\P{^Is_Nv=+0000000043}', "");
Expect(0, 12983, '\p{Is_Nv=+0000000043}', "");
Expect(1, 12983, '\p{^Is_Nv=+0000000043}', "");
Expect(1, 12983, '\P{Is_Nv=+0000000043}', "");
Expect(0, 12983, '\P{^Is_Nv=+0000000043}', "");
Error('\p{Numeric_Value=/a/ 	0_5}');
Error('\P{Numeric_Value=/a/ 	0_5}');
Expect(1, 53, '\p{Numeric_Value=00000005}', "");
Expect(0, 53, '\p{^Numeric_Value=00000005}', "");
Expect(0, 53, '\P{Numeric_Value=00000005}', "");
Expect(1, 53, '\P{^Numeric_Value=00000005}', "");
Expect(0, 52, '\p{Numeric_Value=00000005}', "");
Expect(1, 52, '\p{^Numeric_Value=00000005}', "");
Expect(1, 52, '\P{Numeric_Value=00000005}', "");
Expect(0, 52, '\P{^Numeric_Value=00000005}', "");
Error('\p{Nv=_/a/+005}');
Error('\P{Nv=_/a/+005}');
Expect(1, 53, '\p{Nv=0_0_0_0_0_00005}', "");
Expect(0, 53, '\p{^Nv=0_0_0_0_0_00005}', "");
Expect(0, 53, '\P{Nv=0_0_0_0_0_00005}', "");
Expect(1, 53, '\P{^Nv=0_0_0_0_0_00005}', "");
Expect(0, 52, '\p{Nv=0_0_0_0_0_00005}', "");
Expect(1, 52, '\p{^Nv=0_0_0_0_0_00005}', "");
Expect(1, 52, '\P{Nv=0_0_0_0_0_00005}', "");
Expect(0, 52, '\P{^Nv=0_0_0_0_0_00005}', "");
Error('\p{Is_Numeric_Value=/a/	0-0	0-0-005}');
Error('\P{Is_Numeric_Value=/a/	0-0	0-0-005}');
Expect(1, 53, '\p{Is_Numeric_Value=5}', "");
Expect(0, 53, '\p{^Is_Numeric_Value=5}', "");
Expect(0, 53, '\P{Is_Numeric_Value=5}', "");
Expect(1, 53, '\P{^Is_Numeric_Value=5}', "");
Expect(0, 52, '\p{Is_Numeric_Value=5}', "");
Expect(1, 52, '\p{^Is_Numeric_Value=5}', "");
Expect(1, 52, '\P{Is_Numeric_Value=5}', "");
Expect(0, 52, '\P{^Is_Numeric_Value=5}', "");
Error('\p{Is_Nv=/a/- 0000005}');
Error('\P{Is_Nv=/a/- 0000005}');
Expect(1, 53, '\p{Is_Nv=000005}', "");
Expect(0, 53, '\p{^Is_Nv=000005}', "");
Expect(0, 53, '\P{Is_Nv=000005}', "");
Expect(1, 53, '\P{^Is_Nv=000005}', "");
Expect(0, 52, '\p{Is_Nv=000005}', "");
Expect(1, 52, '\p{^Is_Nv=000005}', "");
Expect(1, 52, '\P{Is_Nv=000005}', "");
Expect(0, 52, '\P{^Is_Nv=000005}', "");
Error('\p{Changes_When_Uppercased::=yes}');
Error('\P{Changes_When_Uppercased::=yes}');
Expect(1, 122, '\p{Changes_When_Uppercased=yes}', "");
Expect(0, 122, '\p{^Changes_When_Uppercased=yes}', "");
Expect(0, 122, '\P{Changes_When_Uppercased=yes}', "");
Expect(1, 122, '\P{^Changes_When_Uppercased=yes}', "");
Expect(0, 96, '\p{Changes_When_Uppercased=yes}', "");
Expect(1, 96, '\p{^Changes_When_Uppercased=yes}', "");
Expect(1, 96, '\P{Changes_When_Uppercased=yes}', "");
Expect(0, 96, '\P{^Changes_When_Uppercased=yes}', "");
Expect(1, 122, '\p{Changes_When_Uppercased=-_YES}', "");
Expect(0, 122, '\p{^Changes_When_Uppercased=-_YES}', "");
Expect(0, 122, '\P{Changes_When_Uppercased=-_YES}', "");
Expect(1, 122, '\P{^Changes_When_Uppercased=-_YES}', "");
Expect(0, 96, '\p{Changes_When_Uppercased=-_YES}', "");
Expect(1, 96, '\p{^Changes_When_Uppercased=-_YES}', "");
Expect(1, 96, '\P{Changes_When_Uppercased=-_YES}', "");
Expect(0, 96, '\P{^Changes_When_Uppercased=-_YES}', "");
Error('\p{CWU=_/a/Y}');
Error('\P{CWU=_/a/Y}');
Expect(1, 122, '\p{CWU=y}', "");
Expect(0, 122, '\p{^CWU=y}', "");
Expect(0, 122, '\P{CWU=y}', "");
Expect(1, 122, '\P{^CWU=y}', "");
Expect(0, 96, '\p{CWU=y}', "");
Expect(1, 96, '\p{^CWU=y}', "");
Expect(1, 96, '\P{CWU=y}', "");
Expect(0, 96, '\P{^CWU=y}', "");
Expect(1, 122, '\p{CWU=	_Y}', "");
Expect(0, 122, '\p{^CWU=	_Y}', "");
Expect(0, 122, '\P{CWU=	_Y}', "");
Expect(1, 122, '\P{^CWU=	_Y}', "");
Expect(0, 96, '\p{CWU=	_Y}', "");
Expect(1, 96, '\p{^CWU=	_Y}', "");
Expect(1, 96, '\P{CWU=	_Y}', "");
Expect(0, 96, '\P{^CWU=	_Y}', "");
Error('\p{Is_Changes_When_Uppercased=_/a/T}');
Error('\P{Is_Changes_When_Uppercased=_/a/T}');
Expect(1, 122, '\p{Is_Changes_When_Uppercased=t}', "");
Expect(0, 122, '\p{^Is_Changes_When_Uppercased=t}', "");
Expect(0, 122, '\P{Is_Changes_When_Uppercased=t}', "");
Expect(1, 122, '\P{^Is_Changes_When_Uppercased=t}', "");
Expect(0, 96, '\p{Is_Changes_When_Uppercased=t}', "");
Expect(1, 96, '\p{^Is_Changes_When_Uppercased=t}', "");
Expect(1, 96, '\P{Is_Changes_When_Uppercased=t}', "");
Expect(0, 96, '\P{^Is_Changes_When_Uppercased=t}', "");
Expect(1, 122, '\p{Is_Changes_When_Uppercased=	_t}', "");
Expect(0, 122, '\p{^Is_Changes_When_Uppercased=	_t}', "");
Expect(0, 122, '\P{Is_Changes_When_Uppercased=	_t}', "");
Expect(1, 122, '\P{^Is_Changes_When_Uppercased=	_t}', "");
Expect(0, 96, '\p{Is_Changes_When_Uppercased=	_t}', "");
Expect(1, 96, '\p{^Is_Changes_When_Uppercased=	_t}', "");
Expect(1, 96, '\P{Is_Changes_When_Uppercased=	_t}', "");
Expect(0, 96, '\P{^Is_Changes_When_Uppercased=	_t}', "");
Error('\p{Is_CWU= /a/TRUE}');
Error('\P{Is_CWU= /a/TRUE}');
Expect(1, 122, '\p{Is_CWU=true}', "");
Expect(0, 122, '\p{^Is_CWU=true}', "");
Expect(0, 122, '\P{Is_CWU=true}', "");
Expect(1, 122, '\P{^Is_CWU=true}', "");
Expect(0, 96, '\p{Is_CWU=true}', "");
Expect(1, 96, '\p{^Is_CWU=true}', "");
Expect(1, 96, '\P{Is_CWU=true}', "");
Expect(0, 96, '\P{^Is_CWU=true}', "");
Expect(1, 122, '\p{Is_CWU= True}', "");
Expect(0, 122, '\p{^Is_CWU= True}', "");
Expect(0, 122, '\P{Is_CWU= True}', "");
Expect(1, 122, '\P{^Is_CWU= True}', "");
Expect(0, 96, '\p{Is_CWU= True}', "");
Expect(1, 96, '\p{^Is_CWU= True}', "");
Expect(1, 96, '\P{Is_CWU= True}', "");
Expect(0, 96, '\P{^Is_CWU= True}', "");
Error('\p{Changes_When_Uppercased=/a/	no}');
Error('\P{Changes_When_Uppercased=/a/	no}');
Expect(1, 96, '\p{Changes_When_Uppercased=no}', "");
Expect(0, 96, '\p{^Changes_When_Uppercased=no}', "");
Expect(0, 96, '\P{Changes_When_Uppercased=no}', "");
Expect(1, 96, '\P{^Changes_When_Uppercased=no}', "");
Expect(0, 122, '\p{Changes_When_Uppercased=no}', "");
Expect(1, 122, '\p{^Changes_When_Uppercased=no}', "");
Expect(1, 122, '\P{Changes_When_Uppercased=no}', "");
Expect(0, 122, '\P{^Changes_When_Uppercased=no}', "");
Expect(1, 96, '\p{Changes_When_Uppercased=  No}', "");
Expect(0, 96, '\p{^Changes_When_Uppercased=  No}', "");
Expect(0, 96, '\P{Changes_When_Uppercased=  No}', "");
Expect(1, 96, '\P{^Changes_When_Uppercased=  No}', "");
Expect(0, 122, '\p{Changes_When_Uppercased=  No}', "");
Expect(1, 122, '\p{^Changes_When_Uppercased=  No}', "");
Expect(1, 122, '\P{Changes_When_Uppercased=  No}', "");
Expect(0, 122, '\P{^Changes_When_Uppercased=  No}', "");
Error('\p{CWU=-/a/N}');
Error('\P{CWU=-/a/N}');
Expect(1, 96, '\p{CWU=n}', "");
Expect(0, 96, '\p{^CWU=n}', "");
Expect(0, 96, '\P{CWU=n}', "");
Expect(1, 96, '\P{^CWU=n}', "");
Expect(0, 122, '\p{CWU=n}', "");
Expect(1, 122, '\p{^CWU=n}', "");
Expect(1, 122, '\P{CWU=n}', "");
Expect(0, 122, '\P{^CWU=n}', "");
Expect(1, 96, '\p{CWU=	-n}', "");
Expect(0, 96, '\p{^CWU=	-n}', "");
Expect(0, 96, '\P{CWU=	-n}', "");
Expect(1, 96, '\P{^CWU=	-n}', "");
Expect(0, 122, '\p{CWU=	-n}', "");
Expect(1, 122, '\p{^CWU=	-n}', "");
Expect(1, 122, '\P{CWU=	-n}', "");
Expect(0, 122, '\P{^CWU=	-n}', "");
Error('\p{Is_Changes_When_Uppercased= :=F}');
Error('\P{Is_Changes_When_Uppercased= :=F}');
Expect(1, 96, '\p{Is_Changes_When_Uppercased=f}', "");
Expect(0, 96, '\p{^Is_Changes_When_Uppercased=f}', "");
Expect(0, 96, '\P{Is_Changes_When_Uppercased=f}', "");
Expect(1, 96, '\P{^Is_Changes_When_Uppercased=f}', "");
Expect(0, 122, '\p{Is_Changes_When_Uppercased=f}', "");
Expect(1, 122, '\p{^Is_Changes_When_Uppercased=f}', "");
Expect(1, 122, '\P{Is_Changes_When_Uppercased=f}', "");
Expect(0, 122, '\P{^Is_Changes_When_Uppercased=f}', "");
Expect(1, 96, '\p{Is_Changes_When_Uppercased=-F}', "");
Expect(0, 96, '\p{^Is_Changes_When_Uppercased=-F}', "");
Expect(0, 96, '\P{Is_Changes_When_Uppercased=-F}', "");
Expect(1, 96, '\P{^Is_Changes_When_Uppercased=-F}', "");
Expect(0, 122, '\p{Is_Changes_When_Uppercased=-F}', "");
Expect(1, 122, '\p{^Is_Changes_When_Uppercased=-F}', "");
Expect(1, 122, '\P{Is_Changes_When_Uppercased=-F}', "");
Expect(0, 122, '\P{^Is_Changes_When_Uppercased=-F}', "");
Error('\p{Is_CWU=-:=False}');
Error('\P{Is_CWU=-:=False}');
Expect(1, 96, '\p{Is_CWU=false}', "");
Expect(0, 96, '\p{^Is_CWU=false}', "");
Expect(0, 96, '\P{Is_CWU=false}', "");
Expect(1, 96, '\P{^Is_CWU=false}', "");
Expect(0, 122, '\p{Is_CWU=false}', "");
Expect(1, 122, '\p{^Is_CWU=false}', "");
Expect(1, 122, '\P{Is_CWU=false}', "");
Expect(0, 122, '\P{^Is_CWU=false}', "");
Expect(1, 96, '\p{Is_CWU=- false}', "");
Expect(0, 96, '\p{^Is_CWU=- false}', "");
Expect(0, 96, '\P{Is_CWU=- false}', "");
Expect(1, 96, '\P{^Is_CWU=- false}', "");
Expect(0, 122, '\p{Is_CWU=- false}', "");
Expect(1, 122, '\p{^Is_CWU=- false}', "");
Expect(1, 122, '\P{Is_CWU=- false}', "");
Expect(0, 122, '\P{^Is_CWU=- false}', "");
Error('\p{Changes_When_Lowercased=_:=YES}');
Error('\P{Changes_When_Lowercased=_:=YES}');
Expect(1, 90, '\p{Changes_When_Lowercased=yes}', "");
Expect(0, 90, '\p{^Changes_When_Lowercased=yes}', "");
Expect(0, 90, '\P{Changes_When_Lowercased=yes}', "");
Expect(1, 90, '\P{^Changes_When_Lowercased=yes}', "");
Expect(0, 64, '\p{Changes_When_Lowercased=yes}', "");
Expect(1, 64, '\p{^Changes_When_Lowercased=yes}', "");
Expect(1, 64, '\P{Changes_When_Lowercased=yes}', "");
Expect(0, 64, '\P{^Changes_When_Lowercased=yes}', "");
Expect(1, 90, '\p{Changes_When_Lowercased=YES}', "");
Expect(0, 90, '\p{^Changes_When_Lowercased=YES}', "");
Expect(0, 90, '\P{Changes_When_Lowercased=YES}', "");
Expect(1, 90, '\P{^Changes_When_Lowercased=YES}', "");
Expect(0, 64, '\p{Changes_When_Lowercased=YES}', "");
Expect(1, 64, '\p{^Changes_When_Lowercased=YES}', "");
Expect(1, 64, '\P{Changes_When_Lowercased=YES}', "");
Expect(0, 64, '\P{^Changes_When_Lowercased=YES}', "");
Error('\p{CWL=/a/y}');
Error('\P{CWL=/a/y}');
Expect(1, 90, '\p{CWL=y}', "");
Expect(0, 90, '\p{^CWL=y}', "");
Expect(0, 90, '\P{CWL=y}', "");
Expect(1, 90, '\P{^CWL=y}', "");
Expect(0, 64, '\p{CWL=y}', "");
Expect(1, 64, '\p{^CWL=y}', "");
Expect(1, 64, '\P{CWL=y}', "");
Expect(0, 64, '\P{^CWL=y}', "");
Error('\p{Is_Changes_When_Lowercased= t:=}');
Error('\P{Is_Changes_When_Lowercased= t:=}');
Expect(1, 90, '\p{Is_Changes_When_Lowercased: t}', "");
Expect(0, 90, '\p{^Is_Changes_When_Lowercased: t}', "");
Expect(0, 90, '\P{Is_Changes_When_Lowercased: t}', "");
Expect(1, 90, '\P{^Is_Changes_When_Lowercased: t}', "");
Expect(0, 64, '\p{Is_Changes_When_Lowercased: t}', "");
Expect(1, 64, '\p{^Is_Changes_When_Lowercased: t}', "");
Expect(1, 64, '\P{Is_Changes_When_Lowercased: t}', "");
Expect(0, 64, '\P{^Is_Changes_When_Lowercased: t}', "");
Expect(1, 90, '\p{Is_Changes_When_Lowercased:	-t}', "");
Expect(0, 90, '\p{^Is_Changes_When_Lowercased:	-t}', "");
Expect(0, 90, '\P{Is_Changes_When_Lowercased:	-t}', "");
Expect(1, 90, '\P{^Is_Changes_When_Lowercased:	-t}', "");
Expect(0, 64, '\p{Is_Changes_When_Lowercased:	-t}', "");
Expect(1, 64, '\p{^Is_Changes_When_Lowercased:	-t}', "");
Expect(1, 64, '\P{Is_Changes_When_Lowercased:	-t}', "");
Expect(0, 64, '\P{^Is_Changes_When_Lowercased:	-t}', "");
Error('\p{Is_CWL= 	TRUE/a/}');
Error('\P{Is_CWL= 	TRUE/a/}');
Expect(1, 90, '\p{Is_CWL=true}', "");
Expect(0, 90, '\p{^Is_CWL=true}', "");
Expect(0, 90, '\P{Is_CWL=true}', "");
Expect(1, 90, '\P{^Is_CWL=true}', "");
Expect(0, 64, '\p{Is_CWL=true}', "");
Expect(1, 64, '\p{^Is_CWL=true}', "");
Expect(1, 64, '\P{Is_CWL=true}', "");
Expect(0, 64, '\P{^Is_CWL=true}', "");
Expect(1, 90, '\p{Is_CWL=--True}', "");
Expect(0, 90, '\p{^Is_CWL=--True}', "");
Expect(0, 90, '\P{Is_CWL=--True}', "");
Expect(1, 90, '\P{^Is_CWL=--True}', "");
Expect(0, 64, '\p{Is_CWL=--True}', "");
Expect(1, 64, '\p{^Is_CWL=--True}', "");
Expect(1, 64, '\P{Is_CWL=--True}', "");
Expect(0, 64, '\P{^Is_CWL=--True}', "");
Error('\p{Changes_When_Lowercased=	:=No}');
Error('\P{Changes_When_Lowercased=	:=No}');
Expect(1, 64, '\p{Changes_When_Lowercased=no}', "");
Expect(0, 64, '\p{^Changes_When_Lowercased=no}', "");
Expect(0, 64, '\P{Changes_When_Lowercased=no}', "");
Expect(1, 64, '\P{^Changes_When_Lowercased=no}', "");
Expect(0, 90, '\p{Changes_When_Lowercased=no}', "");
Expect(1, 90, '\p{^Changes_When_Lowercased=no}', "");
Expect(1, 90, '\P{Changes_When_Lowercased=no}', "");
Expect(0, 90, '\P{^Changes_When_Lowercased=no}', "");
Expect(1, 64, '\p{Changes_When_Lowercased: no}', "");
Expect(0, 64, '\p{^Changes_When_Lowercased: no}', "");
Expect(0, 64, '\P{Changes_When_Lowercased: no}', "");
Expect(1, 64, '\P{^Changes_When_Lowercased: no}', "");
Expect(0, 90, '\p{Changes_When_Lowercased: no}', "");
Expect(1, 90, '\p{^Changes_When_Lowercased: no}', "");
Expect(1, 90, '\P{Changes_When_Lowercased: no}', "");
Expect(0, 90, '\P{^Changes_When_Lowercased: no}', "");
Error('\p{CWL= /a/N}');
Error('\P{CWL= /a/N}');
Expect(1, 64, '\p{CWL=n}', "");
Expect(0, 64, '\p{^CWL=n}', "");
Expect(0, 64, '\P{CWL=n}', "");
Expect(1, 64, '\P{^CWL=n}', "");
Expect(0, 90, '\p{CWL=n}', "");
Expect(1, 90, '\p{^CWL=n}', "");
Expect(1, 90, '\P{CWL=n}', "");
Expect(0, 90, '\P{^CWL=n}', "");
Expect(1, 64, '\p{CWL:_-N}', "");
Expect(0, 64, '\p{^CWL:_-N}', "");
Expect(0, 64, '\P{CWL:_-N}', "");
Expect(1, 64, '\P{^CWL:_-N}', "");
Expect(0, 90, '\p{CWL:_-N}', "");
Expect(1, 90, '\p{^CWL:_-N}', "");
Expect(1, 90, '\P{CWL:_-N}', "");
Expect(0, 90, '\P{^CWL:_-N}', "");
Error('\p{Is_Changes_When_Lowercased= F:=}');
Error('\P{Is_Changes_When_Lowercased= F:=}');
Expect(1, 64, '\p{Is_Changes_When_Lowercased=f}', "");
Expect(0, 64, '\p{^Is_Changes_When_Lowercased=f}', "");
Expect(0, 64, '\P{Is_Changes_When_Lowercased=f}', "");
Expect(1, 64, '\P{^Is_Changes_When_Lowercased=f}', "");
Expect(0, 90, '\p{Is_Changes_When_Lowercased=f}', "");
Expect(1, 90, '\p{^Is_Changes_When_Lowercased=f}', "");
Expect(1, 90, '\P{Is_Changes_When_Lowercased=f}', "");
Expect(0, 90, '\P{^Is_Changes_When_Lowercased=f}', "");
Expect(1, 64, '\p{Is_Changes_When_Lowercased=_-F}', "");
Expect(0, 64, '\p{^Is_Changes_When_Lowercased=_-F}', "");
Expect(0, 64, '\P{Is_Changes_When_Lowercased=_-F}', "");
Expect(1, 64, '\P{^Is_Changes_When_Lowercased=_-F}', "");
Expect(0, 90, '\p{Is_Changes_When_Lowercased=_-F}', "");
Expect(1, 90, '\p{^Is_Changes_When_Lowercased=_-F}', "");
Expect(1, 90, '\P{Is_Changes_When_Lowercased=_-F}', "");
Expect(0, 90, '\P{^Is_Changes_When_Lowercased=_-F}', "");
Error('\p{Is_CWL=/a/-False}');
Error('\P{Is_CWL=/a/-False}');
Expect(1, 64, '\p{Is_CWL=false}', "");
Expect(0, 64, '\p{^Is_CWL=false}', "");
Expect(0, 64, '\P{Is_CWL=false}', "");
Expect(1, 64, '\P{^Is_CWL=false}', "");
Expect(0, 90, '\p{Is_CWL=false}', "");
Expect(1, 90, '\p{^Is_CWL=false}', "");
Expect(1, 90, '\P{Is_CWL=false}', "");
Expect(0, 90, '\P{^Is_CWL=false}', "");
Expect(1, 64, '\p{Is_CWL= False}', "");
Expect(0, 64, '\p{^Is_CWL= False}', "");
Expect(0, 64, '\P{Is_CWL= False}', "");
Expect(1, 64, '\P{^Is_CWL= False}', "");
Expect(0, 90, '\p{Is_CWL= False}', "");
Expect(1, 90, '\p{^Is_CWL= False}', "");
Expect(1, 90, '\P{Is_CWL= False}', "");
Expect(0, 90, '\P{^Is_CWL= False}', "");
Error('\p{Case_Ignorable=/a/	-Yes}');
Error('\P{Case_Ignorable=/a/	-Yes}');
Expect(1, 39, '\p{Case_Ignorable=yes}', "");
Expect(0, 39, '\p{^Case_Ignorable=yes}', "");
Expect(0, 39, '\P{Case_Ignorable=yes}', "");
Expect(1, 39, '\P{^Case_Ignorable=yes}', "");
Expect(0, 38, '\p{Case_Ignorable=yes}', "");
Expect(1, 38, '\p{^Case_Ignorable=yes}', "");
Expect(1, 38, '\P{Case_Ignorable=yes}', "");
Expect(0, 38, '\P{^Case_Ignorable=yes}', "");
Expect(1, 39, '\p{Case_Ignorable=_	YES}', "");
Expect(0, 39, '\p{^Case_Ignorable=_	YES}', "");
Expect(0, 39, '\P{Case_Ignorable=_	YES}', "");
Expect(1, 39, '\P{^Case_Ignorable=_	YES}', "");
Expect(0, 38, '\p{Case_Ignorable=_	YES}', "");
Expect(1, 38, '\p{^Case_Ignorable=_	YES}', "");
Expect(1, 38, '\P{Case_Ignorable=_	YES}', "");
Expect(0, 38, '\P{^Case_Ignorable=_	YES}', "");
Error('\p{CI=/a/	_y}');
Error('\P{CI=/a/	_y}');
Expect(1, 39, '\p{CI=y}', "");
Expect(0, 39, '\p{^CI=y}', "");
Expect(0, 39, '\P{CI=y}', "");
Expect(1, 39, '\P{^CI=y}', "");
Expect(0, 38, '\p{CI=y}', "");
Expect(1, 38, '\p{^CI=y}', "");
Expect(1, 38, '\P{CI=y}', "");
Expect(0, 38, '\P{^CI=y}', "");
Expect(1, 39, '\p{CI:	_-Y}', "");
Expect(0, 39, '\p{^CI:	_-Y}', "");
Expect(0, 39, '\P{CI:	_-Y}', "");
Expect(1, 39, '\P{^CI:	_-Y}', "");
Expect(0, 38, '\p{CI:	_-Y}', "");
Expect(1, 38, '\p{^CI:	_-Y}', "");
Expect(1, 38, '\P{CI:	_-Y}', "");
Expect(0, 38, '\P{^CI:	_-Y}', "");
Error('\p{Is_Case_Ignorable=/a/T}');
Error('\P{Is_Case_Ignorable=/a/T}');
Expect(1, 39, '\p{Is_Case_Ignorable=t}', "");
Expect(0, 39, '\p{^Is_Case_Ignorable=t}', "");
Expect(0, 39, '\P{Is_Case_Ignorable=t}', "");
Expect(1, 39, '\P{^Is_Case_Ignorable=t}', "");
Expect(0, 38, '\p{Is_Case_Ignorable=t}', "");
Expect(1, 38, '\p{^Is_Case_Ignorable=t}', "");
Expect(1, 38, '\P{Is_Case_Ignorable=t}', "");
Expect(0, 38, '\P{^Is_Case_Ignorable=t}', "");
Expect(1, 39, '\p{Is_Case_Ignorable=-	t}', "");
Expect(0, 39, '\p{^Is_Case_Ignorable=-	t}', "");
Expect(0, 39, '\P{Is_Case_Ignorable=-	t}', "");
Expect(1, 39, '\P{^Is_Case_Ignorable=-	t}', "");
Expect(0, 38, '\p{Is_Case_Ignorable=-	t}', "");
Expect(1, 38, '\p{^Is_Case_Ignorable=-	t}', "");
Expect(1, 38, '\P{Is_Case_Ignorable=-	t}', "");
Expect(0, 38, '\P{^Is_Case_Ignorable=-	t}', "");
Error('\p{Is_CI=:=_true}');
Error('\P{Is_CI=:=_true}');
Expect(1, 39, '\p{Is_CI:   true}', "");
Expect(0, 39, '\p{^Is_CI:   true}', "");
Expect(0, 39, '\P{Is_CI:   true}', "");
Expect(1, 39, '\P{^Is_CI:   true}', "");
Expect(0, 38, '\p{Is_CI:   true}', "");
Expect(1, 38, '\p{^Is_CI:   true}', "");
Expect(1, 38, '\P{Is_CI:   true}', "");
Expect(0, 38, '\P{^Is_CI:   true}', "");
Expect(1, 39, '\p{Is_CI=-true}', "");
Expect(0, 39, '\p{^Is_CI=-true}', "");
Expect(0, 39, '\P{Is_CI=-true}', "");
Expect(1, 39, '\P{^Is_CI=-true}', "");
Expect(0, 38, '\p{Is_CI=-true}', "");
Expect(1, 38, '\p{^Is_CI=-true}', "");
Expect(1, 38, '\P{Is_CI=-true}', "");
Expect(0, 38, '\P{^Is_CI=-true}', "");
Error('\p{Case_Ignorable=_/a/no}');
Error('\P{Case_Ignorable=_/a/no}');
Expect(1, 38, '\p{Case_Ignorable=no}', "");
Expect(0, 38, '\p{^Case_Ignorable=no}', "");
Expect(0, 38, '\P{Case_Ignorable=no}', "");
Expect(1, 38, '\P{^Case_Ignorable=no}', "");
Expect(0, 39, '\p{Case_Ignorable=no}', "");
Expect(1, 39, '\p{^Case_Ignorable=no}', "");
Expect(1, 39, '\P{Case_Ignorable=no}', "");
Expect(0, 39, '\P{^Case_Ignorable=no}', "");
Expect(1, 38, '\p{Case_Ignorable= _No}', "");
Expect(0, 38, '\p{^Case_Ignorable= _No}', "");
Expect(0, 38, '\P{Case_Ignorable= _No}', "");
Expect(1, 38, '\P{^Case_Ignorable= _No}', "");
Expect(0, 39, '\p{Case_Ignorable= _No}', "");
Expect(1, 39, '\p{^Case_Ignorable= _No}', "");
Expect(1, 39, '\P{Case_Ignorable= _No}', "");
Expect(0, 39, '\P{^Case_Ignorable= _No}', "");
Error('\p{CI=/a/ N}');
Error('\P{CI=/a/ N}');
Expect(1, 38, '\p{CI=n}', "");
Expect(0, 38, '\p{^CI=n}', "");
Expect(0, 38, '\P{CI=n}', "");
Expect(1, 38, '\P{^CI=n}', "");
Expect(0, 39, '\p{CI=n}', "");
Expect(1, 39, '\p{^CI=n}', "");
Expect(1, 39, '\P{CI=n}', "");
Expect(0, 39, '\P{^CI=n}', "");
Expect(1, 38, '\p{CI=_N}', "");
Expect(0, 38, '\p{^CI=_N}', "");
Expect(0, 38, '\P{CI=_N}', "");
Expect(1, 38, '\P{^CI=_N}', "");
Expect(0, 39, '\p{CI=_N}', "");
Expect(1, 39, '\p{^CI=_N}', "");
Expect(1, 39, '\P{CI=_N}', "");
Expect(0, 39, '\P{^CI=_N}', "");
Error('\p{Is_Case_Ignorable: - f/a/}');
Error('\P{Is_Case_Ignorable: - f/a/}');
Expect(1, 38, '\p{Is_Case_Ignorable=f}', "");
Expect(0, 38, '\p{^Is_Case_Ignorable=f}', "");
Expect(0, 38, '\P{Is_Case_Ignorable=f}', "");
Expect(1, 38, '\P{^Is_Case_Ignorable=f}', "");
Expect(0, 39, '\p{Is_Case_Ignorable=f}', "");
Expect(1, 39, '\p{^Is_Case_Ignorable=f}', "");
Expect(1, 39, '\P{Is_Case_Ignorable=f}', "");
Expect(0, 39, '\P{^Is_Case_Ignorable=f}', "");
Expect(1, 38, '\p{Is_Case_Ignorable=_F}', "");
Expect(0, 38, '\p{^Is_Case_Ignorable=_F}', "");
Expect(0, 38, '\P{Is_Case_Ignorable=_F}', "");
Expect(1, 38, '\P{^Is_Case_Ignorable=_F}', "");
Expect(0, 39, '\p{Is_Case_Ignorable=_F}', "");
Expect(1, 39, '\p{^Is_Case_Ignorable=_F}', "");
Expect(1, 39, '\P{Is_Case_Ignorable=_F}', "");
Expect(0, 39, '\P{^Is_Case_Ignorable=_F}', "");
Error('\p{Is_CI= :=FALSE}');
Error('\P{Is_CI= :=FALSE}');
Expect(1, 38, '\p{Is_CI:   false}', "");
Expect(0, 38, '\p{^Is_CI:   false}', "");
Expect(0, 38, '\P{Is_CI:   false}', "");
Expect(1, 38, '\P{^Is_CI:   false}', "");
Expect(0, 39, '\p{Is_CI:   false}', "");
Expect(1, 39, '\p{^Is_CI:   false}', "");
Expect(1, 39, '\P{Is_CI:   false}', "");
Expect(0, 39, '\P{^Is_CI:   false}', "");
Expect(1, 38, '\p{Is_CI=_ False}', "");
Expect(0, 38, '\p{^Is_CI=_ False}', "");
Expect(0, 38, '\P{Is_CI=_ False}', "");
Expect(1, 38, '\P{^Is_CI=_ False}', "");
Expect(0, 39, '\p{Is_CI=_ False}', "");
Expect(1, 39, '\p{^Is_CI=_ False}', "");
Expect(1, 39, '\P{Is_CI=_ False}', "");
Expect(0, 39, '\P{^Is_CI=_ False}', "");
Error('\p{Pattern_Syntax=:=-yes}');
Error('\P{Pattern_Syntax=:=-yes}');
Expect(1, 47, '\p{Pattern_Syntax=yes}', "");
Expect(0, 47, '\p{^Pattern_Syntax=yes}', "");
Expect(0, 47, '\P{Pattern_Syntax=yes}', "");
Expect(1, 47, '\P{^Pattern_Syntax=yes}', "");
Expect(0, 32, '\p{Pattern_Syntax=yes}', "");
Expect(1, 32, '\p{^Pattern_Syntax=yes}', "");
Expect(1, 32, '\P{Pattern_Syntax=yes}', "");
Expect(0, 32, '\P{^Pattern_Syntax=yes}', "");
Expect(1, 47, '\p{Pattern_Syntax=	Yes}', "");
Expect(0, 47, '\p{^Pattern_Syntax=	Yes}', "");
Expect(0, 47, '\P{Pattern_Syntax=	Yes}', "");
Expect(1, 47, '\P{^Pattern_Syntax=	Yes}', "");
Expect(0, 32, '\p{Pattern_Syntax=	Yes}', "");
Expect(1, 32, '\p{^Pattern_Syntax=	Yes}', "");
Expect(1, 32, '\P{Pattern_Syntax=	Yes}', "");
Expect(0, 32, '\P{^Pattern_Syntax=	Yes}', "");
Error('\p{Pat_Syn=/a/-_y}');
Error('\P{Pat_Syn=/a/-_y}');
Expect(1, 47, '\p{Pat_Syn=y}', "");
Expect(0, 47, '\p{^Pat_Syn=y}', "");
Expect(0, 47, '\P{Pat_Syn=y}', "");
Expect(1, 47, '\P{^Pat_Syn=y}', "");
Expect(0, 32, '\p{Pat_Syn=y}', "");
Expect(1, 32, '\p{^Pat_Syn=y}', "");
Expect(1, 32, '\P{Pat_Syn=y}', "");
Expect(0, 32, '\P{^Pat_Syn=y}', "");
Expect(1, 47, '\p{Pat_Syn=-y}', "");
Expect(0, 47, '\p{^Pat_Syn=-y}', "");
Expect(0, 47, '\P{Pat_Syn=-y}', "");
Expect(1, 47, '\P{^Pat_Syn=-y}', "");
Expect(0, 32, '\p{Pat_Syn=-y}', "");
Expect(1, 32, '\p{^Pat_Syn=-y}', "");
Expect(1, 32, '\P{Pat_Syn=-y}', "");
Expect(0, 32, '\P{^Pat_Syn=-y}', "");
Error('\p{Is_Pattern_Syntax=/a/T}');
Error('\P{Is_Pattern_Syntax=/a/T}');
Expect(1, 47, '\p{Is_Pattern_Syntax=t}', "");
Expect(0, 47, '\p{^Is_Pattern_Syntax=t}', "");
Expect(0, 47, '\P{Is_Pattern_Syntax=t}', "");
Expect(1, 47, '\P{^Is_Pattern_Syntax=t}', "");
Expect(0, 32, '\p{Is_Pattern_Syntax=t}', "");
Expect(1, 32, '\p{^Is_Pattern_Syntax=t}', "");
Expect(1, 32, '\P{Is_Pattern_Syntax=t}', "");
Expect(0, 32, '\P{^Is_Pattern_Syntax=t}', "");
Expect(1, 47, '\p{Is_Pattern_Syntax=--T}', "");
Expect(0, 47, '\p{^Is_Pattern_Syntax=--T}', "");
Expect(0, 47, '\P{Is_Pattern_Syntax=--T}', "");
Expect(1, 47, '\P{^Is_Pattern_Syntax=--T}', "");
Expect(0, 32, '\p{Is_Pattern_Syntax=--T}', "");
Expect(1, 32, '\p{^Is_Pattern_Syntax=--T}', "");
Expect(1, 32, '\P{Is_Pattern_Syntax=--T}', "");
Expect(0, 32, '\P{^Is_Pattern_Syntax=--T}', "");
Error('\p{Is_Pat_Syn= -true/a/}');
Error('\P{Is_Pat_Syn= -true/a/}');
Expect(1, 47, '\p{Is_Pat_Syn=true}', "");
Expect(0, 47, '\p{^Is_Pat_Syn=true}', "");
Expect(0, 47, '\P{Is_Pat_Syn=true}', "");
Expect(1, 47, '\P{^Is_Pat_Syn=true}', "");
Expect(0, 32, '\p{Is_Pat_Syn=true}', "");
Expect(1, 32, '\p{^Is_Pat_Syn=true}', "");
Expect(1, 32, '\P{Is_Pat_Syn=true}', "");
Expect(0, 32, '\P{^Is_Pat_Syn=true}', "");
Expect(1, 47, '\p{Is_Pat_Syn=--True}', "");
Expect(0, 47, '\p{^Is_Pat_Syn=--True}', "");
Expect(0, 47, '\P{Is_Pat_Syn=--True}', "");
Expect(1, 47, '\P{^Is_Pat_Syn=--True}', "");
Expect(0, 32, '\p{Is_Pat_Syn=--True}', "");
Expect(1, 32, '\p{^Is_Pat_Syn=--True}', "");
Expect(1, 32, '\P{Is_Pat_Syn=--True}', "");
Expect(0, 32, '\P{^Is_Pat_Syn=--True}', "");
Error('\p{Pattern_Syntax=:=_no}');
Error('\P{Pattern_Syntax=:=_no}');
Expect(1, 32, '\p{Pattern_Syntax=no}', "");
Expect(0, 32, '\p{^Pattern_Syntax=no}', "");
Expect(0, 32, '\P{Pattern_Syntax=no}', "");
Expect(1, 32, '\P{^Pattern_Syntax=no}', "");
Expect(0, 47, '\p{Pattern_Syntax=no}', "");
Expect(1, 47, '\p{^Pattern_Syntax=no}', "");
Expect(1, 47, '\P{Pattern_Syntax=no}', "");
Expect(0, 47, '\P{^Pattern_Syntax=no}', "");
Expect(1, 32, '\p{Pattern_Syntax=-_No}', "");
Expect(0, 32, '\p{^Pattern_Syntax=-_No}', "");
Expect(0, 32, '\P{Pattern_Syntax=-_No}', "");
Expect(1, 32, '\P{^Pattern_Syntax=-_No}', "");
Expect(0, 47, '\p{Pattern_Syntax=-_No}', "");
Expect(1, 47, '\p{^Pattern_Syntax=-_No}', "");
Expect(1, 47, '\P{Pattern_Syntax=-_No}', "");
Expect(0, 47, '\P{^Pattern_Syntax=-_No}', "");
Error('\p{Pat_Syn:   _N:=}');
Error('\P{Pat_Syn:   _N:=}');
Expect(1, 32, '\p{Pat_Syn=n}', "");
Expect(0, 32, '\p{^Pat_Syn=n}', "");
Expect(0, 32, '\P{Pat_Syn=n}', "");
Expect(1, 32, '\P{^Pat_Syn=n}', "");
Expect(0, 47, '\p{Pat_Syn=n}', "");
Expect(1, 47, '\p{^Pat_Syn=n}', "");
Expect(1, 47, '\P{Pat_Syn=n}', "");
Expect(0, 47, '\P{^Pat_Syn=n}', "");
Expect(1, 32, '\p{Pat_Syn= -N}', "");
Expect(0, 32, '\p{^Pat_Syn= -N}', "");
Expect(0, 32, '\P{Pat_Syn= -N}', "");
Expect(1, 32, '\P{^Pat_Syn= -N}', "");
Expect(0, 47, '\p{Pat_Syn= -N}', "");
Expect(1, 47, '\p{^Pat_Syn= -N}', "");
Expect(1, 47, '\P{Pat_Syn= -N}', "");
Expect(0, 47, '\P{^Pat_Syn= -N}', "");
Error('\p{Is_Pattern_Syntax= F:=}');
Error('\P{Is_Pattern_Syntax= F:=}');
Expect(1, 32, '\p{Is_Pattern_Syntax=f}', "");
Expect(0, 32, '\p{^Is_Pattern_Syntax=f}', "");
Expect(0, 32, '\P{Is_Pattern_Syntax=f}', "");
Expect(1, 32, '\P{^Is_Pattern_Syntax=f}', "");
Expect(0, 47, '\p{Is_Pattern_Syntax=f}', "");
Expect(1, 47, '\p{^Is_Pattern_Syntax=f}', "");
Expect(1, 47, '\P{Is_Pattern_Syntax=f}', "");
Expect(0, 47, '\P{^Is_Pattern_Syntax=f}', "");
Expect(1, 32, '\p{Is_Pattern_Syntax= _f}', "");
Expect(0, 32, '\p{^Is_Pattern_Syntax= _f}', "");
Expect(0, 32, '\P{Is_Pattern_Syntax= _f}', "");
Expect(1, 32, '\P{^Is_Pattern_Syntax= _f}', "");
Expect(0, 47, '\p{Is_Pattern_Syntax= _f}', "");
Expect(1, 47, '\p{^Is_Pattern_Syntax= _f}', "");
Expect(1, 47, '\P{Is_Pattern_Syntax= _f}', "");
Expect(0, 47, '\P{^Is_Pattern_Syntax= _f}', "");
Error('\p{Is_Pat_Syn=:=	_FALSE}');
Error('\P{Is_Pat_Syn=:=	_FALSE}');
Expect(1, 32, '\p{Is_Pat_Syn=false}', "");
Expect(0, 32, '\p{^Is_Pat_Syn=false}', "");
Expect(0, 32, '\P{Is_Pat_Syn=false}', "");
Expect(1, 32, '\P{^Is_Pat_Syn=false}', "");
Expect(0, 47, '\p{Is_Pat_Syn=false}', "");
Expect(1, 47, '\p{^Is_Pat_Syn=false}', "");
Expect(1, 47, '\P{Is_Pat_Syn=false}', "");
Expect(0, 47, '\P{^Is_Pat_Syn=false}', "");
Expect(1, 32, '\p{Is_Pat_Syn=--FALSE}', "");
Expect(0, 32, '\p{^Is_Pat_Syn=--FALSE}', "");
Expect(0, 32, '\P{Is_Pat_Syn=--FALSE}', "");
Expect(1, 32, '\P{^Is_Pat_Syn=--FALSE}', "");
Expect(0, 47, '\p{Is_Pat_Syn=--FALSE}', "");
Expect(1, 47, '\p{^Is_Pat_Syn=--FALSE}', "");
Expect(1, 47, '\P{Is_Pat_Syn=--FALSE}', "");
Expect(0, 47, '\P{^Is_Pat_Syn=--FALSE}', "");
Error('\p{Numeric_Type:-/a/NONE}');
Error('\P{Numeric_Type:-/a/NONE}');
Expect(1, 47, '\p{Numeric_Type: none}', "");
Expect(0, 47, '\p{^Numeric_Type: none}', "");
Expect(0, 47, '\P{Numeric_Type: none}', "");
Expect(1, 47, '\P{^Numeric_Type: none}', "");
Expect(0, 57, '\p{Numeric_Type: none}', "");
Expect(1, 57, '\p{^Numeric_Type: none}', "");
Expect(1, 57, '\P{Numeric_Type: none}', "");
Expect(0, 57, '\P{^Numeric_Type: none}', "");
Expect(1, 47, '\p{Numeric_Type=  NONE}', "");
Expect(0, 47, '\p{^Numeric_Type=  NONE}', "");
Expect(0, 47, '\P{Numeric_Type=  NONE}', "");
Expect(1, 47, '\P{^Numeric_Type=  NONE}', "");
Expect(0, 57, '\p{Numeric_Type=  NONE}', "");
Expect(1, 57, '\p{^Numeric_Type=  NONE}', "");
Expect(1, 57, '\P{Numeric_Type=  NONE}', "");
Expect(0, 57, '\P{^Numeric_Type=  NONE}', "");
Error('\p{Nt=:=__None}');
Error('\P{Nt=:=__None}');
Expect(1, 47, '\p{Nt=none}', "");
Expect(0, 47, '\p{^Nt=none}', "");
Expect(0, 47, '\P{Nt=none}', "");
Expect(1, 47, '\P{^Nt=none}', "");
Expect(0, 57, '\p{Nt=none}', "");
Expect(1, 57, '\p{^Nt=none}', "");
Expect(1, 57, '\P{Nt=none}', "");
Expect(0, 57, '\P{^Nt=none}', "");
Expect(1, 47, '\p{Nt=__none}', "");
Expect(0, 47, '\p{^Nt=__none}', "");
Expect(0, 47, '\P{Nt=__none}', "");
Expect(1, 47, '\P{^Nt=__none}', "");
Expect(0, 57, '\p{Nt=__none}', "");
Expect(1, 57, '\p{^Nt=__none}', "");
Expect(1, 57, '\P{Nt=__none}', "");
Expect(0, 57, '\P{^Nt=__none}', "");
Error('\p{Is_Numeric_Type=-/a/None}');
Error('\P{Is_Numeric_Type=-/a/None}');
Expect(1, 47, '\p{Is_Numeric_Type=none}', "");
Expect(0, 47, '\p{^Is_Numeric_Type=none}', "");
Expect(0, 47, '\P{Is_Numeric_Type=none}', "");
Expect(1, 47, '\P{^Is_Numeric_Type=none}', "");
Expect(0, 57, '\p{Is_Numeric_Type=none}', "");
Expect(1, 57, '\p{^Is_Numeric_Type=none}', "");
Expect(1, 57, '\P{Is_Numeric_Type=none}', "");
Expect(0, 57, '\P{^Is_Numeric_Type=none}', "");
Expect(1, 47, '\p{Is_Numeric_Type=	NONE}', "");
Expect(0, 47, '\p{^Is_Numeric_Type=	NONE}', "");
Expect(0, 47, '\P{Is_Numeric_Type=	NONE}', "");
Expect(1, 47, '\P{^Is_Numeric_Type=	NONE}', "");
Expect(0, 57, '\p{Is_Numeric_Type=	NONE}', "");
Expect(1, 57, '\p{^Is_Numeric_Type=	NONE}', "");
Expect(1, 57, '\P{Is_Numeric_Type=	NONE}', "");
Expect(0, 57, '\P{^Is_Numeric_Type=	NONE}', "");
Error('\p{Is_Nt= _None/a/}');
Error('\P{Is_Nt= _None/a/}');
Expect(1, 47, '\p{Is_Nt=none}', "");
Expect(0, 47, '\p{^Is_Nt=none}', "");
Expect(0, 47, '\P{Is_Nt=none}', "");
Expect(1, 47, '\P{^Is_Nt=none}', "");
Expect(0, 57, '\p{Is_Nt=none}', "");
Expect(1, 57, '\p{^Is_Nt=none}', "");
Expect(1, 57, '\P{Is_Nt=none}', "");
Expect(0, 57, '\P{^Is_Nt=none}', "");
Expect(1, 47, '\p{Is_Nt: _-none}', "");
Expect(0, 47, '\p{^Is_Nt: _-none}', "");
Expect(0, 47, '\P{Is_Nt: _-none}', "");
Expect(1, 47, '\P{^Is_Nt: _-none}', "");
Expect(0, 57, '\p{Is_Nt: _-none}', "");
Expect(1, 57, '\p{^Is_Nt: _-none}', "");
Expect(1, 57, '\P{Is_Nt: _-none}', "");
Expect(0, 57, '\P{^Is_Nt: _-none}', "");
Error('\p{Numeric_Type=_DIGIT:=}');
Error('\P{Numeric_Type=_DIGIT:=}');
Expect(1, 179, '\p{Numeric_Type=digit}', "");
Expect(0, 179, '\p{^Numeric_Type=digit}', "");
Expect(0, 179, '\P{Numeric_Type=digit}', "");
Expect(1, 179, '\P{^Numeric_Type=digit}', "");
Expect(0, 177, '\p{Numeric_Type=digit}', "");
Expect(1, 177, '\p{^Numeric_Type=digit}', "");
Expect(1, 177, '\P{Numeric_Type=digit}', "");
Expect(0, 177, '\P{^Numeric_Type=digit}', "");
Expect(1, 179, '\p{Numeric_Type: Digit}', "");
Expect(0, 179, '\p{^Numeric_Type: Digit}', "");
Expect(0, 179, '\P{Numeric_Type: Digit}', "");
Expect(1, 179, '\P{^Numeric_Type: Digit}', "");
Expect(0, 177, '\p{Numeric_Type: Digit}', "");
Expect(1, 177, '\p{^Numeric_Type: Digit}', "");
Expect(1, 177, '\P{Numeric_Type: Digit}', "");
Expect(0, 177, '\P{^Numeric_Type: Digit}', "");
Error('\p{Nt=/a/DI}');
Error('\P{Nt=/a/DI}');
Expect(1, 179, '\p{Nt=di}', "");
Expect(0, 179, '\p{^Nt=di}', "");
Expect(0, 179, '\P{Nt=di}', "");
Expect(1, 179, '\P{^Nt=di}', "");
Expect(0, 177, '\p{Nt=di}', "");
Expect(1, 177, '\p{^Nt=di}', "");
Expect(1, 177, '\P{Nt=di}', "");
Expect(0, 177, '\P{^Nt=di}', "");
Expect(1, 179, '\p{Nt=		Di}', "");
Expect(0, 179, '\p{^Nt=		Di}', "");
Expect(0, 179, '\P{Nt=		Di}', "");
Expect(1, 179, '\P{^Nt=		Di}', "");
Expect(0, 177, '\p{Nt=		Di}', "");
Expect(1, 177, '\p{^Nt=		Di}', "");
Expect(1, 177, '\P{Nt=		Di}', "");
Expect(0, 177, '\P{^Nt=		Di}', "");
Error('\p{Is_Numeric_Type: :=DIGIT}');
Error('\P{Is_Numeric_Type: :=DIGIT}');
Expect(1, 179, '\p{Is_Numeric_Type=digit}', "");
Expect(0, 179, '\p{^Is_Numeric_Type=digit}', "");
Expect(0, 179, '\P{Is_Numeric_Type=digit}', "");
Expect(1, 179, '\P{^Is_Numeric_Type=digit}', "");
Expect(0, 177, '\p{Is_Numeric_Type=digit}', "");
Expect(1, 177, '\p{^Is_Numeric_Type=digit}', "");
Expect(1, 177, '\P{Is_Numeric_Type=digit}', "");
Expect(0, 177, '\P{^Is_Numeric_Type=digit}', "");
Expect(1, 179, '\p{Is_Numeric_Type=-digit}', "");
Expect(0, 179, '\p{^Is_Numeric_Type=-digit}', "");
Expect(0, 179, '\P{Is_Numeric_Type=-digit}', "");
Expect(1, 179, '\P{^Is_Numeric_Type=-digit}', "");
Expect(0, 177, '\p{Is_Numeric_Type=-digit}', "");
Expect(1, 177, '\p{^Is_Numeric_Type=-digit}', "");
Expect(1, 177, '\P{Is_Numeric_Type=-digit}', "");
Expect(0, 177, '\P{^Is_Numeric_Type=-digit}', "");
Error('\p{Is_Nt=:=_di}');
Error('\P{Is_Nt=:=_di}');
Expect(1, 179, '\p{Is_Nt=di}', "");
Expect(0, 179, '\p{^Is_Nt=di}', "");
Expect(0, 179, '\P{Is_Nt=di}', "");
Expect(1, 179, '\P{^Is_Nt=di}', "");
Expect(0, 177, '\p{Is_Nt=di}', "");
Expect(1, 177, '\p{^Is_Nt=di}', "");
Expect(1, 177, '\P{Is_Nt=di}', "");
Expect(0, 177, '\P{^Is_Nt=di}', "");
Expect(1, 179, '\p{Is_Nt=- Di}', "");
Expect(0, 179, '\p{^Is_Nt=- Di}', "");
Expect(0, 179, '\P{Is_Nt=- Di}', "");
Expect(1, 179, '\P{^Is_Nt=- Di}', "");
Expect(0, 177, '\p{Is_Nt=- Di}', "");
Expect(1, 177, '\p{^Is_Nt=- Di}', "");
Expect(1, 177, '\P{Is_Nt=- Di}', "");
Expect(0, 177, '\P{^Is_Nt=- Di}', "");
Error('\p{Numeric_Type=-:=decimal}');
Error('\P{Numeric_Type=-:=decimal}');
Expect(1, 57, '\p{Numeric_Type:   decimal}', "");
Expect(0, 57, '\p{^Numeric_Type:   decimal}', "");
Expect(0, 57, '\P{Numeric_Type:   decimal}', "");
Expect(1, 57, '\P{^Numeric_Type:   decimal}', "");
Expect(0, 47, '\p{Numeric_Type:   decimal}', "");
Expect(1, 47, '\p{^Numeric_Type:   decimal}', "");
Expect(1, 47, '\P{Numeric_Type:   decimal}', "");
Expect(0, 47, '\P{^Numeric_Type:   decimal}', "");
Expect(1, 57, '\p{Numeric_Type=_ Decimal}', "");
Expect(0, 57, '\p{^Numeric_Type=_ Decimal}', "");
Expect(0, 57, '\P{Numeric_Type=_ Decimal}', "");
Expect(1, 57, '\P{^Numeric_Type=_ Decimal}', "");
Expect(0, 47, '\p{Numeric_Type=_ Decimal}', "");
Expect(1, 47, '\p{^Numeric_Type=_ Decimal}', "");
Expect(1, 47, '\P{Numeric_Type=_ Decimal}', "");
Expect(0, 47, '\P{^Numeric_Type=_ Decimal}', "");
Error('\p{Nt=/a/_DE}');
Error('\P{Nt=/a/_DE}');
Expect(1, 57, '\p{Nt: de}', "");
Expect(0, 57, '\p{^Nt: de}', "");
Expect(0, 57, '\P{Nt: de}', "");
Expect(1, 57, '\P{^Nt: de}', "");
Expect(0, 47, '\p{Nt: de}', "");
Expect(1, 47, '\p{^Nt: de}', "");
Expect(1, 47, '\P{Nt: de}', "");
Expect(0, 47, '\P{^Nt: de}', "");
Expect(1, 57, '\p{Nt=-de}', "");
Expect(0, 57, '\p{^Nt=-de}', "");
Expect(0, 57, '\P{Nt=-de}', "");
Expect(1, 57, '\P{^Nt=-de}', "");
Expect(0, 47, '\p{Nt=-de}', "");
Expect(1, 47, '\p{^Nt=-de}', "");
Expect(1, 47, '\P{Nt=-de}', "");
Expect(0, 47, '\P{^Nt=-de}', "");
Error('\p{Is_Numeric_Type=-	DECIMAL:=}');
Error('\P{Is_Numeric_Type=-	DECIMAL:=}');
Expect(1, 57, '\p{Is_Numeric_Type=decimal}', "");
Expect(0, 57, '\p{^Is_Numeric_Type=decimal}', "");
Expect(0, 57, '\P{Is_Numeric_Type=decimal}', "");
Expect(1, 57, '\P{^Is_Numeric_Type=decimal}', "");
Expect(0, 47, '\p{Is_Numeric_Type=decimal}', "");
Expect(1, 47, '\p{^Is_Numeric_Type=decimal}', "");
Expect(1, 47, '\P{Is_Numeric_Type=decimal}', "");
Expect(0, 47, '\P{^Is_Numeric_Type=decimal}', "");
Expect(1, 57, '\p{Is_Numeric_Type= Decimal}', "");
Expect(0, 57, '\p{^Is_Numeric_Type= Decimal}', "");
Expect(0, 57, '\P{Is_Numeric_Type= Decimal}', "");
Expect(1, 57, '\P{^Is_Numeric_Type= Decimal}', "");
Expect(0, 47, '\p{Is_Numeric_Type= Decimal}', "");
Expect(1, 47, '\p{^Is_Numeric_Type= Decimal}', "");
Expect(1, 47, '\P{Is_Numeric_Type= Decimal}', "");
Expect(0, 47, '\P{^Is_Numeric_Type= Decimal}', "");
Error('\p{Is_Nt:		De/a/}');
Error('\P{Is_Nt:		De/a/}');
Expect(1, 57, '\p{Is_Nt=de}', "");
Expect(0, 57, '\p{^Is_Nt=de}', "");
Expect(0, 57, '\P{Is_Nt=de}', "");
Expect(1, 57, '\P{^Is_Nt=de}', "");
Expect(0, 47, '\p{Is_Nt=de}', "");
Expect(1, 47, '\p{^Is_Nt=de}', "");
Expect(1, 47, '\P{Is_Nt=de}', "");
Expect(0, 47, '\P{^Is_Nt=de}', "");
Expect(1, 57, '\p{Is_Nt= De}', "");
Expect(0, 57, '\p{^Is_Nt= De}', "");
Expect(0, 57, '\P{Is_Nt= De}', "");
Expect(1, 57, '\P{^Is_Nt= De}', "");
Expect(0, 47, '\p{Is_Nt= De}', "");
Expect(1, 47, '\p{^Is_Nt= De}', "");
Expect(1, 47, '\P{Is_Nt= De}', "");
Expect(0, 47, '\P{^Is_Nt= De}', "");
Error('\p{Numeric_Type=Numeric:=}');
Error('\P{Numeric_Type=Numeric:=}');
Expect(1, 190, '\p{Numeric_Type=numeric}', "");
Expect(0, 190, '\p{^Numeric_Type=numeric}', "");
Expect(0, 190, '\P{Numeric_Type=numeric}', "");
Expect(1, 190, '\P{^Numeric_Type=numeric}', "");
Expect(0, 187, '\p{Numeric_Type=numeric}', "");
Expect(1, 187, '\p{^Numeric_Type=numeric}', "");
Expect(1, 187, '\P{Numeric_Type=numeric}', "");
Expect(0, 187, '\P{^Numeric_Type=numeric}', "");
Expect(1, 190, '\p{Numeric_Type= _Numeric}', "");
Expect(0, 190, '\p{^Numeric_Type= _Numeric}', "");
Expect(0, 190, '\P{Numeric_Type= _Numeric}', "");
Expect(1, 190, '\P{^Numeric_Type= _Numeric}', "");
Expect(0, 187, '\p{Numeric_Type= _Numeric}', "");
Expect(1, 187, '\p{^Numeric_Type= _Numeric}', "");
Expect(1, 187, '\P{Numeric_Type= _Numeric}', "");
Expect(0, 187, '\P{^Numeric_Type= _Numeric}', "");
Error('\p{Nt:   _/a/nu}');
Error('\P{Nt:   _/a/nu}');
Expect(1, 190, '\p{Nt=nu}', "");
Expect(0, 190, '\p{^Nt=nu}', "");
Expect(0, 190, '\P{Nt=nu}', "");
Expect(1, 190, '\P{^Nt=nu}', "");
Expect(0, 187, '\p{Nt=nu}', "");
Expect(1, 187, '\p{^Nt=nu}', "");
Expect(1, 187, '\P{Nt=nu}', "");
Expect(0, 187, '\P{^Nt=nu}', "");
Expect(1, 190, '\p{Nt=_ NU}', "");
Expect(0, 190, '\p{^Nt=_ NU}', "");
Expect(0, 190, '\P{Nt=_ NU}', "");
Expect(1, 190, '\P{^Nt=_ NU}', "");
Expect(0, 187, '\p{Nt=_ NU}', "");
Expect(1, 187, '\p{^Nt=_ NU}', "");
Expect(1, 187, '\P{Nt=_ NU}', "");
Expect(0, 187, '\P{^Nt=_ NU}', "");
Error('\p{Is_Numeric_Type=	/a/NUMERIC}');
Error('\P{Is_Numeric_Type=	/a/NUMERIC}');
Expect(1, 190, '\p{Is_Numeric_Type=numeric}', "");
Expect(0, 190, '\p{^Is_Numeric_Type=numeric}', "");
Expect(0, 190, '\P{Is_Numeric_Type=numeric}', "");
Expect(1, 190, '\P{^Is_Numeric_Type=numeric}', "");
Expect(0, 187, '\p{Is_Numeric_Type=numeric}', "");
Expect(1, 187, '\p{^Is_Numeric_Type=numeric}', "");
Expect(1, 187, '\P{Is_Numeric_Type=numeric}', "");
Expect(0, 187, '\P{^Is_Numeric_Type=numeric}', "");
Expect(1, 190, '\p{Is_Numeric_Type: -_Numeric}', "");
Expect(0, 190, '\p{^Is_Numeric_Type: -_Numeric}', "");
Expect(0, 190, '\P{Is_Numeric_Type: -_Numeric}', "");
Expect(1, 190, '\P{^Is_Numeric_Type: -_Numeric}', "");
Expect(0, 187, '\p{Is_Numeric_Type: -_Numeric}', "");
Expect(1, 187, '\p{^Is_Numeric_Type: -_Numeric}', "");
Expect(1, 187, '\P{Is_Numeric_Type: -_Numeric}', "");
Expect(0, 187, '\P{^Is_Numeric_Type: -_Numeric}', "");
Error('\p{Is_Nt=	/a/Nu}');
Error('\P{Is_Nt=	/a/Nu}');
Expect(1, 190, '\p{Is_Nt=nu}', "");
Expect(0, 190, '\p{^Is_Nt=nu}', "");
Expect(0, 190, '\P{Is_Nt=nu}', "");
Expect(1, 190, '\P{^Is_Nt=nu}', "");
Expect(0, 187, '\p{Is_Nt=nu}', "");
Expect(1, 187, '\p{^Is_Nt=nu}', "");
Expect(1, 187, '\P{Is_Nt=nu}', "");
Expect(0, 187, '\P{^Is_Nt=nu}', "");
Expect(1, 190, '\p{Is_Nt=- nu}', "");
Expect(0, 190, '\p{^Is_Nt=- nu}', "");
Expect(0, 190, '\P{Is_Nt=- nu}', "");
Expect(1, 190, '\P{^Is_Nt=- nu}', "");
Expect(0, 187, '\p{Is_Nt=- nu}', "");
Expect(1, 187, '\p{^Is_Nt=- nu}', "");
Expect(1, 187, '\P{Is_Nt=- nu}', "");
Expect(0, 187, '\P{^Is_Nt=- nu}', "");
Error('\p{Expands_On_NFC=Yes}');
Error('\P{Expands_On_NFC=Yes}');
Error('\p{XO_NFC=Y}');
Error('\P{XO_NFC=Y}');
Error('\p{Is_Expands_On_NFC:	T}');
Error('\P{Is_Expands_On_NFC:	T}');
Error('\p{Is_XO_NFC=True}');
Error('\P{Is_XO_NFC=True}');
Error('\p{Expands_On_NFC=No}');
Error('\P{Expands_On_NFC=No}');
Error('\p{XO_NFC=N}');
Error('\P{XO_NFC=N}');
Error('\p{Is_Expands_On_NFC=F}');
Error('\P{Is_Expands_On_NFC=F}');
Error('\p{Is_XO_NFC=False}');
Error('\P{Is_XO_NFC=False}');
Error('\p{Dash: _Yes/a/}');
Error('\P{Dash: _Yes/a/}');
Expect(1, 45, '\p{Dash=yes}', "");
Expect(0, 45, '\p{^Dash=yes}', "");
Expect(0, 45, '\P{Dash=yes}', "");
Expect(1, 45, '\P{^Dash=yes}', "");
Expect(0, 44, '\p{Dash=yes}', "");
Expect(1, 44, '\p{^Dash=yes}', "");
Expect(1, 44, '\P{Dash=yes}', "");
Expect(0, 44, '\P{^Dash=yes}', "");
Expect(1, 45, '\p{Dash= -yes}', "");
Expect(0, 45, '\p{^Dash= -yes}', "");
Expect(0, 45, '\P{Dash= -yes}', "");
Expect(1, 45, '\P{^Dash= -yes}', "");
Expect(0, 44, '\p{Dash= -yes}', "");
Expect(1, 44, '\p{^Dash= -yes}', "");
Expect(1, 44, '\P{Dash= -yes}', "");
Expect(0, 44, '\P{^Dash= -yes}', "");
Error('\p{Is_Dash=_:=Y}');
Error('\P{Is_Dash=_:=Y}');
Expect(1, 45, '\p{Is_Dash=y}', "");
Expect(0, 45, '\p{^Is_Dash=y}', "");
Expect(0, 45, '\P{Is_Dash=y}', "");
Expect(1, 45, '\P{^Is_Dash=y}', "");
Expect(0, 44, '\p{Is_Dash=y}', "");
Expect(1, 44, '\p{^Is_Dash=y}', "");
Expect(1, 44, '\P{Is_Dash=y}', "");
Expect(0, 44, '\P{^Is_Dash=y}', "");
Expect(1, 45, '\p{Is_Dash=	Y}', "");
Expect(0, 45, '\p{^Is_Dash=	Y}', "");
Expect(0, 45, '\P{Is_Dash=	Y}', "");
Expect(1, 45, '\P{^Is_Dash=	Y}', "");
Expect(0, 44, '\p{Is_Dash=	Y}', "");
Expect(1, 44, '\p{^Is_Dash=	Y}', "");
Expect(1, 44, '\P{Is_Dash=	Y}', "");
Expect(0, 44, '\P{^Is_Dash=	Y}', "");
Error('\p{Dash= -T/a/}');
Error('\P{Dash= -T/a/}');
Expect(1, 45, '\p{Dash=t}', "");
Expect(0, 45, '\p{^Dash=t}', "");
Expect(0, 45, '\P{Dash=t}', "");
Expect(1, 45, '\P{^Dash=t}', "");
Expect(0, 44, '\p{Dash=t}', "");
Expect(1, 44, '\p{^Dash=t}', "");
Expect(1, 44, '\P{Dash=t}', "");
Expect(0, 44, '\P{^Dash=t}', "");
Expect(1, 45, '\p{Dash=_t}', "");
Expect(0, 45, '\p{^Dash=_t}', "");
Expect(0, 45, '\P{Dash=_t}', "");
Expect(1, 45, '\P{^Dash=_t}', "");
Expect(0, 44, '\p{Dash=_t}', "");
Expect(1, 44, '\p{^Dash=_t}', "");
Expect(1, 44, '\P{Dash=_t}', "");
Expect(0, 44, '\P{^Dash=_t}', "");
Error('\p{Is_Dash=:=-	True}');
Error('\P{Is_Dash=:=-	True}');
Expect(1, 45, '\p{Is_Dash=true}', "");
Expect(0, 45, '\p{^Is_Dash=true}', "");
Expect(0, 45, '\P{Is_Dash=true}', "");
Expect(1, 45, '\P{^Is_Dash=true}', "");
Expect(0, 44, '\p{Is_Dash=true}', "");
Expect(1, 44, '\p{^Is_Dash=true}', "");
Expect(1, 44, '\P{Is_Dash=true}', "");
Expect(0, 44, '\P{^Is_Dash=true}', "");
Expect(1, 45, '\p{Is_Dash=-TRUE}', "");
Expect(0, 45, '\p{^Is_Dash=-TRUE}', "");
Expect(0, 45, '\P{Is_Dash=-TRUE}', "");
Expect(1, 45, '\P{^Is_Dash=-TRUE}', "");
Expect(0, 44, '\p{Is_Dash=-TRUE}', "");
Expect(1, 44, '\p{^Is_Dash=-TRUE}', "");
Expect(1, 44, '\P{Is_Dash=-TRUE}', "");
Expect(0, 44, '\P{^Is_Dash=-TRUE}', "");
Error('\p{Dash: :=no}');
Error('\P{Dash: :=no}');
Expect(1, 44, '\p{Dash=no}', "");
Expect(0, 44, '\p{^Dash=no}', "");
Expect(0, 44, '\P{Dash=no}', "");
Expect(1, 44, '\P{^Dash=no}', "");
Expect(0, 45, '\p{Dash=no}', "");
Expect(1, 45, '\p{^Dash=no}', "");
Expect(1, 45, '\P{Dash=no}', "");
Expect(0, 45, '\P{^Dash=no}', "");
Expect(1, 44, '\p{Dash= -NO}', "");
Expect(0, 44, '\p{^Dash= -NO}', "");
Expect(0, 44, '\P{Dash= -NO}', "");
Expect(1, 44, '\P{^Dash= -NO}', "");
Expect(0, 45, '\p{Dash= -NO}', "");
Expect(1, 45, '\p{^Dash= -NO}', "");
Expect(1, 45, '\P{Dash= -NO}', "");
Expect(0, 45, '\P{^Dash= -NO}', "");
Error('\p{Is_Dash=/a/  N}');
Error('\P{Is_Dash=/a/  N}');
Expect(1, 44, '\p{Is_Dash=n}', "");
Expect(0, 44, '\p{^Is_Dash=n}', "");
Expect(0, 44, '\P{Is_Dash=n}', "");
Expect(1, 44, '\P{^Is_Dash=n}', "");
Expect(0, 45, '\p{Is_Dash=n}', "");
Expect(1, 45, '\p{^Is_Dash=n}', "");
Expect(1, 45, '\P{Is_Dash=n}', "");
Expect(0, 45, '\P{^Is_Dash=n}', "");
Expect(1, 44, '\p{Is_Dash: 	_N}', "");
Expect(0, 44, '\p{^Is_Dash: 	_N}', "");
Expect(0, 44, '\P{Is_Dash: 	_N}', "");
Expect(1, 44, '\P{^Is_Dash: 	_N}', "");
Expect(0, 45, '\p{Is_Dash: 	_N}', "");
Expect(1, 45, '\p{^Is_Dash: 	_N}', "");
Expect(1, 45, '\P{Is_Dash: 	_N}', "");
Expect(0, 45, '\P{^Is_Dash: 	_N}', "");
Error('\p{Dash=-:=f}');
Error('\P{Dash=-:=f}');
Expect(1, 44, '\p{Dash=f}', "");
Expect(0, 44, '\p{^Dash=f}', "");
Expect(0, 44, '\P{Dash=f}', "");
Expect(1, 44, '\P{^Dash=f}', "");
Expect(0, 45, '\p{Dash=f}', "");
Expect(1, 45, '\p{^Dash=f}', "");
Expect(1, 45, '\P{Dash=f}', "");
Expect(0, 45, '\P{^Dash=f}', "");
Expect(1, 44, '\p{Dash=_	F}', "");
Expect(0, 44, '\p{^Dash=_	F}', "");
Expect(0, 44, '\P{Dash=_	F}', "");
Expect(1, 44, '\P{^Dash=_	F}', "");
Expect(0, 45, '\p{Dash=_	F}', "");
Expect(1, 45, '\p{^Dash=_	F}', "");
Expect(1, 45, '\P{Dash=_	F}', "");
Expect(0, 45, '\P{^Dash=_	F}', "");
Error('\p{Is_Dash=	:=FALSE}');
Error('\P{Is_Dash=	:=FALSE}');
Expect(1, 44, '\p{Is_Dash=false}', "");
Expect(0, 44, '\p{^Is_Dash=false}', "");
Expect(0, 44, '\P{Is_Dash=false}', "");
Expect(1, 44, '\P{^Is_Dash=false}', "");
Expect(0, 45, '\p{Is_Dash=false}', "");
Expect(1, 45, '\p{^Is_Dash=false}', "");
Expect(1, 45, '\P{Is_Dash=false}', "");
Expect(0, 45, '\P{^Is_Dash=false}', "");
Expect(1, 44, '\p{Is_Dash= FALSE}', "");
Expect(0, 44, '\p{^Is_Dash= FALSE}', "");
Expect(0, 44, '\P{Is_Dash= FALSE}', "");
Expect(1, 44, '\P{^Is_Dash= FALSE}', "");
Expect(0, 45, '\p{Is_Dash= FALSE}', "");
Expect(1, 45, '\p{^Is_Dash= FALSE}', "");
Expect(1, 45, '\P{Is_Dash= FALSE}', "");
Expect(0, 45, '\P{^Is_Dash= FALSE}', "");
Error('\p{Changes_When_Titlecased= /a/yes}');
Error('\P{Changes_When_Titlecased= /a/yes}');
Expect(1, 122, '\p{Changes_When_Titlecased=yes}', "");
Expect(0, 122, '\p{^Changes_When_Titlecased=yes}', "");
Expect(0, 122, '\P{Changes_When_Titlecased=yes}', "");
Expect(1, 122, '\P{^Changes_When_Titlecased=yes}', "");
Expect(0, 96, '\p{Changes_When_Titlecased=yes}', "");
Expect(1, 96, '\p{^Changes_When_Titlecased=yes}', "");
Expect(1, 96, '\P{Changes_When_Titlecased=yes}', "");
Expect(0, 96, '\P{^Changes_When_Titlecased=yes}', "");
Expect(1, 122, '\p{Changes_When_Titlecased= _Yes}', "");
Expect(0, 122, '\p{^Changes_When_Titlecased= _Yes}', "");
Expect(0, 122, '\P{Changes_When_Titlecased= _Yes}', "");
Expect(1, 122, '\P{^Changes_When_Titlecased= _Yes}', "");
Expect(0, 96, '\p{Changes_When_Titlecased= _Yes}', "");
Expect(1, 96, '\p{^Changes_When_Titlecased= _Yes}', "");
Expect(1, 96, '\P{Changes_When_Titlecased= _Yes}', "");
Expect(0, 96, '\P{^Changes_When_Titlecased= _Yes}', "");
Error('\p{CWT=:= -Y}');
Error('\P{CWT=:= -Y}');
Expect(1, 122, '\p{CWT=y}', "");
Expect(0, 122, '\p{^CWT=y}', "");
Expect(0, 122, '\P{CWT=y}', "");
Expect(1, 122, '\P{^CWT=y}', "");
Expect(0, 96, '\p{CWT=y}', "");
Expect(1, 96, '\p{^CWT=y}', "");
Expect(1, 96, '\P{CWT=y}', "");
Expect(0, 96, '\P{^CWT=y}', "");
Expect(1, 122, '\p{CWT:   -Y}', "");
Expect(0, 122, '\p{^CWT:   -Y}', "");
Expect(0, 122, '\P{CWT:   -Y}', "");
Expect(1, 122, '\P{^CWT:   -Y}', "");
Expect(0, 96, '\p{CWT:   -Y}', "");
Expect(1, 96, '\p{^CWT:   -Y}', "");
Expect(1, 96, '\P{CWT:   -Y}', "");
Expect(0, 96, '\P{^CWT:   -Y}', "");
Error('\p{Is_Changes_When_Titlecased=	-t:=}');
Error('\P{Is_Changes_When_Titlecased=	-t:=}');
Expect(1, 122, '\p{Is_Changes_When_Titlecased=t}', "");
Expect(0, 122, '\p{^Is_Changes_When_Titlecased=t}', "");
Expect(0, 122, '\P{Is_Changes_When_Titlecased=t}', "");
Expect(1, 122, '\P{^Is_Changes_When_Titlecased=t}', "");
Expect(0, 96, '\p{Is_Changes_When_Titlecased=t}', "");
Expect(1, 96, '\p{^Is_Changes_When_Titlecased=t}', "");
Expect(1, 96, '\P{Is_Changes_When_Titlecased=t}', "");
Expect(0, 96, '\P{^Is_Changes_When_Titlecased=t}', "");
Expect(1, 122, '\p{Is_Changes_When_Titlecased:   -T}', "");
Expect(0, 122, '\p{^Is_Changes_When_Titlecased:   -T}', "");
Expect(0, 122, '\P{Is_Changes_When_Titlecased:   -T}', "");
Expect(1, 122, '\P{^Is_Changes_When_Titlecased:   -T}', "");
Expect(0, 96, '\p{Is_Changes_When_Titlecased:   -T}', "");
Expect(1, 96, '\p{^Is_Changes_When_Titlecased:   -T}', "");
Expect(1, 96, '\P{Is_Changes_When_Titlecased:   -T}', "");
Expect(0, 96, '\P{^Is_Changes_When_Titlecased:   -T}', "");
Error('\p{Is_CWT:_	TRUE:=}');
Error('\P{Is_CWT:_	TRUE:=}');
Expect(1, 122, '\p{Is_CWT=true}', "");
Expect(0, 122, '\p{^Is_CWT=true}', "");
Expect(0, 122, '\P{Is_CWT=true}', "");
Expect(1, 122, '\P{^Is_CWT=true}', "");
Expect(0, 96, '\p{Is_CWT=true}', "");
Expect(1, 96, '\p{^Is_CWT=true}', "");
Expect(1, 96, '\P{Is_CWT=true}', "");
Expect(0, 96, '\P{^Is_CWT=true}', "");
Expect(1, 122, '\p{Is_CWT=-True}', "");
Expect(0, 122, '\p{^Is_CWT=-True}', "");
Expect(0, 122, '\P{Is_CWT=-True}', "");
Expect(1, 122, '\P{^Is_CWT=-True}', "");
Expect(0, 96, '\p{Is_CWT=-True}', "");
Expect(1, 96, '\p{^Is_CWT=-True}', "");
Expect(1, 96, '\P{Is_CWT=-True}', "");
Expect(0, 96, '\P{^Is_CWT=-True}', "");
Error('\p{Changes_When_Titlecased=		no/a/}');
Error('\P{Changes_When_Titlecased=		no/a/}');
Expect(1, 96, '\p{Changes_When_Titlecased=no}', "");
Expect(0, 96, '\p{^Changes_When_Titlecased=no}', "");
Expect(0, 96, '\P{Changes_When_Titlecased=no}', "");
Expect(1, 96, '\P{^Changes_When_Titlecased=no}', "");
Expect(0, 122, '\p{Changes_When_Titlecased=no}', "");
Expect(1, 122, '\p{^Changes_When_Titlecased=no}', "");
Expect(1, 122, '\P{Changes_When_Titlecased=no}', "");
Expect(0, 122, '\P{^Changes_When_Titlecased=no}', "");
Expect(1, 96, '\p{Changes_When_Titlecased=-_no}', "");
Expect(0, 96, '\p{^Changes_When_Titlecased=-_no}', "");
Expect(0, 96, '\P{Changes_When_Titlecased=-_no}', "");
Expect(1, 96, '\P{^Changes_When_Titlecased=-_no}', "");
Expect(0, 122, '\p{Changes_When_Titlecased=-_no}', "");
Expect(1, 122, '\p{^Changes_When_Titlecased=-_no}', "");
Expect(1, 122, '\P{Changes_When_Titlecased=-_no}', "");
Expect(0, 122, '\P{^Changes_When_Titlecased=-_no}', "");
Error('\p{CWT=_-n:=}');
Error('\P{CWT=_-n:=}');
Expect(1, 96, '\p{CWT=n}', "");
Expect(0, 96, '\p{^CWT=n}', "");
Expect(0, 96, '\P{CWT=n}', "");
Expect(1, 96, '\P{^CWT=n}', "");
Expect(0, 122, '\p{CWT=n}', "");
Expect(1, 122, '\p{^CWT=n}', "");
Expect(1, 122, '\P{CWT=n}', "");
Expect(0, 122, '\P{^CWT=n}', "");
Expect(1, 96, '\p{CWT= 	N}', "");
Expect(0, 96, '\p{^CWT= 	N}', "");
Expect(0, 96, '\P{CWT= 	N}', "");
Expect(1, 96, '\P{^CWT= 	N}', "");
Expect(0, 122, '\p{CWT= 	N}', "");
Expect(1, 122, '\p{^CWT= 	N}', "");
Expect(1, 122, '\P{CWT= 	N}', "");
Expect(0, 122, '\P{^CWT= 	N}', "");
Error('\p{Is_Changes_When_Titlecased:	/a/ f}');
Error('\P{Is_Changes_When_Titlecased:	/a/ f}');
Expect(1, 96, '\p{Is_Changes_When_Titlecased=f}', "");
Expect(0, 96, '\p{^Is_Changes_When_Titlecased=f}', "");
Expect(0, 96, '\P{Is_Changes_When_Titlecased=f}', "");
Expect(1, 96, '\P{^Is_Changes_When_Titlecased=f}', "");
Expect(0, 122, '\p{Is_Changes_When_Titlecased=f}', "");
Expect(1, 122, '\p{^Is_Changes_When_Titlecased=f}', "");
Expect(1, 122, '\P{Is_Changes_When_Titlecased=f}', "");
Expect(0, 122, '\P{^Is_Changes_When_Titlecased=f}', "");
Expect(1, 96, '\p{Is_Changes_When_Titlecased=-	F}', "");
Expect(0, 96, '\p{^Is_Changes_When_Titlecased=-	F}', "");
Expect(0, 96, '\P{Is_Changes_When_Titlecased=-	F}', "");
Expect(1, 96, '\P{^Is_Changes_When_Titlecased=-	F}', "");
Expect(0, 122, '\p{Is_Changes_When_Titlecased=-	F}', "");
Expect(1, 122, '\p{^Is_Changes_When_Titlecased=-	F}', "");
Expect(1, 122, '\P{Is_Changes_When_Titlecased=-	F}', "");
Expect(0, 122, '\P{^Is_Changes_When_Titlecased=-	F}', "");
Error('\p{Is_CWT=:=	_FALSE}');
Error('\P{Is_CWT=:=	_FALSE}');
Expect(1, 96, '\p{Is_CWT=false}', "");
Expect(0, 96, '\p{^Is_CWT=false}', "");
Expect(0, 96, '\P{Is_CWT=false}', "");
Expect(1, 96, '\P{^Is_CWT=false}', "");
Expect(0, 122, '\p{Is_CWT=false}', "");
Expect(1, 122, '\p{^Is_CWT=false}', "");
Expect(1, 122, '\P{Is_CWT=false}', "");
Expect(0, 122, '\P{^Is_CWT=false}', "");
Expect(1, 96, '\p{Is_CWT=	-FALSE}', "");
Expect(0, 96, '\p{^Is_CWT=	-FALSE}', "");
Expect(0, 96, '\P{Is_CWT=	-FALSE}', "");
Expect(1, 96, '\P{^Is_CWT=	-FALSE}', "");
Expect(0, 122, '\p{Is_CWT=	-FALSE}', "");
Expect(1, 122, '\p{^Is_CWT=	-FALSE}', "");
Expect(1, 122, '\P{Is_CWT=	-FALSE}', "");
Expect(0, 122, '\P{^Is_CWT=	-FALSE}', "");
Error('\p{Hangul_Syllable_Type=_/a/TRAILINGJamo}');
Error('\P{Hangul_Syllable_Type=_/a/TRAILINGJamo}');
Expect(1, 4607, '\p{Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 4607, '\p{^Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 4607, '\P{Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 4607, '\P{^Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 4519, '\p{Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 4519, '\p{^Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 4519, '\P{Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 4519, '\P{^Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 4607, '\p{Hangul_Syllable_Type:	_trailing	JAMO}', "");
Expect(0, 4607, '\p{^Hangul_Syllable_Type:	_trailing	JAMO}', "");
Expect(0, 4607, '\P{Hangul_Syllable_Type:	_trailing	JAMO}', "");
Expect(1, 4607, '\P{^Hangul_Syllable_Type:	_trailing	JAMO}', "");
Expect(0, 4519, '\p{Hangul_Syllable_Type:	_trailing	JAMO}', "");
Expect(1, 4519, '\p{^Hangul_Syllable_Type:	_trailing	JAMO}', "");
Expect(1, 4519, '\P{Hangul_Syllable_Type:	_trailing	JAMO}', "");
Expect(0, 4519, '\P{^Hangul_Syllable_Type:	_trailing	JAMO}', "");
Error('\p{Hst= t:=}');
Error('\P{Hst= t:=}');
Expect(1, 4607, '\p{Hst=t}', "");
Expect(0, 4607, '\p{^Hst=t}', "");
Expect(0, 4607, '\P{Hst=t}', "");
Expect(1, 4607, '\P{^Hst=t}', "");
Expect(0, 4519, '\p{Hst=t}', "");
Expect(1, 4519, '\p{^Hst=t}', "");
Expect(1, 4519, '\P{Hst=t}', "");
Expect(0, 4519, '\P{^Hst=t}', "");
Expect(1, 4607, '\p{Hst:- T}', "");
Expect(0, 4607, '\p{^Hst:- T}', "");
Expect(0, 4607, '\P{Hst:- T}', "");
Expect(1, 4607, '\P{^Hst:- T}', "");
Expect(0, 4519, '\p{Hst:- T}', "");
Expect(1, 4519, '\p{^Hst:- T}', "");
Expect(1, 4519, '\P{Hst:- T}', "");
Expect(0, 4519, '\P{^Hst:- T}', "");
Error('\p{Is_Hangul_Syllable_Type=  TRAILING Jamo:=}');
Error('\P{Is_Hangul_Syllable_Type=  TRAILING Jamo:=}');
Expect(1, 4607, '\p{Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 4607, '\p{^Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 4607, '\P{Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 4607, '\P{^Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 4519, '\p{Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 4519, '\p{^Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 4519, '\P{Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 4519, '\P{^Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 4607, '\p{Is_Hangul_Syllable_Type=-trailing_Jamo}', "");
Expect(0, 4607, '\p{^Is_Hangul_Syllable_Type=-trailing_Jamo}', "");
Expect(0, 4607, '\P{Is_Hangul_Syllable_Type=-trailing_Jamo}', "");
Expect(1, 4607, '\P{^Is_Hangul_Syllable_Type=-trailing_Jamo}', "");
Expect(0, 4519, '\p{Is_Hangul_Syllable_Type=-trailing_Jamo}', "");
Expect(1, 4519, '\p{^Is_Hangul_Syllable_Type=-trailing_Jamo}', "");
Expect(1, 4519, '\P{Is_Hangul_Syllable_Type=-trailing_Jamo}', "");
Expect(0, 4519, '\P{^Is_Hangul_Syllable_Type=-trailing_Jamo}', "");
Error('\p{Is_Hst=:=-T}');
Error('\P{Is_Hst=:=-T}');
Expect(1, 4607, '\p{Is_Hst=t}', "");
Expect(0, 4607, '\p{^Is_Hst=t}', "");
Expect(0, 4607, '\P{Is_Hst=t}', "");
Expect(1, 4607, '\P{^Is_Hst=t}', "");
Expect(0, 4519, '\p{Is_Hst=t}', "");
Expect(1, 4519, '\p{^Is_Hst=t}', "");
Expect(1, 4519, '\P{Is_Hst=t}', "");
Expect(0, 4519, '\P{^Is_Hst=t}', "");
Expect(1, 4607, '\p{Is_Hst:   		t}', "");
Expect(0, 4607, '\p{^Is_Hst:   		t}', "");
Expect(0, 4607, '\P{Is_Hst:   		t}', "");
Expect(1, 4607, '\P{^Is_Hst:   		t}', "");
Expect(0, 4519, '\p{Is_Hst:   		t}', "");
Expect(1, 4519, '\p{^Is_Hst:   		t}', "");
Expect(1, 4519, '\P{Is_Hst:   		t}', "");
Expect(0, 4519, '\P{^Is_Hst:   		t}', "");
Error('\p{Hangul_Syllable_Type=/a/	 LVT-Syllable}');
Error('\P{Hangul_Syllable_Type=/a/	 LVT-Syllable}');
Expect(1, 44059, '\p{Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 44059, '\p{^Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 44059, '\P{Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 44059, '\P{^Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 44032, '\p{Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 44032, '\p{^Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 44032, '\P{Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 44032, '\P{^Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 44059, '\p{Hangul_Syllable_Type=		lvt	SYLLABLE}', "");
Expect(0, 44059, '\p{^Hangul_Syllable_Type=		lvt	SYLLABLE}', "");
Expect(0, 44059, '\P{Hangul_Syllable_Type=		lvt	SYLLABLE}', "");
Expect(1, 44059, '\P{^Hangul_Syllable_Type=		lvt	SYLLABLE}', "");
Expect(0, 44032, '\p{Hangul_Syllable_Type=		lvt	SYLLABLE}', "");
Expect(1, 44032, '\p{^Hangul_Syllable_Type=		lvt	SYLLABLE}', "");
Expect(1, 44032, '\P{Hangul_Syllable_Type=		lvt	SYLLABLE}', "");
Expect(0, 44032, '\P{^Hangul_Syllable_Type=		lvt	SYLLABLE}', "");
Error('\p{Hst=:=_-LVT}');
Error('\P{Hst=:=_-LVT}');
Expect(1, 44059, '\p{Hst=lvt}', "");
Expect(0, 44059, '\p{^Hst=lvt}', "");
Expect(0, 44059, '\P{Hst=lvt}', "");
Expect(1, 44059, '\P{^Hst=lvt}', "");
Expect(0, 44032, '\p{Hst=lvt}', "");
Expect(1, 44032, '\p{^Hst=lvt}', "");
Expect(1, 44032, '\P{Hst=lvt}', "");
Expect(0, 44032, '\P{^Hst=lvt}', "");
Expect(1, 44059, '\p{Hst=-lvt}', "");
Expect(0, 44059, '\p{^Hst=-lvt}', "");
Expect(0, 44059, '\P{Hst=-lvt}', "");
Expect(1, 44059, '\P{^Hst=-lvt}', "");
Expect(0, 44032, '\p{Hst=-lvt}', "");
Expect(1, 44032, '\p{^Hst=-lvt}', "");
Expect(1, 44032, '\P{Hst=-lvt}', "");
Expect(0, 44032, '\P{^Hst=-lvt}', "");
Error('\p{Is_Hangul_Syllable_Type=-/a/LVTSyllable}');
Error('\P{Is_Hangul_Syllable_Type=-/a/LVTSyllable}');
Expect(1, 44059, '\p{Is_Hangul_Syllable_Type:lvtsyllable}', "");
Expect(0, 44059, '\p{^Is_Hangul_Syllable_Type:lvtsyllable}', "");
Expect(0, 44059, '\P{Is_Hangul_Syllable_Type:lvtsyllable}', "");
Expect(1, 44059, '\P{^Is_Hangul_Syllable_Type:lvtsyllable}', "");
Expect(0, 44032, '\p{Is_Hangul_Syllable_Type:lvtsyllable}', "");
Expect(1, 44032, '\p{^Is_Hangul_Syllable_Type:lvtsyllable}', "");
Expect(1, 44032, '\P{Is_Hangul_Syllable_Type:lvtsyllable}', "");
Expect(0, 44032, '\P{^Is_Hangul_Syllable_Type:lvtsyllable}', "");
Expect(1, 44059, '\p{Is_Hangul_Syllable_Type=  lvt-Syllable}', "");
Expect(0, 44059, '\p{^Is_Hangul_Syllable_Type=  lvt-Syllable}', "");
Expect(0, 44059, '\P{Is_Hangul_Syllable_Type=  lvt-Syllable}', "");
Expect(1, 44059, '\P{^Is_Hangul_Syllable_Type=  lvt-Syllable}', "");
Expect(0, 44032, '\p{Is_Hangul_Syllable_Type=  lvt-Syllable}', "");
Expect(1, 44032, '\p{^Is_Hangul_Syllable_Type=  lvt-Syllable}', "");
Expect(1, 44032, '\P{Is_Hangul_Syllable_Type=  lvt-Syllable}', "");
Expect(0, 44032, '\P{^Is_Hangul_Syllable_Type=  lvt-Syllable}', "");
Error('\p{Is_Hst:  LVT/a/}');
Error('\P{Is_Hst:  LVT/a/}');
Expect(1, 44059, '\p{Is_Hst=lvt}', "");
Expect(0, 44059, '\p{^Is_Hst=lvt}', "");
Expect(0, 44059, '\P{Is_Hst=lvt}', "");
Expect(1, 44059, '\P{^Is_Hst=lvt}', "");
Expect(0, 44032, '\p{Is_Hst=lvt}', "");
Expect(1, 44032, '\p{^Is_Hst=lvt}', "");
Expect(1, 44032, '\P{Is_Hst=lvt}', "");
Expect(0, 44032, '\P{^Is_Hst=lvt}', "");
Expect(1, 44059, '\p{Is_Hst=	LVT}', "");
Expect(0, 44059, '\p{^Is_Hst=	LVT}', "");
Expect(0, 44059, '\P{Is_Hst=	LVT}', "");
Expect(1, 44059, '\P{^Is_Hst=	LVT}', "");
Expect(0, 44032, '\p{Is_Hst=	LVT}', "");
Expect(1, 44032, '\p{^Is_Hst=	LVT}', "");
Expect(1, 44032, '\P{Is_Hst=	LVT}', "");
Expect(0, 44032, '\P{^Is_Hst=	LVT}', "");
Error('\p{Hangul_Syllable_Type=_/a/VOWEL jamo}');
Error('\P{Hangul_Syllable_Type=_/a/VOWEL jamo}');
Expect(1, 4519, '\p{Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 4519, '\p{^Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 4519, '\P{Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 4519, '\P{^Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 4447, '\p{Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 4447, '\p{^Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 4447, '\P{Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 4447, '\P{^Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 4519, '\p{Hangul_Syllable_Type=	vowel-Jamo}', "");
Expect(0, 4519, '\p{^Hangul_Syllable_Type=	vowel-Jamo}', "");
Expect(0, 4519, '\P{Hangul_Syllable_Type=	vowel-Jamo}', "");
Expect(1, 4519, '\P{^Hangul_Syllable_Type=	vowel-Jamo}', "");
Expect(0, 4447, '\p{Hangul_Syllable_Type=	vowel-Jamo}', "");
Expect(1, 4447, '\p{^Hangul_Syllable_Type=	vowel-Jamo}', "");
Expect(1, 4447, '\P{Hangul_Syllable_Type=	vowel-Jamo}', "");
Expect(0, 4447, '\P{^Hangul_Syllable_Type=	vowel-Jamo}', "");
Error('\p{Hst=	_V:=}');
Error('\P{Hst=	_V:=}');
Expect(1, 4519, '\p{Hst=v}', "");
Expect(0, 4519, '\p{^Hst=v}', "");
Expect(0, 4519, '\P{Hst=v}', "");
Expect(1, 4519, '\P{^Hst=v}', "");
Expect(0, 4447, '\p{Hst=v}', "");
Expect(1, 4447, '\p{^Hst=v}', "");
Expect(1, 4447, '\P{Hst=v}', "");
Expect(0, 4447, '\P{^Hst=v}', "");
Expect(1, 4519, '\p{Hst= -v}', "");
Expect(0, 4519, '\p{^Hst= -v}', "");
Expect(0, 4519, '\P{Hst= -v}', "");
Expect(1, 4519, '\P{^Hst= -v}', "");
Expect(0, 4447, '\p{Hst= -v}', "");
Expect(1, 4447, '\p{^Hst= -v}', "");
Expect(1, 4447, '\P{Hst= -v}', "");
Expect(0, 4447, '\P{^Hst= -v}', "");
Error('\p{Is_Hangul_Syllable_Type=_/a/VOWEL Jamo}');
Error('\P{Is_Hangul_Syllable_Type=_/a/VOWEL Jamo}');
Expect(1, 4519, '\p{Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 4519, '\p{^Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 4519, '\P{Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 4519, '\P{^Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 4447, '\p{Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 4447, '\p{^Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 4447, '\P{Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 4447, '\P{^Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 4519, '\p{Is_Hangul_Syllable_Type=	_vowel Jamo}', "");
Expect(0, 4519, '\p{^Is_Hangul_Syllable_Type=	_vowel Jamo}', "");
Expect(0, 4519, '\P{Is_Hangul_Syllable_Type=	_vowel Jamo}', "");
Expect(1, 4519, '\P{^Is_Hangul_Syllable_Type=	_vowel Jamo}', "");
Expect(0, 4447, '\p{Is_Hangul_Syllable_Type=	_vowel Jamo}', "");
Expect(1, 4447, '\p{^Is_Hangul_Syllable_Type=	_vowel Jamo}', "");
Expect(1, 4447, '\P{Is_Hangul_Syllable_Type=	_vowel Jamo}', "");
Expect(0, 4447, '\P{^Is_Hangul_Syllable_Type=	_vowel Jamo}', "");
Error('\p{Is_Hst:	-:=V}');
Error('\P{Is_Hst:	-:=V}');
Expect(1, 4519, '\p{Is_Hst=v}', "");
Expect(0, 4519, '\p{^Is_Hst=v}', "");
Expect(0, 4519, '\P{Is_Hst=v}', "");
Expect(1, 4519, '\P{^Is_Hst=v}', "");
Expect(0, 4447, '\p{Is_Hst=v}', "");
Expect(1, 4447, '\p{^Is_Hst=v}', "");
Expect(1, 4447, '\P{Is_Hst=v}', "");
Expect(0, 4447, '\P{^Is_Hst=v}', "");
Expect(1, 4519, '\p{Is_Hst:	  v}', "");
Expect(0, 4519, '\p{^Is_Hst:	  v}', "");
Expect(0, 4519, '\P{Is_Hst:	  v}', "");
Expect(1, 4519, '\P{^Is_Hst:	  v}', "");
Expect(0, 4447, '\p{Is_Hst:	  v}', "");
Expect(1, 4447, '\p{^Is_Hst:	  v}', "");
Expect(1, 4447, '\P{Is_Hst:	  v}', "");
Expect(0, 4447, '\P{^Is_Hst:	  v}', "");
Error('\p{Hangul_Syllable_Type=-:=LV Syllable}');
Error('\P{Hangul_Syllable_Type=-:=LV Syllable}');
Expect(1, 44032, '\p{Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 44032, '\p{^Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 44032, '\P{Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 44032, '\P{^Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 44031, '\p{Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 44031, '\p{^Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 44031, '\P{Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 44031, '\P{^Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 44032, '\p{Hangul_Syllable_Type=_ LVSyllable}', "");
Expect(0, 44032, '\p{^Hangul_Syllable_Type=_ LVSyllable}', "");
Expect(0, 44032, '\P{Hangul_Syllable_Type=_ LVSyllable}', "");
Expect(1, 44032, '\P{^Hangul_Syllable_Type=_ LVSyllable}', "");
Expect(0, 44031, '\p{Hangul_Syllable_Type=_ LVSyllable}', "");
Expect(1, 44031, '\p{^Hangul_Syllable_Type=_ LVSyllable}', "");
Expect(1, 44031, '\P{Hangul_Syllable_Type=_ LVSyllable}', "");
Expect(0, 44031, '\P{^Hangul_Syllable_Type=_ LVSyllable}', "");
Error('\p{Hst:   /a/-LV}');
Error('\P{Hst:   /a/-LV}');
Expect(1, 44032, '\p{Hst=lv}', "");
Expect(0, 44032, '\p{^Hst=lv}', "");
Expect(0, 44032, '\P{Hst=lv}', "");
Expect(1, 44032, '\P{^Hst=lv}', "");
Expect(0, 44031, '\p{Hst=lv}', "");
Expect(1, 44031, '\p{^Hst=lv}', "");
Expect(1, 44031, '\P{Hst=lv}', "");
Expect(0, 44031, '\P{^Hst=lv}', "");
Expect(1, 44032, '\p{Hst=	-lv}', "");
Expect(0, 44032, '\p{^Hst=	-lv}', "");
Expect(0, 44032, '\P{Hst=	-lv}', "");
Expect(1, 44032, '\P{^Hst=	-lv}', "");
Expect(0, 44031, '\p{Hst=	-lv}', "");
Expect(1, 44031, '\p{^Hst=	-lv}', "");
Expect(1, 44031, '\P{Hst=	-lv}', "");
Expect(0, 44031, '\P{^Hst=	-lv}', "");
Error('\p{Is_Hangul_Syllable_Type=/a/-lvSyllable}');
Error('\P{Is_Hangul_Syllable_Type=/a/-lvSyllable}');
Expect(1, 44032, '\p{Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 44032, '\p{^Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 44032, '\P{Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 44032, '\P{^Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 44031, '\p{Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 44031, '\p{^Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 44031, '\P{Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 44031, '\P{^Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 44032, '\p{Is_Hangul_Syllable_Type=	_lv Syllable}', "");
Expect(0, 44032, '\p{^Is_Hangul_Syllable_Type=	_lv Syllable}', "");
Expect(0, 44032, '\P{Is_Hangul_Syllable_Type=	_lv Syllable}', "");
Expect(1, 44032, '\P{^Is_Hangul_Syllable_Type=	_lv Syllable}', "");
Expect(0, 44031, '\p{Is_Hangul_Syllable_Type=	_lv Syllable}', "");
Expect(1, 44031, '\p{^Is_Hangul_Syllable_Type=	_lv Syllable}', "");
Expect(1, 44031, '\P{Is_Hangul_Syllable_Type=	_lv Syllable}', "");
Expect(0, 44031, '\P{^Is_Hangul_Syllable_Type=	_lv Syllable}', "");
Error('\p{Is_Hst:-	LV/a/}');
Error('\P{Is_Hst:-	LV/a/}');
Expect(1, 44032, '\p{Is_Hst=lv}', "");
Expect(0, 44032, '\p{^Is_Hst=lv}', "");
Expect(0, 44032, '\P{Is_Hst=lv}', "");
Expect(1, 44032, '\P{^Is_Hst=lv}', "");
Expect(0, 44031, '\p{Is_Hst=lv}', "");
Expect(1, 44031, '\p{^Is_Hst=lv}', "");
Expect(1, 44031, '\P{Is_Hst=lv}', "");
Expect(0, 44031, '\P{^Is_Hst=lv}', "");
Expect(1, 44032, '\p{Is_Hst=-_LV}', "");
Expect(0, 44032, '\p{^Is_Hst=-_LV}', "");
Expect(0, 44032, '\P{Is_Hst=-_LV}', "");
Expect(1, 44032, '\P{^Is_Hst=-_LV}', "");
Expect(0, 44031, '\p{Is_Hst=-_LV}', "");
Expect(1, 44031, '\p{^Is_Hst=-_LV}', "");
Expect(1, 44031, '\P{Is_Hst=-_LV}', "");
Expect(0, 44031, '\P{^Is_Hst=-_LV}', "");
Error('\p{Hangul_Syllable_Type=:=	Not_applicable}');
Error('\P{Hangul_Syllable_Type=:=	Not_applicable}');
Expect(1, 4351, '\p{Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 4351, '\p{^Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 4351, '\P{Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 4351, '\P{^Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 4607, '\p{Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 4607, '\p{^Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 4607, '\P{Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 4607, '\P{^Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 4351, '\p{Hangul_Syllable_Type:   _Not Applicable}', "");
Expect(0, 4351, '\p{^Hangul_Syllable_Type:   _Not Applicable}', "");
Expect(0, 4351, '\P{Hangul_Syllable_Type:   _Not Applicable}', "");
Expect(1, 4351, '\P{^Hangul_Syllable_Type:   _Not Applicable}', "");
Expect(0, 4607, '\p{Hangul_Syllable_Type:   _Not Applicable}', "");
Expect(1, 4607, '\p{^Hangul_Syllable_Type:   _Not Applicable}', "");
Expect(1, 4607, '\P{Hangul_Syllable_Type:   _Not Applicable}', "");
Expect(0, 4607, '\P{^Hangul_Syllable_Type:   _Not Applicable}', "");
Error('\p{Hst:	 NA:=}');
Error('\P{Hst:	 NA:=}');
Expect(1, 4351, '\p{Hst=na}', "");
Expect(0, 4351, '\p{^Hst=na}', "");
Expect(0, 4351, '\P{Hst=na}', "");
Expect(1, 4351, '\P{^Hst=na}', "");
Expect(0, 4607, '\p{Hst=na}', "");
Expect(1, 4607, '\p{^Hst=na}', "");
Expect(1, 4607, '\P{Hst=na}', "");
Expect(0, 4607, '\P{^Hst=na}', "");
Expect(1, 4351, '\p{Hst=-NA}', "");
Expect(0, 4351, '\p{^Hst=-NA}', "");
Expect(0, 4351, '\P{Hst=-NA}', "");
Expect(1, 4351, '\P{^Hst=-NA}', "");
Expect(0, 4607, '\p{Hst=-NA}', "");
Expect(1, 4607, '\p{^Hst=-NA}', "");
Expect(1, 4607, '\P{Hst=-NA}', "");
Expect(0, 4607, '\P{^Hst=-NA}', "");
Error('\p{Is_Hangul_Syllable_Type=/a/-_Not-Applicable}');
Error('\P{Is_Hangul_Syllable_Type=/a/-_Not-Applicable}');
Expect(1, 4351, '\p{Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 4351, '\p{^Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 4351, '\P{Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 4351, '\P{^Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 4607, '\p{Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 4607, '\p{^Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 4607, '\P{Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 4607, '\P{^Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 4351, '\p{Is_Hangul_Syllable_Type=_	not_Applicable}', "");
Expect(0, 4351, '\p{^Is_Hangul_Syllable_Type=_	not_Applicable}', "");
Expect(0, 4351, '\P{Is_Hangul_Syllable_Type=_	not_Applicable}', "");
Expect(1, 4351, '\P{^Is_Hangul_Syllable_Type=_	not_Applicable}', "");
Expect(0, 4607, '\p{Is_Hangul_Syllable_Type=_	not_Applicable}', "");
Expect(1, 4607, '\p{^Is_Hangul_Syllable_Type=_	not_Applicable}', "");
Expect(1, 4607, '\P{Is_Hangul_Syllable_Type=_	not_Applicable}', "");
Expect(0, 4607, '\P{^Is_Hangul_Syllable_Type=_	not_Applicable}', "");
Error('\p{Is_Hst=:=-na}');
Error('\P{Is_Hst=:=-na}');
Expect(1, 4351, '\p{Is_Hst=na}', "");
Expect(0, 4351, '\p{^Is_Hst=na}', "");
Expect(0, 4351, '\P{Is_Hst=na}', "");
Expect(1, 4351, '\P{^Is_Hst=na}', "");
Expect(0, 4607, '\p{Is_Hst=na}', "");
Expect(1, 4607, '\p{^Is_Hst=na}', "");
Expect(1, 4607, '\P{Is_Hst=na}', "");
Expect(0, 4607, '\P{^Is_Hst=na}', "");
Expect(1, 4351, '\p{Is_Hst=-	na}', "");
Expect(0, 4351, '\p{^Is_Hst=-	na}', "");
Expect(0, 4351, '\P{Is_Hst=-	na}', "");
Expect(1, 4351, '\P{^Is_Hst=-	na}', "");
Expect(0, 4607, '\p{Is_Hst=-	na}', "");
Expect(1, 4607, '\p{^Is_Hst=-	na}', "");
Expect(1, 4607, '\P{Is_Hst=-	na}', "");
Expect(0, 4607, '\P{^Is_Hst=-	na}', "");
Error('\p{Hangul_Syllable_Type=_/a/Leading-JAMO}');
Error('\P{Hangul_Syllable_Type=_/a/Leading-JAMO}');
Expect(1, 4447, '\p{Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 4447, '\p{^Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 4447, '\P{Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 4447, '\P{^Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 4351, '\p{Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 4351, '\p{^Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 4351, '\P{Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 4351, '\P{^Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 4447, '\p{Hangul_Syllable_Type=_-LEADINGjamo}', "");
Expect(0, 4447, '\p{^Hangul_Syllable_Type=_-LEADINGjamo}', "");
Expect(0, 4447, '\P{Hangul_Syllable_Type=_-LEADINGjamo}', "");
Expect(1, 4447, '\P{^Hangul_Syllable_Type=_-LEADINGjamo}', "");
Expect(0, 4351, '\p{Hangul_Syllable_Type=_-LEADINGjamo}', "");
Expect(1, 4351, '\p{^Hangul_Syllable_Type=_-LEADINGjamo}', "");
Expect(1, 4351, '\P{Hangul_Syllable_Type=_-LEADINGjamo}', "");
Expect(0, 4351, '\P{^Hangul_Syllable_Type=_-LEADINGjamo}', "");
Error('\p{Hst=/a/_ l}');
Error('\P{Hst=/a/_ l}');
Expect(1, 4447, '\p{Hst=l}', "");
Expect(0, 4447, '\p{^Hst=l}', "");
Expect(0, 4447, '\P{Hst=l}', "");
Expect(1, 4447, '\P{^Hst=l}', "");
Expect(0, 4351, '\p{Hst=l}', "");
Expect(1, 4351, '\p{^Hst=l}', "");
Expect(1, 4351, '\P{Hst=l}', "");
Expect(0, 4351, '\P{^Hst=l}', "");
Expect(1, 4447, '\p{Hst=_-l}', "");
Expect(0, 4447, '\p{^Hst=_-l}', "");
Expect(0, 4447, '\P{Hst=_-l}', "");
Expect(1, 4447, '\P{^Hst=_-l}', "");
Expect(0, 4351, '\p{Hst=_-l}', "");
Expect(1, 4351, '\p{^Hst=_-l}', "");
Expect(1, 4351, '\P{Hst=_-l}', "");
Expect(0, 4351, '\P{^Hst=_-l}', "");
Error('\p{Is_Hangul_Syllable_Type= 	Leading	Jamo/a/}');
Error('\P{Is_Hangul_Syllable_Type= 	Leading	Jamo/a/}');
Expect(1, 4447, '\p{Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 4447, '\p{^Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 4447, '\P{Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 4447, '\P{^Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 4351, '\p{Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 4351, '\p{^Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 4351, '\P{Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 4351, '\P{^Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 4447, '\p{Is_Hangul_Syllable_Type=_-leading jamo}', "");
Expect(0, 4447, '\p{^Is_Hangul_Syllable_Type=_-leading jamo}', "");
Expect(0, 4447, '\P{Is_Hangul_Syllable_Type=_-leading jamo}', "");
Expect(1, 4447, '\P{^Is_Hangul_Syllable_Type=_-leading jamo}', "");
Expect(0, 4351, '\p{Is_Hangul_Syllable_Type=_-leading jamo}', "");
Expect(1, 4351, '\p{^Is_Hangul_Syllable_Type=_-leading jamo}', "");
Expect(1, 4351, '\P{Is_Hangul_Syllable_Type=_-leading jamo}', "");
Expect(0, 4351, '\P{^Is_Hangul_Syllable_Type=_-leading jamo}', "");
Error('\p{Is_Hst=-	l/a/}');
Error('\P{Is_Hst=-	l/a/}');
Expect(1, 4447, '\p{Is_Hst=l}', "");
Expect(0, 4447, '\p{^Is_Hst=l}', "");
Expect(0, 4447, '\P{Is_Hst=l}', "");
Expect(1, 4447, '\P{^Is_Hst=l}', "");
Expect(0, 4351, '\p{Is_Hst=l}', "");
Expect(1, 4351, '\p{^Is_Hst=l}', "");
Expect(1, 4351, '\P{Is_Hst=l}', "");
Expect(0, 4351, '\P{^Is_Hst=l}', "");
Expect(1, 4447, '\p{Is_Hst= L}', "");
Expect(0, 4447, '\p{^Is_Hst= L}', "");
Expect(0, 4447, '\P{Is_Hst= L}', "");
Expect(1, 4447, '\P{^Is_Hst= L}', "");
Expect(0, 4351, '\p{Is_Hst= L}', "");
Expect(1, 4351, '\p{^Is_Hst= L}', "");
Expect(1, 4351, '\P{Is_Hst= L}', "");
Expect(0, 4351, '\P{^Is_Hst= L}', "");
Error('\p{Noncharacter_Code_Point= /a/yes}');
Error('\P{Noncharacter_Code_Point= /a/yes}');
Expect(0, 64975, '\p{Noncharacter_Code_Point=yes}', "");
Expect(1, 64975, '\p{^Noncharacter_Code_Point=yes}', "");
Expect(1, 64975, '\P{Noncharacter_Code_Point=yes}', "");
Expect(0, 64975, '\P{^Noncharacter_Code_Point=yes}', "");
Expect(0, 64975, '\p{Noncharacter_Code_Point=-YES}', "");
Expect(1, 64975, '\p{^Noncharacter_Code_Point=-YES}', "");
Expect(1, 64975, '\P{Noncharacter_Code_Point=-YES}', "");
Expect(0, 64975, '\P{^Noncharacter_Code_Point=-YES}', "");
Error('\p{NChar=-	Y/a/}');
Error('\P{NChar=-	Y/a/}');
Expect(0, 64975, '\p{NChar=y}', "");
Expect(1, 64975, '\p{^NChar=y}', "");
Expect(1, 64975, '\P{NChar=y}', "");
Expect(0, 64975, '\P{^NChar=y}', "");
Expect(0, 64975, '\p{NChar= -Y}', "");
Expect(1, 64975, '\p{^NChar= -Y}', "");
Expect(1, 64975, '\P{NChar= -Y}', "");
Expect(0, 64975, '\P{^NChar= -Y}', "");
Error('\p{Is_Noncharacter_Code_Point=-T:=}');
Error('\P{Is_Noncharacter_Code_Point=-T:=}');
Expect(0, 64975, '\p{Is_Noncharacter_Code_Point=t}', "");
Expect(1, 64975, '\p{^Is_Noncharacter_Code_Point=t}', "");
Expect(1, 64975, '\P{Is_Noncharacter_Code_Point=t}', "");
Expect(0, 64975, '\P{^Is_Noncharacter_Code_Point=t}', "");
Expect(0, 64975, '\p{Is_Noncharacter_Code_Point= T}', "");
Expect(1, 64975, '\p{^Is_Noncharacter_Code_Point= T}', "");
Expect(1, 64975, '\P{Is_Noncharacter_Code_Point= T}', "");
Expect(0, 64975, '\P{^Is_Noncharacter_Code_Point= T}', "");
Error('\p{Is_NChar=-_true/a/}');
Error('\P{Is_NChar=-_true/a/}');
Expect(0, 64975, '\p{Is_NChar=true}', "");
Expect(1, 64975, '\p{^Is_NChar=true}', "");
Expect(1, 64975, '\P{Is_NChar=true}', "");
Expect(0, 64975, '\P{^Is_NChar=true}', "");
Expect(0, 64975, '\p{Is_NChar=-	true}', "");
Expect(1, 64975, '\p{^Is_NChar=-	true}', "");
Expect(1, 64975, '\P{Is_NChar=-	true}', "");
Expect(0, 64975, '\P{^Is_NChar=-	true}', "");
Error('\p{Noncharacter_Code_Point=_-No/a/}');
Error('\P{Noncharacter_Code_Point=_-No/a/}');
Expect(1, 64975, '\p{Noncharacter_Code_Point=no}', "");
Expect(0, 64975, '\p{^Noncharacter_Code_Point=no}', "");
Expect(0, 64975, '\P{Noncharacter_Code_Point=no}', "");
Expect(1, 64975, '\P{^Noncharacter_Code_Point=no}', "");
Expect(1, 64975, '\p{Noncharacter_Code_Point= -No}', "");
Expect(0, 64975, '\p{^Noncharacter_Code_Point= -No}', "");
Expect(0, 64975, '\P{Noncharacter_Code_Point= -No}', "");
Expect(1, 64975, '\P{^Noncharacter_Code_Point= -No}', "");
Error('\p{NChar= 	n/a/}');
Error('\P{NChar= 	n/a/}');
Expect(1, 64975, '\p{NChar=n}', "");
Expect(0, 64975, '\p{^NChar=n}', "");
Expect(0, 64975, '\P{NChar=n}', "");
Expect(1, 64975, '\P{^NChar=n}', "");
Expect(1, 64975, '\p{NChar=	N}', "");
Expect(0, 64975, '\p{^NChar=	N}', "");
Expect(0, 64975, '\P{NChar=	N}', "");
Expect(1, 64975, '\P{^NChar=	N}', "");
Error('\p{Is_Noncharacter_Code_Point:   :=F}');
Error('\P{Is_Noncharacter_Code_Point:   :=F}');
Expect(1, 64975, '\p{Is_Noncharacter_Code_Point=f}', "");
Expect(0, 64975, '\p{^Is_Noncharacter_Code_Point=f}', "");
Expect(0, 64975, '\P{Is_Noncharacter_Code_Point=f}', "");
Expect(1, 64975, '\P{^Is_Noncharacter_Code_Point=f}', "");
Expect(1, 64975, '\p{Is_Noncharacter_Code_Point=	F}', "");
Expect(0, 64975, '\p{^Is_Noncharacter_Code_Point=	F}', "");
Expect(0, 64975, '\P{Is_Noncharacter_Code_Point=	F}', "");
Expect(1, 64975, '\P{^Is_Noncharacter_Code_Point=	F}', "");
Error('\p{Is_NChar: /a/		False}');
Error('\P{Is_NChar: /a/		False}');
Expect(1, 64975, '\p{Is_NChar=false}', "");
Expect(0, 64975, '\p{^Is_NChar=false}', "");
Expect(0, 64975, '\P{Is_NChar=false}', "");
Expect(1, 64975, '\P{^Is_NChar=false}', "");
Expect(1, 64975, '\p{Is_NChar=_FALSE}', "");
Expect(0, 64975, '\p{^Is_NChar=_FALSE}', "");
Expect(0, 64975, '\P{Is_NChar=_FALSE}', "");
Expect(1, 64975, '\P{^Is_NChar=_FALSE}', "");
Error('\p{Unified_Ideograph:    -Yes/a/}');
Error('\P{Unified_Ideograph:    -Yes/a/}');
Expect(1, 19893, '\p{Unified_Ideograph=yes}', "");
Expect(0, 19893, '\p{^Unified_Ideograph=yes}', "");
Expect(0, 19893, '\P{Unified_Ideograph=yes}', "");
Expect(1, 19893, '\P{^Unified_Ideograph=yes}', "");
Expect(0, 13311, '\p{Unified_Ideograph=yes}', "");
Expect(1, 13311, '\p{^Unified_Ideograph=yes}', "");
Expect(1, 13311, '\P{Unified_Ideograph=yes}', "");
Expect(0, 13311, '\P{^Unified_Ideograph=yes}', "");
Expect(1, 19893, '\p{Unified_Ideograph=-YES}', "");
Expect(0, 19893, '\p{^Unified_Ideograph=-YES}', "");
Expect(0, 19893, '\P{Unified_Ideograph=-YES}', "");
Expect(1, 19893, '\P{^Unified_Ideograph=-YES}', "");
Expect(0, 13311, '\p{Unified_Ideograph=-YES}', "");
Expect(1, 13311, '\p{^Unified_Ideograph=-YES}', "");
Expect(1, 13311, '\P{Unified_Ideograph=-YES}', "");
Expect(0, 13311, '\P{^Unified_Ideograph=-YES}', "");
Error('\p{UIdeo=	/a/Y}');
Error('\P{UIdeo=	/a/Y}');
Expect(1, 19893, '\p{UIdeo=y}', "");
Expect(0, 19893, '\p{^UIdeo=y}', "");
Expect(0, 19893, '\P{UIdeo=y}', "");
Expect(1, 19893, '\P{^UIdeo=y}', "");
Expect(0, 13311, '\p{UIdeo=y}', "");
Expect(1, 13311, '\p{^UIdeo=y}', "");
Expect(1, 13311, '\P{UIdeo=y}', "");
Expect(0, 13311, '\P{^UIdeo=y}', "");
Expect(1, 19893, '\p{UIdeo=		Y}', "");
Expect(0, 19893, '\p{^UIdeo=		Y}', "");
Expect(0, 19893, '\P{UIdeo=		Y}', "");
Expect(1, 19893, '\P{^UIdeo=		Y}', "");
Expect(0, 13311, '\p{UIdeo=		Y}', "");
Expect(1, 13311, '\p{^UIdeo=		Y}', "");
Expect(1, 13311, '\P{UIdeo=		Y}', "");
Expect(0, 13311, '\P{^UIdeo=		Y}', "");
Error('\p{Is_Unified_Ideograph=-/a/t}');
Error('\P{Is_Unified_Ideograph=-/a/t}');
Expect(1, 19893, '\p{Is_Unified_Ideograph=t}', "");
Expect(0, 19893, '\p{^Is_Unified_Ideograph=t}', "");
Expect(0, 19893, '\P{Is_Unified_Ideograph=t}', "");
Expect(1, 19893, '\P{^Is_Unified_Ideograph=t}', "");
Expect(0, 13311, '\p{Is_Unified_Ideograph=t}', "");
Expect(1, 13311, '\p{^Is_Unified_Ideograph=t}', "");
Expect(1, 13311, '\P{Is_Unified_Ideograph=t}', "");
Expect(0, 13311, '\P{^Is_Unified_Ideograph=t}', "");
Expect(1, 19893, '\p{Is_Unified_Ideograph=-T}', "");
Expect(0, 19893, '\p{^Is_Unified_Ideograph=-T}', "");
Expect(0, 19893, '\P{Is_Unified_Ideograph=-T}', "");
Expect(1, 19893, '\P{^Is_Unified_Ideograph=-T}', "");
Expect(0, 13311, '\p{Is_Unified_Ideograph=-T}', "");
Expect(1, 13311, '\p{^Is_Unified_Ideograph=-T}', "");
Expect(1, 13311, '\P{Is_Unified_Ideograph=-T}', "");
Expect(0, 13311, '\P{^Is_Unified_Ideograph=-T}', "");
Error('\p{Is_UIdeo= /a/TRUE}');
Error('\P{Is_UIdeo= /a/TRUE}');
Expect(1, 19893, '\p{Is_UIdeo=true}', "");
Expect(0, 19893, '\p{^Is_UIdeo=true}', "");
Expect(0, 19893, '\P{Is_UIdeo=true}', "");
Expect(1, 19893, '\P{^Is_UIdeo=true}', "");
Expect(0, 13311, '\p{Is_UIdeo=true}', "");
Expect(1, 13311, '\p{^Is_UIdeo=true}', "");
Expect(1, 13311, '\P{Is_UIdeo=true}', "");
Expect(0, 13311, '\P{^Is_UIdeo=true}', "");
Expect(1, 19893, '\p{Is_UIdeo=_ True}', "");
Expect(0, 19893, '\p{^Is_UIdeo=_ True}', "");
Expect(0, 19893, '\P{Is_UIdeo=_ True}', "");
Expect(1, 19893, '\P{^Is_UIdeo=_ True}', "");
Expect(0, 13311, '\p{Is_UIdeo=_ True}', "");
Expect(1, 13311, '\p{^Is_UIdeo=_ True}', "");
Expect(1, 13311, '\P{Is_UIdeo=_ True}', "");
Expect(0, 13311, '\P{^Is_UIdeo=_ True}', "");
Error('\p{Unified_Ideograph=:=  NO}');
Error('\P{Unified_Ideograph=:=  NO}');
Expect(1, 13311, '\p{Unified_Ideograph: no}', "");
Expect(0, 13311, '\p{^Unified_Ideograph: no}', "");
Expect(0, 13311, '\P{Unified_Ideograph: no}', "");
Expect(1, 13311, '\P{^Unified_Ideograph: no}', "");
Expect(0, 19893, '\p{Unified_Ideograph: no}', "");
Expect(1, 19893, '\p{^Unified_Ideograph: no}', "");
Expect(1, 19893, '\P{Unified_Ideograph: no}', "");
Expect(0, 19893, '\P{^Unified_Ideograph: no}', "");
Expect(1, 13311, '\p{Unified_Ideograph=_NO}', "");
Expect(0, 13311, '\p{^Unified_Ideograph=_NO}', "");
Expect(0, 13311, '\P{Unified_Ideograph=_NO}', "");
Expect(1, 13311, '\P{^Unified_Ideograph=_NO}', "");
Expect(0, 19893, '\p{Unified_Ideograph=_NO}', "");
Expect(1, 19893, '\p{^Unified_Ideograph=_NO}', "");
Expect(1, 19893, '\P{Unified_Ideograph=_NO}', "");
Expect(0, 19893, '\P{^Unified_Ideograph=_NO}', "");
Error('\p{UIdeo=:=_	N}');
Error('\P{UIdeo=:=_	N}');
Expect(1, 13311, '\p{UIdeo=n}', "");
Expect(0, 13311, '\p{^UIdeo=n}', "");
Expect(0, 13311, '\P{UIdeo=n}', "");
Expect(1, 13311, '\P{^UIdeo=n}', "");
Expect(0, 19893, '\p{UIdeo=n}', "");
Expect(1, 19893, '\p{^UIdeo=n}', "");
Expect(1, 19893, '\P{UIdeo=n}', "");
Expect(0, 19893, '\P{^UIdeo=n}', "");
Expect(1, 13311, '\p{UIdeo=	 N}', "");
Expect(0, 13311, '\p{^UIdeo=	 N}', "");
Expect(0, 13311, '\P{UIdeo=	 N}', "");
Expect(1, 13311, '\P{^UIdeo=	 N}', "");
Expect(0, 19893, '\p{UIdeo=	 N}', "");
Expect(1, 19893, '\p{^UIdeo=	 N}', "");
Expect(1, 19893, '\P{UIdeo=	 N}', "");
Expect(0, 19893, '\P{^UIdeo=	 N}', "");
Error('\p{Is_Unified_Ideograph=:=- F}');
Error('\P{Is_Unified_Ideograph=:=- F}');
Expect(1, 13311, '\p{Is_Unified_Ideograph=f}', "");
Expect(0, 13311, '\p{^Is_Unified_Ideograph=f}', "");
Expect(0, 13311, '\P{Is_Unified_Ideograph=f}', "");
Expect(1, 13311, '\P{^Is_Unified_Ideograph=f}', "");
Expect(0, 19893, '\p{Is_Unified_Ideograph=f}', "");
Expect(1, 19893, '\p{^Is_Unified_Ideograph=f}', "");
Expect(1, 19893, '\P{Is_Unified_Ideograph=f}', "");
Expect(0, 19893, '\P{^Is_Unified_Ideograph=f}', "");
Expect(1, 13311, '\p{Is_Unified_Ideograph:	-F}', "");
Expect(0, 13311, '\p{^Is_Unified_Ideograph:	-F}', "");
Expect(0, 13311, '\P{Is_Unified_Ideograph:	-F}', "");
Expect(1, 13311, '\P{^Is_Unified_Ideograph:	-F}', "");
Expect(0, 19893, '\p{Is_Unified_Ideograph:	-F}', "");
Expect(1, 19893, '\p{^Is_Unified_Ideograph:	-F}', "");
Expect(1, 19893, '\P{Is_Unified_Ideograph:	-F}', "");
Expect(0, 19893, '\P{^Is_Unified_Ideograph:	-F}', "");
Error('\p{Is_UIdeo= :=False}');
Error('\P{Is_UIdeo= :=False}');
Expect(1, 13311, '\p{Is_UIdeo=false}', "");
Expect(0, 13311, '\p{^Is_UIdeo=false}', "");
Expect(0, 13311, '\P{Is_UIdeo=false}', "");
Expect(1, 13311, '\P{^Is_UIdeo=false}', "");
Expect(0, 19893, '\p{Is_UIdeo=false}', "");
Expect(1, 19893, '\p{^Is_UIdeo=false}', "");
Expect(1, 19893, '\P{Is_UIdeo=false}', "");
Expect(0, 19893, '\P{^Is_UIdeo=false}', "");
Expect(1, 13311, '\p{Is_UIdeo=--FALSE}', "");
Expect(0, 13311, '\p{^Is_UIdeo=--FALSE}', "");
Expect(0, 13311, '\P{Is_UIdeo=--FALSE}', "");
Expect(1, 13311, '\P{^Is_UIdeo=--FALSE}', "");
Expect(0, 19893, '\p{Is_UIdeo=--FALSE}', "");
Expect(1, 19893, '\p{^Is_UIdeo=--FALSE}', "");
Expect(1, 19893, '\P{Is_UIdeo=--FALSE}', "");
Expect(0, 19893, '\P{^Is_UIdeo=--FALSE}', "");
Error('\p{Diacritic=	:=Yes}');
Error('\P{Diacritic=	:=Yes}');
Expect(1, 94, '\p{Diacritic=yes}', "");
Expect(0, 94, '\p{^Diacritic=yes}', "");
Expect(0, 94, '\P{Diacritic=yes}', "");
Expect(1, 94, '\P{^Diacritic=yes}', "");
Expect(0, 93, '\p{Diacritic=yes}', "");
Expect(1, 93, '\p{^Diacritic=yes}', "");
Expect(1, 93, '\P{Diacritic=yes}', "");
Expect(0, 93, '\P{^Diacritic=yes}', "");
Expect(1, 94, '\p{Diacritic:-	YES}', "");
Expect(0, 94, '\p{^Diacritic:-	YES}', "");
Expect(0, 94, '\P{Diacritic:-	YES}', "");
Expect(1, 94, '\P{^Diacritic:-	YES}', "");
Expect(0, 93, '\p{Diacritic:-	YES}', "");
Expect(1, 93, '\p{^Diacritic:-	YES}', "");
Expect(1, 93, '\P{Diacritic:-	YES}', "");
Expect(0, 93, '\P{^Diacritic:-	YES}', "");
Error('\p{Dia:	_Y:=}');
Error('\P{Dia:	_Y:=}');
Expect(1, 94, '\p{Dia=y}', "");
Expect(0, 94, '\p{^Dia=y}', "");
Expect(0, 94, '\P{Dia=y}', "");
Expect(1, 94, '\P{^Dia=y}', "");
Expect(0, 93, '\p{Dia=y}', "");
Expect(1, 93, '\p{^Dia=y}', "");
Expect(1, 93, '\P{Dia=y}', "");
Expect(0, 93, '\P{^Dia=y}', "");
Expect(1, 94, '\p{Dia=-Y}', "");
Expect(0, 94, '\p{^Dia=-Y}', "");
Expect(0, 94, '\P{Dia=-Y}', "");
Expect(1, 94, '\P{^Dia=-Y}', "");
Expect(0, 93, '\p{Dia=-Y}', "");
Expect(1, 93, '\p{^Dia=-Y}', "");
Expect(1, 93, '\P{Dia=-Y}', "");
Expect(0, 93, '\P{^Dia=-Y}', "");
Error('\p{Is_Diacritic= -T/a/}');
Error('\P{Is_Diacritic= -T/a/}');
Expect(1, 94, '\p{Is_Diacritic=t}', "");
Expect(0, 94, '\p{^Is_Diacritic=t}', "");
Expect(0, 94, '\P{Is_Diacritic=t}', "");
Expect(1, 94, '\P{^Is_Diacritic=t}', "");
Expect(0, 93, '\p{Is_Diacritic=t}', "");
Expect(1, 93, '\p{^Is_Diacritic=t}', "");
Expect(1, 93, '\P{Is_Diacritic=t}', "");
Expect(0, 93, '\P{^Is_Diacritic=t}', "");
Expect(1, 94, '\p{Is_Diacritic=	-T}', "");
Expect(0, 94, '\p{^Is_Diacritic=	-T}', "");
Expect(0, 94, '\P{Is_Diacritic=	-T}', "");
Expect(1, 94, '\P{^Is_Diacritic=	-T}', "");
Expect(0, 93, '\p{Is_Diacritic=	-T}', "");
Expect(1, 93, '\p{^Is_Diacritic=	-T}', "");
Expect(1, 93, '\P{Is_Diacritic=	-T}', "");
Expect(0, 93, '\P{^Is_Diacritic=	-T}', "");
Error('\p{Is_Dia=/a/ true}');
Error('\P{Is_Dia=/a/ true}');
Expect(1, 94, '\p{Is_Dia=true}', "");
Expect(0, 94, '\p{^Is_Dia=true}', "");
Expect(0, 94, '\P{Is_Dia=true}', "");
Expect(1, 94, '\P{^Is_Dia=true}', "");
Expect(0, 93, '\p{Is_Dia=true}', "");
Expect(1, 93, '\p{^Is_Dia=true}', "");
Expect(1, 93, '\P{Is_Dia=true}', "");
Expect(0, 93, '\P{^Is_Dia=true}', "");
Expect(1, 94, '\p{Is_Dia=_TRUE}', "");
Expect(0, 94, '\p{^Is_Dia=_TRUE}', "");
Expect(0, 94, '\P{Is_Dia=_TRUE}', "");
Expect(1, 94, '\P{^Is_Dia=_TRUE}', "");
Expect(0, 93, '\p{Is_Dia=_TRUE}', "");
Expect(1, 93, '\p{^Is_Dia=_TRUE}', "");
Expect(1, 93, '\P{Is_Dia=_TRUE}', "");
Expect(0, 93, '\P{^Is_Dia=_TRUE}', "");
Error('\p{Diacritic=_ NO:=}');
Error('\P{Diacritic=_ NO:=}');
Expect(1, 93, '\p{Diacritic=no}', "");
Expect(0, 93, '\p{^Diacritic=no}', "");
Expect(0, 93, '\P{Diacritic=no}', "");
Expect(1, 93, '\P{^Diacritic=no}', "");
Expect(0, 94, '\p{Diacritic=no}', "");
Expect(1, 94, '\p{^Diacritic=no}', "");
Expect(1, 94, '\P{Diacritic=no}', "");
Expect(0, 94, '\P{^Diacritic=no}', "");
Expect(1, 93, '\p{Diacritic=	 NO}', "");
Expect(0, 93, '\p{^Diacritic=	 NO}', "");
Expect(0, 93, '\P{Diacritic=	 NO}', "");
Expect(1, 93, '\P{^Diacritic=	 NO}', "");
Expect(0, 94, '\p{Diacritic=	 NO}', "");
Expect(1, 94, '\p{^Diacritic=	 NO}', "");
Expect(1, 94, '\P{Diacritic=	 NO}', "");
Expect(0, 94, '\P{^Diacritic=	 NO}', "");
Error('\p{Dia=	n:=}');
Error('\P{Dia=	n:=}');
Expect(1, 93, '\p{Dia=n}', "");
Expect(0, 93, '\p{^Dia=n}', "");
Expect(0, 93, '\P{Dia=n}', "");
Expect(1, 93, '\P{^Dia=n}', "");
Expect(0, 94, '\p{Dia=n}', "");
Expect(1, 94, '\p{^Dia=n}', "");
Expect(1, 94, '\P{Dia=n}', "");
Expect(0, 94, '\P{^Dia=n}', "");
Expect(1, 93, '\p{Dia= -N}', "");
Expect(0, 93, '\p{^Dia= -N}', "");
Expect(0, 93, '\P{Dia= -N}', "");
Expect(1, 93, '\P{^Dia= -N}', "");
Expect(0, 94, '\p{Dia= -N}', "");
Expect(1, 94, '\p{^Dia= -N}', "");
Expect(1, 94, '\P{Dia= -N}', "");
Expect(0, 94, '\P{^Dia= -N}', "");
Error('\p{Is_Diacritic=:=_ F}');
Error('\P{Is_Diacritic=:=_ F}');
Expect(1, 93, '\p{Is_Diacritic=f}', "");
Expect(0, 93, '\p{^Is_Diacritic=f}', "");
Expect(0, 93, '\P{Is_Diacritic=f}', "");
Expect(1, 93, '\P{^Is_Diacritic=f}', "");
Expect(0, 94, '\p{Is_Diacritic=f}', "");
Expect(1, 94, '\p{^Is_Diacritic=f}', "");
Expect(1, 94, '\P{Is_Diacritic=f}', "");
Expect(0, 94, '\P{^Is_Diacritic=f}', "");
Expect(1, 93, '\p{Is_Diacritic=	 f}', "");
Expect(0, 93, '\p{^Is_Diacritic=	 f}', "");
Expect(0, 93, '\P{Is_Diacritic=	 f}', "");
Expect(1, 93, '\P{^Is_Diacritic=	 f}', "");
Expect(0, 94, '\p{Is_Diacritic=	 f}', "");
Expect(1, 94, '\p{^Is_Diacritic=	 f}', "");
Expect(1, 94, '\P{Is_Diacritic=	 f}', "");
Expect(0, 94, '\P{^Is_Diacritic=	 f}', "");
Error('\p{Is_Dia=-/a/False}');
Error('\P{Is_Dia=-/a/False}');
Expect(1, 93, '\p{Is_Dia=false}', "");
Expect(0, 93, '\p{^Is_Dia=false}', "");
Expect(0, 93, '\P{Is_Dia=false}', "");
Expect(1, 93, '\P{^Is_Dia=false}', "");
Expect(0, 94, '\p{Is_Dia=false}', "");
Expect(1, 94, '\p{^Is_Dia=false}', "");
Expect(1, 94, '\P{Is_Dia=false}', "");
Expect(0, 94, '\P{^Is_Dia=false}', "");
Expect(1, 93, '\p{Is_Dia: 	-False}', "");
Expect(0, 93, '\p{^Is_Dia: 	-False}', "");
Expect(0, 93, '\P{Is_Dia: 	-False}', "");
Expect(1, 93, '\P{^Is_Dia: 	-False}', "");
Expect(0, 94, '\p{Is_Dia: 	-False}', "");
Expect(1, 94, '\p{^Is_Dia: 	-False}', "");
Expect(1, 94, '\P{Is_Dia: 	-False}', "");
Expect(0, 94, '\P{^Is_Dia: 	-False}', "");
Error('\p{Perl_Canonical_Combining_Class=0}');
Error('\P{Perl_Canonical_Combining_Class=0}');
Error('\p{Perl_ccc=0}');
Error('\P{Perl_ccc=0}');
Error('\p{Grapheme_Extend= /a/Yes}');
Error('\P{Grapheme_Extend= /a/Yes}');
Expect(1, 879, '\p{Grapheme_Extend=yes}', "");
Expect(0, 879, '\p{^Grapheme_Extend=yes}', "");
Expect(0, 879, '\P{Grapheme_Extend=yes}', "");
Expect(1, 879, '\P{^Grapheme_Extend=yes}', "");
Expect(0, 767, '\p{Grapheme_Extend=yes}', "");
Expect(1, 767, '\p{^Grapheme_Extend=yes}', "");
Expect(1, 767, '\P{Grapheme_Extend=yes}', "");
Expect(0, 767, '\P{^Grapheme_Extend=yes}', "");
Expect(1, 879, '\p{Grapheme_Extend=-_Yes}', "");
Expect(0, 879, '\p{^Grapheme_Extend=-_Yes}', "");
Expect(0, 879, '\P{Grapheme_Extend=-_Yes}', "");
Expect(1, 879, '\P{^Grapheme_Extend=-_Yes}', "");
Expect(0, 767, '\p{Grapheme_Extend=-_Yes}', "");
Expect(1, 767, '\p{^Grapheme_Extend=-_Yes}', "");
Expect(1, 767, '\P{Grapheme_Extend=-_Yes}', "");
Expect(0, 767, '\P{^Grapheme_Extend=-_Yes}', "");
Error('\p{Gr_Ext=-:=Y}');
Error('\P{Gr_Ext=-:=Y}');
Expect(1, 879, '\p{Gr_Ext=y}', "");
Expect(0, 879, '\p{^Gr_Ext=y}', "");
Expect(0, 879, '\P{Gr_Ext=y}', "");
Expect(1, 879, '\P{^Gr_Ext=y}', "");
Expect(0, 767, '\p{Gr_Ext=y}', "");
Expect(1, 767, '\p{^Gr_Ext=y}', "");
Expect(1, 767, '\P{Gr_Ext=y}', "");
Expect(0, 767, '\P{^Gr_Ext=y}', "");
Expect(1, 879, '\p{Gr_Ext= -Y}', "");
Expect(0, 879, '\p{^Gr_Ext= -Y}', "");
Expect(0, 879, '\P{Gr_Ext= -Y}', "");
Expect(1, 879, '\P{^Gr_Ext= -Y}', "");
Expect(0, 767, '\p{Gr_Ext= -Y}', "");
Expect(1, 767, '\p{^Gr_Ext= -Y}', "");
Expect(1, 767, '\P{Gr_Ext= -Y}', "");
Expect(0, 767, '\P{^Gr_Ext= -Y}', "");
Error('\p{Is_Grapheme_Extend= _T:=}');
Error('\P{Is_Grapheme_Extend= _T:=}');
Expect(1, 879, '\p{Is_Grapheme_Extend=t}', "");
Expect(0, 879, '\p{^Is_Grapheme_Extend=t}', "");
Expect(0, 879, '\P{Is_Grapheme_Extend=t}', "");
Expect(1, 879, '\P{^Is_Grapheme_Extend=t}', "");
Expect(0, 767, '\p{Is_Grapheme_Extend=t}', "");
Expect(1, 767, '\p{^Is_Grapheme_Extend=t}', "");
Expect(1, 767, '\P{Is_Grapheme_Extend=t}', "");
Expect(0, 767, '\P{^Is_Grapheme_Extend=t}', "");
Expect(1, 879, '\p{Is_Grapheme_Extend:	--T}', "");
Expect(0, 879, '\p{^Is_Grapheme_Extend:	--T}', "");
Expect(0, 879, '\P{Is_Grapheme_Extend:	--T}', "");
Expect(1, 879, '\P{^Is_Grapheme_Extend:	--T}', "");
Expect(0, 767, '\p{Is_Grapheme_Extend:	--T}', "");
Expect(1, 767, '\p{^Is_Grapheme_Extend:	--T}', "");
Expect(1, 767, '\P{Is_Grapheme_Extend:	--T}', "");
Expect(0, 767, '\P{^Is_Grapheme_Extend:	--T}', "");
Error('\p{Is_Gr_Ext=/a/  TRUE}');
Error('\P{Is_Gr_Ext=/a/  TRUE}');
Expect(1, 879, '\p{Is_Gr_Ext=true}', "");
Expect(0, 879, '\p{^Is_Gr_Ext=true}', "");
Expect(0, 879, '\P{Is_Gr_Ext=true}', "");
Expect(1, 879, '\P{^Is_Gr_Ext=true}', "");
Expect(0, 767, '\p{Is_Gr_Ext=true}', "");
Expect(1, 767, '\p{^Is_Gr_Ext=true}', "");
Expect(1, 767, '\P{Is_Gr_Ext=true}', "");
Expect(0, 767, '\P{^Is_Gr_Ext=true}', "");
Expect(1, 879, '\p{Is_Gr_Ext= _True}', "");
Expect(0, 879, '\p{^Is_Gr_Ext= _True}', "");
Expect(0, 879, '\P{Is_Gr_Ext= _True}', "");
Expect(1, 879, '\P{^Is_Gr_Ext= _True}', "");
Expect(0, 767, '\p{Is_Gr_Ext= _True}', "");
Expect(1, 767, '\p{^Is_Gr_Ext= _True}', "");
Expect(1, 767, '\P{Is_Gr_Ext= _True}', "");
Expect(0, 767, '\P{^Is_Gr_Ext= _True}', "");
Error('\p{Grapheme_Extend:	 No/a/}');
Error('\P{Grapheme_Extend:	 No/a/}');
Expect(1, 767, '\p{Grapheme_Extend=no}', "");
Expect(0, 767, '\p{^Grapheme_Extend=no}', "");
Expect(0, 767, '\P{Grapheme_Extend=no}', "");
Expect(1, 767, '\P{^Grapheme_Extend=no}', "");
Expect(0, 879, '\p{Grapheme_Extend=no}', "");
Expect(1, 879, '\p{^Grapheme_Extend=no}', "");
Expect(1, 879, '\P{Grapheme_Extend=no}', "");
Expect(0, 879, '\P{^Grapheme_Extend=no}', "");
Expect(1, 767, '\p{Grapheme_Extend: _	No}', "");
Expect(0, 767, '\p{^Grapheme_Extend: _	No}', "");
Expect(0, 767, '\P{Grapheme_Extend: _	No}', "");
Expect(1, 767, '\P{^Grapheme_Extend: _	No}', "");
Expect(0, 879, '\p{Grapheme_Extend: _	No}', "");
Expect(1, 879, '\p{^Grapheme_Extend: _	No}', "");
Expect(1, 879, '\P{Grapheme_Extend: _	No}', "");
Expect(0, 879, '\P{^Grapheme_Extend: _	No}', "");
Error('\p{Gr_Ext=-_N/a/}');
Error('\P{Gr_Ext=-_N/a/}');
Expect(1, 767, '\p{Gr_Ext=n}', "");
Expect(0, 767, '\p{^Gr_Ext=n}', "");
Expect(0, 767, '\P{Gr_Ext=n}', "");
Expect(1, 767, '\P{^Gr_Ext=n}', "");
Expect(0, 879, '\p{Gr_Ext=n}', "");
Expect(1, 879, '\p{^Gr_Ext=n}', "");
Expect(1, 879, '\P{Gr_Ext=n}', "");
Expect(0, 879, '\P{^Gr_Ext=n}', "");
Expect(1, 767, '\p{Gr_Ext= -N}', "");
Expect(0, 767, '\p{^Gr_Ext= -N}', "");
Expect(0, 767, '\P{Gr_Ext= -N}', "");
Expect(1, 767, '\P{^Gr_Ext= -N}', "");
Expect(0, 879, '\p{Gr_Ext= -N}', "");
Expect(1, 879, '\p{^Gr_Ext= -N}', "");
Expect(1, 879, '\P{Gr_Ext= -N}', "");
Expect(0, 879, '\P{^Gr_Ext= -N}', "");
Error('\p{Is_Grapheme_Extend: 	/a/F}');
Error('\P{Is_Grapheme_Extend: 	/a/F}');
Expect(1, 767, '\p{Is_Grapheme_Extend=f}', "");
Expect(0, 767, '\p{^Is_Grapheme_Extend=f}', "");
Expect(0, 767, '\P{Is_Grapheme_Extend=f}', "");
Expect(1, 767, '\P{^Is_Grapheme_Extend=f}', "");
Expect(0, 879, '\p{Is_Grapheme_Extend=f}', "");
Expect(1, 879, '\p{^Is_Grapheme_Extend=f}', "");
Expect(1, 879, '\P{Is_Grapheme_Extend=f}', "");
Expect(0, 879, '\P{^Is_Grapheme_Extend=f}', "");
Expect(1, 767, '\p{Is_Grapheme_Extend=_ F}', "");
Expect(0, 767, '\p{^Is_Grapheme_Extend=_ F}', "");
Expect(0, 767, '\P{Is_Grapheme_Extend=_ F}', "");
Expect(1, 767, '\P{^Is_Grapheme_Extend=_ F}', "");
Expect(0, 879, '\p{Is_Grapheme_Extend=_ F}', "");
Expect(1, 879, '\p{^Is_Grapheme_Extend=_ F}', "");
Expect(1, 879, '\P{Is_Grapheme_Extend=_ F}', "");
Expect(0, 879, '\P{^Is_Grapheme_Extend=_ F}', "");
Error('\p{Is_Gr_Ext= /a/FALSE}');
Error('\P{Is_Gr_Ext= /a/FALSE}');
Expect(1, 767, '\p{Is_Gr_Ext=false}', "");
Expect(0, 767, '\p{^Is_Gr_Ext=false}', "");
Expect(0, 767, '\P{Is_Gr_Ext=false}', "");
Expect(1, 767, '\P{^Is_Gr_Ext=false}', "");
Expect(0, 879, '\p{Is_Gr_Ext=false}', "");
Expect(1, 879, '\p{^Is_Gr_Ext=false}', "");
Expect(1, 879, '\P{Is_Gr_Ext=false}', "");
Expect(0, 879, '\P{^Is_Gr_Ext=false}', "");
Expect(1, 767, '\p{Is_Gr_Ext:  _false}', "");
Expect(0, 767, '\p{^Is_Gr_Ext:  _false}', "");
Expect(0, 767, '\P{Is_Gr_Ext:  _false}', "");
Expect(1, 767, '\P{^Is_Gr_Ext:  _false}', "");
Expect(0, 879, '\p{Is_Gr_Ext:  _false}', "");
Expect(1, 879, '\p{^Is_Gr_Ext:  _false}', "");
Expect(1, 879, '\P{Is_Gr_Ext:  _false}', "");
Expect(0, 879, '\P{^Is_Gr_Ext:  _false}', "");
Error('\p{Other_ID_Continue=	 Yes/a/}');
Error('\P{Other_ID_Continue=	 Yes/a/}');
Expect(1, 183, '\p{Other_ID_Continue=yes}', 'deprecated');
Expect(0, 183, '\p{^Other_ID_Continue=yes}', 'deprecated');
Expect(0, 183, '\P{Other_ID_Continue=yes}', 'deprecated');
Expect(1, 183, '\P{^Other_ID_Continue=yes}', 'deprecated');
Expect(0, 182, '\p{Other_ID_Continue=yes}', 'deprecated');
Expect(1, 182, '\p{^Other_ID_Continue=yes}', 'deprecated');
Expect(1, 182, '\P{Other_ID_Continue=yes}', 'deprecated');
Expect(0, 182, '\P{^Other_ID_Continue=yes}', 'deprecated');
Expect(1, 183, '\p{Other_ID_Continue=		yes}', 'deprecated');
Expect(0, 183, '\p{^Other_ID_Continue=		yes}', 'deprecated');
Expect(0, 183, '\P{Other_ID_Continue=		yes}', 'deprecated');
Expect(1, 183, '\P{^Other_ID_Continue=		yes}', 'deprecated');
Expect(0, 182, '\p{Other_ID_Continue=		yes}', 'deprecated');
Expect(1, 182, '\p{^Other_ID_Continue=		yes}', 'deprecated');
Expect(1, 182, '\P{Other_ID_Continue=		yes}', 'deprecated');
Expect(0, 182, '\P{^Other_ID_Continue=		yes}', 'deprecated');
Error('\p{OIDC=	/a/y}');
Error('\P{OIDC=	/a/y}');
Expect(1, 183, '\p{OIDC=y}', 'deprecated');
Expect(0, 183, '\p{^OIDC=y}', 'deprecated');
Expect(0, 183, '\P{OIDC=y}', 'deprecated');
Expect(1, 183, '\P{^OIDC=y}', 'deprecated');
Expect(0, 182, '\p{OIDC=y}', 'deprecated');
Expect(1, 182, '\p{^OIDC=y}', 'deprecated');
Expect(1, 182, '\P{OIDC=y}', 'deprecated');
Expect(0, 182, '\P{^OIDC=y}', 'deprecated');
Expect(1, 183, '\p{OIDC:	_	y}', 'deprecated');
Expect(0, 183, '\p{^OIDC:	_	y}', 'deprecated');
Expect(0, 183, '\P{OIDC:	_	y}', 'deprecated');
Expect(1, 183, '\P{^OIDC:	_	y}', 'deprecated');
Expect(0, 182, '\p{OIDC:	_	y}', 'deprecated');
Expect(1, 182, '\p{^OIDC:	_	y}', 'deprecated');
Expect(1, 182, '\P{OIDC:	_	y}', 'deprecated');
Expect(0, 182, '\P{^OIDC:	_	y}', 'deprecated');
Error('\p{Is_Other_ID_Continue= :=T}');
Error('\P{Is_Other_ID_Continue= :=T}');
Expect(1, 183, '\p{Is_Other_ID_Continue: t}', 'deprecated');
Expect(0, 183, '\p{^Is_Other_ID_Continue: t}', 'deprecated');
Expect(0, 183, '\P{Is_Other_ID_Continue: t}', 'deprecated');
Expect(1, 183, '\P{^Is_Other_ID_Continue: t}', 'deprecated');
Expect(0, 182, '\p{Is_Other_ID_Continue: t}', 'deprecated');
Expect(1, 182, '\p{^Is_Other_ID_Continue: t}', 'deprecated');
Expect(1, 182, '\P{Is_Other_ID_Continue: t}', 'deprecated');
Expect(0, 182, '\P{^Is_Other_ID_Continue: t}', 'deprecated');
Expect(1, 183, '\p{Is_Other_ID_Continue=	t}', 'deprecated');
Expect(0, 183, '\p{^Is_Other_ID_Continue=	t}', 'deprecated');
Expect(0, 183, '\P{Is_Other_ID_Continue=	t}', 'deprecated');
Expect(1, 183, '\P{^Is_Other_ID_Continue=	t}', 'deprecated');
Expect(0, 182, '\p{Is_Other_ID_Continue=	t}', 'deprecated');
Expect(1, 182, '\p{^Is_Other_ID_Continue=	t}', 'deprecated');
Expect(1, 182, '\P{Is_Other_ID_Continue=	t}', 'deprecated');
Expect(0, 182, '\P{^Is_Other_ID_Continue=	t}', 'deprecated');
Error('\p{Is_OIDC= /a/true}');
Error('\P{Is_OIDC= /a/true}');
Expect(1, 183, '\p{Is_OIDC=true}', 'deprecated');
Expect(0, 183, '\p{^Is_OIDC=true}', 'deprecated');
Expect(0, 183, '\P{Is_OIDC=true}', 'deprecated');
Expect(1, 183, '\P{^Is_OIDC=true}', 'deprecated');
Expect(0, 182, '\p{Is_OIDC=true}', 'deprecated');
Expect(1, 182, '\p{^Is_OIDC=true}', 'deprecated');
Expect(1, 182, '\P{Is_OIDC=true}', 'deprecated');
Expect(0, 182, '\P{^Is_OIDC=true}', 'deprecated');
Expect(1, 183, '\p{Is_OIDC=__True}', 'deprecated');
Expect(0, 183, '\p{^Is_OIDC=__True}', 'deprecated');
Expect(0, 183, '\P{Is_OIDC=__True}', 'deprecated');
Expect(1, 183, '\P{^Is_OIDC=__True}', 'deprecated');
Expect(0, 182, '\p{Is_OIDC=__True}', 'deprecated');
Expect(1, 182, '\p{^Is_OIDC=__True}', 'deprecated');
Expect(1, 182, '\P{Is_OIDC=__True}', 'deprecated');
Expect(0, 182, '\P{^Is_OIDC=__True}', 'deprecated');
Error('\p{Other_ID_Continue=:= NO}');
Error('\P{Other_ID_Continue=:= NO}');
Expect(1, 182, '\p{Other_ID_Continue: no}', 'deprecated');
Expect(0, 182, '\p{^Other_ID_Continue: no}', 'deprecated');
Expect(0, 182, '\P{Other_ID_Continue: no}', 'deprecated');
Expect(1, 182, '\P{^Other_ID_Continue: no}', 'deprecated');
Expect(0, 183, '\p{Other_ID_Continue: no}', 'deprecated');
Expect(1, 183, '\p{^Other_ID_Continue: no}', 'deprecated');
Expect(1, 183, '\P{Other_ID_Continue: no}', 'deprecated');
Expect(0, 183, '\P{^Other_ID_Continue: no}', 'deprecated');
Expect(1, 182, '\p{Other_ID_Continue=_No}', 'deprecated');
Expect(0, 182, '\p{^Other_ID_Continue=_No}', 'deprecated');
Expect(0, 182, '\P{Other_ID_Continue=_No}', 'deprecated');
Expect(1, 182, '\P{^Other_ID_Continue=_No}', 'deprecated');
Expect(0, 183, '\p{Other_ID_Continue=_No}', 'deprecated');
Expect(1, 183, '\p{^Other_ID_Continue=_No}', 'deprecated');
Expect(1, 183, '\P{Other_ID_Continue=_No}', 'deprecated');
Expect(0, 183, '\P{^Other_ID_Continue=_No}', 'deprecated');
Error('\p{OIDC=:= N}');
Error('\P{OIDC=:= N}');
Expect(1, 182, '\p{OIDC=n}', 'deprecated');
Expect(0, 182, '\p{^OIDC=n}', 'deprecated');
Expect(0, 182, '\P{OIDC=n}', 'deprecated');
Expect(1, 182, '\P{^OIDC=n}', 'deprecated');
Expect(0, 183, '\p{OIDC=n}', 'deprecated');
Expect(1, 183, '\p{^OIDC=n}', 'deprecated');
Expect(1, 183, '\P{OIDC=n}', 'deprecated');
Expect(0, 183, '\P{^OIDC=n}', 'deprecated');
Expect(1, 182, '\p{OIDC= N}', 'deprecated');
Expect(0, 182, '\p{^OIDC= N}', 'deprecated');
Expect(0, 182, '\P{OIDC= N}', 'deprecated');
Expect(1, 182, '\P{^OIDC= N}', 'deprecated');
Expect(0, 183, '\p{OIDC= N}', 'deprecated');
Expect(1, 183, '\p{^OIDC= N}', 'deprecated');
Expect(1, 183, '\P{OIDC= N}', 'deprecated');
Expect(0, 183, '\P{^OIDC= N}', 'deprecated');
Error('\p{Is_Other_ID_Continue= 	f/a/}');
Error('\P{Is_Other_ID_Continue= 	f/a/}');
Expect(1, 182, '\p{Is_Other_ID_Continue=f}', 'deprecated');
Expect(0, 182, '\p{^Is_Other_ID_Continue=f}', 'deprecated');
Expect(0, 182, '\P{Is_Other_ID_Continue=f}', 'deprecated');
Expect(1, 182, '\P{^Is_Other_ID_Continue=f}', 'deprecated');
Expect(0, 183, '\p{Is_Other_ID_Continue=f}', 'deprecated');
Expect(1, 183, '\p{^Is_Other_ID_Continue=f}', 'deprecated');
Expect(1, 183, '\P{Is_Other_ID_Continue=f}', 'deprecated');
Expect(0, 183, '\P{^Is_Other_ID_Continue=f}', 'deprecated');
Expect(1, 182, '\p{Is_Other_ID_Continue:   	 F}', 'deprecated');
Expect(0, 182, '\p{^Is_Other_ID_Continue:   	 F}', 'deprecated');
Expect(0, 182, '\P{Is_Other_ID_Continue:   	 F}', 'deprecated');
Expect(1, 182, '\P{^Is_Other_ID_Continue:   	 F}', 'deprecated');
Expect(0, 183, '\p{Is_Other_ID_Continue:   	 F}', 'deprecated');
Expect(1, 183, '\p{^Is_Other_ID_Continue:   	 F}', 'deprecated');
Expect(1, 183, '\P{Is_Other_ID_Continue:   	 F}', 'deprecated');
Expect(0, 183, '\P{^Is_Other_ID_Continue:   	 F}', 'deprecated');
Error('\p{Is_OIDC=:=_ False}');
Error('\P{Is_OIDC=:=_ False}');
Expect(1, 182, '\p{Is_OIDC=false}', 'deprecated');
Expect(0, 182, '\p{^Is_OIDC=false}', 'deprecated');
Expect(0, 182, '\P{Is_OIDC=false}', 'deprecated');
Expect(1, 182, '\P{^Is_OIDC=false}', 'deprecated');
Expect(0, 183, '\p{Is_OIDC=false}', 'deprecated');
Expect(1, 183, '\p{^Is_OIDC=false}', 'deprecated');
Expect(1, 183, '\P{Is_OIDC=false}', 'deprecated');
Expect(0, 183, '\P{^Is_OIDC=false}', 'deprecated');
Expect(1, 182, '\p{Is_OIDC= 	FALSE}', 'deprecated');
Expect(0, 182, '\p{^Is_OIDC= 	FALSE}', 'deprecated');
Expect(0, 182, '\P{Is_OIDC= 	FALSE}', 'deprecated');
Expect(1, 182, '\P{^Is_OIDC= 	FALSE}', 'deprecated');
Expect(0, 183, '\p{Is_OIDC= 	FALSE}', 'deprecated');
Expect(1, 183, '\p{^Is_OIDC= 	FALSE}', 'deprecated');
Expect(1, 183, '\P{Is_OIDC= 	FALSE}', 'deprecated');
Expect(0, 183, '\P{^Is_OIDC= 	FALSE}', 'deprecated');
Error('\p{Joining_Group=/a/		Swash KAF}');
Error('\P{Joining_Group=/a/		Swash KAF}');
Expect(1, 1706, '\p{Joining_Group=swashkaf}', "");
Expect(0, 1706, '\p{^Joining_Group=swashkaf}', "");
Expect(0, 1706, '\P{Joining_Group=swashkaf}', "");
Expect(1, 1706, '\P{^Joining_Group=swashkaf}', "");
Expect(0, 1705, '\p{Joining_Group=swashkaf}', "");
Expect(1, 1705, '\p{^Joining_Group=swashkaf}', "");
Expect(1, 1705, '\P{Joining_Group=swashkaf}', "");
Expect(0, 1705, '\P{^Joining_Group=swashkaf}', "");
Expect(1, 1706, '\p{Joining_Group=_	Swash Kaf}', "");
Expect(0, 1706, '\p{^Joining_Group=_	Swash Kaf}', "");
Expect(0, 1706, '\P{Joining_Group=_	Swash Kaf}', "");
Expect(1, 1706, '\P{^Joining_Group=_	Swash Kaf}', "");
Expect(0, 1705, '\p{Joining_Group=_	Swash Kaf}', "");
Expect(1, 1705, '\p{^Joining_Group=_	Swash Kaf}', "");
Expect(1, 1705, '\P{Joining_Group=_	Swash Kaf}', "");
Expect(0, 1705, '\P{^Joining_Group=_	Swash Kaf}', "");
Error('\p{Jg:   -_Swash	Kaf:=}');
Error('\P{Jg:   -_Swash	Kaf:=}');
Expect(1, 1706, '\p{Jg=swashkaf}', "");
Expect(0, 1706, '\p{^Jg=swashkaf}', "");
Expect(0, 1706, '\P{Jg=swashkaf}', "");
Expect(1, 1706, '\P{^Jg=swashkaf}', "");
Expect(0, 1705, '\p{Jg=swashkaf}', "");
Expect(1, 1705, '\p{^Jg=swashkaf}', "");
Expect(1, 1705, '\P{Jg=swashkaf}', "");
Expect(0, 1705, '\P{^Jg=swashkaf}', "");
Expect(1, 1706, '\p{Jg=_Swashkaf}', "");
Expect(0, 1706, '\p{^Jg=_Swashkaf}', "");
Expect(0, 1706, '\P{Jg=_Swashkaf}', "");
Expect(1, 1706, '\P{^Jg=_Swashkaf}', "");
Expect(0, 1705, '\p{Jg=_Swashkaf}', "");
Expect(1, 1705, '\p{^Jg=_Swashkaf}', "");
Expect(1, 1705, '\P{Jg=_Swashkaf}', "");
Expect(0, 1705, '\P{^Jg=_Swashkaf}', "");
Error('\p{Is_Joining_Group= 	Swash/a/kaf}');
Error('\P{Is_Joining_Group= 	Swash/a/kaf}');
Expect(1, 1706, '\p{Is_Joining_Group=swashkaf}', "");
Expect(0, 1706, '\p{^Is_Joining_Group=swashkaf}', "");
Expect(0, 1706, '\P{Is_Joining_Group=swashkaf}', "");
Expect(1, 1706, '\P{^Is_Joining_Group=swashkaf}', "");
Expect(0, 1705, '\p{Is_Joining_Group=swashkaf}', "");
Expect(1, 1705, '\p{^Is_Joining_Group=swashkaf}', "");
Expect(1, 1705, '\P{Is_Joining_Group=swashkaf}', "");
Expect(0, 1705, '\P{^Is_Joining_Group=swashkaf}', "");
Expect(1, 1706, '\p{Is_Joining_Group=Swash	kaf}', "");
Expect(0, 1706, '\p{^Is_Joining_Group=Swash	kaf}', "");
Expect(0, 1706, '\P{Is_Joining_Group=Swash	kaf}', "");
Expect(1, 1706, '\P{^Is_Joining_Group=Swash	kaf}', "");
Expect(0, 1705, '\p{Is_Joining_Group=Swash	kaf}', "");
Expect(1, 1705, '\p{^Is_Joining_Group=Swash	kaf}', "");
Expect(1, 1705, '\P{Is_Joining_Group=Swash	kaf}', "");
Expect(0, 1705, '\P{^Is_Joining_Group=Swash	kaf}', "");
Error('\p{Is_Jg= _SWASH/a/Kaf}');
Error('\P{Is_Jg= _SWASH/a/Kaf}');
Expect(1, 1706, '\p{Is_Jg=swashkaf}', "");
Expect(0, 1706, '\p{^Is_Jg=swashkaf}', "");
Expect(0, 1706, '\P{Is_Jg=swashkaf}', "");
Expect(1, 1706, '\P{^Is_Jg=swashkaf}', "");
Expect(0, 1705, '\p{Is_Jg=swashkaf}', "");
Expect(1, 1705, '\p{^Is_Jg=swashkaf}', "");
Expect(1, 1705, '\P{Is_Jg=swashkaf}', "");
Expect(0, 1705, '\P{^Is_Jg=swashkaf}', "");
Expect(1, 1706, '\p{Is_Jg=swash Kaf}', "");
Expect(0, 1706, '\p{^Is_Jg=swash Kaf}', "");
Expect(0, 1706, '\P{Is_Jg=swash Kaf}', "");
Expect(1, 1706, '\P{^Is_Jg=swash Kaf}', "");
Expect(0, 1705, '\p{Is_Jg=swash Kaf}', "");
Expect(1, 1705, '\p{^Is_Jg=swash Kaf}', "");
Expect(1, 1705, '\P{Is_Jg=swash Kaf}', "");
Expect(0, 1705, '\P{^Is_Jg=swash Kaf}', "");
Error('\p{Joining_Group=-seen:=}');
Error('\P{Joining_Group=-seen:=}');
Expect(1, 1588, '\p{Joining_Group:	seen}', "");
Expect(0, 1588, '\p{^Joining_Group:	seen}', "");
Expect(0, 1588, '\P{Joining_Group:	seen}', "");
Expect(1, 1588, '\P{^Joining_Group:	seen}', "");
Expect(0, 1586, '\p{Joining_Group:	seen}', "");
Expect(1, 1586, '\p{^Joining_Group:	seen}', "");
Expect(1, 1586, '\P{Joining_Group:	seen}', "");
Expect(0, 1586, '\P{^Joining_Group:	seen}', "");
Expect(1, 1588, '\p{Joining_Group=  seen}', "");
Expect(0, 1588, '\p{^Joining_Group=  seen}', "");
Expect(0, 1588, '\P{Joining_Group=  seen}', "");
Expect(1, 1588, '\P{^Joining_Group=  seen}', "");
Expect(0, 1586, '\p{Joining_Group=  seen}', "");
Expect(1, 1586, '\p{^Joining_Group=  seen}', "");
Expect(1, 1586, '\P{Joining_Group=  seen}', "");
Expect(0, 1586, '\P{^Joining_Group=  seen}', "");
Error('\p{Jg=_:=SEEN}');
Error('\P{Jg=_:=SEEN}');
Expect(1, 1588, '\p{Jg=seen}', "");
Expect(0, 1588, '\p{^Jg=seen}', "");
Expect(0, 1588, '\P{Jg=seen}', "");
Expect(1, 1588, '\P{^Jg=seen}', "");
Expect(0, 1586, '\p{Jg=seen}', "");
Expect(1, 1586, '\p{^Jg=seen}', "");
Expect(1, 1586, '\P{Jg=seen}', "");
Expect(0, 1586, '\P{^Jg=seen}', "");
Expect(1, 1588, '\p{Jg= Seen}', "");
Expect(0, 1588, '\p{^Jg= Seen}', "");
Expect(0, 1588, '\P{Jg= Seen}', "");
Expect(1, 1588, '\P{^Jg= Seen}', "");
Expect(0, 1586, '\p{Jg= Seen}', "");
Expect(1, 1586, '\p{^Jg= Seen}', "");
Expect(1, 1586, '\P{Jg= Seen}', "");
Expect(0, 1586, '\P{^Jg= Seen}', "");
Error('\p{Is_Joining_Group:    :=Seen}');
Error('\P{Is_Joining_Group:    :=Seen}');
Expect(1, 1588, '\p{Is_Joining_Group=seen}', "");
Expect(0, 1588, '\p{^Is_Joining_Group=seen}', "");
Expect(0, 1588, '\P{Is_Joining_Group=seen}', "");
Expect(1, 1588, '\P{^Is_Joining_Group=seen}', "");
Expect(0, 1586, '\p{Is_Joining_Group=seen}', "");
Expect(1, 1586, '\p{^Is_Joining_Group=seen}', "");
Expect(1, 1586, '\P{Is_Joining_Group=seen}', "");
Expect(0, 1586, '\P{^Is_Joining_Group=seen}', "");
Expect(1, 1588, '\p{Is_Joining_Group=- seen}', "");
Expect(0, 1588, '\p{^Is_Joining_Group=- seen}', "");
Expect(0, 1588, '\P{Is_Joining_Group=- seen}', "");
Expect(1, 1588, '\P{^Is_Joining_Group=- seen}', "");
Expect(0, 1586, '\p{Is_Joining_Group=- seen}', "");
Expect(1, 1586, '\p{^Is_Joining_Group=- seen}', "");
Expect(1, 1586, '\P{Is_Joining_Group=- seen}', "");
Expect(0, 1586, '\P{^Is_Joining_Group=- seen}', "");
Error('\p{Is_Jg=/a/	_Seen}');
Error('\P{Is_Jg=/a/	_Seen}');
Expect(1, 1588, '\p{Is_Jg=seen}', "");
Expect(0, 1588, '\p{^Is_Jg=seen}', "");
Expect(0, 1588, '\P{Is_Jg=seen}', "");
Expect(1, 1588, '\P{^Is_Jg=seen}', "");
Expect(0, 1586, '\p{Is_Jg=seen}', "");
Expect(1, 1586, '\p{^Is_Jg=seen}', "");
Expect(1, 1586, '\P{Is_Jg=seen}', "");
Expect(0, 1586, '\P{^Is_Jg=seen}', "");
Expect(1, 1588, '\p{Is_Jg= 	Seen}', "");
Expect(0, 1588, '\p{^Is_Jg= 	Seen}', "");
Expect(0, 1588, '\P{Is_Jg= 	Seen}', "");
Expect(1, 1588, '\P{^Is_Jg= 	Seen}', "");
Expect(0, 1586, '\p{Is_Jg= 	Seen}', "");
Expect(1, 1586, '\p{^Is_Jg= 	Seen}', "");
Expect(1, 1586, '\P{Is_Jg= 	Seen}', "");
Expect(0, 1586, '\P{^Is_Jg= 	Seen}', "");
Error('\p{Joining_Group=		BETH/a/}');
Error('\P{Joining_Group=		BETH/a/}');
Expect(1, 1810, '\p{Joining_Group=beth}', "");
Expect(0, 1810, '\p{^Joining_Group=beth}', "");
Expect(0, 1810, '\P{Joining_Group=beth}', "");
Expect(1, 1810, '\P{^Joining_Group=beth}', "");
Expect(0, 1809, '\p{Joining_Group=beth}', "");
Expect(1, 1809, '\p{^Joining_Group=beth}', "");
Expect(1, 1809, '\P{Joining_Group=beth}', "");
Expect(0, 1809, '\P{^Joining_Group=beth}', "");
Expect(1, 1810, '\p{Joining_Group= _BETH}', "");
Expect(0, 1810, '\p{^Joining_Group= _BETH}', "");
Expect(0, 1810, '\P{Joining_Group= _BETH}', "");
Expect(1, 1810, '\P{^Joining_Group= _BETH}', "");
Expect(0, 1809, '\p{Joining_Group= _BETH}', "");
Expect(1, 1809, '\p{^Joining_Group= _BETH}', "");
Expect(1, 1809, '\P{Joining_Group= _BETH}', "");
Expect(0, 1809, '\P{^Joining_Group= _BETH}', "");
Error('\p{Jg=- beth/a/}');
Error('\P{Jg=- beth/a/}');
Expect(1, 1810, '\p{Jg=beth}', "");
Expect(0, 1810, '\p{^Jg=beth}', "");
Expect(0, 1810, '\P{Jg=beth}', "");
Expect(1, 1810, '\P{^Jg=beth}', "");
Expect(0, 1809, '\p{Jg=beth}', "");
Expect(1, 1809, '\p{^Jg=beth}', "");
Expect(1, 1809, '\P{Jg=beth}', "");
Expect(0, 1809, '\P{^Jg=beth}', "");
Expect(1, 1810, '\p{Jg:Beth}', "");
Expect(0, 1810, '\p{^Jg:Beth}', "");
Expect(0, 1810, '\P{Jg:Beth}', "");
Expect(1, 1810, '\P{^Jg:Beth}', "");
Expect(0, 1809, '\p{Jg:Beth}', "");
Expect(1, 1809, '\p{^Jg:Beth}', "");
Expect(1, 1809, '\P{Jg:Beth}', "");
Expect(0, 1809, '\P{^Jg:Beth}', "");
Error('\p{Is_Joining_Group=/a/Beth}');
Error('\P{Is_Joining_Group=/a/Beth}');
Expect(1, 1810, '\p{Is_Joining_Group:	beth}', "");
Expect(0, 1810, '\p{^Is_Joining_Group:	beth}', "");
Expect(0, 1810, '\P{Is_Joining_Group:	beth}', "");
Expect(1, 1810, '\P{^Is_Joining_Group:	beth}', "");
Expect(0, 1809, '\p{Is_Joining_Group:	beth}', "");
Expect(1, 1809, '\p{^Is_Joining_Group:	beth}', "");
Expect(1, 1809, '\P{Is_Joining_Group:	beth}', "");
Expect(0, 1809, '\P{^Is_Joining_Group:	beth}', "");
Expect(1, 1810, '\p{Is_Joining_Group=__BETH}', "");
Expect(0, 1810, '\p{^Is_Joining_Group=__BETH}', "");
Expect(0, 1810, '\P{Is_Joining_Group=__BETH}', "");
Expect(1, 1810, '\P{^Is_Joining_Group=__BETH}', "");
Expect(0, 1809, '\p{Is_Joining_Group=__BETH}', "");
Expect(1, 1809, '\p{^Is_Joining_Group=__BETH}', "");
Expect(1, 1809, '\P{Is_Joining_Group=__BETH}', "");
Expect(0, 1809, '\P{^Is_Joining_Group=__BETH}', "");
Error('\p{Is_Jg:   _:=beth}');
Error('\P{Is_Jg:   _:=beth}');
Expect(1, 1810, '\p{Is_Jg=beth}', "");
Expect(0, 1810, '\p{^Is_Jg=beth}', "");
Expect(0, 1810, '\P{Is_Jg=beth}', "");
Expect(1, 1810, '\P{^Is_Jg=beth}', "");
Expect(0, 1809, '\p{Is_Jg=beth}', "");
Expect(1, 1809, '\p{^Is_Jg=beth}', "");
Expect(1, 1809, '\P{Is_Jg=beth}', "");
Expect(0, 1809, '\P{^Is_Jg=beth}', "");
Expect(1, 1810, '\p{Is_Jg=	BETH}', "");
Expect(0, 1810, '\p{^Is_Jg=	BETH}', "");
Expect(0, 1810, '\P{Is_Jg=	BETH}', "");
Expect(1, 1810, '\P{^Is_Jg=	BETH}', "");
Expect(0, 1809, '\p{Is_Jg=	BETH}', "");
Expect(1, 1809, '\p{^Is_Jg=	BETH}', "");
Expect(1, 1809, '\P{Is_Jg=	BETH}', "");
Expect(0, 1809, '\P{^Is_Jg=	BETH}', "");
Error('\p{Joining_Group=:=  Semkath}');
Error('\P{Joining_Group=:=  Semkath}');
Expect(1, 1827, '\p{Joining_Group=semkath}', "");
Expect(0, 1827, '\p{^Joining_Group=semkath}', "");
Expect(0, 1827, '\P{Joining_Group=semkath}', "");
Expect(1, 1827, '\P{^Joining_Group=semkath}', "");
Expect(0, 1826, '\p{Joining_Group=semkath}', "");
Expect(1, 1826, '\p{^Joining_Group=semkath}', "");
Expect(1, 1826, '\P{Joining_Group=semkath}', "");
Expect(0, 1826, '\P{^Joining_Group=semkath}', "");
Expect(1, 1827, '\p{Joining_Group: 	-SEMKATH}', "");
Expect(0, 1827, '\p{^Joining_Group: 	-SEMKATH}', "");
Expect(0, 1827, '\P{Joining_Group: 	-SEMKATH}', "");
Expect(1, 1827, '\P{^Joining_Group: 	-SEMKATH}', "");
Expect(0, 1826, '\p{Joining_Group: 	-SEMKATH}', "");
Expect(1, 1826, '\p{^Joining_Group: 	-SEMKATH}', "");
Expect(1, 1826, '\P{Joining_Group: 	-SEMKATH}', "");
Expect(0, 1826, '\P{^Joining_Group: 	-SEMKATH}', "");
Error('\p{Jg=/a/  semkath}');
Error('\P{Jg=/a/  semkath}');
Expect(1, 1827, '\p{Jg=semkath}', "");
Expect(0, 1827, '\p{^Jg=semkath}', "");
Expect(0, 1827, '\P{Jg=semkath}', "");
Expect(1, 1827, '\P{^Jg=semkath}', "");
Expect(0, 1826, '\p{Jg=semkath}', "");
Expect(1, 1826, '\p{^Jg=semkath}', "");
Expect(1, 1826, '\P{Jg=semkath}', "");
Expect(0, 1826, '\P{^Jg=semkath}', "");
Expect(1, 1827, '\p{Jg=Semkath}', "");
Expect(0, 1827, '\p{^Jg=Semkath}', "");
Expect(0, 1827, '\P{Jg=Semkath}', "");
Expect(1, 1827, '\P{^Jg=Semkath}', "");
Expect(0, 1826, '\p{Jg=Semkath}', "");
Expect(1, 1826, '\p{^Jg=Semkath}', "");
Expect(1, 1826, '\P{Jg=Semkath}', "");
Expect(0, 1826, '\P{^Jg=Semkath}', "");
Error('\p{Is_Joining_Group=	/a/Semkath}');
Error('\P{Is_Joining_Group=	/a/Semkath}');
Expect(1, 1827, '\p{Is_Joining_Group=semkath}', "");
Expect(0, 1827, '\p{^Is_Joining_Group=semkath}', "");
Expect(0, 1827, '\P{Is_Joining_Group=semkath}', "");
Expect(1, 1827, '\P{^Is_Joining_Group=semkath}', "");
Expect(0, 1826, '\p{Is_Joining_Group=semkath}', "");
Expect(1, 1826, '\p{^Is_Joining_Group=semkath}', "");
Expect(1, 1826, '\P{Is_Joining_Group=semkath}', "");
Expect(0, 1826, '\P{^Is_Joining_Group=semkath}', "");
Expect(1, 1827, '\p{Is_Joining_Group=	_Semkath}', "");
Expect(0, 1827, '\p{^Is_Joining_Group=	_Semkath}', "");
Expect(0, 1827, '\P{Is_Joining_Group=	_Semkath}', "");
Expect(1, 1827, '\P{^Is_Joining_Group=	_Semkath}', "");
Expect(0, 1826, '\p{Is_Joining_Group=	_Semkath}', "");
Expect(1, 1826, '\p{^Is_Joining_Group=	_Semkath}', "");
Expect(1, 1826, '\P{Is_Joining_Group=	_Semkath}', "");
Expect(0, 1826, '\P{^Is_Joining_Group=	_Semkath}', "");
Error('\p{Is_Jg= 	Semkath:=}');
Error('\P{Is_Jg= 	Semkath:=}');
Expect(1, 1827, '\p{Is_Jg=semkath}', "");
Expect(0, 1827, '\p{^Is_Jg=semkath}', "");
Expect(0, 1827, '\P{Is_Jg=semkath}', "");
Expect(1, 1827, '\P{^Is_Jg=semkath}', "");
Expect(0, 1826, '\p{Is_Jg=semkath}', "");
Expect(1, 1826, '\p{^Is_Jg=semkath}', "");
Expect(1, 1826, '\P{Is_Jg=semkath}', "");
Expect(0, 1826, '\P{^Is_Jg=semkath}', "");
Expect(1, 1827, '\p{Is_Jg=		SEMKATH}', "");
Expect(0, 1827, '\p{^Is_Jg=		SEMKATH}', "");
Expect(0, 1827, '\P{Is_Jg=		SEMKATH}', "");
Expect(1, 1827, '\P{^Is_Jg=		SEMKATH}', "");
Expect(0, 1826, '\p{Is_Jg=		SEMKATH}', "");
Expect(1, 1826, '\p{^Is_Jg=		SEMKATH}', "");
Expect(1, 1826, '\P{Is_Jg=		SEMKATH}', "");
Expect(0, 1826, '\P{^Is_Jg=		SEMKATH}', "");
Error('\p{Joining_Group=:=		HAH}');
Error('\P{Joining_Group=:=		HAH}');
Expect(1, 1582, '\p{Joining_Group=hah}', "");
Expect(0, 1582, '\p{^Joining_Group=hah}', "");
Expect(0, 1582, '\P{Joining_Group=hah}', "");
Expect(1, 1582, '\P{^Joining_Group=hah}', "");
Expect(0, 1579, '\p{Joining_Group=hah}', "");
Expect(1, 1579, '\p{^Joining_Group=hah}', "");
Expect(1, 1579, '\P{Joining_Group=hah}', "");
Expect(0, 1579, '\P{^Joining_Group=hah}', "");
Expect(1, 1582, '\p{Joining_Group=HAH}', "");
Expect(0, 1582, '\p{^Joining_Group=HAH}', "");
Expect(0, 1582, '\P{Joining_Group=HAH}', "");
Expect(1, 1582, '\P{^Joining_Group=HAH}', "");
Expect(0, 1579, '\p{Joining_Group=HAH}', "");
Expect(1, 1579, '\p{^Joining_Group=HAH}', "");
Expect(1, 1579, '\P{Joining_Group=HAH}', "");
Expect(0, 1579, '\P{^Joining_Group=HAH}', "");
Error('\p{Jg=/a/HAH}');
Error('\P{Jg=/a/HAH}');
Expect(1, 1582, '\p{Jg=hah}', "");
Expect(0, 1582, '\p{^Jg=hah}', "");
Expect(0, 1582, '\P{Jg=hah}', "");
Expect(1, 1582, '\P{^Jg=hah}', "");
Expect(0, 1579, '\p{Jg=hah}', "");
Expect(1, 1579, '\p{^Jg=hah}', "");
Expect(1, 1579, '\P{Jg=hah}', "");
Expect(0, 1579, '\P{^Jg=hah}', "");
Expect(1, 1582, '\p{Jg=-hah}', "");
Expect(0, 1582, '\p{^Jg=-hah}', "");
Expect(0, 1582, '\P{Jg=-hah}', "");
Expect(1, 1582, '\P{^Jg=-hah}', "");
Expect(0, 1579, '\p{Jg=-hah}', "");
Expect(1, 1579, '\p{^Jg=-hah}', "");
Expect(1, 1579, '\P{Jg=-hah}', "");
Expect(0, 1579, '\P{^Jg=-hah}', "");
Error('\p{Is_Joining_Group:	:=HAH}');
Error('\P{Is_Joining_Group:	:=HAH}');
Expect(1, 1582, '\p{Is_Joining_Group=hah}', "");
Expect(0, 1582, '\p{^Is_Joining_Group=hah}', "");
Expect(0, 1582, '\P{Is_Joining_Group=hah}', "");
Expect(1, 1582, '\P{^Is_Joining_Group=hah}', "");
Expect(0, 1579, '\p{Is_Joining_Group=hah}', "");
Expect(1, 1579, '\p{^Is_Joining_Group=hah}', "");
Expect(1, 1579, '\P{Is_Joining_Group=hah}', "");
Expect(0, 1579, '\P{^Is_Joining_Group=hah}', "");
Expect(1, 1582, '\p{Is_Joining_Group=		Hah}', "");
Expect(0, 1582, '\p{^Is_Joining_Group=		Hah}', "");
Expect(0, 1582, '\P{Is_Joining_Group=		Hah}', "");
Expect(1, 1582, '\P{^Is_Joining_Group=		Hah}', "");
Expect(0, 1579, '\p{Is_Joining_Group=		Hah}', "");
Expect(1, 1579, '\p{^Is_Joining_Group=		Hah}', "");
Expect(1, 1579, '\P{Is_Joining_Group=		Hah}', "");
Expect(0, 1579, '\P{^Is_Joining_Group=		Hah}', "");
Error('\p{Is_Jg=-/a/Hah}');
Error('\P{Is_Jg=-/a/Hah}');
Expect(1, 1582, '\p{Is_Jg=hah}', "");
Expect(0, 1582, '\p{^Is_Jg=hah}', "");
Expect(0, 1582, '\P{Is_Jg=hah}', "");
Expect(1, 1582, '\P{^Is_Jg=hah}', "");
Expect(0, 1579, '\p{Is_Jg=hah}', "");
Expect(1, 1579, '\p{^Is_Jg=hah}', "");
Expect(1, 1579, '\P{Is_Jg=hah}', "");
Expect(0, 1579, '\P{^Is_Jg=hah}', "");
Expect(1, 1582, '\p{Is_Jg=-Hah}', "");
Expect(0, 1582, '\p{^Is_Jg=-Hah}', "");
Expect(0, 1582, '\P{Is_Jg=-Hah}', "");
Expect(1, 1582, '\P{^Is_Jg=-Hah}', "");
Expect(0, 1579, '\p{Is_Jg=-Hah}', "");
Expect(1, 1579, '\p{^Is_Jg=-Hah}', "");
Expect(1, 1579, '\P{Is_Jg=-Hah}', "");
Expect(0, 1579, '\P{^Is_Jg=-Hah}', "");
Error('\p{Joining_Group=-	syriac/a/waw}');
Error('\P{Joining_Group=-	syriac/a/waw}');
Expect(1, 1816, '\p{Joining_Group=syriacwaw}', "");
Expect(0, 1816, '\p{^Joining_Group=syriacwaw}', "");
Expect(0, 1816, '\P{Joining_Group=syriacwaw}', "");
Expect(1, 1816, '\P{^Joining_Group=syriacwaw}', "");
Expect(0, 1815, '\p{Joining_Group=syriacwaw}', "");
Expect(1, 1815, '\p{^Joining_Group=syriacwaw}', "");
Expect(1, 1815, '\P{Joining_Group=syriacwaw}', "");
Expect(0, 1815, '\P{^Joining_Group=syriacwaw}', "");
Expect(1, 1816, '\p{Joining_Group=	syriac-waw}', "");
Expect(0, 1816, '\p{^Joining_Group=	syriac-waw}', "");
Expect(0, 1816, '\P{Joining_Group=	syriac-waw}', "");
Expect(1, 1816, '\P{^Joining_Group=	syriac-waw}', "");
Expect(0, 1815, '\p{Joining_Group=	syriac-waw}', "");
Expect(1, 1815, '\p{^Joining_Group=	syriac-waw}', "");
Expect(1, 1815, '\P{Joining_Group=	syriac-waw}', "");
Expect(0, 1815, '\P{^Joining_Group=	syriac-waw}', "");
Error('\p{Jg=-:=syriac	Waw}');
Error('\P{Jg=-:=syriac	Waw}');
Expect(1, 1816, '\p{Jg=syriacwaw}', "");
Expect(0, 1816, '\p{^Jg=syriacwaw}', "");
Expect(0, 1816, '\P{Jg=syriacwaw}', "");
Expect(1, 1816, '\P{^Jg=syriacwaw}', "");
Expect(0, 1815, '\p{Jg=syriacwaw}', "");
Expect(1, 1815, '\p{^Jg=syriacwaw}', "");
Expect(1, 1815, '\P{Jg=syriacwaw}', "");
Expect(0, 1815, '\P{^Jg=syriacwaw}', "");
Expect(1, 1816, '\p{Jg= 	syriac	Waw}', "");
Expect(0, 1816, '\p{^Jg= 	syriac	Waw}', "");
Expect(0, 1816, '\P{Jg= 	syriac	Waw}', "");
Expect(1, 1816, '\P{^Jg= 	syriac	Waw}', "");
Expect(0, 1815, '\p{Jg= 	syriac	Waw}', "");
Expect(1, 1815, '\p{^Jg= 	syriac	Waw}', "");
Expect(1, 1815, '\P{Jg= 	syriac	Waw}', "");
Expect(0, 1815, '\P{^Jg= 	syriac	Waw}', "");
Error('\p{Is_Joining_Group=:=	 Syriac Waw}');
Error('\P{Is_Joining_Group=:=	 Syriac Waw}');
Expect(1, 1816, '\p{Is_Joining_Group=syriacwaw}', "");
Expect(0, 1816, '\p{^Is_Joining_Group=syriacwaw}', "");
Expect(0, 1816, '\P{Is_Joining_Group=syriacwaw}', "");
Expect(1, 1816, '\P{^Is_Joining_Group=syriacwaw}', "");
Expect(0, 1815, '\p{Is_Joining_Group=syriacwaw}', "");
Expect(1, 1815, '\p{^Is_Joining_Group=syriacwaw}', "");
Expect(1, 1815, '\P{Is_Joining_Group=syriacwaw}', "");
Expect(0, 1815, '\P{^Is_Joining_Group=syriacwaw}', "");
Expect(1, 1816, '\p{Is_Joining_Group=		Syriac_Waw}', "");
Expect(0, 1816, '\p{^Is_Joining_Group=		Syriac_Waw}', "");
Expect(0, 1816, '\P{Is_Joining_Group=		Syriac_Waw}', "");
Expect(1, 1816, '\P{^Is_Joining_Group=		Syriac_Waw}', "");
Expect(0, 1815, '\p{Is_Joining_Group=		Syriac_Waw}', "");
Expect(1, 1815, '\p{^Is_Joining_Group=		Syriac_Waw}', "");
Expect(1, 1815, '\P{Is_Joining_Group=		Syriac_Waw}', "");
Expect(0, 1815, '\P{^Is_Joining_Group=		Syriac_Waw}', "");
Error('\p{Is_Jg=-	Syriac:=Waw}');
Error('\P{Is_Jg=-	Syriac:=Waw}');
Expect(1, 1816, '\p{Is_Jg=syriacwaw}', "");
Expect(0, 1816, '\p{^Is_Jg=syriacwaw}', "");
Expect(0, 1816, '\P{Is_Jg=syriacwaw}', "");
Expect(1, 1816, '\P{^Is_Jg=syriacwaw}', "");
Expect(0, 1815, '\p{Is_Jg=syriacwaw}', "");
Expect(1, 1815, '\p{^Is_Jg=syriacwaw}', "");
Expect(1, 1815, '\P{Is_Jg=syriacwaw}', "");
Expect(0, 1815, '\P{^Is_Jg=syriacwaw}', "");
Expect(1, 1816, '\p{Is_Jg=	_Syriac WAW}', "");
Expect(0, 1816, '\p{^Is_Jg=	_Syriac WAW}', "");
Expect(0, 1816, '\P{Is_Jg=	_Syriac WAW}', "");
Expect(1, 1816, '\P{^Is_Jg=	_Syriac WAW}', "");
Expect(0, 1815, '\p{Is_Jg=	_Syriac WAW}', "");
Expect(1, 1815, '\p{^Is_Jg=	_Syriac WAW}', "");
Expect(1, 1815, '\P{Is_Jg=	_Syriac WAW}', "");
Expect(0, 1815, '\P{^Is_Jg=	_Syriac WAW}', "");
Error('\p{Joining_Group:	-:=taw}');
Error('\P{Joining_Group:	-:=taw}');
Expect(1, 1836, '\p{Joining_Group=taw}', "");
Expect(0, 1836, '\p{^Joining_Group=taw}', "");
Expect(0, 1836, '\P{Joining_Group=taw}', "");
Expect(1, 1836, '\P{^Joining_Group=taw}', "");
Expect(0, 1835, '\p{Joining_Group=taw}', "");
Expect(1, 1835, '\p{^Joining_Group=taw}', "");
Expect(1, 1835, '\P{Joining_Group=taw}', "");
Expect(0, 1835, '\P{^Joining_Group=taw}', "");
Expect(1, 1836, '\p{Joining_Group=_	Taw}', "");
Expect(0, 1836, '\p{^Joining_Group=_	Taw}', "");
Expect(0, 1836, '\P{Joining_Group=_	Taw}', "");
Expect(1, 1836, '\P{^Joining_Group=_	Taw}', "");
Expect(0, 1835, '\p{Joining_Group=_	Taw}', "");
Expect(1, 1835, '\p{^Joining_Group=_	Taw}', "");
Expect(1, 1835, '\P{Joining_Group=_	Taw}', "");
Expect(0, 1835, '\P{^Joining_Group=_	Taw}', "");
Error('\p{Jg=-:=taw}');
Error('\P{Jg=-:=taw}');
Expect(1, 1836, '\p{Jg=taw}', "");
Expect(0, 1836, '\p{^Jg=taw}', "");
Expect(0, 1836, '\P{Jg=taw}', "");
Expect(1, 1836, '\P{^Jg=taw}', "");
Expect(0, 1835, '\p{Jg=taw}', "");
Expect(1, 1835, '\p{^Jg=taw}', "");
Expect(1, 1835, '\P{Jg=taw}', "");
Expect(0, 1835, '\P{^Jg=taw}', "");
Expect(1, 1836, '\p{Jg:  TAW}', "");
Expect(0, 1836, '\p{^Jg:  TAW}', "");
Expect(0, 1836, '\P{Jg:  TAW}', "");
Expect(1, 1836, '\P{^Jg:  TAW}', "");
Expect(0, 1835, '\p{Jg:  TAW}', "");
Expect(1, 1835, '\p{^Jg:  TAW}', "");
Expect(1, 1835, '\P{Jg:  TAW}', "");
Expect(0, 1835, '\P{^Jg:  TAW}', "");
Error('\p{Is_Joining_Group=	 Taw:=}');
Error('\P{Is_Joining_Group=	 Taw:=}');
Expect(1, 1836, '\p{Is_Joining_Group:	taw}', "");
Expect(0, 1836, '\p{^Is_Joining_Group:	taw}', "");
Expect(0, 1836, '\P{Is_Joining_Group:	taw}', "");
Expect(1, 1836, '\P{^Is_Joining_Group:	taw}', "");
Expect(0, 1835, '\p{Is_Joining_Group:	taw}', "");
Expect(1, 1835, '\p{^Is_Joining_Group:	taw}', "");
Expect(1, 1835, '\P{Is_Joining_Group:	taw}', "");
Expect(0, 1835, '\P{^Is_Joining_Group:	taw}', "");
Expect(1, 1836, '\p{Is_Joining_Group=		taw}', "");
Expect(0, 1836, '\p{^Is_Joining_Group=		taw}', "");
Expect(0, 1836, '\P{Is_Joining_Group=		taw}', "");
Expect(1, 1836, '\P{^Is_Joining_Group=		taw}', "");
Expect(0, 1835, '\p{Is_Joining_Group=		taw}', "");
Expect(1, 1835, '\p{^Is_Joining_Group=		taw}', "");
Expect(1, 1835, '\P{Is_Joining_Group=		taw}', "");
Expect(0, 1835, '\P{^Is_Joining_Group=		taw}', "");
Error('\p{Is_Jg=-taw/a/}');
Error('\P{Is_Jg=-taw/a/}');
Expect(1, 1836, '\p{Is_Jg=taw}', "");
Expect(0, 1836, '\p{^Is_Jg=taw}', "");
Expect(0, 1836, '\P{Is_Jg=taw}', "");
Expect(1, 1836, '\P{^Is_Jg=taw}', "");
Expect(0, 1835, '\p{Is_Jg=taw}', "");
Expect(1, 1835, '\p{^Is_Jg=taw}', "");
Expect(1, 1835, '\P{Is_Jg=taw}', "");
Expect(0, 1835, '\P{^Is_Jg=taw}', "");
Expect(1, 1836, '\p{Is_Jg=		Taw}', "");
Expect(0, 1836, '\p{^Is_Jg=		Taw}', "");
Expect(0, 1836, '\P{Is_Jg=		Taw}', "");
Expect(1, 1836, '\P{^Is_Jg=		Taw}', "");
Expect(0, 1835, '\p{Is_Jg=		Taw}', "");
Expect(1, 1835, '\p{^Is_Jg=		Taw}', "");
Expect(1, 1835, '\P{Is_Jg=		Taw}', "");
Expect(0, 1835, '\P{^Is_Jg=		Taw}', "");
Error('\p{Joining_Group:   -final/a/semkath}');
Error('\P{Joining_Group:   -final/a/semkath}');
Expect(1, 1828, '\p{Joining_Group=finalsemkath}', "");
Expect(0, 1828, '\p{^Joining_Group=finalsemkath}', "");
Expect(0, 1828, '\P{Joining_Group=finalsemkath}', "");
Expect(1, 1828, '\P{^Joining_Group=finalsemkath}', "");
Expect(0, 1827, '\p{Joining_Group=finalsemkath}', "");
Expect(1, 1827, '\p{^Joining_Group=finalsemkath}', "");
Expect(1, 1827, '\P{Joining_Group=finalsemkath}', "");
Expect(0, 1827, '\P{^Joining_Group=finalsemkath}', "");
Expect(1, 1828, '\p{Joining_Group= final-Semkath}', "");
Expect(0, 1828, '\p{^Joining_Group= final-Semkath}', "");
Expect(0, 1828, '\P{Joining_Group= final-Semkath}', "");
Expect(1, 1828, '\P{^Joining_Group= final-Semkath}', "");
Expect(0, 1827, '\p{Joining_Group= final-Semkath}', "");
Expect(1, 1827, '\p{^Joining_Group= final-Semkath}', "");
Expect(1, 1827, '\P{Joining_Group= final-Semkath}', "");
Expect(0, 1827, '\P{^Joining_Group= final-Semkath}', "");
Error('\p{Jg: _final:=SEMKATH}');
Error('\P{Jg: _final:=SEMKATH}');
Expect(1, 1828, '\p{Jg=finalsemkath}', "");
Expect(0, 1828, '\p{^Jg=finalsemkath}', "");
Expect(0, 1828, '\P{Jg=finalsemkath}', "");
Expect(1, 1828, '\P{^Jg=finalsemkath}', "");
Expect(0, 1827, '\p{Jg=finalsemkath}', "");
Expect(1, 1827, '\p{^Jg=finalsemkath}', "");
Expect(1, 1827, '\P{Jg=finalsemkath}', "");
Expect(0, 1827, '\P{^Jg=finalsemkath}', "");
Expect(1, 1828, '\p{Jg=  Final-SEMKATH}', "");
Expect(0, 1828, '\p{^Jg=  Final-SEMKATH}', "");
Expect(0, 1828, '\P{Jg=  Final-SEMKATH}', "");
Expect(1, 1828, '\P{^Jg=  Final-SEMKATH}', "");
Expect(0, 1827, '\p{Jg=  Final-SEMKATH}', "");
Expect(1, 1827, '\p{^Jg=  Final-SEMKATH}', "");
Expect(1, 1827, '\P{Jg=  Final-SEMKATH}', "");
Expect(0, 1827, '\P{^Jg=  Final-SEMKATH}', "");
Error('\p{Is_Joining_Group=-	FINAL/a/SEMKATH}');
Error('\P{Is_Joining_Group=-	FINAL/a/SEMKATH}');
Expect(1, 1828, '\p{Is_Joining_Group=finalsemkath}', "");
Expect(0, 1828, '\p{^Is_Joining_Group=finalsemkath}', "");
Expect(0, 1828, '\P{Is_Joining_Group=finalsemkath}', "");
Expect(1, 1828, '\P{^Is_Joining_Group=finalsemkath}', "");
Expect(0, 1827, '\p{Is_Joining_Group=finalsemkath}', "");
Expect(1, 1827, '\p{^Is_Joining_Group=finalsemkath}', "");
Expect(1, 1827, '\P{Is_Joining_Group=finalsemkath}', "");
Expect(0, 1827, '\P{^Is_Joining_Group=finalsemkath}', "");
Expect(1, 1828, '\p{Is_Joining_Group= 	Final Semkath}', "");
Expect(0, 1828, '\p{^Is_Joining_Group= 	Final Semkath}', "");
Expect(0, 1828, '\P{Is_Joining_Group= 	Final Semkath}', "");
Expect(1, 1828, '\P{^Is_Joining_Group= 	Final Semkath}', "");
Expect(0, 1827, '\p{Is_Joining_Group= 	Final Semkath}', "");
Expect(1, 1827, '\p{^Is_Joining_Group= 	Final Semkath}', "");
Expect(1, 1827, '\P{Is_Joining_Group= 	Final Semkath}', "");
Expect(0, 1827, '\P{^Is_Joining_Group= 	Final Semkath}', "");
Error('\p{Is_Jg=		final/a/SEMKATH}');
Error('\P{Is_Jg=		final/a/SEMKATH}');
Expect(1, 1828, '\p{Is_Jg=finalsemkath}', "");
Expect(0, 1828, '\p{^Is_Jg=finalsemkath}', "");
Expect(0, 1828, '\P{Is_Jg=finalsemkath}', "");
Expect(1, 1828, '\P{^Is_Jg=finalsemkath}', "");
Expect(0, 1827, '\p{Is_Jg=finalsemkath}', "");
Expect(1, 1827, '\p{^Is_Jg=finalsemkath}', "");
Expect(1, 1827, '\P{Is_Jg=finalsemkath}', "");
Expect(0, 1827, '\P{^Is_Jg=finalsemkath}', "");
Expect(1, 1828, '\p{Is_Jg=- Final SEMKATH}', "");
Expect(0, 1828, '\p{^Is_Jg=- Final SEMKATH}', "");
Expect(0, 1828, '\P{Is_Jg=- Final SEMKATH}', "");
Expect(1, 1828, '\P{^Is_Jg=- Final SEMKATH}', "");
Expect(0, 1827, '\p{Is_Jg=- Final SEMKATH}', "");
Expect(1, 1827, '\p{^Is_Jg=- Final SEMKATH}', "");
Expect(1, 1827, '\P{Is_Jg=- Final SEMKATH}', "");
Expect(0, 1827, '\P{^Is_Jg=- Final SEMKATH}', "");
Error('\p{Joining_Group=/a/ KNOTTED	Heh}');
Error('\P{Joining_Group=/a/ KNOTTED	Heh}');
Expect(1, 1726, '\p{Joining_Group=knottedheh}', "");
Expect(0, 1726, '\p{^Joining_Group=knottedheh}', "");
Expect(0, 1726, '\P{Joining_Group=knottedheh}', "");
Expect(1, 1726, '\P{^Joining_Group=knottedheh}', "");
Expect(0, 1725, '\p{Joining_Group=knottedheh}', "");
Expect(1, 1725, '\p{^Joining_Group=knottedheh}', "");
Expect(1, 1725, '\P{Joining_Group=knottedheh}', "");
Expect(0, 1725, '\P{^Joining_Group=knottedheh}', "");
Expect(1, 1726, '\p{Joining_Group=-_KNOTTEDheh}', "");
Expect(0, 1726, '\p{^Joining_Group=-_KNOTTEDheh}', "");
Expect(0, 1726, '\P{Joining_Group=-_KNOTTEDheh}', "");
Expect(1, 1726, '\P{^Joining_Group=-_KNOTTEDheh}', "");
Expect(0, 1725, '\p{Joining_Group=-_KNOTTEDheh}', "");
Expect(1, 1725, '\p{^Joining_Group=-_KNOTTEDheh}', "");
Expect(1, 1725, '\P{Joining_Group=-_KNOTTEDheh}', "");
Expect(0, 1725, '\P{^Joining_Group=-_KNOTTEDheh}', "");
Error('\p{Jg=	KNOTTED:=Heh}');
Error('\P{Jg=	KNOTTED:=Heh}');
Expect(1, 1726, '\p{Jg=knottedheh}', "");
Expect(0, 1726, '\p{^Jg=knottedheh}', "");
Expect(0, 1726, '\P{Jg=knottedheh}', "");
Expect(1, 1726, '\P{^Jg=knottedheh}', "");
Expect(0, 1725, '\p{Jg=knottedheh}', "");
Expect(1, 1725, '\p{^Jg=knottedheh}', "");
Expect(1, 1725, '\P{Jg=knottedheh}', "");
Expect(0, 1725, '\P{^Jg=knottedheh}', "");
Expect(1, 1726, '\p{Jg=_	KNOTTED-Heh}', "");
Expect(0, 1726, '\p{^Jg=_	KNOTTED-Heh}', "");
Expect(0, 1726, '\P{Jg=_	KNOTTED-Heh}', "");
Expect(1, 1726, '\P{^Jg=_	KNOTTED-Heh}', "");
Expect(0, 1725, '\p{Jg=_	KNOTTED-Heh}', "");
Expect(1, 1725, '\p{^Jg=_	KNOTTED-Heh}', "");
Expect(1, 1725, '\P{Jg=_	KNOTTED-Heh}', "");
Expect(0, 1725, '\P{^Jg=_	KNOTTED-Heh}', "");
Error('\p{Is_Joining_Group= Knotted	HEH/a/}');
Error('\P{Is_Joining_Group= Knotted	HEH/a/}');
Expect(1, 1726, '\p{Is_Joining_Group: knottedheh}', "");
Expect(0, 1726, '\p{^Is_Joining_Group: knottedheh}', "");
Expect(0, 1726, '\P{Is_Joining_Group: knottedheh}', "");
Expect(1, 1726, '\P{^Is_Joining_Group: knottedheh}', "");
Expect(0, 1725, '\p{Is_Joining_Group: knottedheh}', "");
Expect(1, 1725, '\p{^Is_Joining_Group: knottedheh}', "");
Expect(1, 1725, '\P{Is_Joining_Group: knottedheh}', "");
Expect(0, 1725, '\P{^Is_Joining_Group: knottedheh}', "");
Expect(1, 1726, '\p{Is_Joining_Group=_-Knotted_heh}', "");
Expect(0, 1726, '\p{^Is_Joining_Group=_-Knotted_heh}', "");
Expect(0, 1726, '\P{Is_Joining_Group=_-Knotted_heh}', "");
Expect(1, 1726, '\P{^Is_Joining_Group=_-Knotted_heh}', "");
Expect(0, 1725, '\p{Is_Joining_Group=_-Knotted_heh}', "");
Expect(1, 1725, '\p{^Is_Joining_Group=_-Knotted_heh}', "");
Expect(1, 1725, '\P{Is_Joining_Group=_-Knotted_heh}', "");
Expect(0, 1725, '\P{^Is_Joining_Group=_-Knotted_heh}', "");
Error('\p{Is_Jg=:=	Knotted_Heh}');
Error('\P{Is_Jg=:=	Knotted_Heh}');
Expect(1, 1726, '\p{Is_Jg=knottedheh}', "");
Expect(0, 1726, '\p{^Is_Jg=knottedheh}', "");
Expect(0, 1726, '\P{Is_Jg=knottedheh}', "");
Expect(1, 1726, '\P{^Is_Jg=knottedheh}', "");
Expect(0, 1725, '\p{Is_Jg=knottedheh}', "");
Expect(1, 1725, '\p{^Is_Jg=knottedheh}', "");
Expect(1, 1725, '\P{Is_Jg=knottedheh}', "");
Expect(0, 1725, '\P{^Is_Jg=knottedheh}', "");
Expect(1, 1726, '\p{Is_Jg=-	KNOTTED_heh}', "");
Expect(0, 1726, '\p{^Is_Jg=-	KNOTTED_heh}', "");
Expect(0, 1726, '\P{Is_Jg=-	KNOTTED_heh}', "");
Expect(1, 1726, '\P{^Is_Jg=-	KNOTTED_heh}', "");
Expect(0, 1725, '\p{Is_Jg=-	KNOTTED_heh}', "");
Expect(1, 1725, '\p{^Is_Jg=-	KNOTTED_heh}', "");
Expect(1, 1725, '\P{Is_Jg=-	KNOTTED_heh}', "");
Expect(0, 1725, '\P{^Is_Jg=-	KNOTTED_heh}', "");
Error('\p{Joining_Group=	/a/KAF}');
Error('\P{Joining_Group=	/a/KAF}');
Expect(1, 1603, '\p{Joining_Group=kaf}', "");
Expect(0, 1603, '\p{^Joining_Group=kaf}', "");
Expect(0, 1603, '\P{Joining_Group=kaf}', "");
Expect(1, 1603, '\P{^Joining_Group=kaf}', "");
Expect(0, 1602, '\p{Joining_Group=kaf}', "");
Expect(1, 1602, '\p{^Joining_Group=kaf}', "");
Expect(1, 1602, '\P{Joining_Group=kaf}', "");
Expect(0, 1602, '\P{^Joining_Group=kaf}', "");
Expect(1, 1603, '\p{Joining_Group=		KAF}', "");
Expect(0, 1603, '\p{^Joining_Group=		KAF}', "");
Expect(0, 1603, '\P{Joining_Group=		KAF}', "");
Expect(1, 1603, '\P{^Joining_Group=		KAF}', "");
Expect(0, 1602, '\p{Joining_Group=		KAF}', "");
Expect(1, 1602, '\p{^Joining_Group=		KAF}', "");
Expect(1, 1602, '\P{Joining_Group=		KAF}', "");
Expect(0, 1602, '\P{^Joining_Group=		KAF}', "");
Error('\p{Jg=/a/_Kaf}');
Error('\P{Jg=/a/_Kaf}');
Expect(1, 1603, '\p{Jg=kaf}', "");
Expect(0, 1603, '\p{^Jg=kaf}', "");
Expect(0, 1603, '\P{Jg=kaf}', "");
Expect(1, 1603, '\P{^Jg=kaf}', "");
Expect(0, 1602, '\p{Jg=kaf}', "");
Expect(1, 1602, '\p{^Jg=kaf}', "");
Expect(1, 1602, '\P{Jg=kaf}', "");
Expect(0, 1602, '\P{^Jg=kaf}', "");
Expect(1, 1603, '\p{Jg=-KAF}', "");
Expect(0, 1603, '\p{^Jg=-KAF}', "");
Expect(0, 1603, '\P{Jg=-KAF}', "");
Expect(1, 1603, '\P{^Jg=-KAF}', "");
Expect(0, 1602, '\p{Jg=-KAF}', "");
Expect(1, 1602, '\p{^Jg=-KAF}', "");
Expect(1, 1602, '\P{Jg=-KAF}', "");
Expect(0, 1602, '\P{^Jg=-KAF}', "");
Error('\p{Is_Joining_Group=	kaf/a/}');
Error('\P{Is_Joining_Group=	kaf/a/}');
Expect(1, 1603, '\p{Is_Joining_Group=kaf}', "");
Expect(0, 1603, '\p{^Is_Joining_Group=kaf}', "");
Expect(0, 1603, '\P{Is_Joining_Group=kaf}', "");
Expect(1, 1603, '\P{^Is_Joining_Group=kaf}', "");
Expect(0, 1602, '\p{Is_Joining_Group=kaf}', "");
Expect(1, 1602, '\p{^Is_Joining_Group=kaf}', "");
Expect(1, 1602, '\P{Is_Joining_Group=kaf}', "");
Expect(0, 1602, '\P{^Is_Joining_Group=kaf}', "");
Expect(1, 1603, '\p{Is_Joining_Group=--KAF}', "");
Expect(0, 1603, '\p{^Is_Joining_Group=--KAF}', "");
Expect(0, 1603, '\P{Is_Joining_Group=--KAF}', "");
Expect(1, 1603, '\P{^Is_Joining_Group=--KAF}', "");
Expect(0, 1602, '\p{Is_Joining_Group=--KAF}', "");
Expect(1, 1602, '\p{^Is_Joining_Group=--KAF}', "");
Expect(1, 1602, '\P{Is_Joining_Group=--KAF}', "");
Expect(0, 1602, '\P{^Is_Joining_Group=--KAF}', "");
Error('\p{Is_Jg= -KAF:=}');
Error('\P{Is_Jg= -KAF:=}');
Expect(1, 1603, '\p{Is_Jg=kaf}', "");
Expect(0, 1603, '\p{^Is_Jg=kaf}', "");
Expect(0, 1603, '\P{Is_Jg=kaf}', "");
Expect(1, 1603, '\P{^Is_Jg=kaf}', "");
Expect(0, 1602, '\p{Is_Jg=kaf}', "");
Expect(1, 1602, '\p{^Is_Jg=kaf}', "");
Expect(1, 1602, '\P{Is_Jg=kaf}', "");
Expect(0, 1602, '\P{^Is_Jg=kaf}', "");
Expect(1, 1603, '\p{Is_Jg=--kaf}', "");
Expect(0, 1603, '\p{^Is_Jg=--kaf}', "");
Expect(0, 1603, '\P{Is_Jg=--kaf}', "");
Expect(1, 1603, '\P{^Is_Jg=--kaf}', "");
Expect(0, 1602, '\p{Is_Jg=--kaf}', "");
Expect(1, 1602, '\p{^Is_Jg=--kaf}', "");
Expect(1, 1602, '\P{Is_Jg=--kaf}', "");
Expect(0, 1602, '\P{^Is_Jg=--kaf}', "");
Error('\p{Joining_Group=:=-	Fe}');
Error('\P{Joining_Group=:=-	Fe}');
Expect(1, 1871, '\p{Joining_Group:fe}', "");
Expect(0, 1871, '\p{^Joining_Group:fe}', "");
Expect(0, 1871, '\P{Joining_Group:fe}', "");
Expect(1, 1871, '\P{^Joining_Group:fe}', "");
Expect(0, 1870, '\p{Joining_Group:fe}', "");
Expect(1, 1870, '\p{^Joining_Group:fe}', "");
Expect(1, 1870, '\P{Joining_Group:fe}', "");
Expect(0, 1870, '\P{^Joining_Group:fe}', "");
Expect(1, 1871, '\p{Joining_Group:	-FE}', "");
Expect(0, 1871, '\p{^Joining_Group:	-FE}', "");
Expect(0, 1871, '\P{Joining_Group:	-FE}', "");
Expect(1, 1871, '\P{^Joining_Group:	-FE}', "");
Expect(0, 1870, '\p{Joining_Group:	-FE}', "");
Expect(1, 1870, '\p{^Joining_Group:	-FE}', "");
Expect(1, 1870, '\P{Joining_Group:	-FE}', "");
Expect(0, 1870, '\P{^Joining_Group:	-FE}', "");
Error('\p{Jg=-:=FE}');
Error('\P{Jg=-:=FE}');
Expect(1, 1871, '\p{Jg=fe}', "");
Expect(0, 1871, '\p{^Jg=fe}', "");
Expect(0, 1871, '\P{Jg=fe}', "");
Expect(1, 1871, '\P{^Jg=fe}', "");
Expect(0, 1870, '\p{Jg=fe}', "");
Expect(1, 1870, '\p{^Jg=fe}', "");
Expect(1, 1870, '\P{Jg=fe}', "");
Expect(0, 1870, '\P{^Jg=fe}', "");
Expect(1, 1871, '\p{Jg=	-Fe}', "");
Expect(0, 1871, '\p{^Jg=	-Fe}', "");
Expect(0, 1871, '\P{Jg=	-Fe}', "");
Expect(1, 1871, '\P{^Jg=	-Fe}', "");
Expect(0, 1870, '\p{Jg=	-Fe}', "");
Expect(1, 1870, '\p{^Jg=	-Fe}', "");
Expect(1, 1870, '\P{Jg=	-Fe}', "");
Expect(0, 1870, '\P{^Jg=	-Fe}', "");
Error('\p{Is_Joining_Group=:=-_fe}');
Error('\P{Is_Joining_Group=:=-_fe}');
Expect(1, 1871, '\p{Is_Joining_Group=fe}', "");
Expect(0, 1871, '\p{^Is_Joining_Group=fe}', "");
Expect(0, 1871, '\P{Is_Joining_Group=fe}', "");
Expect(1, 1871, '\P{^Is_Joining_Group=fe}', "");
Expect(0, 1870, '\p{Is_Joining_Group=fe}', "");
Expect(1, 1870, '\p{^Is_Joining_Group=fe}', "");
Expect(1, 1870, '\P{Is_Joining_Group=fe}', "");
Expect(0, 1870, '\P{^Is_Joining_Group=fe}', "");
Expect(1, 1871, '\p{Is_Joining_Group= -Fe}', "");
Expect(0, 1871, '\p{^Is_Joining_Group= -Fe}', "");
Expect(0, 1871, '\P{Is_Joining_Group= -Fe}', "");
Expect(1, 1871, '\P{^Is_Joining_Group= -Fe}', "");
Expect(0, 1870, '\p{Is_Joining_Group= -Fe}', "");
Expect(1, 1870, '\p{^Is_Joining_Group= -Fe}', "");
Expect(1, 1870, '\P{Is_Joining_Group= -Fe}', "");
Expect(0, 1870, '\P{^Is_Joining_Group= -Fe}', "");
Error('\p{Is_Jg=:=fe}');
Error('\P{Is_Jg=:=fe}');
Expect(1, 1871, '\p{Is_Jg=fe}', "");
Expect(0, 1871, '\p{^Is_Jg=fe}', "");
Expect(0, 1871, '\P{Is_Jg=fe}', "");
Expect(1, 1871, '\P{^Is_Jg=fe}', "");
Expect(0, 1870, '\p{Is_Jg=fe}', "");
Expect(1, 1870, '\p{^Is_Jg=fe}', "");
Expect(1, 1870, '\P{Is_Jg=fe}', "");
Expect(0, 1870, '\P{^Is_Jg=fe}', "");
Expect(1, 1871, '\p{Is_Jg=_-Fe}', "");
Expect(0, 1871, '\p{^Is_Jg=_-Fe}', "");
Expect(0, 1871, '\P{Is_Jg=_-Fe}', "");
Expect(1, 1871, '\P{^Is_Jg=_-Fe}', "");
Expect(0, 1870, '\p{Is_Jg=_-Fe}', "");
Expect(1, 1870, '\p{^Is_Jg=_-Fe}', "");
Expect(1, 1870, '\P{Is_Jg=_-Fe}', "");
Expect(0, 1870, '\P{^Is_Jg=_-Fe}', "");
Error('\p{Joining_Group=/a/	_Alaph}');
Error('\P{Joining_Group=/a/	_Alaph}');
Expect(1, 1808, '\p{Joining_Group=alaph}', "");
Expect(0, 1808, '\p{^Joining_Group=alaph}', "");
Expect(0, 1808, '\P{Joining_Group=alaph}', "");
Expect(1, 1808, '\P{^Joining_Group=alaph}', "");
Expect(0, 1807, '\p{Joining_Group=alaph}', "");
Expect(1, 1807, '\p{^Joining_Group=alaph}', "");
Expect(1, 1807, '\P{Joining_Group=alaph}', "");
Expect(0, 1807, '\P{^Joining_Group=alaph}', "");
Expect(1, 1808, '\p{Joining_Group=		Alaph}', "");
Expect(0, 1808, '\p{^Joining_Group=		Alaph}', "");
Expect(0, 1808, '\P{Joining_Group=		Alaph}', "");
Expect(1, 1808, '\P{^Joining_Group=		Alaph}', "");
Expect(0, 1807, '\p{Joining_Group=		Alaph}', "");
Expect(1, 1807, '\p{^Joining_Group=		Alaph}', "");
Expect(1, 1807, '\P{Joining_Group=		Alaph}', "");
Expect(0, 1807, '\P{^Joining_Group=		Alaph}', "");
Error('\p{Jg=/a/_	ALAPH}');
Error('\P{Jg=/a/_	ALAPH}');
Expect(1, 1808, '\p{Jg=alaph}', "");
Expect(0, 1808, '\p{^Jg=alaph}', "");
Expect(0, 1808, '\P{Jg=alaph}', "");
Expect(1, 1808, '\P{^Jg=alaph}', "");
Expect(0, 1807, '\p{Jg=alaph}', "");
Expect(1, 1807, '\p{^Jg=alaph}', "");
Expect(1, 1807, '\P{Jg=alaph}', "");
Expect(0, 1807, '\P{^Jg=alaph}', "");
Expect(1, 1808, '\p{Jg= _Alaph}', "");
Expect(0, 1808, '\p{^Jg= _Alaph}', "");
Expect(0, 1808, '\P{Jg= _Alaph}', "");
Expect(1, 1808, '\P{^Jg= _Alaph}', "");
Expect(0, 1807, '\p{Jg= _Alaph}', "");
Expect(1, 1807, '\p{^Jg= _Alaph}', "");
Expect(1, 1807, '\P{Jg= _Alaph}', "");
Expect(0, 1807, '\P{^Jg= _Alaph}', "");
Error('\p{Is_Joining_Group=/a/ -Alaph}');
Error('\P{Is_Joining_Group=/a/ -Alaph}');
Expect(1, 1808, '\p{Is_Joining_Group=alaph}', "");
Expect(0, 1808, '\p{^Is_Joining_Group=alaph}', "");
Expect(0, 1808, '\P{Is_Joining_Group=alaph}', "");
Expect(1, 1808, '\P{^Is_Joining_Group=alaph}', "");
Expect(0, 1807, '\p{Is_Joining_Group=alaph}', "");
Expect(1, 1807, '\p{^Is_Joining_Group=alaph}', "");
Expect(1, 1807, '\P{Is_Joining_Group=alaph}', "");
Expect(0, 1807, '\P{^Is_Joining_Group=alaph}', "");
Expect(1, 1808, '\p{Is_Joining_Group=-alaph}', "");
Expect(0, 1808, '\p{^Is_Joining_Group=-alaph}', "");
Expect(0, 1808, '\P{Is_Joining_Group=-alaph}', "");
Expect(1, 1808, '\P{^Is_Joining_Group=-alaph}', "");
Expect(0, 1807, '\p{Is_Joining_Group=-alaph}', "");
Expect(1, 1807, '\p{^Is_Joining_Group=-alaph}', "");
Expect(1, 1807, '\P{Is_Joining_Group=-alaph}', "");
Expect(0, 1807, '\P{^Is_Joining_Group=-alaph}', "");
Error('\p{Is_Jg=/a/Alaph}');
Error('\P{Is_Jg=/a/Alaph}');
Expect(1, 1808, '\p{Is_Jg=alaph}', "");
Expect(0, 1808, '\p{^Is_Jg=alaph}', "");
Expect(0, 1808, '\P{Is_Jg=alaph}', "");
Expect(1, 1808, '\P{^Is_Jg=alaph}', "");
Expect(0, 1807, '\p{Is_Jg=alaph}', "");
Expect(1, 1807, '\p{^Is_Jg=alaph}', "");
Expect(1, 1807, '\P{Is_Jg=alaph}', "");
Expect(0, 1807, '\P{^Is_Jg=alaph}', "");
Expect(1, 1808, '\p{Is_Jg=_Alaph}', "");
Expect(0, 1808, '\p{^Is_Jg=_Alaph}', "");
Expect(0, 1808, '\P{Is_Jg=_Alaph}', "");
Expect(1, 1808, '\P{^Is_Jg=_Alaph}', "");
Expect(0, 1807, '\p{Is_Jg=_Alaph}', "");
Expect(1, 1807, '\p{^Is_Jg=_Alaph}', "");
Expect(1, 1807, '\P{Is_Jg=_Alaph}', "");
Expect(0, 1807, '\P{^Is_Jg=_Alaph}', "");
Error('\p{Joining_Group=:=LAMADH}');
Error('\P{Joining_Group=:=LAMADH}');
Expect(1, 1824, '\p{Joining_Group=lamadh}', "");
Expect(0, 1824, '\p{^Joining_Group=lamadh}', "");
Expect(0, 1824, '\P{Joining_Group=lamadh}', "");
Expect(1, 1824, '\P{^Joining_Group=lamadh}', "");
Expect(0, 1823, '\p{Joining_Group=lamadh}', "");
Expect(1, 1823, '\p{^Joining_Group=lamadh}', "");
Expect(1, 1823, '\P{Joining_Group=lamadh}', "");
Expect(0, 1823, '\P{^Joining_Group=lamadh}', "");
Expect(1, 1824, '\p{Joining_Group=-LAMADH}', "");
Expect(0, 1824, '\p{^Joining_Group=-LAMADH}', "");
Expect(0, 1824, '\P{Joining_Group=-LAMADH}', "");
Expect(1, 1824, '\P{^Joining_Group=-LAMADH}', "");
Expect(0, 1823, '\p{Joining_Group=-LAMADH}', "");
Expect(1, 1823, '\p{^Joining_Group=-LAMADH}', "");
Expect(1, 1823, '\P{Joining_Group=-LAMADH}', "");
Expect(0, 1823, '\P{^Joining_Group=-LAMADH}', "");
Error('\p{Jg:		-Lamadh/a/}');
Error('\P{Jg:		-Lamadh/a/}');
Expect(1, 1824, '\p{Jg=lamadh}', "");
Expect(0, 1824, '\p{^Jg=lamadh}', "");
Expect(0, 1824, '\P{Jg=lamadh}', "");
Expect(1, 1824, '\P{^Jg=lamadh}', "");
Expect(0, 1823, '\p{Jg=lamadh}', "");
Expect(1, 1823, '\p{^Jg=lamadh}', "");
Expect(1, 1823, '\P{Jg=lamadh}', "");
Expect(0, 1823, '\P{^Jg=lamadh}', "");
Expect(1, 1824, '\p{Jg=Lamadh}', "");
Expect(0, 1824, '\p{^Jg=Lamadh}', "");
Expect(0, 1824, '\P{Jg=Lamadh}', "");
Expect(1, 1824, '\P{^Jg=Lamadh}', "");
Expect(0, 1823, '\p{Jg=Lamadh}', "");
Expect(1, 1823, '\p{^Jg=Lamadh}', "");
Expect(1, 1823, '\P{Jg=Lamadh}', "");
Expect(0, 1823, '\P{^Jg=Lamadh}', "");
Error('\p{Is_Joining_Group=_:=Lamadh}');
Error('\P{Is_Joining_Group=_:=Lamadh}');
Expect(1, 1824, '\p{Is_Joining_Group=lamadh}', "");
Expect(0, 1824, '\p{^Is_Joining_Group=lamadh}', "");
Expect(0, 1824, '\P{Is_Joining_Group=lamadh}', "");
Expect(1, 1824, '\P{^Is_Joining_Group=lamadh}', "");
Expect(0, 1823, '\p{Is_Joining_Group=lamadh}', "");
Expect(1, 1823, '\p{^Is_Joining_Group=lamadh}', "");
Expect(1, 1823, '\P{Is_Joining_Group=lamadh}', "");
Expect(0, 1823, '\P{^Is_Joining_Group=lamadh}', "");
Expect(1, 1824, '\p{Is_Joining_Group=  lamadh}', "");
Expect(0, 1824, '\p{^Is_Joining_Group=  lamadh}', "");
Expect(0, 1824, '\P{Is_Joining_Group=  lamadh}', "");
Expect(1, 1824, '\P{^Is_Joining_Group=  lamadh}', "");
Expect(0, 1823, '\p{Is_Joining_Group=  lamadh}', "");
Expect(1, 1823, '\p{^Is_Joining_Group=  lamadh}', "");
Expect(1, 1823, '\P{Is_Joining_Group=  lamadh}', "");
Expect(0, 1823, '\P{^Is_Joining_Group=  lamadh}', "");
Error('\p{Is_Jg=/a/  LAMADH}');
Error('\P{Is_Jg=/a/  LAMADH}');
Expect(1, 1824, '\p{Is_Jg:	lamadh}', "");
Expect(0, 1824, '\p{^Is_Jg:	lamadh}', "");
Expect(0, 1824, '\P{Is_Jg:	lamadh}', "");
Expect(1, 1824, '\P{^Is_Jg:	lamadh}', "");
Expect(0, 1823, '\p{Is_Jg:	lamadh}', "");
Expect(1, 1823, '\p{^Is_Jg:	lamadh}', "");
Expect(1, 1823, '\P{Is_Jg:	lamadh}', "");
Expect(0, 1823, '\P{^Is_Jg:	lamadh}', "");
Expect(1, 1824, '\p{Is_Jg=	 Lamadh}', "");
Expect(0, 1824, '\p{^Is_Jg=	 Lamadh}', "");
Expect(0, 1824, '\P{Is_Jg=	 Lamadh}', "");
Expect(1, 1824, '\P{^Is_Jg=	 Lamadh}', "");
Expect(0, 1823, '\p{Is_Jg=	 Lamadh}', "");
Expect(1, 1823, '\p{^Is_Jg=	 Lamadh}', "");
Expect(1, 1823, '\P{Is_Jg=	 Lamadh}', "");
Expect(0, 1823, '\P{^Is_Jg=	 Lamadh}', "");
Error('\p{Joining_Group: /a/e}');
Error('\P{Joining_Group: /a/e}');
Expect(1, 1829, '\p{Joining_Group:	e}', "");
Expect(0, 1829, '\p{^Joining_Group:	e}', "");
Expect(0, 1829, '\P{Joining_Group:	e}', "");
Expect(1, 1829, '\P{^Joining_Group:	e}', "");
Expect(0, 1828, '\p{Joining_Group:	e}', "");
Expect(1, 1828, '\p{^Joining_Group:	e}', "");
Expect(1, 1828, '\P{Joining_Group:	e}', "");
Expect(0, 1828, '\P{^Joining_Group:	e}', "");
Expect(1, 1829, '\p{Joining_Group=_E}', "");
Expect(0, 1829, '\p{^Joining_Group=_E}', "");
Expect(0, 1829, '\P{Joining_Group=_E}', "");
Expect(1, 1829, '\P{^Joining_Group=_E}', "");
Expect(0, 1828, '\p{Joining_Group=_E}', "");
Expect(1, 1828, '\p{^Joining_Group=_E}', "");
Expect(1, 1828, '\P{Joining_Group=_E}', "");
Expect(0, 1828, '\P{^Joining_Group=_E}', "");
Error('\p{Jg=/a/_ E}');
Error('\P{Jg=/a/_ E}');
Expect(1, 1829, '\p{Jg=e}', "");
Expect(0, 1829, '\p{^Jg=e}', "");
Expect(0, 1829, '\P{Jg=e}', "");
Expect(1, 1829, '\P{^Jg=e}', "");
Expect(0, 1828, '\p{Jg=e}', "");
Expect(1, 1828, '\p{^Jg=e}', "");
Expect(1, 1828, '\P{Jg=e}', "");
Expect(0, 1828, '\P{^Jg=e}', "");
Expect(1, 1829, '\p{Jg=	_E}', "");
Expect(0, 1829, '\p{^Jg=	_E}', "");
Expect(0, 1829, '\P{Jg=	_E}', "");
Expect(1, 1829, '\P{^Jg=	_E}', "");
Expect(0, 1828, '\p{Jg=	_E}', "");
Expect(1, 1828, '\p{^Jg=	_E}', "");
Expect(1, 1828, '\P{Jg=	_E}', "");
Expect(0, 1828, '\P{^Jg=	_E}', "");
Error('\p{Is_Joining_Group:	-E:=}');
Error('\P{Is_Joining_Group:	-E:=}');
Expect(1, 1829, '\p{Is_Joining_Group=e}', "");
Expect(0, 1829, '\p{^Is_Joining_Group=e}', "");
Expect(0, 1829, '\P{Is_Joining_Group=e}', "");
Expect(1, 1829, '\P{^Is_Joining_Group=e}', "");
Expect(0, 1828, '\p{Is_Joining_Group=e}', "");
Expect(1, 1828, '\p{^Is_Joining_Group=e}', "");
Expect(1, 1828, '\P{Is_Joining_Group=e}', "");
Expect(0, 1828, '\P{^Is_Joining_Group=e}', "");
Expect(1, 1829, '\p{Is_Joining_Group=-	E}', "");
Expect(0, 1829, '\p{^Is_Joining_Group=-	E}', "");
Expect(0, 1829, '\P{Is_Joining_Group=-	E}', "");
Expect(1, 1829, '\P{^Is_Joining_Group=-	E}', "");
Expect(0, 1828, '\p{Is_Joining_Group=-	E}', "");
Expect(1, 1828, '\p{^Is_Joining_Group=-	E}', "");
Expect(1, 1828, '\P{Is_Joining_Group=-	E}', "");
Expect(0, 1828, '\P{^Is_Joining_Group=-	E}', "");
Error('\p{Is_Jg=:=  e}');
Error('\P{Is_Jg=:=  e}');
Expect(1, 1829, '\p{Is_Jg=e}', "");
Expect(0, 1829, '\p{^Is_Jg=e}', "");
Expect(0, 1829, '\P{Is_Jg=e}', "");
Expect(1, 1829, '\P{^Is_Jg=e}', "");
Expect(0, 1828, '\p{Is_Jg=e}', "");
Expect(1, 1828, '\p{^Is_Jg=e}', "");
Expect(1, 1828, '\P{Is_Jg=e}', "");
Expect(0, 1828, '\P{^Is_Jg=e}', "");
Expect(1, 1829, '\p{Is_Jg= E}', "");
Expect(0, 1829, '\p{^Is_Jg= E}', "");
Expect(0, 1829, '\P{Is_Jg= E}', "");
Expect(1, 1829, '\P{^Is_Jg= E}', "");
Expect(0, 1828, '\p{Is_Jg= E}', "");
Expect(1, 1828, '\p{^Is_Jg= E}', "");
Expect(1, 1828, '\P{Is_Jg= E}', "");
Expect(0, 1828, '\P{^Is_Jg= E}', "");
Error('\p{Joining_Group=:=_ Yeh	barree}');
Error('\P{Joining_Group=:=_ Yeh	barree}');
Expect(1, 1747, '\p{Joining_Group=yehbarree}', "");
Expect(0, 1747, '\p{^Joining_Group=yehbarree}', "");
Expect(0, 1747, '\P{Joining_Group=yehbarree}', "");
Expect(1, 1747, '\P{^Joining_Group=yehbarree}', "");
Expect(0, 1745, '\p{Joining_Group=yehbarree}', "");
Expect(1, 1745, '\p{^Joining_Group=yehbarree}', "");
Expect(1, 1745, '\P{Joining_Group=yehbarree}', "");
Expect(0, 1745, '\P{^Joining_Group=yehbarree}', "");
Expect(1, 1747, '\p{Joining_Group=- Yeh-Barree}', "");
Expect(0, 1747, '\p{^Joining_Group=- Yeh-Barree}', "");
Expect(0, 1747, '\P{Joining_Group=- Yeh-Barree}', "");
Expect(1, 1747, '\P{^Joining_Group=- Yeh-Barree}', "");
Expect(0, 1745, '\p{Joining_Group=- Yeh-Barree}', "");
Expect(1, 1745, '\p{^Joining_Group=- Yeh-Barree}', "");
Expect(1, 1745, '\P{Joining_Group=- Yeh-Barree}', "");
Expect(0, 1745, '\P{^Joining_Group=- Yeh-Barree}', "");
Error('\p{Jg=/a/-Yeh_barree}');
Error('\P{Jg=/a/-Yeh_barree}');
Expect(1, 1747, '\p{Jg=yehbarree}', "");
Expect(0, 1747, '\p{^Jg=yehbarree}', "");
Expect(0, 1747, '\P{Jg=yehbarree}', "");
Expect(1, 1747, '\P{^Jg=yehbarree}', "");
Expect(0, 1745, '\p{Jg=yehbarree}', "");
Expect(1, 1745, '\p{^Jg=yehbarree}', "");
Expect(1, 1745, '\P{Jg=yehbarree}', "");
Expect(0, 1745, '\P{^Jg=yehbarree}', "");
Expect(1, 1747, '\p{Jg:_	YEH_Barree}', "");
Expect(0, 1747, '\p{^Jg:_	YEH_Barree}', "");
Expect(0, 1747, '\P{Jg:_	YEH_Barree}', "");
Expect(1, 1747, '\P{^Jg:_	YEH_Barree}', "");
Expect(0, 1745, '\p{Jg:_	YEH_Barree}', "");
Expect(1, 1745, '\p{^Jg:_	YEH_Barree}', "");
Expect(1, 1745, '\P{Jg:_	YEH_Barree}', "");
Expect(0, 1745, '\P{^Jg:_	YEH_Barree}', "");
Error('\p{Is_Joining_Group=	/a/YEHbarree}');
Error('\P{Is_Joining_Group=	/a/YEHbarree}');
Expect(1, 1747, '\p{Is_Joining_Group=yehbarree}', "");
Expect(0, 1747, '\p{^Is_Joining_Group=yehbarree}', "");
Expect(0, 1747, '\P{Is_Joining_Group=yehbarree}', "");
Expect(1, 1747, '\P{^Is_Joining_Group=yehbarree}', "");
Expect(0, 1745, '\p{Is_Joining_Group=yehbarree}', "");
Expect(1, 1745, '\p{^Is_Joining_Group=yehbarree}', "");
Expect(1, 1745, '\P{Is_Joining_Group=yehbarree}', "");
Expect(0, 1745, '\P{^Is_Joining_Group=yehbarree}', "");
Expect(1, 1747, '\p{Is_Joining_Group=		YEH BARREE}', "");
Expect(0, 1747, '\p{^Is_Joining_Group=		YEH BARREE}', "");
Expect(0, 1747, '\P{Is_Joining_Group=		YEH BARREE}', "");
Expect(1, 1747, '\P{^Is_Joining_Group=		YEH BARREE}', "");
Expect(0, 1745, '\p{Is_Joining_Group=		YEH BARREE}', "");
Expect(1, 1745, '\p{^Is_Joining_Group=		YEH BARREE}', "");
Expect(1, 1745, '\P{Is_Joining_Group=		YEH BARREE}', "");
Expect(0, 1745, '\P{^Is_Joining_Group=		YEH BARREE}', "");
Error('\p{Is_Jg=_YEH:=Barree}');
Error('\P{Is_Jg=_YEH:=Barree}');
Expect(1, 1747, '\p{Is_Jg=yehbarree}', "");
Expect(0, 1747, '\p{^Is_Jg=yehbarree}', "");
Expect(0, 1747, '\P{Is_Jg=yehbarree}', "");
Expect(1, 1747, '\P{^Is_Jg=yehbarree}', "");
Expect(0, 1745, '\p{Is_Jg=yehbarree}', "");
Expect(1, 1745, '\p{^Is_Jg=yehbarree}', "");
Expect(1, 1745, '\P{Is_Jg=yehbarree}', "");
Expect(0, 1745, '\P{^Is_Jg=yehbarree}', "");
Expect(1, 1747, '\p{Is_Jg=_ Yeh Barree}', "");
Expect(0, 1747, '\p{^Is_Jg=_ Yeh Barree}', "");
Expect(0, 1747, '\P{Is_Jg=_ Yeh Barree}', "");
Expect(1, 1747, '\P{^Is_Jg=_ Yeh Barree}', "");
Expect(0, 1745, '\p{Is_Jg=_ Yeh Barree}', "");
Expect(1, 1745, '\p{^Is_Jg=_ Yeh Barree}', "");
Expect(1, 1745, '\P{Is_Jg=_ Yeh Barree}', "");
Expect(0, 1745, '\P{^Is_Jg=_ Yeh Barree}', "");
Error('\p{Joining_Group=	-nya:=}');
Error('\P{Joining_Group=	-nya:=}');
Expect(1, 1725, '\p{Joining_Group=nya}', "");
Expect(0, 1725, '\p{^Joining_Group=nya}', "");
Expect(0, 1725, '\P{Joining_Group=nya}', "");
Expect(1, 1725, '\P{^Joining_Group=nya}', "");
Expect(0, 1724, '\p{Joining_Group=nya}', "");
Expect(1, 1724, '\p{^Joining_Group=nya}', "");
Expect(1, 1724, '\P{Joining_Group=nya}', "");
Expect(0, 1724, '\P{^Joining_Group=nya}', "");
Expect(1, 1725, '\p{Joining_Group= 	NYA}', "");
Expect(0, 1725, '\p{^Joining_Group= 	NYA}', "");
Expect(0, 1725, '\P{Joining_Group= 	NYA}', "");
Expect(1, 1725, '\P{^Joining_Group= 	NYA}', "");
Expect(0, 1724, '\p{Joining_Group= 	NYA}', "");
Expect(1, 1724, '\p{^Joining_Group= 	NYA}', "");
Expect(1, 1724, '\P{Joining_Group= 	NYA}', "");
Expect(0, 1724, '\P{^Joining_Group= 	NYA}', "");
Error('\p{Jg=	/a/nya}');
Error('\P{Jg=	/a/nya}');
Expect(1, 1725, '\p{Jg=nya}', "");
Expect(0, 1725, '\p{^Jg=nya}', "");
Expect(0, 1725, '\P{Jg=nya}', "");
Expect(1, 1725, '\P{^Jg=nya}', "");
Expect(0, 1724, '\p{Jg=nya}', "");
Expect(1, 1724, '\p{^Jg=nya}', "");
Expect(1, 1724, '\P{Jg=nya}', "");
Expect(0, 1724, '\P{^Jg=nya}', "");
Expect(1, 1725, '\p{Jg= Nya}', "");
Expect(0, 1725, '\p{^Jg= Nya}', "");
Expect(0, 1725, '\P{Jg= Nya}', "");
Expect(1, 1725, '\P{^Jg= Nya}', "");
Expect(0, 1724, '\p{Jg= Nya}', "");
Expect(1, 1724, '\p{^Jg= Nya}', "");
Expect(1, 1724, '\P{Jg= Nya}', "");
Expect(0, 1724, '\P{^Jg= Nya}', "");
Error('\p{Is_Joining_Group::= Nya}');
Error('\P{Is_Joining_Group::= Nya}');
Expect(1, 1725, '\p{Is_Joining_Group:nya}', "");
Expect(0, 1725, '\p{^Is_Joining_Group:nya}', "");
Expect(0, 1725, '\P{Is_Joining_Group:nya}', "");
Expect(1, 1725, '\P{^Is_Joining_Group:nya}', "");
Expect(0, 1724, '\p{Is_Joining_Group:nya}', "");
Expect(1, 1724, '\p{^Is_Joining_Group:nya}', "");
Expect(1, 1724, '\P{Is_Joining_Group:nya}', "");
Expect(0, 1724, '\P{^Is_Joining_Group:nya}', "");
Expect(1, 1725, '\p{Is_Joining_Group:	- nya}', "");
Expect(0, 1725, '\p{^Is_Joining_Group:	- nya}', "");
Expect(0, 1725, '\P{Is_Joining_Group:	- nya}', "");
Expect(1, 1725, '\P{^Is_Joining_Group:	- nya}', "");
Expect(0, 1724, '\p{Is_Joining_Group:	- nya}', "");
Expect(1, 1724, '\p{^Is_Joining_Group:	- nya}', "");
Expect(1, 1724, '\P{Is_Joining_Group:	- nya}', "");
Expect(0, 1724, '\P{^Is_Joining_Group:	- nya}', "");
Error('\p{Is_Jg= nya:=}');
Error('\P{Is_Jg= nya:=}');
Expect(1, 1725, '\p{Is_Jg=nya}', "");
Expect(0, 1725, '\p{^Is_Jg=nya}', "");
Expect(0, 1725, '\P{Is_Jg=nya}', "");
Expect(1, 1725, '\P{^Is_Jg=nya}', "");
Expect(0, 1724, '\p{Is_Jg=nya}', "");
Expect(1, 1724, '\p{^Is_Jg=nya}', "");
Expect(1, 1724, '\P{Is_Jg=nya}', "");
Expect(0, 1724, '\P{^Is_Jg=nya}', "");
Expect(1, 1725, '\p{Is_Jg=-nya}', "");
Expect(0, 1725, '\p{^Is_Jg=-nya}', "");
Expect(0, 1725, '\P{Is_Jg=-nya}', "");
Expect(1, 1725, '\P{^Is_Jg=-nya}', "");
Expect(0, 1724, '\p{Is_Jg=-nya}', "");
Expect(1, 1724, '\p{^Is_Jg=-nya}', "");
Expect(1, 1724, '\P{Is_Jg=-nya}', "");
Expect(0, 1724, '\P{^Is_Jg=-nya}', "");
Error('\p{Joining_Group=-/a/Nun}');
Error('\P{Joining_Group=-/a/Nun}');
Expect(1, 1826, '\p{Joining_Group=nun}', "");
Expect(0, 1826, '\p{^Joining_Group=nun}', "");
Expect(0, 1826, '\P{Joining_Group=nun}', "");
Expect(1, 1826, '\P{^Joining_Group=nun}', "");
Expect(0, 1825, '\p{Joining_Group=nun}', "");
Expect(1, 1825, '\p{^Joining_Group=nun}', "");
Expect(1, 1825, '\P{Joining_Group=nun}', "");
Expect(0, 1825, '\P{^Joining_Group=nun}', "");
Expect(1, 1826, '\p{Joining_Group:   		Nun}', "");
Expect(0, 1826, '\p{^Joining_Group:   		Nun}', "");
Expect(0, 1826, '\P{Joining_Group:   		Nun}', "");
Expect(1, 1826, '\P{^Joining_Group:   		Nun}', "");
Expect(0, 1825, '\p{Joining_Group:   		Nun}', "");
Expect(1, 1825, '\p{^Joining_Group:   		Nun}', "");
Expect(1, 1825, '\P{Joining_Group:   		Nun}', "");
Expect(0, 1825, '\P{^Joining_Group:   		Nun}', "");
Error('\p{Jg=/a/ 	NUN}');
Error('\P{Jg=/a/ 	NUN}');
Expect(1, 1826, '\p{Jg=nun}', "");
Expect(0, 1826, '\p{^Jg=nun}', "");
Expect(0, 1826, '\P{Jg=nun}', "");
Expect(1, 1826, '\P{^Jg=nun}', "");
Expect(0, 1825, '\p{Jg=nun}', "");
Expect(1, 1825, '\p{^Jg=nun}', "");
Expect(1, 1825, '\P{Jg=nun}', "");
Expect(0, 1825, '\P{^Jg=nun}', "");
Expect(1, 1826, '\p{Jg=	Nun}', "");
Expect(0, 1826, '\p{^Jg=	Nun}', "");
Expect(0, 1826, '\P{Jg=	Nun}', "");
Expect(1, 1826, '\P{^Jg=	Nun}', "");
Expect(0, 1825, '\p{Jg=	Nun}', "");
Expect(1, 1825, '\p{^Jg=	Nun}', "");
Expect(1, 1825, '\P{Jg=	Nun}', "");
Expect(0, 1825, '\P{^Jg=	Nun}', "");
Error('\p{Is_Joining_Group=__nun:=}');
Error('\P{Is_Joining_Group=__nun:=}');
Expect(1, 1826, '\p{Is_Joining_Group=nun}', "");
Expect(0, 1826, '\p{^Is_Joining_Group=nun}', "");
Expect(0, 1826, '\P{Is_Joining_Group=nun}', "");
Expect(1, 1826, '\P{^Is_Joining_Group=nun}', "");
Expect(0, 1825, '\p{Is_Joining_Group=nun}', "");
Expect(1, 1825, '\p{^Is_Joining_Group=nun}', "");
Expect(1, 1825, '\P{Is_Joining_Group=nun}', "");
Expect(0, 1825, '\P{^Is_Joining_Group=nun}', "");
Expect(1, 1826, '\p{Is_Joining_Group:   	Nun}', "");
Expect(0, 1826, '\p{^Is_Joining_Group:   	Nun}', "");
Expect(0, 1826, '\P{Is_Joining_Group:   	Nun}', "");
Expect(1, 1826, '\P{^Is_Joining_Group:   	Nun}', "");
Expect(0, 1825, '\p{Is_Joining_Group:   	Nun}', "");
Expect(1, 1825, '\p{^Is_Joining_Group:   	Nun}', "");
Expect(1, 1825, '\P{Is_Joining_Group:   	Nun}', "");
Expect(0, 1825, '\P{^Is_Joining_Group:   	Nun}', "");
Error('\p{Is_Jg=-/a/nun}');
Error('\P{Is_Jg=-/a/nun}');
Expect(1, 1826, '\p{Is_Jg:	nun}', "");
Expect(0, 1826, '\p{^Is_Jg:	nun}', "");
Expect(0, 1826, '\P{Is_Jg:	nun}', "");
Expect(1, 1826, '\P{^Is_Jg:	nun}', "");
Expect(0, 1825, '\p{Is_Jg:	nun}', "");
Expect(1, 1825, '\p{^Is_Jg:	nun}', "");
Expect(1, 1825, '\P{Is_Jg:	nun}', "");
Expect(0, 1825, '\P{^Is_Jg:	nun}', "");
Expect(1, 1826, '\p{Is_Jg: _ nun}', "");
Expect(0, 1826, '\p{^Is_Jg: _ nun}', "");
Expect(0, 1826, '\P{Is_Jg: _ nun}', "");
Expect(1, 1826, '\P{^Is_Jg: _ nun}', "");
Expect(0, 1825, '\p{Is_Jg: _ nun}', "");
Expect(1, 1825, '\p{^Is_Jg: _ nun}', "");
Expect(1, 1825, '\P{Is_Jg: _ nun}', "");
Expect(0, 1825, '\P{^Is_Jg: _ nun}', "");
Error('\p{Joining_Group:  LAM/a/}');
Error('\P{Joining_Group:  LAM/a/}');
Expect(1, 1604, '\p{Joining_Group=lam}', "");
Expect(0, 1604, '\p{^Joining_Group=lam}', "");
Expect(0, 1604, '\P{Joining_Group=lam}', "");
Expect(1, 1604, '\P{^Joining_Group=lam}', "");
Expect(0, 1603, '\p{Joining_Group=lam}', "");
Expect(1, 1603, '\p{^Joining_Group=lam}', "");
Expect(1, 1603, '\P{Joining_Group=lam}', "");
Expect(0, 1603, '\P{^Joining_Group=lam}', "");
Expect(1, 1604, '\p{Joining_Group=	Lam}', "");
Expect(0, 1604, '\p{^Joining_Group=	Lam}', "");
Expect(0, 1604, '\P{Joining_Group=	Lam}', "");
Expect(1, 1604, '\P{^Joining_Group=	Lam}', "");
Expect(0, 1603, '\p{Joining_Group=	Lam}', "");
Expect(1, 1603, '\p{^Joining_Group=	Lam}', "");
Expect(1, 1603, '\P{Joining_Group=	Lam}', "");
Expect(0, 1603, '\P{^Joining_Group=	Lam}', "");
Error('\p{Jg=	LAM:=}');
Error('\P{Jg=	LAM:=}');
Expect(1, 1604, '\p{Jg=lam}', "");
Expect(0, 1604, '\p{^Jg=lam}', "");
Expect(0, 1604, '\P{Jg=lam}', "");
Expect(1, 1604, '\P{^Jg=lam}', "");
Expect(0, 1603, '\p{Jg=lam}', "");
Expect(1, 1603, '\p{^Jg=lam}', "");
Expect(1, 1603, '\P{Jg=lam}', "");
Expect(0, 1603, '\P{^Jg=lam}', "");
Expect(1, 1604, '\p{Jg=	-LAM}', "");
Expect(0, 1604, '\p{^Jg=	-LAM}', "");
Expect(0, 1604, '\P{Jg=	-LAM}', "");
Expect(1, 1604, '\P{^Jg=	-LAM}', "");
Expect(0, 1603, '\p{Jg=	-LAM}', "");
Expect(1, 1603, '\p{^Jg=	-LAM}', "");
Expect(1, 1603, '\P{Jg=	-LAM}', "");
Expect(0, 1603, '\P{^Jg=	-LAM}', "");
Error('\p{Is_Joining_Group=/a/	-Lam}');
Error('\P{Is_Joining_Group=/a/	-Lam}');
Expect(1, 1604, '\p{Is_Joining_Group=lam}', "");
Expect(0, 1604, '\p{^Is_Joining_Group=lam}', "");
Expect(0, 1604, '\P{Is_Joining_Group=lam}', "");
Expect(1, 1604, '\P{^Is_Joining_Group=lam}', "");
Expect(0, 1603, '\p{Is_Joining_Group=lam}', "");
Expect(1, 1603, '\p{^Is_Joining_Group=lam}', "");
Expect(1, 1603, '\P{Is_Joining_Group=lam}', "");
Expect(0, 1603, '\P{^Is_Joining_Group=lam}', "");
Expect(1, 1604, '\p{Is_Joining_Group=-	LAM}', "");
Expect(0, 1604, '\p{^Is_Joining_Group=-	LAM}', "");
Expect(0, 1604, '\P{Is_Joining_Group=-	LAM}', "");
Expect(1, 1604, '\P{^Is_Joining_Group=-	LAM}', "");
Expect(0, 1603, '\p{Is_Joining_Group=-	LAM}', "");
Expect(1, 1603, '\p{^Is_Joining_Group=-	LAM}', "");
Expect(1, 1603, '\P{Is_Joining_Group=-	LAM}', "");
Expect(0, 1603, '\P{^Is_Joining_Group=-	LAM}', "");
Error('\p{Is_Jg=_/a/Lam}');
Error('\P{Is_Jg=_/a/Lam}');
Expect(1, 1604, '\p{Is_Jg=lam}', "");
Expect(0, 1604, '\p{^Is_Jg=lam}', "");
Expect(0, 1604, '\P{Is_Jg=lam}', "");
Expect(1, 1604, '\P{^Is_Jg=lam}', "");
Expect(0, 1603, '\p{Is_Jg=lam}', "");
Expect(1, 1603, '\p{^Is_Jg=lam}', "");
Expect(1, 1603, '\P{Is_Jg=lam}', "");
Expect(0, 1603, '\P{^Is_Jg=lam}', "");
Expect(1, 1604, '\p{Is_Jg:_ LAM}', "");
Expect(0, 1604, '\p{^Is_Jg:_ LAM}', "");
Expect(0, 1604, '\P{Is_Jg:_ LAM}', "");
Expect(1, 1604, '\P{^Is_Jg:_ LAM}', "");
Expect(0, 1603, '\p{Is_Jg:_ LAM}', "");
Expect(1, 1603, '\p{^Is_Jg:_ LAM}', "");
Expect(1, 1603, '\P{Is_Jg:_ LAM}', "");
Expect(0, 1603, '\P{^Is_Jg:_ LAM}', "");
Error('\p{Joining_Group=:= Ain}');
Error('\P{Joining_Group=:= Ain}');
Expect(1, 1594, '\p{Joining_Group=ain}', "");
Expect(0, 1594, '\p{^Joining_Group=ain}', "");
Expect(0, 1594, '\P{Joining_Group=ain}', "");
Expect(1, 1594, '\P{^Joining_Group=ain}', "");
Expect(0, 1592, '\p{Joining_Group=ain}', "");
Expect(1, 1592, '\p{^Joining_Group=ain}', "");
Expect(1, 1592, '\P{Joining_Group=ain}', "");
Expect(0, 1592, '\P{^Joining_Group=ain}', "");
Expect(1, 1594, '\p{Joining_Group=	-Ain}', "");
Expect(0, 1594, '\p{^Joining_Group=	-Ain}', "");
Expect(0, 1594, '\P{Joining_Group=	-Ain}', "");
Expect(1, 1594, '\P{^Joining_Group=	-Ain}', "");
Expect(0, 1592, '\p{Joining_Group=	-Ain}', "");
Expect(1, 1592, '\p{^Joining_Group=	-Ain}', "");
Expect(1, 1592, '\P{Joining_Group=	-Ain}', "");
Expect(0, 1592, '\P{^Joining_Group=	-Ain}', "");
Error('\p{Jg=:=_-Ain}');
Error('\P{Jg=:=_-Ain}');
Expect(1, 1594, '\p{Jg=ain}', "");
Expect(0, 1594, '\p{^Jg=ain}', "");
Expect(0, 1594, '\P{Jg=ain}', "");
Expect(1, 1594, '\P{^Jg=ain}', "");
Expect(0, 1592, '\p{Jg=ain}', "");
Expect(1, 1592, '\p{^Jg=ain}', "");
Expect(1, 1592, '\P{Jg=ain}', "");
Expect(0, 1592, '\P{^Jg=ain}', "");
Expect(1, 1594, '\p{Jg=_ain}', "");
Expect(0, 1594, '\p{^Jg=_ain}', "");
Expect(0, 1594, '\P{Jg=_ain}', "");
Expect(1, 1594, '\P{^Jg=_ain}', "");
Expect(0, 1592, '\p{Jg=_ain}', "");
Expect(1, 1592, '\p{^Jg=_ain}', "");
Expect(1, 1592, '\P{Jg=_ain}', "");
Expect(0, 1592, '\P{^Jg=_ain}', "");
Error('\p{Is_Joining_Group=-:=ain}');
Error('\P{Is_Joining_Group=-:=ain}');
Expect(1, 1594, '\p{Is_Joining_Group=ain}', "");
Expect(0, 1594, '\p{^Is_Joining_Group=ain}', "");
Expect(0, 1594, '\P{Is_Joining_Group=ain}', "");
Expect(1, 1594, '\P{^Is_Joining_Group=ain}', "");
Expect(0, 1592, '\p{Is_Joining_Group=ain}', "");
Expect(1, 1592, '\p{^Is_Joining_Group=ain}', "");
Expect(1, 1592, '\P{Is_Joining_Group=ain}', "");
Expect(0, 1592, '\P{^Is_Joining_Group=ain}', "");
Expect(1, 1594, '\p{Is_Joining_Group=-AIN}', "");
Expect(0, 1594, '\p{^Is_Joining_Group=-AIN}', "");
Expect(0, 1594, '\P{Is_Joining_Group=-AIN}', "");
Expect(1, 1594, '\P{^Is_Joining_Group=-AIN}', "");
Expect(0, 1592, '\p{Is_Joining_Group=-AIN}', "");
Expect(1, 1592, '\p{^Is_Joining_Group=-AIN}', "");
Expect(1, 1592, '\P{Is_Joining_Group=-AIN}', "");
Expect(0, 1592, '\P{^Is_Joining_Group=-AIN}', "");
Error('\p{Is_Jg:   /a/	-ain}');
Error('\P{Is_Jg:   /a/	-ain}');
Expect(1, 1594, '\p{Is_Jg=ain}', "");
Expect(0, 1594, '\p{^Is_Jg=ain}', "");
Expect(0, 1594, '\P{Is_Jg=ain}', "");
Expect(1, 1594, '\P{^Is_Jg=ain}', "");
Expect(0, 1592, '\p{Is_Jg=ain}', "");
Expect(1, 1592, '\p{^Is_Jg=ain}', "");
Expect(1, 1592, '\P{Is_Jg=ain}', "");
Expect(0, 1592, '\P{^Is_Jg=ain}', "");
Expect(1, 1594, '\p{Is_Jg=  ain}', "");
Expect(0, 1594, '\p{^Is_Jg=  ain}', "");
Expect(0, 1594, '\P{Is_Jg=  ain}', "");
Expect(1, 1594, '\P{^Is_Jg=  ain}', "");
Expect(0, 1592, '\p{Is_Jg=  ain}', "");
Expect(1, 1592, '\p{^Is_Jg=  ain}', "");
Expect(1, 1592, '\P{Is_Jg=  ain}', "");
Expect(0, 1592, '\P{^Is_Jg=  ain}', "");
Error('\p{Joining_Group=_ HEH:=}');
Error('\P{Joining_Group=_ HEH:=}');
Expect(1, 1607, '\p{Joining_Group=heh}', "");
Expect(0, 1607, '\p{^Joining_Group=heh}', "");
Expect(0, 1607, '\P{Joining_Group=heh}', "");
Expect(1, 1607, '\P{^Joining_Group=heh}', "");
Expect(0, 1606, '\p{Joining_Group=heh}', "");
Expect(1, 1606, '\p{^Joining_Group=heh}', "");
Expect(1, 1606, '\P{Joining_Group=heh}', "");
Expect(0, 1606, '\P{^Joining_Group=heh}', "");
Expect(1, 1607, '\p{Joining_Group=	-heh}', "");
Expect(0, 1607, '\p{^Joining_Group=	-heh}', "");
Expect(0, 1607, '\P{Joining_Group=	-heh}', "");
Expect(1, 1607, '\P{^Joining_Group=	-heh}', "");
Expect(0, 1606, '\p{Joining_Group=	-heh}', "");
Expect(1, 1606, '\p{^Joining_Group=	-heh}', "");
Expect(1, 1606, '\P{Joining_Group=	-heh}', "");
Expect(0, 1606, '\P{^Joining_Group=	-heh}', "");
Error('\p{Jg:   :=-HEH}');
Error('\P{Jg:   :=-HEH}');
Expect(1, 1607, '\p{Jg=heh}', "");
Expect(0, 1607, '\p{^Jg=heh}', "");
Expect(0, 1607, '\P{Jg=heh}', "");
Expect(1, 1607, '\P{^Jg=heh}', "");
Expect(0, 1606, '\p{Jg=heh}', "");
Expect(1, 1606, '\p{^Jg=heh}', "");
Expect(1, 1606, '\P{Jg=heh}', "");
Expect(0, 1606, '\P{^Jg=heh}', "");
Expect(1, 1607, '\p{Jg=-heh}', "");
Expect(0, 1607, '\p{^Jg=-heh}', "");
Expect(0, 1607, '\P{Jg=-heh}', "");
Expect(1, 1607, '\P{^Jg=-heh}', "");
Expect(0, 1606, '\p{Jg=-heh}', "");
Expect(1, 1606, '\p{^Jg=-heh}', "");
Expect(1, 1606, '\P{Jg=-heh}', "");
Expect(0, 1606, '\P{^Jg=-heh}', "");
Error('\p{Is_Joining_Group:	:=	HEH}');
Error('\P{Is_Joining_Group:	:=	HEH}');
Expect(1, 1607, '\p{Is_Joining_Group=heh}', "");
Expect(0, 1607, '\p{^Is_Joining_Group=heh}', "");
Expect(0, 1607, '\P{Is_Joining_Group=heh}', "");
Expect(1, 1607, '\P{^Is_Joining_Group=heh}', "");
Expect(0, 1606, '\p{Is_Joining_Group=heh}', "");
Expect(1, 1606, '\p{^Is_Joining_Group=heh}', "");
Expect(1, 1606, '\P{Is_Joining_Group=heh}', "");
Expect(0, 1606, '\P{^Is_Joining_Group=heh}', "");
Expect(1, 1607, '\p{Is_Joining_Group=--heh}', "");
Expect(0, 1607, '\p{^Is_Joining_Group=--heh}', "");
Expect(0, 1607, '\P{Is_Joining_Group=--heh}', "");
Expect(1, 1607, '\P{^Is_Joining_Group=--heh}', "");
Expect(0, 1606, '\p{Is_Joining_Group=--heh}', "");
Expect(1, 1606, '\p{^Is_Joining_Group=--heh}', "");
Expect(1, 1606, '\P{Is_Joining_Group=--heh}', "");
Expect(0, 1606, '\P{^Is_Joining_Group=--heh}', "");
Error('\p{Is_Jg=_ Heh:=}');
Error('\P{Is_Jg=_ Heh:=}');
Expect(1, 1607, '\p{Is_Jg=heh}', "");
Expect(0, 1607, '\p{^Is_Jg=heh}', "");
Expect(0, 1607, '\P{Is_Jg=heh}', "");
Expect(1, 1607, '\P{^Is_Jg=heh}', "");
Expect(0, 1606, '\p{Is_Jg=heh}', "");
Expect(1, 1606, '\p{^Is_Jg=heh}', "");
Expect(1, 1606, '\P{Is_Jg=heh}', "");
Expect(0, 1606, '\P{^Is_Jg=heh}', "");
Expect(1, 1607, '\p{Is_Jg=_heh}', "");
Expect(0, 1607, '\p{^Is_Jg=_heh}', "");
Expect(0, 1607, '\P{Is_Jg=_heh}', "");
Expect(1, 1607, '\P{^Is_Jg=_heh}', "");
Expect(0, 1606, '\p{Is_Jg=_heh}', "");
Expect(1, 1606, '\p{^Is_Jg=_heh}', "");
Expect(1, 1606, '\P{Is_Jg=_heh}', "");
Expect(0, 1606, '\P{^Is_Jg=_heh}', "");
Error('\p{Joining_Group=:=- QAPH}');
Error('\P{Joining_Group=:=- QAPH}');
Expect(1, 1833, '\p{Joining_Group=qaph}', "");
Expect(0, 1833, '\p{^Joining_Group=qaph}', "");
Expect(0, 1833, '\P{Joining_Group=qaph}', "");
Expect(1, 1833, '\P{^Joining_Group=qaph}', "");
Expect(0, 1832, '\p{Joining_Group=qaph}', "");
Expect(1, 1832, '\p{^Joining_Group=qaph}', "");
Expect(1, 1832, '\P{Joining_Group=qaph}', "");
Expect(0, 1832, '\P{^Joining_Group=qaph}', "");
Expect(1, 1833, '\p{Joining_Group=- Qaph}', "");
Expect(0, 1833, '\p{^Joining_Group=- Qaph}', "");
Expect(0, 1833, '\P{Joining_Group=- Qaph}', "");
Expect(1, 1833, '\P{^Joining_Group=- Qaph}', "");
Expect(0, 1832, '\p{Joining_Group=- Qaph}', "");
Expect(1, 1832, '\p{^Joining_Group=- Qaph}', "");
Expect(1, 1832, '\P{Joining_Group=- Qaph}', "");
Expect(0, 1832, '\P{^Joining_Group=- Qaph}', "");
Error('\p{Jg=	_QAPH/a/}');
Error('\P{Jg=	_QAPH/a/}');
Expect(1, 1833, '\p{Jg=qaph}', "");
Expect(0, 1833, '\p{^Jg=qaph}', "");
Expect(0, 1833, '\P{Jg=qaph}', "");
Expect(1, 1833, '\P{^Jg=qaph}', "");
Expect(0, 1832, '\p{Jg=qaph}', "");
Expect(1, 1832, '\p{^Jg=qaph}', "");
Expect(1, 1832, '\P{Jg=qaph}', "");
Expect(0, 1832, '\P{^Jg=qaph}', "");
Expect(1, 1833, '\p{Jg=	Qaph}', "");
Expect(0, 1833, '\p{^Jg=	Qaph}', "");
Expect(0, 1833, '\P{Jg=	Qaph}', "");
Expect(1, 1833, '\P{^Jg=	Qaph}', "");
Expect(0, 1832, '\p{Jg=	Qaph}', "");
Expect(1, 1832, '\p{^Jg=	Qaph}', "");
Expect(1, 1832, '\P{Jg=	Qaph}', "");
Expect(0, 1832, '\P{^Jg=	Qaph}', "");
Error('\p{Is_Joining_Group=_/a/QAPH}');
Error('\P{Is_Joining_Group=_/a/QAPH}');
Expect(1, 1833, '\p{Is_Joining_Group:	qaph}', "");
Expect(0, 1833, '\p{^Is_Joining_Group:	qaph}', "");
Expect(0, 1833, '\P{Is_Joining_Group:	qaph}', "");
Expect(1, 1833, '\P{^Is_Joining_Group:	qaph}', "");
Expect(0, 1832, '\p{Is_Joining_Group:	qaph}', "");
Expect(1, 1832, '\p{^Is_Joining_Group:	qaph}', "");
Expect(1, 1832, '\P{Is_Joining_Group:	qaph}', "");
Expect(0, 1832, '\P{^Is_Joining_Group:	qaph}', "");
Expect(1, 1833, '\p{Is_Joining_Group=-_qaph}', "");
Expect(0, 1833, '\p{^Is_Joining_Group=-_qaph}', "");
Expect(0, 1833, '\P{Is_Joining_Group=-_qaph}', "");
Expect(1, 1833, '\P{^Is_Joining_Group=-_qaph}', "");
Expect(0, 1832, '\p{Is_Joining_Group=-_qaph}', "");
Expect(1, 1832, '\p{^Is_Joining_Group=-_qaph}', "");
Expect(1, 1832, '\P{Is_Joining_Group=-_qaph}', "");
Expect(0, 1832, '\P{^Is_Joining_Group=-_qaph}', "");
Error('\p{Is_Jg=-:=Qaph}');
Error('\P{Is_Jg=-:=Qaph}');
Expect(1, 1833, '\p{Is_Jg=qaph}', "");
Expect(0, 1833, '\p{^Is_Jg=qaph}', "");
Expect(0, 1833, '\P{Is_Jg=qaph}', "");
Expect(1, 1833, '\P{^Is_Jg=qaph}', "");
Expect(0, 1832, '\p{Is_Jg=qaph}', "");
Expect(1, 1832, '\p{^Is_Jg=qaph}', "");
Expect(1, 1832, '\P{Is_Jg=qaph}', "");
Expect(0, 1832, '\P{^Is_Jg=qaph}', "");
Expect(1, 1833, '\p{Is_Jg=__QAPH}', "");
Expect(0, 1833, '\p{^Is_Jg=__QAPH}', "");
Expect(0, 1833, '\P{Is_Jg=__QAPH}', "");
Expect(1, 1833, '\P{^Is_Jg=__QAPH}', "");
Expect(0, 1832, '\p{Is_Jg=__QAPH}', "");
Expect(1, 1832, '\p{^Is_Jg=__QAPH}', "");
Expect(1, 1832, '\P{Is_Jg=__QAPH}', "");
Expect(0, 1832, '\P{^Is_Jg=__QAPH}', "");
Error('\p{Joining_Group:   /a/_heth}');
Error('\P{Joining_Group:   /a/_heth}');
Expect(1, 1818, '\p{Joining_Group=heth}', "");
Expect(0, 1818, '\p{^Joining_Group=heth}', "");
Expect(0, 1818, '\P{Joining_Group=heth}', "");
Expect(1, 1818, '\P{^Joining_Group=heth}', "");
Expect(0, 1817, '\p{Joining_Group=heth}', "");
Expect(1, 1817, '\p{^Joining_Group=heth}', "");
Expect(1, 1817, '\P{Joining_Group=heth}', "");
Expect(0, 1817, '\P{^Joining_Group=heth}', "");
Expect(1, 1818, '\p{Joining_Group=	Heth}', "");
Expect(0, 1818, '\p{^Joining_Group=	Heth}', "");
Expect(0, 1818, '\P{Joining_Group=	Heth}', "");
Expect(1, 1818, '\P{^Joining_Group=	Heth}', "");
Expect(0, 1817, '\p{Joining_Group=	Heth}', "");
Expect(1, 1817, '\p{^Joining_Group=	Heth}', "");
Expect(1, 1817, '\P{Joining_Group=	Heth}', "");
Expect(0, 1817, '\P{^Joining_Group=	Heth}', "");
Error('\p{Jg=/a/Heth}');
Error('\P{Jg=/a/Heth}');
Expect(1, 1818, '\p{Jg=heth}', "");
Expect(0, 1818, '\p{^Jg=heth}', "");
Expect(0, 1818, '\P{Jg=heth}', "");
Expect(1, 1818, '\P{^Jg=heth}', "");
Expect(0, 1817, '\p{Jg=heth}', "");
Expect(1, 1817, '\p{^Jg=heth}', "");
Expect(1, 1817, '\P{Jg=heth}', "");
Expect(0, 1817, '\P{^Jg=heth}', "");
Expect(1, 1818, '\p{Jg=_	Heth}', "");
Expect(0, 1818, '\p{^Jg=_	Heth}', "");
Expect(0, 1818, '\P{Jg=_	Heth}', "");
Expect(1, 1818, '\P{^Jg=_	Heth}', "");
Expect(0, 1817, '\p{Jg=_	Heth}', "");
Expect(1, 1817, '\p{^Jg=_	Heth}', "");
Expect(1, 1817, '\P{Jg=_	Heth}', "");
Expect(0, 1817, '\P{^Jg=_	Heth}', "");
Error('\p{Is_Joining_Group=_ Heth:=}');
Error('\P{Is_Joining_Group=_ Heth:=}');
Expect(1, 1818, '\p{Is_Joining_Group=heth}', "");
Expect(0, 1818, '\p{^Is_Joining_Group=heth}', "");
Expect(0, 1818, '\P{Is_Joining_Group=heth}', "");
Expect(1, 1818, '\P{^Is_Joining_Group=heth}', "");
Expect(0, 1817, '\p{Is_Joining_Group=heth}', "");
Expect(1, 1817, '\p{^Is_Joining_Group=heth}', "");
Expect(1, 1817, '\P{Is_Joining_Group=heth}', "");
Expect(0, 1817, '\P{^Is_Joining_Group=heth}', "");
Expect(1, 1818, '\p{Is_Joining_Group=	Heth}', "");
Expect(0, 1818, '\p{^Is_Joining_Group=	Heth}', "");
Expect(0, 1818, '\P{Is_Joining_Group=	Heth}', "");
Expect(1, 1818, '\P{^Is_Joining_Group=	Heth}', "");
Expect(0, 1817, '\p{Is_Joining_Group=	Heth}', "");
Expect(1, 1817, '\p{^Is_Joining_Group=	Heth}', "");
Expect(1, 1817, '\P{Is_Joining_Group=	Heth}', "");
Expect(0, 1817, '\P{^Is_Joining_Group=	Heth}', "");
Error('\p{Is_Jg=/a/_Heth}');
Error('\P{Is_Jg=/a/_Heth}');
Expect(1, 1818, '\p{Is_Jg=heth}', "");
Expect(0, 1818, '\p{^Is_Jg=heth}', "");
Expect(0, 1818, '\P{Is_Jg=heth}', "");
Expect(1, 1818, '\P{^Is_Jg=heth}', "");
Expect(0, 1817, '\p{Is_Jg=heth}', "");
Expect(1, 1817, '\p{^Is_Jg=heth}', "");
Expect(1, 1817, '\P{Is_Jg=heth}', "");
Expect(0, 1817, '\P{^Is_Jg=heth}', "");
Expect(1, 1818, '\p{Is_Jg=	Heth}', "");
Expect(0, 1818, '\p{^Is_Jg=	Heth}', "");
Expect(0, 1818, '\P{Is_Jg=	Heth}', "");
Expect(1, 1818, '\P{^Is_Jg=	Heth}', "");
Expect(0, 1817, '\p{Is_Jg=	Heth}', "");
Expect(1, 1817, '\p{^Is_Jg=	Heth}', "");
Expect(1, 1817, '\P{Is_Jg=	Heth}', "");
Expect(0, 1817, '\P{^Is_Jg=	Heth}', "");
Error('\p{Joining_Group=_/a/teth}');
Error('\P{Joining_Group=_/a/teth}');
Expect(1, 1820, '\p{Joining_Group=teth}', "");
Expect(0, 1820, '\p{^Joining_Group=teth}', "");
Expect(0, 1820, '\P{Joining_Group=teth}', "");
Expect(1, 1820, '\P{^Joining_Group=teth}', "");
Expect(0, 1818, '\p{Joining_Group=teth}', "");
Expect(1, 1818, '\p{^Joining_Group=teth}', "");
Expect(1, 1818, '\P{Joining_Group=teth}', "");
Expect(0, 1818, '\P{^Joining_Group=teth}', "");
Expect(1, 1820, '\p{Joining_Group=	 Teth}', "");
Expect(0, 1820, '\p{^Joining_Group=	 Teth}', "");
Expect(0, 1820, '\P{Joining_Group=	 Teth}', "");
Expect(1, 1820, '\P{^Joining_Group=	 Teth}', "");
Expect(0, 1818, '\p{Joining_Group=	 Teth}', "");
Expect(1, 1818, '\p{^Joining_Group=	 Teth}', "");
Expect(1, 1818, '\P{Joining_Group=	 Teth}', "");
Expect(0, 1818, '\P{^Joining_Group=	 Teth}', "");
Error('\p{Jg= /a/TETH}');
Error('\P{Jg= /a/TETH}');
Expect(1, 1820, '\p{Jg=teth}', "");
Expect(0, 1820, '\p{^Jg=teth}', "");
Expect(0, 1820, '\P{Jg=teth}', "");
Expect(1, 1820, '\P{^Jg=teth}', "");
Expect(0, 1818, '\p{Jg=teth}', "");
Expect(1, 1818, '\p{^Jg=teth}', "");
Expect(1, 1818, '\P{Jg=teth}', "");
Expect(0, 1818, '\P{^Jg=teth}', "");
Expect(1, 1820, '\p{Jg=-teth}', "");
Expect(0, 1820, '\p{^Jg=-teth}', "");
Expect(0, 1820, '\P{Jg=-teth}', "");
Expect(1, 1820, '\P{^Jg=-teth}', "");
Expect(0, 1818, '\p{Jg=-teth}', "");
Expect(1, 1818, '\p{^Jg=-teth}', "");
Expect(1, 1818, '\P{Jg=-teth}', "");
Expect(0, 1818, '\P{^Jg=-teth}', "");
Error('\p{Is_Joining_Group=/a/-	teth}');
Error('\P{Is_Joining_Group=/a/-	teth}');
Expect(1, 1820, '\p{Is_Joining_Group:teth}', "");
Expect(0, 1820, '\p{^Is_Joining_Group:teth}', "");
Expect(0, 1820, '\P{Is_Joining_Group:teth}', "");
Expect(1, 1820, '\P{^Is_Joining_Group:teth}', "");
Expect(0, 1818, '\p{Is_Joining_Group:teth}', "");
Expect(1, 1818, '\p{^Is_Joining_Group:teth}', "");
Expect(1, 1818, '\P{Is_Joining_Group:teth}', "");
Expect(0, 1818, '\P{^Is_Joining_Group:teth}', "");
Expect(1, 1820, '\p{Is_Joining_Group=		Teth}', "");
Expect(0, 1820, '\p{^Is_Joining_Group=		Teth}', "");
Expect(0, 1820, '\P{Is_Joining_Group=		Teth}', "");
Expect(1, 1820, '\P{^Is_Joining_Group=		Teth}', "");
Expect(0, 1818, '\p{Is_Joining_Group=		Teth}', "");
Expect(1, 1818, '\p{^Is_Joining_Group=		Teth}', "");
Expect(1, 1818, '\P{Is_Joining_Group=		Teth}', "");
Expect(0, 1818, '\P{^Is_Joining_Group=		Teth}', "");
Error('\p{Is_Jg=-TETH/a/}');
Error('\P{Is_Jg=-TETH/a/}');
Expect(1, 1820, '\p{Is_Jg=teth}', "");
Expect(0, 1820, '\p{^Is_Jg=teth}', "");
Expect(0, 1820, '\P{Is_Jg=teth}', "");
Expect(1, 1820, '\P{^Is_Jg=teth}', "");
Expect(0, 1818, '\p{Is_Jg=teth}', "");
Expect(1, 1818, '\p{^Is_Jg=teth}', "");
Expect(1, 1818, '\P{Is_Jg=teth}', "");
Expect(0, 1818, '\P{^Is_Jg=teth}', "");
Expect(1, 1820, '\p{Is_Jg=_teth}', "");
Expect(0, 1820, '\p{^Is_Jg=_teth}', "");
Expect(0, 1820, '\P{Is_Jg=_teth}', "");
Expect(1, 1820, '\P{^Is_Jg=_teth}', "");
Expect(0, 1818, '\p{Is_Jg=_teth}', "");
Expect(1, 1818, '\p{^Is_Jg=_teth}', "");
Expect(1, 1818, '\P{Is_Jg=_teth}', "");
Expect(0, 1818, '\P{^Is_Jg=_teth}', "");
Error('\p{Joining_Group=	:=DALATH_Rish}');
Error('\P{Joining_Group=	:=DALATH_Rish}');
Expect(1, 1814, '\p{Joining_Group=dalathrish}', "");
Expect(0, 1814, '\p{^Joining_Group=dalathrish}', "");
Expect(0, 1814, '\P{Joining_Group=dalathrish}', "");
Expect(1, 1814, '\P{^Joining_Group=dalathrish}', "");
Expect(0, 1812, '\p{Joining_Group=dalathrish}', "");
Expect(1, 1812, '\p{^Joining_Group=dalathrish}', "");
Expect(1, 1812, '\P{Joining_Group=dalathrish}', "");
Expect(0, 1812, '\P{^Joining_Group=dalathrish}', "");
Expect(1, 1814, '\p{Joining_Group=	 dalath_rish}', "");
Expect(0, 1814, '\p{^Joining_Group=	 dalath_rish}', "");
Expect(0, 1814, '\P{Joining_Group=	 dalath_rish}', "");
Expect(1, 1814, '\P{^Joining_Group=	 dalath_rish}', "");
Expect(0, 1812, '\p{Joining_Group=	 dalath_rish}', "");
Expect(1, 1812, '\p{^Joining_Group=	 dalath_rish}', "");
Expect(1, 1812, '\P{Joining_Group=	 dalath_rish}', "");
Expect(0, 1812, '\P{^Joining_Group=	 dalath_rish}', "");
Error('\p{Jg=:=Dalath rish}');
Error('\P{Jg=:=Dalath rish}');
Expect(1, 1814, '\p{Jg=dalathrish}', "");
Expect(0, 1814, '\p{^Jg=dalathrish}', "");
Expect(0, 1814, '\P{Jg=dalathrish}', "");
Expect(1, 1814, '\P{^Jg=dalathrish}', "");
Expect(0, 1812, '\p{Jg=dalathrish}', "");
Expect(1, 1812, '\p{^Jg=dalathrish}', "");
Expect(1, 1812, '\P{Jg=dalathrish}', "");
Expect(0, 1812, '\P{^Jg=dalathrish}', "");
Expect(1, 1814, '\p{Jg=	Dalath_rish}', "");
Expect(0, 1814, '\p{^Jg=	Dalath_rish}', "");
Expect(0, 1814, '\P{Jg=	Dalath_rish}', "");
Expect(1, 1814, '\P{^Jg=	Dalath_rish}', "");
Expect(0, 1812, '\p{Jg=	Dalath_rish}', "");
Expect(1, 1812, '\p{^Jg=	Dalath_rish}', "");
Expect(1, 1812, '\P{Jg=	Dalath_rish}', "");
Expect(0, 1812, '\P{^Jg=	Dalath_rish}', "");
Error('\p{Is_Joining_Group=/a/DALATH	rish}');
Error('\P{Is_Joining_Group=/a/DALATH	rish}');
Expect(1, 1814, '\p{Is_Joining_Group=dalathrish}', "");
Expect(0, 1814, '\p{^Is_Joining_Group=dalathrish}', "");
Expect(0, 1814, '\P{Is_Joining_Group=dalathrish}', "");
Expect(1, 1814, '\P{^Is_Joining_Group=dalathrish}', "");
Expect(0, 1812, '\p{Is_Joining_Group=dalathrish}', "");
Expect(1, 1812, '\p{^Is_Joining_Group=dalathrish}', "");
Expect(1, 1812, '\P{Is_Joining_Group=dalathrish}', "");
Expect(0, 1812, '\P{^Is_Joining_Group=dalathrish}', "");
Expect(1, 1814, '\p{Is_Joining_Group= DALATH rish}', "");
Expect(0, 1814, '\p{^Is_Joining_Group= DALATH rish}', "");
Expect(0, 1814, '\P{Is_Joining_Group= DALATH rish}', "");
Expect(1, 1814, '\P{^Is_Joining_Group= DALATH rish}', "");
Expect(0, 1812, '\p{Is_Joining_Group= DALATH rish}', "");
Expect(1, 1812, '\p{^Is_Joining_Group= DALATH rish}', "");
Expect(1, 1812, '\P{Is_Joining_Group= DALATH rish}', "");
Expect(0, 1812, '\P{^Is_Joining_Group= DALATH rish}', "");
Error('\p{Is_Jg=	/a/Dalath-rish}');
Error('\P{Is_Jg=	/a/Dalath-rish}');
Expect(1, 1814, '\p{Is_Jg=dalathrish}', "");
Expect(0, 1814, '\p{^Is_Jg=dalathrish}', "");
Expect(0, 1814, '\P{Is_Jg=dalathrish}', "");
Expect(1, 1814, '\P{^Is_Jg=dalathrish}', "");
Expect(0, 1812, '\p{Is_Jg=dalathrish}', "");
Expect(1, 1812, '\p{^Is_Jg=dalathrish}', "");
Expect(1, 1812, '\P{Is_Jg=dalathrish}', "");
Expect(0, 1812, '\P{^Is_Jg=dalathrish}', "");
Expect(1, 1814, '\p{Is_Jg=	 Dalathrish}', "");
Expect(0, 1814, '\p{^Is_Jg=	 Dalathrish}', "");
Expect(0, 1814, '\P{Is_Jg=	 Dalathrish}', "");
Expect(1, 1814, '\P{^Is_Jg=	 Dalathrish}', "");
Expect(0, 1812, '\p{Is_Jg=	 Dalathrish}', "");
Expect(1, 1812, '\p{^Is_Jg=	 Dalathrish}', "");
Expect(1, 1812, '\P{Is_Jg=	 Dalathrish}', "");
Expect(0, 1812, '\P{^Is_Jg=	 Dalathrish}', "");
Error('\p{Joining_Group=/a/ Yudh He}');
Error('\P{Joining_Group=/a/ Yudh He}');
Expect(1, 1822, '\p{Joining_Group:	yudhhe}', "");
Expect(0, 1822, '\p{^Joining_Group:	yudhhe}', "");
Expect(0, 1822, '\P{Joining_Group:	yudhhe}', "");
Expect(1, 1822, '\P{^Joining_Group:	yudhhe}', "");
Expect(0, 1821, '\p{Joining_Group:	yudhhe}', "");
Expect(1, 1821, '\p{^Joining_Group:	yudhhe}', "");
Expect(1, 1821, '\P{Joining_Group:	yudhhe}', "");
Expect(0, 1821, '\P{^Joining_Group:	yudhhe}', "");
Expect(1, 1822, '\p{Joining_Group=	_Yudh	he}', "");
Expect(0, 1822, '\p{^Joining_Group=	_Yudh	he}', "");
Expect(0, 1822, '\P{Joining_Group=	_Yudh	he}', "");
Expect(1, 1822, '\P{^Joining_Group=	_Yudh	he}', "");
Expect(0, 1821, '\p{Joining_Group=	_Yudh	he}', "");
Expect(1, 1821, '\p{^Joining_Group=	_Yudh	he}', "");
Expect(1, 1821, '\P{Joining_Group=	_Yudh	he}', "");
Expect(0, 1821, '\P{^Joining_Group=	_Yudh	he}', "");
Error('\p{Jg=_Yudh	He:=}');
Error('\P{Jg=_Yudh	He:=}');
Expect(1, 1822, '\p{Jg=yudhhe}', "");
Expect(0, 1822, '\p{^Jg=yudhhe}', "");
Expect(0, 1822, '\P{Jg=yudhhe}', "");
Expect(1, 1822, '\P{^Jg=yudhhe}', "");
Expect(0, 1821, '\p{Jg=yudhhe}', "");
Expect(1, 1821, '\p{^Jg=yudhhe}', "");
Expect(1, 1821, '\P{Jg=yudhhe}', "");
Expect(0, 1821, '\P{^Jg=yudhhe}', "");
Expect(1, 1822, '\p{Jg=yudh-HE}', "");
Expect(0, 1822, '\p{^Jg=yudh-HE}', "");
Expect(0, 1822, '\P{Jg=yudh-HE}', "");
Expect(1, 1822, '\P{^Jg=yudh-HE}', "");
Expect(0, 1821, '\p{Jg=yudh-HE}', "");
Expect(1, 1821, '\p{^Jg=yudh-HE}', "");
Expect(1, 1821, '\P{Jg=yudh-HE}', "");
Expect(0, 1821, '\P{^Jg=yudh-HE}', "");
Error('\p{Is_Joining_Group=:=_YUDH-HE}');
Error('\P{Is_Joining_Group=:=_YUDH-HE}');
Expect(1, 1822, '\p{Is_Joining_Group=yudhhe}', "");
Expect(0, 1822, '\p{^Is_Joining_Group=yudhhe}', "");
Expect(0, 1822, '\P{Is_Joining_Group=yudhhe}', "");
Expect(1, 1822, '\P{^Is_Joining_Group=yudhhe}', "");
Expect(0, 1821, '\p{Is_Joining_Group=yudhhe}', "");
Expect(1, 1821, '\p{^Is_Joining_Group=yudhhe}', "");
Expect(1, 1821, '\P{Is_Joining_Group=yudhhe}', "");
Expect(0, 1821, '\P{^Is_Joining_Group=yudhhe}', "");
Expect(1, 1822, '\p{Is_Joining_Group=		Yudh HE}', "");
Expect(0, 1822, '\p{^Is_Joining_Group=		Yudh HE}', "");
Expect(0, 1822, '\P{Is_Joining_Group=		Yudh HE}', "");
Expect(1, 1822, '\P{^Is_Joining_Group=		Yudh HE}', "");
Expect(0, 1821, '\p{Is_Joining_Group=		Yudh HE}', "");
Expect(1, 1821, '\p{^Is_Joining_Group=		Yudh HE}', "");
Expect(1, 1821, '\P{Is_Joining_Group=		Yudh HE}', "");
Expect(0, 1821, '\P{^Is_Joining_Group=		Yudh HE}', "");
Error('\p{Is_Jg=_	YudhHE/a/}');
Error('\P{Is_Jg=_	YudhHE/a/}');
Expect(1, 1822, '\p{Is_Jg=yudhhe}', "");
Expect(0, 1822, '\p{^Is_Jg=yudhhe}', "");
Expect(0, 1822, '\P{Is_Jg=yudhhe}', "");
Expect(1, 1822, '\P{^Is_Jg=yudhhe}', "");
Expect(0, 1821, '\p{Is_Jg=yudhhe}', "");
Expect(1, 1821, '\p{^Is_Jg=yudhhe}', "");
Expect(1, 1821, '\P{Is_Jg=yudhhe}', "");
Expect(0, 1821, '\P{^Is_Jg=yudhhe}', "");
Expect(1, 1822, '\p{Is_Jg:	--Yudh_He}', "");
Expect(0, 1822, '\p{^Is_Jg:	--Yudh_He}', "");
Expect(0, 1822, '\P{Is_Jg:	--Yudh_He}', "");
Expect(1, 1822, '\P{^Is_Jg:	--Yudh_He}', "");
Expect(0, 1821, '\p{Is_Jg:	--Yudh_He}', "");
Expect(1, 1821, '\p{^Is_Jg:	--Yudh_He}', "");
Expect(1, 1821, '\P{Is_Jg:	--Yudh_He}', "");
Expect(0, 1821, '\P{^Is_Jg:	--Yudh_He}', "");
Error('\p{Joining_Group= :=NOON}');
Error('\P{Joining_Group= :=NOON}');
Expect(1, 1606, '\p{Joining_Group=noon}', "");
Expect(0, 1606, '\p{^Joining_Group=noon}', "");
Expect(0, 1606, '\P{Joining_Group=noon}', "");
Expect(1, 1606, '\P{^Joining_Group=noon}', "");
Expect(0, 1605, '\p{Joining_Group=noon}', "");
Expect(1, 1605, '\p{^Joining_Group=noon}', "");
Expect(1, 1605, '\P{Joining_Group=noon}', "");
Expect(0, 1605, '\P{^Joining_Group=noon}', "");
Expect(1, 1606, '\p{Joining_Group=_Noon}', "");
Expect(0, 1606, '\p{^Joining_Group=_Noon}', "");
Expect(0, 1606, '\P{Joining_Group=_Noon}', "");
Expect(1, 1606, '\P{^Joining_Group=_Noon}', "");
Expect(0, 1605, '\p{Joining_Group=_Noon}', "");
Expect(1, 1605, '\p{^Joining_Group=_Noon}', "");
Expect(1, 1605, '\P{Joining_Group=_Noon}', "");
Expect(0, 1605, '\P{^Joining_Group=_Noon}', "");
Error('\p{Jg=_	NOON:=}');
Error('\P{Jg=_	NOON:=}');
Expect(1, 1606, '\p{Jg=noon}', "");
Expect(0, 1606, '\p{^Jg=noon}', "");
Expect(0, 1606, '\P{Jg=noon}', "");
Expect(1, 1606, '\P{^Jg=noon}', "");
Expect(0, 1605, '\p{Jg=noon}', "");
Expect(1, 1605, '\p{^Jg=noon}', "");
Expect(1, 1605, '\P{Jg=noon}', "");
Expect(0, 1605, '\P{^Jg=noon}', "");
Expect(1, 1606, '\p{Jg: -Noon}', "");
Expect(0, 1606, '\p{^Jg: -Noon}', "");
Expect(0, 1606, '\P{Jg: -Noon}', "");
Expect(1, 1606, '\P{^Jg: -Noon}', "");
Expect(0, 1605, '\p{Jg: -Noon}', "");
Expect(1, 1605, '\p{^Jg: -Noon}', "");
Expect(1, 1605, '\P{Jg: -Noon}', "");
Expect(0, 1605, '\P{^Jg: -Noon}', "");
Error('\p{Is_Joining_Group=:= _Noon}');
Error('\P{Is_Joining_Group=:= _Noon}');
Expect(1, 1606, '\p{Is_Joining_Group=noon}', "");
Expect(0, 1606, '\p{^Is_Joining_Group=noon}', "");
Expect(0, 1606, '\P{Is_Joining_Group=noon}', "");
Expect(1, 1606, '\P{^Is_Joining_Group=noon}', "");
Expect(0, 1605, '\p{Is_Joining_Group=noon}', "");
Expect(1, 1605, '\p{^Is_Joining_Group=noon}', "");
Expect(1, 1605, '\P{Is_Joining_Group=noon}', "");
Expect(0, 1605, '\P{^Is_Joining_Group=noon}', "");
Expect(1, 1606, '\p{Is_Joining_Group=_NOON}', "");
Expect(0, 1606, '\p{^Is_Joining_Group=_NOON}', "");
Expect(0, 1606, '\P{Is_Joining_Group=_NOON}', "");
Expect(1, 1606, '\P{^Is_Joining_Group=_NOON}', "");
Expect(0, 1605, '\p{Is_Joining_Group=_NOON}', "");
Expect(1, 1605, '\p{^Is_Joining_Group=_NOON}', "");
Expect(1, 1605, '\P{Is_Joining_Group=_NOON}', "");
Expect(0, 1605, '\P{^Is_Joining_Group=_NOON}', "");
Error('\p{Is_Jg:-:=Noon}');
Error('\P{Is_Jg:-:=Noon}');
Expect(1, 1606, '\p{Is_Jg=noon}', "");
Expect(0, 1606, '\p{^Is_Jg=noon}', "");
Expect(0, 1606, '\P{Is_Jg=noon}', "");
Expect(1, 1606, '\P{^Is_Jg=noon}', "");
Expect(0, 1605, '\p{Is_Jg=noon}', "");
Expect(1, 1605, '\p{^Is_Jg=noon}', "");
Expect(1, 1605, '\P{Is_Jg=noon}', "");
Expect(0, 1605, '\P{^Is_Jg=noon}', "");
Expect(1, 1606, '\p{Is_Jg=--noon}', "");
Expect(0, 1606, '\p{^Is_Jg=--noon}', "");
Expect(0, 1606, '\P{Is_Jg=--noon}', "");
Expect(1, 1606, '\P{^Is_Jg=--noon}', "");
Expect(0, 1605, '\p{Is_Jg=--noon}', "");
Expect(1, 1605, '\p{^Is_Jg=--noon}', "");
Expect(1, 1605, '\P{Is_Jg=--noon}', "");
Expect(0, 1605, '\P{^Is_Jg=--noon}', "");
Error('\p{Joining_Group=/a/__Mim}');
Error('\P{Joining_Group=/a/__Mim}');
Expect(1, 1825, '\p{Joining_Group=mim}', "");
Expect(0, 1825, '\p{^Joining_Group=mim}', "");
Expect(0, 1825, '\P{Joining_Group=mim}', "");
Expect(1, 1825, '\P{^Joining_Group=mim}', "");
Expect(0, 1824, '\p{Joining_Group=mim}', "");
Expect(1, 1824, '\p{^Joining_Group=mim}', "");
Expect(1, 1824, '\P{Joining_Group=mim}', "");
Expect(0, 1824, '\P{^Joining_Group=mim}', "");
Expect(1, 1825, '\p{Joining_Group= mim}', "");
Expect(0, 1825, '\p{^Joining_Group= mim}', "");
Expect(0, 1825, '\P{Joining_Group= mim}', "");
Expect(1, 1825, '\P{^Joining_Group= mim}', "");
Expect(0, 1824, '\p{Joining_Group= mim}', "");
Expect(1, 1824, '\p{^Joining_Group= mim}', "");
Expect(1, 1824, '\P{Joining_Group= mim}', "");
Expect(0, 1824, '\P{^Joining_Group= mim}', "");
Error('\p{Jg=:=		Mim}');
Error('\P{Jg=:=		Mim}');
Expect(1, 1825, '\p{Jg=mim}', "");
Expect(0, 1825, '\p{^Jg=mim}', "");
Expect(0, 1825, '\P{Jg=mim}', "");
Expect(1, 1825, '\P{^Jg=mim}', "");
Expect(0, 1824, '\p{Jg=mim}', "");
Expect(1, 1824, '\p{^Jg=mim}', "");
Expect(1, 1824, '\P{Jg=mim}', "");
Expect(0, 1824, '\P{^Jg=mim}', "");
Expect(1, 1825, '\p{Jg=-	Mim}', "");
Expect(0, 1825, '\p{^Jg=-	Mim}', "");
Expect(0, 1825, '\P{Jg=-	Mim}', "");
Expect(1, 1825, '\P{^Jg=-	Mim}', "");
Expect(0, 1824, '\p{Jg=-	Mim}', "");
Expect(1, 1824, '\p{^Jg=-	Mim}', "");
Expect(1, 1824, '\P{Jg=-	Mim}', "");
Expect(0, 1824, '\P{^Jg=-	Mim}', "");
Error('\p{Is_Joining_Group= Mim:=}');
Error('\P{Is_Joining_Group= Mim:=}');
Expect(1, 1825, '\p{Is_Joining_Group=mim}', "");
Expect(0, 1825, '\p{^Is_Joining_Group=mim}', "");
Expect(0, 1825, '\P{Is_Joining_Group=mim}', "");
Expect(1, 1825, '\P{^Is_Joining_Group=mim}', "");
Expect(0, 1824, '\p{Is_Joining_Group=mim}', "");
Expect(1, 1824, '\p{^Is_Joining_Group=mim}', "");
Expect(1, 1824, '\P{Is_Joining_Group=mim}', "");
Expect(0, 1824, '\P{^Is_Joining_Group=mim}', "");
Expect(1, 1825, '\p{Is_Joining_Group=-MIM}', "");
Expect(0, 1825, '\p{^Is_Joining_Group=-MIM}', "");
Expect(0, 1825, '\P{Is_Joining_Group=-MIM}', "");
Expect(1, 1825, '\P{^Is_Joining_Group=-MIM}', "");
Expect(0, 1824, '\p{Is_Joining_Group=-MIM}', "");
Expect(1, 1824, '\p{^Is_Joining_Group=-MIM}', "");
Expect(1, 1824, '\P{Is_Joining_Group=-MIM}', "");
Expect(0, 1824, '\P{^Is_Joining_Group=-MIM}', "");
Error('\p{Is_Jg=/a/_ Mim}');
Error('\P{Is_Jg=/a/_ Mim}');
Expect(1, 1825, '\p{Is_Jg=mim}', "");
Expect(0, 1825, '\p{^Is_Jg=mim}', "");
Expect(0, 1825, '\P{Is_Jg=mim}', "");
Expect(1, 1825, '\P{^Is_Jg=mim}', "");
Expect(0, 1824, '\p{Is_Jg=mim}', "");
Expect(1, 1824, '\p{^Is_Jg=mim}', "");
Expect(1, 1824, '\P{Is_Jg=mim}', "");
Expect(0, 1824, '\P{^Is_Jg=mim}', "");
Expect(1, 1825, '\p{Is_Jg=-_Mim}', "");
Expect(0, 1825, '\p{^Is_Jg=-_Mim}', "");
Expect(0, 1825, '\P{Is_Jg=-_Mim}', "");
Expect(1, 1825, '\P{^Is_Jg=-_Mim}', "");
Expect(0, 1824, '\p{Is_Jg=-_Mim}', "");
Expect(1, 1824, '\p{^Is_Jg=-_Mim}', "");
Expect(1, 1824, '\P{Is_Jg=-_Mim}', "");
Expect(0, 1824, '\P{^Is_Jg=-_Mim}', "");
Error('\p{Joining_Group=_	Heh/a/GOAL}');
Error('\P{Joining_Group=_	Heh/a/GOAL}');
Expect(1, 1730, '\p{Joining_Group=hehgoal}', "");
Expect(0, 1730, '\p{^Joining_Group=hehgoal}', "");
Expect(0, 1730, '\P{Joining_Group=hehgoal}', "");
Expect(1, 1730, '\P{^Joining_Group=hehgoal}', "");
Expect(0, 1728, '\p{Joining_Group=hehgoal}', "");
Expect(1, 1728, '\p{^Joining_Group=hehgoal}', "");
Expect(1, 1728, '\P{Joining_Group=hehgoal}', "");
Expect(0, 1728, '\P{^Joining_Group=hehgoal}', "");
Expect(1, 1730, '\p{Joining_Group=	Heh_GOAL}', "");
Expect(0, 1730, '\p{^Joining_Group=	Heh_GOAL}', "");
Expect(0, 1730, '\P{Joining_Group=	Heh_GOAL}', "");
Expect(1, 1730, '\P{^Joining_Group=	Heh_GOAL}', "");
Expect(0, 1728, '\p{Joining_Group=	Heh_GOAL}', "");
Expect(1, 1728, '\p{^Joining_Group=	Heh_GOAL}', "");
Expect(1, 1728, '\P{Joining_Group=	Heh_GOAL}', "");
Expect(0, 1728, '\P{^Joining_Group=	Heh_GOAL}', "");
Error('\p{Jg=	-heh_Goal:=}');
Error('\P{Jg=	-heh_Goal:=}');
Expect(1, 1730, '\p{Jg=hehgoal}', "");
Expect(0, 1730, '\p{^Jg=hehgoal}', "");
Expect(0, 1730, '\P{Jg=hehgoal}', "");
Expect(1, 1730, '\P{^Jg=hehgoal}', "");
Expect(0, 1728, '\p{Jg=hehgoal}', "");
Expect(1, 1728, '\p{^Jg=hehgoal}', "");
Expect(1, 1728, '\P{Jg=hehgoal}', "");
Expect(0, 1728, '\P{^Jg=hehgoal}', "");
Expect(1, 1730, '\p{Jg=--Heh	GOAL}', "");
Expect(0, 1730, '\p{^Jg=--Heh	GOAL}', "");
Expect(0, 1730, '\P{Jg=--Heh	GOAL}', "");
Expect(1, 1730, '\P{^Jg=--Heh	GOAL}', "");
Expect(0, 1728, '\p{Jg=--Heh	GOAL}', "");
Expect(1, 1728, '\p{^Jg=--Heh	GOAL}', "");
Expect(1, 1728, '\P{Jg=--Heh	GOAL}', "");
Expect(0, 1728, '\P{^Jg=--Heh	GOAL}', "");
Error('\p{Is_Joining_Group=--heh/a/Goal}');
Error('\P{Is_Joining_Group=--heh/a/Goal}');
Expect(1, 1730, '\p{Is_Joining_Group=hehgoal}', "");
Expect(0, 1730, '\p{^Is_Joining_Group=hehgoal}', "");
Expect(0, 1730, '\P{Is_Joining_Group=hehgoal}', "");
Expect(1, 1730, '\P{^Is_Joining_Group=hehgoal}', "");
Expect(0, 1728, '\p{Is_Joining_Group=hehgoal}', "");
Expect(1, 1728, '\p{^Is_Joining_Group=hehgoal}', "");
Expect(1, 1728, '\P{Is_Joining_Group=hehgoal}', "");
Expect(0, 1728, '\P{^Is_Joining_Group=hehgoal}', "");
Expect(1, 1730, '\p{Is_Joining_Group=	heh	Goal}', "");
Expect(0, 1730, '\p{^Is_Joining_Group=	heh	Goal}', "");
Expect(0, 1730, '\P{Is_Joining_Group=	heh	Goal}', "");
Expect(1, 1730, '\P{^Is_Joining_Group=	heh	Goal}', "");
Expect(0, 1728, '\p{Is_Joining_Group=	heh	Goal}', "");
Expect(1, 1728, '\p{^Is_Joining_Group=	heh	Goal}', "");
Expect(1, 1728, '\P{Is_Joining_Group=	heh	Goal}', "");
Expect(0, 1728, '\P{^Is_Joining_Group=	heh	Goal}', "");
Error('\p{Is_Jg=	:=Heh_goal}');
Error('\P{Is_Jg=	:=Heh_goal}');
Expect(1, 1730, '\p{Is_Jg=hehgoal}', "");
Expect(0, 1730, '\p{^Is_Jg=hehgoal}', "");
Expect(0, 1730, '\P{Is_Jg=hehgoal}', "");
Expect(1, 1730, '\P{^Is_Jg=hehgoal}', "");
Expect(0, 1728, '\p{Is_Jg=hehgoal}', "");
Expect(1, 1728, '\p{^Is_Jg=hehgoal}', "");
Expect(1, 1728, '\P{Is_Jg=hehgoal}', "");
Expect(0, 1728, '\P{^Is_Jg=hehgoal}', "");
Expect(1, 1730, '\p{Is_Jg=	-Heh_Goal}', "");
Expect(0, 1730, '\p{^Is_Jg=	-Heh_Goal}', "");
Expect(0, 1730, '\P{Is_Jg=	-Heh_Goal}', "");
Expect(1, 1730, '\P{^Is_Jg=	-Heh_Goal}', "");
Expect(0, 1728, '\p{Is_Jg=	-Heh_Goal}', "");
Expect(1, 1728, '\p{^Is_Jg=	-Heh_Goal}', "");
Expect(1, 1728, '\P{Is_Jg=	-Heh_Goal}', "");
Expect(0, 1728, '\P{^Is_Jg=	-Heh_Goal}', "");
Error('\p{Joining_Group=	:=KHAPH}');
Error('\P{Joining_Group=	:=KHAPH}');
Expect(1, 1870, '\p{Joining_Group=khaph}', "");
Expect(0, 1870, '\p{^Joining_Group=khaph}', "");
Expect(0, 1870, '\P{Joining_Group=khaph}', "");
Expect(1, 1870, '\P{^Joining_Group=khaph}', "");
Expect(0, 1869, '\p{Joining_Group=khaph}', "");
Expect(1, 1869, '\p{^Joining_Group=khaph}', "");
Expect(1, 1869, '\P{Joining_Group=khaph}', "");
Expect(0, 1869, '\P{^Joining_Group=khaph}', "");
Expect(1, 1870, '\p{Joining_Group:-Khaph}', "");
Expect(0, 1870, '\p{^Joining_Group:-Khaph}', "");
Expect(0, 1870, '\P{Joining_Group:-Khaph}', "");
Expect(1, 1870, '\P{^Joining_Group:-Khaph}', "");
Expect(0, 1869, '\p{Joining_Group:-Khaph}', "");
Expect(1, 1869, '\p{^Joining_Group:-Khaph}', "");
Expect(1, 1869, '\P{Joining_Group:-Khaph}', "");
Expect(0, 1869, '\P{^Joining_Group:-Khaph}', "");
Error('\p{Jg=:=Khaph}');
Error('\P{Jg=:=Khaph}');
Expect(1, 1870, '\p{Jg=khaph}', "");
Expect(0, 1870, '\p{^Jg=khaph}', "");
Expect(0, 1870, '\P{Jg=khaph}', "");
Expect(1, 1870, '\P{^Jg=khaph}', "");
Expect(0, 1869, '\p{Jg=khaph}', "");
Expect(1, 1869, '\p{^Jg=khaph}', "");
Expect(1, 1869, '\P{Jg=khaph}', "");
Expect(0, 1869, '\P{^Jg=khaph}', "");
Expect(1, 1870, '\p{Jg= _Khaph}', "");
Expect(0, 1870, '\p{^Jg= _Khaph}', "");
Expect(0, 1870, '\P{Jg= _Khaph}', "");
Expect(1, 1870, '\P{^Jg= _Khaph}', "");
Expect(0, 1869, '\p{Jg= _Khaph}', "");
Expect(1, 1869, '\p{^Jg= _Khaph}', "");
Expect(1, 1869, '\P{Jg= _Khaph}', "");
Expect(0, 1869, '\P{^Jg= _Khaph}', "");
Error('\p{Is_Joining_Group=	 khaph:=}');
Error('\P{Is_Joining_Group=	 khaph:=}');
Expect(1, 1870, '\p{Is_Joining_Group=khaph}', "");
Expect(0, 1870, '\p{^Is_Joining_Group=khaph}', "");
Expect(0, 1870, '\P{Is_Joining_Group=khaph}', "");
Expect(1, 1870, '\P{^Is_Joining_Group=khaph}', "");
Expect(0, 1869, '\p{Is_Joining_Group=khaph}', "");
Expect(1, 1869, '\p{^Is_Joining_Group=khaph}', "");
Expect(1, 1869, '\P{Is_Joining_Group=khaph}', "");
Expect(0, 1869, '\P{^Is_Joining_Group=khaph}', "");
Expect(1, 1870, '\p{Is_Joining_Group=-_Khaph}', "");
Expect(0, 1870, '\p{^Is_Joining_Group=-_Khaph}', "");
Expect(0, 1870, '\P{Is_Joining_Group=-_Khaph}', "");
Expect(1, 1870, '\P{^Is_Joining_Group=-_Khaph}', "");
Expect(0, 1869, '\p{Is_Joining_Group=-_Khaph}', "");
Expect(1, 1869, '\p{^Is_Joining_Group=-_Khaph}', "");
Expect(1, 1869, '\P{Is_Joining_Group=-_Khaph}', "");
Expect(0, 1869, '\P{^Is_Joining_Group=-_Khaph}', "");
Error('\p{Is_Jg=_:=Khaph}');
Error('\P{Is_Jg=_:=Khaph}');
Expect(1, 1870, '\p{Is_Jg=khaph}', "");
Expect(0, 1870, '\p{^Is_Jg=khaph}', "");
Expect(0, 1870, '\P{Is_Jg=khaph}', "");
Expect(1, 1870, '\P{^Is_Jg=khaph}', "");
Expect(0, 1869, '\p{Is_Jg=khaph}', "");
Expect(1, 1869, '\p{^Is_Jg=khaph}', "");
Expect(1, 1869, '\P{Is_Jg=khaph}', "");
Expect(0, 1869, '\P{^Is_Jg=khaph}', "");
Expect(1, 1870, '\p{Is_Jg=	 KHAPH}', "");
Expect(0, 1870, '\p{^Is_Jg=	 KHAPH}', "");
Expect(0, 1870, '\P{Is_Jg=	 KHAPH}', "");
Expect(1, 1870, '\P{^Is_Jg=	 KHAPH}', "");
Expect(0, 1869, '\p{Is_Jg=	 KHAPH}', "");
Expect(1, 1869, '\p{^Is_Jg=	 KHAPH}', "");
Expect(1, 1869, '\P{Is_Jg=	 KHAPH}', "");
Expect(0, 1869, '\P{^Is_Jg=	 KHAPH}', "");
Error('\p{Joining_Group=		SAD:=}');
Error('\P{Joining_Group=		SAD:=}');
Expect(1, 1590, '\p{Joining_Group=sad}', "");
Expect(0, 1590, '\p{^Joining_Group=sad}', "");
Expect(0, 1590, '\P{Joining_Group=sad}', "");
Expect(1, 1590, '\P{^Joining_Group=sad}', "");
Expect(0, 1588, '\p{Joining_Group=sad}', "");
Expect(1, 1588, '\p{^Joining_Group=sad}', "");
Expect(1, 1588, '\P{Joining_Group=sad}', "");
Expect(0, 1588, '\P{^Joining_Group=sad}', "");
Expect(1, 1590, '\p{Joining_Group=_SAD}', "");
Expect(0, 1590, '\p{^Joining_Group=_SAD}', "");
Expect(0, 1590, '\P{Joining_Group=_SAD}', "");
Expect(1, 1590, '\P{^Joining_Group=_SAD}', "");
Expect(0, 1588, '\p{Joining_Group=_SAD}', "");
Expect(1, 1588, '\p{^Joining_Group=_SAD}', "");
Expect(1, 1588, '\P{Joining_Group=_SAD}', "");
Expect(0, 1588, '\P{^Joining_Group=_SAD}', "");
Error('\p{Jg=:=	SAD}');
Error('\P{Jg=:=	SAD}');
Expect(1, 1590, '\p{Jg:   sad}', "");
Expect(0, 1590, '\p{^Jg:   sad}', "");
Expect(0, 1590, '\P{Jg:   sad}', "");
Expect(1, 1590, '\P{^Jg:   sad}', "");
Expect(0, 1588, '\p{Jg:   sad}', "");
Expect(1, 1588, '\p{^Jg:   sad}', "");
Expect(1, 1588, '\P{Jg:   sad}', "");
Expect(0, 1588, '\P{^Jg:   sad}', "");
Expect(1, 1590, '\p{Jg=-	Sad}', "");
Expect(0, 1590, '\p{^Jg=-	Sad}', "");
Expect(0, 1590, '\P{Jg=-	Sad}', "");
Expect(1, 1590, '\P{^Jg=-	Sad}', "");
Expect(0, 1588, '\p{Jg=-	Sad}', "");
Expect(1, 1588, '\p{^Jg=-	Sad}', "");
Expect(1, 1588, '\P{Jg=-	Sad}', "");
Expect(0, 1588, '\P{^Jg=-	Sad}', "");
Error('\p{Is_Joining_Group=-/a/sad}');
Error('\P{Is_Joining_Group=-/a/sad}');
Expect(1, 1590, '\p{Is_Joining_Group=sad}', "");
Expect(0, 1590, '\p{^Is_Joining_Group=sad}', "");
Expect(0, 1590, '\P{Is_Joining_Group=sad}', "");
Expect(1, 1590, '\P{^Is_Joining_Group=sad}', "");
Expect(0, 1588, '\p{Is_Joining_Group=sad}', "");
Expect(1, 1588, '\p{^Is_Joining_Group=sad}', "");
Expect(1, 1588, '\P{Is_Joining_Group=sad}', "");
Expect(0, 1588, '\P{^Is_Joining_Group=sad}', "");
Expect(1, 1590, '\p{Is_Joining_Group= _sad}', "");
Expect(0, 1590, '\p{^Is_Joining_Group= _sad}', "");
Expect(0, 1590, '\P{Is_Joining_Group= _sad}', "");
Expect(1, 1590, '\P{^Is_Joining_Group= _sad}', "");
Expect(0, 1588, '\p{Is_Joining_Group= _sad}', "");
Expect(1, 1588, '\p{^Is_Joining_Group= _sad}', "");
Expect(1, 1588, '\P{Is_Joining_Group= _sad}', "");
Expect(0, 1588, '\P{^Is_Joining_Group= _sad}', "");
Error('\p{Is_Jg=/a/sad}');
Error('\P{Is_Jg=/a/sad}');
Expect(1, 1590, '\p{Is_Jg=sad}', "");
Expect(0, 1590, '\p{^Is_Jg=sad}', "");
Expect(0, 1590, '\P{Is_Jg=sad}', "");
Expect(1, 1590, '\P{^Is_Jg=sad}', "");
Expect(0, 1588, '\p{Is_Jg=sad}', "");
Expect(1, 1588, '\p{^Is_Jg=sad}', "");
Expect(1, 1588, '\P{Is_Jg=sad}', "");
Expect(0, 1588, '\P{^Is_Jg=sad}', "");
Expect(1, 1590, '\p{Is_Jg=	 SAD}', "");
Expect(0, 1590, '\p{^Is_Jg=	 SAD}', "");
Expect(0, 1590, '\P{Is_Jg=	 SAD}', "");
Expect(1, 1590, '\P{^Is_Jg=	 SAD}', "");
Expect(0, 1588, '\p{Is_Jg=	 SAD}', "");
Expect(1, 1588, '\p{^Is_Jg=	 SAD}', "");
Expect(1, 1588, '\P{Is_Jg=	 SAD}', "");
Expect(0, 1588, '\P{^Is_Jg=	 SAD}', "");
Error('\p{Joining_Group=_/a/qaf}');
Error('\P{Joining_Group=_/a/qaf}');
Expect(1, 1602, '\p{Joining_Group=qaf}', "");
Expect(0, 1602, '\p{^Joining_Group=qaf}', "");
Expect(0, 1602, '\P{Joining_Group=qaf}', "");
Expect(1, 1602, '\P{^Joining_Group=qaf}', "");
Expect(0, 1601, '\p{Joining_Group=qaf}', "");
Expect(1, 1601, '\p{^Joining_Group=qaf}', "");
Expect(1, 1601, '\P{Joining_Group=qaf}', "");
Expect(0, 1601, '\P{^Joining_Group=qaf}', "");
Expect(1, 1602, '\p{Joining_Group=-Qaf}', "");
Expect(0, 1602, '\p{^Joining_Group=-Qaf}', "");
Expect(0, 1602, '\P{Joining_Group=-Qaf}', "");
Expect(1, 1602, '\P{^Joining_Group=-Qaf}', "");
Expect(0, 1601, '\p{Joining_Group=-Qaf}', "");
Expect(1, 1601, '\p{^Joining_Group=-Qaf}', "");
Expect(1, 1601, '\P{Joining_Group=-Qaf}', "");
Expect(0, 1601, '\P{^Joining_Group=-Qaf}', "");
Error('\p{Jg=:=_	qaf}');
Error('\P{Jg=:=_	qaf}');
Expect(1, 1602, '\p{Jg=qaf}', "");
Expect(0, 1602, '\p{^Jg=qaf}', "");
Expect(0, 1602, '\P{Jg=qaf}', "");
Expect(1, 1602, '\P{^Jg=qaf}', "");
Expect(0, 1601, '\p{Jg=qaf}', "");
Expect(1, 1601, '\p{^Jg=qaf}', "");
Expect(1, 1601, '\P{Jg=qaf}', "");
Expect(0, 1601, '\P{^Jg=qaf}', "");
Expect(1, 1602, '\p{Jg= _QAF}', "");
Expect(0, 1602, '\p{^Jg= _QAF}', "");
Expect(0, 1602, '\P{Jg= _QAF}', "");
Expect(1, 1602, '\P{^Jg= _QAF}', "");
Expect(0, 1601, '\p{Jg= _QAF}', "");
Expect(1, 1601, '\p{^Jg= _QAF}', "");
Expect(1, 1601, '\P{Jg= _QAF}', "");
Expect(0, 1601, '\P{^Jg= _QAF}', "");
Error('\p{Is_Joining_Group=/a/ 	qaf}');
Error('\P{Is_Joining_Group=/a/ 	qaf}');
Expect(1, 1602, '\p{Is_Joining_Group=qaf}', "");
Expect(0, 1602, '\p{^Is_Joining_Group=qaf}', "");
Expect(0, 1602, '\P{Is_Joining_Group=qaf}', "");
Expect(1, 1602, '\P{^Is_Joining_Group=qaf}', "");
Expect(0, 1601, '\p{Is_Joining_Group=qaf}', "");
Expect(1, 1601, '\p{^Is_Joining_Group=qaf}', "");
Expect(1, 1601, '\P{Is_Joining_Group=qaf}', "");
Expect(0, 1601, '\P{^Is_Joining_Group=qaf}', "");
Expect(1, 1602, '\p{Is_Joining_Group= Qaf}', "");
Expect(0, 1602, '\p{^Is_Joining_Group= Qaf}', "");
Expect(0, 1602, '\P{Is_Joining_Group= Qaf}', "");
Expect(1, 1602, '\P{^Is_Joining_Group= Qaf}', "");
Expect(0, 1601, '\p{Is_Joining_Group= Qaf}', "");
Expect(1, 1601, '\p{^Is_Joining_Group= Qaf}', "");
Expect(1, 1601, '\P{Is_Joining_Group= Qaf}', "");
Expect(0, 1601, '\P{^Is_Joining_Group= Qaf}', "");
Error('\p{Is_Jg::=	_Qaf}');
Error('\P{Is_Jg::=	_Qaf}');
Expect(1, 1602, '\p{Is_Jg=qaf}', "");
Expect(0, 1602, '\p{^Is_Jg=qaf}', "");
Expect(0, 1602, '\P{Is_Jg=qaf}', "");
Expect(1, 1602, '\P{^Is_Jg=qaf}', "");
Expect(0, 1601, '\p{Is_Jg=qaf}', "");
Expect(1, 1601, '\p{^Is_Jg=qaf}', "");
Expect(1, 1601, '\P{Is_Jg=qaf}', "");
Expect(0, 1601, '\P{^Is_Jg=qaf}', "");
Expect(1, 1602, '\p{Is_Jg=_-qaf}', "");
Expect(0, 1602, '\p{^Is_Jg=_-qaf}', "");
Expect(0, 1602, '\P{Is_Jg=_-qaf}', "");
Expect(1, 1602, '\P{^Is_Jg=_-qaf}', "");
Expect(0, 1601, '\p{Is_Jg=_-qaf}', "");
Expect(1, 1601, '\p{^Is_Jg=_-qaf}', "");
Expect(1, 1601, '\P{Is_Jg=_-qaf}', "");
Expect(0, 1601, '\P{^Is_Jg=_-qaf}', "");
Error('\p{Joining_Group=	Kaph/a/}');
Error('\P{Joining_Group=	Kaph/a/}');
Expect(1, 1823, '\p{Joining_Group=kaph}', "");
Expect(0, 1823, '\p{^Joining_Group=kaph}', "");
Expect(0, 1823, '\P{Joining_Group=kaph}', "");
Expect(1, 1823, '\P{^Joining_Group=kaph}', "");
Expect(0, 1822, '\p{Joining_Group=kaph}', "");
Expect(1, 1822, '\p{^Joining_Group=kaph}', "");
Expect(1, 1822, '\P{Joining_Group=kaph}', "");
Expect(0, 1822, '\P{^Joining_Group=kaph}', "");
Expect(1, 1823, '\p{Joining_Group=	 kaph}', "");
Expect(0, 1823, '\p{^Joining_Group=	 kaph}', "");
Expect(0, 1823, '\P{Joining_Group=	 kaph}', "");
Expect(1, 1823, '\P{^Joining_Group=	 kaph}', "");
Expect(0, 1822, '\p{Joining_Group=	 kaph}', "");
Expect(1, 1822, '\p{^Joining_Group=	 kaph}', "");
Expect(1, 1822, '\P{Joining_Group=	 kaph}', "");
Expect(0, 1822, '\P{^Joining_Group=	 kaph}', "");
Error('\p{Jg=	:=Kaph}');
Error('\P{Jg=	:=Kaph}');
Expect(1, 1823, '\p{Jg=kaph}', "");
Expect(0, 1823, '\p{^Jg=kaph}', "");
Expect(0, 1823, '\P{Jg=kaph}', "");
Expect(1, 1823, '\P{^Jg=kaph}', "");
Expect(0, 1822, '\p{Jg=kaph}', "");
Expect(1, 1822, '\p{^Jg=kaph}', "");
Expect(1, 1822, '\P{Jg=kaph}', "");
Expect(0, 1822, '\P{^Jg=kaph}', "");
Expect(1, 1823, '\p{Jg=  kaph}', "");
Expect(0, 1823, '\p{^Jg=  kaph}', "");
Expect(0, 1823, '\P{Jg=  kaph}', "");
Expect(1, 1823, '\P{^Jg=  kaph}', "");
Expect(0, 1822, '\p{Jg=  kaph}', "");
Expect(1, 1822, '\p{^Jg=  kaph}', "");
Expect(1, 1822, '\P{Jg=  kaph}', "");
Expect(0, 1822, '\P{^Jg=  kaph}', "");
Error('\p{Is_Joining_Group=-/a/KAPH}');
Error('\P{Is_Joining_Group=-/a/KAPH}');
Expect(1, 1823, '\p{Is_Joining_Group=kaph}', "");
Expect(0, 1823, '\p{^Is_Joining_Group=kaph}', "");
Expect(0, 1823, '\P{Is_Joining_Group=kaph}', "");
Expect(1, 1823, '\P{^Is_Joining_Group=kaph}', "");
Expect(0, 1822, '\p{Is_Joining_Group=kaph}', "");
Expect(1, 1822, '\p{^Is_Joining_Group=kaph}', "");
Expect(1, 1822, '\P{Is_Joining_Group=kaph}', "");
Expect(0, 1822, '\P{^Is_Joining_Group=kaph}', "");
Expect(1, 1823, '\p{Is_Joining_Group=-KAPH}', "");
Expect(0, 1823, '\p{^Is_Joining_Group=-KAPH}', "");
Expect(0, 1823, '\P{Is_Joining_Group=-KAPH}', "");
Expect(1, 1823, '\P{^Is_Joining_Group=-KAPH}', "");
Expect(0, 1822, '\p{Is_Joining_Group=-KAPH}', "");
Expect(1, 1822, '\p{^Is_Joining_Group=-KAPH}', "");
Expect(1, 1822, '\P{Is_Joining_Group=-KAPH}', "");
Expect(0, 1822, '\P{^Is_Joining_Group=-KAPH}', "");
Error('\p{Is_Jg:-_Kaph/a/}');
Error('\P{Is_Jg:-_Kaph/a/}');
Expect(1, 1823, '\p{Is_Jg=kaph}', "");
Expect(0, 1823, '\p{^Is_Jg=kaph}', "");
Expect(0, 1823, '\P{Is_Jg=kaph}', "");
Expect(1, 1823, '\P{^Is_Jg=kaph}', "");
Expect(0, 1822, '\p{Is_Jg=kaph}', "");
Expect(1, 1822, '\p{^Is_Jg=kaph}', "");
Expect(1, 1822, '\P{Is_Jg=kaph}', "");
Expect(0, 1822, '\P{^Is_Jg=kaph}', "");
Expect(1, 1823, '\p{Is_Jg=_-KAPH}', "");
Expect(0, 1823, '\p{^Is_Jg=_-KAPH}', "");
Expect(0, 1823, '\P{Is_Jg=_-KAPH}', "");
Expect(1, 1823, '\P{^Is_Jg=_-KAPH}', "");
Expect(0, 1822, '\p{Is_Jg=_-KAPH}', "");
Expect(1, 1822, '\p{^Is_Jg=_-KAPH}', "");
Expect(1, 1822, '\P{Is_Jg=_-KAPH}', "");
Expect(0, 1822, '\P{^Is_Jg=_-KAPH}', "");
Error('\p{Joining_Group=	FEH:=}');
Error('\P{Joining_Group=	FEH:=}');
Expect(1, 1601, '\p{Joining_Group=feh}', "");
Expect(0, 1601, '\p{^Joining_Group=feh}', "");
Expect(0, 1601, '\P{Joining_Group=feh}', "");
Expect(1, 1601, '\P{^Joining_Group=feh}', "");
Expect(0, 1600, '\p{Joining_Group=feh}', "");
Expect(1, 1600, '\p{^Joining_Group=feh}', "");
Expect(1, 1600, '\P{Joining_Group=feh}', "");
Expect(0, 1600, '\P{^Joining_Group=feh}', "");
Expect(1, 1601, '\p{Joining_Group=  FEH}', "");
Expect(0, 1601, '\p{^Joining_Group=  FEH}', "");
Expect(0, 1601, '\P{Joining_Group=  FEH}', "");
Expect(1, 1601, '\P{^Joining_Group=  FEH}', "");
Expect(0, 1600, '\p{Joining_Group=  FEH}', "");
Expect(1, 1600, '\p{^Joining_Group=  FEH}', "");
Expect(1, 1600, '\P{Joining_Group=  FEH}', "");
Expect(0, 1600, '\P{^Joining_Group=  FEH}', "");
Error('\p{Jg=_	FEH:=}');
Error('\P{Jg=_	FEH:=}');
Expect(1, 1601, '\p{Jg=feh}', "");
Expect(0, 1601, '\p{^Jg=feh}', "");
Expect(0, 1601, '\P{Jg=feh}', "");
Expect(1, 1601, '\P{^Jg=feh}', "");
Expect(0, 1600, '\p{Jg=feh}', "");
Expect(1, 1600, '\p{^Jg=feh}', "");
Expect(1, 1600, '\P{Jg=feh}', "");
Expect(0, 1600, '\P{^Jg=feh}', "");
Expect(1, 1601, '\p{Jg=_Feh}', "");
Expect(0, 1601, '\p{^Jg=_Feh}', "");
Expect(0, 1601, '\P{Jg=_Feh}', "");
Expect(1, 1601, '\P{^Jg=_Feh}', "");
Expect(0, 1600, '\p{Jg=_Feh}', "");
Expect(1, 1600, '\p{^Jg=_Feh}', "");
Expect(1, 1600, '\P{Jg=_Feh}', "");
Expect(0, 1600, '\P{^Jg=_Feh}', "");
Error('\p{Is_Joining_Group= /a/FEH}');
Error('\P{Is_Joining_Group= /a/FEH}');
Expect(1, 1601, '\p{Is_Joining_Group:   feh}', "");
Expect(0, 1601, '\p{^Is_Joining_Group:   feh}', "");
Expect(0, 1601, '\P{Is_Joining_Group:   feh}', "");
Expect(1, 1601, '\P{^Is_Joining_Group:   feh}', "");
Expect(0, 1600, '\p{Is_Joining_Group:   feh}', "");
Expect(1, 1600, '\p{^Is_Joining_Group:   feh}', "");
Expect(1, 1600, '\P{Is_Joining_Group:   feh}', "");
Expect(0, 1600, '\P{^Is_Joining_Group:   feh}', "");
Expect(1, 1601, '\p{Is_Joining_Group:-Feh}', "");
Expect(0, 1601, '\p{^Is_Joining_Group:-Feh}', "");
Expect(0, 1601, '\P{Is_Joining_Group:-Feh}', "");
Expect(1, 1601, '\P{^Is_Joining_Group:-Feh}', "");
Expect(0, 1600, '\p{Is_Joining_Group:-Feh}', "");
Expect(1, 1600, '\p{^Is_Joining_Group:-Feh}', "");
Expect(1, 1600, '\P{Is_Joining_Group:-Feh}', "");
Expect(0, 1600, '\P{^Is_Joining_Group:-Feh}', "");
Error('\p{Is_Jg=/a/Feh}');
Error('\P{Is_Jg=/a/Feh}');
Expect(1, 1601, '\p{Is_Jg=feh}', "");
Expect(0, 1601, '\p{^Is_Jg=feh}', "");
Expect(0, 1601, '\P{Is_Jg=feh}', "");
Expect(1, 1601, '\P{^Is_Jg=feh}', "");
Expect(0, 1600, '\p{Is_Jg=feh}', "");
Expect(1, 1600, '\p{^Is_Jg=feh}', "");
Expect(1, 1600, '\P{Is_Jg=feh}', "");
Expect(0, 1600, '\P{^Is_Jg=feh}', "");
Expect(1, 1601, '\p{Is_Jg=	_Feh}', "");
Expect(0, 1601, '\p{^Is_Jg=	_Feh}', "");
Expect(0, 1601, '\P{Is_Jg=	_Feh}', "");
Expect(1, 1601, '\P{^Is_Jg=	_Feh}', "");
Expect(0, 1600, '\p{Is_Jg=	_Feh}', "");
Expect(1, 1600, '\p{^Is_Jg=	_Feh}', "");
Expect(1, 1600, '\P{Is_Jg=	_Feh}', "");
Expect(0, 1600, '\P{^Is_Jg=	_Feh}', "");
Error('\p{Joining_Group=:=- Farsi	YEH}');
Error('\P{Joining_Group=:=- Farsi	YEH}');
Expect(1, 1599, '\p{Joining_Group=farsiyeh}', "");
Expect(0, 1599, '\p{^Joining_Group=farsiyeh}', "");
Expect(0, 1599, '\P{Joining_Group=farsiyeh}', "");
Expect(1, 1599, '\P{^Joining_Group=farsiyeh}', "");
Expect(0, 1596, '\p{Joining_Group=farsiyeh}', "");
Expect(1, 1596, '\p{^Joining_Group=farsiyeh}', "");
Expect(1, 1596, '\P{Joining_Group=farsiyeh}', "");
Expect(0, 1596, '\P{^Joining_Group=farsiyeh}', "");
Expect(1, 1599, '\p{Joining_Group=_Farsi	Yeh}', "");
Expect(0, 1599, '\p{^Joining_Group=_Farsi	Yeh}', "");
Expect(0, 1599, '\P{Joining_Group=_Farsi	Yeh}', "");
Expect(1, 1599, '\P{^Joining_Group=_Farsi	Yeh}', "");
Expect(0, 1596, '\p{Joining_Group=_Farsi	Yeh}', "");
Expect(1, 1596, '\p{^Joining_Group=_Farsi	Yeh}', "");
Expect(1, 1596, '\P{Joining_Group=_Farsi	Yeh}', "");
Expect(0, 1596, '\P{^Joining_Group=_Farsi	Yeh}', "");
Error('\p{Jg=	/a/Farsiyeh}');
Error('\P{Jg=	/a/Farsiyeh}');
Expect(1, 1599, '\p{Jg=farsiyeh}', "");
Expect(0, 1599, '\p{^Jg=farsiyeh}', "");
Expect(0, 1599, '\P{Jg=farsiyeh}', "");
Expect(1, 1599, '\P{^Jg=farsiyeh}', "");
Expect(0, 1596, '\p{Jg=farsiyeh}', "");
Expect(1, 1596, '\p{^Jg=farsiyeh}', "");
Expect(1, 1596, '\P{Jg=farsiyeh}', "");
Expect(0, 1596, '\P{^Jg=farsiyeh}', "");
Expect(1, 1599, '\p{Jg= 	FARSI_Yeh}', "");
Expect(0, 1599, '\p{^Jg= 	FARSI_Yeh}', "");
Expect(0, 1599, '\P{Jg= 	FARSI_Yeh}', "");
Expect(1, 1599, '\P{^Jg= 	FARSI_Yeh}', "");
Expect(0, 1596, '\p{Jg= 	FARSI_Yeh}', "");
Expect(1, 1596, '\p{^Jg= 	FARSI_Yeh}', "");
Expect(1, 1596, '\P{Jg= 	FARSI_Yeh}', "");
Expect(0, 1596, '\P{^Jg= 	FARSI_Yeh}', "");
Error('\p{Is_Joining_Group=:=-	Farsiyeh}');
Error('\P{Is_Joining_Group=:=-	Farsiyeh}');
Expect(1, 1599, '\p{Is_Joining_Group=farsiyeh}', "");
Expect(0, 1599, '\p{^Is_Joining_Group=farsiyeh}', "");
Expect(0, 1599, '\P{Is_Joining_Group=farsiyeh}', "");
Expect(1, 1599, '\P{^Is_Joining_Group=farsiyeh}', "");
Expect(0, 1596, '\p{Is_Joining_Group=farsiyeh}', "");
Expect(1, 1596, '\p{^Is_Joining_Group=farsiyeh}', "");
Expect(1, 1596, '\P{Is_Joining_Group=farsiyeh}', "");
Expect(0, 1596, '\P{^Is_Joining_Group=farsiyeh}', "");
Expect(1, 1599, '\p{Is_Joining_Group=-	Farsi-YEH}', "");
Expect(0, 1599, '\p{^Is_Joining_Group=-	Farsi-YEH}', "");
Expect(0, 1599, '\P{Is_Joining_Group=-	Farsi-YEH}', "");
Expect(1, 1599, '\P{^Is_Joining_Group=-	Farsi-YEH}', "");
Expect(0, 1596, '\p{Is_Joining_Group=-	Farsi-YEH}', "");
Expect(1, 1596, '\p{^Is_Joining_Group=-	Farsi-YEH}', "");
Expect(1, 1596, '\P{Is_Joining_Group=-	Farsi-YEH}', "");
Expect(0, 1596, '\P{^Is_Joining_Group=-	Farsi-YEH}', "");
Error('\p{Is_Jg=:=	farsi_yeh}');
Error('\P{Is_Jg=:=	farsi_yeh}');
Expect(1, 1599, '\p{Is_Jg=farsiyeh}', "");
Expect(0, 1599, '\p{^Is_Jg=farsiyeh}', "");
Expect(0, 1599, '\P{Is_Jg=farsiyeh}', "");
Expect(1, 1599, '\P{^Is_Jg=farsiyeh}', "");
Expect(0, 1596, '\p{Is_Jg=farsiyeh}', "");
Expect(1, 1596, '\p{^Is_Jg=farsiyeh}', "");
Expect(1, 1596, '\P{Is_Jg=farsiyeh}', "");
Expect(0, 1596, '\P{^Is_Jg=farsiyeh}', "");
Expect(1, 1599, '\p{Is_Jg=-	FarsiYeh}', "");
Expect(0, 1599, '\p{^Is_Jg=-	FarsiYeh}', "");
Expect(0, 1599, '\P{Is_Jg=-	FarsiYeh}', "");
Expect(1, 1599, '\P{^Is_Jg=-	FarsiYeh}', "");
Expect(0, 1596, '\p{Is_Jg=-	FarsiYeh}', "");
Expect(1, 1596, '\p{^Is_Jg=-	FarsiYeh}', "");
Expect(1, 1596, '\P{Is_Jg=-	FarsiYeh}', "");
Expect(0, 1596, '\P{^Is_Jg=-	FarsiYeh}', "");
Error('\p{Joining_Group=__Reversed:=pe}');
Error('\P{Joining_Group=__Reversed:=pe}');
Expect(1, 1831, '\p{Joining_Group=reversedpe}', "");
Expect(0, 1831, '\p{^Joining_Group=reversedpe}', "");
Expect(0, 1831, '\P{Joining_Group=reversedpe}', "");
Expect(1, 1831, '\P{^Joining_Group=reversedpe}', "");
Expect(0, 1830, '\p{Joining_Group=reversedpe}', "");
Expect(1, 1830, '\p{^Joining_Group=reversedpe}', "");
Expect(1, 1830, '\P{Joining_Group=reversedpe}', "");
Expect(0, 1830, '\P{^Joining_Group=reversedpe}', "");
Expect(1, 1831, '\p{Joining_Group: 	 Reversed PE}', "");
Expect(0, 1831, '\p{^Joining_Group: 	 Reversed PE}', "");
Expect(0, 1831, '\P{Joining_Group: 	 Reversed PE}', "");
Expect(1, 1831, '\P{^Joining_Group: 	 Reversed PE}', "");
Expect(0, 1830, '\p{Joining_Group: 	 Reversed PE}', "");
Expect(1, 1830, '\p{^Joining_Group: 	 Reversed PE}', "");
Expect(1, 1830, '\P{Joining_Group: 	 Reversed PE}', "");
Expect(0, 1830, '\P{^Joining_Group: 	 Reversed PE}', "");
Error('\p{Jg=_	REVERSED Pe:=}');
Error('\P{Jg=_	REVERSED Pe:=}');
Expect(1, 1831, '\p{Jg=reversedpe}', "");
Expect(0, 1831, '\p{^Jg=reversedpe}', "");
Expect(0, 1831, '\P{Jg=reversedpe}', "");
Expect(1, 1831, '\P{^Jg=reversedpe}', "");
Expect(0, 1830, '\p{Jg=reversedpe}', "");
Expect(1, 1830, '\p{^Jg=reversedpe}', "");
Expect(1, 1830, '\P{Jg=reversedpe}', "");
Expect(0, 1830, '\P{^Jg=reversedpe}', "");
Expect(1, 1831, '\p{Jg=_ REVERSED	pe}', "");
Expect(0, 1831, '\p{^Jg=_ REVERSED	pe}', "");
Expect(0, 1831, '\P{Jg=_ REVERSED	pe}', "");
Expect(1, 1831, '\P{^Jg=_ REVERSED	pe}', "");
Expect(0, 1830, '\p{Jg=_ REVERSED	pe}', "");
Expect(1, 1830, '\p{^Jg=_ REVERSED	pe}', "");
Expect(1, 1830, '\P{Jg=_ REVERSED	pe}', "");
Expect(0, 1830, '\P{^Jg=_ REVERSED	pe}', "");
Error('\p{Is_Joining_Group=	reversed/a/Pe}');
Error('\P{Is_Joining_Group=	reversed/a/Pe}');
Expect(1, 1831, '\p{Is_Joining_Group=reversedpe}', "");
Expect(0, 1831, '\p{^Is_Joining_Group=reversedpe}', "");
Expect(0, 1831, '\P{Is_Joining_Group=reversedpe}', "");
Expect(1, 1831, '\P{^Is_Joining_Group=reversedpe}', "");
Expect(0, 1830, '\p{Is_Joining_Group=reversedpe}', "");
Expect(1, 1830, '\p{^Is_Joining_Group=reversedpe}', "");
Expect(1, 1830, '\P{Is_Joining_Group=reversedpe}', "");
Expect(0, 1830, '\P{^Is_Joining_Group=reversedpe}', "");
Expect(1, 1831, '\p{Is_Joining_Group:	--REVERSED-PE}', "");
Expect(0, 1831, '\p{^Is_Joining_Group:	--REVERSED-PE}', "");
Expect(0, 1831, '\P{Is_Joining_Group:	--REVERSED-PE}', "");
Expect(1, 1831, '\P{^Is_Joining_Group:	--REVERSED-PE}', "");
Expect(0, 1830, '\p{Is_Joining_Group:	--REVERSED-PE}', "");
Expect(1, 1830, '\p{^Is_Joining_Group:	--REVERSED-PE}', "");
Expect(1, 1830, '\P{Is_Joining_Group:	--REVERSED-PE}', "");
Expect(0, 1830, '\P{^Is_Joining_Group:	--REVERSED-PE}', "");
Error('\p{Is_Jg=:=-ReversedPE}');
Error('\P{Is_Jg=:=-ReversedPE}');
Expect(1, 1831, '\p{Is_Jg=reversedpe}', "");
Expect(0, 1831, '\p{^Is_Jg=reversedpe}', "");
Expect(0, 1831, '\P{Is_Jg=reversedpe}', "");
Expect(1, 1831, '\P{^Is_Jg=reversedpe}', "");
Expect(0, 1830, '\p{Is_Jg=reversedpe}', "");
Expect(1, 1830, '\p{^Is_Jg=reversedpe}', "");
Expect(1, 1830, '\P{Is_Jg=reversedpe}', "");
Expect(0, 1830, '\P{^Is_Jg=reversedpe}', "");
Expect(1, 1831, '\p{Is_Jg= _Reversed-Pe}', "");
Expect(0, 1831, '\p{^Is_Jg= _Reversed-Pe}', "");
Expect(0, 1831, '\P{Is_Jg= _Reversed-Pe}', "");
Expect(1, 1831, '\P{^Is_Jg= _Reversed-Pe}', "");
Expect(0, 1830, '\p{Is_Jg= _Reversed-Pe}', "");
Expect(1, 1830, '\p{^Is_Jg= _Reversed-Pe}', "");
Expect(1, 1830, '\P{Is_Jg= _Reversed-Pe}', "");
Expect(0, 1830, '\P{^Is_Jg= _Reversed-Pe}', "");
Error('\p{Joining_Group=:=shin}');
Error('\P{Joining_Group=:=shin}');
Expect(1, 1835, '\p{Joining_Group=shin}', "");
Expect(0, 1835, '\p{^Joining_Group=shin}', "");
Expect(0, 1835, '\P{Joining_Group=shin}', "");
Expect(1, 1835, '\P{^Joining_Group=shin}', "");
Expect(0, 1834, '\p{Joining_Group=shin}', "");
Expect(1, 1834, '\p{^Joining_Group=shin}', "");
Expect(1, 1834, '\P{Joining_Group=shin}', "");
Expect(0, 1834, '\P{^Joining_Group=shin}', "");
Expect(1, 1835, '\p{Joining_Group=_	SHIN}', "");
Expect(0, 1835, '\p{^Joining_Group=_	SHIN}', "");
Expect(0, 1835, '\P{Joining_Group=_	SHIN}', "");
Expect(1, 1835, '\P{^Joining_Group=_	SHIN}', "");
Expect(0, 1834, '\p{Joining_Group=_	SHIN}', "");
Expect(1, 1834, '\p{^Joining_Group=_	SHIN}', "");
Expect(1, 1834, '\P{Joining_Group=_	SHIN}', "");
Expect(0, 1834, '\P{^Joining_Group=_	SHIN}', "");
Error('\p{Jg=		Shin/a/}');
Error('\P{Jg=		Shin/a/}');
Expect(1, 1835, '\p{Jg=shin}', "");
Expect(0, 1835, '\p{^Jg=shin}', "");
Expect(0, 1835, '\P{Jg=shin}', "");
Expect(1, 1835, '\P{^Jg=shin}', "");
Expect(0, 1834, '\p{Jg=shin}', "");
Expect(1, 1834, '\p{^Jg=shin}', "");
Expect(1, 1834, '\P{Jg=shin}', "");
Expect(0, 1834, '\P{^Jg=shin}', "");
Expect(1, 1835, '\p{Jg=__shin}', "");
Expect(0, 1835, '\p{^Jg=__shin}', "");
Expect(0, 1835, '\P{Jg=__shin}', "");
Expect(1, 1835, '\P{^Jg=__shin}', "");
Expect(0, 1834, '\p{Jg=__shin}', "");
Expect(1, 1834, '\p{^Jg=__shin}', "");
Expect(1, 1834, '\P{Jg=__shin}', "");
Expect(0, 1834, '\P{^Jg=__shin}', "");
Error('\p{Is_Joining_Group=:=-Shin}');
Error('\P{Is_Joining_Group=:=-Shin}');
Expect(1, 1835, '\p{Is_Joining_Group=shin}', "");
Expect(0, 1835, '\p{^Is_Joining_Group=shin}', "");
Expect(0, 1835, '\P{Is_Joining_Group=shin}', "");
Expect(1, 1835, '\P{^Is_Joining_Group=shin}', "");
Expect(0, 1834, '\p{Is_Joining_Group=shin}', "");
Expect(1, 1834, '\p{^Is_Joining_Group=shin}', "");
Expect(1, 1834, '\P{Is_Joining_Group=shin}', "");
Expect(0, 1834, '\P{^Is_Joining_Group=shin}', "");
Expect(1, 1835, '\p{Is_Joining_Group=		Shin}', "");
Expect(0, 1835, '\p{^Is_Joining_Group=		Shin}', "");
Expect(0, 1835, '\P{Is_Joining_Group=		Shin}', "");
Expect(1, 1835, '\P{^Is_Joining_Group=		Shin}', "");
Expect(0, 1834, '\p{Is_Joining_Group=		Shin}', "");
Expect(1, 1834, '\p{^Is_Joining_Group=		Shin}', "");
Expect(1, 1834, '\P{Is_Joining_Group=		Shin}', "");
Expect(0, 1834, '\P{^Is_Joining_Group=		Shin}', "");
Error('\p{Is_Jg=_	SHIN/a/}');
Error('\P{Is_Jg=_	SHIN/a/}');
Expect(1, 1835, '\p{Is_Jg=shin}', "");
Expect(0, 1835, '\p{^Is_Jg=shin}', "");
Expect(0, 1835, '\P{Is_Jg=shin}', "");
Expect(1, 1835, '\P{^Is_Jg=shin}', "");
Expect(0, 1834, '\p{Is_Jg=shin}', "");
Expect(1, 1834, '\p{^Is_Jg=shin}', "");
Expect(1, 1834, '\P{Is_Jg=shin}', "");
Expect(0, 1834, '\P{^Is_Jg=shin}', "");
Expect(1, 1835, '\p{Is_Jg=--Shin}', "");
Expect(0, 1835, '\p{^Is_Jg=--Shin}', "");
Expect(0, 1835, '\P{Is_Jg=--Shin}', "");
Expect(1, 1835, '\P{^Is_Jg=--Shin}', "");
Expect(0, 1834, '\p{Is_Jg=--Shin}', "");
Expect(1, 1834, '\p{^Is_Jg=--Shin}', "");
Expect(1, 1834, '\P{Is_Jg=--Shin}', "");
Expect(0, 1834, '\P{^Is_Jg=--Shin}', "");
Error('\p{Joining_Group=-_Yeh:=}');
Error('\P{Joining_Group=-_Yeh:=}');
Expect(1, 1574, '\p{Joining_Group=yeh}', "");
Expect(0, 1574, '\p{^Joining_Group=yeh}', "");
Expect(0, 1574, '\P{Joining_Group=yeh}', "");
Expect(1, 1574, '\P{^Joining_Group=yeh}', "");
Expect(0, 1573, '\p{Joining_Group=yeh}', "");
Expect(1, 1573, '\p{^Joining_Group=yeh}', "");
Expect(1, 1573, '\P{Joining_Group=yeh}', "");
Expect(0, 1573, '\P{^Joining_Group=yeh}', "");
Expect(1, 1574, '\p{Joining_Group=-yeh}', "");
Expect(0, 1574, '\p{^Joining_Group=-yeh}', "");
Expect(0, 1574, '\P{Joining_Group=-yeh}', "");
Expect(1, 1574, '\P{^Joining_Group=-yeh}', "");
Expect(0, 1573, '\p{Joining_Group=-yeh}', "");
Expect(1, 1573, '\p{^Joining_Group=-yeh}', "");
Expect(1, 1573, '\P{Joining_Group=-yeh}', "");
Expect(0, 1573, '\P{^Joining_Group=-yeh}', "");
Error('\p{Jg=- Yeh:=}');
Error('\P{Jg=- Yeh:=}');
Expect(1, 1574, '\p{Jg=yeh}', "");
Expect(0, 1574, '\p{^Jg=yeh}', "");
Expect(0, 1574, '\P{Jg=yeh}', "");
Expect(1, 1574, '\P{^Jg=yeh}', "");
Expect(0, 1573, '\p{Jg=yeh}', "");
Expect(1, 1573, '\p{^Jg=yeh}', "");
Expect(1, 1573, '\P{Jg=yeh}', "");
Expect(0, 1573, '\P{^Jg=yeh}', "");
Expect(1, 1574, '\p{Jg=_	Yeh}', "");
Expect(0, 1574, '\p{^Jg=_	Yeh}', "");
Expect(0, 1574, '\P{Jg=_	Yeh}', "");
Expect(1, 1574, '\P{^Jg=_	Yeh}', "");
Expect(0, 1573, '\p{Jg=_	Yeh}', "");
Expect(1, 1573, '\p{^Jg=_	Yeh}', "");
Expect(1, 1573, '\P{Jg=_	Yeh}', "");
Expect(0, 1573, '\P{^Jg=_	Yeh}', "");
Error('\p{Is_Joining_Group:   _	Yeh/a/}');
Error('\P{Is_Joining_Group:   _	Yeh/a/}');
Expect(1, 1574, '\p{Is_Joining_Group=yeh}', "");
Expect(0, 1574, '\p{^Is_Joining_Group=yeh}', "");
Expect(0, 1574, '\P{Is_Joining_Group=yeh}', "");
Expect(1, 1574, '\P{^Is_Joining_Group=yeh}', "");
Expect(0, 1573, '\p{Is_Joining_Group=yeh}', "");
Expect(1, 1573, '\p{^Is_Joining_Group=yeh}', "");
Expect(1, 1573, '\P{Is_Joining_Group=yeh}', "");
Expect(0, 1573, '\P{^Is_Joining_Group=yeh}', "");
Expect(1, 1574, '\p{Is_Joining_Group= -YEH}', "");
Expect(0, 1574, '\p{^Is_Joining_Group= -YEH}', "");
Expect(0, 1574, '\P{Is_Joining_Group= -YEH}', "");
Expect(1, 1574, '\P{^Is_Joining_Group= -YEH}', "");
Expect(0, 1573, '\p{Is_Joining_Group= -YEH}', "");
Expect(1, 1573, '\p{^Is_Joining_Group= -YEH}', "");
Expect(1, 1573, '\P{Is_Joining_Group= -YEH}', "");
Expect(0, 1573, '\P{^Is_Joining_Group= -YEH}', "");
Error('\p{Is_Jg=/a/ yeh}');
Error('\P{Is_Jg=/a/ yeh}');
Expect(1, 1574, '\p{Is_Jg=yeh}', "");
Expect(0, 1574, '\p{^Is_Jg=yeh}', "");
Expect(0, 1574, '\P{Is_Jg=yeh}', "");
Expect(1, 1574, '\P{^Is_Jg=yeh}', "");
Expect(0, 1573, '\p{Is_Jg=yeh}', "");
Expect(1, 1573, '\p{^Is_Jg=yeh}', "");
Expect(1, 1573, '\P{Is_Jg=yeh}', "");
Expect(0, 1573, '\P{^Is_Jg=yeh}', "");
Expect(1, 1574, '\p{Is_Jg=	YEH}', "");
Expect(0, 1574, '\p{^Is_Jg=	YEH}', "");
Expect(0, 1574, '\P{Is_Jg=	YEH}', "");
Expect(1, 1574, '\P{^Is_Jg=	YEH}', "");
Expect(0, 1573, '\p{Is_Jg=	YEH}', "");
Expect(1, 1573, '\p{^Is_Jg=	YEH}', "");
Expect(1, 1573, '\P{Is_Jg=	YEH}', "");
Expect(0, 1573, '\P{^Is_Jg=	YEH}', "");
Error('\p{Joining_Group=_/a/dal}');
Error('\P{Joining_Group=_/a/dal}');
Expect(1, 1584, '\p{Joining_Group=dal}', "");
Expect(0, 1584, '\p{^Joining_Group=dal}', "");
Expect(0, 1584, '\P{Joining_Group=dal}', "");
Expect(1, 1584, '\P{^Joining_Group=dal}', "");
Expect(0, 1582, '\p{Joining_Group=dal}', "");
Expect(1, 1582, '\p{^Joining_Group=dal}', "");
Expect(1, 1582, '\P{Joining_Group=dal}', "");
Expect(0, 1582, '\P{^Joining_Group=dal}', "");
Expect(1, 1584, '\p{Joining_Group=_-Dal}', "");
Expect(0, 1584, '\p{^Joining_Group=_-Dal}', "");
Expect(0, 1584, '\P{Joining_Group=_-Dal}', "");
Expect(1, 1584, '\P{^Joining_Group=_-Dal}', "");
Expect(0, 1582, '\p{Joining_Group=_-Dal}', "");
Expect(1, 1582, '\p{^Joining_Group=_-Dal}', "");
Expect(1, 1582, '\P{Joining_Group=_-Dal}', "");
Expect(0, 1582, '\P{^Joining_Group=_-Dal}', "");
Error('\p{Jg= /a/Dal}');
Error('\P{Jg= /a/Dal}');
Expect(1, 1584, '\p{Jg:	dal}', "");
Expect(0, 1584, '\p{^Jg:	dal}', "");
Expect(0, 1584, '\P{Jg:	dal}', "");
Expect(1, 1584, '\P{^Jg:	dal}', "");
Expect(0, 1582, '\p{Jg:	dal}', "");
Expect(1, 1582, '\p{^Jg:	dal}', "");
Expect(1, 1582, '\P{Jg:	dal}', "");
Expect(0, 1582, '\P{^Jg:	dal}', "");
Expect(1, 1584, '\p{Jg=	dal}', "");
Expect(0, 1584, '\p{^Jg=	dal}', "");
Expect(0, 1584, '\P{Jg=	dal}', "");
Expect(1, 1584, '\P{^Jg=	dal}', "");
Expect(0, 1582, '\p{Jg=	dal}', "");
Expect(1, 1582, '\p{^Jg=	dal}', "");
Expect(1, 1582, '\P{Jg=	dal}', "");
Expect(0, 1582, '\P{^Jg=	dal}', "");
Error('\p{Is_Joining_Group=:=_-Dal}');
Error('\P{Is_Joining_Group=:=_-Dal}');
Expect(1, 1584, '\p{Is_Joining_Group=dal}', "");
Expect(0, 1584, '\p{^Is_Joining_Group=dal}', "");
Expect(0, 1584, '\P{Is_Joining_Group=dal}', "");
Expect(1, 1584, '\P{^Is_Joining_Group=dal}', "");
Expect(0, 1582, '\p{Is_Joining_Group=dal}', "");
Expect(1, 1582, '\p{^Is_Joining_Group=dal}', "");
Expect(1, 1582, '\P{Is_Joining_Group=dal}', "");
Expect(0, 1582, '\P{^Is_Joining_Group=dal}', "");
Error('\p{Is_Jg=	_Dal/a/}');
Error('\P{Is_Jg=	_Dal/a/}');
Expect(1, 1584, '\p{Is_Jg: dal}', "");
Expect(0, 1584, '\p{^Is_Jg: dal}', "");
Expect(0, 1584, '\P{Is_Jg: dal}', "");
Expect(1, 1584, '\P{^Is_Jg: dal}', "");
Expect(0, 1582, '\p{Is_Jg: dal}', "");
Expect(1, 1582, '\p{^Is_Jg: dal}', "");
Expect(1, 1582, '\P{Is_Jg: dal}', "");
Expect(0, 1582, '\P{^Is_Jg: dal}', "");
Expect(1, 1584, '\p{Is_Jg= _Dal}', "");
Expect(0, 1584, '\p{^Is_Jg= _Dal}', "");
Expect(0, 1584, '\P{Is_Jg= _Dal}', "");
Expect(1, 1584, '\P{^Is_Jg= _Dal}', "");
Expect(0, 1582, '\p{Is_Jg= _Dal}', "");
Expect(1, 1582, '\p{^Is_Jg= _Dal}', "");
Expect(1, 1582, '\P{Is_Jg= _Dal}', "");
Expect(0, 1582, '\P{^Is_Jg= _Dal}', "");
Error('\p{Joining_Group=-:=Hamza-OnHeh-Goal}');
Error('\P{Joining_Group=-:=Hamza-OnHeh-Goal}');
Expect(1, 1731, '\p{Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1731, '\p{^Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1731, '\P{Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1731, '\P{^Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1730, '\p{Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1730, '\p{^Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1730, '\P{Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1730, '\P{^Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1731, '\p{Joining_Group=-hamzaON_heh-Goal}', "");
Expect(0, 1731, '\p{^Joining_Group=-hamzaON_heh-Goal}', "");
Expect(0, 1731, '\P{Joining_Group=-hamzaON_heh-Goal}', "");
Expect(1, 1731, '\P{^Joining_Group=-hamzaON_heh-Goal}', "");
Expect(0, 1730, '\p{Joining_Group=-hamzaON_heh-Goal}', "");
Expect(1, 1730, '\p{^Joining_Group=-hamzaON_heh-Goal}', "");
Expect(1, 1730, '\P{Joining_Group=-hamzaON_heh-Goal}', "");
Expect(0, 1730, '\P{^Joining_Group=-hamzaON_heh-Goal}', "");
Error('\p{Jg=_Hamza:=ON HehGoal}');
Error('\P{Jg=_Hamza:=ON HehGoal}');
Expect(1, 1731, '\p{Jg=hamzaonhehgoal}', "");
Expect(0, 1731, '\p{^Jg=hamzaonhehgoal}', "");
Expect(0, 1731, '\P{Jg=hamzaonhehgoal}', "");
Expect(1, 1731, '\P{^Jg=hamzaonhehgoal}', "");
Expect(0, 1730, '\p{Jg=hamzaonhehgoal}', "");
Expect(1, 1730, '\p{^Jg=hamzaonhehgoal}', "");
Expect(1, 1730, '\P{Jg=hamzaonhehgoal}', "");
Expect(0, 1730, '\P{^Jg=hamzaonhehgoal}', "");
Expect(1, 1731, '\p{Jg=-HamzaONheh_Goal}', "");
Expect(0, 1731, '\p{^Jg=-HamzaONheh_Goal}', "");
Expect(0, 1731, '\P{Jg=-HamzaONheh_Goal}', "");
Expect(1, 1731, '\P{^Jg=-HamzaONheh_Goal}', "");
Expect(0, 1730, '\p{Jg=-HamzaONheh_Goal}', "");
Expect(1, 1730, '\p{^Jg=-HamzaONheh_Goal}', "");
Expect(1, 1730, '\P{Jg=-HamzaONheh_Goal}', "");
Expect(0, 1730, '\P{^Jg=-HamzaONheh_Goal}', "");
Error('\p{Is_Joining_Group:	 :=Hamza-On	HEHGoal}');
Error('\P{Is_Joining_Group:	 :=Hamza-On	HEHGoal}');
Expect(1, 1731, '\p{Is_Joining_Group:	hamzaonhehgoal}', "");
Expect(0, 1731, '\p{^Is_Joining_Group:	hamzaonhehgoal}', "");
Expect(0, 1731, '\P{Is_Joining_Group:	hamzaonhehgoal}', "");
Expect(1, 1731, '\P{^Is_Joining_Group:	hamzaonhehgoal}', "");
Expect(0, 1730, '\p{Is_Joining_Group:	hamzaonhehgoal}', "");
Expect(1, 1730, '\p{^Is_Joining_Group:	hamzaonhehgoal}', "");
Expect(1, 1730, '\P{Is_Joining_Group:	hamzaonhehgoal}', "");
Expect(0, 1730, '\P{^Is_Joining_Group:	hamzaonhehgoal}', "");
Expect(1, 1731, '\p{Is_Joining_Group=-_Hamza-OnHEH-goal}', "");
Expect(0, 1731, '\p{^Is_Joining_Group=-_Hamza-OnHEH-goal}', "");
Expect(0, 1731, '\P{Is_Joining_Group=-_Hamza-OnHEH-goal}', "");
Expect(1, 1731, '\P{^Is_Joining_Group=-_Hamza-OnHEH-goal}', "");
Expect(0, 1730, '\p{Is_Joining_Group=-_Hamza-OnHEH-goal}', "");
Expect(1, 1730, '\p{^Is_Joining_Group=-_Hamza-OnHEH-goal}', "");
Expect(1, 1730, '\P{Is_Joining_Group=-_Hamza-OnHEH-goal}', "");
Expect(0, 1730, '\P{^Is_Joining_Group=-_Hamza-OnHEH-goal}', "");
Error('\p{Is_Jg=- hamza/a/On	Hehgoal}');
Error('\P{Is_Jg=- hamza/a/On	Hehgoal}');
Expect(1, 1731, '\p{Is_Jg=hamzaonhehgoal}', "");
Expect(0, 1731, '\p{^Is_Jg=hamzaonhehgoal}', "");
Expect(0, 1731, '\P{Is_Jg=hamzaonhehgoal}', "");
Expect(1, 1731, '\P{^Is_Jg=hamzaonhehgoal}', "");
Expect(0, 1730, '\p{Is_Jg=hamzaonhehgoal}', "");
Expect(1, 1730, '\p{^Is_Jg=hamzaonhehgoal}', "");
Expect(1, 1730, '\P{Is_Jg=hamzaonhehgoal}', "");
Expect(0, 1730, '\P{^Is_Jg=hamzaonhehgoal}', "");
Expect(1, 1731, '\p{Is_Jg=	-HAMZA	ON heh_Goal}', "");
Expect(0, 1731, '\p{^Is_Jg=	-HAMZA	ON heh_Goal}', "");
Expect(0, 1731, '\P{Is_Jg=	-HAMZA	ON heh_Goal}', "");
Expect(1, 1731, '\P{^Is_Jg=	-HAMZA	ON heh_Goal}', "");
Expect(0, 1730, '\p{Is_Jg=	-HAMZA	ON heh_Goal}', "");
Expect(1, 1730, '\p{^Is_Jg=	-HAMZA	ON heh_Goal}', "");
Expect(1, 1730, '\P{Is_Jg=	-HAMZA	ON heh_Goal}', "");
Expect(0, 1730, '\P{^Is_Jg=	-HAMZA	ON heh_Goal}', "");
Error('\p{Joining_Group=	:=HE}');
Error('\P{Joining_Group=	:=HE}');
Expect(1, 1815, '\p{Joining_Group=he}', "");
Expect(0, 1815, '\p{^Joining_Group=he}', "");
Expect(0, 1815, '\P{Joining_Group=he}', "");
Expect(1, 1815, '\P{^Joining_Group=he}', "");
Expect(0, 1814, '\p{Joining_Group=he}', "");
Expect(1, 1814, '\p{^Joining_Group=he}', "");
Expect(1, 1814, '\P{Joining_Group=he}', "");
Expect(0, 1814, '\P{^Joining_Group=he}', "");
Expect(1, 1815, '\p{Joining_Group=	He}', "");
Expect(0, 1815, '\p{^Joining_Group=	He}', "");
Expect(0, 1815, '\P{Joining_Group=	He}', "");
Expect(1, 1815, '\P{^Joining_Group=	He}', "");
Expect(0, 1814, '\p{Joining_Group=	He}', "");
Expect(1, 1814, '\p{^Joining_Group=	He}', "");
Expect(1, 1814, '\P{Joining_Group=	He}', "");
Expect(0, 1814, '\P{^Joining_Group=	He}', "");
Error('\p{Jg= :=He}');
Error('\P{Jg= :=He}');
Expect(1, 1815, '\p{Jg=he}', "");
Expect(0, 1815, '\p{^Jg=he}', "");
Expect(0, 1815, '\P{Jg=he}', "");
Expect(1, 1815, '\P{^Jg=he}', "");
Expect(0, 1814, '\p{Jg=he}', "");
Expect(1, 1814, '\p{^Jg=he}', "");
Expect(1, 1814, '\P{Jg=he}', "");
Expect(0, 1814, '\P{^Jg=he}', "");
Expect(1, 1815, '\p{Jg=__He}', "");
Expect(0, 1815, '\p{^Jg=__He}', "");
Expect(0, 1815, '\P{Jg=__He}', "");
Expect(1, 1815, '\P{^Jg=__He}', "");
Expect(0, 1814, '\p{Jg=__He}', "");
Expect(1, 1814, '\p{^Jg=__He}', "");
Expect(1, 1814, '\P{Jg=__He}', "");
Expect(0, 1814, '\P{^Jg=__He}', "");
Error('\p{Is_Joining_Group=:=he}');
Error('\P{Is_Joining_Group=:=he}');
Expect(1, 1815, '\p{Is_Joining_Group=he}', "");
Expect(0, 1815, '\p{^Is_Joining_Group=he}', "");
Expect(0, 1815, '\P{Is_Joining_Group=he}', "");
Expect(1, 1815, '\P{^Is_Joining_Group=he}', "");
Expect(0, 1814, '\p{Is_Joining_Group=he}', "");
Expect(1, 1814, '\p{^Is_Joining_Group=he}', "");
Expect(1, 1814, '\P{Is_Joining_Group=he}', "");
Expect(0, 1814, '\P{^Is_Joining_Group=he}', "");
Expect(1, 1815, '\p{Is_Joining_Group=-	He}', "");
Expect(0, 1815, '\p{^Is_Joining_Group=-	He}', "");
Expect(0, 1815, '\P{Is_Joining_Group=-	He}', "");
Expect(1, 1815, '\P{^Is_Joining_Group=-	He}', "");
Expect(0, 1814, '\p{Is_Joining_Group=-	He}', "");
Expect(1, 1814, '\p{^Is_Joining_Group=-	He}', "");
Expect(1, 1814, '\P{Is_Joining_Group=-	He}', "");
Expect(0, 1814, '\P{^Is_Joining_Group=-	He}', "");
Error('\p{Is_Jg=	:=He}');
Error('\P{Is_Jg=	:=He}');
Expect(1, 1815, '\p{Is_Jg=he}', "");
Expect(0, 1815, '\p{^Is_Jg=he}', "");
Expect(0, 1815, '\P{Is_Jg=he}', "");
Expect(1, 1815, '\P{^Is_Jg=he}', "");
Expect(0, 1814, '\p{Is_Jg=he}', "");
Expect(1, 1814, '\p{^Is_Jg=he}', "");
Expect(1, 1814, '\P{Is_Jg=he}', "");
Expect(0, 1814, '\P{^Is_Jg=he}', "");
Expect(1, 1815, '\p{Is_Jg: _ He}', "");
Expect(0, 1815, '\p{^Is_Jg: _ He}', "");
Expect(0, 1815, '\P{Is_Jg: _ He}', "");
Expect(1, 1815, '\P{^Is_Jg: _ He}', "");
Expect(0, 1814, '\p{Is_Jg: _ He}', "");
Expect(1, 1814, '\p{^Is_Jg: _ He}', "");
Expect(1, 1814, '\P{Is_Jg: _ He}', "");
Expect(0, 1814, '\P{^Is_Jg: _ He}', "");
Error('\p{Joining_Group=:= _no Joining_Group}');
Error('\P{Joining_Group=:= _no Joining_Group}');
Expect(1, 1569, '\p{Joining_Group=nojoininggroup}', "");
Expect(0, 1569, '\p{^Joining_Group=nojoininggroup}', "");
Expect(0, 1569, '\P{Joining_Group=nojoininggroup}', "");
Expect(1, 1569, '\P{^Joining_Group=nojoininggroup}', "");
Expect(0, 1599, '\p{Joining_Group=nojoininggroup}', "");
Expect(1, 1599, '\p{^Joining_Group=nojoininggroup}', "");
Expect(1, 1599, '\P{Joining_Group=nojoininggroup}', "");
Expect(0, 1599, '\P{^Joining_Group=nojoininggroup}', "");
Expect(1, 1569, '\p{Joining_Group=__noJOININGGroup}', "");
Expect(0, 1569, '\p{^Joining_Group=__noJOININGGroup}', "");
Expect(0, 1569, '\P{Joining_Group=__noJOININGGroup}', "");
Expect(1, 1569, '\P{^Joining_Group=__noJOININGGroup}', "");
Expect(0, 1599, '\p{Joining_Group=__noJOININGGroup}', "");
Expect(1, 1599, '\p{^Joining_Group=__noJOININGGroup}', "");
Expect(1, 1599, '\P{Joining_Group=__noJOININGGroup}', "");
Expect(0, 1599, '\P{^Joining_Group=__noJOININGGroup}', "");
Error('\p{Jg=	No-Joining:=GROUP}');
Error('\P{Jg=	No-Joining:=GROUP}');
Expect(1, 1569, '\p{Jg=nojoininggroup}', "");
Expect(0, 1569, '\p{^Jg=nojoininggroup}', "");
Expect(0, 1569, '\P{Jg=nojoininggroup}', "");
Expect(1, 1569, '\P{^Jg=nojoininggroup}', "");
Expect(0, 1599, '\p{Jg=nojoininggroup}', "");
Expect(1, 1599, '\p{^Jg=nojoininggroup}', "");
Expect(1, 1599, '\P{Jg=nojoininggroup}', "");
Expect(0, 1599, '\P{^Jg=nojoininggroup}', "");
Expect(1, 1569, '\p{Jg= 	No	JOINING	Group}', "");
Expect(0, 1569, '\p{^Jg= 	No	JOINING	Group}', "");
Expect(0, 1569, '\P{Jg= 	No	JOINING	Group}', "");
Expect(1, 1569, '\P{^Jg= 	No	JOINING	Group}', "");
Expect(0, 1599, '\p{Jg= 	No	JOINING	Group}', "");
Expect(1, 1599, '\p{^Jg= 	No	JOINING	Group}', "");
Expect(1, 1599, '\P{Jg= 	No	JOINING	Group}', "");
Expect(0, 1599, '\P{^Jg= 	No	JOINING	Group}', "");
Error('\p{Is_Joining_Group=:=_No-Joining Group}');
Error('\P{Is_Joining_Group=:=_No-Joining Group}');
Expect(1, 1569, '\p{Is_Joining_Group=nojoininggroup}', "");
Expect(0, 1569, '\p{^Is_Joining_Group=nojoininggroup}', "");
Expect(0, 1569, '\P{Is_Joining_Group=nojoininggroup}', "");
Expect(1, 1569, '\P{^Is_Joining_Group=nojoininggroup}', "");
Expect(0, 1599, '\p{Is_Joining_Group=nojoininggroup}', "");
Expect(1, 1599, '\p{^Is_Joining_Group=nojoininggroup}', "");
Expect(1, 1599, '\P{Is_Joining_Group=nojoininggroup}', "");
Expect(0, 1599, '\P{^Is_Joining_Group=nojoininggroup}', "");
Expect(1, 1569, '\p{Is_Joining_Group=-No JOINING Group}', "");
Expect(0, 1569, '\p{^Is_Joining_Group=-No JOINING Group}', "");
Expect(0, 1569, '\P{Is_Joining_Group=-No JOINING Group}', "");
Expect(1, 1569, '\P{^Is_Joining_Group=-No JOINING Group}', "");
Expect(0, 1599, '\p{Is_Joining_Group=-No JOINING Group}', "");
Expect(1, 1599, '\p{^Is_Joining_Group=-No JOINING Group}', "");
Expect(1, 1599, '\P{Is_Joining_Group=-No JOINING Group}', "");
Expect(0, 1599, '\P{^Is_Joining_Group=-No JOINING Group}', "");
Error('\p{Is_Jg= /a/no Joining Group}');
Error('\P{Is_Jg= /a/no Joining Group}');
Expect(1, 1569, '\p{Is_Jg=nojoininggroup}', "");
Expect(0, 1569, '\p{^Is_Jg=nojoininggroup}', "");
Expect(0, 1569, '\P{Is_Jg=nojoininggroup}', "");
Expect(1, 1569, '\P{^Is_Jg=nojoininggroup}', "");
Expect(0, 1599, '\p{Is_Jg=nojoininggroup}', "");
Expect(1, 1599, '\p{^Is_Jg=nojoininggroup}', "");
Expect(1, 1599, '\P{Is_Jg=nojoininggroup}', "");
Expect(0, 1599, '\P{^Is_Jg=nojoininggroup}', "");
Expect(1, 1569, '\p{Is_Jg:		_no_Joining-GROUP}', "");
Expect(0, 1569, '\p{^Is_Jg:		_no_Joining-GROUP}', "");
Expect(0, 1569, '\P{Is_Jg:		_no_Joining-GROUP}', "");
Expect(1, 1569, '\P{^Is_Jg:		_no_Joining-GROUP}', "");
Expect(0, 1599, '\p{Is_Jg:		_no_Joining-GROUP}', "");
Expect(1, 1599, '\p{^Is_Jg:		_no_Joining-GROUP}', "");
Expect(1, 1599, '\P{Is_Jg:		_no_Joining-GROUP}', "");
Expect(0, 1599, '\P{^Is_Jg:		_no_Joining-GROUP}', "");
Error('\p{Joining_Group=_BURUSHASKI:=Yeh BARREE}');
Error('\P{Joining_Group=_BURUSHASKI:=Yeh BARREE}');
Expect(1, 1915, '\p{Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1915, '\p{^Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1915, '\P{Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1915, '\P{^Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1913, '\p{Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1913, '\p{^Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1913, '\P{Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1913, '\P{^Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1915, '\p{Joining_Group=		burushaski Yeh-barree}', "");
Expect(0, 1915, '\p{^Joining_Group=		burushaski Yeh-barree}', "");
Expect(0, 1915, '\P{Joining_Group=		burushaski Yeh-barree}', "");
Expect(1, 1915, '\P{^Joining_Group=		burushaski Yeh-barree}', "");
Expect(0, 1913, '\p{Joining_Group=		burushaski Yeh-barree}', "");
Expect(1, 1913, '\p{^Joining_Group=		burushaski Yeh-barree}', "");
Expect(1, 1913, '\P{Joining_Group=		burushaski Yeh-barree}', "");
Expect(0, 1913, '\P{^Joining_Group=		burushaski Yeh-barree}', "");
Error('\p{Jg= /a/BURUSHASKIYeh-BARREE}');
Error('\P{Jg= /a/BURUSHASKIYeh-BARREE}');
Expect(1, 1915, '\p{Jg=burushaskiyehbarree}', "");
Expect(0, 1915, '\p{^Jg=burushaskiyehbarree}', "");
Expect(0, 1915, '\P{Jg=burushaskiyehbarree}', "");
Expect(1, 1915, '\P{^Jg=burushaskiyehbarree}', "");
Expect(0, 1913, '\p{Jg=burushaskiyehbarree}', "");
Expect(1, 1913, '\p{^Jg=burushaskiyehbarree}', "");
Expect(1, 1913, '\P{Jg=burushaskiyehbarree}', "");
Expect(0, 1913, '\P{^Jg=burushaskiyehbarree}', "");
Expect(1, 1915, '\p{Jg=--Burushaski-yeh-BARREE}', "");
Expect(0, 1915, '\p{^Jg=--Burushaski-yeh-BARREE}', "");
Expect(0, 1915, '\P{Jg=--Burushaski-yeh-BARREE}', "");
Expect(1, 1915, '\P{^Jg=--Burushaski-yeh-BARREE}', "");
Expect(0, 1913, '\p{Jg=--Burushaski-yeh-BARREE}', "");
Expect(1, 1913, '\p{^Jg=--Burushaski-yeh-BARREE}', "");
Expect(1, 1913, '\P{Jg=--Burushaski-yeh-BARREE}', "");
Expect(0, 1913, '\P{^Jg=--Burushaski-yeh-BARREE}', "");
Error('\p{Is_Joining_Group: 	/a/Burushaski yeh	barree}');
Error('\P{Is_Joining_Group: 	/a/Burushaski yeh	barree}');
Expect(1, 1915, '\p{Is_Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1915, '\p{^Is_Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1915, '\P{Is_Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1915, '\P{^Is_Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1913, '\p{Is_Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1913, '\p{^Is_Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1913, '\P{Is_Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1913, '\P{^Is_Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1915, '\p{Is_Joining_Group= Burushaski-Yeh Barree}', "");
Expect(0, 1915, '\p{^Is_Joining_Group= Burushaski-Yeh Barree}', "");
Expect(0, 1915, '\P{Is_Joining_Group= Burushaski-Yeh Barree}', "");
Expect(1, 1915, '\P{^Is_Joining_Group= Burushaski-Yeh Barree}', "");
Expect(0, 1913, '\p{Is_Joining_Group= Burushaski-Yeh Barree}', "");
Expect(1, 1913, '\p{^Is_Joining_Group= Burushaski-Yeh Barree}', "");
Expect(1, 1913, '\P{Is_Joining_Group= Burushaski-Yeh Barree}', "");
Expect(0, 1913, '\P{^Is_Joining_Group= Burushaski-Yeh Barree}', "");
Error('\p{Is_Jg=	burushaski-YEH-Barree:=}');
Error('\P{Is_Jg=	burushaski-YEH-Barree:=}');
Expect(1, 1915, '\p{Is_Jg:burushaskiyehbarree}', "");
Expect(0, 1915, '\p{^Is_Jg:burushaskiyehbarree}', "");
Expect(0, 1915, '\P{Is_Jg:burushaskiyehbarree}', "");
Expect(1, 1915, '\P{^Is_Jg:burushaskiyehbarree}', "");
Expect(0, 1913, '\p{Is_Jg:burushaskiyehbarree}', "");
Expect(1, 1913, '\p{^Is_Jg:burushaskiyehbarree}', "");
Expect(1, 1913, '\P{Is_Jg:burushaskiyehbarree}', "");
Expect(0, 1913, '\P{^Is_Jg:burushaskiyehbarree}', "");
Expect(1, 1915, '\p{Is_Jg=- burushaski-Yeh	Barree}', "");
Expect(0, 1915, '\p{^Is_Jg=- burushaski-Yeh	Barree}', "");
Expect(0, 1915, '\P{Is_Jg=- burushaski-Yeh	Barree}', "");
Expect(1, 1915, '\P{^Is_Jg=- burushaski-Yeh	Barree}', "");
Expect(0, 1913, '\p{Is_Jg=- burushaski-Yeh	Barree}', "");
Expect(1, 1913, '\p{^Is_Jg=- burushaski-Yeh	Barree}', "");
Expect(1, 1913, '\P{Is_Jg=- burushaski-Yeh	Barree}', "");
Expect(0, 1913, '\P{^Is_Jg=- burushaski-Yeh	Barree}', "");
Error('\p{Joining_Group=:= 	Teh Marbuta}');
Error('\P{Joining_Group=:= 	Teh Marbuta}');
Expect(1, 1577, '\p{Joining_Group=tehmarbuta}', "");
Expect(0, 1577, '\p{^Joining_Group=tehmarbuta}', "");
Expect(0, 1577, '\P{Joining_Group=tehmarbuta}', "");
Expect(1, 1577, '\P{^Joining_Group=tehmarbuta}', "");
Expect(0, 1576, '\p{Joining_Group=tehmarbuta}', "");
Expect(1, 1576, '\p{^Joining_Group=tehmarbuta}', "");
Expect(1, 1576, '\P{Joining_Group=tehmarbuta}', "");
Expect(0, 1576, '\P{^Joining_Group=tehmarbuta}', "");
Expect(1, 1577, '\p{Joining_Group=_ Teh-MARBUTA}', "");
Expect(0, 1577, '\p{^Joining_Group=_ Teh-MARBUTA}', "");
Expect(0, 1577, '\P{Joining_Group=_ Teh-MARBUTA}', "");
Expect(1, 1577, '\P{^Joining_Group=_ Teh-MARBUTA}', "");
Expect(0, 1576, '\p{Joining_Group=_ Teh-MARBUTA}', "");
Expect(1, 1576, '\p{^Joining_Group=_ Teh-MARBUTA}', "");
Expect(1, 1576, '\P{Joining_Group=_ Teh-MARBUTA}', "");
Expect(0, 1576, '\P{^Joining_Group=_ Teh-MARBUTA}', "");
Error('\p{Jg: /a/teh	marbuta}');
Error('\P{Jg: /a/teh	marbuta}');
Expect(1, 1577, '\p{Jg=tehmarbuta}', "");
Expect(0, 1577, '\p{^Jg=tehmarbuta}', "");
Expect(0, 1577, '\P{Jg=tehmarbuta}', "");
Expect(1, 1577, '\P{^Jg=tehmarbuta}', "");
Expect(0, 1576, '\p{Jg=tehmarbuta}', "");
Expect(1, 1576, '\p{^Jg=tehmarbuta}', "");
Expect(1, 1576, '\P{Jg=tehmarbuta}', "");
Expect(0, 1576, '\P{^Jg=tehmarbuta}', "");
Expect(1, 1577, '\p{Jg= Teh-marbuta}', "");
Expect(0, 1577, '\p{^Jg= Teh-marbuta}', "");
Expect(0, 1577, '\P{Jg= Teh-marbuta}', "");
Expect(1, 1577, '\P{^Jg= Teh-marbuta}', "");
Expect(0, 1576, '\p{Jg= Teh-marbuta}', "");
Expect(1, 1576, '\p{^Jg= Teh-marbuta}', "");
Expect(1, 1576, '\P{Jg= Teh-marbuta}', "");
Expect(0, 1576, '\P{^Jg= Teh-marbuta}', "");
Error('\p{Is_Joining_Group:   	:=teh	Marbuta}');
Error('\P{Is_Joining_Group:   	:=teh	Marbuta}');
Expect(1, 1577, '\p{Is_Joining_Group=tehmarbuta}', "");
Expect(0, 1577, '\p{^Is_Joining_Group=tehmarbuta}', "");
Expect(0, 1577, '\P{Is_Joining_Group=tehmarbuta}', "");
Expect(1, 1577, '\P{^Is_Joining_Group=tehmarbuta}', "");
Expect(0, 1576, '\p{Is_Joining_Group=tehmarbuta}', "");
Expect(1, 1576, '\p{^Is_Joining_Group=tehmarbuta}', "");
Expect(1, 1576, '\P{Is_Joining_Group=tehmarbuta}', "");
Expect(0, 1576, '\P{^Is_Joining_Group=tehmarbuta}', "");
Expect(1, 1577, '\p{Is_Joining_Group= -teh-marbuta}', "");
Expect(0, 1577, '\p{^Is_Joining_Group= -teh-marbuta}', "");
Expect(0, 1577, '\P{Is_Joining_Group= -teh-marbuta}', "");
Expect(1, 1577, '\P{^Is_Joining_Group= -teh-marbuta}', "");
Expect(0, 1576, '\p{Is_Joining_Group= -teh-marbuta}', "");
Expect(1, 1576, '\p{^Is_Joining_Group= -teh-marbuta}', "");
Expect(1, 1576, '\P{Is_Joining_Group= -teh-marbuta}', "");
Expect(0, 1576, '\P{^Is_Joining_Group= -teh-marbuta}', "");
Error('\p{Is_Jg=_/a/TEH MARBUTA}');
Error('\P{Is_Jg=_/a/TEH MARBUTA}');
Expect(1, 1577, '\p{Is_Jg=tehmarbuta}', "");
Expect(0, 1577, '\p{^Is_Jg=tehmarbuta}', "");
Expect(0, 1577, '\P{Is_Jg=tehmarbuta}', "");
Expect(1, 1577, '\P{^Is_Jg=tehmarbuta}', "");
Expect(0, 1576, '\p{Is_Jg=tehmarbuta}', "");
Expect(1, 1576, '\p{^Is_Jg=tehmarbuta}', "");
Expect(1, 1576, '\P{Is_Jg=tehmarbuta}', "");
Expect(0, 1576, '\P{^Is_Jg=tehmarbuta}', "");
Expect(1, 1577, '\p{Is_Jg= TEH_Marbuta}', "");
Expect(0, 1577, '\p{^Is_Jg= TEH_Marbuta}', "");
Expect(0, 1577, '\P{Is_Jg= TEH_Marbuta}', "");
Expect(1, 1577, '\P{^Is_Jg= TEH_Marbuta}', "");
Expect(0, 1576, '\p{Is_Jg= TEH_Marbuta}', "");
Expect(1, 1576, '\p{^Is_Jg= TEH_Marbuta}', "");
Expect(1, 1576, '\P{Is_Jg= TEH_Marbuta}', "");
Expect(0, 1576, '\P{^Is_Jg= TEH_Marbuta}', "");
Error('\p{Joining_Group=	_REH:=}');
Error('\P{Joining_Group=	_REH:=}');
Expect(1, 1586, '\p{Joining_Group=reh}', "");
Expect(0, 1586, '\p{^Joining_Group=reh}', "");
Expect(0, 1586, '\P{Joining_Group=reh}', "");
Expect(1, 1586, '\P{^Joining_Group=reh}', "");
Expect(0, 1584, '\p{Joining_Group=reh}', "");
Expect(1, 1584, '\p{^Joining_Group=reh}', "");
Expect(1, 1584, '\P{Joining_Group=reh}', "");
Expect(0, 1584, '\P{^Joining_Group=reh}', "");
Expect(1, 1586, '\p{Joining_Group=-_REH}', "");
Expect(0, 1586, '\p{^Joining_Group=-_REH}', "");
Expect(0, 1586, '\P{Joining_Group=-_REH}', "");
Expect(1, 1586, '\P{^Joining_Group=-_REH}', "");
Expect(0, 1584, '\p{Joining_Group=-_REH}', "");
Expect(1, 1584, '\p{^Joining_Group=-_REH}', "");
Expect(1, 1584, '\P{Joining_Group=-_REH}', "");
Expect(0, 1584, '\P{^Joining_Group=-_REH}', "");
Error('\p{Jg=:=  reh}');
Error('\P{Jg=:=  reh}');
Expect(1, 1586, '\p{Jg=reh}', "");
Expect(0, 1586, '\p{^Jg=reh}', "");
Expect(0, 1586, '\P{Jg=reh}', "");
Expect(1, 1586, '\P{^Jg=reh}', "");
Expect(0, 1584, '\p{Jg=reh}', "");
Expect(1, 1584, '\p{^Jg=reh}', "");
Expect(1, 1584, '\P{Jg=reh}', "");
Expect(0, 1584, '\P{^Jg=reh}', "");
Expect(1, 1586, '\p{Jg=		reh}', "");
Expect(0, 1586, '\p{^Jg=		reh}', "");
Expect(0, 1586, '\P{Jg=		reh}', "");
Expect(1, 1586, '\P{^Jg=		reh}', "");
Expect(0, 1584, '\p{Jg=		reh}', "");
Expect(1, 1584, '\p{^Jg=		reh}', "");
Expect(1, 1584, '\P{Jg=		reh}', "");
Expect(0, 1584, '\P{^Jg=		reh}', "");
Error('\p{Is_Joining_Group=__Reh:=}');
Error('\P{Is_Joining_Group=__Reh:=}');
Expect(1, 1586, '\p{Is_Joining_Group=reh}', "");
Expect(0, 1586, '\p{^Is_Joining_Group=reh}', "");
Expect(0, 1586, '\P{Is_Joining_Group=reh}', "");
Expect(1, 1586, '\P{^Is_Joining_Group=reh}', "");
Expect(0, 1584, '\p{Is_Joining_Group=reh}', "");
Expect(1, 1584, '\p{^Is_Joining_Group=reh}', "");
Expect(1, 1584, '\P{Is_Joining_Group=reh}', "");
Expect(0, 1584, '\P{^Is_Joining_Group=reh}', "");
Expect(1, 1586, '\p{Is_Joining_Group=_ REH}', "");
Expect(0, 1586, '\p{^Is_Joining_Group=_ REH}', "");
Expect(0, 1586, '\P{Is_Joining_Group=_ REH}', "");
Expect(1, 1586, '\P{^Is_Joining_Group=_ REH}', "");
Expect(0, 1584, '\p{Is_Joining_Group=_ REH}', "");
Expect(1, 1584, '\p{^Is_Joining_Group=_ REH}', "");
Expect(1, 1584, '\P{Is_Joining_Group=_ REH}', "");
Expect(0, 1584, '\P{^Is_Joining_Group=_ REH}', "");
Error('\p{Is_Jg=:=	 reh}');
Error('\P{Is_Jg=:=	 reh}');
Expect(1, 1586, '\p{Is_Jg=reh}', "");
Expect(0, 1586, '\p{^Is_Jg=reh}', "");
Expect(0, 1586, '\P{Is_Jg=reh}', "");
Expect(1, 1586, '\P{^Is_Jg=reh}', "");
Expect(0, 1584, '\p{Is_Jg=reh}', "");
Expect(1, 1584, '\p{^Is_Jg=reh}', "");
Expect(1, 1584, '\P{Is_Jg=reh}', "");
Expect(0, 1584, '\P{^Is_Jg=reh}', "");
Expect(1, 1586, '\p{Is_Jg=Reh}', "");
Expect(0, 1586, '\p{^Is_Jg=Reh}', "");
Expect(0, 1586, '\P{Is_Jg=Reh}', "");
Expect(1, 1586, '\P{^Is_Jg=Reh}', "");
Expect(0, 1584, '\p{Is_Jg=Reh}', "");
Expect(1, 1584, '\p{^Is_Jg=Reh}', "");
Expect(1, 1584, '\P{Is_Jg=Reh}', "");
Expect(0, 1584, '\P{^Is_Jg=Reh}', "");
Error('\p{Joining_Group=/a/-zain}');
Error('\P{Joining_Group=/a/-zain}');
Expect(1, 1817, '\p{Joining_Group=zain}', "");
Expect(0, 1817, '\p{^Joining_Group=zain}', "");
Expect(0, 1817, '\P{Joining_Group=zain}', "");
Expect(1, 1817, '\P{^Joining_Group=zain}', "");
Expect(0, 1816, '\p{Joining_Group=zain}', "");
Expect(1, 1816, '\p{^Joining_Group=zain}', "");
Expect(1, 1816, '\P{Joining_Group=zain}', "");
Expect(0, 1816, '\P{^Joining_Group=zain}', "");
Expect(1, 1817, '\p{Joining_Group=- Zain}', "");
Expect(0, 1817, '\p{^Joining_Group=- Zain}', "");
Expect(0, 1817, '\P{Joining_Group=- Zain}', "");
Expect(1, 1817, '\P{^Joining_Group=- Zain}', "");
Expect(0, 1816, '\p{Joining_Group=- Zain}', "");
Expect(1, 1816, '\p{^Joining_Group=- Zain}', "");
Expect(1, 1816, '\P{Joining_Group=- Zain}', "");
Expect(0, 1816, '\P{^Joining_Group=- Zain}', "");
Error('\p{Jg=- Zain:=}');
Error('\P{Jg=- Zain:=}');
Expect(1, 1817, '\p{Jg: zain}', "");
Expect(0, 1817, '\p{^Jg: zain}', "");
Expect(0, 1817, '\P{Jg: zain}', "");
Expect(1, 1817, '\P{^Jg: zain}', "");
Expect(0, 1816, '\p{Jg: zain}', "");
Expect(1, 1816, '\p{^Jg: zain}', "");
Expect(1, 1816, '\P{Jg: zain}', "");
Expect(0, 1816, '\P{^Jg: zain}', "");
Expect(1, 1817, '\p{Jg= _Zain}', "");
Expect(0, 1817, '\p{^Jg= _Zain}', "");
Expect(0, 1817, '\P{Jg= _Zain}', "");
Expect(1, 1817, '\P{^Jg= _Zain}', "");
Expect(0, 1816, '\p{Jg= _Zain}', "");
Expect(1, 1816, '\p{^Jg= _Zain}', "");
Expect(1, 1816, '\P{Jg= _Zain}', "");
Expect(0, 1816, '\P{^Jg= _Zain}', "");
Error('\p{Is_Joining_Group=	_Zain/a/}');
Error('\P{Is_Joining_Group=	_Zain/a/}');
Expect(1, 1817, '\p{Is_Joining_Group=zain}', "");
Expect(0, 1817, '\p{^Is_Joining_Group=zain}', "");
Expect(0, 1817, '\P{Is_Joining_Group=zain}', "");
Expect(1, 1817, '\P{^Is_Joining_Group=zain}', "");
Expect(0, 1816, '\p{Is_Joining_Group=zain}', "");
Expect(1, 1816, '\p{^Is_Joining_Group=zain}', "");
Expect(1, 1816, '\P{Is_Joining_Group=zain}', "");
Expect(0, 1816, '\P{^Is_Joining_Group=zain}', "");
Expect(1, 1817, '\p{Is_Joining_Group=-_Zain}', "");
Expect(0, 1817, '\p{^Is_Joining_Group=-_Zain}', "");
Expect(0, 1817, '\P{Is_Joining_Group=-_Zain}', "");
Expect(1, 1817, '\P{^Is_Joining_Group=-_Zain}', "");
Expect(0, 1816, '\p{Is_Joining_Group=-_Zain}', "");
Expect(1, 1816, '\p{^Is_Joining_Group=-_Zain}', "");
Expect(1, 1816, '\P{Is_Joining_Group=-_Zain}', "");
Expect(0, 1816, '\P{^Is_Joining_Group=-_Zain}', "");
Error('\p{Is_Jg=/a/Zain}');
Error('\P{Is_Jg=/a/Zain}');
Expect(1, 1817, '\p{Is_Jg=zain}', "");
Expect(0, 1817, '\p{^Is_Jg=zain}', "");
Expect(0, 1817, '\P{Is_Jg=zain}', "");
Expect(1, 1817, '\P{^Is_Jg=zain}', "");
Expect(0, 1816, '\p{Is_Jg=zain}', "");
Expect(1, 1816, '\p{^Is_Jg=zain}', "");
Expect(1, 1816, '\P{Is_Jg=zain}', "");
Expect(0, 1816, '\P{^Is_Jg=zain}', "");
Expect(1, 1817, '\p{Is_Jg=-ZAIN}', "");
Expect(0, 1817, '\p{^Is_Jg=-ZAIN}', "");
Expect(0, 1817, '\P{Is_Jg=-ZAIN}', "");
Expect(1, 1817, '\P{^Is_Jg=-ZAIN}', "");
Expect(0, 1816, '\p{Is_Jg=-ZAIN}', "");
Expect(1, 1816, '\p{^Is_Jg=-ZAIN}', "");
Expect(1, 1816, '\P{Is_Jg=-ZAIN}', "");
Expect(0, 1816, '\P{^Is_Jg=-ZAIN}', "");
Error('\p{Joining_Group:   -Alef:=}');
Error('\P{Joining_Group:   -Alef:=}');
Expect(1, 1571, '\p{Joining_Group: alef}', "");
Expect(0, 1571, '\p{^Joining_Group: alef}', "");
Expect(0, 1571, '\P{Joining_Group: alef}', "");
Expect(1, 1571, '\P{^Joining_Group: alef}', "");
Expect(0, 1569, '\p{Joining_Group: alef}', "");
Expect(1, 1569, '\p{^Joining_Group: alef}', "");
Expect(1, 1569, '\P{Joining_Group: alef}', "");
Expect(0, 1569, '\P{^Joining_Group: alef}', "");
Expect(1, 1571, '\p{Joining_Group=_Alef}', "");
Expect(0, 1571, '\p{^Joining_Group=_Alef}', "");
Expect(0, 1571, '\P{Joining_Group=_Alef}', "");
Expect(1, 1571, '\P{^Joining_Group=_Alef}', "");
Expect(0, 1569, '\p{Joining_Group=_Alef}', "");
Expect(1, 1569, '\p{^Joining_Group=_Alef}', "");
Expect(1, 1569, '\P{Joining_Group=_Alef}', "");
Expect(0, 1569, '\P{^Joining_Group=_Alef}', "");
Error('\p{Jg=  Alef:=}');
Error('\P{Jg=  Alef:=}');
Expect(1, 1571, '\p{Jg=alef}', "");
Expect(0, 1571, '\p{^Jg=alef}', "");
Expect(0, 1571, '\P{Jg=alef}', "");
Expect(1, 1571, '\P{^Jg=alef}', "");
Expect(0, 1569, '\p{Jg=alef}', "");
Expect(1, 1569, '\p{^Jg=alef}', "");
Expect(1, 1569, '\P{Jg=alef}', "");
Expect(0, 1569, '\P{^Jg=alef}', "");
Expect(1, 1571, '\p{Jg=	Alef}', "");
Expect(0, 1571, '\p{^Jg=	Alef}', "");
Expect(0, 1571, '\P{Jg=	Alef}', "");
Expect(1, 1571, '\P{^Jg=	Alef}', "");
Expect(0, 1569, '\p{Jg=	Alef}', "");
Expect(1, 1569, '\p{^Jg=	Alef}', "");
Expect(1, 1569, '\P{Jg=	Alef}', "");
Expect(0, 1569, '\P{^Jg=	Alef}', "");
Error('\p{Is_Joining_Group:	:=-	alef}');
Error('\P{Is_Joining_Group:	:=-	alef}');
Expect(1, 1571, '\p{Is_Joining_Group=alef}', "");
Expect(0, 1571, '\p{^Is_Joining_Group=alef}', "");
Expect(0, 1571, '\P{Is_Joining_Group=alef}', "");
Expect(1, 1571, '\P{^Is_Joining_Group=alef}', "");
Expect(0, 1569, '\p{Is_Joining_Group=alef}', "");
Expect(1, 1569, '\p{^Is_Joining_Group=alef}', "");
Expect(1, 1569, '\P{Is_Joining_Group=alef}', "");
Expect(0, 1569, '\P{^Is_Joining_Group=alef}', "");
Expect(1, 1571, '\p{Is_Joining_Group=	-Alef}', "");
Expect(0, 1571, '\p{^Is_Joining_Group=	-Alef}', "");
Expect(0, 1571, '\P{Is_Joining_Group=	-Alef}', "");
Expect(1, 1571, '\P{^Is_Joining_Group=	-Alef}', "");
Expect(0, 1569, '\p{Is_Joining_Group=	-Alef}', "");
Expect(1, 1569, '\p{^Is_Joining_Group=	-Alef}', "");
Expect(1, 1569, '\P{Is_Joining_Group=	-Alef}', "");
Expect(0, 1569, '\P{^Is_Joining_Group=	-Alef}', "");
Error('\p{Is_Jg=/a/-ALEF}');
Error('\P{Is_Jg=/a/-ALEF}');
Expect(1, 1571, '\p{Is_Jg=alef}', "");
Expect(0, 1571, '\p{^Is_Jg=alef}', "");
Expect(0, 1571, '\P{Is_Jg=alef}', "");
Expect(1, 1571, '\P{^Is_Jg=alef}', "");
Expect(0, 1569, '\p{Is_Jg=alef}', "");
Expect(1, 1569, '\p{^Is_Jg=alef}', "");
Expect(1, 1569, '\P{Is_Jg=alef}', "");
Expect(0, 1569, '\P{^Is_Jg=alef}', "");
Expect(1, 1571, '\p{Is_Jg=_	Alef}', "");
Expect(0, 1571, '\p{^Is_Jg=_	Alef}', "");
Expect(0, 1571, '\P{Is_Jg=_	Alef}', "");
Expect(1, 1571, '\P{^Is_Jg=_	Alef}', "");
Expect(0, 1569, '\p{Is_Jg=_	Alef}', "");
Expect(1, 1569, '\p{^Is_Jg=_	Alef}', "");
Expect(1, 1569, '\P{Is_Jg=_	Alef}', "");
Expect(0, 1569, '\P{^Is_Jg=_	Alef}', "");
Error('\p{Joining_Group=-GAMAL:=}');
Error('\P{Joining_Group=-GAMAL:=}');
Expect(1, 1812, '\p{Joining_Group=gamal}', "");
Expect(0, 1812, '\p{^Joining_Group=gamal}', "");
Expect(0, 1812, '\P{Joining_Group=gamal}', "");
Expect(1, 1812, '\P{^Joining_Group=gamal}', "");
Expect(0, 1810, '\p{Joining_Group=gamal}', "");
Expect(1, 1810, '\p{^Joining_Group=gamal}', "");
Expect(1, 1810, '\P{Joining_Group=gamal}', "");
Expect(0, 1810, '\P{^Joining_Group=gamal}', "");
Expect(1, 1812, '\p{Joining_Group=	-Gamal}', "");
Expect(0, 1812, '\p{^Joining_Group=	-Gamal}', "");
Expect(0, 1812, '\P{Joining_Group=	-Gamal}', "");
Expect(1, 1812, '\P{^Joining_Group=	-Gamal}', "");
Expect(0, 1810, '\p{Joining_Group=	-Gamal}', "");
Expect(1, 1810, '\p{^Joining_Group=	-Gamal}', "");
Expect(1, 1810, '\P{Joining_Group=	-Gamal}', "");
Expect(0, 1810, '\P{^Joining_Group=	-Gamal}', "");
Error('\p{Jg=_/a/Gamal}');
Error('\P{Jg=_/a/Gamal}');
Expect(1, 1812, '\p{Jg=gamal}', "");
Expect(0, 1812, '\p{^Jg=gamal}', "");
Expect(0, 1812, '\P{Jg=gamal}', "");
Expect(1, 1812, '\P{^Jg=gamal}', "");
Expect(0, 1810, '\p{Jg=gamal}', "");
Expect(1, 1810, '\p{^Jg=gamal}', "");
Expect(1, 1810, '\P{Jg=gamal}', "");
Expect(0, 1810, '\P{^Jg=gamal}', "");
Expect(1, 1812, '\p{Jg=	 gamal}', "");
Expect(0, 1812, '\p{^Jg=	 gamal}', "");
Expect(0, 1812, '\P{Jg=	 gamal}', "");
Expect(1, 1812, '\P{^Jg=	 gamal}', "");
Expect(0, 1810, '\p{Jg=	 gamal}', "");
Expect(1, 1810, '\p{^Jg=	 gamal}', "");
Expect(1, 1810, '\P{Jg=	 gamal}', "");
Expect(0, 1810, '\P{^Jg=	 gamal}', "");
Error('\p{Is_Joining_Group=:=	_GAMAL}');
Error('\P{Is_Joining_Group=:=	_GAMAL}');
Expect(1, 1812, '\p{Is_Joining_Group=gamal}', "");
Expect(0, 1812, '\p{^Is_Joining_Group=gamal}', "");
Expect(0, 1812, '\P{Is_Joining_Group=gamal}', "");
Expect(1, 1812, '\P{^Is_Joining_Group=gamal}', "");
Expect(0, 1810, '\p{Is_Joining_Group=gamal}', "");
Expect(1, 1810, '\p{^Is_Joining_Group=gamal}', "");
Expect(1, 1810, '\P{Is_Joining_Group=gamal}', "");
Expect(0, 1810, '\P{^Is_Joining_Group=gamal}', "");
Expect(1, 1812, '\p{Is_Joining_Group=Gamal}', "");
Expect(0, 1812, '\p{^Is_Joining_Group=Gamal}', "");
Expect(0, 1812, '\P{Is_Joining_Group=Gamal}', "");
Expect(1, 1812, '\P{^Is_Joining_Group=Gamal}', "");
Expect(0, 1810, '\p{Is_Joining_Group=Gamal}', "");
Expect(1, 1810, '\p{^Is_Joining_Group=Gamal}', "");
Expect(1, 1810, '\P{Is_Joining_Group=Gamal}', "");
Expect(0, 1810, '\P{^Is_Joining_Group=Gamal}', "");
Error('\p{Is_Jg=_/a/gamal}');
Error('\P{Is_Jg=_/a/gamal}');
Expect(1, 1812, '\p{Is_Jg=gamal}', "");
Expect(0, 1812, '\p{^Is_Jg=gamal}', "");
Expect(0, 1812, '\P{Is_Jg=gamal}', "");
Expect(1, 1812, '\P{^Is_Jg=gamal}', "");
Expect(0, 1810, '\p{Is_Jg=gamal}', "");
Expect(1, 1810, '\p{^Is_Jg=gamal}', "");
Expect(1, 1810, '\P{Is_Jg=gamal}', "");
Expect(0, 1810, '\P{^Is_Jg=gamal}', "");
Expect(1, 1812, '\p{Is_Jg=_gamal}', "");
Expect(0, 1812, '\p{^Is_Jg=_gamal}', "");
Expect(0, 1812, '\P{Is_Jg=_gamal}', "");
Expect(1, 1812, '\P{^Is_Jg=_gamal}', "");
Expect(0, 1810, '\p{Is_Jg=_gamal}', "");
Expect(1, 1810, '\p{^Is_Jg=_gamal}', "");
Expect(1, 1810, '\P{Is_Jg=_gamal}', "");
Expect(0, 1810, '\P{^Is_Jg=_gamal}', "");
Error('\p{Joining_Group=:=-Meem}');
Error('\P{Joining_Group=:=-Meem}');
Expect(1, 1605, '\p{Joining_Group=meem}', "");
Expect(0, 1605, '\p{^Joining_Group=meem}', "");
Expect(0, 1605, '\P{Joining_Group=meem}', "");
Expect(1, 1605, '\P{^Joining_Group=meem}', "");
Expect(0, 1604, '\p{Joining_Group=meem}', "");
Expect(1, 1604, '\p{^Joining_Group=meem}', "");
Expect(1, 1604, '\P{Joining_Group=meem}', "");
Expect(0, 1604, '\P{^Joining_Group=meem}', "");
Expect(1, 1605, '\p{Joining_Group=	-Meem}', "");
Expect(0, 1605, '\p{^Joining_Group=	-Meem}', "");
Expect(0, 1605, '\P{Joining_Group=	-Meem}', "");
Expect(1, 1605, '\P{^Joining_Group=	-Meem}', "");
Expect(0, 1604, '\p{Joining_Group=	-Meem}', "");
Expect(1, 1604, '\p{^Joining_Group=	-Meem}', "");
Expect(1, 1604, '\P{Joining_Group=	-Meem}', "");
Expect(0, 1604, '\P{^Joining_Group=	-Meem}', "");
Error('\p{Jg=-/a/Meem}');
Error('\P{Jg=-/a/Meem}');
Expect(1, 1605, '\p{Jg=meem}', "");
Expect(0, 1605, '\p{^Jg=meem}', "");
Expect(0, 1605, '\P{Jg=meem}', "");
Expect(1, 1605, '\P{^Jg=meem}', "");
Expect(0, 1604, '\p{Jg=meem}', "");
Expect(1, 1604, '\p{^Jg=meem}', "");
Expect(1, 1604, '\P{Jg=meem}', "");
Expect(0, 1604, '\P{^Jg=meem}', "");
Expect(1, 1605, '\p{Jg= 	Meem}', "");
Expect(0, 1605, '\p{^Jg= 	Meem}', "");
Expect(0, 1605, '\P{Jg= 	Meem}', "");
Expect(1, 1605, '\P{^Jg= 	Meem}', "");
Expect(0, 1604, '\p{Jg= 	Meem}', "");
Expect(1, 1604, '\p{^Jg= 	Meem}', "");
Expect(1, 1604, '\P{Jg= 	Meem}', "");
Expect(0, 1604, '\P{^Jg= 	Meem}', "");
Error('\p{Is_Joining_Group=	meem:=}');
Error('\P{Is_Joining_Group=	meem:=}');
Expect(1, 1605, '\p{Is_Joining_Group=meem}', "");
Expect(0, 1605, '\p{^Is_Joining_Group=meem}', "");
Expect(0, 1605, '\P{Is_Joining_Group=meem}', "");
Expect(1, 1605, '\P{^Is_Joining_Group=meem}', "");
Expect(0, 1604, '\p{Is_Joining_Group=meem}', "");
Expect(1, 1604, '\p{^Is_Joining_Group=meem}', "");
Expect(1, 1604, '\P{Is_Joining_Group=meem}', "");
Expect(0, 1604, '\P{^Is_Joining_Group=meem}', "");
Expect(1, 1605, '\p{Is_Joining_Group=_ Meem}', "");
Expect(0, 1605, '\p{^Is_Joining_Group=_ Meem}', "");
Expect(0, 1605, '\P{Is_Joining_Group=_ Meem}', "");
Expect(1, 1605, '\P{^Is_Joining_Group=_ Meem}', "");
Expect(0, 1604, '\p{Is_Joining_Group=_ Meem}', "");
Expect(1, 1604, '\p{^Is_Joining_Group=_ Meem}', "");
Expect(1, 1604, '\P{Is_Joining_Group=_ Meem}', "");
Expect(0, 1604, '\P{^Is_Joining_Group=_ Meem}', "");
Error('\p{Is_Jg=/a/ Meem}');
Error('\P{Is_Jg=/a/ Meem}');
Expect(1, 1605, '\p{Is_Jg=meem}', "");
Expect(0, 1605, '\p{^Is_Jg=meem}', "");
Expect(0, 1605, '\P{Is_Jg=meem}', "");
Expect(1, 1605, '\P{^Is_Jg=meem}', "");
Expect(0, 1604, '\p{Is_Jg=meem}', "");
Expect(1, 1604, '\p{^Is_Jg=meem}', "");
Expect(1, 1604, '\P{Is_Jg=meem}', "");
Expect(0, 1604, '\P{^Is_Jg=meem}', "");
Expect(1, 1605, '\p{Is_Jg=-	Meem}', "");
Expect(0, 1605, '\p{^Is_Jg=-	Meem}', "");
Expect(0, 1605, '\P{Is_Jg=-	Meem}', "");
Expect(1, 1605, '\P{^Is_Jg=-	Meem}', "");
Expect(0, 1604, '\p{Is_Jg=-	Meem}', "");
Expect(1, 1604, '\p{^Is_Jg=-	Meem}', "");
Expect(1, 1604, '\P{Is_Jg=-	Meem}', "");
Expect(0, 1604, '\P{^Is_Jg=-	Meem}', "");
Error('\p{Joining_Group=:=  Sadhe}');
Error('\P{Joining_Group=:=  Sadhe}');
Expect(1, 1832, '\p{Joining_Group=sadhe}', "");
Expect(0, 1832, '\p{^Joining_Group=sadhe}', "");
Expect(0, 1832, '\P{Joining_Group=sadhe}', "");
Expect(1, 1832, '\P{^Joining_Group=sadhe}', "");
Expect(0, 1831, '\p{Joining_Group=sadhe}', "");
Expect(1, 1831, '\p{^Joining_Group=sadhe}', "");
Expect(1, 1831, '\P{Joining_Group=sadhe}', "");
Expect(0, 1831, '\P{^Joining_Group=sadhe}', "");
Expect(1, 1832, '\p{Joining_Group=	-Sadhe}', "");
Expect(0, 1832, '\p{^Joining_Group=	-Sadhe}', "");
Expect(0, 1832, '\P{Joining_Group=	-Sadhe}', "");
Expect(1, 1832, '\P{^Joining_Group=	-Sadhe}', "");
Expect(0, 1831, '\p{Joining_Group=	-Sadhe}', "");
Expect(1, 1831, '\p{^Joining_Group=	-Sadhe}', "");
Expect(1, 1831, '\P{Joining_Group=	-Sadhe}', "");
Expect(0, 1831, '\P{^Joining_Group=	-Sadhe}', "");
Error('\p{Jg=_	sadhe/a/}');
Error('\P{Jg=_	sadhe/a/}');
Expect(1, 1832, '\p{Jg=sadhe}', "");
Expect(0, 1832, '\p{^Jg=sadhe}', "");
Expect(0, 1832, '\P{Jg=sadhe}', "");
Expect(1, 1832, '\P{^Jg=sadhe}', "");
Expect(0, 1831, '\p{Jg=sadhe}', "");
Expect(1, 1831, '\p{^Jg=sadhe}', "");
Expect(1, 1831, '\P{Jg=sadhe}', "");
Expect(0, 1831, '\P{^Jg=sadhe}', "");
Expect(1, 1832, '\p{Jg=-Sadhe}', "");
Expect(0, 1832, '\p{^Jg=-Sadhe}', "");
Expect(0, 1832, '\P{Jg=-Sadhe}', "");
Expect(1, 1832, '\P{^Jg=-Sadhe}', "");
Expect(0, 1831, '\p{Jg=-Sadhe}', "");
Expect(1, 1831, '\p{^Jg=-Sadhe}', "");
Expect(1, 1831, '\P{Jg=-Sadhe}', "");
Expect(0, 1831, '\P{^Jg=-Sadhe}', "");
Error('\p{Is_Joining_Group=/a/sadhe}');
Error('\P{Is_Joining_Group=/a/sadhe}');
Expect(1, 1832, '\p{Is_Joining_Group=sadhe}', "");
Expect(0, 1832, '\p{^Is_Joining_Group=sadhe}', "");
Expect(0, 1832, '\P{Is_Joining_Group=sadhe}', "");
Expect(1, 1832, '\P{^Is_Joining_Group=sadhe}', "");
Expect(0, 1831, '\p{Is_Joining_Group=sadhe}', "");
Expect(1, 1831, '\p{^Is_Joining_Group=sadhe}', "");
Expect(1, 1831, '\P{Is_Joining_Group=sadhe}', "");
Expect(0, 1831, '\P{^Is_Joining_Group=sadhe}', "");
Expect(1, 1832, '\p{Is_Joining_Group=-_Sadhe}', "");
Expect(0, 1832, '\p{^Is_Joining_Group=-_Sadhe}', "");
Expect(0, 1832, '\P{Is_Joining_Group=-_Sadhe}', "");
Expect(1, 1832, '\P{^Is_Joining_Group=-_Sadhe}', "");
Expect(0, 1831, '\p{Is_Joining_Group=-_Sadhe}', "");
Expect(1, 1831, '\p{^Is_Joining_Group=-_Sadhe}', "");
Expect(1, 1831, '\P{Is_Joining_Group=-_Sadhe}', "");
Expect(0, 1831, '\P{^Is_Joining_Group=-_Sadhe}', "");
Error('\p{Is_Jg: 	/a/sadhe}');
Error('\P{Is_Jg: 	/a/sadhe}');
Expect(1, 1832, '\p{Is_Jg:sadhe}', "");
Expect(0, 1832, '\p{^Is_Jg:sadhe}', "");
Expect(0, 1832, '\P{Is_Jg:sadhe}', "");
Expect(1, 1832, '\P{^Is_Jg:sadhe}', "");
Expect(0, 1831, '\p{Is_Jg:sadhe}', "");
Expect(1, 1831, '\p{^Is_Jg:sadhe}', "");
Expect(1, 1831, '\P{Is_Jg:sadhe}', "");
Expect(0, 1831, '\P{^Is_Jg:sadhe}', "");
Expect(1, 1832, '\p{Is_Jg=-	sadhe}', "");
Expect(0, 1832, '\p{^Is_Jg=-	sadhe}', "");
Expect(0, 1832, '\P{Is_Jg=-	sadhe}', "");
Expect(1, 1832, '\P{^Is_Jg=-	sadhe}', "");
Expect(0, 1831, '\p{Is_Jg=-	sadhe}', "");
Expect(1, 1831, '\p{^Is_Jg=-	sadhe}', "");
Expect(1, 1831, '\P{Is_Jg=-	sadhe}', "");
Expect(0, 1831, '\P{^Is_Jg=-	sadhe}', "");
Error('\p{Joining_Group= /a/BEH}');
Error('\P{Joining_Group= /a/BEH}');
Expect(1, 1576, '\p{Joining_Group=beh}', "");
Expect(0, 1576, '\p{^Joining_Group=beh}', "");
Expect(0, 1576, '\P{Joining_Group=beh}', "");
Expect(1, 1576, '\P{^Joining_Group=beh}', "");
Expect(0, 1575, '\p{Joining_Group=beh}', "");
Expect(1, 1575, '\p{^Joining_Group=beh}', "");
Expect(1, 1575, '\P{Joining_Group=beh}', "");
Expect(0, 1575, '\P{^Joining_Group=beh}', "");
Expect(1, 1576, '\p{Joining_Group=_Beh}', "");
Expect(0, 1576, '\p{^Joining_Group=_Beh}', "");
Expect(0, 1576, '\P{Joining_Group=_Beh}', "");
Expect(1, 1576, '\P{^Joining_Group=_Beh}', "");
Expect(0, 1575, '\p{Joining_Group=_Beh}', "");
Expect(1, 1575, '\p{^Joining_Group=_Beh}', "");
Expect(1, 1575, '\P{Joining_Group=_Beh}', "");
Expect(0, 1575, '\P{^Joining_Group=_Beh}', "");
Error('\p{Jg:   beh/a/}');
Error('\P{Jg:   beh/a/}');
Expect(1, 1576, '\p{Jg=beh}', "");
Expect(0, 1576, '\p{^Jg=beh}', "");
Expect(0, 1576, '\P{Jg=beh}', "");
Expect(1, 1576, '\P{^Jg=beh}', "");
Expect(0, 1575, '\p{Jg=beh}', "");
Expect(1, 1575, '\p{^Jg=beh}', "");
Expect(1, 1575, '\P{Jg=beh}', "");
Expect(0, 1575, '\P{^Jg=beh}', "");
Expect(1, 1576, '\p{Jg=	beh}', "");
Expect(0, 1576, '\p{^Jg=	beh}', "");
Expect(0, 1576, '\P{Jg=	beh}', "");
Expect(1, 1576, '\P{^Jg=	beh}', "");
Expect(0, 1575, '\p{Jg=	beh}', "");
Expect(1, 1575, '\p{^Jg=	beh}', "");
Expect(1, 1575, '\P{Jg=	beh}', "");
Expect(0, 1575, '\P{^Jg=	beh}', "");
Error('\p{Is_Joining_Group=/a/	Beh}');
Error('\P{Is_Joining_Group=/a/	Beh}');
Expect(1, 1576, '\p{Is_Joining_Group=beh}', "");
Expect(0, 1576, '\p{^Is_Joining_Group=beh}', "");
Expect(0, 1576, '\P{Is_Joining_Group=beh}', "");
Expect(1, 1576, '\P{^Is_Joining_Group=beh}', "");
Expect(0, 1575, '\p{Is_Joining_Group=beh}', "");
Expect(1, 1575, '\p{^Is_Joining_Group=beh}', "");
Expect(1, 1575, '\P{Is_Joining_Group=beh}', "");
Expect(0, 1575, '\P{^Is_Joining_Group=beh}', "");
Expect(1, 1576, '\p{Is_Joining_Group=_	Beh}', "");
Expect(0, 1576, '\p{^Is_Joining_Group=_	Beh}', "");
Expect(0, 1576, '\P{Is_Joining_Group=_	Beh}', "");
Expect(1, 1576, '\P{^Is_Joining_Group=_	Beh}', "");
Expect(0, 1575, '\p{Is_Joining_Group=_	Beh}', "");
Expect(1, 1575, '\p{^Is_Joining_Group=_	Beh}', "");
Expect(1, 1575, '\P{Is_Joining_Group=_	Beh}', "");
Expect(0, 1575, '\P{^Is_Joining_Group=_	Beh}', "");
Error('\p{Is_Jg=-/a/Beh}');
Error('\P{Is_Jg=-/a/Beh}');
Expect(1, 1576, '\p{Is_Jg=beh}', "");
Expect(0, 1576, '\p{^Is_Jg=beh}', "");
Expect(0, 1576, '\P{Is_Jg=beh}', "");
Expect(1, 1576, '\P{^Is_Jg=beh}', "");
Expect(0, 1575, '\p{Is_Jg=beh}', "");
Expect(1, 1575, '\p{^Is_Jg=beh}', "");
Expect(1, 1575, '\P{Is_Jg=beh}', "");
Expect(0, 1575, '\P{^Is_Jg=beh}', "");
Expect(1, 1576, '\p{Is_Jg=_Beh}', "");
Expect(0, 1576, '\p{^Is_Jg=_Beh}', "");
Expect(0, 1576, '\P{Is_Jg=_Beh}', "");
Expect(1, 1576, '\P{^Is_Jg=_Beh}', "");
Expect(0, 1575, '\p{Is_Jg=_Beh}', "");
Expect(1, 1575, '\p{^Is_Jg=_Beh}', "");
Expect(1, 1575, '\P{Is_Jg=_Beh}', "");
Expect(0, 1575, '\P{^Is_Jg=_Beh}', "");
Error('\p{Joining_Group=/a/_-yeh-with	tail}');
Error('\P{Joining_Group=/a/_-yeh-with	tail}');
Expect(1, 1741, '\p{Joining_Group=yehwithtail}', "");
Expect(0, 1741, '\p{^Joining_Group=yehwithtail}', "");
Expect(0, 1741, '\P{Joining_Group=yehwithtail}', "");
Expect(1, 1741, '\P{^Joining_Group=yehwithtail}', "");
Expect(0, 1740, '\p{Joining_Group=yehwithtail}', "");
Expect(1, 1740, '\p{^Joining_Group=yehwithtail}', "");
Expect(1, 1740, '\P{Joining_Group=yehwithtail}', "");
Expect(0, 1740, '\P{^Joining_Group=yehwithtail}', "");
Expect(1, 1741, '\p{Joining_Group=-_yeh_with tail}', "");
Expect(0, 1741, '\p{^Joining_Group=-_yeh_with tail}', "");
Expect(0, 1741, '\P{Joining_Group=-_yeh_with tail}', "");
Expect(1, 1741, '\P{^Joining_Group=-_yeh_with tail}', "");
Expect(0, 1740, '\p{Joining_Group=-_yeh_with tail}', "");
Expect(1, 1740, '\p{^Joining_Group=-_yeh_with tail}', "");
Expect(1, 1740, '\P{Joining_Group=-_yeh_with tail}', "");
Expect(0, 1740, '\P{^Joining_Group=-_yeh_with tail}', "");
Error('\p{Jg= /a/yeh WITH_Tail}');
Error('\P{Jg= /a/yeh WITH_Tail}');
Expect(1, 1741, '\p{Jg=yehwithtail}', "");
Expect(0, 1741, '\p{^Jg=yehwithtail}', "");
Expect(0, 1741, '\P{Jg=yehwithtail}', "");
Expect(1, 1741, '\P{^Jg=yehwithtail}', "");
Expect(0, 1740, '\p{Jg=yehwithtail}', "");
Expect(1, 1740, '\p{^Jg=yehwithtail}', "");
Expect(1, 1740, '\P{Jg=yehwithtail}', "");
Expect(0, 1740, '\P{^Jg=yehwithtail}', "");
Expect(1, 1741, '\p{Jg=  YEH-With-Tail}', "");
Expect(0, 1741, '\p{^Jg=  YEH-With-Tail}', "");
Expect(0, 1741, '\P{Jg=  YEH-With-Tail}', "");
Expect(1, 1741, '\P{^Jg=  YEH-With-Tail}', "");
Expect(0, 1740, '\p{Jg=  YEH-With-Tail}', "");
Expect(1, 1740, '\p{^Jg=  YEH-With-Tail}', "");
Expect(1, 1740, '\P{Jg=  YEH-With-Tail}', "");
Expect(0, 1740, '\P{^Jg=  YEH-With-Tail}', "");
Error('\p{Is_Joining_Group=/a/yehwith-tail}');
Error('\P{Is_Joining_Group=/a/yehwith-tail}');
Expect(1, 1741, '\p{Is_Joining_Group:   yehwithtail}', "");
Expect(0, 1741, '\p{^Is_Joining_Group:   yehwithtail}', "");
Expect(0, 1741, '\P{Is_Joining_Group:   yehwithtail}', "");
Expect(1, 1741, '\P{^Is_Joining_Group:   yehwithtail}', "");
Expect(0, 1740, '\p{Is_Joining_Group:   yehwithtail}', "");
Expect(1, 1740, '\p{^Is_Joining_Group:   yehwithtail}', "");
Expect(1, 1740, '\P{Is_Joining_Group:   yehwithtail}', "");
Expect(0, 1740, '\P{^Is_Joining_Group:   yehwithtail}', "");
Expect(1, 1741, '\p{Is_Joining_Group=_	Yeh with Tail}', "");
Expect(0, 1741, '\p{^Is_Joining_Group=_	Yeh with Tail}', "");
Expect(0, 1741, '\P{Is_Joining_Group=_	Yeh with Tail}', "");
Expect(1, 1741, '\P{^Is_Joining_Group=_	Yeh with Tail}', "");
Expect(0, 1740, '\p{Is_Joining_Group=_	Yeh with Tail}', "");
Expect(1, 1740, '\p{^Is_Joining_Group=_	Yeh with Tail}', "");
Expect(1, 1740, '\P{Is_Joining_Group=_	Yeh with Tail}', "");
Expect(0, 1740, '\P{^Is_Joining_Group=_	Yeh with Tail}', "");
Error('\p{Is_Jg=	_Yeh/a/with Tail}');
Error('\P{Is_Jg=	_Yeh/a/with Tail}');
Expect(1, 1741, '\p{Is_Jg=yehwithtail}', "");
Expect(0, 1741, '\p{^Is_Jg=yehwithtail}', "");
Expect(0, 1741, '\P{Is_Jg=yehwithtail}', "");
Expect(1, 1741, '\P{^Is_Jg=yehwithtail}', "");
Expect(0, 1740, '\p{Is_Jg=yehwithtail}', "");
Expect(1, 1740, '\p{^Is_Jg=yehwithtail}', "");
Expect(1, 1740, '\P{Is_Jg=yehwithtail}', "");
Expect(0, 1740, '\P{^Is_Jg=yehwithtail}', "");
Expect(1, 1741, '\p{Is_Jg=	YEH	With_Tail}', "");
Expect(0, 1741, '\p{^Is_Jg=	YEH	With_Tail}', "");
Expect(0, 1741, '\P{Is_Jg=	YEH	With_Tail}', "");
Expect(1, 1741, '\P{^Is_Jg=	YEH	With_Tail}', "");
Expect(0, 1740, '\p{Is_Jg=	YEH	With_Tail}', "");
Expect(1, 1740, '\p{^Is_Jg=	YEH	With_Tail}', "");
Expect(1, 1740, '\P{Is_Jg=	YEH	With_Tail}', "");
Expect(0, 1740, '\P{^Is_Jg=	YEH	With_Tail}', "");
Error('\p{Joining_Group=:=_	TAH}');
Error('\P{Joining_Group=:=_	TAH}');
Expect(1, 1592, '\p{Joining_Group=tah}', "");
Expect(0, 1592, '\p{^Joining_Group=tah}', "");
Expect(0, 1592, '\P{Joining_Group=tah}', "");
Expect(1, 1592, '\P{^Joining_Group=tah}', "");
Expect(0, 1590, '\p{Joining_Group=tah}', "");
Expect(1, 1590, '\p{^Joining_Group=tah}', "");
Expect(1, 1590, '\P{Joining_Group=tah}', "");
Expect(0, 1590, '\P{^Joining_Group=tah}', "");
Expect(1, 1592, '\p{Joining_Group: _-tah}', "");
Expect(0, 1592, '\p{^Joining_Group: _-tah}', "");
Expect(0, 1592, '\P{Joining_Group: _-tah}', "");
Expect(1, 1592, '\P{^Joining_Group: _-tah}', "");
Expect(0, 1590, '\p{Joining_Group: _-tah}', "");
Expect(1, 1590, '\p{^Joining_Group: _-tah}', "");
Expect(1, 1590, '\P{Joining_Group: _-tah}', "");
Expect(0, 1590, '\P{^Joining_Group: _-tah}', "");
Error('\p{Jg= :=Tah}');
Error('\P{Jg= :=Tah}');
Expect(1, 1592, '\p{Jg=tah}', "");
Expect(0, 1592, '\p{^Jg=tah}', "");
Expect(0, 1592, '\P{Jg=tah}', "");
Expect(1, 1592, '\P{^Jg=tah}', "");
Expect(0, 1590, '\p{Jg=tah}', "");
Expect(1, 1590, '\p{^Jg=tah}', "");
Expect(1, 1590, '\P{Jg=tah}', "");
Expect(0, 1590, '\P{^Jg=tah}', "");
Expect(1, 1592, '\p{Jg=_	TAH}', "");
Expect(0, 1592, '\p{^Jg=_	TAH}', "");
Expect(0, 1592, '\P{Jg=_	TAH}', "");
Expect(1, 1592, '\P{^Jg=_	TAH}', "");
Expect(0, 1590, '\p{Jg=_	TAH}', "");
Expect(1, 1590, '\p{^Jg=_	TAH}', "");
Expect(1, 1590, '\P{Jg=_	TAH}', "");
Expect(0, 1590, '\P{^Jg=_	TAH}', "");
Error('\p{Is_Joining_Group: 	 tah/a/}');
Error('\P{Is_Joining_Group: 	 tah/a/}');
Expect(1, 1592, '\p{Is_Joining_Group=tah}', "");
Expect(0, 1592, '\p{^Is_Joining_Group=tah}', "");
Expect(0, 1592, '\P{Is_Joining_Group=tah}', "");
Expect(1, 1592, '\P{^Is_Joining_Group=tah}', "");
Expect(0, 1590, '\p{Is_Joining_Group=tah}', "");
Expect(1, 1590, '\p{^Is_Joining_Group=tah}', "");
Expect(1, 1590, '\P{Is_Joining_Group=tah}', "");
Expect(0, 1590, '\P{^Is_Joining_Group=tah}', "");
Expect(1, 1592, '\p{Is_Joining_Group:	-TAH}', "");
Expect(0, 1592, '\p{^Is_Joining_Group:	-TAH}', "");
Expect(0, 1592, '\P{Is_Joining_Group:	-TAH}', "");
Expect(1, 1592, '\P{^Is_Joining_Group:	-TAH}', "");
Expect(0, 1590, '\p{Is_Joining_Group:	-TAH}', "");
Expect(1, 1590, '\p{^Is_Joining_Group:	-TAH}', "");
Expect(1, 1590, '\P{Is_Joining_Group:	-TAH}', "");
Expect(0, 1590, '\P{^Is_Joining_Group:	-TAH}', "");
Error('\p{Is_Jg=:= tah}');
Error('\P{Is_Jg=:= tah}');
Expect(1, 1592, '\p{Is_Jg=tah}', "");
Expect(0, 1592, '\p{^Is_Jg=tah}', "");
Expect(0, 1592, '\P{Is_Jg=tah}', "");
Expect(1, 1592, '\P{^Is_Jg=tah}', "");
Expect(0, 1590, '\p{Is_Jg=tah}', "");
Expect(1, 1590, '\p{^Is_Jg=tah}', "");
Expect(1, 1590, '\P{Is_Jg=tah}', "");
Expect(0, 1590, '\P{^Is_Jg=tah}', "");
Expect(1, 1592, '\p{Is_Jg=__tah}', "");
Expect(0, 1592, '\p{^Is_Jg=__tah}', "");
Expect(0, 1592, '\P{Is_Jg=__tah}', "");
Expect(1, 1592, '\P{^Is_Jg=__tah}', "");
Expect(0, 1590, '\p{Is_Jg=__tah}', "");
Expect(1, 1590, '\p{^Is_Jg=__tah}', "");
Expect(1, 1590, '\P{Is_Jg=__tah}', "");
Expect(0, 1590, '\P{^Is_Jg=__tah}', "");
Error('\p{Joining_Group=	 Zhain:=}');
Error('\P{Joining_Group=	 Zhain:=}');
Expect(1, 1869, '\p{Joining_Group=zhain}', "");
Expect(0, 1869, '\p{^Joining_Group=zhain}', "");
Expect(0, 1869, '\P{Joining_Group=zhain}', "");
Expect(1, 1869, '\P{^Joining_Group=zhain}', "");
Expect(0, 1868, '\p{Joining_Group=zhain}', "");
Expect(1, 1868, '\p{^Joining_Group=zhain}', "");
Expect(1, 1868, '\P{Joining_Group=zhain}', "");
Expect(0, 1868, '\P{^Joining_Group=zhain}', "");
Expect(1, 1869, '\p{Joining_Group=__ZHAIN}', "");
Expect(0, 1869, '\p{^Joining_Group=__ZHAIN}', "");
Expect(0, 1869, '\P{Joining_Group=__ZHAIN}', "");
Expect(1, 1869, '\P{^Joining_Group=__ZHAIN}', "");
Expect(0, 1868, '\p{Joining_Group=__ZHAIN}', "");
Expect(1, 1868, '\p{^Joining_Group=__ZHAIN}', "");
Expect(1, 1868, '\P{Joining_Group=__ZHAIN}', "");
Expect(0, 1868, '\P{^Joining_Group=__ZHAIN}', "");
Error('\p{Jg=-ZHAIN:=}');
Error('\P{Jg=-ZHAIN:=}');
Expect(1, 1869, '\p{Jg=zhain}', "");
Expect(0, 1869, '\p{^Jg=zhain}', "");
Expect(0, 1869, '\P{Jg=zhain}', "");
Expect(1, 1869, '\P{^Jg=zhain}', "");
Expect(0, 1868, '\p{Jg=zhain}', "");
Expect(1, 1868, '\p{^Jg=zhain}', "");
Expect(1, 1868, '\P{Jg=zhain}', "");
Expect(0, 1868, '\P{^Jg=zhain}', "");
Expect(1, 1869, '\p{Jg:   	Zhain}', "");
Expect(0, 1869, '\p{^Jg:   	Zhain}', "");
Expect(0, 1869, '\P{Jg:   	Zhain}', "");
Expect(1, 1869, '\P{^Jg:   	Zhain}', "");
Expect(0, 1868, '\p{Jg:   	Zhain}', "");
Expect(1, 1868, '\p{^Jg:   	Zhain}', "");
Expect(1, 1868, '\P{Jg:   	Zhain}', "");
Expect(0, 1868, '\P{^Jg:   	Zhain}', "");
Error('\p{Is_Joining_Group=:=-	zhain}');
Error('\P{Is_Joining_Group=:=-	zhain}');
Expect(1, 1869, '\p{Is_Joining_Group=zhain}', "");
Expect(0, 1869, '\p{^Is_Joining_Group=zhain}', "");
Expect(0, 1869, '\P{Is_Joining_Group=zhain}', "");
Expect(1, 1869, '\P{^Is_Joining_Group=zhain}', "");
Expect(0, 1868, '\p{Is_Joining_Group=zhain}', "");
Expect(1, 1868, '\p{^Is_Joining_Group=zhain}', "");
Expect(1, 1868, '\P{Is_Joining_Group=zhain}', "");
Expect(0, 1868, '\P{^Is_Joining_Group=zhain}', "");
Expect(1, 1869, '\p{Is_Joining_Group=-Zhain}', "");
Expect(0, 1869, '\p{^Is_Joining_Group=-Zhain}', "");
Expect(0, 1869, '\P{Is_Joining_Group=-Zhain}', "");
Expect(1, 1869, '\P{^Is_Joining_Group=-Zhain}', "");
Expect(0, 1868, '\p{Is_Joining_Group=-Zhain}', "");
Expect(1, 1868, '\p{^Is_Joining_Group=-Zhain}', "");
Expect(1, 1868, '\P{Is_Joining_Group=-Zhain}', "");
Expect(0, 1868, '\P{^Is_Joining_Group=-Zhain}', "");
Error('\p{Is_Jg=/a/ 	Zhain}');
Error('\P{Is_Jg=/a/ 	Zhain}');
Expect(1, 1869, '\p{Is_Jg=zhain}', "");
Expect(0, 1869, '\p{^Is_Jg=zhain}', "");
Expect(0, 1869, '\P{Is_Jg=zhain}', "");
Expect(1, 1869, '\P{^Is_Jg=zhain}', "");
Expect(0, 1868, '\p{Is_Jg=zhain}', "");
Expect(1, 1868, '\p{^Is_Jg=zhain}', "");
Expect(1, 1868, '\P{Is_Jg=zhain}', "");
Expect(0, 1868, '\P{^Is_Jg=zhain}', "");
Expect(1, 1869, '\p{Is_Jg=-_Zhain}', "");
Expect(0, 1869, '\p{^Is_Jg=-_Zhain}', "");
Expect(0, 1869, '\P{Is_Jg=-_Zhain}', "");
Expect(1, 1869, '\P{^Is_Jg=-_Zhain}', "");
Expect(0, 1868, '\p{Is_Jg=-_Zhain}', "");
Expect(1, 1868, '\p{^Is_Jg=-_Zhain}', "");
Expect(1, 1868, '\P{Is_Jg=-_Zhain}', "");
Expect(0, 1868, '\P{^Is_Jg=-_Zhain}', "");
Error('\p{Joining_Group=	PE/a/}');
Error('\P{Joining_Group=	PE/a/}');
Expect(1, 1830, '\p{Joining_Group=pe}', "");
Expect(0, 1830, '\p{^Joining_Group=pe}', "");
Expect(0, 1830, '\P{Joining_Group=pe}', "");
Expect(1, 1830, '\P{^Joining_Group=pe}', "");
Expect(0, 1829, '\p{Joining_Group=pe}', "");
Expect(1, 1829, '\p{^Joining_Group=pe}', "");
Expect(1, 1829, '\P{Joining_Group=pe}', "");
Expect(0, 1829, '\P{^Joining_Group=pe}', "");
Expect(1, 1830, '\p{Joining_Group= Pe}', "");
Expect(0, 1830, '\p{^Joining_Group= Pe}', "");
Expect(0, 1830, '\P{Joining_Group= Pe}', "");
Expect(1, 1830, '\P{^Joining_Group= Pe}', "");
Expect(0, 1829, '\p{Joining_Group= Pe}', "");
Expect(1, 1829, '\p{^Joining_Group= Pe}', "");
Expect(1, 1829, '\P{Joining_Group= Pe}', "");
Expect(0, 1829, '\P{^Joining_Group= Pe}', "");
Error('\p{Jg= /a/Pe}');
Error('\P{Jg= /a/Pe}');
Expect(1, 1830, '\p{Jg=pe}', "");
Expect(0, 1830, '\p{^Jg=pe}', "");
Expect(0, 1830, '\P{Jg=pe}', "");
Expect(1, 1830, '\P{^Jg=pe}', "");
Expect(0, 1829, '\p{Jg=pe}', "");
Expect(1, 1829, '\p{^Jg=pe}', "");
Expect(1, 1829, '\P{Jg=pe}', "");
Expect(0, 1829, '\P{^Jg=pe}', "");
Expect(1, 1830, '\p{Jg=Pe}', "");
Expect(0, 1830, '\p{^Jg=Pe}', "");
Expect(0, 1830, '\P{Jg=Pe}', "");
Expect(1, 1830, '\P{^Jg=Pe}', "");
Expect(0, 1829, '\p{Jg=Pe}', "");
Expect(1, 1829, '\p{^Jg=Pe}', "");
Expect(1, 1829, '\P{Jg=Pe}', "");
Expect(0, 1829, '\P{^Jg=Pe}', "");
Error('\p{Is_Joining_Group=:=		pe}');
Error('\P{Is_Joining_Group=:=		pe}');
Expect(1, 1830, '\p{Is_Joining_Group=pe}', "");
Expect(0, 1830, '\p{^Is_Joining_Group=pe}', "");
Expect(0, 1830, '\P{Is_Joining_Group=pe}', "");
Expect(1, 1830, '\P{^Is_Joining_Group=pe}', "");
Expect(0, 1829, '\p{Is_Joining_Group=pe}', "");
Expect(1, 1829, '\p{^Is_Joining_Group=pe}', "");
Expect(1, 1829, '\P{Is_Joining_Group=pe}', "");
Expect(0, 1829, '\P{^Is_Joining_Group=pe}', "");
Expect(1, 1830, '\p{Is_Joining_Group=_ pe}', "");
Expect(0, 1830, '\p{^Is_Joining_Group=_ pe}', "");
Expect(0, 1830, '\P{Is_Joining_Group=_ pe}', "");
Expect(1, 1830, '\P{^Is_Joining_Group=_ pe}', "");
Expect(0, 1829, '\p{Is_Joining_Group=_ pe}', "");
Expect(1, 1829, '\p{^Is_Joining_Group=_ pe}', "");
Expect(1, 1829, '\P{Is_Joining_Group=_ pe}', "");
Expect(0, 1829, '\P{^Is_Joining_Group=_ pe}', "");
Error('\p{Is_Jg=:=-_pe}');
Error('\P{Is_Jg=:=-_pe}');
Expect(1, 1830, '\p{Is_Jg=pe}', "");
Expect(0, 1830, '\p{^Is_Jg=pe}', "");
Expect(0, 1830, '\P{Is_Jg=pe}', "");
Expect(1, 1830, '\P{^Is_Jg=pe}', "");
Expect(0, 1829, '\p{Is_Jg=pe}', "");
Expect(1, 1829, '\p{^Is_Jg=pe}', "");
Expect(1, 1829, '\P{Is_Jg=pe}', "");
Expect(0, 1829, '\P{^Is_Jg=pe}', "");
Expect(1, 1830, '\p{Is_Jg:		PE}', "");
Expect(0, 1830, '\p{^Is_Jg:		PE}', "");
Expect(0, 1830, '\P{Is_Jg:		PE}', "");
Expect(1, 1830, '\P{^Is_Jg:		PE}', "");
Expect(0, 1829, '\p{Is_Jg:		PE}', "");
Expect(1, 1829, '\p{^Is_Jg:		PE}', "");
Expect(1, 1829, '\P{Is_Jg:		PE}', "");
Expect(0, 1829, '\P{^Is_Jg:		PE}', "");
Error('\p{Joining_Group=--Gaf/a/}');
Error('\P{Joining_Group=--Gaf/a/}');
Expect(1, 1596, '\p{Joining_Group=gaf}', "");
Expect(0, 1596, '\p{^Joining_Group=gaf}', "");
Expect(0, 1596, '\P{Joining_Group=gaf}', "");
Expect(1, 1596, '\P{^Joining_Group=gaf}', "");
Expect(0, 1594, '\p{Joining_Group=gaf}', "");
Expect(1, 1594, '\p{^Joining_Group=gaf}', "");
Expect(1, 1594, '\P{Joining_Group=gaf}', "");
Expect(0, 1594, '\P{^Joining_Group=gaf}', "");
Expect(1, 1596, '\p{Joining_Group=Gaf}', "");
Expect(0, 1596, '\p{^Joining_Group=Gaf}', "");
Expect(0, 1596, '\P{Joining_Group=Gaf}', "");
Expect(1, 1596, '\P{^Joining_Group=Gaf}', "");
Expect(0, 1594, '\p{Joining_Group=Gaf}', "");
Expect(1, 1594, '\p{^Joining_Group=Gaf}', "");
Expect(1, 1594, '\P{Joining_Group=Gaf}', "");
Expect(0, 1594, '\P{^Joining_Group=Gaf}', "");
Error('\p{Jg=_ gaf:=}');
Error('\P{Jg=_ gaf:=}');
Expect(1, 1596, '\p{Jg=gaf}', "");
Expect(0, 1596, '\p{^Jg=gaf}', "");
Expect(0, 1596, '\P{Jg=gaf}', "");
Expect(1, 1596, '\P{^Jg=gaf}', "");
Expect(0, 1594, '\p{Jg=gaf}', "");
Expect(1, 1594, '\p{^Jg=gaf}', "");
Expect(1, 1594, '\P{Jg=gaf}', "");
Expect(0, 1594, '\P{^Jg=gaf}', "");
Expect(1, 1596, '\p{Jg=__gaf}', "");
Expect(0, 1596, '\p{^Jg=__gaf}', "");
Expect(0, 1596, '\P{Jg=__gaf}', "");
Expect(1, 1596, '\P{^Jg=__gaf}', "");
Expect(0, 1594, '\p{Jg=__gaf}', "");
Expect(1, 1594, '\p{^Jg=__gaf}', "");
Expect(1, 1594, '\P{Jg=__gaf}', "");
Expect(0, 1594, '\P{^Jg=__gaf}', "");
Error('\p{Is_Joining_Group=_ gaf/a/}');
Error('\P{Is_Joining_Group=_ gaf/a/}');
Expect(1, 1596, '\p{Is_Joining_Group:   gaf}', "");
Expect(0, 1596, '\p{^Is_Joining_Group:   gaf}', "");
Expect(0, 1596, '\P{Is_Joining_Group:   gaf}', "");
Expect(1, 1596, '\P{^Is_Joining_Group:   gaf}', "");
Expect(0, 1594, '\p{Is_Joining_Group:   gaf}', "");
Expect(1, 1594, '\p{^Is_Joining_Group:   gaf}', "");
Expect(1, 1594, '\P{Is_Joining_Group:   gaf}', "");
Expect(0, 1594, '\P{^Is_Joining_Group:   gaf}', "");
Expect(1, 1596, '\p{Is_Joining_Group= _Gaf}', "");
Expect(0, 1596, '\p{^Is_Joining_Group= _Gaf}', "");
Expect(0, 1596, '\P{Is_Joining_Group= _Gaf}', "");
Expect(1, 1596, '\P{^Is_Joining_Group= _Gaf}', "");
Expect(0, 1594, '\p{Is_Joining_Group= _Gaf}', "");
Expect(1, 1594, '\p{^Is_Joining_Group= _Gaf}', "");
Expect(1, 1594, '\P{Is_Joining_Group= _Gaf}', "");
Expect(0, 1594, '\P{^Is_Joining_Group= _Gaf}', "");
Error('\p{Is_Jg=	:=gaf}');
Error('\P{Is_Jg=	:=gaf}');
Expect(1, 1596, '\p{Is_Jg=gaf}', "");
Expect(0, 1596, '\p{^Is_Jg=gaf}', "");
Expect(0, 1596, '\P{Is_Jg=gaf}', "");
Expect(1, 1596, '\P{^Is_Jg=gaf}', "");
Expect(0, 1594, '\p{Is_Jg=gaf}', "");
Expect(1, 1594, '\p{^Is_Jg=gaf}', "");
Expect(1, 1594, '\P{Is_Jg=gaf}', "");
Expect(0, 1594, '\P{^Is_Jg=gaf}', "");
Expect(1, 1596, '\p{Is_Jg= _Gaf}', "");
Expect(0, 1596, '\p{^Is_Jg= _Gaf}', "");
Expect(0, 1596, '\P{Is_Jg= _Gaf}', "");
Expect(1, 1596, '\P{^Is_Jg= _Gaf}', "");
Expect(0, 1594, '\p{Is_Jg= _Gaf}', "");
Expect(1, 1594, '\p{^Is_Jg= _Gaf}', "");
Expect(1, 1594, '\P{Is_Jg= _Gaf}', "");
Expect(0, 1594, '\P{^Is_Jg= _Gaf}', "");
Error('\p{Joining_Group= /a/waw}');
Error('\P{Joining_Group= /a/waw}');
Expect(1, 1572, '\p{Joining_Group=waw}', "");
Expect(0, 1572, '\p{^Joining_Group=waw}', "");
Expect(0, 1572, '\P{Joining_Group=waw}', "");
Expect(1, 1572, '\P{^Joining_Group=waw}', "");
Expect(0, 1571, '\p{Joining_Group=waw}', "");
Expect(1, 1571, '\p{^Joining_Group=waw}', "");
Expect(1, 1571, '\P{Joining_Group=waw}', "");
Expect(0, 1571, '\P{^Joining_Group=waw}', "");
Expect(1, 1572, '\p{Joining_Group=	waw}', "");
Expect(0, 1572, '\p{^Joining_Group=	waw}', "");
Expect(0, 1572, '\P{Joining_Group=	waw}', "");
Expect(1, 1572, '\P{^Joining_Group=	waw}', "");
Expect(0, 1571, '\p{Joining_Group=	waw}', "");
Expect(1, 1571, '\p{^Joining_Group=	waw}', "");
Expect(1, 1571, '\P{Joining_Group=	waw}', "");
Expect(0, 1571, '\P{^Joining_Group=	waw}', "");
Error('\p{Jg=	:=WAW}');
Error('\P{Jg=	:=WAW}');
Expect(1, 1572, '\p{Jg=waw}', "");
Expect(0, 1572, '\p{^Jg=waw}', "");
Expect(0, 1572, '\P{Jg=waw}', "");
Expect(1, 1572, '\P{^Jg=waw}', "");
Expect(0, 1571, '\p{Jg=waw}', "");
Expect(1, 1571, '\p{^Jg=waw}', "");
Expect(1, 1571, '\P{Jg=waw}', "");
Expect(0, 1571, '\P{^Jg=waw}', "");
Expect(1, 1572, '\p{Jg=-WAW}', "");
Expect(0, 1572, '\p{^Jg=-WAW}', "");
Expect(0, 1572, '\P{Jg=-WAW}', "");
Expect(1, 1572, '\P{^Jg=-WAW}', "");
Expect(0, 1571, '\p{Jg=-WAW}', "");
Expect(1, 1571, '\p{^Jg=-WAW}', "");
Expect(1, 1571, '\P{Jg=-WAW}', "");
Expect(0, 1571, '\P{^Jg=-WAW}', "");
Error('\p{Is_Joining_Group=-:=WAW}');
Error('\P{Is_Joining_Group=-:=WAW}');
Expect(1, 1572, '\p{Is_Joining_Group:   waw}', "");
Expect(0, 1572, '\p{^Is_Joining_Group:   waw}', "");
Expect(0, 1572, '\P{Is_Joining_Group:   waw}', "");
Expect(1, 1572, '\P{^Is_Joining_Group:   waw}', "");
Expect(0, 1571, '\p{Is_Joining_Group:   waw}', "");
Expect(1, 1571, '\p{^Is_Joining_Group:   waw}', "");
Expect(1, 1571, '\P{Is_Joining_Group:   waw}', "");
Expect(0, 1571, '\P{^Is_Joining_Group:   waw}', "");
Expect(1, 1572, '\p{Is_Joining_Group=-waw}', "");
Expect(0, 1572, '\p{^Is_Joining_Group=-waw}', "");
Expect(0, 1572, '\P{Is_Joining_Group=-waw}', "");
Expect(1, 1572, '\P{^Is_Joining_Group=-waw}', "");
Expect(0, 1571, '\p{Is_Joining_Group=-waw}', "");
Expect(1, 1571, '\p{^Is_Joining_Group=-waw}', "");
Expect(1, 1571, '\P{Is_Joining_Group=-waw}', "");
Expect(0, 1571, '\P{^Is_Joining_Group=-waw}', "");
Error('\p{Is_Jg=/a/	waw}');
Error('\P{Is_Jg=/a/	waw}');
Expect(1, 1572, '\p{Is_Jg=waw}', "");
Expect(0, 1572, '\p{^Is_Jg=waw}', "");
Expect(0, 1572, '\P{Is_Jg=waw}', "");
Expect(1, 1572, '\P{^Is_Jg=waw}', "");
Expect(0, 1571, '\p{Is_Jg=waw}', "");
Expect(1, 1571, '\p{^Is_Jg=waw}', "");
Expect(1, 1571, '\P{Is_Jg=waw}', "");
Expect(0, 1571, '\P{^Is_Jg=waw}', "");
Expect(1, 1572, '\p{Is_Jg=	Waw}', "");
Expect(0, 1572, '\p{^Is_Jg=	Waw}', "");
Expect(0, 1572, '\P{Is_Jg=	Waw}', "");
Expect(1, 1572, '\P{^Is_Jg=	Waw}', "");
Expect(0, 1571, '\p{Is_Jg=	Waw}', "");
Expect(1, 1571, '\p{^Is_Jg=	Waw}', "");
Expect(1, 1571, '\P{Is_Jg=	Waw}', "");
Expect(0, 1571, '\P{^Is_Jg=	Waw}', "");
Error('\p{Joining_Group=:=Yudh}');
Error('\P{Joining_Group=:=Yudh}');
Expect(1, 1821, '\p{Joining_Group=yudh}', "");
Expect(0, 1821, '\p{^Joining_Group=yudh}', "");
Expect(0, 1821, '\P{Joining_Group=yudh}', "");
Expect(1, 1821, '\P{^Joining_Group=yudh}', "");
Expect(0, 1820, '\p{Joining_Group=yudh}', "");
Expect(1, 1820, '\p{^Joining_Group=yudh}', "");
Expect(1, 1820, '\P{Joining_Group=yudh}', "");
Expect(0, 1820, '\P{^Joining_Group=yudh}', "");
Expect(1, 1821, '\p{Joining_Group= YUDH}', "");
Expect(0, 1821, '\p{^Joining_Group= YUDH}', "");
Expect(0, 1821, '\P{Joining_Group= YUDH}', "");
Expect(1, 1821, '\P{^Joining_Group= YUDH}', "");
Expect(0, 1820, '\p{Joining_Group= YUDH}', "");
Expect(1, 1820, '\p{^Joining_Group= YUDH}', "");
Expect(1, 1820, '\P{Joining_Group= YUDH}', "");
Expect(0, 1820, '\P{^Joining_Group= YUDH}', "");
Error('\p{Jg=	_YUDH:=}');
Error('\P{Jg=	_YUDH:=}');
Expect(1, 1821, '\p{Jg=yudh}', "");
Expect(0, 1821, '\p{^Jg=yudh}', "");
Expect(0, 1821, '\P{Jg=yudh}', "");
Expect(1, 1821, '\P{^Jg=yudh}', "");
Expect(0, 1820, '\p{Jg=yudh}', "");
Expect(1, 1820, '\p{^Jg=yudh}', "");
Expect(1, 1820, '\P{Jg=yudh}', "");
Expect(0, 1820, '\P{^Jg=yudh}', "");
Expect(1, 1821, '\p{Jg= -yudh}', "");
Expect(0, 1821, '\p{^Jg= -yudh}', "");
Expect(0, 1821, '\P{Jg= -yudh}', "");
Expect(1, 1821, '\P{^Jg= -yudh}', "");
Expect(0, 1820, '\p{Jg= -yudh}', "");
Expect(1, 1820, '\p{^Jg= -yudh}', "");
Expect(1, 1820, '\P{Jg= -yudh}', "");
Expect(0, 1820, '\P{^Jg= -yudh}', "");
Error('\p{Is_Joining_Group=	_yudh/a/}');
Error('\P{Is_Joining_Group=	_yudh/a/}');
Expect(1, 1821, '\p{Is_Joining_Group=yudh}', "");
Expect(0, 1821, '\p{^Is_Joining_Group=yudh}', "");
Expect(0, 1821, '\P{Is_Joining_Group=yudh}', "");
Expect(1, 1821, '\P{^Is_Joining_Group=yudh}', "");
Expect(0, 1820, '\p{Is_Joining_Group=yudh}', "");
Expect(1, 1820, '\p{^Is_Joining_Group=yudh}', "");
Expect(1, 1820, '\P{Is_Joining_Group=yudh}', "");
Expect(0, 1820, '\P{^Is_Joining_Group=yudh}', "");
Expect(1, 1821, '\p{Is_Joining_Group:     Yudh}', "");
Expect(0, 1821, '\p{^Is_Joining_Group:     Yudh}', "");
Expect(0, 1821, '\P{Is_Joining_Group:     Yudh}', "");
Expect(1, 1821, '\P{^Is_Joining_Group:     Yudh}', "");
Expect(0, 1820, '\p{Is_Joining_Group:     Yudh}', "");
Expect(1, 1820, '\p{^Is_Joining_Group:     Yudh}', "");
Expect(1, 1820, '\P{Is_Joining_Group:     Yudh}', "");
Expect(0, 1820, '\P{^Is_Joining_Group:     Yudh}', "");
Error('\p{Is_Jg=_YUDH/a/}');
Error('\P{Is_Jg=_YUDH/a/}');
Expect(1, 1821, '\p{Is_Jg=yudh}', "");
Expect(0, 1821, '\p{^Is_Jg=yudh}', "");
Expect(0, 1821, '\P{Is_Jg=yudh}', "");
Expect(1, 1821, '\P{^Is_Jg=yudh}', "");
Expect(0, 1820, '\p{Is_Jg=yudh}', "");
Expect(1, 1820, '\p{^Is_Jg=yudh}', "");
Expect(1, 1820, '\P{Is_Jg=yudh}', "");
Expect(0, 1820, '\P{^Is_Jg=yudh}', "");
Expect(1, 1821, '\p{Is_Jg=_Yudh}', "");
Expect(0, 1821, '\p{^Is_Jg=_Yudh}', "");
Expect(0, 1821, '\P{Is_Jg=_Yudh}', "");
Expect(1, 1821, '\P{^Is_Jg=_Yudh}', "");
Expect(0, 1820, '\p{Is_Jg=_Yudh}', "");
Expect(1, 1820, '\p{^Is_Jg=_Yudh}', "");
Expect(1, 1820, '\P{Is_Jg=_Yudh}', "");
Expect(0, 1820, '\P{^Is_Jg=_Yudh}', "");
Error('\p{Pattern_White_Space=_/a/Yes}');
Error('\P{Pattern_White_Space=_/a/Yes}');
Expect(1, 13, '\p{Pattern_White_Space=yes}', "");
Expect(0, 13, '\p{^Pattern_White_Space=yes}', "");
Expect(0, 13, '\P{Pattern_White_Space=yes}', "");
Expect(1, 13, '\P{^Pattern_White_Space=yes}', "");
Expect(0, 8, '\p{Pattern_White_Space=yes}', "");
Expect(1, 8, '\p{^Pattern_White_Space=yes}', "");
Expect(1, 8, '\P{Pattern_White_Space=yes}', "");
Expect(0, 8, '\P{^Pattern_White_Space=yes}', "");
Expect(1, 13, '\p{Pattern_White_Space=-Yes}', "");
Expect(0, 13, '\p{^Pattern_White_Space=-Yes}', "");
Expect(0, 13, '\P{Pattern_White_Space=-Yes}', "");
Expect(1, 13, '\P{^Pattern_White_Space=-Yes}', "");
Expect(0, 8, '\p{Pattern_White_Space=-Yes}', "");
Expect(1, 8, '\p{^Pattern_White_Space=-Yes}', "");
Expect(1, 8, '\P{Pattern_White_Space=-Yes}', "");
Expect(0, 8, '\P{^Pattern_White_Space=-Yes}', "");
Error('\p{Pat_WS=_/a/Y}');
Error('\P{Pat_WS=_/a/Y}');
Expect(1, 13, '\p{Pat_WS=y}', "");
Expect(0, 13, '\p{^Pat_WS=y}', "");
Expect(0, 13, '\P{Pat_WS=y}', "");
Expect(1, 13, '\P{^Pat_WS=y}', "");
Expect(0, 8, '\p{Pat_WS=y}', "");
Expect(1, 8, '\p{^Pat_WS=y}', "");
Expect(1, 8, '\P{Pat_WS=y}', "");
Expect(0, 8, '\P{^Pat_WS=y}', "");
Expect(1, 13, '\p{Pat_WS:   -Y}', "");
Expect(0, 13, '\p{^Pat_WS:   -Y}', "");
Expect(0, 13, '\P{Pat_WS:   -Y}', "");
Expect(1, 13, '\P{^Pat_WS:   -Y}', "");
Expect(0, 8, '\p{Pat_WS:   -Y}', "");
Expect(1, 8, '\p{^Pat_WS:   -Y}', "");
Expect(1, 8, '\P{Pat_WS:   -Y}', "");
Expect(0, 8, '\P{^Pat_WS:   -Y}', "");
Error('\p{Is_Pattern_White_Space:   	T:=}');
Error('\P{Is_Pattern_White_Space:   	T:=}');
Expect(1, 13, '\p{Is_Pattern_White_Space=t}', "");
Expect(0, 13, '\p{^Is_Pattern_White_Space=t}', "");
Expect(0, 13, '\P{Is_Pattern_White_Space=t}', "");
Expect(1, 13, '\P{^Is_Pattern_White_Space=t}', "");
Expect(0, 8, '\p{Is_Pattern_White_Space=t}', "");
Expect(1, 8, '\p{^Is_Pattern_White_Space=t}', "");
Expect(1, 8, '\P{Is_Pattern_White_Space=t}', "");
Expect(0, 8, '\P{^Is_Pattern_White_Space=t}', "");
Expect(1, 13, '\p{Is_Pattern_White_Space=_T}', "");
Expect(0, 13, '\p{^Is_Pattern_White_Space=_T}', "");
Expect(0, 13, '\P{Is_Pattern_White_Space=_T}', "");
Expect(1, 13, '\P{^Is_Pattern_White_Space=_T}', "");
Expect(0, 8, '\p{Is_Pattern_White_Space=_T}', "");
Expect(1, 8, '\p{^Is_Pattern_White_Space=_T}', "");
Expect(1, 8, '\P{Is_Pattern_White_Space=_T}', "");
Expect(0, 8, '\P{^Is_Pattern_White_Space=_T}', "");
Error('\p{Is_Pat_WS=_	TRUE:=}');
Error('\P{Is_Pat_WS=_	TRUE:=}');
Expect(1, 13, '\p{Is_Pat_WS=true}', "");
Expect(0, 13, '\p{^Is_Pat_WS=true}', "");
Expect(0, 13, '\P{Is_Pat_WS=true}', "");
Expect(1, 13, '\P{^Is_Pat_WS=true}', "");
Expect(0, 8, '\p{Is_Pat_WS=true}', "");
Expect(1, 8, '\p{^Is_Pat_WS=true}', "");
Expect(1, 8, '\P{Is_Pat_WS=true}', "");
Expect(0, 8, '\P{^Is_Pat_WS=true}', "");
Expect(1, 13, '\p{Is_Pat_WS:	_-True}', "");
Expect(0, 13, '\p{^Is_Pat_WS:	_-True}', "");
Expect(0, 13, '\P{Is_Pat_WS:	_-True}', "");
Expect(1, 13, '\P{^Is_Pat_WS:	_-True}', "");
Expect(0, 8, '\p{Is_Pat_WS:	_-True}', "");
Expect(1, 8, '\p{^Is_Pat_WS:	_-True}', "");
Expect(1, 8, '\P{Is_Pat_WS:	_-True}', "");
Expect(0, 8, '\P{^Is_Pat_WS:	_-True}', "");
Error('\p{Pattern_White_Space=/a/--No}');
Error('\P{Pattern_White_Space=/a/--No}');
Expect(1, 8, '\p{Pattern_White_Space=no}', "");
Expect(0, 8, '\p{^Pattern_White_Space=no}', "");
Expect(0, 8, '\P{Pattern_White_Space=no}', "");
Expect(1, 8, '\P{^Pattern_White_Space=no}', "");
Expect(0, 13, '\p{Pattern_White_Space=no}', "");
Expect(1, 13, '\p{^Pattern_White_Space=no}', "");
Expect(1, 13, '\P{Pattern_White_Space=no}', "");
Expect(0, 13, '\P{^Pattern_White_Space=no}', "");
Expect(1, 8, '\p{Pattern_White_Space= 	no}', "");
Expect(0, 8, '\p{^Pattern_White_Space= 	no}', "");
Expect(0, 8, '\P{Pattern_White_Space= 	no}', "");
Expect(1, 8, '\P{^Pattern_White_Space= 	no}', "");
Expect(0, 13, '\p{Pattern_White_Space= 	no}', "");
Expect(1, 13, '\p{^Pattern_White_Space= 	no}', "");
Expect(1, 13, '\P{Pattern_White_Space= 	no}', "");
Expect(0, 13, '\P{^Pattern_White_Space= 	no}', "");
Error('\p{Pat_WS=:=		N}');
Error('\P{Pat_WS=:=		N}');
Expect(1, 8, '\p{Pat_WS=n}', "");
Expect(0, 8, '\p{^Pat_WS=n}', "");
Expect(0, 8, '\P{Pat_WS=n}', "");
Expect(1, 8, '\P{^Pat_WS=n}', "");
Expect(0, 13, '\p{Pat_WS=n}', "");
Expect(1, 13, '\p{^Pat_WS=n}', "");
Expect(1, 13, '\P{Pat_WS=n}', "");
Expect(0, 13, '\P{^Pat_WS=n}', "");
Expect(1, 8, '\p{Pat_WS=	_n}', "");
Expect(0, 8, '\p{^Pat_WS=	_n}', "");
Expect(0, 8, '\P{Pat_WS=	_n}', "");
Expect(1, 8, '\P{^Pat_WS=	_n}', "");
Expect(0, 13, '\p{Pat_WS=	_n}', "");
Expect(1, 13, '\p{^Pat_WS=	_n}', "");
Expect(1, 13, '\P{Pat_WS=	_n}', "");
Expect(0, 13, '\P{^Pat_WS=	_n}', "");
Error('\p{Is_Pattern_White_Space=_ F:=}');
Error('\P{Is_Pattern_White_Space=_ F:=}');
Expect(1, 8, '\p{Is_Pattern_White_Space=f}', "");
Expect(0, 8, '\p{^Is_Pattern_White_Space=f}', "");
Expect(0, 8, '\P{Is_Pattern_White_Space=f}', "");
Expect(1, 8, '\P{^Is_Pattern_White_Space=f}', "");
Expect(0, 13, '\p{Is_Pattern_White_Space=f}', "");
Expect(1, 13, '\p{^Is_Pattern_White_Space=f}', "");
Expect(1, 13, '\P{Is_Pattern_White_Space=f}', "");
Expect(0, 13, '\P{^Is_Pattern_White_Space=f}', "");
Expect(1, 8, '\p{Is_Pattern_White_Space=	F}', "");
Expect(0, 8, '\p{^Is_Pattern_White_Space=	F}', "");
Expect(0, 8, '\P{Is_Pattern_White_Space=	F}', "");
Expect(1, 8, '\P{^Is_Pattern_White_Space=	F}', "");
Expect(0, 13, '\p{Is_Pattern_White_Space=	F}', "");
Expect(1, 13, '\p{^Is_Pattern_White_Space=	F}', "");
Expect(1, 13, '\P{Is_Pattern_White_Space=	F}', "");
Expect(0, 13, '\P{^Is_Pattern_White_Space=	F}', "");
Error('\p{Is_Pat_WS=:= FALSE}');
Error('\P{Is_Pat_WS=:= FALSE}');
Expect(1, 8, '\p{Is_Pat_WS=false}', "");
Expect(0, 8, '\p{^Is_Pat_WS=false}', "");
Expect(0, 8, '\P{Is_Pat_WS=false}', "");
Expect(1, 8, '\P{^Is_Pat_WS=false}', "");
Expect(0, 13, '\p{Is_Pat_WS=false}', "");
Expect(1, 13, '\p{^Is_Pat_WS=false}', "");
Expect(1, 13, '\P{Is_Pat_WS=false}', "");
Expect(0, 13, '\P{^Is_Pat_WS=false}', "");
Expect(1, 8, '\p{Is_Pat_WS=	False}', "");
Expect(0, 8, '\p{^Is_Pat_WS=	False}', "");
Expect(0, 8, '\P{Is_Pat_WS=	False}', "");
Expect(1, 8, '\P{^Is_Pat_WS=	False}', "");
Expect(0, 13, '\p{Is_Pat_WS=	False}', "");
Expect(1, 13, '\p{^Is_Pat_WS=	False}', "");
Expect(1, 13, '\P{Is_Pat_WS=	False}', "");
Expect(0, 13, '\P{^Is_Pat_WS=	False}', "");
Error('\p{Join_Control=/a/ 	Yes}');
Error('\P{Join_Control=/a/ 	Yes}');
Expect(1, 8205, '\p{Join_Control=yes}', "");
Expect(0, 8205, '\p{^Join_Control=yes}', "");
Expect(0, 8205, '\P{Join_Control=yes}', "");
Expect(1, 8205, '\P{^Join_Control=yes}', "");
Expect(0, 8203, '\p{Join_Control=yes}', "");
Expect(1, 8203, '\p{^Join_Control=yes}', "");
Expect(1, 8203, '\P{Join_Control=yes}', "");
Expect(0, 8203, '\P{^Join_Control=yes}', "");
Expect(1, 8205, '\p{Join_Control=- yes}', "");
Expect(0, 8205, '\p{^Join_Control=- yes}', "");
Expect(0, 8205, '\P{Join_Control=- yes}', "");
Expect(1, 8205, '\P{^Join_Control=- yes}', "");
Expect(0, 8203, '\p{Join_Control=- yes}', "");
Expect(1, 8203, '\p{^Join_Control=- yes}', "");
Expect(1, 8203, '\P{Join_Control=- yes}', "");
Expect(0, 8203, '\P{^Join_Control=- yes}', "");
Error('\p{Join_C= -y/a/}');
Error('\P{Join_C= -y/a/}');
Expect(1, 8205, '\p{Join_C=y}', "");
Expect(0, 8205, '\p{^Join_C=y}', "");
Expect(0, 8205, '\P{Join_C=y}', "");
Expect(1, 8205, '\P{^Join_C=y}', "");
Expect(0, 8203, '\p{Join_C=y}', "");
Expect(1, 8203, '\p{^Join_C=y}', "");
Expect(1, 8203, '\P{Join_C=y}', "");
Expect(0, 8203, '\P{^Join_C=y}', "");
Expect(1, 8205, '\p{Join_C=		y}', "");
Expect(0, 8205, '\p{^Join_C=		y}', "");
Expect(0, 8205, '\P{Join_C=		y}', "");
Expect(1, 8205, '\P{^Join_C=		y}', "");
Expect(0, 8203, '\p{Join_C=		y}', "");
Expect(1, 8203, '\p{^Join_C=		y}', "");
Expect(1, 8203, '\P{Join_C=		y}', "");
Expect(0, 8203, '\P{^Join_C=		y}', "");
Error('\p{Is_Join_Control=_:=T}');
Error('\P{Is_Join_Control=_:=T}');
Expect(1, 8205, '\p{Is_Join_Control=t}', "");
Expect(0, 8205, '\p{^Is_Join_Control=t}', "");
Expect(0, 8205, '\P{Is_Join_Control=t}', "");
Expect(1, 8205, '\P{^Is_Join_Control=t}', "");
Expect(0, 8203, '\p{Is_Join_Control=t}', "");
Expect(1, 8203, '\p{^Is_Join_Control=t}', "");
Expect(1, 8203, '\P{Is_Join_Control=t}', "");
Expect(0, 8203, '\P{^Is_Join_Control=t}', "");
Expect(1, 8205, '\p{Is_Join_Control= 	T}', "");
Expect(0, 8205, '\p{^Is_Join_Control= 	T}', "");
Expect(0, 8205, '\P{Is_Join_Control= 	T}', "");
Expect(1, 8205, '\P{^Is_Join_Control= 	T}', "");
Expect(0, 8203, '\p{Is_Join_Control= 	T}', "");
Expect(1, 8203, '\p{^Is_Join_Control= 	T}', "");
Expect(1, 8203, '\P{Is_Join_Control= 	T}', "");
Expect(0, 8203, '\P{^Is_Join_Control= 	T}', "");
Error('\p{Is_Join_C=		TRUE/a/}');
Error('\P{Is_Join_C=		TRUE/a/}');
Expect(1, 8205, '\p{Is_Join_C=true}', "");
Expect(0, 8205, '\p{^Is_Join_C=true}', "");
Expect(0, 8205, '\P{Is_Join_C=true}', "");
Expect(1, 8205, '\P{^Is_Join_C=true}', "");
Expect(0, 8203, '\p{Is_Join_C=true}', "");
Expect(1, 8203, '\p{^Is_Join_C=true}', "");
Expect(1, 8203, '\P{Is_Join_C=true}', "");
Expect(0, 8203, '\P{^Is_Join_C=true}', "");
Expect(1, 8205, '\p{Is_Join_C: 	_True}', "");
Expect(0, 8205, '\p{^Is_Join_C: 	_True}', "");
Expect(0, 8205, '\P{Is_Join_C: 	_True}', "");
Expect(1, 8205, '\P{^Is_Join_C: 	_True}', "");
Expect(0, 8203, '\p{Is_Join_C: 	_True}', "");
Expect(1, 8203, '\p{^Is_Join_C: 	_True}', "");
Expect(1, 8203, '\P{Is_Join_C: 	_True}', "");
Expect(0, 8203, '\P{^Is_Join_C: 	_True}', "");
Error('\p{Join_Control=/a/NO}');
Error('\P{Join_Control=/a/NO}');
Expect(1, 8203, '\p{Join_Control:	no}', "");
Expect(0, 8203, '\p{^Join_Control:	no}', "");
Expect(0, 8203, '\P{Join_Control:	no}', "");
Expect(1, 8203, '\P{^Join_Control:	no}', "");
Expect(0, 8205, '\p{Join_Control:	no}', "");
Expect(1, 8205, '\p{^Join_Control:	no}', "");
Expect(1, 8205, '\P{Join_Control:	no}', "");
Expect(0, 8205, '\P{^Join_Control:	no}', "");
Expect(1, 8203, '\p{Join_Control=__no}', "");
Expect(0, 8203, '\p{^Join_Control=__no}', "");
Expect(0, 8203, '\P{Join_Control=__no}', "");
Expect(1, 8203, '\P{^Join_Control=__no}', "");
Expect(0, 8205, '\p{Join_Control=__no}', "");
Expect(1, 8205, '\p{^Join_Control=__no}', "");
Expect(1, 8205, '\P{Join_Control=__no}', "");
Expect(0, 8205, '\P{^Join_Control=__no}', "");
Error('\p{Join_C=	/a/N}');
Error('\P{Join_C=	/a/N}');
Expect(1, 8203, '\p{Join_C=n}', "");
Expect(0, 8203, '\p{^Join_C=n}', "");
Expect(0, 8203, '\P{Join_C=n}', "");
Expect(1, 8203, '\P{^Join_C=n}', "");
Expect(0, 8205, '\p{Join_C=n}', "");
Expect(1, 8205, '\p{^Join_C=n}', "");
Expect(1, 8205, '\P{Join_C=n}', "");
Expect(0, 8205, '\P{^Join_C=n}', "");
Expect(1, 8203, '\p{Join_C:-N}', "");
Expect(0, 8203, '\p{^Join_C:-N}', "");
Expect(0, 8203, '\P{Join_C:-N}', "");
Expect(1, 8203, '\P{^Join_C:-N}', "");
Expect(0, 8205, '\p{Join_C:-N}', "");
Expect(1, 8205, '\p{^Join_C:-N}', "");
Expect(1, 8205, '\P{Join_C:-N}', "");
Expect(0, 8205, '\P{^Join_C:-N}', "");
Error('\p{Is_Join_Control:_f:=}');
Error('\P{Is_Join_Control:_f:=}');
Expect(1, 8203, '\p{Is_Join_Control=f}', "");
Expect(0, 8203, '\p{^Is_Join_Control=f}', "");
Expect(0, 8203, '\P{Is_Join_Control=f}', "");
Expect(1, 8203, '\P{^Is_Join_Control=f}', "");
Expect(0, 8205, '\p{Is_Join_Control=f}', "");
Expect(1, 8205, '\p{^Is_Join_Control=f}', "");
Expect(1, 8205, '\P{Is_Join_Control=f}', "");
Expect(0, 8205, '\P{^Is_Join_Control=f}', "");
Expect(1, 8203, '\p{Is_Join_Control=	F}', "");
Expect(0, 8203, '\p{^Is_Join_Control=	F}', "");
Expect(0, 8203, '\P{Is_Join_Control=	F}', "");
Expect(1, 8203, '\P{^Is_Join_Control=	F}', "");
Expect(0, 8205, '\p{Is_Join_Control=	F}', "");
Expect(1, 8205, '\p{^Is_Join_Control=	F}', "");
Expect(1, 8205, '\P{Is_Join_Control=	F}', "");
Expect(0, 8205, '\P{^Is_Join_Control=	F}', "");
Error('\p{Is_Join_C= /a/FALSE}');
Error('\P{Is_Join_C= /a/FALSE}');
Expect(1, 8203, '\p{Is_Join_C=false}', "");
Expect(0, 8203, '\p{^Is_Join_C=false}', "");
Expect(0, 8203, '\P{Is_Join_C=false}', "");
Expect(1, 8203, '\P{^Is_Join_C=false}', "");
Expect(0, 8205, '\p{Is_Join_C=false}', "");
Expect(1, 8205, '\p{^Is_Join_C=false}', "");
Expect(1, 8205, '\P{Is_Join_C=false}', "");
Expect(0, 8205, '\P{^Is_Join_C=false}', "");
Expect(1, 8203, '\p{Is_Join_C=_false}', "");
Expect(0, 8203, '\p{^Is_Join_C=_false}', "");
Expect(0, 8203, '\P{Is_Join_C=_false}', "");
Expect(1, 8203, '\P{^Is_Join_C=_false}', "");
Expect(0, 8205, '\p{Is_Join_C=_false}', "");
Expect(1, 8205, '\p{^Is_Join_C=_false}', "");
Expect(1, 8205, '\P{Is_Join_C=_false}', "");
Expect(0, 8205, '\P{^Is_Join_C=_false}', "");
Error('\p{Other_Default_Ignorable_Code_Point=:=-_YES}');
Error('\P{Other_Default_Ignorable_Code_Point=:=-_YES}');
Expect(1, 847, '\p{Other_Default_Ignorable_Code_Point=yes}', 'deprecated');
Expect(0, 847, '\p{^Other_Default_Ignorable_Code_Point=yes}', 'deprecated');
Expect(0, 847, '\P{Other_Default_Ignorable_Code_Point=yes}', 'deprecated');
Expect(1, 847, '\P{^Other_Default_Ignorable_Code_Point=yes}', 'deprecated');
Expect(0, 846, '\p{Other_Default_Ignorable_Code_Point=yes}', 'deprecated');
Expect(1, 846, '\p{^Other_Default_Ignorable_Code_Point=yes}', 'deprecated');
Expect(1, 846, '\P{Other_Default_Ignorable_Code_Point=yes}', 'deprecated');
Expect(0, 846, '\P{^Other_Default_Ignorable_Code_Point=yes}', 'deprecated');
Expect(1, 847, '\p{Other_Default_Ignorable_Code_Point:--Yes}', 'deprecated');
Expect(0, 847, '\p{^Other_Default_Ignorable_Code_Point:--Yes}', 'deprecated');
Expect(0, 847, '\P{Other_Default_Ignorable_Code_Point:--Yes}', 'deprecated');
Expect(1, 847, '\P{^Other_Default_Ignorable_Code_Point:--Yes}', 'deprecated');
Expect(0, 846, '\p{Other_Default_Ignorable_Code_Point:--Yes}', 'deprecated');
Expect(1, 846, '\p{^Other_Default_Ignorable_Code_Point:--Yes}', 'deprecated');
Expect(1, 846, '\P{Other_Default_Ignorable_Code_Point:--Yes}', 'deprecated');
Expect(0, 846, '\P{^Other_Default_Ignorable_Code_Point:--Yes}', 'deprecated');
Error('\p{ODI=-:=y}');
Error('\P{ODI=-:=y}');
Expect(1, 847, '\p{ODI=y}', 'deprecated');
Expect(0, 847, '\p{^ODI=y}', 'deprecated');
Expect(0, 847, '\P{ODI=y}', 'deprecated');
Expect(1, 847, '\P{^ODI=y}', 'deprecated');
Expect(0, 846, '\p{ODI=y}', 'deprecated');
Expect(1, 846, '\p{^ODI=y}', 'deprecated');
Expect(1, 846, '\P{ODI=y}', 'deprecated');
Expect(0, 846, '\P{^ODI=y}', 'deprecated');
Expect(1, 847, '\p{ODI=_ Y}', 'deprecated');
Expect(0, 847, '\p{^ODI=_ Y}', 'deprecated');
Expect(0, 847, '\P{ODI=_ Y}', 'deprecated');
Expect(1, 847, '\P{^ODI=_ Y}', 'deprecated');
Expect(0, 846, '\p{ODI=_ Y}', 'deprecated');
Expect(1, 846, '\p{^ODI=_ Y}', 'deprecated');
Expect(1, 846, '\P{ODI=_ Y}', 'deprecated');
Expect(0, 846, '\P{^ODI=_ Y}', 'deprecated');
Error('\p{Is_Other_Default_Ignorable_Code_Point=-_T:=}');
Error('\P{Is_Other_Default_Ignorable_Code_Point=-_T:=}');
Expect(1, 847, '\p{Is_Other_Default_Ignorable_Code_Point:	t}', 'deprecated');
Expect(0, 847, '\p{^Is_Other_Default_Ignorable_Code_Point:	t}', 'deprecated');
Expect(0, 847, '\P{Is_Other_Default_Ignorable_Code_Point:	t}', 'deprecated');
Expect(1, 847, '\P{^Is_Other_Default_Ignorable_Code_Point:	t}', 'deprecated');
Expect(0, 846, '\p{Is_Other_Default_Ignorable_Code_Point:	t}', 'deprecated');
Expect(1, 846, '\p{^Is_Other_Default_Ignorable_Code_Point:	t}', 'deprecated');
Expect(1, 846, '\P{Is_Other_Default_Ignorable_Code_Point:	t}', 'deprecated');
Expect(0, 846, '\P{^Is_Other_Default_Ignorable_Code_Point:	t}', 'deprecated');
Expect(1, 847, '\p{Is_Other_Default_Ignorable_Code_Point=-T}', 'deprecated');
Expect(0, 847, '\p{^Is_Other_Default_Ignorable_Code_Point=-T}', 'deprecated');
Expect(0, 847, '\P{Is_Other_Default_Ignorable_Code_Point=-T}', 'deprecated');
Expect(1, 847, '\P{^Is_Other_Default_Ignorable_Code_Point=-T}', 'deprecated');
Expect(0, 846, '\p{Is_Other_Default_Ignorable_Code_Point=-T}', 'deprecated');
Expect(1, 846, '\p{^Is_Other_Default_Ignorable_Code_Point=-T}', 'deprecated');
Expect(1, 846, '\P{Is_Other_Default_Ignorable_Code_Point=-T}', 'deprecated');
Expect(0, 846, '\P{^Is_Other_Default_Ignorable_Code_Point=-T}', 'deprecated');
Error('\p{Is_ODI=/a/ -True}');
Error('\P{Is_ODI=/a/ -True}');
Expect(1, 847, '\p{Is_ODI=true}', 'deprecated');
Expect(0, 847, '\p{^Is_ODI=true}', 'deprecated');
Expect(0, 847, '\P{Is_ODI=true}', 'deprecated');
Expect(1, 847, '\P{^Is_ODI=true}', 'deprecated');
Expect(0, 846, '\p{Is_ODI=true}', 'deprecated');
Expect(1, 846, '\p{^Is_ODI=true}', 'deprecated');
Expect(1, 846, '\P{Is_ODI=true}', 'deprecated');
Expect(0, 846, '\P{^Is_ODI=true}', 'deprecated');
Expect(1, 847, '\p{Is_ODI= True}', 'deprecated');
Expect(0, 847, '\p{^Is_ODI= True}', 'deprecated');
Expect(0, 847, '\P{Is_ODI= True}', 'deprecated');
Expect(1, 847, '\P{^Is_ODI= True}', 'deprecated');
Expect(0, 846, '\p{Is_ODI= True}', 'deprecated');
Expect(1, 846, '\p{^Is_ODI= True}', 'deprecated');
Expect(1, 846, '\P{Is_ODI= True}', 'deprecated');
Expect(0, 846, '\P{^Is_ODI= True}', 'deprecated');
Error('\p{Other_Default_Ignorable_Code_Point:	 no:=}');
Error('\P{Other_Default_Ignorable_Code_Point:	 no:=}');
Expect(1, 846, '\p{Other_Default_Ignorable_Code_Point=no}', 'deprecated');
Expect(0, 846, '\p{^Other_Default_Ignorable_Code_Point=no}', 'deprecated');
Expect(0, 846, '\P{Other_Default_Ignorable_Code_Point=no}', 'deprecated');
Expect(1, 846, '\P{^Other_Default_Ignorable_Code_Point=no}', 'deprecated');
Expect(0, 847, '\p{Other_Default_Ignorable_Code_Point=no}', 'deprecated');
Expect(1, 847, '\p{^Other_Default_Ignorable_Code_Point=no}', 'deprecated');
Expect(1, 847, '\P{Other_Default_Ignorable_Code_Point=no}', 'deprecated');
Expect(0, 847, '\P{^Other_Default_Ignorable_Code_Point=no}', 'deprecated');
Expect(1, 846, '\p{Other_Default_Ignorable_Code_Point= No}', 'deprecated');
Expect(0, 846, '\p{^Other_Default_Ignorable_Code_Point= No}', 'deprecated');
Expect(0, 846, '\P{Other_Default_Ignorable_Code_Point= No}', 'deprecated');
Expect(1, 846, '\P{^Other_Default_Ignorable_Code_Point= No}', 'deprecated');
Expect(0, 847, '\p{Other_Default_Ignorable_Code_Point= No}', 'deprecated');
Expect(1, 847, '\p{^Other_Default_Ignorable_Code_Point= No}', 'deprecated');
Expect(1, 847, '\P{Other_Default_Ignorable_Code_Point= No}', 'deprecated');
Expect(0, 847, '\P{^Other_Default_Ignorable_Code_Point= No}', 'deprecated');
Error('\p{ODI=	/a/n}');
Error('\P{ODI=	/a/n}');
Expect(1, 846, '\p{ODI=n}', 'deprecated');
Expect(0, 846, '\p{^ODI=n}', 'deprecated');
Expect(0, 846, '\P{ODI=n}', 'deprecated');
Expect(1, 846, '\P{^ODI=n}', 'deprecated');
Expect(0, 847, '\p{ODI=n}', 'deprecated');
Expect(1, 847, '\p{^ODI=n}', 'deprecated');
Expect(1, 847, '\P{ODI=n}', 'deprecated');
Expect(0, 847, '\P{^ODI=n}', 'deprecated');
Expect(1, 846, '\p{ODI=_-N}', 'deprecated');
Expect(0, 846, '\p{^ODI=_-N}', 'deprecated');
Expect(0, 846, '\P{ODI=_-N}', 'deprecated');
Expect(1, 846, '\P{^ODI=_-N}', 'deprecated');
Expect(0, 847, '\p{ODI=_-N}', 'deprecated');
Expect(1, 847, '\p{^ODI=_-N}', 'deprecated');
Expect(1, 847, '\P{ODI=_-N}', 'deprecated');
Expect(0, 847, '\P{^ODI=_-N}', 'deprecated');
Error('\p{Is_Other_Default_Ignorable_Code_Point= -F:=}');
Error('\P{Is_Other_Default_Ignorable_Code_Point= -F:=}');
Expect(1, 846, '\p{Is_Other_Default_Ignorable_Code_Point=f}', 'deprecated');
Expect(0, 846, '\p{^Is_Other_Default_Ignorable_Code_Point=f}', 'deprecated');
Expect(0, 846, '\P{Is_Other_Default_Ignorable_Code_Point=f}', 'deprecated');
Expect(1, 846, '\P{^Is_Other_Default_Ignorable_Code_Point=f}', 'deprecated');
Expect(0, 847, '\p{Is_Other_Default_Ignorable_Code_Point=f}', 'deprecated');
Expect(1, 847, '\p{^Is_Other_Default_Ignorable_Code_Point=f}', 'deprecated');
Expect(1, 847, '\P{Is_Other_Default_Ignorable_Code_Point=f}', 'deprecated');
Expect(0, 847, '\P{^Is_Other_Default_Ignorable_Code_Point=f}', 'deprecated');
Expect(1, 846, '\p{Is_Other_Default_Ignorable_Code_Point= _F}', 'deprecated');
Expect(0, 846, '\p{^Is_Other_Default_Ignorable_Code_Point= _F}', 'deprecated');
Expect(0, 846, '\P{Is_Other_Default_Ignorable_Code_Point= _F}', 'deprecated');
Expect(1, 846, '\P{^Is_Other_Default_Ignorable_Code_Point= _F}', 'deprecated');
Expect(0, 847, '\p{Is_Other_Default_Ignorable_Code_Point= _F}', 'deprecated');
Expect(1, 847, '\p{^Is_Other_Default_Ignorable_Code_Point= _F}', 'deprecated');
Expect(1, 847, '\P{Is_Other_Default_Ignorable_Code_Point= _F}', 'deprecated');
Expect(0, 847, '\P{^Is_Other_Default_Ignorable_Code_Point= _F}', 'deprecated');
Error('\p{Is_ODI=/a/- FALSE}');
Error('\P{Is_ODI=/a/- FALSE}');
Expect(1, 846, '\p{Is_ODI=false}', 'deprecated');
Expect(0, 846, '\p{^Is_ODI=false}', 'deprecated');
Expect(0, 846, '\P{Is_ODI=false}', 'deprecated');
Expect(1, 846, '\P{^Is_ODI=false}', 'deprecated');
Expect(0, 847, '\p{Is_ODI=false}', 'deprecated');
Expect(1, 847, '\p{^Is_ODI=false}', 'deprecated');
Expect(1, 847, '\P{Is_ODI=false}', 'deprecated');
Expect(0, 847, '\P{^Is_ODI=false}', 'deprecated');
Expect(1, 846, '\p{Is_ODI=	 False}', 'deprecated');
Expect(0, 846, '\p{^Is_ODI=	 False}', 'deprecated');
Expect(0, 846, '\P{Is_ODI=	 False}', 'deprecated');
Expect(1, 846, '\P{^Is_ODI=	 False}', 'deprecated');
Expect(0, 847, '\p{Is_ODI=	 False}', 'deprecated');
Expect(1, 847, '\p{^Is_ODI=	 False}', 'deprecated');
Expect(1, 847, '\P{Is_ODI=	 False}', 'deprecated');
Expect(0, 847, '\P{^Is_ODI=	 False}', 'deprecated');
Error('\p{Cased=-Yes/a/}');
Error('\P{Cased=-Yes/a/}');
Expect(1, 90, '\p{Cased:	yes}', "");
Expect(0, 90, '\p{^Cased:	yes}', "");
Expect(0, 90, '\P{Cased:	yes}', "");
Expect(1, 90, '\P{^Cased:	yes}', "");
Expect(0, 64, '\p{Cased:	yes}', "");
Expect(1, 64, '\p{^Cased:	yes}', "");
Expect(1, 64, '\P{Cased:	yes}', "");
Expect(0, 64, '\P{^Cased:	yes}', "");
Expect(1, 90, '\p{Cased=-_Yes}', "");
Expect(0, 90, '\p{^Cased=-_Yes}', "");
Expect(0, 90, '\P{Cased=-_Yes}', "");
Expect(1, 90, '\P{^Cased=-_Yes}', "");
Expect(0, 64, '\p{Cased=-_Yes}', "");
Expect(1, 64, '\p{^Cased=-_Yes}', "");
Expect(1, 64, '\P{Cased=-_Yes}', "");
Expect(0, 64, '\P{^Cased=-_Yes}', "");
Error('\p{Is_Cased=_Y/a/}');
Error('\P{Is_Cased=_Y/a/}');
Expect(1, 90, '\p{Is_Cased=y}', "");
Expect(0, 90, '\p{^Is_Cased=y}', "");
Expect(0, 90, '\P{Is_Cased=y}', "");
Expect(1, 90, '\P{^Is_Cased=y}', "");
Expect(0, 64, '\p{Is_Cased=y}', "");
Expect(1, 64, '\p{^Is_Cased=y}', "");
Expect(1, 64, '\P{Is_Cased=y}', "");
Expect(0, 64, '\P{^Is_Cased=y}', "");
Expect(1, 90, '\p{Is_Cased= _Y}', "");
Expect(0, 90, '\p{^Is_Cased= _Y}', "");
Expect(0, 90, '\P{Is_Cased= _Y}', "");
Expect(1, 90, '\P{^Is_Cased= _Y}', "");
Expect(0, 64, '\p{Is_Cased= _Y}', "");
Expect(1, 64, '\p{^Is_Cased= _Y}', "");
Expect(1, 64, '\P{Is_Cased= _Y}', "");
Expect(0, 64, '\P{^Is_Cased= _Y}', "");
Error('\p{Cased= -T:=}');
Error('\P{Cased= -T:=}');
Expect(1, 90, '\p{Cased=t}', "");
Expect(0, 90, '\p{^Cased=t}', "");
Expect(0, 90, '\P{Cased=t}', "");
Expect(1, 90, '\P{^Cased=t}', "");
Expect(0, 64, '\p{Cased=t}', "");
Expect(1, 64, '\p{^Cased=t}', "");
Expect(1, 64, '\P{Cased=t}', "");
Expect(0, 64, '\P{^Cased=t}', "");
Expect(1, 90, '\p{Cased=	 t}', "");
Expect(0, 90, '\p{^Cased=	 t}', "");
Expect(0, 90, '\P{Cased=	 t}', "");
Expect(1, 90, '\P{^Cased=	 t}', "");
Expect(0, 64, '\p{Cased=	 t}', "");
Expect(1, 64, '\p{^Cased=	 t}', "");
Expect(1, 64, '\P{Cased=	 t}', "");
Expect(0, 64, '\P{^Cased=	 t}', "");
Error('\p{Is_Cased=/a/-_true}');
Error('\P{Is_Cased=/a/-_true}');
Expect(1, 90, '\p{Is_Cased=true}', "");
Expect(0, 90, '\p{^Is_Cased=true}', "");
Expect(0, 90, '\P{Is_Cased=true}', "");
Expect(1, 90, '\P{^Is_Cased=true}', "");
Expect(0, 64, '\p{Is_Cased=true}', "");
Expect(1, 64, '\p{^Is_Cased=true}', "");
Expect(1, 64, '\P{Is_Cased=true}', "");
Expect(0, 64, '\P{^Is_Cased=true}', "");
Expect(1, 90, '\p{Is_Cased=-True}', "");
Expect(0, 90, '\p{^Is_Cased=-True}', "");
Expect(0, 90, '\P{Is_Cased=-True}', "");
Expect(1, 90, '\P{^Is_Cased=-True}', "");
Expect(0, 64, '\p{Is_Cased=-True}', "");
Expect(1, 64, '\p{^Is_Cased=-True}', "");
Expect(1, 64, '\P{Is_Cased=-True}', "");
Expect(0, 64, '\P{^Is_Cased=-True}', "");
Error('\p{Cased=/a/_ No}');
Error('\P{Cased=/a/_ No}');
Expect(1, 64, '\p{Cased=no}', "");
Expect(0, 64, '\p{^Cased=no}', "");
Expect(0, 64, '\P{Cased=no}', "");
Expect(1, 64, '\P{^Cased=no}', "");
Expect(0, 90, '\p{Cased=no}', "");
Expect(1, 90, '\p{^Cased=no}', "");
Expect(1, 90, '\P{Cased=no}', "");
Expect(0, 90, '\P{^Cased=no}', "");
Expect(1, 64, '\p{Cased=- NO}', "");
Expect(0, 64, '\p{^Cased=- NO}', "");
Expect(0, 64, '\P{Cased=- NO}', "");
Expect(1, 64, '\P{^Cased=- NO}', "");
Expect(0, 90, '\p{Cased=- NO}', "");
Expect(1, 90, '\p{^Cased=- NO}', "");
Expect(1, 90, '\P{Cased=- NO}', "");
Expect(0, 90, '\P{^Cased=- NO}', "");
Error('\p{Is_Cased=:=_	N}');
Error('\P{Is_Cased=:=_	N}');
Expect(1, 64, '\p{Is_Cased:	n}', "");
Expect(0, 64, '\p{^Is_Cased:	n}', "");
Expect(0, 64, '\P{Is_Cased:	n}', "");
Expect(1, 64, '\P{^Is_Cased:	n}', "");
Expect(0, 90, '\p{Is_Cased:	n}', "");
Expect(1, 90, '\p{^Is_Cased:	n}', "");
Expect(1, 90, '\P{Is_Cased:	n}', "");
Expect(0, 90, '\P{^Is_Cased:	n}', "");
Error('\p{Cased=	:=F}');
Error('\P{Cased=	:=F}');
Expect(1, 64, '\p{Cased=f}', "");
Expect(0, 64, '\p{^Cased=f}', "");
Expect(0, 64, '\P{Cased=f}', "");
Expect(1, 64, '\P{^Cased=f}', "");
Expect(0, 90, '\p{Cased=f}', "");
Expect(1, 90, '\p{^Cased=f}', "");
Expect(1, 90, '\P{Cased=f}', "");
Expect(0, 90, '\P{^Cased=f}', "");
Expect(1, 64, '\p{Cased=- F}', "");
Expect(0, 64, '\p{^Cased=- F}', "");
Expect(0, 64, '\P{Cased=- F}', "");
Expect(1, 64, '\P{^Cased=- F}', "");
Expect(0, 90, '\p{Cased=- F}', "");
Expect(1, 90, '\p{^Cased=- F}', "");
Expect(1, 90, '\P{Cased=- F}', "");
Expect(0, 90, '\P{^Cased=- F}', "");
Error('\p{Is_Cased::=- FALSE}');
Error('\P{Is_Cased::=- FALSE}');
Expect(1, 64, '\p{Is_Cased=false}', "");
Expect(0, 64, '\p{^Is_Cased=false}', "");
Expect(0, 64, '\P{Is_Cased=false}', "");
Expect(1, 64, '\P{^Is_Cased=false}', "");
Expect(0, 90, '\p{Is_Cased=false}', "");
Expect(1, 90, '\p{^Is_Cased=false}', "");
Expect(1, 90, '\P{Is_Cased=false}', "");
Expect(0, 90, '\P{^Is_Cased=false}', "");
Expect(1, 64, '\p{Is_Cased= _False}', "");
Expect(0, 64, '\p{^Is_Cased= _False}', "");
Expect(0, 64, '\P{Is_Cased= _False}', "");
Expect(1, 64, '\P{^Is_Cased= _False}', "");
Expect(0, 90, '\p{Is_Cased= _False}', "");
Expect(1, 90, '\p{^Is_Cased= _False}', "");
Expect(1, 90, '\P{Is_Cased= _False}', "");
Expect(0, 90, '\P{^Is_Cased= _False}', "");
Error('\p{Joining_Type=/a/TRANSPARENT}');
Error('\P{Joining_Type=/a/TRANSPARENT}');
Expect(1, 173, '\p{Joining_Type=transparent}', "");
Expect(0, 173, '\p{^Joining_Type=transparent}', "");
Expect(0, 173, '\P{Joining_Type=transparent}', "");
Expect(1, 173, '\P{^Joining_Type=transparent}', "");
Expect(0, 172, '\p{Joining_Type=transparent}', "");
Expect(1, 172, '\p{^Joining_Type=transparent}', "");
Expect(1, 172, '\P{Joining_Type=transparent}', "");
Expect(0, 172, '\P{^Joining_Type=transparent}', "");
Expect(1, 173, '\p{Joining_Type=-Transparent}', "");
Expect(0, 173, '\p{^Joining_Type=-Transparent}', "");
Expect(0, 173, '\P{Joining_Type=-Transparent}', "");
Expect(1, 173, '\P{^Joining_Type=-Transparent}', "");
Expect(0, 172, '\p{Joining_Type=-Transparent}', "");
Expect(1, 172, '\p{^Joining_Type=-Transparent}', "");
Expect(1, 172, '\P{Joining_Type=-Transparent}', "");
Expect(0, 172, '\P{^Joining_Type=-Transparent}', "");
Error('\p{Jt=:=-	t}');
Error('\P{Jt=:=-	t}');
Expect(1, 173, '\p{Jt=t}', "");
Expect(0, 173, '\p{^Jt=t}', "");
Expect(0, 173, '\P{Jt=t}', "");
Expect(1, 173, '\P{^Jt=t}', "");
Expect(0, 172, '\p{Jt=t}', "");
Expect(1, 172, '\p{^Jt=t}', "");
Expect(1, 172, '\P{Jt=t}', "");
Expect(0, 172, '\P{^Jt=t}', "");
Expect(1, 173, '\p{Jt=__T}', "");
Expect(0, 173, '\p{^Jt=__T}', "");
Expect(0, 173, '\P{Jt=__T}', "");
Expect(1, 173, '\P{^Jt=__T}', "");
Expect(0, 172, '\p{Jt=__T}', "");
Expect(1, 172, '\p{^Jt=__T}', "");
Expect(1, 172, '\P{Jt=__T}', "");
Expect(0, 172, '\P{^Jt=__T}', "");
Error('\p{Is_Joining_Type=_:=Transparent}');
Error('\P{Is_Joining_Type=_:=Transparent}');
Expect(1, 173, '\p{Is_Joining_Type=transparent}', "");
Expect(0, 173, '\p{^Is_Joining_Type=transparent}', "");
Expect(0, 173, '\P{Is_Joining_Type=transparent}', "");
Expect(1, 173, '\P{^Is_Joining_Type=transparent}', "");
Expect(0, 172, '\p{Is_Joining_Type=transparent}', "");
Expect(1, 172, '\p{^Is_Joining_Type=transparent}', "");
Expect(1, 172, '\P{Is_Joining_Type=transparent}', "");
Expect(0, 172, '\P{^Is_Joining_Type=transparent}', "");
Expect(1, 173, '\p{Is_Joining_Type:	-Transparent}', "");
Expect(0, 173, '\p{^Is_Joining_Type:	-Transparent}', "");
Expect(0, 173, '\P{Is_Joining_Type:	-Transparent}', "");
Expect(1, 173, '\P{^Is_Joining_Type:	-Transparent}', "");
Expect(0, 172, '\p{Is_Joining_Type:	-Transparent}', "");
Expect(1, 172, '\p{^Is_Joining_Type:	-Transparent}', "");
Expect(1, 172, '\P{Is_Joining_Type:	-Transparent}', "");
Expect(0, 172, '\P{^Is_Joining_Type:	-Transparent}', "");
Error('\p{Is_Jt=- T/a/}');
Error('\P{Is_Jt=- T/a/}');
Expect(1, 173, '\p{Is_Jt=t}', "");
Expect(0, 173, '\p{^Is_Jt=t}', "");
Expect(0, 173, '\P{Is_Jt=t}', "");
Expect(1, 173, '\P{^Is_Jt=t}', "");
Expect(0, 172, '\p{Is_Jt=t}', "");
Expect(1, 172, '\p{^Is_Jt=t}', "");
Expect(1, 172, '\P{Is_Jt=t}', "");
Expect(0, 172, '\P{^Is_Jt=t}', "");
Expect(1, 173, '\p{Is_Jt=_-t}', "");
Expect(0, 173, '\p{^Is_Jt=_-t}', "");
Expect(0, 173, '\P{Is_Jt=_-t}', "");
Expect(1, 173, '\P{^Is_Jt=_-t}', "");
Expect(0, 172, '\p{Is_Jt=_-t}', "");
Expect(1, 172, '\p{^Is_Jt=_-t}', "");
Expect(1, 172, '\P{Is_Jt=_-t}', "");
Expect(0, 172, '\P{^Is_Jt=_-t}', "");
Error('\p{Joining_Type= _right Joining/a/}');
Error('\P{Joining_Type= _right Joining/a/}');
Expect(1, 1573, '\p{Joining_Type:	rightjoining}', "");
Expect(0, 1573, '\p{^Joining_Type:	rightjoining}', "");
Expect(0, 1573, '\P{Joining_Type:	rightjoining}', "");
Expect(1, 1573, '\P{^Joining_Type:	rightjoining}', "");
Expect(0, 1569, '\p{Joining_Type:	rightjoining}', "");
Expect(1, 1569, '\p{^Joining_Type:	rightjoining}', "");
Expect(1, 1569, '\P{Joining_Type:	rightjoining}', "");
Expect(0, 1569, '\P{^Joining_Type:	rightjoining}', "");
Expect(1, 1573, '\p{Joining_Type=_-Right JOINING}', "");
Expect(0, 1573, '\p{^Joining_Type=_-Right JOINING}', "");
Expect(0, 1573, '\P{Joining_Type=_-Right JOINING}', "");
Expect(1, 1573, '\P{^Joining_Type=_-Right JOINING}', "");
Expect(0, 1569, '\p{Joining_Type=_-Right JOINING}', "");
Expect(1, 1569, '\p{^Joining_Type=_-Right JOINING}', "");
Expect(1, 1569, '\P{Joining_Type=_-Right JOINING}', "");
Expect(0, 1569, '\P{^Joining_Type=_-Right JOINING}', "");
Error('\p{Jt=_:=R}');
Error('\P{Jt=_:=R}');
Expect(1, 1573, '\p{Jt=r}', "");
Expect(0, 1573, '\p{^Jt=r}', "");
Expect(0, 1573, '\P{Jt=r}', "");
Expect(1, 1573, '\P{^Jt=r}', "");
Expect(0, 1569, '\p{Jt=r}', "");
Expect(1, 1569, '\p{^Jt=r}', "");
Expect(1, 1569, '\P{Jt=r}', "");
Expect(0, 1569, '\P{^Jt=r}', "");
Expect(1, 1573, '\p{Jt=_R}', "");
Expect(0, 1573, '\p{^Jt=_R}', "");
Expect(0, 1573, '\P{Jt=_R}', "");
Expect(1, 1573, '\P{^Jt=_R}', "");
Expect(0, 1569, '\p{Jt=_R}', "");
Expect(1, 1569, '\p{^Jt=_R}', "");
Expect(1, 1569, '\P{Jt=_R}', "");
Expect(0, 1569, '\P{^Jt=_R}', "");
Error('\p{Is_Joining_Type=_-Right/a/Joining}');
Error('\P{Is_Joining_Type=_-Right/a/Joining}');
Expect(1, 1573, '\p{Is_Joining_Type:	rightjoining}', "");
Expect(0, 1573, '\p{^Is_Joining_Type:	rightjoining}', "");
Expect(0, 1573, '\P{Is_Joining_Type:	rightjoining}', "");
Expect(1, 1573, '\P{^Is_Joining_Type:	rightjoining}', "");
Expect(0, 1569, '\p{Is_Joining_Type:	rightjoining}', "");
Expect(1, 1569, '\p{^Is_Joining_Type:	rightjoining}', "");
Expect(1, 1569, '\P{Is_Joining_Type:	rightjoining}', "");
Expect(0, 1569, '\P{^Is_Joining_Type:	rightjoining}', "");
Expect(1, 1573, '\p{Is_Joining_Type=_Right joining}', "");
Expect(0, 1573, '\p{^Is_Joining_Type=_Right joining}', "");
Expect(0, 1573, '\P{Is_Joining_Type=_Right joining}', "");
Expect(1, 1573, '\P{^Is_Joining_Type=_Right joining}', "");
Expect(0, 1569, '\p{Is_Joining_Type=_Right joining}', "");
Expect(1, 1569, '\p{^Is_Joining_Type=_Right joining}', "");
Expect(1, 1569, '\P{Is_Joining_Type=_Right joining}', "");
Expect(0, 1569, '\P{^Is_Joining_Type=_Right joining}', "");
Error('\p{Is_Jt= _R:=}');
Error('\P{Is_Jt= _R:=}');
Expect(1, 1573, '\p{Is_Jt=r}', "");
Expect(0, 1573, '\p{^Is_Jt=r}', "");
Expect(0, 1573, '\P{Is_Jt=r}', "");
Expect(1, 1573, '\P{^Is_Jt=r}', "");
Expect(0, 1569, '\p{Is_Jt=r}', "");
Expect(1, 1569, '\p{^Is_Jt=r}', "");
Expect(1, 1569, '\P{Is_Jt=r}', "");
Expect(0, 1569, '\P{^Is_Jt=r}', "");
Expect(1, 1573, '\p{Is_Jt=R}', "");
Expect(0, 1573, '\p{^Is_Jt=R}', "");
Expect(0, 1573, '\P{Is_Jt=R}', "");
Expect(1, 1573, '\P{^Is_Jt=R}', "");
Expect(0, 1569, '\p{Is_Jt=R}', "");
Expect(1, 1569, '\p{^Is_Jt=R}', "");
Expect(1, 1569, '\P{Is_Jt=R}', "");
Expect(0, 1569, '\P{^Is_Jt=R}', "");
Error('\p{Joining_Type=	Join Causing:=}');
Error('\P{Joining_Type=	Join Causing:=}');
Expect(1, 1600, '\p{Joining_Type=joincausing}', "");
Expect(0, 1600, '\p{^Joining_Type=joincausing}', "");
Expect(0, 1600, '\P{Joining_Type=joincausing}', "");
Expect(1, 1600, '\P{^Joining_Type=joincausing}', "");
Expect(0, 1599, '\p{Joining_Type=joincausing}', "");
Expect(1, 1599, '\p{^Joining_Type=joincausing}', "");
Expect(1, 1599, '\P{Joining_Type=joincausing}', "");
Expect(0, 1599, '\P{^Joining_Type=joincausing}', "");
Expect(1, 1600, '\p{Joining_Type=_-join CAUSING}', "");
Expect(0, 1600, '\p{^Joining_Type=_-join CAUSING}', "");
Expect(0, 1600, '\P{Joining_Type=_-join CAUSING}', "");
Expect(1, 1600, '\P{^Joining_Type=_-join CAUSING}', "");
Expect(0, 1599, '\p{Joining_Type=_-join CAUSING}', "");
Expect(1, 1599, '\p{^Joining_Type=_-join CAUSING}', "");
Expect(1, 1599, '\P{Joining_Type=_-join CAUSING}', "");
Expect(0, 1599, '\P{^Joining_Type=_-join CAUSING}', "");
Error('\p{Jt=/a/ 	C}');
Error('\P{Jt=/a/ 	C}');
Expect(1, 1600, '\p{Jt=c}', "");
Expect(0, 1600, '\p{^Jt=c}', "");
Expect(0, 1600, '\P{Jt=c}', "");
Expect(1, 1600, '\P{^Jt=c}', "");
Expect(0, 1599, '\p{Jt=c}', "");
Expect(1, 1599, '\p{^Jt=c}', "");
Expect(1, 1599, '\P{Jt=c}', "");
Expect(0, 1599, '\P{^Jt=c}', "");
Expect(1, 1600, '\p{Jt=-C}', "");
Expect(0, 1600, '\p{^Jt=-C}', "");
Expect(0, 1600, '\P{Jt=-C}', "");
Expect(1, 1600, '\P{^Jt=-C}', "");
Expect(0, 1599, '\p{Jt=-C}', "");
Expect(1, 1599, '\p{^Jt=-C}', "");
Expect(1, 1599, '\P{Jt=-C}', "");
Expect(0, 1599, '\P{^Jt=-C}', "");
Error('\p{Is_Joining_Type=_/a/join	Causing}');
Error('\P{Is_Joining_Type=_/a/join	Causing}');
Expect(1, 1600, '\p{Is_Joining_Type=joincausing}', "");
Expect(0, 1600, '\p{^Is_Joining_Type=joincausing}', "");
Expect(0, 1600, '\P{Is_Joining_Type=joincausing}', "");
Expect(1, 1600, '\P{^Is_Joining_Type=joincausing}', "");
Expect(0, 1599, '\p{Is_Joining_Type=joincausing}', "");
Expect(1, 1599, '\p{^Is_Joining_Type=joincausing}', "");
Expect(1, 1599, '\P{Is_Joining_Type=joincausing}', "");
Expect(0, 1599, '\P{^Is_Joining_Type=joincausing}', "");
Expect(1, 1600, '\p{Is_Joining_Type=-_Join	Causing}', "");
Expect(0, 1600, '\p{^Is_Joining_Type=-_Join	Causing}', "");
Expect(0, 1600, '\P{Is_Joining_Type=-_Join	Causing}', "");
Expect(1, 1600, '\P{^Is_Joining_Type=-_Join	Causing}', "");
Expect(0, 1599, '\p{Is_Joining_Type=-_Join	Causing}', "");
Expect(1, 1599, '\p{^Is_Joining_Type=-_Join	Causing}', "");
Expect(1, 1599, '\P{Is_Joining_Type=-_Join	Causing}', "");
Expect(0, 1599, '\P{^Is_Joining_Type=-_Join	Causing}', "");
Error('\p{Is_Jt=C/a/}');
Error('\P{Is_Jt=C/a/}');
Expect(1, 1600, '\p{Is_Jt=c}', "");
Expect(0, 1600, '\p{^Is_Jt=c}', "");
Expect(0, 1600, '\P{Is_Jt=c}', "");
Expect(1, 1600, '\P{^Is_Jt=c}', "");
Expect(0, 1599, '\p{Is_Jt=c}', "");
Expect(1, 1599, '\p{^Is_Jt=c}', "");
Expect(1, 1599, '\P{Is_Jt=c}', "");
Expect(0, 1599, '\P{^Is_Jt=c}', "");
Expect(1, 1600, '\p{Is_Jt=-C}', "");
Expect(0, 1600, '\p{^Is_Jt=-C}', "");
Expect(0, 1600, '\P{Is_Jt=-C}', "");
Expect(1, 1600, '\P{^Is_Jt=-C}', "");
Expect(0, 1599, '\p{Is_Jt=-C}', "");
Expect(1, 1599, '\p{^Is_Jt=-C}', "");
Expect(1, 1599, '\P{Is_Jt=-C}', "");
Expect(0, 1599, '\P{^Is_Jt=-C}', "");
Error('\p{Joining_Type= -NON/a/joining}');
Error('\P{Joining_Type= -NON/a/joining}');
Expect(1, 172, '\p{Joining_Type=nonjoining}', "");
Expect(0, 172, '\p{^Joining_Type=nonjoining}', "");
Expect(0, 172, '\P{Joining_Type=nonjoining}', "");
Expect(1, 172, '\P{^Joining_Type=nonjoining}', "");
Expect(0, 173, '\p{Joining_Type=nonjoining}', "");
Expect(1, 173, '\p{^Joining_Type=nonjoining}', "");
Expect(1, 173, '\P{Joining_Type=nonjoining}', "");
Expect(0, 173, '\P{^Joining_Type=nonjoining}', "");
Expect(1, 172, '\p{Joining_Type:   	Non-Joining}', "");
Expect(0, 172, '\p{^Joining_Type:   	Non-Joining}', "");
Expect(0, 172, '\P{Joining_Type:   	Non-Joining}', "");
Expect(1, 172, '\P{^Joining_Type:   	Non-Joining}', "");
Expect(0, 173, '\p{Joining_Type:   	Non-Joining}', "");
Expect(1, 173, '\p{^Joining_Type:   	Non-Joining}', "");
Expect(1, 173, '\P{Joining_Type:   	Non-Joining}', "");
Expect(0, 173, '\P{^Joining_Type:   	Non-Joining}', "");
Error('\p{Jt=	-U/a/}');
Error('\P{Jt=	-U/a/}');
Expect(1, 172, '\p{Jt:	u}', "");
Expect(0, 172, '\p{^Jt:	u}', "");
Expect(0, 172, '\P{Jt:	u}', "");
Expect(1, 172, '\P{^Jt:	u}', "");
Expect(0, 173, '\p{Jt:	u}', "");
Expect(1, 173, '\p{^Jt:	u}', "");
Expect(1, 173, '\P{Jt:	u}', "");
Expect(0, 173, '\P{^Jt:	u}', "");
Expect(1, 172, '\p{Jt=-U}', "");
Expect(0, 172, '\p{^Jt=-U}', "");
Expect(0, 172, '\P{Jt=-U}', "");
Expect(1, 172, '\P{^Jt=-U}', "");
Expect(0, 173, '\p{Jt=-U}', "");
Expect(1, 173, '\p{^Jt=-U}', "");
Expect(1, 173, '\P{Jt=-U}', "");
Expect(0, 173, '\P{^Jt=-U}', "");
Error('\p{Is_Joining_Type=	Nonjoining:=}');
Error('\P{Is_Joining_Type=	Nonjoining:=}');
Expect(1, 172, '\p{Is_Joining_Type=nonjoining}', "");
Expect(0, 172, '\p{^Is_Joining_Type=nonjoining}', "");
Expect(0, 172, '\P{Is_Joining_Type=nonjoining}', "");
Expect(1, 172, '\P{^Is_Joining_Type=nonjoining}', "");
Expect(0, 173, '\p{Is_Joining_Type=nonjoining}', "");
Expect(1, 173, '\p{^Is_Joining_Type=nonjoining}', "");
Expect(1, 173, '\P{Is_Joining_Type=nonjoining}', "");
Expect(0, 173, '\P{^Is_Joining_Type=nonjoining}', "");
Expect(1, 172, '\p{Is_Joining_Type=_ Non	Joining}', "");
Expect(0, 172, '\p{^Is_Joining_Type=_ Non	Joining}', "");
Expect(0, 172, '\P{Is_Joining_Type=_ Non	Joining}', "");
Expect(1, 172, '\P{^Is_Joining_Type=_ Non	Joining}', "");
Expect(0, 173, '\p{Is_Joining_Type=_ Non	Joining}', "");
Expect(1, 173, '\p{^Is_Joining_Type=_ Non	Joining}', "");
Expect(1, 173, '\P{Is_Joining_Type=_ Non	Joining}', "");
Expect(0, 173, '\P{^Is_Joining_Type=_ Non	Joining}', "");
Error('\p{Is_Jt=/a/	-U}');
Error('\P{Is_Jt=/a/	-U}');
Expect(1, 172, '\p{Is_Jt=u}', "");
Expect(0, 172, '\p{^Is_Jt=u}', "");
Expect(0, 172, '\P{Is_Jt=u}', "");
Expect(1, 172, '\P{^Is_Jt=u}', "");
Expect(0, 173, '\p{Is_Jt=u}', "");
Expect(1, 173, '\p{^Is_Jt=u}', "");
Expect(1, 173, '\P{Is_Jt=u}', "");
Expect(0, 173, '\P{^Is_Jt=u}', "");
Expect(1, 172, '\p{Is_Jt=__u}', "");
Expect(0, 172, '\p{^Is_Jt=__u}', "");
Expect(0, 172, '\P{Is_Jt=__u}', "");
Expect(1, 172, '\P{^Is_Jt=__u}', "");
Expect(0, 173, '\p{Is_Jt=__u}', "");
Expect(1, 173, '\p{^Is_Jt=__u}', "");
Expect(1, 173, '\P{Is_Jt=__u}', "");
Expect(0, 173, '\P{^Is_Jt=__u}', "");
Error('\p{Joining_Type=	/a/DUAL Joining}');
Error('\P{Joining_Type=	/a/DUAL Joining}');
Expect(1, 1574, '\p{Joining_Type=dualjoining}', "");
Expect(0, 1574, '\p{^Joining_Type=dualjoining}', "");
Expect(0, 1574, '\P{Joining_Type=dualjoining}', "");
Expect(1, 1574, '\P{^Joining_Type=dualjoining}', "");
Expect(0, 1573, '\p{Joining_Type=dualjoining}', "");
Expect(1, 1573, '\p{^Joining_Type=dualjoining}', "");
Expect(1, 1573, '\P{Joining_Type=dualjoining}', "");
Expect(0, 1573, '\P{^Joining_Type=dualjoining}', "");
Expect(1, 1574, '\p{Joining_Type=_	DUALJoining}', "");
Expect(0, 1574, '\p{^Joining_Type=_	DUALJoining}', "");
Expect(0, 1574, '\P{Joining_Type=_	DUALJoining}', "");
Expect(1, 1574, '\P{^Joining_Type=_	DUALJoining}', "");
Expect(0, 1573, '\p{Joining_Type=_	DUALJoining}', "");
Expect(1, 1573, '\p{^Joining_Type=_	DUALJoining}', "");
Expect(1, 1573, '\P{Joining_Type=_	DUALJoining}', "");
Expect(0, 1573, '\P{^Joining_Type=_	DUALJoining}', "");
Error('\p{Jt=/a/__D}');
Error('\P{Jt=/a/__D}');
Expect(1, 1574, '\p{Jt=d}', "");
Expect(0, 1574, '\p{^Jt=d}', "");
Expect(0, 1574, '\P{Jt=d}', "");
Expect(1, 1574, '\P{^Jt=d}', "");
Expect(0, 1573, '\p{Jt=d}', "");
Expect(1, 1573, '\p{^Jt=d}', "");
Expect(1, 1573, '\P{Jt=d}', "");
Expect(0, 1573, '\P{^Jt=d}', "");
Expect(1, 1574, '\p{Jt= 	D}', "");
Expect(0, 1574, '\p{^Jt= 	D}', "");
Expect(0, 1574, '\P{Jt= 	D}', "");
Expect(1, 1574, '\P{^Jt= 	D}', "");
Expect(0, 1573, '\p{Jt= 	D}', "");
Expect(1, 1573, '\p{^Jt= 	D}', "");
Expect(1, 1573, '\P{Jt= 	D}', "");
Expect(0, 1573, '\P{^Jt= 	D}', "");
Error('\p{Is_Joining_Type=-/a/Dual-Joining}');
Error('\P{Is_Joining_Type=-/a/Dual-Joining}');
Expect(1, 1574, '\p{Is_Joining_Type=dualjoining}', "");
Expect(0, 1574, '\p{^Is_Joining_Type=dualjoining}', "");
Expect(0, 1574, '\P{Is_Joining_Type=dualjoining}', "");
Expect(1, 1574, '\P{^Is_Joining_Type=dualjoining}', "");
Expect(0, 1573, '\p{Is_Joining_Type=dualjoining}', "");
Expect(1, 1573, '\p{^Is_Joining_Type=dualjoining}', "");
Expect(1, 1573, '\P{Is_Joining_Type=dualjoining}', "");
Expect(0, 1573, '\P{^Is_Joining_Type=dualjoining}', "");
Expect(1, 1574, '\p{Is_Joining_Type= Dual	Joining}', "");
Expect(0, 1574, '\p{^Is_Joining_Type= Dual	Joining}', "");
Expect(0, 1574, '\P{Is_Joining_Type= Dual	Joining}', "");
Expect(1, 1574, '\P{^Is_Joining_Type= Dual	Joining}', "");
Expect(0, 1573, '\p{Is_Joining_Type= Dual	Joining}', "");
Expect(1, 1573, '\p{^Is_Joining_Type= Dual	Joining}', "");
Expect(1, 1573, '\P{Is_Joining_Type= Dual	Joining}', "");
Expect(0, 1573, '\P{^Is_Joining_Type= Dual	Joining}', "");
Error('\p{Is_Jt=	/a/d}');
Error('\P{Is_Jt=	/a/d}');
Expect(1, 1574, '\p{Is_Jt=d}', "");
Expect(0, 1574, '\p{^Is_Jt=d}', "");
Expect(0, 1574, '\P{Is_Jt=d}', "");
Expect(1, 1574, '\P{^Is_Jt=d}', "");
Expect(0, 1573, '\p{Is_Jt=d}', "");
Expect(1, 1573, '\p{^Is_Jt=d}', "");
Expect(1, 1573, '\P{Is_Jt=d}', "");
Expect(0, 1573, '\P{^Is_Jt=d}', "");
Expect(1, 1574, '\p{Is_Jt=_D}', "");
Expect(0, 1574, '\p{^Is_Jt=_D}', "");
Expect(0, 1574, '\P{Is_Jt=_D}', "");
Expect(1, 1574, '\P{^Is_Jt=_D}', "");
Expect(0, 1573, '\p{Is_Jt=_D}', "");
Expect(1, 1573, '\p{^Is_Jt=_D}', "");
Expect(1, 1573, '\P{Is_Jt=_D}', "");
Expect(0, 1573, '\P{^Is_Jt=_D}', "");
Error('\p{Joining_Type: _	Left-joining:=}');
Error('\P{Joining_Type: _	Left-joining:=}');
Expect(0, 1, '\p{Joining_Type=leftjoining}', "");
Expect(1, 1, '\p{^Joining_Type=leftjoining}', "");
Expect(1, 1, '\P{Joining_Type=leftjoining}', "");
Expect(0, 1, '\P{^Joining_Type=leftjoining}', "");
Expect(0, 1, '\p{Joining_Type=- left_joining}', "");
Expect(1, 1, '\p{^Joining_Type=- left_joining}', "");
Expect(1, 1, '\P{Joining_Type=- left_joining}', "");
Expect(0, 1, '\P{^Joining_Type=- left_joining}', "");
Error('\p{Jt: :=L}');
Error('\P{Jt: :=L}');
Expect(0, 1, '\p{Jt=l}', "");
Expect(1, 1, '\p{^Jt=l}', "");
Expect(1, 1, '\P{Jt=l}', "");
Expect(0, 1, '\P{^Jt=l}', "");
Expect(0, 1, '\p{Jt=	 L}', "");
Expect(1, 1, '\p{^Jt=	 L}', "");
Expect(1, 1, '\P{Jt=	 L}', "");
Expect(0, 1, '\P{^Jt=	 L}', "");
Error('\p{Is_Joining_Type=:=-left-JOINING}');
Error('\P{Is_Joining_Type=:=-left-JOINING}');
Expect(0, 1, '\p{Is_Joining_Type=leftjoining}', "");
Expect(1, 1, '\p{^Is_Joining_Type=leftjoining}', "");
Expect(1, 1, '\P{Is_Joining_Type=leftjoining}', "");
Expect(0, 1, '\P{^Is_Joining_Type=leftjoining}', "");
Expect(0, 1, '\p{Is_Joining_Type= -LEFTJoining}', "");
Expect(1, 1, '\p{^Is_Joining_Type= -LEFTJoining}', "");
Expect(1, 1, '\P{Is_Joining_Type= -LEFTJoining}', "");
Expect(0, 1, '\P{^Is_Joining_Type= -LEFTJoining}', "");
Error('\p{Is_Jt=/a/- L}');
Error('\P{Is_Jt=/a/- L}');
Expect(0, 1, '\p{Is_Jt:	l}', "");
Expect(1, 1, '\p{^Is_Jt:	l}', "");
Expect(1, 1, '\P{Is_Jt:	l}', "");
Expect(0, 1, '\P{^Is_Jt:	l}', "");
Expect(0, 1, '\p{Is_Jt=_L}', "");
Expect(1, 1, '\p{^Is_Jt=_L}', "");
Expect(1, 1, '\P{Is_Jt=_L}', "");
Expect(0, 1, '\P{^Is_Jt=_L}', "");
Error('\p{ID_Start=/a/Yes}');
Error('\P{ID_Start=/a/Yes}');
Expect(1, 90, '\p{ID_Start=yes}', "");
Expect(0, 90, '\p{^ID_Start=yes}', "");
Expect(0, 90, '\P{ID_Start=yes}', "");
Expect(1, 90, '\P{^ID_Start=yes}', "");
Expect(0, 64, '\p{ID_Start=yes}', "");
Expect(1, 64, '\p{^ID_Start=yes}', "");
Expect(1, 64, '\P{ID_Start=yes}', "");
Expect(0, 64, '\P{^ID_Start=yes}', "");
Expect(1, 90, '\p{ID_Start= _Yes}', "");
Expect(0, 90, '\p{^ID_Start= _Yes}', "");
Expect(0, 90, '\P{ID_Start= _Yes}', "");
Expect(1, 90, '\P{^ID_Start= _Yes}', "");
Expect(0, 64, '\p{ID_Start= _Yes}', "");
Expect(1, 64, '\p{^ID_Start= _Yes}', "");
Expect(1, 64, '\P{ID_Start= _Yes}', "");
Expect(0, 64, '\P{^ID_Start= _Yes}', "");
Error('\p{IDS=:=- Y}');
Error('\P{IDS=:=- Y}');
Expect(1, 90, '\p{IDS=y}', "");
Expect(0, 90, '\p{^IDS=y}', "");
Expect(0, 90, '\P{IDS=y}', "");
Expect(1, 90, '\P{^IDS=y}', "");
Expect(0, 64, '\p{IDS=y}', "");
Expect(1, 64, '\p{^IDS=y}', "");
Expect(1, 64, '\P{IDS=y}', "");
Expect(0, 64, '\P{^IDS=y}', "");
Expect(1, 90, '\p{IDS= Y}', "");
Expect(0, 90, '\p{^IDS= Y}', "");
Expect(0, 90, '\P{IDS= Y}', "");
Expect(1, 90, '\P{^IDS= Y}', "");
Expect(0, 64, '\p{IDS= Y}', "");
Expect(1, 64, '\p{^IDS= Y}', "");
Expect(1, 64, '\P{IDS= Y}', "");
Expect(0, 64, '\P{^IDS= Y}', "");
Error('\p{Is_ID_Start=_	t/a/}');
Error('\P{Is_ID_Start=_	t/a/}');
Expect(1, 90, '\p{Is_ID_Start=t}', "");
Expect(0, 90, '\p{^Is_ID_Start=t}', "");
Expect(0, 90, '\P{Is_ID_Start=t}', "");
Expect(1, 90, '\P{^Is_ID_Start=t}', "");
Expect(0, 64, '\p{Is_ID_Start=t}', "");
Expect(1, 64, '\p{^Is_ID_Start=t}', "");
Expect(1, 64, '\P{Is_ID_Start=t}', "");
Expect(0, 64, '\P{^Is_ID_Start=t}', "");
Expect(1, 90, '\p{Is_ID_Start=	_t}', "");
Expect(0, 90, '\p{^Is_ID_Start=	_t}', "");
Expect(0, 90, '\P{Is_ID_Start=	_t}', "");
Expect(1, 90, '\P{^Is_ID_Start=	_t}', "");
Expect(0, 64, '\p{Is_ID_Start=	_t}', "");
Expect(1, 64, '\p{^Is_ID_Start=	_t}', "");
Expect(1, 64, '\P{Is_ID_Start=	_t}', "");
Expect(0, 64, '\P{^Is_ID_Start=	_t}', "");
Error('\p{Is_IDS=True/a/}');
Error('\P{Is_IDS=True/a/}');
Expect(1, 90, '\p{Is_IDS=true}', "");
Expect(0, 90, '\p{^Is_IDS=true}', "");
Expect(0, 90, '\P{Is_IDS=true}', "");
Expect(1, 90, '\P{^Is_IDS=true}', "");
Expect(0, 64, '\p{Is_IDS=true}', "");
Expect(1, 64, '\p{^Is_IDS=true}', "");
Expect(1, 64, '\P{Is_IDS=true}', "");
Expect(0, 64, '\P{^Is_IDS=true}', "");
Expect(1, 90, '\p{Is_IDS=	True}', "");
Expect(0, 90, '\p{^Is_IDS=	True}', "");
Expect(0, 90, '\P{Is_IDS=	True}', "");
Expect(1, 90, '\P{^Is_IDS=	True}', "");
Expect(0, 64, '\p{Is_IDS=	True}', "");
Expect(1, 64, '\p{^Is_IDS=	True}', "");
Expect(1, 64, '\P{Is_IDS=	True}', "");
Expect(0, 64, '\P{^Is_IDS=	True}', "");
Error('\p{ID_Start=/a/No}');
Error('\P{ID_Start=/a/No}');
Expect(1, 64, '\p{ID_Start=no}', "");
Expect(0, 64, '\p{^ID_Start=no}', "");
Expect(0, 64, '\P{ID_Start=no}', "");
Expect(1, 64, '\P{^ID_Start=no}', "");
Expect(0, 90, '\p{ID_Start=no}', "");
Expect(1, 90, '\p{^ID_Start=no}', "");
Expect(1, 90, '\P{ID_Start=no}', "");
Expect(0, 90, '\P{^ID_Start=no}', "");
Expect(1, 64, '\p{ID_Start= 	no}', "");
Expect(0, 64, '\p{^ID_Start= 	no}', "");
Expect(0, 64, '\P{ID_Start= 	no}', "");
Expect(1, 64, '\P{^ID_Start= 	no}', "");
Expect(0, 90, '\p{ID_Start= 	no}', "");
Expect(1, 90, '\p{^ID_Start= 	no}', "");
Expect(1, 90, '\P{ID_Start= 	no}', "");
Expect(0, 90, '\P{^ID_Start= 	no}', "");
Error('\p{IDS=:=_N}');
Error('\P{IDS=:=_N}');
Expect(1, 64, '\p{IDS:   n}', "");
Expect(0, 64, '\p{^IDS:   n}', "");
Expect(0, 64, '\P{IDS:   n}', "");
Expect(1, 64, '\P{^IDS:   n}', "");
Expect(0, 90, '\p{IDS:   n}', "");
Expect(1, 90, '\p{^IDS:   n}', "");
Expect(1, 90, '\P{IDS:   n}', "");
Expect(0, 90, '\P{^IDS:   n}', "");
Expect(1, 64, '\p{IDS=-n}', "");
Expect(0, 64, '\p{^IDS=-n}', "");
Expect(0, 64, '\P{IDS=-n}', "");
Expect(1, 64, '\P{^IDS=-n}', "");
Expect(0, 90, '\p{IDS=-n}', "");
Expect(1, 90, '\p{^IDS=-n}', "");
Expect(1, 90, '\P{IDS=-n}', "");
Expect(0, 90, '\P{^IDS=-n}', "");
Error('\p{Is_ID_Start=/a/__F}');
Error('\P{Is_ID_Start=/a/__F}');
Expect(1, 64, '\p{Is_ID_Start=f}', "");
Expect(0, 64, '\p{^Is_ID_Start=f}', "");
Expect(0, 64, '\P{Is_ID_Start=f}', "");
Expect(1, 64, '\P{^Is_ID_Start=f}', "");
Expect(0, 90, '\p{Is_ID_Start=f}', "");
Expect(1, 90, '\p{^Is_ID_Start=f}', "");
Expect(1, 90, '\P{Is_ID_Start=f}', "");
Expect(0, 90, '\P{^Is_ID_Start=f}', "");
Expect(1, 64, '\p{Is_ID_Start:  F}', "");
Expect(0, 64, '\p{^Is_ID_Start:  F}', "");
Expect(0, 64, '\P{Is_ID_Start:  F}', "");
Expect(1, 64, '\P{^Is_ID_Start:  F}', "");
Expect(0, 90, '\p{Is_ID_Start:  F}', "");
Expect(1, 90, '\p{^Is_ID_Start:  F}', "");
Expect(1, 90, '\P{Is_ID_Start:  F}', "");
Expect(0, 90, '\P{^Is_ID_Start:  F}', "");
Error('\p{Is_IDS=/a/	False}');
Error('\P{Is_IDS=/a/	False}');
Expect(1, 64, '\p{Is_IDS=false}', "");
Expect(0, 64, '\p{^Is_IDS=false}', "");
Expect(0, 64, '\P{Is_IDS=false}', "");
Expect(1, 64, '\P{^Is_IDS=false}', "");
Expect(0, 90, '\p{Is_IDS=false}', "");
Expect(1, 90, '\p{^Is_IDS=false}', "");
Expect(1, 90, '\P{Is_IDS=false}', "");
Expect(0, 90, '\P{^Is_IDS=false}', "");
Expect(1, 64, '\p{Is_IDS=- false}', "");
Expect(0, 64, '\p{^Is_IDS=- false}', "");
Expect(0, 64, '\P{Is_IDS=- false}', "");
Expect(1, 64, '\P{^Is_IDS=- false}', "");
Expect(0, 90, '\p{Is_IDS=- false}', "");
Expect(1, 90, '\p{^Is_IDS=- false}', "");
Expect(1, 90, '\P{Is_IDS=- false}', "");
Expect(0, 90, '\P{^Is_IDS=- false}', "");
Error('\p{NFC_Quick_Check=_Yes:=}');
Error('\P{NFC_Quick_Check=_Yes:=}');
Expect(1, 767, '\p{NFC_Quick_Check:   yes}', "");
Expect(0, 767, '\p{^NFC_Quick_Check:   yes}', "");
Expect(0, 767, '\P{NFC_Quick_Check:   yes}', "");
Expect(1, 767, '\P{^NFC_Quick_Check:   yes}', "");
Expect(0, 772, '\p{NFC_Quick_Check:   yes}', "");
Expect(1, 772, '\p{^NFC_Quick_Check:   yes}', "");
Expect(1, 772, '\P{NFC_Quick_Check:   yes}', "");
Expect(0, 772, '\P{^NFC_Quick_Check:   yes}', "");
Expect(1, 767, '\p{NFC_Quick_Check= YES}', "");
Expect(0, 767, '\p{^NFC_Quick_Check= YES}', "");
Expect(0, 767, '\P{NFC_Quick_Check= YES}', "");
Expect(1, 767, '\P{^NFC_Quick_Check= YES}', "");
Expect(0, 772, '\p{NFC_Quick_Check= YES}', "");
Expect(1, 772, '\p{^NFC_Quick_Check= YES}', "");
Expect(1, 772, '\P{NFC_Quick_Check= YES}', "");
Expect(0, 772, '\P{^NFC_Quick_Check= YES}', "");
Error('\p{NFC_QC=:=		Y}');
Error('\P{NFC_QC=:=		Y}');
Expect(1, 767, '\p{NFC_QC=y}', "");
Expect(0, 767, '\p{^NFC_QC=y}', "");
Expect(0, 767, '\P{NFC_QC=y}', "");
Expect(1, 767, '\P{^NFC_QC=y}', "");
Expect(0, 772, '\p{NFC_QC=y}', "");
Expect(1, 772, '\p{^NFC_QC=y}', "");
Expect(1, 772, '\P{NFC_QC=y}', "");
Expect(0, 772, '\P{^NFC_QC=y}', "");
Expect(1, 767, '\p{NFC_QC=	Y}', "");
Expect(0, 767, '\p{^NFC_QC=	Y}', "");
Expect(0, 767, '\P{NFC_QC=	Y}', "");
Expect(1, 767, '\P{^NFC_QC=	Y}', "");
Expect(0, 772, '\p{NFC_QC=	Y}', "");
Expect(1, 772, '\p{^NFC_QC=	Y}', "");
Expect(1, 772, '\P{NFC_QC=	Y}', "");
Expect(0, 772, '\P{^NFC_QC=	Y}', "");
Error('\p{Is_NFC_Quick_Check=	-YES:=}');
Error('\P{Is_NFC_Quick_Check=	-YES:=}');
Expect(1, 767, '\p{Is_NFC_Quick_Check=yes}', "");
Expect(0, 767, '\p{^Is_NFC_Quick_Check=yes}', "");
Expect(0, 767, '\P{Is_NFC_Quick_Check=yes}', "");
Expect(1, 767, '\P{^Is_NFC_Quick_Check=yes}', "");
Expect(0, 772, '\p{Is_NFC_Quick_Check=yes}', "");
Expect(1, 772, '\p{^Is_NFC_Quick_Check=yes}', "");
Expect(1, 772, '\P{Is_NFC_Quick_Check=yes}', "");
Expect(0, 772, '\P{^Is_NFC_Quick_Check=yes}', "");
Expect(1, 767, '\p{Is_NFC_Quick_Check=_YES}', "");
Expect(0, 767, '\p{^Is_NFC_Quick_Check=_YES}', "");
Expect(0, 767, '\P{Is_NFC_Quick_Check=_YES}', "");
Expect(1, 767, '\P{^Is_NFC_Quick_Check=_YES}', "");
Expect(0, 772, '\p{Is_NFC_Quick_Check=_YES}', "");
Expect(1, 772, '\p{^Is_NFC_Quick_Check=_YES}', "");
Expect(1, 772, '\P{Is_NFC_Quick_Check=_YES}', "");
Expect(0, 772, '\P{^Is_NFC_Quick_Check=_YES}', "");
Error('\p{Is_NFC_QC:   -/a/Y}');
Error('\P{Is_NFC_QC:   -/a/Y}');
Expect(1, 767, '\p{Is_NFC_QC=y}', "");
Expect(0, 767, '\p{^Is_NFC_QC=y}', "");
Expect(0, 767, '\P{Is_NFC_QC=y}', "");
Expect(1, 767, '\P{^Is_NFC_QC=y}', "");
Expect(0, 772, '\p{Is_NFC_QC=y}', "");
Expect(1, 772, '\p{^Is_NFC_QC=y}', "");
Expect(1, 772, '\P{Is_NFC_QC=y}', "");
Expect(0, 772, '\P{^Is_NFC_QC=y}', "");
Expect(1, 767, '\p{Is_NFC_QC=_ Y}', "");
Expect(0, 767, '\p{^Is_NFC_QC=_ Y}', "");
Expect(0, 767, '\P{Is_NFC_QC=_ Y}', "");
Expect(1, 767, '\P{^Is_NFC_QC=_ Y}', "");
Expect(0, 772, '\p{Is_NFC_QC=_ Y}', "");
Expect(1, 772, '\p{^Is_NFC_QC=_ Y}', "");
Expect(1, 772, '\P{Is_NFC_QC=_ Y}', "");
Expect(0, 772, '\P{^Is_NFC_QC=_ Y}', "");
Error('\p{NFC_Quick_Check=_:=No}');
Error('\P{NFC_Quick_Check=_:=No}');
Expect(1, 833, '\p{NFC_Quick_Check=no}', "");
Expect(0, 833, '\p{^NFC_Quick_Check=no}', "");
Expect(0, 833, '\P{NFC_Quick_Check=no}', "");
Expect(1, 833, '\P{^NFC_Quick_Check=no}', "");
Expect(0, 831, '\p{NFC_Quick_Check=no}', "");
Expect(1, 831, '\p{^NFC_Quick_Check=no}', "");
Expect(1, 831, '\P{NFC_Quick_Check=no}', "");
Expect(0, 831, '\P{^NFC_Quick_Check=no}', "");
Expect(1, 833, '\p{NFC_Quick_Check=-_no}', "");
Expect(0, 833, '\p{^NFC_Quick_Check=-_no}', "");
Expect(0, 833, '\P{NFC_Quick_Check=-_no}', "");
Expect(1, 833, '\P{^NFC_Quick_Check=-_no}', "");
Expect(0, 831, '\p{NFC_Quick_Check=-_no}', "");
Expect(1, 831, '\p{^NFC_Quick_Check=-_no}', "");
Expect(1, 831, '\P{NFC_Quick_Check=-_no}', "");
Expect(0, 831, '\P{^NFC_Quick_Check=-_no}', "");
Error('\p{NFC_QC=:=	n}');
Error('\P{NFC_QC=:=	n}');
Expect(1, 833, '\p{NFC_QC=n}', "");
Expect(0, 833, '\p{^NFC_QC=n}', "");
Expect(0, 833, '\P{NFC_QC=n}', "");
Expect(1, 833, '\P{^NFC_QC=n}', "");
Expect(0, 831, '\p{NFC_QC=n}', "");
Expect(1, 831, '\p{^NFC_QC=n}', "");
Expect(1, 831, '\P{NFC_QC=n}', "");
Expect(0, 831, '\P{^NFC_QC=n}', "");
Expect(1, 833, '\p{NFC_QC:   	_N}', "");
Expect(0, 833, '\p{^NFC_QC:   	_N}', "");
Expect(0, 833, '\P{NFC_QC:   	_N}', "");
Expect(1, 833, '\P{^NFC_QC:   	_N}', "");
Expect(0, 831, '\p{NFC_QC:   	_N}', "");
Expect(1, 831, '\p{^NFC_QC:   	_N}', "");
Expect(1, 831, '\P{NFC_QC:   	_N}', "");
Expect(0, 831, '\P{^NFC_QC:   	_N}', "");
Error('\p{Is_NFC_Quick_Check=_:=no}');
Error('\P{Is_NFC_Quick_Check=_:=no}');
Expect(1, 833, '\p{Is_NFC_Quick_Check:no}', "");
Expect(0, 833, '\p{^Is_NFC_Quick_Check:no}', "");
Expect(0, 833, '\P{Is_NFC_Quick_Check:no}', "");
Expect(1, 833, '\P{^Is_NFC_Quick_Check:no}', "");
Expect(0, 831, '\p{Is_NFC_Quick_Check:no}', "");
Expect(1, 831, '\p{^Is_NFC_Quick_Check:no}', "");
Expect(1, 831, '\P{Is_NFC_Quick_Check:no}', "");
Expect(0, 831, '\P{^Is_NFC_Quick_Check:no}', "");
Expect(1, 833, '\p{Is_NFC_Quick_Check=	_No}', "");
Expect(0, 833, '\p{^Is_NFC_Quick_Check=	_No}', "");
Expect(0, 833, '\P{Is_NFC_Quick_Check=	_No}', "");
Expect(1, 833, '\P{^Is_NFC_Quick_Check=	_No}', "");
Expect(0, 831, '\p{Is_NFC_Quick_Check=	_No}', "");
Expect(1, 831, '\p{^Is_NFC_Quick_Check=	_No}', "");
Expect(1, 831, '\P{Is_NFC_Quick_Check=	_No}', "");
Expect(0, 831, '\P{^Is_NFC_Quick_Check=	_No}', "");
Error('\p{Is_NFC_QC:    	N/a/}');
Error('\P{Is_NFC_QC:    	N/a/}');
Expect(1, 833, '\p{Is_NFC_QC=n}', "");
Expect(0, 833, '\p{^Is_NFC_QC=n}', "");
Expect(0, 833, '\P{Is_NFC_QC=n}', "");
Expect(1, 833, '\P{^Is_NFC_QC=n}', "");
Expect(0, 831, '\p{Is_NFC_QC=n}', "");
Expect(1, 831, '\p{^Is_NFC_QC=n}', "");
Expect(1, 831, '\P{Is_NFC_QC=n}', "");
Expect(0, 831, '\P{^Is_NFC_QC=n}', "");
Expect(1, 833, '\p{Is_NFC_QC=--N}', "");
Expect(0, 833, '\p{^Is_NFC_QC=--N}', "");
Expect(0, 833, '\P{Is_NFC_QC=--N}', "");
Expect(1, 833, '\P{^Is_NFC_QC=--N}', "");
Expect(0, 831, '\p{Is_NFC_QC=--N}', "");
Expect(1, 831, '\p{^Is_NFC_QC=--N}', "");
Expect(1, 831, '\P{Is_NFC_QC=--N}', "");
Expect(0, 831, '\P{^Is_NFC_QC=--N}', "");
Error('\p{NFC_Quick_Check=/a/-	Maybe}');
Error('\P{NFC_Quick_Check=/a/-	Maybe}');
Expect(1, 772, '\p{NFC_Quick_Check=maybe}', "");
Expect(0, 772, '\p{^NFC_Quick_Check=maybe}', "");
Expect(0, 772, '\P{NFC_Quick_Check=maybe}', "");
Expect(1, 772, '\P{^NFC_Quick_Check=maybe}', "");
Expect(0, 767, '\p{NFC_Quick_Check=maybe}', "");
Expect(1, 767, '\p{^NFC_Quick_Check=maybe}', "");
Expect(1, 767, '\P{NFC_Quick_Check=maybe}', "");
Expect(0, 767, '\P{^NFC_Quick_Check=maybe}', "");
Expect(1, 772, '\p{NFC_Quick_Check= maybe}', "");
Expect(0, 772, '\p{^NFC_Quick_Check= maybe}', "");
Expect(0, 772, '\P{NFC_Quick_Check= maybe}', "");
Expect(1, 772, '\P{^NFC_Quick_Check= maybe}', "");
Expect(0, 767, '\p{NFC_Quick_Check= maybe}', "");
Expect(1, 767, '\p{^NFC_Quick_Check= maybe}', "");
Expect(1, 767, '\P{NFC_Quick_Check= maybe}', "");
Expect(0, 767, '\P{^NFC_Quick_Check= maybe}', "");
Error('\p{NFC_QC= M/a/}');
Error('\P{NFC_QC= M/a/}');
Expect(1, 772, '\p{NFC_QC=m}', "");
Expect(0, 772, '\p{^NFC_QC=m}', "");
Expect(0, 772, '\P{NFC_QC=m}', "");
Expect(1, 772, '\P{^NFC_QC=m}', "");
Expect(0, 767, '\p{NFC_QC=m}', "");
Expect(1, 767, '\p{^NFC_QC=m}', "");
Expect(1, 767, '\P{NFC_QC=m}', "");
Expect(0, 767, '\P{^NFC_QC=m}', "");
Expect(1, 772, '\p{NFC_QC=-	m}', "");
Expect(0, 772, '\p{^NFC_QC=-	m}', "");
Expect(0, 772, '\P{NFC_QC=-	m}', "");
Expect(1, 772, '\P{^NFC_QC=-	m}', "");
Expect(0, 767, '\p{NFC_QC=-	m}', "");
Expect(1, 767, '\p{^NFC_QC=-	m}', "");
Expect(1, 767, '\P{NFC_QC=-	m}', "");
Expect(0, 767, '\P{^NFC_QC=-	m}', "");
Error('\p{Is_NFC_Quick_Check=	_MAYBE:=}');
Error('\P{Is_NFC_Quick_Check=	_MAYBE:=}');
Expect(1, 772, '\p{Is_NFC_Quick_Check=maybe}', "");
Expect(0, 772, '\p{^Is_NFC_Quick_Check=maybe}', "");
Expect(0, 772, '\P{Is_NFC_Quick_Check=maybe}', "");
Expect(1, 772, '\P{^Is_NFC_Quick_Check=maybe}', "");
Expect(0, 767, '\p{Is_NFC_Quick_Check=maybe}', "");
Expect(1, 767, '\p{^Is_NFC_Quick_Check=maybe}', "");
Expect(1, 767, '\P{Is_NFC_Quick_Check=maybe}', "");
Expect(0, 767, '\P{^Is_NFC_Quick_Check=maybe}', "");
Expect(1, 772, '\p{Is_NFC_Quick_Check=_-MAYBE}', "");
Expect(0, 772, '\p{^Is_NFC_Quick_Check=_-MAYBE}', "");
Expect(0, 772, '\P{Is_NFC_Quick_Check=_-MAYBE}', "");
Expect(1, 772, '\P{^Is_NFC_Quick_Check=_-MAYBE}', "");
Expect(0, 767, '\p{Is_NFC_Quick_Check=_-MAYBE}', "");
Expect(1, 767, '\p{^Is_NFC_Quick_Check=_-MAYBE}', "");
Expect(1, 767, '\P{Is_NFC_Quick_Check=_-MAYBE}', "");
Expect(0, 767, '\P{^Is_NFC_Quick_Check=_-MAYBE}', "");
Error('\p{Is_NFC_QC=:=_	m}');
Error('\P{Is_NFC_QC=:=_	m}');
Expect(1, 772, '\p{Is_NFC_QC=m}', "");
Expect(0, 772, '\p{^Is_NFC_QC=m}', "");
Expect(0, 772, '\P{Is_NFC_QC=m}', "");
Expect(1, 772, '\P{^Is_NFC_QC=m}', "");
Expect(0, 767, '\p{Is_NFC_QC=m}', "");
Expect(1, 767, '\p{^Is_NFC_QC=m}', "");
Expect(1, 767, '\P{Is_NFC_QC=m}', "");
Expect(0, 767, '\P{^Is_NFC_QC=m}', "");
Expect(1, 772, '\p{Is_NFC_QC:   -	M}', "");
Expect(0, 772, '\p{^Is_NFC_QC:   -	M}', "");
Expect(0, 772, '\P{Is_NFC_QC:   -	M}', "");
Expect(1, 772, '\P{^Is_NFC_QC:   -	M}', "");
Expect(0, 767, '\p{Is_NFC_QC:   -	M}', "");
Expect(1, 767, '\p{^Is_NFC_QC:   -	M}', "");
Expect(1, 767, '\P{Is_NFC_QC:   -	M}', "");
Expect(0, 767, '\P{^Is_NFC_QC:   -	M}', "");
Error('\p{Word_Break=:=_Newline}');
Error('\P{Word_Break=:=_Newline}');
Expect(1, 12, '\p{Word_Break=newline}', "");
Expect(0, 12, '\p{^Word_Break=newline}', "");
Expect(0, 12, '\P{Word_Break=newline}', "");
Expect(1, 12, '\P{^Word_Break=newline}', "");
Expect(0, 10, '\p{Word_Break=newline}', "");
Expect(1, 10, '\p{^Word_Break=newline}', "");
Expect(1, 10, '\P{Word_Break=newline}', "");
Expect(0, 10, '\P{^Word_Break=newline}', "");
Expect(1, 12, '\p{Word_Break= Newline}', "");
Expect(0, 12, '\p{^Word_Break= Newline}', "");
Expect(0, 12, '\P{Word_Break= Newline}', "");
Expect(1, 12, '\P{^Word_Break= Newline}', "");
Expect(0, 10, '\p{Word_Break= Newline}', "");
Expect(1, 10, '\p{^Word_Break= Newline}', "");
Expect(1, 10, '\P{Word_Break= Newline}', "");
Expect(0, 10, '\P{^Word_Break= Newline}', "");
Error('\p{WB=	 NL:=}');
Error('\P{WB=	 NL:=}');
Expect(1, 12, '\p{WB=nl}', "");
Expect(0, 12, '\p{^WB=nl}', "");
Expect(0, 12, '\P{WB=nl}', "");
Expect(1, 12, '\P{^WB=nl}', "");
Expect(0, 10, '\p{WB=nl}', "");
Expect(1, 10, '\p{^WB=nl}', "");
Expect(1, 10, '\P{WB=nl}', "");
Expect(0, 10, '\P{^WB=nl}', "");
Expect(1, 12, '\p{WB=_NL}', "");
Expect(0, 12, '\p{^WB=_NL}', "");
Expect(0, 12, '\P{WB=_NL}', "");
Expect(1, 12, '\P{^WB=_NL}', "");
Expect(0, 10, '\p{WB=_NL}', "");
Expect(1, 10, '\p{^WB=_NL}', "");
Expect(1, 10, '\P{WB=_NL}', "");
Expect(0, 10, '\P{^WB=_NL}', "");
Error('\p{Is_Word_Break=/a/ 	newline}');
Error('\P{Is_Word_Break=/a/ 	newline}');
Expect(1, 12, '\p{Is_Word_Break=newline}', "");
Expect(0, 12, '\p{^Is_Word_Break=newline}', "");
Expect(0, 12, '\P{Is_Word_Break=newline}', "");
Expect(1, 12, '\P{^Is_Word_Break=newline}', "");
Expect(0, 10, '\p{Is_Word_Break=newline}', "");
Expect(1, 10, '\p{^Is_Word_Break=newline}', "");
Expect(1, 10, '\P{Is_Word_Break=newline}', "");
Expect(0, 10, '\P{^Is_Word_Break=newline}', "");
Expect(1, 12, '\p{Is_Word_Break= _Newline}', "");
Expect(0, 12, '\p{^Is_Word_Break= _Newline}', "");
Expect(0, 12, '\P{Is_Word_Break= _Newline}', "");
Expect(1, 12, '\P{^Is_Word_Break= _Newline}', "");
Expect(0, 10, '\p{Is_Word_Break= _Newline}', "");
Expect(1, 10, '\p{^Is_Word_Break= _Newline}', "");
Expect(1, 10, '\P{Is_Word_Break= _Newline}', "");
Expect(0, 10, '\P{^Is_Word_Break= _Newline}', "");
Error('\p{Is_WB=-/a/nl}');
Error('\P{Is_WB=-/a/nl}');
Expect(1, 12, '\p{Is_WB: nl}', "");
Expect(0, 12, '\p{^Is_WB: nl}', "");
Expect(0, 12, '\P{Is_WB: nl}', "");
Expect(1, 12, '\P{^Is_WB: nl}', "");
Expect(0, 10, '\p{Is_WB: nl}', "");
Expect(1, 10, '\p{^Is_WB: nl}', "");
Expect(1, 10, '\P{Is_WB: nl}', "");
Expect(0, 10, '\P{^Is_WB: nl}', "");
Expect(1, 12, '\p{Is_WB=-	NL}', "");
Expect(0, 12, '\p{^Is_WB=-	NL}', "");
Expect(0, 12, '\P{Is_WB=-	NL}', "");
Expect(1, 12, '\P{^Is_WB=-	NL}', "");
Expect(0, 10, '\p{Is_WB=-	NL}', "");
Expect(1, 10, '\p{^Is_WB=-	NL}', "");
Expect(1, 10, '\P{Is_WB=-	NL}', "");
Expect(0, 10, '\P{^Is_WB=-	NL}', "");
Error('\p{Word_Break=-/a/ALETTER}');
Error('\P{Word_Break=-/a/ALETTER}');
Expect(1, 90, '\p{Word_Break=aletter}', "");
Expect(0, 90, '\p{^Word_Break=aletter}', "");
Expect(0, 90, '\P{Word_Break=aletter}', "");
Expect(1, 90, '\P{^Word_Break=aletter}', "");
Expect(0, 64, '\p{Word_Break=aletter}', "");
Expect(1, 64, '\p{^Word_Break=aletter}', "");
Expect(1, 64, '\P{Word_Break=aletter}', "");
Expect(0, 64, '\P{^Word_Break=aletter}', "");
Expect(1, 90, '\p{Word_Break:	__ALetter}', "");
Expect(0, 90, '\p{^Word_Break:	__ALetter}', "");
Expect(0, 90, '\P{Word_Break:	__ALetter}', "");
Expect(1, 90, '\P{^Word_Break:	__ALetter}', "");
Expect(0, 64, '\p{Word_Break:	__ALetter}', "");
Expect(1, 64, '\p{^Word_Break:	__ALetter}', "");
Expect(1, 64, '\P{Word_Break:	__ALetter}', "");
Expect(0, 64, '\P{^Word_Break:	__ALetter}', "");
Error('\p{WB= /a/LE}');
Error('\P{WB= /a/LE}');
Expect(1, 90, '\p{WB=le}', "");
Expect(0, 90, '\p{^WB=le}', "");
Expect(0, 90, '\P{WB=le}', "");
Expect(1, 90, '\P{^WB=le}', "");
Expect(0, 64, '\p{WB=le}', "");
Expect(1, 64, '\p{^WB=le}', "");
Expect(1, 64, '\P{WB=le}', "");
Expect(0, 64, '\P{^WB=le}', "");
Expect(1, 90, '\p{WB= -LE}', "");
Expect(0, 90, '\p{^WB= -LE}', "");
Expect(0, 90, '\P{WB= -LE}', "");
Expect(1, 90, '\P{^WB= -LE}', "");
Expect(0, 64, '\p{WB= -LE}', "");
Expect(1, 64, '\p{^WB= -LE}', "");
Expect(1, 64, '\P{WB= -LE}', "");
Expect(0, 64, '\P{^WB= -LE}', "");
Error('\p{Is_Word_Break=- ALETTER/a/}');
Error('\P{Is_Word_Break=- ALETTER/a/}');
Expect(1, 90, '\p{Is_Word_Break=aletter}', "");
Expect(0, 90, '\p{^Is_Word_Break=aletter}', "");
Expect(0, 90, '\P{Is_Word_Break=aletter}', "");
Expect(1, 90, '\P{^Is_Word_Break=aletter}', "");
Expect(0, 64, '\p{Is_Word_Break=aletter}', "");
Expect(1, 64, '\p{^Is_Word_Break=aletter}', "");
Expect(1, 64, '\P{Is_Word_Break=aletter}', "");
Expect(0, 64, '\P{^Is_Word_Break=aletter}', "");
Expect(1, 90, '\p{Is_Word_Break: _	ALETTER}', "");
Expect(0, 90, '\p{^Is_Word_Break: _	ALETTER}', "");
Expect(0, 90, '\P{Is_Word_Break: _	ALETTER}', "");
Expect(1, 90, '\P{^Is_Word_Break: _	ALETTER}', "");
Expect(0, 64, '\p{Is_Word_Break: _	ALETTER}', "");
Expect(1, 64, '\p{^Is_Word_Break: _	ALETTER}', "");
Expect(1, 64, '\P{Is_Word_Break: _	ALETTER}', "");
Expect(0, 64, '\P{^Is_Word_Break: _	ALETTER}', "");
Error('\p{Is_WB=/a/_	LE}');
Error('\P{Is_WB=/a/_	LE}');
Expect(1, 90, '\p{Is_WB:le}', "");
Expect(0, 90, '\p{^Is_WB:le}', "");
Expect(0, 90, '\P{Is_WB:le}', "");
Expect(1, 90, '\P{^Is_WB:le}', "");
Expect(0, 64, '\p{Is_WB:le}', "");
Expect(1, 64, '\p{^Is_WB:le}', "");
Expect(1, 64, '\P{Is_WB:le}', "");
Expect(0, 64, '\P{^Is_WB:le}', "");
Expect(1, 90, '\p{Is_WB=  LE}', "");
Expect(0, 90, '\p{^Is_WB=  LE}', "");
Expect(0, 90, '\P{Is_WB=  LE}', "");
Expect(1, 90, '\P{^Is_WB=  LE}', "");
Expect(0, 64, '\p{Is_WB=  LE}', "");
Expect(1, 64, '\p{^Is_WB=  LE}', "");
Expect(1, 64, '\P{Is_WB=  LE}', "");
Expect(0, 64, '\P{^Is_WB=  LE}', "");
Error('\p{Word_Break::=CR}');
Error('\P{Word_Break::=CR}');
Expect(1, 13, '\p{Word_Break=cr}', "");
Expect(0, 13, '\p{^Word_Break=cr}', "");
Expect(0, 13, '\P{Word_Break=cr}', "");
Expect(1, 13, '\P{^Word_Break=cr}', "");
Expect(0, 12, '\p{Word_Break=cr}', "");
Expect(1, 12, '\p{^Word_Break=cr}', "");
Expect(1, 12, '\P{Word_Break=cr}', "");
Expect(0, 12, '\P{^Word_Break=cr}', "");
Expect(1, 13, '\p{Word_Break=_ cr}', "");
Expect(0, 13, '\p{^Word_Break=_ cr}', "");
Expect(0, 13, '\P{Word_Break=_ cr}', "");
Expect(1, 13, '\P{^Word_Break=_ cr}', "");
Expect(0, 12, '\p{Word_Break=_ cr}', "");
Expect(1, 12, '\p{^Word_Break=_ cr}', "");
Expect(1, 12, '\P{Word_Break=_ cr}', "");
Expect(0, 12, '\P{^Word_Break=_ cr}', "");
Error('\p{WB=		cr/a/}');
Error('\P{WB=		cr/a/}');
Expect(1, 13, '\p{WB=cr}', "");
Expect(0, 13, '\p{^WB=cr}', "");
Expect(0, 13, '\P{WB=cr}', "");
Expect(1, 13, '\P{^WB=cr}', "");
Expect(0, 12, '\p{WB=cr}', "");
Expect(1, 12, '\p{^WB=cr}', "");
Expect(1, 12, '\P{WB=cr}', "");
Expect(0, 12, '\P{^WB=cr}', "");
Expect(1, 13, '\p{WB=-	CR}', "");
Expect(0, 13, '\p{^WB=-	CR}', "");
Expect(0, 13, '\P{WB=-	CR}', "");
Expect(1, 13, '\P{^WB=-	CR}', "");
Expect(0, 12, '\p{WB=-	CR}', "");
Expect(1, 12, '\p{^WB=-	CR}', "");
Expect(1, 12, '\P{WB=-	CR}', "");
Expect(0, 12, '\P{^WB=-	CR}', "");
Error('\p{Is_Word_Break=:=	CR}');
Error('\P{Is_Word_Break=:=	CR}');
Expect(1, 13, '\p{Is_Word_Break=cr}', "");
Expect(0, 13, '\p{^Is_Word_Break=cr}', "");
Expect(0, 13, '\P{Is_Word_Break=cr}', "");
Expect(1, 13, '\P{^Is_Word_Break=cr}', "");
Expect(0, 12, '\p{Is_Word_Break=cr}', "");
Expect(1, 12, '\p{^Is_Word_Break=cr}', "");
Expect(1, 12, '\P{Is_Word_Break=cr}', "");
Expect(0, 12, '\P{^Is_Word_Break=cr}', "");
Expect(1, 13, '\p{Is_Word_Break=	CR}', "");
Expect(0, 13, '\p{^Is_Word_Break=	CR}', "");
Expect(0, 13, '\P{Is_Word_Break=	CR}', "");
Expect(1, 13, '\P{^Is_Word_Break=	CR}', "");
Expect(0, 12, '\p{Is_Word_Break=	CR}', "");
Expect(1, 12, '\p{^Is_Word_Break=	CR}', "");
Expect(1, 12, '\P{Is_Word_Break=	CR}', "");
Expect(0, 12, '\P{^Is_Word_Break=	CR}', "");
Error('\p{Is_WB=/a/CR}');
Error('\P{Is_WB=/a/CR}');
Expect(1, 13, '\p{Is_WB=cr}', "");
Expect(0, 13, '\p{^Is_WB=cr}', "");
Expect(0, 13, '\P{Is_WB=cr}', "");
Expect(1, 13, '\P{^Is_WB=cr}', "");
Expect(0, 12, '\p{Is_WB=cr}', "");
Expect(1, 12, '\p{^Is_WB=cr}', "");
Expect(1, 12, '\P{Is_WB=cr}', "");
Expect(0, 12, '\P{^Is_WB=cr}', "");
Expect(1, 13, '\p{Is_WB=  cr}', "");
Expect(0, 13, '\p{^Is_WB=  cr}', "");
Expect(0, 13, '\P{Is_WB=  cr}', "");
Expect(1, 13, '\P{^Is_WB=  cr}', "");
Expect(0, 12, '\p{Is_WB=  cr}', "");
Expect(1, 12, '\p{^Is_WB=  cr}', "");
Expect(1, 12, '\P{Is_WB=  cr}', "");
Expect(0, 12, '\P{^Is_WB=  cr}', "");
Error('\p{Word_Break= :=OTHER}');
Error('\P{Word_Break= :=OTHER}');
Expect(1, 9, '\p{Word_Break=other}', "");
Expect(0, 9, '\p{^Word_Break=other}', "");
Expect(0, 9, '\P{Word_Break=other}', "");
Expect(1, 9, '\P{^Word_Break=other}', "");
Expect(0, 13, '\p{Word_Break=other}', "");
Expect(1, 13, '\p{^Word_Break=other}', "");
Expect(1, 13, '\P{Word_Break=other}', "");
Expect(0, 13, '\P{^Word_Break=other}', "");
Expect(1, 9, '\p{Word_Break=-other}', "");
Expect(0, 9, '\p{^Word_Break=-other}', "");
Expect(0, 9, '\P{Word_Break=-other}', "");
Expect(1, 9, '\P{^Word_Break=-other}', "");
Expect(0, 13, '\p{Word_Break=-other}', "");
Expect(1, 13, '\p{^Word_Break=-other}', "");
Expect(1, 13, '\P{Word_Break=-other}', "");
Expect(0, 13, '\P{^Word_Break=-other}', "");
Error('\p{WB=/a/XX}');
Error('\P{WB=/a/XX}');
Expect(1, 9, '\p{WB=xx}', "");
Expect(0, 9, '\p{^WB=xx}', "");
Expect(0, 9, '\P{WB=xx}', "");
Expect(1, 9, '\P{^WB=xx}', "");
Expect(0, 13, '\p{WB=xx}', "");
Expect(1, 13, '\p{^WB=xx}', "");
Expect(1, 13, '\P{WB=xx}', "");
Expect(0, 13, '\P{^WB=xx}', "");
Expect(1, 9, '\p{WB= -xx}', "");
Expect(0, 9, '\p{^WB= -xx}', "");
Expect(0, 9, '\P{WB= -xx}', "");
Expect(1, 9, '\P{^WB= -xx}', "");
Expect(0, 13, '\p{WB= -xx}', "");
Expect(1, 13, '\p{^WB= -xx}', "");
Expect(1, 13, '\P{WB= -xx}', "");
Expect(0, 13, '\P{^WB= -xx}', "");
Error('\p{Is_Word_Break= -Other/a/}');
Error('\P{Is_Word_Break= -Other/a/}');
Expect(1, 9, '\p{Is_Word_Break=other}', "");
Expect(0, 9, '\p{^Is_Word_Break=other}', "");
Expect(0, 9, '\P{Is_Word_Break=other}', "");
Expect(1, 9, '\P{^Is_Word_Break=other}', "");
Expect(0, 13, '\p{Is_Word_Break=other}', "");
Expect(1, 13, '\p{^Is_Word_Break=other}', "");
Expect(1, 13, '\P{Is_Word_Break=other}', "");
Expect(0, 13, '\P{^Is_Word_Break=other}', "");
Expect(1, 9, '\p{Is_Word_Break:   - Other}', "");
Expect(0, 9, '\p{^Is_Word_Break:   - Other}', "");
Expect(0, 9, '\P{Is_Word_Break:   - Other}', "");
Expect(1, 9, '\P{^Is_Word_Break:   - Other}', "");
Expect(0, 13, '\p{Is_Word_Break:   - Other}', "");
Expect(1, 13, '\p{^Is_Word_Break:   - Other}', "");
Expect(1, 13, '\P{Is_Word_Break:   - Other}', "");
Expect(0, 13, '\P{^Is_Word_Break:   - Other}', "");
Error('\p{Is_WB=-:=XX}');
Error('\P{Is_WB=-:=XX}');
Expect(1, 9, '\p{Is_WB: xx}', "");
Expect(0, 9, '\p{^Is_WB: xx}', "");
Expect(0, 9, '\P{Is_WB: xx}', "");
Expect(1, 9, '\P{^Is_WB: xx}', "");
Expect(0, 13, '\p{Is_WB: xx}', "");
Expect(1, 13, '\p{^Is_WB: xx}', "");
Expect(1, 13, '\P{Is_WB: xx}', "");
Expect(0, 13, '\P{^Is_WB: xx}', "");
Expect(1, 9, '\p{Is_WB=_ XX}', "");
Expect(0, 9, '\p{^Is_WB=_ XX}', "");
Expect(0, 9, '\P{Is_WB=_ XX}', "");
Expect(1, 9, '\P{^Is_WB=_ XX}', "");
Expect(0, 13, '\p{Is_WB=_ XX}', "");
Expect(1, 13, '\p{^Is_WB=_ XX}', "");
Expect(1, 13, '\P{Is_WB=_ XX}', "");
Expect(0, 13, '\P{^Is_WB=_ XX}', "");
Error('\p{Word_Break=:=-Numeric}');
Error('\P{Word_Break=:=-Numeric}');
Expect(1, 57, '\p{Word_Break=numeric}', "");
Expect(0, 57, '\p{^Word_Break=numeric}', "");
Expect(0, 57, '\P{Word_Break=numeric}', "");
Expect(1, 57, '\P{^Word_Break=numeric}', "");
Expect(0, 47, '\p{Word_Break=numeric}', "");
Expect(1, 47, '\p{^Word_Break=numeric}', "");
Expect(1, 47, '\P{Word_Break=numeric}', "");
Expect(0, 47, '\P{^Word_Break=numeric}', "");
Expect(1, 57, '\p{Word_Break=-	numeric}', "");
Expect(0, 57, '\p{^Word_Break=-	numeric}', "");
Expect(0, 57, '\P{Word_Break=-	numeric}', "");
Expect(1, 57, '\P{^Word_Break=-	numeric}', "");
Expect(0, 47, '\p{Word_Break=-	numeric}', "");
Expect(1, 47, '\p{^Word_Break=-	numeric}', "");
Expect(1, 47, '\P{Word_Break=-	numeric}', "");
Expect(0, 47, '\P{^Word_Break=-	numeric}', "");
Error('\p{WB=nu/a/}');
Error('\P{WB=nu/a/}');
Expect(1, 57, '\p{WB=nu}', "");
Expect(0, 57, '\p{^WB=nu}', "");
Expect(0, 57, '\P{WB=nu}', "");
Expect(1, 57, '\P{^WB=nu}', "");
Expect(0, 47, '\p{WB=nu}', "");
Expect(1, 47, '\p{^WB=nu}', "");
Expect(1, 47, '\P{WB=nu}', "");
Expect(0, 47, '\P{^WB=nu}', "");
Expect(1, 57, '\p{WB=_NU}', "");
Expect(0, 57, '\p{^WB=_NU}', "");
Expect(0, 57, '\P{WB=_NU}', "");
Expect(1, 57, '\P{^WB=_NU}', "");
Expect(0, 47, '\p{WB=_NU}', "");
Expect(1, 47, '\p{^WB=_NU}', "");
Expect(1, 47, '\P{WB=_NU}', "");
Expect(0, 47, '\P{^WB=_NU}', "");
Error('\p{Is_Word_Break=/a/ 	Numeric}');
Error('\P{Is_Word_Break=/a/ 	Numeric}');
Expect(1, 57, '\p{Is_Word_Break=numeric}', "");
Expect(0, 57, '\p{^Is_Word_Break=numeric}', "");
Expect(0, 57, '\P{Is_Word_Break=numeric}', "");
Expect(1, 57, '\P{^Is_Word_Break=numeric}', "");
Expect(0, 47, '\p{Is_Word_Break=numeric}', "");
Expect(1, 47, '\p{^Is_Word_Break=numeric}', "");
Expect(1, 47, '\P{Is_Word_Break=numeric}', "");
Expect(0, 47, '\P{^Is_Word_Break=numeric}', "");
Expect(1, 57, '\p{Is_Word_Break=		Numeric}', "");
Expect(0, 57, '\p{^Is_Word_Break=		Numeric}', "");
Expect(0, 57, '\P{Is_Word_Break=		Numeric}', "");
Expect(1, 57, '\P{^Is_Word_Break=		Numeric}', "");
Expect(0, 47, '\p{Is_Word_Break=		Numeric}', "");
Expect(1, 47, '\p{^Is_Word_Break=		Numeric}', "");
Expect(1, 47, '\P{Is_Word_Break=		Numeric}', "");
Expect(0, 47, '\P{^Is_Word_Break=		Numeric}', "");
Error('\p{Is_WB=_	NU:=}');
Error('\P{Is_WB=_	NU:=}');
Expect(1, 57, '\p{Is_WB=nu}', "");
Expect(0, 57, '\p{^Is_WB=nu}', "");
Expect(0, 57, '\P{Is_WB=nu}', "");
Expect(1, 57, '\P{^Is_WB=nu}', "");
Expect(0, 47, '\p{Is_WB=nu}', "");
Expect(1, 47, '\p{^Is_WB=nu}', "");
Expect(1, 47, '\P{Is_WB=nu}', "");
Expect(0, 47, '\P{^Is_WB=nu}', "");
Expect(1, 57, '\p{Is_WB=- nu}', "");
Expect(0, 57, '\p{^Is_WB=- nu}', "");
Expect(0, 57, '\P{Is_WB=- nu}', "");
Expect(1, 57, '\P{^Is_WB=- nu}', "");
Expect(0, 47, '\p{Is_WB=- nu}', "");
Expect(1, 47, '\p{^Is_WB=- nu}', "");
Expect(1, 47, '\P{Is_WB=- nu}', "");
Expect(0, 47, '\P{^Is_WB=- nu}', "");
Error('\p{Word_Break=/a/Format}');
Error('\P{Word_Break=/a/Format}');
Expect(1, 173, '\p{Word_Break=format}', "");
Expect(0, 173, '\p{^Word_Break=format}', "");
Expect(0, 173, '\P{Word_Break=format}', "");
Expect(1, 173, '\P{^Word_Break=format}', "");
Expect(0, 172, '\p{Word_Break=format}', "");
Expect(1, 172, '\p{^Word_Break=format}', "");
Expect(1, 172, '\P{Word_Break=format}', "");
Expect(0, 172, '\P{^Word_Break=format}', "");
Expect(1, 173, '\p{Word_Break:   	Format}', "");
Expect(0, 173, '\p{^Word_Break:   	Format}', "");
Expect(0, 173, '\P{Word_Break:   	Format}', "");
Expect(1, 173, '\P{^Word_Break:   	Format}', "");
Expect(0, 172, '\p{Word_Break:   	Format}', "");
Expect(1, 172, '\p{^Word_Break:   	Format}', "");
Expect(1, 172, '\P{Word_Break:   	Format}', "");
Expect(0, 172, '\P{^Word_Break:   	Format}', "");
Error('\p{WB=_	FO:=}');
Error('\P{WB=_	FO:=}');
Expect(1, 173, '\p{WB=fo}', "");
Expect(0, 173, '\p{^WB=fo}', "");
Expect(0, 173, '\P{WB=fo}', "");
Expect(1, 173, '\P{^WB=fo}', "");
Expect(0, 172, '\p{WB=fo}', "");
Expect(1, 172, '\p{^WB=fo}', "");
Expect(1, 172, '\P{WB=fo}', "");
Expect(0, 172, '\P{^WB=fo}', "");
Expect(1, 173, '\p{WB:_FO}', "");
Expect(0, 173, '\p{^WB:_FO}', "");
Expect(0, 173, '\P{WB:_FO}', "");
Expect(1, 173, '\P{^WB:_FO}', "");
Expect(0, 172, '\p{WB:_FO}', "");
Expect(1, 172, '\p{^WB:_FO}', "");
Expect(1, 172, '\P{WB:_FO}', "");
Expect(0, 172, '\P{^WB:_FO}', "");
Error('\p{Is_Word_Break=/a/		Format}');
Error('\P{Is_Word_Break=/a/		Format}');
Expect(1, 173, '\p{Is_Word_Break:format}', "");
Expect(0, 173, '\p{^Is_Word_Break:format}', "");
Expect(0, 173, '\P{Is_Word_Break:format}', "");
Expect(1, 173, '\P{^Is_Word_Break:format}', "");
Expect(0, 172, '\p{Is_Word_Break:format}', "");
Expect(1, 172, '\p{^Is_Word_Break:format}', "");
Expect(1, 172, '\P{Is_Word_Break:format}', "");
Expect(0, 172, '\P{^Is_Word_Break:format}', "");
Expect(1, 173, '\p{Is_Word_Break= Format}', "");
Expect(0, 173, '\p{^Is_Word_Break= Format}', "");
Expect(0, 173, '\P{Is_Word_Break= Format}', "");
Expect(1, 173, '\P{^Is_Word_Break= Format}', "");
Expect(0, 172, '\p{Is_Word_Break= Format}', "");
Expect(1, 172, '\p{^Is_Word_Break= Format}', "");
Expect(1, 172, '\P{Is_Word_Break= Format}', "");
Expect(0, 172, '\P{^Is_Word_Break= Format}', "");
Error('\p{Is_WB= fo:=}');
Error('\P{Is_WB= fo:=}');
Expect(1, 173, '\p{Is_WB=fo}', "");
Expect(0, 173, '\p{^Is_WB=fo}', "");
Expect(0, 173, '\P{Is_WB=fo}', "");
Expect(1, 173, '\P{^Is_WB=fo}', "");
Expect(0, 172, '\p{Is_WB=fo}', "");
Expect(1, 172, '\p{^Is_WB=fo}', "");
Expect(1, 172, '\P{Is_WB=fo}', "");
Expect(0, 172, '\P{^Is_WB=fo}', "");
Expect(1, 173, '\p{Is_WB=-FO}', "");
Expect(0, 173, '\p{^Is_WB=-FO}', "");
Expect(0, 173, '\P{Is_WB=-FO}', "");
Expect(1, 173, '\P{^Is_WB=-FO}', "");
Expect(0, 172, '\p{Is_WB=-FO}', "");
Expect(1, 172, '\p{^Is_WB=-FO}', "");
Expect(1, 172, '\P{Is_WB=-FO}', "");
Expect(0, 172, '\P{^Is_WB=-FO}', "");
Error('\p{Word_Break=ExtendNumLet/a/}');
Error('\P{Word_Break=ExtendNumLet/a/}');
Expect(1, 95, '\p{Word_Break=extendnumlet}', "");
Expect(0, 95, '\p{^Word_Break=extendnumlet}', "");
Expect(0, 95, '\P{Word_Break=extendnumlet}', "");
Expect(1, 95, '\P{^Word_Break=extendnumlet}', "");
Expect(0, 94, '\p{Word_Break=extendnumlet}', "");
Expect(1, 94, '\p{^Word_Break=extendnumlet}', "");
Expect(1, 94, '\P{Word_Break=extendnumlet}', "");
Expect(0, 94, '\P{^Word_Break=extendnumlet}', "");
Expect(1, 95, '\p{Word_Break=_-EXTENDNUMLET}', "");
Expect(0, 95, '\p{^Word_Break=_-EXTENDNUMLET}', "");
Expect(0, 95, '\P{Word_Break=_-EXTENDNUMLET}', "");
Expect(1, 95, '\P{^Word_Break=_-EXTENDNUMLET}', "");
Expect(0, 94, '\p{Word_Break=_-EXTENDNUMLET}', "");
Expect(1, 94, '\p{^Word_Break=_-EXTENDNUMLET}', "");
Expect(1, 94, '\P{Word_Break=_-EXTENDNUMLET}', "");
Expect(0, 94, '\P{^Word_Break=_-EXTENDNUMLET}', "");
Error('\p{WB=:=	 ex}');
Error('\P{WB=:=	 ex}');
Expect(1, 95, '\p{WB:ex}', "");
Expect(0, 95, '\p{^WB:ex}', "");
Expect(0, 95, '\P{WB:ex}', "");
Expect(1, 95, '\P{^WB:ex}', "");
Expect(0, 94, '\p{WB:ex}', "");
Expect(1, 94, '\p{^WB:ex}', "");
Expect(1, 94, '\P{WB:ex}', "");
Expect(0, 94, '\P{^WB:ex}', "");
Expect(1, 95, '\p{WB= EX}', "");
Expect(0, 95, '\p{^WB= EX}', "");
Expect(0, 95, '\P{WB= EX}', "");
Expect(1, 95, '\P{^WB= EX}', "");
Expect(0, 94, '\p{WB= EX}', "");
Expect(1, 94, '\p{^WB= EX}', "");
Expect(1, 94, '\P{WB= EX}', "");
Expect(0, 94, '\P{^WB= EX}', "");
Error('\p{Is_Word_Break:    /a/ExtendNumLet}');
Error('\P{Is_Word_Break:    /a/ExtendNumLet}');
Expect(1, 95, '\p{Is_Word_Break=extendnumlet}', "");
Expect(0, 95, '\p{^Is_Word_Break=extendnumlet}', "");
Expect(0, 95, '\P{Is_Word_Break=extendnumlet}', "");
Expect(1, 95, '\P{^Is_Word_Break=extendnumlet}', "");
Expect(0, 94, '\p{Is_Word_Break=extendnumlet}', "");
Expect(1, 94, '\p{^Is_Word_Break=extendnumlet}', "");
Expect(1, 94, '\P{Is_Word_Break=extendnumlet}', "");
Expect(0, 94, '\P{^Is_Word_Break=extendnumlet}', "");
Error('\p{Is_WB=	:=EX}');
Error('\P{Is_WB=	:=EX}');
Expect(1, 95, '\p{Is_WB=ex}', "");
Expect(0, 95, '\p{^Is_WB=ex}', "");
Expect(0, 95, '\P{Is_WB=ex}', "");
Expect(1, 95, '\P{^Is_WB=ex}', "");
Expect(0, 94, '\p{Is_WB=ex}', "");
Expect(1, 94, '\p{^Is_WB=ex}', "");
Expect(1, 94, '\P{Is_WB=ex}', "");
Expect(0, 94, '\P{^Is_WB=ex}', "");
Expect(1, 95, '\p{Is_WB:  EX}', "");
Expect(0, 95, '\p{^Is_WB:  EX}', "");
Expect(0, 95, '\P{Is_WB:  EX}', "");
Expect(1, 95, '\P{^Is_WB:  EX}', "");
Expect(0, 94, '\p{Is_WB:  EX}', "");
Expect(1, 94, '\p{^Is_WB:  EX}', "");
Expect(1, 94, '\P{Is_WB:  EX}', "");
Expect(0, 94, '\P{^Is_WB:  EX}', "");
Error('\p{Word_Break=/a/-extend}');
Error('\P{Word_Break=/a/-extend}');
Expect(1, 879, '\p{Word_Break=extend}', "");
Expect(0, 879, '\p{^Word_Break=extend}', "");
Expect(0, 879, '\P{Word_Break=extend}', "");
Expect(1, 879, '\P{^Word_Break=extend}', "");
Expect(0, 767, '\p{Word_Break=extend}', "");
Expect(1, 767, '\p{^Word_Break=extend}', "");
Expect(1, 767, '\P{Word_Break=extend}', "");
Expect(0, 767, '\P{^Word_Break=extend}', "");
Expect(1, 879, '\p{Word_Break=_Extend}', "");
Expect(0, 879, '\p{^Word_Break=_Extend}', "");
Expect(0, 879, '\P{Word_Break=_Extend}', "");
Expect(1, 879, '\P{^Word_Break=_Extend}', "");
Expect(0, 767, '\p{Word_Break=_Extend}', "");
Expect(1, 767, '\p{^Word_Break=_Extend}', "");
Expect(1, 767, '\P{Word_Break=_Extend}', "");
Expect(0, 767, '\P{^Word_Break=_Extend}', "");
Error('\p{WB=-_Extend:=}');
Error('\P{WB=-_Extend:=}');
Expect(1, 879, '\p{WB: extend}', "");
Expect(0, 879, '\p{^WB: extend}', "");
Expect(0, 879, '\P{WB: extend}', "");
Expect(1, 879, '\P{^WB: extend}', "");
Expect(0, 767, '\p{WB: extend}', "");
Expect(1, 767, '\p{^WB: extend}', "");
Expect(1, 767, '\P{WB: extend}', "");
Expect(0, 767, '\P{^WB: extend}', "");
Expect(1, 879, '\p{WB=-extend}', "");
Expect(0, 879, '\p{^WB=-extend}', "");
Expect(0, 879, '\P{WB=-extend}', "");
Expect(1, 879, '\P{^WB=-extend}', "");
Expect(0, 767, '\p{WB=-extend}', "");
Expect(1, 767, '\p{^WB=-extend}', "");
Expect(1, 767, '\P{WB=-extend}', "");
Expect(0, 767, '\P{^WB=-extend}', "");
Error('\p{Is_Word_Break=-EXTEND/a/}');
Error('\P{Is_Word_Break=-EXTEND/a/}');
Expect(1, 879, '\p{Is_Word_Break:	extend}', "");
Expect(0, 879, '\p{^Is_Word_Break:	extend}', "");
Expect(0, 879, '\P{Is_Word_Break:	extend}', "");
Expect(1, 879, '\P{^Is_Word_Break:	extend}', "");
Expect(0, 767, '\p{Is_Word_Break:	extend}', "");
Expect(1, 767, '\p{^Is_Word_Break:	extend}', "");
Expect(1, 767, '\P{Is_Word_Break:	extend}', "");
Expect(0, 767, '\P{^Is_Word_Break:	extend}', "");
Expect(1, 879, '\p{Is_Word_Break=-extend}', "");
Expect(0, 879, '\p{^Is_Word_Break=-extend}', "");
Expect(0, 879, '\P{Is_Word_Break=-extend}', "");
Expect(1, 879, '\P{^Is_Word_Break=-extend}', "");
Expect(0, 767, '\p{Is_Word_Break=-extend}', "");
Expect(1, 767, '\p{^Is_Word_Break=-extend}', "");
Expect(1, 767, '\P{Is_Word_Break=-extend}', "");
Expect(0, 767, '\P{^Is_Word_Break=-extend}', "");
Error('\p{Is_WB=	:=Extend}');
Error('\P{Is_WB=	:=Extend}');
Expect(1, 879, '\p{Is_WB=extend}', "");
Expect(0, 879, '\p{^Is_WB=extend}', "");
Expect(0, 879, '\P{Is_WB=extend}', "");
Expect(1, 879, '\P{^Is_WB=extend}', "");
Expect(0, 767, '\p{Is_WB=extend}', "");
Expect(1, 767, '\p{^Is_WB=extend}', "");
Expect(1, 767, '\P{Is_WB=extend}', "");
Expect(0, 767, '\P{^Is_WB=extend}', "");
Expect(1, 879, '\p{Is_WB=-_EXTEND}', "");
Expect(0, 879, '\p{^Is_WB=-_EXTEND}', "");
Expect(0, 879, '\P{Is_WB=-_EXTEND}', "");
Expect(1, 879, '\P{^Is_WB=-_EXTEND}', "");
Expect(0, 767, '\p{Is_WB=-_EXTEND}', "");
Expect(1, 767, '\p{^Is_WB=-_EXTEND}', "");
Expect(1, 767, '\P{Is_WB=-_EXTEND}', "");
Expect(0, 767, '\P{^Is_WB=-_EXTEND}', "");
Error('\p{Word_Break=/a/MidLetter}');
Error('\P{Word_Break=/a/MidLetter}');
Expect(1, 58, '\p{Word_Break=midletter}', "");
Expect(0, 58, '\p{^Word_Break=midletter}', "");
Expect(0, 58, '\P{Word_Break=midletter}', "");
Expect(1, 58, '\P{^Word_Break=midletter}', "");
Expect(0, 57, '\p{Word_Break=midletter}', "");
Expect(1, 57, '\p{^Word_Break=midletter}', "");
Expect(1, 57, '\P{Word_Break=midletter}', "");
Expect(0, 57, '\P{^Word_Break=midletter}', "");
Expect(1, 58, '\p{Word_Break=--MidLetter}', "");
Expect(0, 58, '\p{^Word_Break=--MidLetter}', "");
Expect(0, 58, '\P{Word_Break=--MidLetter}', "");
Expect(1, 58, '\P{^Word_Break=--MidLetter}', "");
Expect(0, 57, '\p{Word_Break=--MidLetter}', "");
Expect(1, 57, '\p{^Word_Break=--MidLetter}', "");
Expect(1, 57, '\P{Word_Break=--MidLetter}', "");
Expect(0, 57, '\P{^Word_Break=--MidLetter}', "");
Error('\p{WB:    /a/ml}');
Error('\P{WB:    /a/ml}');
Expect(1, 58, '\p{WB=ml}', "");
Expect(0, 58, '\p{^WB=ml}', "");
Expect(0, 58, '\P{WB=ml}', "");
Expect(1, 58, '\P{^WB=ml}', "");
Expect(0, 57, '\p{WB=ml}', "");
Expect(1, 57, '\p{^WB=ml}', "");
Expect(1, 57, '\P{WB=ml}', "");
Expect(0, 57, '\P{^WB=ml}', "");
Expect(1, 58, '\p{WB= ML}', "");
Expect(0, 58, '\p{^WB= ML}', "");
Expect(0, 58, '\P{WB= ML}', "");
Expect(1, 58, '\P{^WB= ML}', "");
Expect(0, 57, '\p{WB= ML}', "");
Expect(1, 57, '\p{^WB= ML}', "");
Expect(1, 57, '\P{WB= ML}', "");
Expect(0, 57, '\P{^WB= ML}', "");
Error('\p{Is_Word_Break=:=	 midletter}');
Error('\P{Is_Word_Break=:=	 midletter}');
Expect(1, 58, '\p{Is_Word_Break=midletter}', "");
Expect(0, 58, '\p{^Is_Word_Break=midletter}', "");
Expect(0, 58, '\P{Is_Word_Break=midletter}', "");
Expect(1, 58, '\P{^Is_Word_Break=midletter}', "");
Expect(0, 57, '\p{Is_Word_Break=midletter}', "");
Expect(1, 57, '\p{^Is_Word_Break=midletter}', "");
Expect(1, 57, '\P{Is_Word_Break=midletter}', "");
Expect(0, 57, '\P{^Is_Word_Break=midletter}', "");
Expect(1, 58, '\p{Is_Word_Break= MidLetter}', "");
Expect(0, 58, '\p{^Is_Word_Break= MidLetter}', "");
Expect(0, 58, '\P{Is_Word_Break= MidLetter}', "");
Expect(1, 58, '\P{^Is_Word_Break= MidLetter}', "");
Expect(0, 57, '\p{Is_Word_Break= MidLetter}', "");
Expect(1, 57, '\p{^Is_Word_Break= MidLetter}', "");
Expect(1, 57, '\P{Is_Word_Break= MidLetter}', "");
Expect(0, 57, '\P{^Is_Word_Break= MidLetter}', "");
Error('\p{Is_WB=/a/_ml}');
Error('\P{Is_WB=/a/_ml}');
Expect(1, 58, '\p{Is_WB=ml}', "");
Expect(0, 58, '\p{^Is_WB=ml}', "");
Expect(0, 58, '\P{Is_WB=ml}', "");
Expect(1, 58, '\P{^Is_WB=ml}', "");
Expect(0, 57, '\p{Is_WB=ml}', "");
Expect(1, 57, '\p{^Is_WB=ml}', "");
Expect(1, 57, '\P{Is_WB=ml}', "");
Expect(0, 57, '\P{^Is_WB=ml}', "");
Expect(1, 58, '\p{Is_WB=-_ML}', "");
Expect(0, 58, '\p{^Is_WB=-_ML}', "");
Expect(0, 58, '\P{Is_WB=-_ML}', "");
Expect(1, 58, '\P{^Is_WB=-_ML}', "");
Expect(0, 57, '\p{Is_WB=-_ML}', "");
Expect(1, 57, '\p{^Is_WB=-_ML}', "");
Expect(1, 57, '\P{Is_WB=-_ML}', "");
Expect(0, 57, '\P{^Is_WB=-_ML}', "");
Error('\p{Word_Break: :=	 MIDNUMLET}');
Error('\P{Word_Break: :=	 MIDNUMLET}');
Expect(1, 39, '\p{Word_Break=midnumlet}', "");
Expect(0, 39, '\p{^Word_Break=midnumlet}', "");
Expect(0, 39, '\P{Word_Break=midnumlet}', "");
Expect(1, 39, '\P{^Word_Break=midnumlet}', "");
Expect(0, 38, '\p{Word_Break=midnumlet}', "");
Expect(1, 38, '\p{^Word_Break=midnumlet}', "");
Expect(1, 38, '\P{Word_Break=midnumlet}', "");
Expect(0, 38, '\P{^Word_Break=midnumlet}', "");
Expect(1, 39, '\p{Word_Break=	midnumlet}', "");
Expect(0, 39, '\p{^Word_Break=	midnumlet}', "");
Expect(0, 39, '\P{Word_Break=	midnumlet}', "");
Expect(1, 39, '\P{^Word_Break=	midnumlet}', "");
Expect(0, 38, '\p{Word_Break=	midnumlet}', "");
Expect(1, 38, '\p{^Word_Break=	midnumlet}', "");
Expect(1, 38, '\P{Word_Break=	midnumlet}', "");
Expect(0, 38, '\P{^Word_Break=	midnumlet}', "");
Error('\p{WB=/a/ MB}');
Error('\P{WB=/a/ MB}');
Expect(1, 39, '\p{WB: mb}', "");
Expect(0, 39, '\p{^WB: mb}', "");
Expect(0, 39, '\P{WB: mb}', "");
Expect(1, 39, '\P{^WB: mb}', "");
Expect(0, 38, '\p{WB: mb}', "");
Expect(1, 38, '\p{^WB: mb}', "");
Expect(1, 38, '\P{WB: mb}', "");
Expect(0, 38, '\P{^WB: mb}', "");
Expect(1, 39, '\p{WB=- MB}', "");
Expect(0, 39, '\p{^WB=- MB}', "");
Expect(0, 39, '\P{WB=- MB}', "");
Expect(1, 39, '\P{^WB=- MB}', "");
Expect(0, 38, '\p{WB=- MB}', "");
Expect(1, 38, '\p{^WB=- MB}', "");
Expect(1, 38, '\P{WB=- MB}', "");
Expect(0, 38, '\P{^WB=- MB}', "");
Error('\p{Is_Word_Break:	/a/_ MIDNUMLET}');
Error('\P{Is_Word_Break:	/a/_ MIDNUMLET}');
Expect(1, 39, '\p{Is_Word_Break=midnumlet}', "");
Expect(0, 39, '\p{^Is_Word_Break=midnumlet}', "");
Expect(0, 39, '\P{Is_Word_Break=midnumlet}', "");
Expect(1, 39, '\P{^Is_Word_Break=midnumlet}', "");
Expect(0, 38, '\p{Is_Word_Break=midnumlet}', "");
Expect(1, 38, '\p{^Is_Word_Break=midnumlet}', "");
Expect(1, 38, '\P{Is_Word_Break=midnumlet}', "");
Expect(0, 38, '\P{^Is_Word_Break=midnumlet}', "");
Expect(1, 39, '\p{Is_Word_Break=	MidNumLet}', "");
Expect(0, 39, '\p{^Is_Word_Break=	MidNumLet}', "");
Expect(0, 39, '\P{Is_Word_Break=	MidNumLet}', "");
Expect(1, 39, '\P{^Is_Word_Break=	MidNumLet}', "");
Expect(0, 38, '\p{Is_Word_Break=	MidNumLet}', "");
Expect(1, 38, '\p{^Is_Word_Break=	MidNumLet}', "");
Expect(1, 38, '\P{Is_Word_Break=	MidNumLet}', "");
Expect(0, 38, '\P{^Is_Word_Break=	MidNumLet}', "");
Error('\p{Is_WB=:=_	MB}');
Error('\P{Is_WB=:=_	MB}');
Expect(1, 39, '\p{Is_WB=mb}', "");
Expect(0, 39, '\p{^Is_WB=mb}', "");
Expect(0, 39, '\P{Is_WB=mb}', "");
Expect(1, 39, '\P{^Is_WB=mb}', "");
Expect(0, 38, '\p{Is_WB=mb}', "");
Expect(1, 38, '\p{^Is_WB=mb}', "");
Expect(1, 38, '\P{Is_WB=mb}', "");
Expect(0, 38, '\P{^Is_WB=mb}', "");
Expect(1, 39, '\p{Is_WB=-mb}', "");
Expect(0, 39, '\p{^Is_WB=-mb}', "");
Expect(0, 39, '\P{Is_WB=-mb}', "");
Expect(1, 39, '\P{^Is_WB=-mb}', "");
Expect(0, 38, '\p{Is_WB=-mb}', "");
Expect(1, 38, '\p{^Is_WB=-mb}', "");
Expect(1, 38, '\P{Is_WB=-mb}', "");
Expect(0, 38, '\P{^Is_WB=-mb}', "");
Error('\p{Word_Break=_/a/MidNum}');
Error('\P{Word_Break=_/a/MidNum}');
Expect(1, 44, '\p{Word_Break=midnum}', "");
Expect(0, 44, '\p{^Word_Break=midnum}', "");
Expect(0, 44, '\P{Word_Break=midnum}', "");
Expect(1, 44, '\P{^Word_Break=midnum}', "");
Expect(0, 43, '\p{Word_Break=midnum}', "");
Expect(1, 43, '\p{^Word_Break=midnum}', "");
Expect(1, 43, '\P{Word_Break=midnum}', "");
Expect(0, 43, '\P{^Word_Break=midnum}', "");
Expect(1, 44, '\p{Word_Break= 	MidNum}', "");
Expect(0, 44, '\p{^Word_Break= 	MidNum}', "");
Expect(0, 44, '\P{Word_Break= 	MidNum}', "");
Expect(1, 44, '\P{^Word_Break= 	MidNum}', "");
Expect(0, 43, '\p{Word_Break= 	MidNum}', "");
Expect(1, 43, '\p{^Word_Break= 	MidNum}', "");
Expect(1, 43, '\P{Word_Break= 	MidNum}', "");
Expect(0, 43, '\P{^Word_Break= 	MidNum}', "");
Error('\p{WB=-/a/MN}');
Error('\P{WB=-/a/MN}');
Expect(1, 44, '\p{WB=mn}', "");
Expect(0, 44, '\p{^WB=mn}', "");
Expect(0, 44, '\P{WB=mn}', "");
Expect(1, 44, '\P{^WB=mn}', "");
Expect(0, 43, '\p{WB=mn}', "");
Expect(1, 43, '\p{^WB=mn}', "");
Expect(1, 43, '\P{WB=mn}', "");
Expect(0, 43, '\P{^WB=mn}', "");
Expect(1, 44, '\p{WB:	mn}', "");
Expect(0, 44, '\p{^WB:	mn}', "");
Expect(0, 44, '\P{WB:	mn}', "");
Expect(1, 44, '\P{^WB:	mn}', "");
Expect(0, 43, '\p{WB:	mn}', "");
Expect(1, 43, '\p{^WB:	mn}', "");
Expect(1, 43, '\P{WB:	mn}', "");
Expect(0, 43, '\P{^WB:	mn}', "");
Error('\p{Is_Word_Break=/a/ 	MIDNUM}');
Error('\P{Is_Word_Break=/a/ 	MIDNUM}');
Expect(1, 44, '\p{Is_Word_Break=midnum}', "");
Expect(0, 44, '\p{^Is_Word_Break=midnum}', "");
Expect(0, 44, '\P{Is_Word_Break=midnum}', "");
Expect(1, 44, '\P{^Is_Word_Break=midnum}', "");
Expect(0, 43, '\p{Is_Word_Break=midnum}', "");
Expect(1, 43, '\p{^Is_Word_Break=midnum}', "");
Expect(1, 43, '\P{Is_Word_Break=midnum}', "");
Expect(0, 43, '\P{^Is_Word_Break=midnum}', "");
Expect(1, 44, '\p{Is_Word_Break=__MIDNUM}', "");
Expect(0, 44, '\p{^Is_Word_Break=__MIDNUM}', "");
Expect(0, 44, '\P{Is_Word_Break=__MIDNUM}', "");
Expect(1, 44, '\P{^Is_Word_Break=__MIDNUM}', "");
Expect(0, 43, '\p{Is_Word_Break=__MIDNUM}', "");
Expect(1, 43, '\p{^Is_Word_Break=__MIDNUM}', "");
Expect(1, 43, '\P{Is_Word_Break=__MIDNUM}', "");
Expect(0, 43, '\P{^Is_Word_Break=__MIDNUM}', "");
Error('\p{Is_WB=--mn/a/}');
Error('\P{Is_WB=--mn/a/}');
Expect(1, 44, '\p{Is_WB: mn}', "");
Expect(0, 44, '\p{^Is_WB: mn}', "");
Expect(0, 44, '\P{Is_WB: mn}', "");
Expect(1, 44, '\P{^Is_WB: mn}', "");
Expect(0, 43, '\p{Is_WB: mn}', "");
Expect(1, 43, '\p{^Is_WB: mn}', "");
Expect(1, 43, '\P{Is_WB: mn}', "");
Expect(0, 43, '\P{^Is_WB: mn}', "");
Expect(1, 44, '\p{Is_WB:-MN}', "");
Expect(0, 44, '\p{^Is_WB:-MN}', "");
Expect(0, 44, '\P{Is_WB:-MN}', "");
Expect(1, 44, '\P{^Is_WB:-MN}', "");
Expect(0, 43, '\p{Is_WB:-MN}', "");
Expect(1, 43, '\p{^Is_WB:-MN}', "");
Expect(1, 43, '\P{Is_WB:-MN}', "");
Expect(0, 43, '\P{^Is_WB:-MN}', "");
Error('\p{Word_Break=_Katakana/a/}');
Error('\P{Word_Break=_Katakana/a/}');
Expect(1, 12341, '\p{Word_Break=katakana}', "");
Expect(0, 12341, '\p{^Word_Break=katakana}', "");
Expect(0, 12341, '\P{Word_Break=katakana}', "");
Expect(1, 12341, '\P{^Word_Break=katakana}', "");
Expect(0, 12336, '\p{Word_Break=katakana}', "");
Expect(1, 12336, '\p{^Word_Break=katakana}', "");
Expect(1, 12336, '\P{Word_Break=katakana}', "");
Expect(0, 12336, '\P{^Word_Break=katakana}', "");
Expect(1, 12341, '\p{Word_Break=_	katakana}', "");
Expect(0, 12341, '\p{^Word_Break=_	katakana}', "");
Expect(0, 12341, '\P{Word_Break=_	katakana}', "");
Expect(1, 12341, '\P{^Word_Break=_	katakana}', "");
Expect(0, 12336, '\p{Word_Break=_	katakana}', "");
Expect(1, 12336, '\p{^Word_Break=_	katakana}', "");
Expect(1, 12336, '\P{Word_Break=_	katakana}', "");
Expect(0, 12336, '\P{^Word_Break=_	katakana}', "");
Error('\p{WB=-:=KA}');
Error('\P{WB=-:=KA}');
Expect(1, 12341, '\p{WB=ka}', "");
Expect(0, 12341, '\p{^WB=ka}', "");
Expect(0, 12341, '\P{WB=ka}', "");
Expect(1, 12341, '\P{^WB=ka}', "");
Expect(0, 12336, '\p{WB=ka}', "");
Expect(1, 12336, '\p{^WB=ka}', "");
Expect(1, 12336, '\P{WB=ka}', "");
Expect(0, 12336, '\P{^WB=ka}', "");
Expect(1, 12341, '\p{WB= KA}', "");
Expect(0, 12341, '\p{^WB= KA}', "");
Expect(0, 12341, '\P{WB= KA}', "");
Expect(1, 12341, '\P{^WB= KA}', "");
Expect(0, 12336, '\p{WB= KA}', "");
Expect(1, 12336, '\p{^WB= KA}', "");
Expect(1, 12336, '\P{WB= KA}', "");
Expect(0, 12336, '\P{^WB= KA}', "");
Error('\p{Is_Word_Break= :=Katakana}');
Error('\P{Is_Word_Break= :=Katakana}');
Expect(1, 12341, '\p{Is_Word_Break=katakana}', "");
Expect(0, 12341, '\p{^Is_Word_Break=katakana}', "");
Expect(0, 12341, '\P{Is_Word_Break=katakana}', "");
Expect(1, 12341, '\P{^Is_Word_Break=katakana}', "");
Expect(0, 12336, '\p{Is_Word_Break=katakana}', "");
Expect(1, 12336, '\p{^Is_Word_Break=katakana}', "");
Expect(1, 12336, '\P{Is_Word_Break=katakana}', "");
Expect(0, 12336, '\P{^Is_Word_Break=katakana}', "");
Expect(1, 12341, '\p{Is_Word_Break=_-KATAKANA}', "");
Expect(0, 12341, '\p{^Is_Word_Break=_-KATAKANA}', "");
Expect(0, 12341, '\P{Is_Word_Break=_-KATAKANA}', "");
Expect(1, 12341, '\P{^Is_Word_Break=_-KATAKANA}', "");
Expect(0, 12336, '\p{Is_Word_Break=_-KATAKANA}', "");
Expect(1, 12336, '\p{^Is_Word_Break=_-KATAKANA}', "");
Expect(1, 12336, '\P{Is_Word_Break=_-KATAKANA}', "");
Expect(0, 12336, '\P{^Is_Word_Break=_-KATAKANA}', "");
Error('\p{Is_WB= ka/a/}');
Error('\P{Is_WB= ka/a/}');
Expect(1, 12341, '\p{Is_WB=ka}', "");
Expect(0, 12341, '\p{^Is_WB=ka}', "");
Expect(0, 12341, '\P{Is_WB=ka}', "");
Expect(1, 12341, '\P{^Is_WB=ka}', "");
Expect(0, 12336, '\p{Is_WB=ka}', "");
Expect(1, 12336, '\p{^Is_WB=ka}', "");
Expect(1, 12336, '\P{Is_WB=ka}', "");
Expect(0, 12336, '\P{^Is_WB=ka}', "");
Expect(1, 12341, '\p{Is_WB=	KA}', "");
Expect(0, 12341, '\p{^Is_WB=	KA}', "");
Expect(0, 12341, '\P{Is_WB=	KA}', "");
Expect(1, 12341, '\P{^Is_WB=	KA}', "");
Expect(0, 12336, '\p{Is_WB=	KA}', "");
Expect(1, 12336, '\p{^Is_WB=	KA}', "");
Expect(1, 12336, '\P{Is_WB=	KA}', "");
Expect(0, 12336, '\P{^Is_WB=	KA}', "");
Error('\p{Word_Break=:=--LF}');
Error('\P{Word_Break=:=--LF}');
Expect(1, 10, '\p{Word_Break=lf}', "");
Expect(0, 10, '\p{^Word_Break=lf}', "");
Expect(0, 10, '\P{Word_Break=lf}', "");
Expect(1, 10, '\P{^Word_Break=lf}', "");
Expect(0, 9, '\p{Word_Break=lf}', "");
Expect(1, 9, '\p{^Word_Break=lf}', "");
Expect(1, 9, '\P{Word_Break=lf}', "");
Expect(0, 9, '\P{^Word_Break=lf}', "");
Expect(1, 10, '\p{Word_Break=_	LF}', "");
Expect(0, 10, '\p{^Word_Break=_	LF}', "");
Expect(0, 10, '\P{Word_Break=_	LF}', "");
Expect(1, 10, '\P{^Word_Break=_	LF}', "");
Expect(0, 9, '\p{Word_Break=_	LF}', "");
Expect(1, 9, '\p{^Word_Break=_	LF}', "");
Expect(1, 9, '\P{Word_Break=_	LF}', "");
Expect(0, 9, '\P{^Word_Break=_	LF}', "");
Error('\p{WB=_/a/LF}');
Error('\P{WB=_/a/LF}');
Expect(1, 10, '\p{WB=lf}', "");
Expect(0, 10, '\p{^WB=lf}', "");
Expect(0, 10, '\P{WB=lf}', "");
Expect(1, 10, '\P{^WB=lf}', "");
Expect(0, 9, '\p{WB=lf}', "");
Expect(1, 9, '\p{^WB=lf}', "");
Expect(1, 9, '\P{WB=lf}', "");
Expect(0, 9, '\P{^WB=lf}', "");
Expect(1, 10, '\p{WB=_-lf}', "");
Expect(0, 10, '\p{^WB=_-lf}', "");
Expect(0, 10, '\P{WB=_-lf}', "");
Expect(1, 10, '\P{^WB=_-lf}', "");
Expect(0, 9, '\p{WB=_-lf}', "");
Expect(1, 9, '\p{^WB=_-lf}', "");
Expect(1, 9, '\P{WB=_-lf}', "");
Expect(0, 9, '\P{^WB=_-lf}', "");
Error('\p{Is_Word_Break= 	lf:=}');
Error('\P{Is_Word_Break= 	lf:=}');
Expect(1, 10, '\p{Is_Word_Break=lf}', "");
Expect(0, 10, '\p{^Is_Word_Break=lf}', "");
Expect(0, 10, '\P{Is_Word_Break=lf}', "");
Expect(1, 10, '\P{^Is_Word_Break=lf}', "");
Expect(0, 9, '\p{Is_Word_Break=lf}', "");
Expect(1, 9, '\p{^Is_Word_Break=lf}', "");
Expect(1, 9, '\P{Is_Word_Break=lf}', "");
Expect(0, 9, '\P{^Is_Word_Break=lf}', "");
Expect(1, 10, '\p{Is_Word_Break=	lf}', "");
Expect(0, 10, '\p{^Is_Word_Break=	lf}', "");
Expect(0, 10, '\P{Is_Word_Break=	lf}', "");
Expect(1, 10, '\P{^Is_Word_Break=	lf}', "");
Expect(0, 9, '\p{Is_Word_Break=	lf}', "");
Expect(1, 9, '\p{^Is_Word_Break=	lf}', "");
Expect(1, 9, '\P{Is_Word_Break=	lf}', "");
Expect(0, 9, '\P{^Is_Word_Break=	lf}', "");
Error('\p{Is_WB:		_LF:=}');
Error('\P{Is_WB:		_LF:=}');
Expect(1, 10, '\p{Is_WB=lf}', "");
Expect(0, 10, '\p{^Is_WB=lf}', "");
Expect(0, 10, '\P{Is_WB=lf}', "");
Expect(1, 10, '\P{^Is_WB=lf}', "");
Expect(0, 9, '\p{Is_WB=lf}', "");
Expect(1, 9, '\p{^Is_WB=lf}', "");
Expect(1, 9, '\P{Is_WB=lf}', "");
Expect(0, 9, '\P{^Is_WB=lf}', "");
Expect(1, 10, '\p{Is_WB=- LF}', "");
Expect(0, 10, '\p{^Is_WB=- LF}', "");
Expect(0, 10, '\P{Is_WB=- LF}', "");
Expect(1, 10, '\P{^Is_WB=- LF}', "");
Expect(0, 9, '\p{Is_WB=- LF}', "");
Expect(1, 9, '\p{^Is_WB=- LF}', "");
Expect(1, 9, '\P{Is_WB=- LF}', "");
Expect(0, 9, '\P{^Is_WB=- LF}', "");
Error('\p{Changes_When_Casefolded=/a/-Yes}');
Error('\P{Changes_When_Casefolded=/a/-Yes}');
Expect(1, 90, '\p{Changes_When_Casefolded=yes}', "");
Expect(0, 90, '\p{^Changes_When_Casefolded=yes}', "");
Expect(0, 90, '\P{Changes_When_Casefolded=yes}', "");
Expect(1, 90, '\P{^Changes_When_Casefolded=yes}', "");
Expect(0, 64, '\p{Changes_When_Casefolded=yes}', "");
Expect(1, 64, '\p{^Changes_When_Casefolded=yes}', "");
Expect(1, 64, '\P{Changes_When_Casefolded=yes}', "");
Expect(0, 64, '\P{^Changes_When_Casefolded=yes}', "");
Expect(1, 90, '\p{Changes_When_Casefolded=-Yes}', "");
Expect(0, 90, '\p{^Changes_When_Casefolded=-Yes}', "");
Expect(0, 90, '\P{Changes_When_Casefolded=-Yes}', "");
Expect(1, 90, '\P{^Changes_When_Casefolded=-Yes}', "");
Expect(0, 64, '\p{Changes_When_Casefolded=-Yes}', "");
Expect(1, 64, '\p{^Changes_When_Casefolded=-Yes}', "");
Expect(1, 64, '\P{Changes_When_Casefolded=-Yes}', "");
Expect(0, 64, '\P{^Changes_When_Casefolded=-Yes}', "");
Error('\p{CWCF= /a/y}');
Error('\P{CWCF= /a/y}');
Expect(1, 90, '\p{CWCF=y}', "");
Expect(0, 90, '\p{^CWCF=y}', "");
Expect(0, 90, '\P{CWCF=y}', "");
Expect(1, 90, '\P{^CWCF=y}', "");
Expect(0, 64, '\p{CWCF=y}', "");
Expect(1, 64, '\p{^CWCF=y}', "");
Expect(1, 64, '\P{CWCF=y}', "");
Expect(0, 64, '\P{^CWCF=y}', "");
Expect(1, 90, '\p{CWCF=--Y}', "");
Expect(0, 90, '\p{^CWCF=--Y}', "");
Expect(0, 90, '\P{CWCF=--Y}', "");
Expect(1, 90, '\P{^CWCF=--Y}', "");
Expect(0, 64, '\p{CWCF=--Y}', "");
Expect(1, 64, '\p{^CWCF=--Y}', "");
Expect(1, 64, '\P{CWCF=--Y}', "");
Expect(0, 64, '\P{^CWCF=--Y}', "");
Error('\p{Is_Changes_When_Casefolded=-:=T}');
Error('\P{Is_Changes_When_Casefolded=-:=T}');
Expect(1, 90, '\p{Is_Changes_When_Casefolded=t}', "");
Expect(0, 90, '\p{^Is_Changes_When_Casefolded=t}', "");
Expect(0, 90, '\P{Is_Changes_When_Casefolded=t}', "");
Expect(1, 90, '\P{^Is_Changes_When_Casefolded=t}', "");
Expect(0, 64, '\p{Is_Changes_When_Casefolded=t}', "");
Expect(1, 64, '\p{^Is_Changes_When_Casefolded=t}', "");
Expect(1, 64, '\P{Is_Changes_When_Casefolded=t}', "");
Expect(0, 64, '\P{^Is_Changes_When_Casefolded=t}', "");
Expect(1, 90, '\p{Is_Changes_When_Casefolded=-	T}', "");
Expect(0, 90, '\p{^Is_Changes_When_Casefolded=-	T}', "");
Expect(0, 90, '\P{Is_Changes_When_Casefolded=-	T}', "");
Expect(1, 90, '\P{^Is_Changes_When_Casefolded=-	T}', "");
Expect(0, 64, '\p{Is_Changes_When_Casefolded=-	T}', "");
Expect(1, 64, '\p{^Is_Changes_When_Casefolded=-	T}', "");
Expect(1, 64, '\P{Is_Changes_When_Casefolded=-	T}', "");
Expect(0, 64, '\P{^Is_Changes_When_Casefolded=-	T}', "");
Error('\p{Is_CWCF=/a/ _true}');
Error('\P{Is_CWCF=/a/ _true}');
Expect(1, 90, '\p{Is_CWCF=true}', "");
Expect(0, 90, '\p{^Is_CWCF=true}', "");
Expect(0, 90, '\P{Is_CWCF=true}', "");
Expect(1, 90, '\P{^Is_CWCF=true}', "");
Expect(0, 64, '\p{Is_CWCF=true}', "");
Expect(1, 64, '\p{^Is_CWCF=true}', "");
Expect(1, 64, '\P{Is_CWCF=true}', "");
Expect(0, 64, '\P{^Is_CWCF=true}', "");
Expect(1, 90, '\p{Is_CWCF=  true}', "");
Expect(0, 90, '\p{^Is_CWCF=  true}', "");
Expect(0, 90, '\P{Is_CWCF=  true}', "");
Expect(1, 90, '\P{^Is_CWCF=  true}', "");
Expect(0, 64, '\p{Is_CWCF=  true}', "");
Expect(1, 64, '\p{^Is_CWCF=  true}', "");
Expect(1, 64, '\P{Is_CWCF=  true}', "");
Expect(0, 64, '\P{^Is_CWCF=  true}', "");
Error('\p{Changes_When_Casefolded=	/a/NO}');
Error('\P{Changes_When_Casefolded=	/a/NO}');
Expect(1, 64, '\p{Changes_When_Casefolded=no}', "");
Expect(0, 64, '\p{^Changes_When_Casefolded=no}', "");
Expect(0, 64, '\P{Changes_When_Casefolded=no}', "");
Expect(1, 64, '\P{^Changes_When_Casefolded=no}', "");
Expect(0, 90, '\p{Changes_When_Casefolded=no}', "");
Expect(1, 90, '\p{^Changes_When_Casefolded=no}', "");
Expect(1, 90, '\P{Changes_When_Casefolded=no}', "");
Expect(0, 90, '\P{^Changes_When_Casefolded=no}', "");
Expect(1, 64, '\p{Changes_When_Casefolded= NO}', "");
Expect(0, 64, '\p{^Changes_When_Casefolded= NO}', "");
Expect(0, 64, '\P{Changes_When_Casefolded= NO}', "");
Expect(1, 64, '\P{^Changes_When_Casefolded= NO}', "");
Expect(0, 90, '\p{Changes_When_Casefolded= NO}', "");
Expect(1, 90, '\p{^Changes_When_Casefolded= NO}', "");
Expect(1, 90, '\P{Changes_When_Casefolded= NO}', "");
Expect(0, 90, '\P{^Changes_When_Casefolded= NO}', "");
Error('\p{CWCF= -N:=}');
Error('\P{CWCF= -N:=}');
Expect(1, 64, '\p{CWCF=n}', "");
Expect(0, 64, '\p{^CWCF=n}', "");
Expect(0, 64, '\P{CWCF=n}', "");
Expect(1, 64, '\P{^CWCF=n}', "");
Expect(0, 90, '\p{CWCF=n}', "");
Expect(1, 90, '\p{^CWCF=n}', "");
Expect(1, 90, '\P{CWCF=n}', "");
Expect(0, 90, '\P{^CWCF=n}', "");
Expect(1, 64, '\p{CWCF=--n}', "");
Expect(0, 64, '\p{^CWCF=--n}', "");
Expect(0, 64, '\P{CWCF=--n}', "");
Expect(1, 64, '\P{^CWCF=--n}', "");
Expect(0, 90, '\p{CWCF=--n}', "");
Expect(1, 90, '\p{^CWCF=--n}', "");
Expect(1, 90, '\P{CWCF=--n}', "");
Expect(0, 90, '\P{^CWCF=--n}', "");
Error('\p{Is_Changes_When_Casefolded=_F/a/}');
Error('\P{Is_Changes_When_Casefolded=_F/a/}');
Expect(1, 64, '\p{Is_Changes_When_Casefolded=f}', "");
Expect(0, 64, '\p{^Is_Changes_When_Casefolded=f}', "");
Expect(0, 64, '\P{Is_Changes_When_Casefolded=f}', "");
Expect(1, 64, '\P{^Is_Changes_When_Casefolded=f}', "");
Expect(0, 90, '\p{Is_Changes_When_Casefolded=f}', "");
Expect(1, 90, '\p{^Is_Changes_When_Casefolded=f}', "");
Expect(1, 90, '\P{Is_Changes_When_Casefolded=f}', "");
Expect(0, 90, '\P{^Is_Changes_When_Casefolded=f}', "");
Expect(1, 64, '\p{Is_Changes_When_Casefolded:		-F}', "");
Expect(0, 64, '\p{^Is_Changes_When_Casefolded:		-F}', "");
Expect(0, 64, '\P{Is_Changes_When_Casefolded:		-F}', "");
Expect(1, 64, '\P{^Is_Changes_When_Casefolded:		-F}', "");
Expect(0, 90, '\p{Is_Changes_When_Casefolded:		-F}', "");
Expect(1, 90, '\p{^Is_Changes_When_Casefolded:		-F}', "");
Expect(1, 90, '\P{Is_Changes_When_Casefolded:		-F}', "");
Expect(0, 90, '\P{^Is_Changes_When_Casefolded:		-F}', "");
Error('\p{Is_CWCF=/a/	_False}');
Error('\P{Is_CWCF=/a/	_False}');
Expect(1, 64, '\p{Is_CWCF=false}', "");
Expect(0, 64, '\p{^Is_CWCF=false}', "");
Expect(0, 64, '\P{Is_CWCF=false}', "");
Expect(1, 64, '\P{^Is_CWCF=false}', "");
Expect(0, 90, '\p{Is_CWCF=false}', "");
Expect(1, 90, '\p{^Is_CWCF=false}', "");
Expect(1, 90, '\P{Is_CWCF=false}', "");
Expect(0, 90, '\P{^Is_CWCF=false}', "");
Expect(1, 64, '\p{Is_CWCF=	 False}', "");
Expect(0, 64, '\p{^Is_CWCF=	 False}', "");
Expect(0, 64, '\P{Is_CWCF=	 False}', "");
Expect(1, 64, '\P{^Is_CWCF=	 False}', "");
Expect(0, 90, '\p{Is_CWCF=	 False}', "");
Expect(1, 90, '\p{^Is_CWCF=	 False}', "");
Expect(1, 90, '\P{Is_CWCF=	 False}', "");
Expect(0, 90, '\P{^Is_CWCF=	 False}', "");
Error('\p{	Gothic:=}');
Error('\P{	Gothic:=}');
Expect(1, 66378, '\p{gothic}', "");
Expect(0, 66378, '\p{^gothic}', "");
Expect(0, 66378, '\P{gothic}', "");
Expect(1, 66378, '\P{^gothic}', "");
Expect(0, 66351, '\p{gothic}', "");
Expect(1, 66351, '\p{^gothic}', "");
Expect(1, 66351, '\P{gothic}', "");
Expect(0, 66351, '\P{^gothic}', "");
Expect(1, 66378, '\p{ -Gothic}', "");
Expect(0, 66378, '\p{^ -Gothic}', "");
Expect(0, 66378, '\P{ -Gothic}', "");
Expect(1, 66378, '\P{^ -Gothic}', "");
Expect(0, 66351, '\p{ -Gothic}', "");
Expect(1, 66351, '\p{^ -Gothic}', "");
Expect(1, 66351, '\P{ -Gothic}', "");
Expect(0, 66351, '\P{^ -Gothic}', "");
Error('\p{	/a/Is	Gothic}');
Error('\P{	/a/Is	Gothic}');
Expect(1, 66378, '\p{isgothic}', "");
Expect(0, 66378, '\p{^isgothic}', "");
Expect(0, 66378, '\P{isgothic}', "");
Expect(1, 66378, '\P{^isgothic}', "");
Expect(0, 66351, '\p{isgothic}', "");
Expect(1, 66351, '\p{^isgothic}', "");
Expect(1, 66351, '\P{isgothic}', "");
Expect(0, 66351, '\P{^isgothic}', "");
Expect(1, 66378, '\p{-Is_Gothic}', "");
Expect(0, 66378, '\p{^-Is_Gothic}', "");
Expect(0, 66378, '\P{-Is_Gothic}', "");
Expect(1, 66378, '\P{^-Is_Gothic}', "");
Expect(0, 66351, '\p{-Is_Gothic}', "");
Expect(1, 66351, '\p{^-Is_Gothic}', "");
Expect(1, 66351, '\P{-Is_Gothic}', "");
Expect(0, 66351, '\P{^-Is_Gothic}', "");
Error('\p{-:=goth}');
Error('\P{-:=goth}');
Expect(1, 66378, '\p{goth}', "");
Expect(0, 66378, '\p{^goth}', "");
Expect(0, 66378, '\P{goth}', "");
Expect(1, 66378, '\P{^goth}', "");
Expect(0, 66351, '\p{goth}', "");
Expect(1, 66351, '\p{^goth}', "");
Expect(1, 66351, '\P{goth}', "");
Expect(0, 66351, '\P{^goth}', "");
Expect(1, 66378, '\p{ 	Goth}', "");
Expect(0, 66378, '\p{^ 	Goth}', "");
Expect(0, 66378, '\P{ 	Goth}', "");
Expect(1, 66378, '\P{^ 	Goth}', "");
Expect(0, 66351, '\p{ 	Goth}', "");
Expect(1, 66351, '\p{^ 	Goth}', "");
Expect(1, 66351, '\P{ 	Goth}', "");
Expect(0, 66351, '\P{^ 	Goth}', "");
Error('\p{-/a/is-GOTH}');
Error('\P{-/a/is-GOTH}');
Expect(1, 66378, '\p{isgoth}', "");
Expect(0, 66378, '\p{^isgoth}', "");
Expect(0, 66378, '\P{isgoth}', "");
Expect(1, 66378, '\P{^isgoth}', "");
Expect(0, 66351, '\p{isgoth}', "");
Expect(1, 66351, '\p{^isgoth}', "");
Expect(1, 66351, '\P{isgoth}', "");
Expect(0, 66351, '\P{^isgoth}', "");
Expect(1, 66378, '\p{-IsGoth}', "");
Expect(0, 66378, '\p{^-IsGoth}', "");
Expect(0, 66378, '\P{-IsGoth}', "");
Expect(1, 66378, '\P{^-IsGoth}', "");
Expect(0, 66351, '\p{-IsGoth}', "");
Expect(1, 66351, '\p{^-IsGoth}', "");
Expect(1, 66351, '\P{-IsGoth}', "");
Expect(0, 66351, '\P{^-IsGoth}', "");
Error('\p{_:=BLANK}');
Error('\P{_:=BLANK}');
Expect(1, 9, '\p{blank}', "");
Expect(0, 9, '\p{^blank}', "");
Expect(0, 9, '\P{blank}', "");
Expect(1, 9, '\P{^blank}', "");
Expect(0, 8, '\p{blank}', "");
Expect(1, 8, '\p{^blank}', "");
Expect(1, 8, '\P{blank}', "");
Expect(0, 8, '\P{^blank}', "");
Expect(1, 9, '\p{Blank}', "");
Expect(0, 9, '\p{^Blank}', "");
Expect(0, 9, '\P{Blank}', "");
Expect(1, 9, '\P{^Blank}', "");
Expect(0, 8, '\p{Blank}', "");
Expect(1, 8, '\p{^Blank}', "");
Expect(1, 8, '\P{Blank}', "");
Expect(0, 8, '\P{^Blank}', "");
Error('\p{:=_	HORIZSPACE}');
Error('\P{:=_	HORIZSPACE}');
Expect(1, 9, '\p{horizspace}', "");
Expect(0, 9, '\p{^horizspace}', "");
Expect(0, 9, '\P{horizspace}', "");
Expect(1, 9, '\P{^horizspace}', "");
Expect(0, 8, '\p{horizspace}', "");
Expect(1, 8, '\p{^horizspace}', "");
Expect(1, 8, '\P{horizspace}', "");
Expect(0, 8, '\P{^horizspace}', "");
Expect(1, 9, '\p{_	horizspace}', "");
Expect(0, 9, '\p{^_	horizspace}', "");
Expect(0, 9, '\P{_	horizspace}', "");
Expect(1, 9, '\P{^_	horizspace}', "");
Expect(0, 8, '\p{_	horizspace}', "");
Expect(1, 8, '\p{^_	horizspace}', "");
Expect(1, 8, '\P{_	horizspace}', "");
Expect(0, 8, '\P{^_	horizspace}', "");
Error('\p{_/a/IS	blank}');
Error('\P{_/a/IS	blank}');
Expect(1, 9, '\p{isblank}', "");
Expect(0, 9, '\p{^isblank}', "");
Expect(0, 9, '\P{isblank}', "");
Expect(1, 9, '\P{^isblank}', "");
Expect(0, 8, '\p{isblank}', "");
Expect(1, 8, '\p{^isblank}', "");
Expect(1, 8, '\P{isblank}', "");
Expect(0, 8, '\P{^isblank}', "");
Expect(1, 9, '\p{--IsBlank}', "");
Expect(0, 9, '\p{^--IsBlank}', "");
Expect(0, 9, '\P{--IsBlank}', "");
Expect(1, 9, '\P{^--IsBlank}', "");
Expect(0, 8, '\p{--IsBlank}', "");
Expect(1, 8, '\p{^--IsBlank}', "");
Expect(1, 8, '\P{--IsBlank}', "");
Expect(0, 8, '\P{^--IsBlank}', "");
Error('\p{ :=Is_HORIZSPACE}');
Error('\P{ :=Is_HORIZSPACE}');
Expect(1, 9, '\p{ishorizspace}', "");
Expect(0, 9, '\p{^ishorizspace}', "");
Expect(0, 9, '\P{ishorizspace}', "");
Expect(1, 9, '\P{^ishorizspace}', "");
Expect(0, 8, '\p{ishorizspace}', "");
Expect(1, 8, '\p{^ishorizspace}', "");
Expect(1, 8, '\P{ishorizspace}', "");
Expect(0, 8, '\P{^ishorizspace}', "");
Expect(1, 9, '\p{  IsHorizSpace}', "");
Expect(0, 9, '\p{^  IsHorizSpace}', "");
Expect(0, 9, '\P{  IsHorizSpace}', "");
Expect(1, 9, '\P{^  IsHorizSpace}', "");
Expect(0, 8, '\p{  IsHorizSpace}', "");
Expect(1, 8, '\p{^  IsHorizSpace}', "");
Expect(1, 8, '\P{  IsHorizSpace}', "");
Expect(0, 8, '\P{^  IsHorizSpace}', "");
Error('\p{	 Combiningdiacritical	MARKS:=}');
Error('\P{	 Combiningdiacritical	MARKS:=}');
Expect(1, 879, '\p{combiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^combiningdiacriticalmarks}', "");
Expect(0, 879, '\P{combiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^combiningdiacriticalmarks}', "");
Expect(0, 767, '\p{combiningdiacriticalmarks}', "");
Expect(1, 767, '\p{^combiningdiacriticalmarks}', "");
Expect(1, 767, '\P{combiningdiacriticalmarks}', "");
Expect(0, 767, '\P{^combiningdiacriticalmarks}', "");
Expect(1, 879, '\p{_-Combining DIACRITICALMARKS}', "");
Expect(0, 879, '\p{^_-Combining DIACRITICALMARKS}', "");
Expect(0, 879, '\P{_-Combining DIACRITICALMARKS}', "");
Expect(1, 879, '\P{^_-Combining DIACRITICALMARKS}', "");
Expect(0, 767, '\p{_-Combining DIACRITICALMARKS}', "");
Expect(1, 767, '\p{^_-Combining DIACRITICALMARKS}', "");
Expect(1, 767, '\P{_-Combining DIACRITICALMARKS}', "");
Expect(0, 767, '\P{^_-Combining DIACRITICALMARKS}', "");
Error('\p{ Is_COMBININGDiacritical/a/marks}');
Error('\P{ Is_COMBININGDiacritical/a/marks}');
Expect(1, 879, '\p{iscombiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^iscombiningdiacriticalmarks}', "");
Expect(0, 879, '\P{iscombiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^iscombiningdiacriticalmarks}', "");
Expect(0, 767, '\p{iscombiningdiacriticalmarks}', "");
Expect(1, 767, '\p{^iscombiningdiacriticalmarks}', "");
Expect(1, 767, '\P{iscombiningdiacriticalmarks}', "");
Expect(0, 767, '\P{^iscombiningdiacriticalmarks}', "");
Expect(1, 879, '\p{_IS Combining Diacritical_marks}', "");
Expect(0, 879, '\p{^_IS Combining Diacritical_marks}', "");
Expect(0, 879, '\P{_IS Combining Diacritical_marks}', "");
Expect(1, 879, '\P{^_IS Combining Diacritical_marks}', "");
Expect(0, 767, '\p{_IS Combining Diacritical_marks}', "");
Expect(1, 767, '\p{^_IS Combining Diacritical_marks}', "");
Expect(1, 767, '\P{_IS Combining Diacritical_marks}', "");
Expect(0, 767, '\P{^_IS Combining Diacritical_marks}', "");
Error('\p{_/a/InCOMBININGDiacritical	Marks}');
Error('\P{_/a/InCOMBININGDiacritical	Marks}');
Expect(1, 879, '\p{incombiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^incombiningdiacriticalmarks}', "");
Expect(0, 879, '\P{incombiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^incombiningdiacriticalmarks}', "");
Expect(0, 767, '\p{incombiningdiacriticalmarks}', "");
Expect(1, 767, '\p{^incombiningdiacriticalmarks}', "");
Expect(1, 767, '\P{incombiningdiacriticalmarks}', "");
Expect(0, 767, '\P{^incombiningdiacriticalmarks}', "");
Expect(1, 879, '\p{-In-combiningDiacritical	MARKS}', "");
Expect(0, 879, '\p{^-In-combiningDiacritical	MARKS}', "");
Expect(0, 879, '\P{-In-combiningDiacritical	MARKS}', "");
Expect(1, 879, '\P{^-In-combiningDiacritical	MARKS}', "");
Expect(0, 767, '\p{-In-combiningDiacritical	MARKS}', "");
Expect(1, 767, '\p{^-In-combiningDiacritical	MARKS}', "");
Expect(1, 767, '\P{-In-combiningDiacritical	MARKS}', "");
Expect(0, 767, '\P{^-In-combiningDiacritical	MARKS}', "");
Error('\p{-INSCRIPTIONAL-Parthian/a/}');
Error('\P{-INSCRIPTIONAL-Parthian/a/}');
Expect(1, 68437, '\p{inscriptionalparthian}', "");
Expect(0, 68437, '\p{^inscriptionalparthian}', "");
Expect(0, 68437, '\P{inscriptionalparthian}', "");
Expect(1, 68437, '\P{^inscriptionalparthian}', "");
Expect(0, 68415, '\p{inscriptionalparthian}', "");
Expect(1, 68415, '\p{^inscriptionalparthian}', "");
Expect(1, 68415, '\P{inscriptionalparthian}', "");
Expect(0, 68415, '\P{^inscriptionalparthian}', "");
Expect(1, 68437, '\p{_	inscriptional PARTHIAN}', "");
Expect(0, 68437, '\p{^_	inscriptional PARTHIAN}', "");
Expect(0, 68437, '\P{_	inscriptional PARTHIAN}', "");
Expect(1, 68437, '\P{^_	inscriptional PARTHIAN}', "");
Expect(0, 68415, '\p{_	inscriptional PARTHIAN}', "");
Expect(1, 68415, '\p{^_	inscriptional PARTHIAN}', "");
Expect(1, 68415, '\P{_	inscriptional PARTHIAN}', "");
Expect(0, 68415, '\P{^_	inscriptional PARTHIAN}', "");
Error('\p{  isInscriptional/a/Parthian}');
Error('\P{  isInscriptional/a/Parthian}');
Expect(1, 68437, '\p{isinscriptionalparthian}', "");
Expect(0, 68437, '\p{^isinscriptionalparthian}', "");
Expect(0, 68437, '\P{isinscriptionalparthian}', "");
Expect(1, 68437, '\P{^isinscriptionalparthian}', "");
Expect(0, 68415, '\p{isinscriptionalparthian}', "");
Expect(1, 68415, '\p{^isinscriptionalparthian}', "");
Expect(1, 68415, '\P{isinscriptionalparthian}', "");
Expect(0, 68415, '\P{^isinscriptionalparthian}', "");
Expect(1, 68437, '\p{	Is-inscriptional_Parthian}', "");
Expect(0, 68437, '\p{^	Is-inscriptional_Parthian}', "");
Expect(0, 68437, '\P{	Is-inscriptional_Parthian}', "");
Expect(1, 68437, '\P{^	Is-inscriptional_Parthian}', "");
Expect(0, 68415, '\p{	Is-inscriptional_Parthian}', "");
Expect(1, 68415, '\p{^	Is-inscriptional_Parthian}', "");
Expect(1, 68415, '\P{	Is-inscriptional_Parthian}', "");
Expect(0, 68415, '\P{^	Is-inscriptional_Parthian}', "");
Error('\p{ PRTI:=}');
Error('\P{ PRTI:=}');
Expect(1, 68437, '\p{prti}', "");
Expect(0, 68437, '\p{^prti}', "");
Expect(0, 68437, '\P{prti}', "");
Expect(1, 68437, '\P{^prti}', "");
Expect(0, 68415, '\p{prti}', "");
Expect(1, 68415, '\p{^prti}', "");
Expect(1, 68415, '\P{prti}', "");
Expect(0, 68415, '\P{^prti}', "");
Expect(1, 68437, '\p{_Prti}', "");
Expect(0, 68437, '\p{^_Prti}', "");
Expect(0, 68437, '\P{_Prti}', "");
Expect(1, 68437, '\P{^_Prti}', "");
Expect(0, 68415, '\p{_Prti}', "");
Expect(1, 68415, '\p{^_Prti}', "");
Expect(1, 68415, '\P{_Prti}', "");
Expect(0, 68415, '\P{^_Prti}', "");
Error('\p{_:=Is Prti}');
Error('\P{_:=Is Prti}');
Expect(1, 68437, '\p{isprti}', "");
Expect(0, 68437, '\p{^isprti}', "");
Expect(0, 68437, '\P{isprti}', "");
Expect(1, 68437, '\P{^isprti}', "");
Expect(0, 68415, '\p{isprti}', "");
Expect(1, 68415, '\p{^isprti}', "");
Expect(1, 68415, '\P{isprti}', "");
Expect(0, 68415, '\P{^isprti}', "");
Expect(1, 68437, '\p{_	Is	PRTI}', "");
Expect(0, 68437, '\p{^_	Is	PRTI}', "");
Expect(0, 68437, '\P{_	Is	PRTI}', "");
Expect(1, 68437, '\P{^_	Is	PRTI}', "");
Expect(0, 68415, '\p{_	Is	PRTI}', "");
Expect(1, 68415, '\p{^_	Is	PRTI}', "");
Expect(1, 68415, '\P{_	Is	PRTI}', "");
Expect(0, 68415, '\P{^_	Is	PRTI}', "");
Error('\p{ :=Devanagari	EXTENDED}');
Error('\P{ :=Devanagari	EXTENDED}');
Expect(1, 43263, '\p{devanagariextended}', "");
Expect(0, 43263, '\p{^devanagariextended}', "");
Expect(0, 43263, '\P{devanagariextended}', "");
Expect(1, 43263, '\P{^devanagariextended}', "");
Expect(0, 43231, '\p{devanagariextended}', "");
Expect(1, 43231, '\p{^devanagariextended}', "");
Expect(1, 43231, '\P{devanagariextended}', "");
Expect(0, 43231, '\P{^devanagariextended}', "");
Expect(1, 43263, '\p{-_DEVANAGARI-EXTENDED}', "");
Expect(0, 43263, '\p{^-_DEVANAGARI-EXTENDED}', "");
Expect(0, 43263, '\P{-_DEVANAGARI-EXTENDED}', "");
Expect(1, 43263, '\P{^-_DEVANAGARI-EXTENDED}', "");
Expect(0, 43231, '\p{-_DEVANAGARI-EXTENDED}', "");
Expect(1, 43231, '\p{^-_DEVANAGARI-EXTENDED}', "");
Expect(1, 43231, '\P{-_DEVANAGARI-EXTENDED}', "");
Expect(0, 43231, '\P{^-_DEVANAGARI-EXTENDED}', "");
Error('\p{_ IS Devanagari/a/EXTENDED}');
Error('\P{_ IS Devanagari/a/EXTENDED}');
Expect(1, 43263, '\p{isdevanagariextended}', "");
Expect(0, 43263, '\p{^isdevanagariextended}', "");
Expect(0, 43263, '\P{isdevanagariextended}', "");
Expect(1, 43263, '\P{^isdevanagariextended}', "");
Expect(0, 43231, '\p{isdevanagariextended}', "");
Expect(1, 43231, '\p{^isdevanagariextended}', "");
Expect(1, 43231, '\P{isdevanagariextended}', "");
Expect(0, 43231, '\P{^isdevanagariextended}', "");
Expect(1, 43263, '\p{ -isDevanagari	Extended}', "");
Expect(0, 43263, '\p{^ -isDevanagari	Extended}', "");
Expect(0, 43263, '\P{ -isDevanagari	Extended}', "");
Expect(1, 43263, '\P{^ -isDevanagari	Extended}', "");
Expect(0, 43231, '\p{ -isDevanagari	Extended}', "");
Expect(1, 43231, '\p{^ -isDevanagari	Extended}', "");
Expect(1, 43231, '\P{ -isDevanagari	Extended}', "");
Expect(0, 43231, '\P{^ -isDevanagari	Extended}', "");
Error('\p{_ In:=devanagari-extended}');
Error('\P{_ In:=devanagari-extended}');
Expect(1, 43263, '\p{indevanagariextended}', "");
Expect(0, 43263, '\p{^indevanagariextended}', "");
Expect(0, 43263, '\P{indevanagariextended}', "");
Expect(1, 43263, '\P{^indevanagariextended}', "");
Expect(0, 43231, '\p{indevanagariextended}', "");
Expect(1, 43231, '\p{^indevanagariextended}', "");
Expect(1, 43231, '\P{indevanagariextended}', "");
Expect(0, 43231, '\P{^indevanagariextended}', "");
Expect(1, 43263, '\p{-	IN_Devanagari	Extended}', "");
Expect(0, 43263, '\p{^-	IN_Devanagari	Extended}', "");
Expect(0, 43263, '\P{-	IN_Devanagari	Extended}', "");
Expect(1, 43263, '\P{^-	IN_Devanagari	Extended}', "");
Expect(0, 43231, '\p{-	IN_Devanagari	Extended}', "");
Expect(1, 43231, '\p{^-	IN_Devanagari	Extended}', "");
Expect(1, 43231, '\P{-	IN_Devanagari	Extended}', "");
Expect(0, 43231, '\P{^-	IN_Devanagari	Extended}', "");
Error('\p{ -ethiopic/a/Supplement}');
Error('\P{ -ethiopic/a/Supplement}');
Expect(1, 5023, '\p{ethiopicsupplement}', "");
Expect(0, 5023, '\p{^ethiopicsupplement}', "");
Expect(0, 5023, '\P{ethiopicsupplement}', "");
Expect(1, 5023, '\P{^ethiopicsupplement}', "");
Expect(0, 4991, '\p{ethiopicsupplement}', "");
Expect(1, 4991, '\p{^ethiopicsupplement}', "");
Expect(1, 4991, '\P{ethiopicsupplement}', "");
Expect(0, 4991, '\P{^ethiopicsupplement}', "");
Expect(1, 5023, '\p{_ Ethiopic Supplement}', "");
Expect(0, 5023, '\p{^_ Ethiopic Supplement}', "");
Expect(0, 5023, '\P{_ Ethiopic Supplement}', "");
Expect(1, 5023, '\P{^_ Ethiopic Supplement}', "");
Expect(0, 4991, '\p{_ Ethiopic Supplement}', "");
Expect(1, 4991, '\p{^_ Ethiopic Supplement}', "");
Expect(1, 4991, '\P{_ Ethiopic Supplement}', "");
Expect(0, 4991, '\P{^_ Ethiopic Supplement}', "");
Error('\p{-_Is	Ethiopic:=Supplement}');
Error('\P{-_Is	Ethiopic:=Supplement}');
Expect(1, 5023, '\p{isethiopicsupplement}', "");
Expect(0, 5023, '\p{^isethiopicsupplement}', "");
Expect(0, 5023, '\P{isethiopicsupplement}', "");
Expect(1, 5023, '\P{^isethiopicsupplement}', "");
Expect(0, 4991, '\p{isethiopicsupplement}', "");
Expect(1, 4991, '\p{^isethiopicsupplement}', "");
Expect(1, 4991, '\P{isethiopicsupplement}', "");
Expect(0, 4991, '\P{^isethiopicsupplement}', "");
Expect(1, 5023, '\p{_-Is_ETHIOPIC	Supplement}', "");
Expect(0, 5023, '\p{^_-Is_ETHIOPIC	Supplement}', "");
Expect(0, 5023, '\P{_-Is_ETHIOPIC	Supplement}', "");
Expect(1, 5023, '\P{^_-Is_ETHIOPIC	Supplement}', "");
Expect(0, 4991, '\p{_-Is_ETHIOPIC	Supplement}', "");
Expect(1, 4991, '\p{^_-Is_ETHIOPIC	Supplement}', "");
Expect(1, 4991, '\P{_-Is_ETHIOPIC	Supplement}', "");
Expect(0, 4991, '\P{^_-Is_ETHIOPIC	Supplement}', "");
Error('\p{		In:=ETHIOPIC_Supplement}');
Error('\P{		In:=ETHIOPIC_Supplement}');
Expect(1, 5023, '\p{inethiopicsupplement}', "");
Expect(0, 5023, '\p{^inethiopicsupplement}', "");
Expect(0, 5023, '\P{inethiopicsupplement}', "");
Expect(1, 5023, '\P{^inethiopicsupplement}', "");
Expect(0, 4991, '\p{inethiopicsupplement}', "");
Expect(1, 4991, '\p{^inethiopicsupplement}', "");
Expect(1, 4991, '\P{inethiopicsupplement}', "");
Expect(0, 4991, '\P{^inethiopicsupplement}', "");
Expect(1, 5023, '\p{	-INEthiopic_SUPPLEMENT}', "");
Expect(0, 5023, '\p{^	-INEthiopic_SUPPLEMENT}', "");
Expect(0, 5023, '\P{	-INEthiopic_SUPPLEMENT}', "");
Expect(1, 5023, '\P{^	-INEthiopic_SUPPLEMENT}', "");
Expect(0, 4991, '\p{	-INEthiopic_SUPPLEMENT}', "");
Expect(1, 4991, '\p{^	-INEthiopic_SUPPLEMENT}', "");
Expect(1, 4991, '\P{	-INEthiopic_SUPPLEMENT}', "");
Expect(0, 4991, '\P{^	-INEthiopic_SUPPLEMENT}', "");
Error('\p{	:=DINGBATS}');
Error('\P{	:=DINGBATS}');
Expect(1, 10175, '\p{dingbats}', "");
Expect(0, 10175, '\p{^dingbats}', "");
Expect(0, 10175, '\P{dingbats}', "");
Expect(1, 10175, '\P{^dingbats}', "");
Expect(0, 9983, '\p{dingbats}', "");
Expect(1, 9983, '\p{^dingbats}', "");
Expect(1, 9983, '\P{dingbats}', "");
Expect(0, 9983, '\P{^dingbats}', "");
Expect(1, 10175, '\p{_ Dingbats}', "");
Expect(0, 10175, '\p{^_ Dingbats}', "");
Expect(0, 10175, '\P{_ Dingbats}', "");
Expect(1, 10175, '\P{^_ Dingbats}', "");
Expect(0, 9983, '\p{_ Dingbats}', "");
Expect(1, 9983, '\p{^_ Dingbats}', "");
Expect(1, 9983, '\P{_ Dingbats}', "");
Expect(0, 9983, '\P{^_ Dingbats}', "");
Error('\p{_:=ISdingbats}');
Error('\P{_:=ISdingbats}');
Expect(1, 10175, '\p{isdingbats}', "");
Expect(0, 10175, '\p{^isdingbats}', "");
Expect(0, 10175, '\P{isdingbats}', "");
Expect(1, 10175, '\P{^isdingbats}', "");
Expect(0, 9983, '\p{isdingbats}', "");
Expect(1, 9983, '\p{^isdingbats}', "");
Expect(1, 9983, '\P{isdingbats}', "");
Expect(0, 9983, '\P{^isdingbats}', "");
Expect(1, 10175, '\p{ -Is_Dingbats}', "");
Expect(0, 10175, '\p{^ -Is_Dingbats}', "");
Expect(0, 10175, '\P{ -Is_Dingbats}', "");
Expect(1, 10175, '\P{^ -Is_Dingbats}', "");
Expect(0, 9983, '\p{ -Is_Dingbats}', "");
Expect(1, 9983, '\p{^ -Is_Dingbats}', "");
Expect(1, 9983, '\P{ -Is_Dingbats}', "");
Expect(0, 9983, '\P{^ -Is_Dingbats}', "");
Error('\p{--InDingbats:=}');
Error('\P{--InDingbats:=}');
Expect(1, 10175, '\p{indingbats}', "");
Expect(0, 10175, '\p{^indingbats}', "");
Expect(0, 10175, '\P{indingbats}', "");
Expect(1, 10175, '\P{^indingbats}', "");
Expect(0, 9983, '\p{indingbats}', "");
Expect(1, 9983, '\p{^indingbats}', "");
Expect(1, 9983, '\P{indingbats}', "");
Expect(0, 9983, '\P{^indingbats}', "");
Expect(1, 10175, '\p{		In_Dingbats}', "");
Expect(0, 10175, '\p{^		In_Dingbats}', "");
Expect(0, 10175, '\P{		In_Dingbats}', "");
Expect(1, 10175, '\P{^		In_Dingbats}', "");
Expect(0, 9983, '\p{		In_Dingbats}', "");
Expect(1, 9983, '\p{^		In_Dingbats}', "");
Expect(1, 9983, '\P{		In_Dingbats}', "");
Expect(0, 9983, '\P{^		In_Dingbats}', "");
Error('\p{_-Logical/a/orderException}');
Error('\P{_-Logical/a/orderException}');
Expect(1, 3652, '\p{logicalorderexception}', "");
Expect(0, 3652, '\p{^logicalorderexception}', "");
Expect(0, 3652, '\P{logicalorderexception}', "");
Expect(1, 3652, '\P{^logicalorderexception}', "");
Expect(0, 3647, '\p{logicalorderexception}', "");
Expect(1, 3647, '\p{^logicalorderexception}', "");
Expect(1, 3647, '\P{logicalorderexception}', "");
Expect(0, 3647, '\P{^logicalorderexception}', "");
Expect(1, 3652, '\p{	LOGICAL-ORDER-EXCEPTION}', "");
Expect(0, 3652, '\p{^	LOGICAL-ORDER-EXCEPTION}', "");
Expect(0, 3652, '\P{	LOGICAL-ORDER-EXCEPTION}', "");
Expect(1, 3652, '\P{^	LOGICAL-ORDER-EXCEPTION}', "");
Expect(0, 3647, '\p{	LOGICAL-ORDER-EXCEPTION}', "");
Expect(1, 3647, '\p{^	LOGICAL-ORDER-EXCEPTION}', "");
Expect(1, 3647, '\P{	LOGICAL-ORDER-EXCEPTION}', "");
Expect(0, 3647, '\P{^	LOGICAL-ORDER-EXCEPTION}', "");
Error('\p{- IS_logical/a/Order	EXCEPTION}');
Error('\P{- IS_logical/a/Order	EXCEPTION}');
Expect(1, 3652, '\p{islogicalorderexception}', "");
Expect(0, 3652, '\p{^islogicalorderexception}', "");
Expect(0, 3652, '\P{islogicalorderexception}', "");
Expect(1, 3652, '\P{^islogicalorderexception}', "");
Expect(0, 3647, '\p{islogicalorderexception}', "");
Expect(1, 3647, '\p{^islogicalorderexception}', "");
Expect(1, 3647, '\P{islogicalorderexception}', "");
Expect(0, 3647, '\P{^islogicalorderexception}', "");
Expect(1, 3652, '\p{	-ISLogical_Order	exception}', "");
Expect(0, 3652, '\p{^	-ISLogical_Order	exception}', "");
Expect(0, 3652, '\P{	-ISLogical_Order	exception}', "");
Expect(1, 3652, '\P{^	-ISLogical_Order	exception}', "");
Expect(0, 3647, '\p{	-ISLogical_Order	exception}', "");
Expect(1, 3647, '\p{^	-ISLogical_Order	exception}', "");
Expect(1, 3647, '\P{	-ISLogical_Order	exception}', "");
Expect(0, 3647, '\P{^	-ISLogical_Order	exception}', "");
Error('\p{ loe/a/}');
Error('\P{ loe/a/}');
Expect(1, 3652, '\p{loe}', "");
Expect(0, 3652, '\p{^loe}', "");
Expect(0, 3652, '\P{loe}', "");
Expect(1, 3652, '\P{^loe}', "");
Expect(0, 3647, '\p{loe}', "");
Expect(1, 3647, '\p{^loe}', "");
Expect(1, 3647, '\P{loe}', "");
Expect(0, 3647, '\P{^loe}', "");
Expect(1, 3652, '\p{ loe}', "");
Expect(0, 3652, '\p{^ loe}', "");
Expect(0, 3652, '\P{ loe}', "");
Expect(1, 3652, '\P{^ loe}', "");
Expect(0, 3647, '\p{ loe}', "");
Expect(1, 3647, '\p{^ loe}', "");
Expect(1, 3647, '\P{ loe}', "");
Expect(0, 3647, '\P{^ loe}', "");
Error('\p{_/a/is_LOE}');
Error('\P{_/a/is_LOE}');
Expect(1, 3652, '\p{isloe}', "");
Expect(0, 3652, '\p{^isloe}', "");
Expect(0, 3652, '\P{isloe}', "");
Expect(1, 3652, '\P{^isloe}', "");
Expect(0, 3647, '\p{isloe}', "");
Expect(1, 3647, '\p{^isloe}', "");
Expect(1, 3647, '\P{isloe}', "");
Expect(0, 3647, '\P{^isloe}', "");
Expect(1, 3652, '\p{	-Is LOE}', "");
Expect(0, 3652, '\p{^	-Is LOE}', "");
Expect(0, 3652, '\P{	-Is LOE}', "");
Expect(1, 3652, '\P{^	-Is LOE}', "");
Expect(0, 3647, '\p{	-Is LOE}', "");
Expect(1, 3647, '\p{^	-Is LOE}', "");
Expect(1, 3647, '\P{	-Is LOE}', "");
Expect(0, 3647, '\P{^	-Is LOE}', "");
Error('\p{__in:=Lycian}');
Error('\P{__in:=Lycian}');
Expect(1, 66207, '\p{inlycian}', "");
Expect(0, 66207, '\p{^inlycian}', "");
Expect(0, 66207, '\P{inlycian}', "");
Expect(1, 66207, '\P{^inlycian}', "");
Expect(0, 66175, '\p{inlycian}', "");
Expect(1, 66175, '\p{^inlycian}', "");
Expect(1, 66175, '\P{inlycian}', "");
Expect(0, 66175, '\P{^inlycian}', "");
Expect(1, 66207, '\p{	_In	lycian}', "");
Expect(0, 66207, '\p{^	_In	lycian}', "");
Expect(0, 66207, '\P{	_In	lycian}', "");
Expect(1, 66207, '\P{^	_In	lycian}', "");
Expect(0, 66175, '\p{	_In	lycian}', "");
Expect(1, 66175, '\p{^	_In	lycian}', "");
Expect(1, 66175, '\P{	_In	lycian}', "");
Expect(0, 66175, '\P{^	_In	lycian}', "");
Error('\p{_	Vai/a/}');
Error('\P{_	Vai/a/}');
Expect(1, 42539, '\p{vai}', "");
Expect(0, 42539, '\p{^vai}', "");
Expect(0, 42539, '\P{vai}', "");
Expect(1, 42539, '\P{^vai}', "");
Expect(0, 42239, '\p{vai}', "");
Expect(1, 42239, '\p{^vai}', "");
Expect(1, 42239, '\P{vai}', "");
Expect(0, 42239, '\P{^vai}', "");
Expect(1, 42539, '\p{ VAI}', "");
Expect(0, 42539, '\p{^ VAI}', "");
Expect(0, 42539, '\P{ VAI}', "");
Expect(1, 42539, '\P{^ VAI}', "");
Expect(0, 42239, '\p{ VAI}', "");
Expect(1, 42239, '\p{^ VAI}', "");
Expect(1, 42239, '\P{ VAI}', "");
Expect(0, 42239, '\P{^ VAI}', "");
Error('\p{:= -ISVai}');
Error('\P{:= -ISVai}');
Expect(1, 42539, '\p{isvai}', "");
Expect(0, 42539, '\p{^isvai}', "");
Expect(0, 42539, '\P{isvai}', "");
Expect(1, 42539, '\P{^isvai}', "");
Expect(0, 42239, '\p{isvai}', "");
Expect(1, 42239, '\p{^isvai}', "");
Expect(1, 42239, '\P{isvai}', "");
Expect(0, 42239, '\P{^isvai}', "");
Expect(1, 42539, '\p{ -IS-vai}', "");
Expect(0, 42539, '\p{^ -IS-vai}', "");
Expect(0, 42539, '\P{ -IS-vai}', "");
Expect(1, 42539, '\P{^ -IS-vai}', "");
Expect(0, 42239, '\p{ -IS-vai}', "");
Expect(1, 42239, '\p{^ -IS-vai}', "");
Expect(1, 42239, '\P{ -IS-vai}', "");
Expect(0, 42239, '\P{^ -IS-vai}', "");
Error('\p{	VAII:=}');
Error('\P{	VAII:=}');
Expect(1, 42539, '\p{vaii}', "");
Expect(0, 42539, '\p{^vaii}', "");
Expect(0, 42539, '\P{vaii}', "");
Expect(1, 42539, '\P{^vaii}', "");
Expect(0, 42239, '\p{vaii}', "");
Expect(1, 42239, '\p{^vaii}', "");
Expect(1, 42239, '\P{vaii}', "");
Expect(0, 42239, '\P{^vaii}', "");
Expect(1, 42539, '\p{	-Vaii}', "");
Expect(0, 42539, '\p{^	-Vaii}', "");
Expect(0, 42539, '\P{	-Vaii}', "");
Expect(1, 42539, '\P{^	-Vaii}', "");
Expect(0, 42239, '\p{	-Vaii}', "");
Expect(1, 42239, '\p{^	-Vaii}', "");
Expect(1, 42239, '\P{	-Vaii}', "");
Expect(0, 42239, '\P{^	-Vaii}', "");
Error('\p{ isVaii:=}');
Error('\P{ isVaii:=}');
Expect(1, 42539, '\p{isvaii}', "");
Expect(0, 42539, '\p{^isvaii}', "");
Expect(0, 42539, '\P{isvaii}', "");
Expect(1, 42539, '\P{^isvaii}', "");
Expect(0, 42239, '\p{isvaii}', "");
Expect(1, 42239, '\p{^isvaii}', "");
Expect(1, 42239, '\P{isvaii}', "");
Expect(0, 42239, '\P{^isvaii}', "");
Expect(1, 42539, '\p{_-IS	Vaii}', "");
Expect(0, 42539, '\p{^_-IS	Vaii}', "");
Expect(0, 42539, '\P{_-IS	Vaii}', "");
Expect(1, 42539, '\P{^_-IS	Vaii}', "");
Expect(0, 42239, '\p{_-IS	Vaii}', "");
Expect(1, 42239, '\p{^_-IS	Vaii}', "");
Expect(1, 42239, '\P{_-IS	Vaii}', "");
Expect(0, 42239, '\P{^_-IS	Vaii}', "");
Error('\p{- Spacing/a/mark}');
Error('\P{- Spacing/a/mark}');
Expect(1, 2307, '\p{spacingmark}', "");
Expect(0, 2307, '\p{^spacingmark}', "");
Expect(0, 2307, '\P{spacingmark}', "");
Expect(1, 2307, '\P{^spacingmark}', "");
Expect(0, 2306, '\p{spacingmark}', "");
Expect(1, 2306, '\p{^spacingmark}', "");
Expect(1, 2306, '\P{spacingmark}', "");
Expect(0, 2306, '\P{^spacingmark}', "");
Expect(1, 2307, '\p{_-Spacing_MARK}', "");
Expect(0, 2307, '\p{^_-Spacing_MARK}', "");
Expect(0, 2307, '\P{_-Spacing_MARK}', "");
Expect(1, 2307, '\P{^_-Spacing_MARK}', "");
Expect(0, 2306, '\p{_-Spacing_MARK}', "");
Expect(1, 2306, '\p{^_-Spacing_MARK}', "");
Expect(1, 2306, '\P{_-Spacing_MARK}', "");
Expect(0, 2306, '\P{^_-Spacing_MARK}', "");
Error('\p{- is	SPACINGMark/a/}');
Error('\P{- is	SPACINGMark/a/}');
Expect(1, 2307, '\p{isspacingmark}', "");
Expect(0, 2307, '\p{^isspacingmark}', "");
Expect(0, 2307, '\P{isspacingmark}', "");
Expect(1, 2307, '\P{^isspacingmark}', "");
Expect(0, 2306, '\p{isspacingmark}', "");
Expect(1, 2306, '\p{^isspacingmark}', "");
Expect(1, 2306, '\P{isspacingmark}', "");
Expect(0, 2306, '\P{^isspacingmark}', "");
Expect(1, 2307, '\p{--IS_SPACINGMark}', "");
Expect(0, 2307, '\p{^--IS_SPACINGMark}', "");
Expect(0, 2307, '\P{--IS_SPACINGMark}', "");
Expect(1, 2307, '\P{^--IS_SPACINGMark}', "");
Expect(0, 2306, '\p{--IS_SPACINGMark}', "");
Expect(1, 2306, '\p{^--IS_SPACINGMark}', "");
Expect(1, 2306, '\P{--IS_SPACINGMark}', "");
Expect(0, 2306, '\P{^--IS_SPACINGMark}', "");
Error('\p{-	Mc:=}');
Error('\P{-	Mc:=}');
Expect(1, 2307, '\p{mc}', "");
Expect(0, 2307, '\p{^mc}', "");
Expect(0, 2307, '\P{mc}', "");
Expect(1, 2307, '\P{^mc}', "");
Expect(0, 2306, '\p{mc}', "");
Expect(1, 2306, '\p{^mc}', "");
Expect(1, 2306, '\P{mc}', "");
Expect(0, 2306, '\P{^mc}', "");
Expect(1, 2307, '\p{ 	MC}', "");
Expect(0, 2307, '\p{^ 	MC}', "");
Expect(0, 2307, '\P{ 	MC}', "");
Expect(1, 2307, '\P{^ 	MC}', "");
Expect(0, 2306, '\p{ 	MC}', "");
Expect(1, 2306, '\p{^ 	MC}', "");
Expect(1, 2306, '\P{ 	MC}', "");
Expect(0, 2306, '\P{^ 	MC}', "");
Error('\p{ is:=Mc}');
Error('\P{ is:=Mc}');
Expect(1, 2307, '\p{ismc}', "");
Expect(0, 2307, '\p{^ismc}', "");
Expect(0, 2307, '\P{ismc}', "");
Expect(1, 2307, '\P{^ismc}', "");
Expect(0, 2306, '\p{ismc}', "");
Expect(1, 2306, '\p{^ismc}', "");
Expect(1, 2306, '\P{ismc}', "");
Expect(0, 2306, '\P{^ismc}', "");
Expect(1, 2307, '\p{__is_Mc}', "");
Expect(0, 2307, '\p{^__is_Mc}', "");
Expect(0, 2307, '\P{__is_Mc}', "");
Expect(1, 2307, '\P{^__is_Mc}', "");
Expect(0, 2306, '\p{__is_Mc}', "");
Expect(1, 2306, '\p{^__is_Mc}', "");
Expect(1, 2306, '\P{__is_Mc}', "");
Expect(0, 2306, '\P{^__is_Mc}', "");
Error('\p{/a/ -LOWER}');
Error('\P{/a/ -LOWER}');
Expect(1, 122, '\p{lower}', "");
Expect(0, 122, '\p{^lower}', "");
Expect(0, 122, '\P{lower}', "");
Expect(1, 122, '\P{^lower}', "");
Expect(0, 96, '\p{lower}', "");
Expect(1, 96, '\p{^lower}', "");
Expect(1, 96, '\P{lower}', "");
Expect(0, 96, '\P{^lower}', "");
Expect(1, 122, '\p{ -Lower}', "");
Expect(0, 122, '\p{^ -Lower}', "");
Expect(0, 122, '\P{ -Lower}', "");
Expect(1, 122, '\P{^ -Lower}', "");
Expect(0, 96, '\p{ -Lower}', "");
Expect(1, 96, '\p{^ -Lower}', "");
Expect(1, 96, '\P{ -Lower}', "");
Expect(0, 96, '\P{^ -Lower}', "");
Error('\p{	IS:=Lower}');
Error('\P{	IS:=Lower}');
Expect(1, 122, '\p{islower}', "");
Expect(0, 122, '\p{^islower}', "");
Expect(0, 122, '\P{islower}', "");
Expect(1, 122, '\P{^islower}', "");
Expect(0, 96, '\p{islower}', "");
Expect(1, 96, '\p{^islower}', "");
Expect(1, 96, '\P{islower}', "");
Expect(0, 96, '\P{^islower}', "");
Expect(1, 122, '\p{- is Lower}', "");
Expect(0, 122, '\p{^- is Lower}', "");
Expect(0, 122, '\P{- is Lower}', "");
Expect(1, 122, '\P{^- is Lower}', "");
Expect(0, 96, '\p{- is Lower}', "");
Expect(1, 96, '\p{^- is Lower}', "");
Expect(1, 96, '\P{- is Lower}', "");
Expect(0, 96, '\P{^- is Lower}', "");
Error('\p{ 	Lowercase/a/}');
Error('\P{ 	Lowercase/a/}');
Expect(1, 122, '\p{lowercase}', "");
Expect(0, 122, '\p{^lowercase}', "");
Expect(0, 122, '\P{lowercase}', "");
Expect(1, 122, '\P{^lowercase}', "");
Expect(0, 96, '\p{lowercase}', "");
Expect(1, 96, '\p{^lowercase}', "");
Expect(1, 96, '\P{lowercase}', "");
Expect(0, 96, '\P{^lowercase}', "");
Expect(1, 122, '\p{-_lowercase}', "");
Expect(0, 122, '\p{^-_lowercase}', "");
Expect(0, 122, '\P{-_lowercase}', "");
Expect(1, 122, '\P{^-_lowercase}', "");
Expect(0, 96, '\p{-_lowercase}', "");
Expect(1, 96, '\p{^-_lowercase}', "");
Expect(1, 96, '\P{-_lowercase}', "");
Expect(0, 96, '\P{^-_lowercase}', "");
Error('\p{	-IS/a/Lowercase}');
Error('\P{	-IS/a/Lowercase}');
Expect(1, 122, '\p{islowercase}', "");
Expect(0, 122, '\p{^islowercase}', "");
Expect(0, 122, '\P{islowercase}', "");
Expect(1, 122, '\P{^islowercase}', "");
Expect(0, 96, '\p{islowercase}', "");
Expect(1, 96, '\p{^islowercase}', "");
Expect(1, 96, '\P{islowercase}', "");
Expect(0, 96, '\P{^islowercase}', "");
Expect(1, 122, '\p{_ IS Lowercase}', "");
Expect(0, 122, '\p{^_ IS Lowercase}', "");
Expect(0, 122, '\P{_ IS Lowercase}', "");
Expect(1, 122, '\P{^_ IS Lowercase}', "");
Expect(0, 96, '\p{_ IS Lowercase}', "");
Expect(1, 96, '\p{^_ IS Lowercase}', "");
Expect(1, 96, '\P{_ IS Lowercase}', "");
Expect(0, 96, '\P{^_ IS Lowercase}', "");
Error('\p{Expands_On_NFKD}');
Error('\P{Expands_On_NFKD}');
Error('\p{Is_Expands_On_NFKD}');
Error('\P{Is_Expands_On_NFKD}');
Error('\p{XO_NFKD}');
Error('\P{XO_NFKD}');
Error('\p{Is_XO_NFKD}');
Error('\P{Is_XO_NFKD}');
Error('\p{ 	Closepunctuation:=}');
Error('\P{ 	Closepunctuation:=}');
Expect(1, 41, '\p{closepunctuation}', "");
Expect(0, 41, '\p{^closepunctuation}', "");
Expect(0, 41, '\P{closepunctuation}', "");
Expect(1, 41, '\P{^closepunctuation}', "");
Expect(0, 40, '\p{closepunctuation}', "");
Expect(1, 40, '\p{^closepunctuation}', "");
Expect(1, 40, '\P{closepunctuation}', "");
Expect(0, 40, '\P{^closepunctuation}', "");
Expect(1, 41, '\p{-_CLOSE-Punctuation}', "");
Expect(0, 41, '\p{^-_CLOSE-Punctuation}', "");
Expect(0, 41, '\P{-_CLOSE-Punctuation}', "");
Expect(1, 41, '\P{^-_CLOSE-Punctuation}', "");
Expect(0, 40, '\p{-_CLOSE-Punctuation}', "");
Expect(1, 40, '\p{^-_CLOSE-Punctuation}', "");
Expect(1, 40, '\P{-_CLOSE-Punctuation}', "");
Expect(0, 40, '\P{^-_CLOSE-Punctuation}', "");
Error('\p{-Is_close-PUNCTUATION/a/}');
Error('\P{-Is_close-PUNCTUATION/a/}');
Expect(1, 41, '\p{isclosepunctuation}', "");
Expect(0, 41, '\p{^isclosepunctuation}', "");
Expect(0, 41, '\P{isclosepunctuation}', "");
Expect(1, 41, '\P{^isclosepunctuation}', "");
Expect(0, 40, '\p{isclosepunctuation}', "");
Expect(1, 40, '\p{^isclosepunctuation}', "");
Expect(1, 40, '\P{isclosepunctuation}', "");
Expect(0, 40, '\P{^isclosepunctuation}', "");
Expect(1, 41, '\p{-IsClose	PUNCTUATION}', "");
Expect(0, 41, '\p{^-IsClose	PUNCTUATION}', "");
Expect(0, 41, '\P{-IsClose	PUNCTUATION}', "");
Expect(1, 41, '\P{^-IsClose	PUNCTUATION}', "");
Expect(0, 40, '\p{-IsClose	PUNCTUATION}', "");
Expect(1, 40, '\p{^-IsClose	PUNCTUATION}', "");
Expect(1, 40, '\P{-IsClose	PUNCTUATION}', "");
Expect(0, 40, '\P{^-IsClose	PUNCTUATION}', "");
Error('\p{ _Pe/a/}');
Error('\P{ _Pe/a/}');
Expect(1, 41, '\p{pe}', "");
Expect(0, 41, '\p{^pe}', "");
Expect(0, 41, '\P{pe}', "");
Expect(1, 41, '\P{^pe}', "");
Expect(0, 40, '\p{pe}', "");
Expect(1, 40, '\p{^pe}', "");
Expect(1, 40, '\P{pe}', "");
Expect(0, 40, '\P{^pe}', "");
Expect(1, 41, '\p{Pe}', "");
Expect(0, 41, '\p{^Pe}', "");
Expect(0, 41, '\P{Pe}', "");
Expect(1, 41, '\P{^Pe}', "");
Expect(0, 40, '\p{Pe}', "");
Expect(1, 40, '\p{^Pe}', "");
Expect(1, 40, '\P{Pe}', "");
Expect(0, 40, '\P{^Pe}', "");
Error('\p{_:=Is-Pe}');
Error('\P{_:=Is-Pe}');
Expect(1, 41, '\p{ispe}', "");
Expect(0, 41, '\p{^ispe}', "");
Expect(0, 41, '\P{ispe}', "");
Expect(1, 41, '\P{^ispe}', "");
Expect(0, 40, '\p{ispe}', "");
Expect(1, 40, '\p{^ispe}', "");
Expect(1, 40, '\P{ispe}', "");
Expect(0, 40, '\P{^ispe}', "");
Expect(1, 41, '\p{ is-Pe}', "");
Expect(0, 41, '\p{^ is-Pe}', "");
Expect(0, 41, '\P{ is-Pe}', "");
Expect(1, 41, '\P{^ is-Pe}', "");
Expect(0, 40, '\p{ is-Pe}', "");
Expect(1, 40, '\p{^ is-Pe}', "");
Expect(1, 40, '\P{ is-Pe}', "");
Expect(0, 40, '\P{^ is-Pe}', "");
Error('\p{Expands_On_NFKC}');
Error('\P{Expands_On_NFKC}');
Error('\p{Is_Expands_On_NFKC}');
Error('\P{Is_Expands_On_NFKC}');
Error('\p{XO_NFKC}');
Error('\P{XO_NFKC}');
Error('\p{Is_XO_NFKC}');
Error('\P{Is_XO_NFKC}');
Error('\p{__Unknown:=}');
Error('\P{__Unknown:=}');
Expect(1, 889, '\p{unknown}', "");
Expect(0, 889, '\p{^unknown}', "");
Expect(0, 889, '\P{unknown}', "");
Expect(1, 889, '\P{^unknown}', "");
Expect(0, 887, '\p{unknown}', "");
Expect(1, 887, '\p{^unknown}', "");
Expect(1, 887, '\P{unknown}', "");
Expect(0, 887, '\P{^unknown}', "");
Expect(1, 889, '\p{		Unknown}', "");
Expect(0, 889, '\p{^		Unknown}', "");
Expect(0, 889, '\P{		Unknown}', "");
Expect(1, 889, '\P{^		Unknown}', "");
Expect(0, 887, '\p{		Unknown}', "");
Expect(1, 887, '\p{^		Unknown}', "");
Expect(1, 887, '\P{		Unknown}', "");
Expect(0, 887, '\P{^		Unknown}', "");
Error('\p{:=	Is Unknown}');
Error('\P{:=	Is Unknown}');
Expect(1, 889, '\p{isunknown}', "");
Expect(0, 889, '\p{^isunknown}', "");
Expect(0, 889, '\P{isunknown}', "");
Expect(1, 889, '\P{^isunknown}', "");
Expect(0, 887, '\p{isunknown}', "");
Expect(1, 887, '\p{^isunknown}', "");
Expect(1, 887, '\P{isunknown}', "");
Expect(0, 887, '\P{^isunknown}', "");
Expect(1, 889, '\p{-	is Unknown}', "");
Expect(0, 889, '\p{^-	is Unknown}', "");
Expect(0, 889, '\P{-	is Unknown}', "");
Expect(1, 889, '\P{^-	is Unknown}', "");
Expect(0, 887, '\p{-	is Unknown}', "");
Expect(1, 887, '\p{^-	is Unknown}', "");
Expect(1, 887, '\P{-	is Unknown}', "");
Expect(0, 887, '\P{^-	is Unknown}', "");
Error('\p{_Zzzz:=}');
Error('\P{_Zzzz:=}');
Expect(1, 889, '\p{zzzz}', "");
Expect(0, 889, '\p{^zzzz}', "");
Expect(0, 889, '\P{zzzz}', "");
Expect(1, 889, '\P{^zzzz}', "");
Expect(0, 887, '\p{zzzz}', "");
Expect(1, 887, '\p{^zzzz}', "");
Expect(1, 887, '\P{zzzz}', "");
Expect(0, 887, '\P{^zzzz}', "");
Expect(1, 889, '\p{-	ZZZZ}', "");
Expect(0, 889, '\p{^-	ZZZZ}', "");
Expect(0, 889, '\P{-	ZZZZ}', "");
Expect(1, 889, '\P{^-	ZZZZ}', "");
Expect(0, 887, '\p{-	ZZZZ}', "");
Expect(1, 887, '\p{^-	ZZZZ}', "");
Expect(1, 887, '\P{-	ZZZZ}', "");
Expect(0, 887, '\P{^-	ZZZZ}', "");
Error('\p{-:=IS_Zzzz}');
Error('\P{-:=IS_Zzzz}');
Expect(1, 889, '\p{iszzzz}', "");
Expect(0, 889, '\p{^iszzzz}', "");
Expect(0, 889, '\P{iszzzz}', "");
Expect(1, 889, '\P{^iszzzz}', "");
Expect(0, 887, '\p{iszzzz}', "");
Expect(1, 887, '\p{^iszzzz}', "");
Expect(1, 887, '\P{iszzzz}', "");
Expect(0, 887, '\P{^iszzzz}', "");
Expect(1, 889, '\p{_ Is_Zzzz}', "");
Expect(0, 889, '\p{^_ Is_Zzzz}', "");
Expect(0, 889, '\P{_ Is_Zzzz}', "");
Expect(1, 889, '\P{^_ Is_Zzzz}', "");
Expect(0, 887, '\p{_ Is_Zzzz}', "");
Expect(1, 887, '\p{^_ Is_Zzzz}', "");
Expect(1, 887, '\P{_ Is_Zzzz}', "");
Expect(0, 887, '\P{^_ Is_Zzzz}', "");
Error('\p{ _Linear_B:=Ideograms}');
Error('\P{ _Linear_B:=Ideograms}');
Expect(1, 65791, '\p{linearbideograms}', "");
Expect(0, 65791, '\p{^linearbideograms}', "");
Expect(0, 65791, '\P{linearbideograms}', "");
Expect(1, 65791, '\P{^linearbideograms}', "");
Expect(0, 65663, '\p{linearbideograms}', "");
Expect(1, 65663, '\p{^linearbideograms}', "");
Expect(1, 65663, '\P{linearbideograms}', "");
Expect(0, 65663, '\P{^linearbideograms}', "");
Expect(1, 65791, '\p{_-Linear_B-ideograms}', "");
Expect(0, 65791, '\p{^_-Linear_B-ideograms}', "");
Expect(0, 65791, '\P{_-Linear_B-ideograms}', "");
Expect(1, 65791, '\P{^_-Linear_B-ideograms}', "");
Expect(0, 65663, '\p{_-Linear_B-ideograms}', "");
Expect(1, 65663, '\p{^_-Linear_B-ideograms}', "");
Expect(1, 65663, '\P{_-Linear_B-ideograms}', "");
Expect(0, 65663, '\P{^_-Linear_B-ideograms}', "");
Error('\p{	/a/Is	LinearB_Ideograms}');
Error('\P{	/a/Is	LinearB_Ideograms}');
Expect(1, 65791, '\p{islinearbideograms}', "");
Expect(0, 65791, '\p{^islinearbideograms}', "");
Expect(0, 65791, '\P{islinearbideograms}', "");
Expect(1, 65791, '\P{^islinearbideograms}', "");
Expect(0, 65663, '\p{islinearbideograms}', "");
Expect(1, 65663, '\p{^islinearbideograms}', "");
Expect(1, 65663, '\P{islinearbideograms}', "");
Expect(0, 65663, '\P{^islinearbideograms}', "");
Expect(1, 65791, '\p{-Is LinearBideograms}', "");
Expect(0, 65791, '\p{^-Is LinearBideograms}', "");
Expect(0, 65791, '\P{-Is LinearBideograms}', "");
Expect(1, 65791, '\P{^-Is LinearBideograms}', "");
Expect(0, 65663, '\p{-Is LinearBideograms}', "");
Expect(1, 65663, '\p{^-Is LinearBideograms}', "");
Expect(1, 65663, '\P{-Is LinearBideograms}', "");
Expect(0, 65663, '\P{^-Is LinearBideograms}', "");
Error('\p{-in LINEAR	B	Ideograms/a/}');
Error('\P{-in LINEAR	B	Ideograms/a/}');
Expect(1, 65791, '\p{inlinearbideograms}', "");
Expect(0, 65791, '\p{^inlinearbideograms}', "");
Expect(0, 65791, '\P{inlinearbideograms}', "");
Expect(1, 65791, '\P{^inlinearbideograms}', "");
Expect(0, 65663, '\p{inlinearbideograms}', "");
Expect(1, 65663, '\p{^inlinearbideograms}', "");
Expect(1, 65663, '\P{inlinearbideograms}', "");
Expect(0, 65663, '\P{^inlinearbideograms}', "");
Expect(1, 65791, '\p{-InLinear-B-Ideograms}', "");
Expect(0, 65791, '\p{^-InLinear-B-Ideograms}', "");
Expect(0, 65791, '\P{-InLinear-B-Ideograms}', "");
Expect(1, 65791, '\P{^-InLinear-B-Ideograms}', "");
Expect(0, 65663, '\p{-InLinear-B-Ideograms}', "");
Expect(1, 65663, '\p{^-InLinear-B-Ideograms}', "");
Expect(1, 65663, '\P{-InLinear-B-Ideograms}', "");
Expect(0, 65663, '\P{^-InLinear-B-Ideograms}', "");
Error('\p{/a/_-Enclosed_ALPHANUMERICS}');
Error('\P{/a/_-Enclosed_ALPHANUMERICS}');
Expect(1, 9471, '\p{enclosedalphanumerics}', "");
Expect(0, 9471, '\p{^enclosedalphanumerics}', "");
Expect(0, 9471, '\P{enclosedalphanumerics}', "");
Expect(1, 9471, '\P{^enclosedalphanumerics}', "");
Expect(0, 9311, '\p{enclosedalphanumerics}', "");
Expect(1, 9311, '\p{^enclosedalphanumerics}', "");
Expect(1, 9311, '\P{enclosedalphanumerics}', "");
Expect(0, 9311, '\P{^enclosedalphanumerics}', "");
Expect(1, 9471, '\p{	_Enclosed	alphanumerics}', "");
Expect(0, 9471, '\p{^	_Enclosed	alphanumerics}', "");
Expect(0, 9471, '\P{	_Enclosed	alphanumerics}', "");
Expect(1, 9471, '\P{^	_Enclosed	alphanumerics}', "");
Expect(0, 9311, '\p{	_Enclosed	alphanumerics}', "");
Expect(1, 9311, '\p{^	_Enclosed	alphanumerics}', "");
Expect(1, 9311, '\P{	_Enclosed	alphanumerics}', "");
Expect(0, 9311, '\P{^	_Enclosed	alphanumerics}', "");
Error('\p{_ is-Enclosed:=Alphanumerics}');
Error('\P{_ is-Enclosed:=Alphanumerics}');
Expect(1, 9471, '\p{isenclosedalphanumerics}', "");
Expect(0, 9471, '\p{^isenclosedalphanumerics}', "");
Expect(0, 9471, '\P{isenclosedalphanumerics}', "");
Expect(1, 9471, '\P{^isenclosedalphanumerics}', "");
Expect(0, 9311, '\p{isenclosedalphanumerics}', "");
Expect(1, 9311, '\p{^isenclosedalphanumerics}', "");
Expect(1, 9311, '\P{isenclosedalphanumerics}', "");
Expect(0, 9311, '\P{^isenclosedalphanumerics}', "");
Expect(1, 9471, '\p{--IS Enclosed Alphanumerics}', "");
Expect(0, 9471, '\p{^--IS Enclosed Alphanumerics}', "");
Expect(0, 9471, '\P{--IS Enclosed Alphanumerics}', "");
Expect(1, 9471, '\P{^--IS Enclosed Alphanumerics}', "");
Expect(0, 9311, '\p{--IS Enclosed Alphanumerics}', "");
Expect(1, 9311, '\p{^--IS Enclosed Alphanumerics}', "");
Expect(1, 9311, '\P{--IS Enclosed Alphanumerics}', "");
Expect(0, 9311, '\P{^--IS Enclosed Alphanumerics}', "");
Error('\p{__IN/a/ENCLOSED-ALPHANUMERICS}');
Error('\P{__IN/a/ENCLOSED-ALPHANUMERICS}');
Expect(1, 9471, '\p{inenclosedalphanumerics}', "");
Expect(0, 9471, '\p{^inenclosedalphanumerics}', "");
Expect(0, 9471, '\P{inenclosedalphanumerics}', "");
Expect(1, 9471, '\P{^inenclosedalphanumerics}', "");
Expect(0, 9311, '\p{inenclosedalphanumerics}', "");
Expect(1, 9311, '\p{^inenclosedalphanumerics}', "");
Expect(1, 9311, '\P{inenclosedalphanumerics}', "");
Expect(0, 9311, '\P{^inenclosedalphanumerics}', "");
Expect(1, 9471, '\p{- In-Enclosed	ALPHANUMERICS}', "");
Expect(0, 9471, '\p{^- In-Enclosed	ALPHANUMERICS}', "");
Expect(0, 9471, '\P{- In-Enclosed	ALPHANUMERICS}', "");
Expect(1, 9471, '\P{^- In-Enclosed	ALPHANUMERICS}', "");
Expect(0, 9311, '\p{- In-Enclosed	ALPHANUMERICS}', "");
Expect(1, 9311, '\p{^- In-Enclosed	ALPHANUMERICS}', "");
Expect(1, 9311, '\P{- In-Enclosed	ALPHANUMERICS}', "");
Expect(0, 9311, '\P{^- In-Enclosed	ALPHANUMERICS}', "");
Error('\p{_:=MEETEIMAYEK}');
Error('\P{_:=MEETEIMAYEK}');
Expect(1, 44013, '\p{meeteimayek}', "");
Expect(0, 44013, '\p{^meeteimayek}', "");
Expect(0, 44013, '\P{meeteimayek}', "");
Expect(1, 44013, '\P{^meeteimayek}', "");
Expect(0, 43967, '\p{meeteimayek}', "");
Expect(1, 43967, '\p{^meeteimayek}', "");
Expect(1, 43967, '\P{meeteimayek}', "");
Expect(0, 43967, '\P{^meeteimayek}', "");
Expect(1, 44013, '\p{-	meeteiMayek}', "");
Expect(0, 44013, '\p{^-	meeteiMayek}', "");
Expect(0, 44013, '\P{-	meeteiMayek}', "");
Expect(1, 44013, '\P{^-	meeteiMayek}', "");
Expect(0, 43967, '\p{-	meeteiMayek}', "");
Expect(1, 43967, '\p{^-	meeteiMayek}', "");
Expect(1, 43967, '\P{-	meeteiMayek}', "");
Expect(0, 43967, '\P{^-	meeteiMayek}', "");
Error('\p{/a/_	is	MEETEI-mayek}');
Error('\P{/a/_	is	MEETEI-mayek}');
Expect(1, 44013, '\p{ismeeteimayek}', "");
Expect(0, 44013, '\p{^ismeeteimayek}', "");
Expect(0, 44013, '\P{ismeeteimayek}', "");
Expect(1, 44013, '\P{^ismeeteimayek}', "");
Expect(0, 43967, '\p{ismeeteimayek}', "");
Expect(1, 43967, '\p{^ismeeteimayek}', "");
Expect(1, 43967, '\P{ismeeteimayek}', "");
Expect(0, 43967, '\P{^ismeeteimayek}', "");
Expect(1, 44013, '\p{	IS Meetei	Mayek}', "");
Expect(0, 44013, '\p{^	IS Meetei	Mayek}', "");
Expect(0, 44013, '\P{	IS Meetei	Mayek}', "");
Expect(1, 44013, '\P{^	IS Meetei	Mayek}', "");
Expect(0, 43967, '\p{	IS Meetei	Mayek}', "");
Expect(1, 43967, '\p{^	IS Meetei	Mayek}', "");
Expect(1, 43967, '\P{	IS Meetei	Mayek}', "");
Expect(0, 43967, '\P{^	IS Meetei	Mayek}', "");
Error('\p{	:=Mtei}');
Error('\P{	:=Mtei}');
Expect(1, 44013, '\p{mtei}', "");
Expect(0, 44013, '\p{^mtei}', "");
Expect(0, 44013, '\P{mtei}', "");
Expect(1, 44013, '\P{^mtei}', "");
Expect(0, 43967, '\p{mtei}', "");
Expect(1, 43967, '\p{^mtei}', "");
Expect(1, 43967, '\P{mtei}', "");
Expect(0, 43967, '\P{^mtei}', "");
Expect(1, 44013, '\p{ Mtei}', "");
Expect(0, 44013, '\p{^ Mtei}', "");
Expect(0, 44013, '\P{ Mtei}', "");
Expect(1, 44013, '\P{^ Mtei}', "");
Expect(0, 43967, '\p{ Mtei}', "");
Expect(1, 43967, '\p{^ Mtei}', "");
Expect(1, 43967, '\P{ Mtei}', "");
Expect(0, 43967, '\P{^ Mtei}', "");
Error('\p{/a/IS_Mtei}');
Error('\P{/a/IS_Mtei}');
Expect(1, 44013, '\p{ismtei}', "");
Expect(0, 44013, '\p{^ismtei}', "");
Expect(0, 44013, '\P{ismtei}', "");
Expect(1, 44013, '\P{^ismtei}', "");
Expect(0, 43967, '\p{ismtei}', "");
Expect(1, 43967, '\p{^ismtei}', "");
Expect(1, 43967, '\P{ismtei}', "");
Expect(0, 43967, '\P{^ismtei}', "");
Expect(1, 44013, '\p{- Is Mtei}', "");
Expect(0, 44013, '\p{^- Is Mtei}', "");
Expect(0, 44013, '\P{- Is Mtei}', "");
Expect(1, 44013, '\P{^- Is Mtei}', "");
Expect(0, 43967, '\p{- Is Mtei}', "");
Expect(1, 43967, '\p{^- Is Mtei}', "");
Expect(1, 43967, '\P{- Is Mtei}', "");
Expect(0, 43967, '\P{^- Is Mtei}', "");
Error('\p{	_EXTENDER:=}');
Error('\P{	_EXTENDER:=}');
Expect(1, 183, '\p{extender}', "");
Expect(0, 183, '\p{^extender}', "");
Expect(0, 183, '\P{extender}', "");
Expect(1, 183, '\P{^extender}', "");
Expect(0, 182, '\p{extender}', "");
Expect(1, 182, '\p{^extender}', "");
Expect(1, 182, '\P{extender}', "");
Expect(0, 182, '\P{^extender}', "");
Expect(1, 183, '\p{-_EXTENDER}', "");
Expect(0, 183, '\p{^-_EXTENDER}', "");
Expect(0, 183, '\P{-_EXTENDER}', "");
Expect(1, 183, '\P{^-_EXTENDER}', "");
Expect(0, 182, '\p{-_EXTENDER}', "");
Expect(1, 182, '\p{^-_EXTENDER}', "");
Expect(1, 182, '\P{-_EXTENDER}', "");
Expect(0, 182, '\P{^-_EXTENDER}', "");
Error('\p{ is:=Extender}');
Error('\P{ is:=Extender}');
Expect(1, 183, '\p{isextender}', "");
Expect(0, 183, '\p{^isextender}', "");
Expect(0, 183, '\P{isextender}', "");
Expect(1, 183, '\P{^isextender}', "");
Expect(0, 182, '\p{isextender}', "");
Expect(1, 182, '\p{^isextender}', "");
Expect(1, 182, '\P{isextender}', "");
Expect(0, 182, '\P{^isextender}', "");
Expect(1, 183, '\p{_	is_EXTENDER}', "");
Expect(0, 183, '\p{^_	is_EXTENDER}', "");
Expect(0, 183, '\P{_	is_EXTENDER}', "");
Expect(1, 183, '\P{^_	is_EXTENDER}', "");
Expect(0, 182, '\p{_	is_EXTENDER}', "");
Expect(1, 182, '\p{^_	is_EXTENDER}', "");
Expect(1, 182, '\P{_	is_EXTENDER}', "");
Expect(0, 182, '\P{^_	is_EXTENDER}', "");
Error('\p{		Ext/a/}');
Error('\P{		Ext/a/}');
Expect(1, 183, '\p{ext}', "");
Expect(0, 183, '\p{^ext}', "");
Expect(0, 183, '\P{ext}', "");
Expect(1, 183, '\P{^ext}', "");
Expect(0, 182, '\p{ext}', "");
Expect(1, 182, '\p{^ext}', "");
Expect(1, 182, '\P{ext}', "");
Expect(0, 182, '\P{^ext}', "");
Expect(1, 183, '\p{_EXT}', "");
Expect(0, 183, '\p{^_EXT}', "");
Expect(0, 183, '\P{_EXT}', "");
Expect(1, 183, '\P{^_EXT}', "");
Expect(0, 182, '\p{_EXT}', "");
Expect(1, 182, '\p{^_EXT}', "");
Expect(1, 182, '\P{_EXT}', "");
Expect(0, 182, '\P{^_EXT}', "");
Error('\p{	-IS EXT:=}');
Error('\P{	-IS EXT:=}');
Expect(1, 183, '\p{isext}', "");
Expect(0, 183, '\p{^isext}', "");
Expect(0, 183, '\P{isext}', "");
Expect(1, 183, '\P{^isext}', "");
Expect(0, 182, '\p{isext}', "");
Expect(1, 182, '\p{^isext}', "");
Expect(1, 182, '\P{isext}', "");
Expect(0, 182, '\P{^isext}', "");
Expect(1, 183, '\p{ 	Is	ext}', "");
Expect(0, 183, '\p{^ 	Is	ext}', "");
Expect(0, 183, '\P{ 	Is	ext}', "");
Expect(1, 183, '\P{^ 	Is	ext}', "");
Expect(0, 182, '\p{ 	Is	ext}', "");
Expect(1, 182, '\p{^ 	Is	ext}', "");
Expect(1, 182, '\P{ 	Is	ext}', "");
Expect(0, 182, '\P{^ 	Is	ext}', "");
Error('\p{_	composition/a/exclusion}');
Error('\P{_	composition/a/exclusion}');
Expect(1, 2399, '\p{compositionexclusion}', "");
Expect(0, 2399, '\p{^compositionexclusion}', "");
Expect(0, 2399, '\P{compositionexclusion}', "");
Expect(1, 2399, '\P{^compositionexclusion}', "");
Expect(0, 2391, '\p{compositionexclusion}', "");
Expect(1, 2391, '\p{^compositionexclusion}', "");
Expect(1, 2391, '\P{compositionexclusion}', "");
Expect(0, 2391, '\P{^compositionexclusion}', "");
Expect(1, 2399, '\p{		COMPOSITION-exclusion}', "");
Expect(0, 2399, '\p{^		COMPOSITION-exclusion}', "");
Expect(0, 2399, '\P{		COMPOSITION-exclusion}', "");
Expect(1, 2399, '\P{^		COMPOSITION-exclusion}', "");
Expect(0, 2391, '\p{		COMPOSITION-exclusion}', "");
Expect(1, 2391, '\p{^		COMPOSITION-exclusion}', "");
Expect(1, 2391, '\P{		COMPOSITION-exclusion}', "");
Expect(0, 2391, '\P{^		COMPOSITION-exclusion}', "");
Error('\p{:=__Is_Composition exclusion}');
Error('\P{:=__Is_Composition exclusion}');
Expect(1, 2399, '\p{iscompositionexclusion}', "");
Expect(0, 2399, '\p{^iscompositionexclusion}', "");
Expect(0, 2399, '\P{iscompositionexclusion}', "");
Expect(1, 2399, '\P{^iscompositionexclusion}', "");
Expect(0, 2391, '\p{iscompositionexclusion}', "");
Expect(1, 2391, '\p{^iscompositionexclusion}', "");
Expect(1, 2391, '\P{iscompositionexclusion}', "");
Expect(0, 2391, '\P{^iscompositionexclusion}', "");
Expect(1, 2399, '\p{-_Is-Composition_EXCLUSION}', "");
Expect(0, 2399, '\p{^-_Is-Composition_EXCLUSION}', "");
Expect(0, 2399, '\P{-_Is-Composition_EXCLUSION}', "");
Expect(1, 2399, '\P{^-_Is-Composition_EXCLUSION}', "");
Expect(0, 2391, '\p{-_Is-Composition_EXCLUSION}', "");
Expect(1, 2391, '\p{^-_Is-Composition_EXCLUSION}', "");
Expect(1, 2391, '\P{-_Is-Composition_EXCLUSION}', "");
Expect(0, 2391, '\P{^-_Is-Composition_EXCLUSION}', "");
Error('\p{/a/_-CE}');
Error('\P{/a/_-CE}');
Expect(1, 2399, '\p{ce}', "");
Expect(0, 2399, '\p{^ce}', "");
Expect(0, 2399, '\P{ce}', "");
Expect(1, 2399, '\P{^ce}', "");
Expect(0, 2391, '\p{ce}', "");
Expect(1, 2391, '\p{^ce}', "");
Expect(1, 2391, '\P{ce}', "");
Expect(0, 2391, '\P{^ce}', "");
Expect(1, 2399, '\p{_	CE}', "");
Expect(0, 2399, '\p{^_	CE}', "");
Expect(0, 2399, '\P{_	CE}', "");
Expect(1, 2399, '\P{^_	CE}', "");
Expect(0, 2391, '\p{_	CE}', "");
Expect(1, 2391, '\p{^_	CE}', "");
Expect(1, 2391, '\P{_	CE}', "");
Expect(0, 2391, '\P{^_	CE}', "");
Error('\p{-/a/IsCE}');
Error('\P{-/a/IsCE}');
Expect(1, 2399, '\p{isce}', "");
Expect(0, 2399, '\p{^isce}', "");
Expect(0, 2399, '\P{isce}', "");
Expect(1, 2399, '\P{^isce}', "");
Expect(0, 2391, '\p{isce}', "");
Expect(1, 2391, '\p{^isce}', "");
Expect(1, 2391, '\P{isce}', "");
Expect(0, 2391, '\P{^isce}', "");
Expect(1, 2399, '\p{		IS-ce}', "");
Expect(0, 2399, '\p{^		IS-ce}', "");
Expect(0, 2399, '\P{		IS-ce}', "");
Expect(1, 2399, '\P{^		IS-ce}', "");
Expect(0, 2391, '\p{		IS-ce}', "");
Expect(1, 2391, '\p{^		IS-ce}', "");
Expect(1, 2391, '\P{		IS-ce}', "");
Expect(0, 2391, '\P{^		IS-ce}', "");
Error('\p{/a/	-Enclosed_cjk Letters	And_MONTHS}');
Error('\P{/a/	-Enclosed_cjk Letters	And_MONTHS}');
Expect(1, 13055, '\p{enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^enclosedcjklettersandmonths}', "");
Expect(0, 12799, '\p{enclosedcjklettersandmonths}', "");
Expect(1, 12799, '\p{^enclosedcjklettersandmonths}', "");
Expect(1, 12799, '\P{enclosedcjklettersandmonths}', "");
Expect(0, 12799, '\P{^enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{	-EnclosedCJK letters	and	Months}', "");
Expect(0, 13055, '\p{^	-EnclosedCJK letters	and	Months}', "");
Expect(0, 13055, '\P{	-EnclosedCJK letters	and	Months}', "");
Expect(1, 13055, '\P{^	-EnclosedCJK letters	and	Months}', "");
Expect(0, 12799, '\p{	-EnclosedCJK letters	and	Months}', "");
Expect(1, 12799, '\p{^	-EnclosedCJK letters	and	Months}', "");
Expect(1, 12799, '\P{	-EnclosedCJK letters	and	Months}', "");
Expect(0, 12799, '\P{^	-EnclosedCJK letters	and	Months}', "");
Error('\p{ /a/is enclosed CJK-Letters	AndMonths}');
Error('\P{ /a/is enclosed CJK-Letters	AndMonths}');
Expect(1, 13055, '\p{isenclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^isenclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{isenclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^isenclosedcjklettersandmonths}', "");
Expect(0, 12799, '\p{isenclosedcjklettersandmonths}', "");
Expect(1, 12799, '\p{^isenclosedcjklettersandmonths}', "");
Expect(1, 12799, '\P{isenclosedcjklettersandmonths}', "");
Expect(0, 12799, '\P{^isenclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{_	is_enclosed-CJKLetters_And-Months}', "");
Expect(0, 13055, '\p{^_	is_enclosed-CJKLetters_And-Months}', "");
Expect(0, 13055, '\P{_	is_enclosed-CJKLetters_And-Months}', "");
Expect(1, 13055, '\P{^_	is_enclosed-CJKLetters_And-Months}', "");
Expect(0, 12799, '\p{_	is_enclosed-CJKLetters_And-Months}', "");
Expect(1, 12799, '\p{^_	is_enclosed-CJKLetters_And-Months}', "");
Expect(1, 12799, '\P{_	is_enclosed-CJKLetters_And-Months}', "");
Expect(0, 12799, '\P{^_	is_enclosed-CJKLetters_And-Months}', "");
Error('\p{	/a/INEnclosedCJKLetters AndMonths}');
Error('\P{	/a/INEnclosedCJKLetters AndMonths}');
Expect(1, 13055, '\p{inenclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^inenclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{inenclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^inenclosedcjklettersandmonths}', "");
Expect(0, 12799, '\p{inenclosedcjklettersandmonths}', "");
Expect(1, 12799, '\p{^inenclosedcjklettersandmonths}', "");
Expect(1, 12799, '\P{inenclosedcjklettersandmonths}', "");
Expect(0, 12799, '\P{^inenclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{	-In_ENCLOSED-cjk Letters and	months}', "");
Expect(0, 13055, '\p{^	-In_ENCLOSED-cjk Letters and	months}', "");
Expect(0, 13055, '\P{	-In_ENCLOSED-cjk Letters and	months}', "");
Expect(1, 13055, '\P{^	-In_ENCLOSED-cjk Letters and	months}', "");
Expect(0, 12799, '\p{	-In_ENCLOSED-cjk Letters and	months}', "");
Expect(1, 12799, '\p{^	-In_ENCLOSED-cjk Letters and	months}', "");
Expect(1, 12799, '\P{	-In_ENCLOSED-cjk Letters and	months}', "");
Expect(0, 12799, '\P{^	-In_ENCLOSED-cjk Letters and	months}', "");
Error('\p{	/a/space_Separator}');
Error('\P{	/a/space_Separator}');
Expect(1, 32, '\p{spaceseparator}', "");
Expect(0, 32, '\p{^spaceseparator}', "");
Expect(0, 32, '\P{spaceseparator}', "");
Expect(1, 32, '\P{^spaceseparator}', "");
Expect(0, 31, '\p{spaceseparator}', "");
Expect(1, 31, '\p{^spaceseparator}', "");
Expect(1, 31, '\P{spaceseparator}', "");
Expect(0, 31, '\P{^spaceseparator}', "");
Expect(1, 32, '\p{ _Space	Separator}', "");
Expect(0, 32, '\p{^ _Space	Separator}', "");
Expect(0, 32, '\P{ _Space	Separator}', "");
Expect(1, 32, '\P{^ _Space	Separator}', "");
Expect(0, 31, '\p{ _Space	Separator}', "");
Expect(1, 31, '\p{^ _Space	Separator}', "");
Expect(1, 31, '\P{ _Space	Separator}', "");
Expect(0, 31, '\P{^ _Space	Separator}', "");
Error('\p{-/a/IsSpace Separator}');
Error('\P{-/a/IsSpace Separator}');
Expect(1, 32, '\p{isspaceseparator}', "");
Expect(0, 32, '\p{^isspaceseparator}', "");
Expect(0, 32, '\P{isspaceseparator}', "");
Expect(1, 32, '\P{^isspaceseparator}', "");
Expect(0, 31, '\p{isspaceseparator}', "");
Expect(1, 31, '\p{^isspaceseparator}', "");
Expect(1, 31, '\P{isspaceseparator}', "");
Expect(0, 31, '\P{^isspaceseparator}', "");
Expect(1, 32, '\p{_Is-SPACEseparator}', "");
Expect(0, 32, '\p{^_Is-SPACEseparator}', "");
Expect(0, 32, '\P{_Is-SPACEseparator}', "");
Expect(1, 32, '\P{^_Is-SPACEseparator}', "");
Expect(0, 31, '\p{_Is-SPACEseparator}', "");
Expect(1, 31, '\p{^_Is-SPACEseparator}', "");
Expect(1, 31, '\P{_Is-SPACEseparator}', "");
Expect(0, 31, '\P{^_Is-SPACEseparator}', "");
Error('\p{:=-Zs}');
Error('\P{:=-Zs}');
Expect(1, 32, '\p{zs}', "");
Expect(0, 32, '\p{^zs}', "");
Expect(0, 32, '\P{zs}', "");
Expect(1, 32, '\P{^zs}', "");
Expect(0, 31, '\p{zs}', "");
Expect(1, 31, '\p{^zs}', "");
Expect(1, 31, '\P{zs}', "");
Expect(0, 31, '\P{^zs}', "");
Expect(1, 32, '\p{ _Zs}', "");
Expect(0, 32, '\p{^ _Zs}', "");
Expect(0, 32, '\P{ _Zs}', "");
Expect(1, 32, '\P{^ _Zs}', "");
Expect(0, 31, '\p{ _Zs}', "");
Expect(1, 31, '\p{^ _Zs}', "");
Expect(1, 31, '\P{ _Zs}', "");
Expect(0, 31, '\P{^ _Zs}', "");
Error('\p{ :=is_Zs}');
Error('\P{ :=is_Zs}');
Expect(1, 32, '\p{iszs}', "");
Expect(0, 32, '\p{^iszs}', "");
Expect(0, 32, '\P{iszs}', "");
Expect(1, 32, '\P{^iszs}', "");
Expect(0, 31, '\p{iszs}', "");
Expect(1, 31, '\p{^iszs}', "");
Expect(1, 31, '\P{iszs}', "");
Expect(0, 31, '\P{^iszs}', "");
Expect(1, 32, '\p{is_ZS}', "");
Expect(0, 32, '\p{^is_ZS}', "");
Expect(0, 32, '\P{is_ZS}', "");
Expect(1, 32, '\P{^is_ZS}', "");
Expect(0, 31, '\p{is_ZS}', "");
Expect(1, 31, '\p{^is_ZS}', "");
Expect(1, 31, '\P{is_ZS}', "");
Expect(0, 31, '\P{^is_ZS}', "");
Error('\p{	:=SupplementalPunctuation}');
Error('\P{	:=SupplementalPunctuation}');
Expect(1, 11903, '\p{supplementalpunctuation}', "");
Expect(0, 11903, '\p{^supplementalpunctuation}', "");
Expect(0, 11903, '\P{supplementalpunctuation}', "");
Expect(1, 11903, '\P{^supplementalpunctuation}', "");
Expect(0, 11775, '\p{supplementalpunctuation}', "");
Expect(1, 11775, '\p{^supplementalpunctuation}', "");
Expect(1, 11775, '\P{supplementalpunctuation}', "");
Expect(0, 11775, '\P{^supplementalpunctuation}', "");
Expect(1, 11903, '\p{  Supplemental Punctuation}', "");
Expect(0, 11903, '\p{^  Supplemental Punctuation}', "");
Expect(0, 11903, '\P{  Supplemental Punctuation}', "");
Expect(1, 11903, '\P{^  Supplemental Punctuation}', "");
Expect(0, 11775, '\p{  Supplemental Punctuation}', "");
Expect(1, 11775, '\p{^  Supplemental Punctuation}', "");
Expect(1, 11775, '\P{  Supplemental Punctuation}', "");
Expect(0, 11775, '\P{^  Supplemental Punctuation}', "");
Error('\p{_:=ISSupplemental	punctuation}');
Error('\P{_:=ISSupplemental	punctuation}');
Expect(1, 11903, '\p{issupplementalpunctuation}', "");
Expect(0, 11903, '\p{^issupplementalpunctuation}', "");
Expect(0, 11903, '\P{issupplementalpunctuation}', "");
Expect(1, 11903, '\P{^issupplementalpunctuation}', "");
Expect(0, 11775, '\p{issupplementalpunctuation}', "");
Expect(1, 11775, '\p{^issupplementalpunctuation}', "");
Expect(1, 11775, '\P{issupplementalpunctuation}', "");
Expect(0, 11775, '\P{^issupplementalpunctuation}', "");
Expect(1, 11903, '\p{-_IS_supplemental punctuation}', "");
Expect(0, 11903, '\p{^-_IS_supplemental punctuation}', "");
Expect(0, 11903, '\P{-_IS_supplemental punctuation}', "");
Expect(1, 11903, '\P{^-_IS_supplemental punctuation}', "");
Expect(0, 11775, '\p{-_IS_supplemental punctuation}', "");
Expect(1, 11775, '\p{^-_IS_supplemental punctuation}', "");
Expect(1, 11775, '\P{-_IS_supplemental punctuation}', "");
Expect(0, 11775, '\P{^-_IS_supplemental punctuation}', "");
Error('\p{_-In	supplemental:=Punctuation}');
Error('\P{_-In	supplemental:=Punctuation}');
Expect(1, 11903, '\p{insupplementalpunctuation}', "");
Expect(0, 11903, '\p{^insupplementalpunctuation}', "");
Expect(0, 11903, '\P{insupplementalpunctuation}', "");
Expect(1, 11903, '\P{^insupplementalpunctuation}', "");
Expect(0, 11775, '\p{insupplementalpunctuation}', "");
Expect(1, 11775, '\p{^insupplementalpunctuation}', "");
Expect(1, 11775, '\P{insupplementalpunctuation}', "");
Expect(0, 11775, '\P{^insupplementalpunctuation}', "");
Expect(1, 11903, '\p{		IN_supplemental	punctuation}', "");
Expect(0, 11903, '\p{^		IN_supplemental	punctuation}', "");
Expect(0, 11903, '\P{		IN_supplemental	punctuation}', "");
Expect(1, 11903, '\P{^		IN_supplemental	punctuation}', "");
Expect(0, 11775, '\p{		IN_supplemental	punctuation}', "");
Expect(1, 11775, '\p{^		IN_supplemental	punctuation}', "");
Expect(1, 11775, '\P{		IN_supplemental	punctuation}', "");
Expect(0, 11775, '\P{^		IN_supplemental	punctuation}', "");
Error('\p{:=		katakana	phonetic-extensions}');
Error('\P{:=		katakana	phonetic-extensions}');
Expect(1, 12799, '\p{katakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^katakanaphoneticextensions}', "");
Expect(0, 12799, '\P{katakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^katakanaphoneticextensions}', "");
Expect(0, 12783, '\p{katakanaphoneticextensions}', "");
Expect(1, 12783, '\p{^katakanaphoneticextensions}', "");
Expect(1, 12783, '\P{katakanaphoneticextensions}', "");
Expect(0, 12783, '\P{^katakanaphoneticextensions}', "");
Expect(1, 12799, '\p{-	katakana-Phonetic_extensions}', "");
Expect(0, 12799, '\p{^-	katakana-Phonetic_extensions}', "");
Expect(0, 12799, '\P{-	katakana-Phonetic_extensions}', "");
Expect(1, 12799, '\P{^-	katakana-Phonetic_extensions}', "");
Expect(0, 12783, '\p{-	katakana-Phonetic_extensions}', "");
Expect(1, 12783, '\p{^-	katakana-Phonetic_extensions}', "");
Expect(1, 12783, '\P{-	katakana-Phonetic_extensions}', "");
Expect(0, 12783, '\P{^-	katakana-Phonetic_extensions}', "");
Error('\p{__IS:=Katakana-phoneticextensions}');
Error('\P{__IS:=Katakana-phoneticextensions}');
Expect(1, 12799, '\p{iskatakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^iskatakanaphoneticextensions}', "");
Expect(0, 12799, '\P{iskatakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^iskatakanaphoneticextensions}', "");
Expect(0, 12783, '\p{iskatakanaphoneticextensions}', "");
Expect(1, 12783, '\p{^iskatakanaphoneticextensions}', "");
Expect(1, 12783, '\P{iskatakanaphoneticextensions}', "");
Expect(0, 12783, '\P{^iskatakanaphoneticextensions}', "");
Expect(1, 12799, '\p{-IS-katakana Phonetic_EXTENSIONS}', "");
Expect(0, 12799, '\p{^-IS-katakana Phonetic_EXTENSIONS}', "");
Expect(0, 12799, '\P{-IS-katakana Phonetic_EXTENSIONS}', "");
Expect(1, 12799, '\P{^-IS-katakana Phonetic_EXTENSIONS}', "");
Expect(0, 12783, '\p{-IS-katakana Phonetic_EXTENSIONS}', "");
Expect(1, 12783, '\p{^-IS-katakana Phonetic_EXTENSIONS}', "");
Expect(1, 12783, '\P{-IS-katakana Phonetic_EXTENSIONS}', "");
Expect(0, 12783, '\P{^-IS-katakana Phonetic_EXTENSIONS}', "");
Error('\p{__In_Katakana-PhoneticExtensions/a/}');
Error('\P{__In_Katakana-PhoneticExtensions/a/}');
Expect(1, 12799, '\p{inkatakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^inkatakanaphoneticextensions}', "");
Expect(0, 12799, '\P{inkatakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^inkatakanaphoneticextensions}', "");
Expect(0, 12783, '\p{inkatakanaphoneticextensions}', "");
Expect(1, 12783, '\p{^inkatakanaphoneticextensions}', "");
Expect(1, 12783, '\P{inkatakanaphoneticextensions}', "");
Expect(0, 12783, '\P{^inkatakanaphoneticextensions}', "");
Expect(1, 12799, '\p{	-In KATAKANA_PHONETIC	extensions}', "");
Expect(0, 12799, '\p{^	-In KATAKANA_PHONETIC	extensions}', "");
Expect(0, 12799, '\P{	-In KATAKANA_PHONETIC	extensions}', "");
Expect(1, 12799, '\P{^	-In KATAKANA_PHONETIC	extensions}', "");
Expect(0, 12783, '\p{	-In KATAKANA_PHONETIC	extensions}', "");
Expect(1, 12783, '\p{^	-In KATAKANA_PHONETIC	extensions}', "");
Expect(1, 12783, '\P{	-In KATAKANA_PHONETIC	extensions}', "");
Expect(0, 12783, '\P{^	-In KATAKANA_PHONETIC	extensions}', "");
Error('\p{ ModifierSymbol/a/}');
Error('\P{ ModifierSymbol/a/}');
Expect(1, 94, '\p{modifiersymbol}', "");
Expect(0, 94, '\p{^modifiersymbol}', "");
Expect(0, 94, '\P{modifiersymbol}', "");
Expect(1, 94, '\P{^modifiersymbol}', "");
Expect(0, 93, '\p{modifiersymbol}', "");
Expect(1, 93, '\p{^modifiersymbol}', "");
Expect(1, 93, '\P{modifiersymbol}', "");
Expect(0, 93, '\P{^modifiersymbol}', "");
Expect(1, 94, '\p{ -Modifier Symbol}', "");
Expect(0, 94, '\p{^ -Modifier Symbol}', "");
Expect(0, 94, '\P{ -Modifier Symbol}', "");
Expect(1, 94, '\P{^ -Modifier Symbol}', "");
Expect(0, 93, '\p{ -Modifier Symbol}', "");
Expect(1, 93, '\p{^ -Modifier Symbol}', "");
Expect(1, 93, '\P{ -Modifier Symbol}', "");
Expect(0, 93, '\P{^ -Modifier Symbol}', "");
Error('\p{__Is modifier:=Symbol}');
Error('\P{__Is modifier:=Symbol}');
Expect(1, 94, '\p{ismodifiersymbol}', "");
Expect(0, 94, '\p{^ismodifiersymbol}', "");
Expect(0, 94, '\P{ismodifiersymbol}', "");
Expect(1, 94, '\P{^ismodifiersymbol}', "");
Expect(0, 93, '\p{ismodifiersymbol}', "");
Expect(1, 93, '\p{^ismodifiersymbol}', "");
Expect(1, 93, '\P{ismodifiersymbol}', "");
Expect(0, 93, '\P{^ismodifiersymbol}', "");
Expect(1, 94, '\p{--is_modifier_symbol}', "");
Expect(0, 94, '\p{^--is_modifier_symbol}', "");
Expect(0, 94, '\P{--is_modifier_symbol}', "");
Expect(1, 94, '\P{^--is_modifier_symbol}', "");
Expect(0, 93, '\p{--is_modifier_symbol}', "");
Expect(1, 93, '\p{^--is_modifier_symbol}', "");
Expect(1, 93, '\P{--is_modifier_symbol}', "");
Expect(0, 93, '\P{^--is_modifier_symbol}', "");
Error('\p{/a/-_sk}');
Error('\P{/a/-_sk}');
Expect(1, 94, '\p{sk}', "");
Expect(0, 94, '\p{^sk}', "");
Expect(0, 94, '\P{sk}', "");
Expect(1, 94, '\P{^sk}', "");
Expect(0, 93, '\p{sk}', "");
Expect(1, 93, '\p{^sk}', "");
Expect(1, 93, '\P{sk}', "");
Expect(0, 93, '\P{^sk}', "");
Expect(1, 94, '\p{ 	SK}', "");
Expect(0, 94, '\p{^ 	SK}', "");
Expect(0, 94, '\P{ 	SK}', "");
Expect(1, 94, '\P{^ 	SK}', "");
Expect(0, 93, '\p{ 	SK}', "");
Expect(1, 93, '\p{^ 	SK}', "");
Expect(1, 93, '\P{ 	SK}', "");
Expect(0, 93, '\P{^ 	SK}', "");
Error('\p{:=	_isSK}');
Error('\P{:=	_isSK}');
Expect(1, 94, '\p{issk}', "");
Expect(0, 94, '\p{^issk}', "");
Expect(0, 94, '\P{issk}', "");
Expect(1, 94, '\P{^issk}', "");
Expect(0, 93, '\p{issk}', "");
Expect(1, 93, '\p{^issk}', "");
Expect(1, 93, '\P{issk}', "");
Expect(0, 93, '\P{^issk}', "");
Expect(1, 94, '\p{_-is-sk}', "");
Expect(0, 94, '\p{^_-is-sk}', "");
Expect(0, 94, '\P{_-is-sk}', "");
Expect(1, 94, '\P{^_-is-sk}', "");
Expect(0, 93, '\p{_-is-sk}', "");
Expect(1, 93, '\p{^_-is-sk}', "");
Expect(1, 93, '\P{_-is-sk}', "");
Expect(0, 93, '\P{^_-is-sk}', "");
Error('\p{:= Armenian}');
Error('\P{:= Armenian}');
Expect(1, 1366, '\p{armenian}', "");
Expect(0, 1366, '\p{^armenian}', "");
Expect(0, 1366, '\P{armenian}', "");
Expect(1, 1366, '\P{^armenian}', "");
Expect(0, 1328, '\p{armenian}', "");
Expect(1, 1328, '\p{^armenian}', "");
Expect(1, 1328, '\P{armenian}', "");
Expect(0, 1328, '\P{^armenian}', "");
Expect(1, 1366, '\p{-Armenian}', "");
Expect(0, 1366, '\p{^-Armenian}', "");
Expect(0, 1366, '\P{-Armenian}', "");
Expect(1, 1366, '\P{^-Armenian}', "");
Expect(0, 1328, '\p{-Armenian}', "");
Expect(1, 1328, '\p{^-Armenian}', "");
Expect(1, 1328, '\P{-Armenian}', "");
Expect(0, 1328, '\P{^-Armenian}', "");
Error('\p{ /a/Is	Armenian}');
Error('\P{ /a/Is	Armenian}');
Expect(1, 1366, '\p{isarmenian}', "");
Expect(0, 1366, '\p{^isarmenian}', "");
Expect(0, 1366, '\P{isarmenian}', "");
Expect(1, 1366, '\P{^isarmenian}', "");
Expect(0, 1328, '\p{isarmenian}', "");
Expect(1, 1328, '\p{^isarmenian}', "");
Expect(1, 1328, '\P{isarmenian}', "");
Expect(0, 1328, '\P{^isarmenian}', "");
Expect(1, 1366, '\p{- Is Armenian}', "");
Expect(0, 1366, '\p{^- Is Armenian}', "");
Expect(0, 1366, '\P{- Is Armenian}', "");
Expect(1, 1366, '\P{^- Is Armenian}', "");
Expect(0, 1328, '\p{- Is Armenian}', "");
Expect(1, 1328, '\p{^- Is Armenian}', "");
Expect(1, 1328, '\P{- Is Armenian}', "");
Expect(0, 1328, '\P{^- Is Armenian}', "");
Error('\p{/a/-	Armn}');
Error('\P{/a/-	Armn}');
Expect(1, 1366, '\p{armn}', "");
Expect(0, 1366, '\p{^armn}', "");
Expect(0, 1366, '\P{armn}', "");
Expect(1, 1366, '\P{^armn}', "");
Expect(0, 1328, '\p{armn}', "");
Expect(1, 1328, '\p{^armn}', "");
Expect(1, 1328, '\P{armn}', "");
Expect(0, 1328, '\P{^armn}', "");
Expect(1, 1366, '\p{ Armn}', "");
Expect(0, 1366, '\p{^ Armn}', "");
Expect(0, 1366, '\P{ Armn}', "");
Expect(1, 1366, '\P{^ Armn}', "");
Expect(0, 1328, '\p{ Armn}', "");
Expect(1, 1328, '\p{^ Armn}', "");
Expect(1, 1328, '\P{ Armn}', "");
Expect(0, 1328, '\P{^ Armn}', "");
Error('\p{IS-Armn/a/}');
Error('\P{IS-Armn/a/}');
Expect(1, 1366, '\p{isarmn}', "");
Expect(0, 1366, '\p{^isarmn}', "");
Expect(0, 1366, '\P{isarmn}', "");
Expect(1, 1366, '\P{^isarmn}', "");
Expect(0, 1328, '\p{isarmn}', "");
Expect(1, 1328, '\p{^isarmn}', "");
Expect(1, 1328, '\P{isarmn}', "");
Expect(0, 1328, '\P{^isarmn}', "");
Expect(1, 1366, '\p{ -is-Armn}', "");
Expect(0, 1366, '\p{^ -is-Armn}', "");
Expect(0, 1366, '\P{ -is-Armn}', "");
Expect(1, 1366, '\P{^ -is-Armn}', "");
Expect(0, 1328, '\p{ -is-Armn}', "");
Expect(1, 1328, '\p{^ -is-Armn}', "");
Expect(1, 1328, '\P{ -is-Armn}', "");
Expect(0, 1328, '\P{^ -is-Armn}', "");
Error('\p{ -XID/a/Continue}');
Error('\P{ -XID/a/Continue}');
Expect(1, 57, '\p{xidcontinue}', "");
Expect(0, 57, '\p{^xidcontinue}', "");
Expect(0, 57, '\P{xidcontinue}', "");
Expect(1, 57, '\P{^xidcontinue}', "");
Expect(0, 47, '\p{xidcontinue}', "");
Expect(1, 47, '\p{^xidcontinue}', "");
Expect(1, 47, '\P{xidcontinue}', "");
Expect(0, 47, '\P{^xidcontinue}', "");
Expect(1, 57, '\p{ -xid_Continue}', "");
Expect(0, 57, '\p{^ -xid_Continue}', "");
Expect(0, 57, '\P{ -xid_Continue}', "");
Expect(1, 57, '\P{^ -xid_Continue}', "");
Expect(0, 47, '\p{ -xid_Continue}', "");
Expect(1, 47, '\p{^ -xid_Continue}', "");
Expect(1, 47, '\P{ -xid_Continue}', "");
Expect(0, 47, '\P{^ -xid_Continue}', "");
Error('\p{	 Is:=xid CONTINUE}');
Error('\P{	 Is:=xid CONTINUE}');
Expect(1, 57, '\p{isxidcontinue}', "");
Expect(0, 57, '\p{^isxidcontinue}', "");
Expect(0, 57, '\P{isxidcontinue}', "");
Expect(1, 57, '\P{^isxidcontinue}', "");
Expect(0, 47, '\p{isxidcontinue}', "");
Expect(1, 47, '\p{^isxidcontinue}', "");
Expect(1, 47, '\P{isxidcontinue}', "");
Expect(0, 47, '\P{^isxidcontinue}', "");
Expect(1, 57, '\p{_IsXID	CONTINUE}', "");
Expect(0, 57, '\p{^_IsXID	CONTINUE}', "");
Expect(0, 57, '\P{_IsXID	CONTINUE}', "");
Expect(1, 57, '\P{^_IsXID	CONTINUE}', "");
Expect(0, 47, '\p{_IsXID	CONTINUE}', "");
Expect(1, 47, '\p{^_IsXID	CONTINUE}', "");
Expect(1, 47, '\P{_IsXID	CONTINUE}', "");
Expect(0, 47, '\P{^_IsXID	CONTINUE}', "");
Error('\p{:= XIDC}');
Error('\P{:= XIDC}');
Expect(1, 57, '\p{xidc}', "");
Expect(0, 57, '\p{^xidc}', "");
Expect(0, 57, '\P{xidc}', "");
Expect(1, 57, '\P{^xidc}', "");
Expect(0, 47, '\p{xidc}', "");
Expect(1, 47, '\p{^xidc}', "");
Expect(1, 47, '\P{xidc}', "");
Expect(0, 47, '\P{^xidc}', "");
Expect(1, 57, '\p{-	XIDC}', "");
Expect(0, 57, '\p{^-	XIDC}', "");
Expect(0, 57, '\P{-	XIDC}', "");
Expect(1, 57, '\P{^-	XIDC}', "");
Expect(0, 47, '\p{-	XIDC}', "");
Expect(1, 47, '\p{^-	XIDC}', "");
Expect(1, 47, '\P{-	XIDC}', "");
Expect(0, 47, '\P{^-	XIDC}', "");
Error('\p{_:=Is_XIDC}');
Error('\P{_:=Is_XIDC}');
Expect(1, 57, '\p{isxidc}', "");
Expect(0, 57, '\p{^isxidc}', "");
Expect(0, 57, '\P{isxidc}', "");
Expect(1, 57, '\P{^isxidc}', "");
Expect(0, 47, '\p{isxidc}', "");
Expect(1, 47, '\p{^isxidc}', "");
Expect(1, 47, '\P{isxidc}', "");
Expect(0, 47, '\P{^isxidc}', "");
Expect(1, 57, '\p{__is_xidc}', "");
Expect(0, 57, '\p{^__is_xidc}', "");
Expect(0, 57, '\P{__is_xidc}', "");
Expect(1, 57, '\P{^__is_xidc}', "");
Expect(0, 47, '\p{__is_xidc}', "");
Expect(1, 47, '\p{^__is_xidc}', "");
Expect(1, 47, '\P{__is_xidc}', "");
Expect(0, 47, '\P{^__is_xidc}', "");
Error('\p{/a/_ Hyphen}');
Error('\P{/a/_ Hyphen}');
Expect(1, 45, '\p{hyphen}', "");
Expect(0, 45, '\p{^hyphen}', "");
Expect(0, 45, '\P{hyphen}', "");
Expect(1, 45, '\P{^hyphen}', "");
Expect(0, 44, '\p{hyphen}', "");
Expect(1, 44, '\p{^hyphen}', "");
Expect(1, 44, '\P{hyphen}', "");
Expect(0, 44, '\P{^hyphen}', "");
Expect(1, 45, '\p{  Hyphen}', "");
Expect(0, 45, '\p{^  Hyphen}', "");
Expect(0, 45, '\P{  Hyphen}', "");
Expect(1, 45, '\P{^  Hyphen}', "");
Expect(0, 44, '\p{  Hyphen}', "");
Expect(1, 44, '\p{^  Hyphen}', "");
Expect(1, 44, '\P{  Hyphen}', "");
Expect(0, 44, '\P{^  Hyphen}', "");
Error('\p{	/a/IS_HYPHEN}');
Error('\P{	/a/IS_HYPHEN}');
Expect(1, 45, '\p{ishyphen}', "");
Expect(0, 45, '\p{^ishyphen}', "");
Expect(0, 45, '\P{ishyphen}', "");
Expect(1, 45, '\P{^ishyphen}', "");
Expect(0, 44, '\p{ishyphen}', "");
Expect(1, 44, '\p{^ishyphen}', "");
Expect(1, 44, '\P{ishyphen}', "");
Expect(0, 44, '\P{^ishyphen}', "");
Expect(1, 45, '\p{-	Is Hyphen}', "");
Expect(0, 45, '\p{^-	Is Hyphen}', "");
Expect(0, 45, '\P{-	Is Hyphen}', "");
Expect(1, 45, '\P{^-	Is Hyphen}', "");
Expect(0, 44, '\p{-	Is Hyphen}', "");
Expect(1, 44, '\p{^-	Is Hyphen}', "");
Expect(1, 44, '\P{-	Is Hyphen}', "");
Expect(0, 44, '\P{^-	Is Hyphen}', "");
Error('\p{-	Unified-canadian/a/aboriginal_Syllabics}');
Error('\P{-	Unified-canadian/a/aboriginal_Syllabics}');
Expect(1, 5759, '\p{unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5119, '\p{unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5119, '\p{^unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5119, '\P{unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5119, '\P{^unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{_Unified	CANADIAN-Aboriginal SYLLABICS}', "");
Expect(0, 5759, '\p{^_Unified	CANADIAN-Aboriginal SYLLABICS}', "");
Expect(0, 5759, '\P{_Unified	CANADIAN-Aboriginal SYLLABICS}', "");
Expect(1, 5759, '\P{^_Unified	CANADIAN-Aboriginal SYLLABICS}', "");
Expect(0, 5119, '\p{_Unified	CANADIAN-Aboriginal SYLLABICS}', "");
Expect(1, 5119, '\p{^_Unified	CANADIAN-Aboriginal SYLLABICS}', "");
Expect(1, 5119, '\P{_Unified	CANADIAN-Aboriginal SYLLABICS}', "");
Expect(0, 5119, '\P{^_Unified	CANADIAN-Aboriginal SYLLABICS}', "");
Error('\p{ :=Is-Unified CANADIAN_ABORIGINAL	Syllabics}');
Error('\P{ :=Is-Unified CANADIAN_ABORIGINAL	Syllabics}');
Expect(1, 5759, '\p{isunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^isunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{isunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^isunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5119, '\p{isunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5119, '\p{^isunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5119, '\P{isunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5119, '\P{^isunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{__is unified_Canadian_Aboriginal_syllabics}', "");
Expect(0, 5759, '\p{^__is unified_Canadian_Aboriginal_syllabics}', "");
Expect(0, 5759, '\P{__is unified_Canadian_Aboriginal_syllabics}', "");
Expect(1, 5759, '\P{^__is unified_Canadian_Aboriginal_syllabics}', "");
Expect(0, 5119, '\p{__is unified_Canadian_Aboriginal_syllabics}', "");
Expect(1, 5119, '\p{^__is unified_Canadian_Aboriginal_syllabics}', "");
Expect(1, 5119, '\P{__is unified_Canadian_Aboriginal_syllabics}', "");
Expect(0, 5119, '\P{^__is unified_Canadian_Aboriginal_syllabics}', "");
Error('\p{_:=in_unified_Canadian-aboriginalSyllabics}');
Error('\P{_:=in_unified_Canadian-aboriginalSyllabics}');
Expect(1, 5759, '\p{inunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^inunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{inunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^inunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5119, '\p{inunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5119, '\p{^inunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5119, '\P{inunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5119, '\P{^inunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{ in UNIFIED_CanadianAboriginal	syllabics}', "");
Expect(0, 5759, '\p{^ in UNIFIED_CanadianAboriginal	syllabics}', "");
Expect(0, 5759, '\P{ in UNIFIED_CanadianAboriginal	syllabics}', "");
Expect(1, 5759, '\P{^ in UNIFIED_CanadianAboriginal	syllabics}', "");
Expect(0, 5119, '\p{ in UNIFIED_CanadianAboriginal	syllabics}', "");
Expect(1, 5119, '\p{^ in UNIFIED_CanadianAboriginal	syllabics}', "");
Expect(1, 5119, '\P{ in UNIFIED_CanadianAboriginal	syllabics}', "");
Expect(0, 5119, '\P{^ in UNIFIED_CanadianAboriginal	syllabics}', "");
Error('\p{ :=CanadianSYLLABICS}');
Error('\P{ :=CanadianSYLLABICS}');
Expect(1, 5759, '\p{canadiansyllabics}', "");
Expect(0, 5759, '\p{^canadiansyllabics}', "");
Expect(0, 5759, '\P{canadiansyllabics}', "");
Expect(1, 5759, '\P{^canadiansyllabics}', "");
Expect(0, 5119, '\p{canadiansyllabics}', "");
Expect(1, 5119, '\p{^canadiansyllabics}', "");
Expect(1, 5119, '\P{canadiansyllabics}', "");
Expect(0, 5119, '\P{^canadiansyllabics}', "");
Expect(1, 5759, '\p{--Canadian_SYLLABICS}', "");
Expect(0, 5759, '\p{^--Canadian_SYLLABICS}', "");
Expect(0, 5759, '\P{--Canadian_SYLLABICS}', "");
Expect(1, 5759, '\P{^--Canadian_SYLLABICS}', "");
Expect(0, 5119, '\p{--Canadian_SYLLABICS}', "");
Expect(1, 5119, '\p{^--Canadian_SYLLABICS}', "");
Expect(1, 5119, '\P{--Canadian_SYLLABICS}', "");
Expect(0, 5119, '\P{^--Canadian_SYLLABICS}', "");
Error('\p{		Is:=Canadian Syllabics}');
Error('\P{		Is:=Canadian Syllabics}');
Expect(1, 5759, '\p{iscanadiansyllabics}', "");
Expect(0, 5759, '\p{^iscanadiansyllabics}', "");
Expect(0, 5759, '\P{iscanadiansyllabics}', "");
Expect(1, 5759, '\P{^iscanadiansyllabics}', "");
Expect(0, 5119, '\p{iscanadiansyllabics}', "");
Expect(1, 5119, '\p{^iscanadiansyllabics}', "");
Expect(1, 5119, '\P{iscanadiansyllabics}', "");
Expect(0, 5119, '\P{^iscanadiansyllabics}', "");
Expect(1, 5759, '\p{--isCanadian SYLLABICS}', "");
Expect(0, 5759, '\p{^--isCanadian SYLLABICS}', "");
Expect(0, 5759, '\P{--isCanadian SYLLABICS}', "");
Expect(1, 5759, '\P{^--isCanadian SYLLABICS}', "");
Expect(0, 5119, '\p{--isCanadian SYLLABICS}', "");
Expect(1, 5119, '\p{^--isCanadian SYLLABICS}', "");
Expect(1, 5119, '\P{--isCanadian SYLLABICS}', "");
Expect(0, 5119, '\P{^--isCanadian SYLLABICS}', "");
Error('\p{  in/a/Canadian	syllabics}');
Error('\P{  in/a/Canadian	syllabics}');
Expect(1, 5759, '\p{incanadiansyllabics}', "");
Expect(0, 5759, '\p{^incanadiansyllabics}', "");
Expect(0, 5759, '\P{incanadiansyllabics}', "");
Expect(1, 5759, '\P{^incanadiansyllabics}', "");
Expect(0, 5119, '\p{incanadiansyllabics}', "");
Expect(1, 5119, '\p{^incanadiansyllabics}', "");
Expect(1, 5119, '\P{incanadiansyllabics}', "");
Expect(0, 5119, '\P{^incanadiansyllabics}', "");
Expect(1, 5759, '\p{_-inCanadian-Syllabics}', "");
Expect(0, 5759, '\p{^_-inCanadian-Syllabics}', "");
Expect(0, 5759, '\P{_-inCanadian-Syllabics}', "");
Expect(1, 5759, '\P{^_-inCanadian-Syllabics}', "");
Expect(0, 5119, '\p{_-inCanadian-Syllabics}', "");
Expect(1, 5119, '\p{^_-inCanadian-Syllabics}', "");
Expect(1, 5119, '\P{_-inCanadian-Syllabics}', "");
Expect(0, 5119, '\P{^_-inCanadian-Syllabics}', "");
Error('\p{	_EGYPTIAN/a/Hieroglyphs}');
Error('\P{	_EGYPTIAN/a/Hieroglyphs}');
Expect(1, 78894, '\p{egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^egyptianhieroglyphs}', "");
Expect(0, 77823, '\p{egyptianhieroglyphs}', "");
Expect(1, 77823, '\p{^egyptianhieroglyphs}', "");
Expect(1, 77823, '\P{egyptianhieroglyphs}', "");
Expect(0, 77823, '\P{^egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{ egyptian-Hieroglyphs}', "");
Expect(0, 78894, '\p{^ egyptian-Hieroglyphs}', "");
Expect(0, 78894, '\P{ egyptian-Hieroglyphs}', "");
Expect(1, 78894, '\P{^ egyptian-Hieroglyphs}', "");
Expect(0, 77823, '\p{ egyptian-Hieroglyphs}', "");
Expect(1, 77823, '\p{^ egyptian-Hieroglyphs}', "");
Expect(1, 77823, '\P{ egyptian-Hieroglyphs}', "");
Expect(0, 77823, '\P{^ egyptian-Hieroglyphs}', "");
Error('\p{_is-Egyptian-Hieroglyphs:=}');
Error('\P{_is-Egyptian-Hieroglyphs:=}');
Expect(1, 78894, '\p{isegyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^isegyptianhieroglyphs}', "");
Expect(0, 78894, '\P{isegyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^isegyptianhieroglyphs}', "");
Expect(0, 77823, '\p{isegyptianhieroglyphs}', "");
Expect(1, 77823, '\p{^isegyptianhieroglyphs}', "");
Expect(1, 77823, '\P{isegyptianhieroglyphs}', "");
Expect(0, 77823, '\P{^isegyptianhieroglyphs}', "");
Expect(1, 78894, '\p{ -Isegyptian_hieroglyphs}', "");
Expect(0, 78894, '\p{^ -Isegyptian_hieroglyphs}', "");
Expect(0, 78894, '\P{ -Isegyptian_hieroglyphs}', "");
Expect(1, 78894, '\P{^ -Isegyptian_hieroglyphs}', "");
Expect(0, 77823, '\p{ -Isegyptian_hieroglyphs}', "");
Expect(1, 77823, '\p{^ -Isegyptian_hieroglyphs}', "");
Expect(1, 77823, '\P{ -Isegyptian_hieroglyphs}', "");
Expect(0, 77823, '\P{^ -Isegyptian_hieroglyphs}', "");
Error('\p{:=__EGYP}');
Error('\P{:=__EGYP}');
Expect(1, 78894, '\p{egyp}', "");
Expect(0, 78894, '\p{^egyp}', "");
Expect(0, 78894, '\P{egyp}', "");
Expect(1, 78894, '\P{^egyp}', "");
Expect(0, 77823, '\p{egyp}', "");
Expect(1, 77823, '\p{^egyp}', "");
Expect(1, 77823, '\P{egyp}', "");
Expect(0, 77823, '\P{^egyp}', "");
Expect(1, 78894, '\p{	Egyp}', "");
Expect(0, 78894, '\p{^	Egyp}', "");
Expect(0, 78894, '\P{	Egyp}', "");
Expect(1, 78894, '\P{^	Egyp}', "");
Expect(0, 77823, '\p{	Egyp}', "");
Expect(1, 77823, '\p{^	Egyp}', "");
Expect(1, 77823, '\P{	Egyp}', "");
Expect(0, 77823, '\P{^	Egyp}', "");
Error('\p{-/a/IS-EGYP}');
Error('\P{-/a/IS-EGYP}');
Expect(1, 78894, '\p{isegyp}', "");
Expect(0, 78894, '\p{^isegyp}', "");
Expect(0, 78894, '\P{isegyp}', "");
Expect(1, 78894, '\P{^isegyp}', "");
Expect(0, 77823, '\p{isegyp}', "");
Expect(1, 77823, '\p{^isegyp}', "");
Expect(1, 77823, '\P{isegyp}', "");
Expect(0, 77823, '\P{^isegyp}', "");
Expect(1, 78894, '\p{-Is Egyp}', "");
Expect(0, 78894, '\p{^-Is Egyp}', "");
Expect(0, 78894, '\P{-Is Egyp}', "");
Expect(1, 78894, '\P{^-Is Egyp}', "");
Expect(0, 77823, '\p{-Is Egyp}', "");
Expect(1, 77823, '\p{^-Is Egyp}', "");
Expect(1, 77823, '\P{-Is Egyp}', "");
Expect(0, 77823, '\P{^-Is Egyp}', "");
Error('\p{_Aegean Numbers:=}');
Error('\P{_Aegean Numbers:=}');
Expect(1, 65855, '\p{aegeannumbers}', "");
Expect(0, 65855, '\p{^aegeannumbers}', "");
Expect(0, 65855, '\P{aegeannumbers}', "");
Expect(1, 65855, '\P{^aegeannumbers}', "");
Expect(0, 65791, '\p{aegeannumbers}', "");
Expect(1, 65791, '\p{^aegeannumbers}', "");
Expect(1, 65791, '\P{aegeannumbers}', "");
Expect(0, 65791, '\P{^aegeannumbers}', "");
Expect(1, 65855, '\p{ AEGEAN_Numbers}', "");
Expect(0, 65855, '\p{^ AEGEAN_Numbers}', "");
Expect(0, 65855, '\P{ AEGEAN_Numbers}', "");
Expect(1, 65855, '\P{^ AEGEAN_Numbers}', "");
Expect(0, 65791, '\p{ AEGEAN_Numbers}', "");
Expect(1, 65791, '\p{^ AEGEAN_Numbers}', "");
Expect(1, 65791, '\P{ AEGEAN_Numbers}', "");
Expect(0, 65791, '\P{^ AEGEAN_Numbers}', "");
Error('\p{  Is-aegean_Numbers/a/}');
Error('\P{  Is-aegean_Numbers/a/}');
Expect(1, 65855, '\p{isaegeannumbers}', "");
Expect(0, 65855, '\p{^isaegeannumbers}', "");
Expect(0, 65855, '\P{isaegeannumbers}', "");
Expect(1, 65855, '\P{^isaegeannumbers}', "");
Expect(0, 65791, '\p{isaegeannumbers}', "");
Expect(1, 65791, '\p{^isaegeannumbers}', "");
Expect(1, 65791, '\P{isaegeannumbers}', "");
Expect(0, 65791, '\P{^isaegeannumbers}', "");
Expect(1, 65855, '\p{Is AEGEAN-Numbers}', "");
Expect(0, 65855, '\p{^Is AEGEAN-Numbers}', "");
Expect(0, 65855, '\P{Is AEGEAN-Numbers}', "");
Expect(1, 65855, '\P{^Is AEGEAN-Numbers}', "");
Expect(0, 65791, '\p{Is AEGEAN-Numbers}', "");
Expect(1, 65791, '\p{^Is AEGEAN-Numbers}', "");
Expect(1, 65791, '\P{Is AEGEAN-Numbers}', "");
Expect(0, 65791, '\P{^Is AEGEAN-Numbers}', "");
Error('\p{:=-IN	Aegean_Numbers}');
Error('\P{:=-IN	Aegean_Numbers}');
Expect(1, 65855, '\p{inaegeannumbers}', "");
Expect(0, 65855, '\p{^inaegeannumbers}', "");
Expect(0, 65855, '\P{inaegeannumbers}', "");
Expect(1, 65855, '\P{^inaegeannumbers}', "");
Expect(0, 65791, '\p{inaegeannumbers}', "");
Expect(1, 65791, '\p{^inaegeannumbers}', "");
Expect(1, 65791, '\P{inaegeannumbers}', "");
Expect(0, 65791, '\P{^inaegeannumbers}', "");
Expect(1, 65855, '\p{-IN AEGEANnumbers}', "");
Expect(0, 65855, '\p{^-IN AEGEANnumbers}', "");
Expect(0, 65855, '\P{-IN AEGEANnumbers}', "");
Expect(1, 65855, '\P{^-IN AEGEANnumbers}', "");
Expect(0, 65791, '\p{-IN AEGEANnumbers}', "");
Expect(1, 65791, '\p{^-IN AEGEANnumbers}', "");
Expect(1, 65791, '\P{-IN AEGEANnumbers}', "");
Expect(0, 65791, '\P{^-IN AEGEANnumbers}', "");
Error('\p{ /a/Bidi	Control}');
Error('\P{ /a/Bidi	Control}');
Expect(1, 8207, '\p{bidicontrol}', "");
Expect(0, 8207, '\p{^bidicontrol}', "");
Expect(0, 8207, '\P{bidicontrol}', "");
Expect(1, 8207, '\P{^bidicontrol}', "");
Expect(0, 8205, '\p{bidicontrol}', "");
Expect(1, 8205, '\p{^bidicontrol}', "");
Expect(1, 8205, '\P{bidicontrol}', "");
Expect(0, 8205, '\P{^bidicontrol}', "");
Expect(1, 8207, '\p{--BIDI_CONTROL}', "");
Expect(0, 8207, '\p{^--BIDI_CONTROL}', "");
Expect(0, 8207, '\P{--BIDI_CONTROL}', "");
Expect(1, 8207, '\P{^--BIDI_CONTROL}', "");
Expect(0, 8205, '\p{--BIDI_CONTROL}', "");
Expect(1, 8205, '\p{^--BIDI_CONTROL}', "");
Expect(1, 8205, '\P{--BIDI_CONTROL}', "");
Expect(0, 8205, '\P{^--BIDI_CONTROL}', "");
Error('\p{  Is/a/Bidicontrol}');
Error('\P{  Is/a/Bidicontrol}');
Expect(1, 8207, '\p{isbidicontrol}', "");
Expect(0, 8207, '\p{^isbidicontrol}', "");
Expect(0, 8207, '\P{isbidicontrol}', "");
Expect(1, 8207, '\P{^isbidicontrol}', "");
Expect(0, 8205, '\p{isbidicontrol}', "");
Expect(1, 8205, '\p{^isbidicontrol}', "");
Expect(1, 8205, '\P{isbidicontrol}', "");
Expect(0, 8205, '\P{^isbidicontrol}', "");
Expect(1, 8207, '\p{ is BIDIcontrol}', "");
Expect(0, 8207, '\p{^ is BIDIcontrol}', "");
Expect(0, 8207, '\P{ is BIDIcontrol}', "");
Expect(1, 8207, '\P{^ is BIDIcontrol}', "");
Expect(0, 8205, '\p{ is BIDIcontrol}', "");
Expect(1, 8205, '\p{^ is BIDIcontrol}', "");
Expect(1, 8205, '\P{ is BIDIcontrol}', "");
Expect(0, 8205, '\P{^ is BIDIcontrol}', "");
Error('\p{_/a/Bidi C}');
Error('\P{_/a/Bidi C}');
Expect(1, 8207, '\p{bidic}', "");
Expect(0, 8207, '\p{^bidic}', "");
Expect(0, 8207, '\P{bidic}', "");
Expect(1, 8207, '\P{^bidic}', "");
Expect(0, 8205, '\p{bidic}', "");
Expect(1, 8205, '\p{^bidic}', "");
Expect(1, 8205, '\P{bidic}', "");
Expect(0, 8205, '\P{^bidic}', "");
Expect(1, 8207, '\p{_	Bidi C}', "");
Expect(0, 8207, '\p{^_	Bidi C}', "");
Expect(0, 8207, '\P{_	Bidi C}', "");
Expect(1, 8207, '\P{^_	Bidi C}', "");
Expect(0, 8205, '\p{_	Bidi C}', "");
Expect(1, 8205, '\p{^_	Bidi C}', "");
Expect(1, 8205, '\P{_	Bidi C}', "");
Expect(0, 8205, '\P{^_	Bidi C}', "");
Error('\p{	:=ISbidi	c}');
Error('\P{	:=ISbidi	c}');
Expect(1, 8207, '\p{isbidic}', "");
Expect(0, 8207, '\p{^isbidic}', "");
Expect(0, 8207, '\P{isbidic}', "");
Expect(1, 8207, '\P{^isbidic}', "");
Expect(0, 8205, '\p{isbidic}', "");
Expect(1, 8205, '\p{^isbidic}', "");
Expect(1, 8205, '\P{isbidic}', "");
Expect(0, 8205, '\P{^isbidic}', "");
Expect(1, 8207, '\p{__IS bidi_C}', "");
Expect(0, 8207, '\p{^__IS bidi_C}', "");
Expect(0, 8207, '\P{__IS bidi_C}', "");
Expect(1, 8207, '\P{^__IS bidi_C}', "");
Expect(0, 8205, '\p{__IS bidi_C}', "");
Expect(1, 8205, '\p{^__IS bidi_C}', "");
Expect(1, 8205, '\P{__IS bidi_C}', "");
Expect(0, 8205, '\P{^__IS bidi_C}', "");
Error('\p{	-combining/a/DIACRITICALMarks_For	symbols}');
Error('\P{	-combining/a/DIACRITICALMarks_For	symbols}');
Expect(1, 8447, '\p{combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8399, '\p{combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8399, '\p{^combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8399, '\P{combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8399, '\P{^combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{ 	Combining_Diacritical	Marks-for	SYMBOLS}', "");
Expect(0, 8447, '\p{^ 	Combining_Diacritical	Marks-for	SYMBOLS}', "");
Expect(0, 8447, '\P{ 	Combining_Diacritical	Marks-for	SYMBOLS}', "");
Expect(1, 8447, '\P{^ 	Combining_Diacritical	Marks-for	SYMBOLS}', "");
Expect(0, 8399, '\p{ 	Combining_Diacritical	Marks-for	SYMBOLS}', "");
Expect(1, 8399, '\p{^ 	Combining_Diacritical	Marks-for	SYMBOLS}', "");
Expect(1, 8399, '\P{ 	Combining_Diacritical	Marks-for	SYMBOLS}', "");
Expect(0, 8399, '\P{^ 	Combining_Diacritical	Marks-for	SYMBOLS}', "");
Error('\p{ -Is-combining-DIACRITICAL_MARKS_ForSymbols/a/}');
Error('\P{ -Is-combining-DIACRITICAL_MARKS_ForSymbols/a/}');
Expect(1, 8447, '\p{iscombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^iscombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{iscombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^iscombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8399, '\p{iscombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8399, '\p{^iscombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8399, '\P{iscombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8399, '\P{^iscombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{-Iscombining_DIACRITICAL	marksfor_SYMBOLS}', "");
Expect(0, 8447, '\p{^-Iscombining_DIACRITICAL	marksfor_SYMBOLS}', "");
Expect(0, 8447, '\P{-Iscombining_DIACRITICAL	marksfor_SYMBOLS}', "");
Expect(1, 8447, '\P{^-Iscombining_DIACRITICAL	marksfor_SYMBOLS}', "");
Expect(0, 8399, '\p{-Iscombining_DIACRITICAL	marksfor_SYMBOLS}', "");
Expect(1, 8399, '\p{^-Iscombining_DIACRITICAL	marksfor_SYMBOLS}', "");
Expect(1, 8399, '\P{-Iscombining_DIACRITICAL	marksfor_SYMBOLS}', "");
Expect(0, 8399, '\P{^-Iscombining_DIACRITICAL	marksfor_SYMBOLS}', "");
Error('\p{_	In	COMBINING:=diacritical-Marks_For SYMBOLS}');
Error('\P{_	In	COMBINING:=diacritical-Marks_For SYMBOLS}');
Expect(1, 8447, '\p{incombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^incombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{incombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^incombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8399, '\p{incombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8399, '\p{^incombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8399, '\P{incombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8399, '\P{^incombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{	in	combining-diacriticalMarks	For-SYMBOLS}', "");
Expect(0, 8447, '\p{^	in	combining-diacriticalMarks	For-SYMBOLS}', "");
Expect(0, 8447, '\P{	in	combining-diacriticalMarks	For-SYMBOLS}', "");
Expect(1, 8447, '\P{^	in	combining-diacriticalMarks	For-SYMBOLS}', "");
Expect(0, 8399, '\p{	in	combining-diacriticalMarks	For-SYMBOLS}', "");
Expect(1, 8399, '\p{^	in	combining-diacriticalMarks	For-SYMBOLS}', "");
Expect(1, 8399, '\P{	in	combining-diacriticalMarks	For-SYMBOLS}', "");
Expect(0, 8399, '\P{^	in	combining-diacriticalMarks	For-SYMBOLS}', "");
Error('\p{/a/		Combining_marksFor-Symbols}');
Error('\P{/a/		Combining_marksFor-Symbols}');
Expect(1, 8447, '\p{combiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^combiningmarksforsymbols}', "");
Expect(0, 8447, '\P{combiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^combiningmarksforsymbols}', "");
Expect(0, 8399, '\p{combiningmarksforsymbols}', "");
Expect(1, 8399, '\p{^combiningmarksforsymbols}', "");
Expect(1, 8399, '\P{combiningmarksforsymbols}', "");
Expect(0, 8399, '\P{^combiningmarksforsymbols}', "");
Expect(1, 8447, '\p{ -Combining	MARKS For	Symbols}', "");
Expect(0, 8447, '\p{^ -Combining	MARKS For	Symbols}', "");
Expect(0, 8447, '\P{ -Combining	MARKS For	Symbols}', "");
Expect(1, 8447, '\P{^ -Combining	MARKS For	Symbols}', "");
Expect(0, 8399, '\p{ -Combining	MARKS For	Symbols}', "");
Expect(1, 8399, '\p{^ -Combining	MARKS For	Symbols}', "");
Expect(1, 8399, '\P{ -Combining	MARKS For	Symbols}', "");
Expect(0, 8399, '\P{^ -Combining	MARKS For	Symbols}', "");
Error('\p{_-Is-combining-Marks:=For_Symbols}');
Error('\P{_-Is-combining-Marks:=For_Symbols}');
Expect(1, 8447, '\p{iscombiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^iscombiningmarksforsymbols}', "");
Expect(0, 8447, '\P{iscombiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^iscombiningmarksforsymbols}', "");
Expect(0, 8399, '\p{iscombiningmarksforsymbols}', "");
Expect(1, 8399, '\p{^iscombiningmarksforsymbols}', "");
Expect(1, 8399, '\P{iscombiningmarksforsymbols}', "");
Expect(0, 8399, '\P{^iscombiningmarksforsymbols}', "");
Expect(1, 8447, '\p{-	is Combining_MARKS-For-SYMBOLS}', "");
Expect(0, 8447, '\p{^-	is Combining_MARKS-For-SYMBOLS}', "");
Expect(0, 8447, '\P{-	is Combining_MARKS-For-SYMBOLS}', "");
Expect(1, 8447, '\P{^-	is Combining_MARKS-For-SYMBOLS}', "");
Expect(0, 8399, '\p{-	is Combining_MARKS-For-SYMBOLS}', "");
Expect(1, 8399, '\p{^-	is Combining_MARKS-For-SYMBOLS}', "");
Expect(1, 8399, '\P{-	is Combining_MARKS-For-SYMBOLS}', "");
Expect(0, 8399, '\P{^-	is Combining_MARKS-For-SYMBOLS}', "");
Error('\p{-in:=combining	MarksFor	symbols}');
Error('\P{-in:=combining	MarksFor	symbols}');
Expect(1, 8447, '\p{incombiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^incombiningmarksforsymbols}', "");
Expect(0, 8447, '\P{incombiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^incombiningmarksforsymbols}', "");
Expect(0, 8399, '\p{incombiningmarksforsymbols}', "");
Expect(1, 8399, '\p{^incombiningmarksforsymbols}', "");
Expect(1, 8399, '\P{incombiningmarksforsymbols}', "");
Expect(0, 8399, '\P{^incombiningmarksforsymbols}', "");
Expect(1, 8447, '\p{ _in	Combining_Marks-For	Symbols}', "");
Expect(0, 8447, '\p{^ _in	Combining_Marks-For	Symbols}', "");
Expect(0, 8447, '\P{ _in	Combining_Marks-For	Symbols}', "");
Expect(1, 8447, '\P{^ _in	Combining_Marks-For	Symbols}', "");
Expect(0, 8399, '\p{ _in	Combining_Marks-For	Symbols}', "");
Expect(1, 8399, '\p{^ _in	Combining_Marks-For	Symbols}', "");
Expect(1, 8399, '\P{ _in	Combining_Marks-For	Symbols}', "");
Expect(0, 8399, '\P{^ _in	Combining_Marks-For	Symbols}', "");
Error('\p{-Small:=FormVariants}');
Error('\P{-Small:=FormVariants}');
Expect(1, 65135, '\p{smallformvariants}', "");
Expect(0, 65135, '\p{^smallformvariants}', "");
Expect(0, 65135, '\P{smallformvariants}', "");
Expect(1, 65135, '\P{^smallformvariants}', "");
Expect(0, 65103, '\p{smallformvariants}', "");
Expect(1, 65103, '\p{^smallformvariants}', "");
Expect(1, 65103, '\P{smallformvariants}', "");
Expect(0, 65103, '\P{^smallformvariants}', "");
Expect(1, 65135, '\p{-Small	form-Variants}', "");
Expect(0, 65135, '\p{^-Small	form-Variants}', "");
Expect(0, 65135, '\P{-Small	form-Variants}', "");
Expect(1, 65135, '\P{^-Small	form-Variants}', "");
Expect(0, 65103, '\p{-Small	form-Variants}', "");
Expect(1, 65103, '\p{^-Small	form-Variants}', "");
Expect(1, 65103, '\P{-Small	form-Variants}', "");
Expect(0, 65103, '\P{^-Small	form-Variants}', "");
Error('\p{	-is-Small/a/form	variants}');
Error('\P{	-is-Small/a/form	variants}');
Expect(1, 65135, '\p{issmallformvariants}', "");
Expect(0, 65135, '\p{^issmallformvariants}', "");
Expect(0, 65135, '\P{issmallformvariants}', "");
Expect(1, 65135, '\P{^issmallformvariants}', "");
Expect(0, 65103, '\p{issmallformvariants}', "");
Expect(1, 65103, '\p{^issmallformvariants}', "");
Expect(1, 65103, '\P{issmallformvariants}', "");
Expect(0, 65103, '\P{^issmallformvariants}', "");
Expect(1, 65135, '\p{ IsSmall-FORM	VARIANTS}', "");
Expect(0, 65135, '\p{^ IsSmall-FORM	VARIANTS}', "");
Expect(0, 65135, '\P{ IsSmall-FORM	VARIANTS}', "");
Expect(1, 65135, '\P{^ IsSmall-FORM	VARIANTS}', "");
Expect(0, 65103, '\p{ IsSmall-FORM	VARIANTS}', "");
Expect(1, 65103, '\p{^ IsSmall-FORM	VARIANTS}', "");
Expect(1, 65103, '\P{ IsSmall-FORM	VARIANTS}', "");
Expect(0, 65103, '\P{^ IsSmall-FORM	VARIANTS}', "");
Error('\p{:=	-In-Small-Form variants}');
Error('\P{:=	-In-Small-Form variants}');
Expect(1, 65135, '\p{insmallformvariants}', "");
Expect(0, 65135, '\p{^insmallformvariants}', "");
Expect(0, 65135, '\P{insmallformvariants}', "");
Expect(1, 65135, '\P{^insmallformvariants}', "");
Expect(0, 65103, '\p{insmallformvariants}', "");
Expect(1, 65103, '\p{^insmallformvariants}', "");
Expect(1, 65103, '\P{insmallformvariants}', "");
Expect(0, 65103, '\P{^insmallformvariants}', "");
Expect(1, 65135, '\p{		Insmallform-Variants}', "");
Expect(0, 65135, '\p{^		Insmallform-Variants}', "");
Expect(0, 65135, '\P{		Insmallform-Variants}', "");
Expect(1, 65135, '\P{^		Insmallform-Variants}', "");
Expect(0, 65103, '\p{		Insmallform-Variants}', "");
Expect(1, 65103, '\p{^		Insmallform-Variants}', "");
Expect(1, 65103, '\P{		Insmallform-Variants}', "");
Expect(0, 65103, '\P{^		Insmallform-Variants}', "");
Error('\p{:= _TAI_THAM}');
Error('\P{:= _TAI_THAM}');
Expect(1, 6750, '\p{taitham}', "");
Expect(0, 6750, '\p{^taitham}', "");
Expect(0, 6750, '\P{taitham}', "");
Expect(1, 6750, '\P{^taitham}', "");
Expect(0, 6687, '\p{taitham}', "");
Expect(1, 6687, '\p{^taitham}', "");
Expect(1, 6687, '\P{taitham}', "");
Expect(0, 6687, '\P{^taitham}', "");
Expect(1, 6750, '\p{-	tai Tham}', "");
Expect(0, 6750, '\p{^-	tai Tham}', "");
Expect(0, 6750, '\P{-	tai Tham}', "");
Expect(1, 6750, '\P{^-	tai Tham}', "");
Expect(0, 6687, '\p{-	tai Tham}', "");
Expect(1, 6687, '\p{^-	tai Tham}', "");
Expect(1, 6687, '\P{-	tai Tham}', "");
Expect(0, 6687, '\P{^-	tai Tham}', "");
Error('\p{-IS/a/tai_THAM}');
Error('\P{-IS/a/tai_THAM}');
Expect(1, 6750, '\p{istaitham}', "");
Expect(0, 6750, '\p{^istaitham}', "");
Expect(0, 6750, '\P{istaitham}', "");
Expect(1, 6750, '\P{^istaitham}', "");
Expect(0, 6687, '\p{istaitham}', "");
Expect(1, 6687, '\p{^istaitham}', "");
Expect(1, 6687, '\P{istaitham}', "");
Expect(0, 6687, '\P{^istaitham}', "");
Expect(1, 6750, '\p{-	is Tai-Tham}', "");
Expect(0, 6750, '\p{^-	is Tai-Tham}', "");
Expect(0, 6750, '\P{-	is Tai-Tham}', "");
Expect(1, 6750, '\P{^-	is Tai-Tham}', "");
Expect(0, 6687, '\p{-	is Tai-Tham}', "");
Expect(1, 6687, '\p{^-	is Tai-Tham}', "");
Expect(1, 6687, '\P{-	is Tai-Tham}', "");
Expect(0, 6687, '\P{^-	is Tai-Tham}', "");
Error('\p{ :=LANA}');
Error('\P{ :=LANA}');
Expect(1, 6750, '\p{lana}', "");
Expect(0, 6750, '\p{^lana}', "");
Expect(0, 6750, '\P{lana}', "");
Expect(1, 6750, '\P{^lana}', "");
Expect(0, 6687, '\p{lana}', "");
Expect(1, 6687, '\p{^lana}', "");
Expect(1, 6687, '\P{lana}', "");
Expect(0, 6687, '\P{^lana}', "");
Expect(1, 6750, '\p{_-LANA}', "");
Expect(0, 6750, '\p{^_-LANA}', "");
Expect(0, 6750, '\P{_-LANA}', "");
Expect(1, 6750, '\P{^_-LANA}', "");
Expect(0, 6687, '\p{_-LANA}', "");
Expect(1, 6687, '\p{^_-LANA}', "");
Expect(1, 6687, '\P{_-LANA}', "");
Expect(0, 6687, '\P{^_-LANA}', "");
Error('\p{ _IS/a/LANA}');
Error('\P{ _IS/a/LANA}');
Expect(1, 6750, '\p{islana}', "");
Expect(0, 6750, '\p{^islana}', "");
Expect(0, 6750, '\P{islana}', "");
Expect(1, 6750, '\P{^islana}', "");
Expect(0, 6687, '\p{islana}', "");
Expect(1, 6687, '\p{^islana}', "");
Expect(1, 6687, '\P{islana}', "");
Expect(0, 6687, '\P{^islana}', "");
Expect(1, 6750, '\p{ IsLANA}', "");
Expect(0, 6750, '\p{^ IsLANA}', "");
Expect(0, 6750, '\P{ IsLANA}', "");
Expect(1, 6750, '\P{^ IsLANA}', "");
Expect(0, 6687, '\p{ IsLANA}', "");
Expect(1, 6687, '\p{^ IsLANA}', "");
Expect(1, 6687, '\P{ IsLANA}', "");
Expect(0, 6687, '\P{^ IsLANA}', "");
Error('\p{_ NKO/a/}');
Error('\P{_ NKO/a/}');
Expect(1, 2042, '\p{nko}', "");
Expect(0, 2042, '\p{^nko}', "");
Expect(0, 2042, '\P{nko}', "");
Expect(1, 2042, '\P{^nko}', "");
Expect(0, 1983, '\p{nko}', "");
Expect(1, 1983, '\p{^nko}', "");
Expect(1, 1983, '\P{nko}', "");
Expect(0, 1983, '\P{^nko}', "");
Expect(1, 2042, '\p{		nko}', "");
Expect(0, 2042, '\p{^		nko}', "");
Expect(0, 2042, '\P{		nko}', "");
Expect(1, 2042, '\P{^		nko}', "");
Expect(0, 1983, '\p{		nko}', "");
Expect(1, 1983, '\p{^		nko}', "");
Expect(1, 1983, '\P{		nko}', "");
Expect(0, 1983, '\P{^		nko}', "");
Error('\p{	-Is_nko:=}');
Error('\P{	-Is_nko:=}');
Expect(1, 2042, '\p{isnko}', "");
Expect(0, 2042, '\p{^isnko}', "");
Expect(0, 2042, '\P{isnko}', "");
Expect(1, 2042, '\P{^isnko}', "");
Expect(0, 1983, '\p{isnko}', "");
Expect(1, 1983, '\p{^isnko}', "");
Expect(1, 1983, '\P{isnko}', "");
Expect(0, 1983, '\P{^isnko}', "");
Expect(1, 2042, '\p{	 Is	Nko}', "");
Expect(0, 2042, '\p{^	 Is	Nko}', "");
Expect(0, 2042, '\P{	 Is	Nko}', "");
Expect(1, 2042, '\P{^	 Is	Nko}', "");
Expect(0, 1983, '\p{	 Is	Nko}', "");
Expect(1, 1983, '\p{^	 Is	Nko}', "");
Expect(1, 1983, '\P{	 Is	Nko}', "");
Expect(0, 1983, '\P{^	 Is	Nko}', "");
Error('\p{-/a/NKOO}');
Error('\P{-/a/NKOO}');
Expect(1, 2042, '\p{nkoo}', "");
Expect(0, 2042, '\p{^nkoo}', "");
Expect(0, 2042, '\P{nkoo}', "");
Expect(1, 2042, '\P{^nkoo}', "");
Expect(0, 1983, '\p{nkoo}', "");
Expect(1, 1983, '\p{^nkoo}', "");
Expect(1, 1983, '\P{nkoo}', "");
Expect(0, 1983, '\P{^nkoo}', "");
Expect(1, 2042, '\p{_ NKOO}', "");
Expect(0, 2042, '\p{^_ NKOO}', "");
Expect(0, 2042, '\P{_ NKOO}', "");
Expect(1, 2042, '\P{^_ NKOO}', "");
Expect(0, 1983, '\p{_ NKOO}', "");
Expect(1, 1983, '\p{^_ NKOO}', "");
Expect(1, 1983, '\P{_ NKOO}', "");
Expect(0, 1983, '\P{^_ NKOO}', "");
Error('\p{-	IS/a/Nkoo}');
Error('\P{-	IS/a/Nkoo}');
Expect(1, 2042, '\p{isnkoo}', "");
Expect(0, 2042, '\p{^isnkoo}', "");
Expect(0, 2042, '\P{isnkoo}', "");
Expect(1, 2042, '\P{^isnkoo}', "");
Expect(0, 1983, '\p{isnkoo}', "");
Expect(1, 1983, '\p{^isnkoo}', "");
Expect(1, 1983, '\P{isnkoo}', "");
Expect(0, 1983, '\P{^isnkoo}', "");
Expect(1, 2042, '\p{Is Nkoo}', "");
Expect(0, 2042, '\p{^Is Nkoo}', "");
Expect(0, 2042, '\P{Is Nkoo}', "");
Expect(1, 2042, '\P{^Is Nkoo}', "");
Expect(0, 1983, '\p{Is Nkoo}', "");
Expect(1, 1983, '\p{^Is Nkoo}', "");
Expect(1, 1983, '\P{Is Nkoo}', "");
Expect(0, 1983, '\P{^Is Nkoo}', "");
Error('\p{	_Mathematical:=ALPHANUMERIC_Symbols}');
Error('\P{	_Mathematical:=ALPHANUMERIC_Symbols}');
Expect(1, 120831, '\p{mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^mathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\p{mathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\p{^mathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\P{mathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\P{^mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{ 	MATHEMATICALAlphanumeric SYMBOLS}', "");
Expect(0, 120831, '\p{^ 	MATHEMATICALAlphanumeric SYMBOLS}', "");
Expect(0, 120831, '\P{ 	MATHEMATICALAlphanumeric SYMBOLS}', "");
Expect(1, 120831, '\P{^ 	MATHEMATICALAlphanumeric SYMBOLS}', "");
Expect(0, 119807, '\p{ 	MATHEMATICALAlphanumeric SYMBOLS}', "");
Expect(1, 119807, '\p{^ 	MATHEMATICALAlphanumeric SYMBOLS}', "");
Expect(1, 119807, '\P{ 	MATHEMATICALAlphanumeric SYMBOLS}', "");
Expect(0, 119807, '\P{^ 	MATHEMATICALAlphanumeric SYMBOLS}', "");
Error('\p{:= -Is_MathematicalAlphanumericsymbols}');
Error('\P{:= -Is_MathematicalAlphanumericsymbols}');
Expect(1, 120831, '\p{ismathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^ismathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{ismathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^ismathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\p{ismathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\p{^ismathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\P{ismathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\P{^ismathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{-Is Mathematical_AlphanumericSymbols}', "");
Expect(0, 120831, '\p{^-Is Mathematical_AlphanumericSymbols}', "");
Expect(0, 120831, '\P{-Is Mathematical_AlphanumericSymbols}', "");
Expect(1, 120831, '\P{^-Is Mathematical_AlphanumericSymbols}', "");
Expect(0, 119807, '\p{-Is Mathematical_AlphanumericSymbols}', "");
Expect(1, 119807, '\p{^-Is Mathematical_AlphanumericSymbols}', "");
Expect(1, 119807, '\P{-Is Mathematical_AlphanumericSymbols}', "");
Expect(0, 119807, '\P{^-Is Mathematical_AlphanumericSymbols}', "");
Error('\p{-/a/IN	MathematicalALPHANUMERIC	SYMBOLS}');
Error('\P{-/a/IN	MathematicalALPHANUMERIC	SYMBOLS}');
Expect(1, 120831, '\p{inmathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^inmathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{inmathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^inmathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\p{inmathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\p{^inmathematicalalphanumericsymbols}', "");
Expect(1, 119807, '\P{inmathematicalalphanumericsymbols}', "");
Expect(0, 119807, '\P{^inmathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{__In_Mathematical-ALPHANUMERICSYMBOLS}', "");
Expect(0, 120831, '\p{^__In_Mathematical-ALPHANUMERICSYMBOLS}', "");
Expect(0, 120831, '\P{__In_Mathematical-ALPHANUMERICSYMBOLS}', "");
Expect(1, 120831, '\P{^__In_Mathematical-ALPHANUMERICSYMBOLS}', "");
Expect(0, 119807, '\p{__In_Mathematical-ALPHANUMERICSYMBOLS}', "");
Expect(1, 119807, '\p{^__In_Mathematical-ALPHANUMERICSYMBOLS}', "");
Expect(1, 119807, '\P{__In_Mathematical-ALPHANUMERICSYMBOLS}', "");
Expect(0, 119807, '\P{^__In_Mathematical-ALPHANUMERICSYMBOLS}', "");
Error('\p{:=_-Lydian}');
Error('\P{:=_-Lydian}');
Expect(1, 67897, '\p{lydian}', "");
Expect(0, 67897, '\p{^lydian}', "");
Expect(0, 67897, '\P{lydian}', "");
Expect(1, 67897, '\P{^lydian}', "");
Expect(0, 67871, '\p{lydian}', "");
Expect(1, 67871, '\p{^lydian}', "");
Expect(1, 67871, '\P{lydian}', "");
Expect(0, 67871, '\P{^lydian}', "");
Expect(1, 67897, '\p{_	Lydian}', "");
Expect(0, 67897, '\p{^_	Lydian}', "");
Expect(0, 67897, '\P{_	Lydian}', "");
Expect(1, 67897, '\P{^_	Lydian}', "");
Expect(0, 67871, '\p{_	Lydian}', "");
Expect(1, 67871, '\p{^_	Lydian}', "");
Expect(1, 67871, '\P{_	Lydian}', "");
Expect(0, 67871, '\P{^_	Lydian}', "");
Error('\p{--is_lydian:=}');
Error('\P{--is_lydian:=}');
Expect(1, 67897, '\p{islydian}', "");
Expect(0, 67897, '\p{^islydian}', "");
Expect(0, 67897, '\P{islydian}', "");
Expect(1, 67897, '\P{^islydian}', "");
Expect(0, 67871, '\p{islydian}', "");
Expect(1, 67871, '\p{^islydian}', "");
Expect(1, 67871, '\P{islydian}', "");
Expect(0, 67871, '\P{^islydian}', "");
Expect(1, 67897, '\p{	_Is_Lydian}', "");
Expect(0, 67897, '\p{^	_Is_Lydian}', "");
Expect(0, 67897, '\P{	_Is_Lydian}', "");
Expect(1, 67897, '\P{^	_Is_Lydian}', "");
Expect(0, 67871, '\p{	_Is_Lydian}', "");
Expect(1, 67871, '\p{^	_Is_Lydian}', "");
Expect(1, 67871, '\P{	_Is_Lydian}', "");
Expect(0, 67871, '\P{^	_Is_Lydian}', "");
Error('\p{	LYDI:=}');
Error('\P{	LYDI:=}');
Expect(1, 67897, '\p{lydi}', "");
Expect(0, 67897, '\p{^lydi}', "");
Expect(0, 67897, '\P{lydi}', "");
Expect(1, 67897, '\P{^lydi}', "");
Expect(0, 67871, '\p{lydi}', "");
Expect(1, 67871, '\p{^lydi}', "");
Expect(1, 67871, '\P{lydi}', "");
Expect(0, 67871, '\P{^lydi}', "");
Expect(1, 67897, '\p{ _lydi}', "");
Expect(0, 67897, '\p{^ _lydi}', "");
Expect(0, 67897, '\P{ _lydi}', "");
Expect(1, 67897, '\P{^ _lydi}', "");
Expect(0, 67871, '\p{ _lydi}', "");
Expect(1, 67871, '\p{^ _lydi}', "");
Expect(1, 67871, '\P{ _lydi}', "");
Expect(0, 67871, '\P{^ _lydi}', "");
Error('\p{	Is/a/lydi}');
Error('\P{	Is/a/lydi}');
Expect(1, 67897, '\p{islydi}', "");
Expect(0, 67897, '\p{^islydi}', "");
Expect(0, 67897, '\P{islydi}', "");
Expect(1, 67897, '\P{^islydi}', "");
Expect(0, 67871, '\p{islydi}', "");
Expect(1, 67871, '\p{^islydi}', "");
Expect(1, 67871, '\P{islydi}', "");
Expect(0, 67871, '\P{^islydi}', "");
Expect(1, 67897, '\p{	-Is Lydi}', "");
Expect(0, 67897, '\p{^	-Is Lydi}', "");
Expect(0, 67897, '\P{	-Is Lydi}', "");
Expect(1, 67897, '\P{^	-Is Lydi}', "");
Expect(0, 67871, '\p{	-Is Lydi}', "");
Expect(1, 67871, '\p{^	-Is Lydi}', "");
Expect(1, 67871, '\P{	-Is Lydi}', "");
Expect(0, 67871, '\P{^	-Is Lydi}', "");
Error('\p{:=_Georgiansupplement}');
Error('\P{:=_Georgiansupplement}');
Expect(1, 11567, '\p{georgiansupplement}', "");
Expect(0, 11567, '\p{^georgiansupplement}', "");
Expect(0, 11567, '\P{georgiansupplement}', "");
Expect(1, 11567, '\P{^georgiansupplement}', "");
Expect(0, 11519, '\p{georgiansupplement}', "");
Expect(1, 11519, '\p{^georgiansupplement}', "");
Expect(1, 11519, '\P{georgiansupplement}', "");
Expect(0, 11519, '\P{^georgiansupplement}', "");
Expect(1, 11567, '\p{  georgian_Supplement}', "");
Expect(0, 11567, '\p{^  georgian_Supplement}', "");
Expect(0, 11567, '\P{  georgian_Supplement}', "");
Expect(1, 11567, '\P{^  georgian_Supplement}', "");
Expect(0, 11519, '\p{  georgian_Supplement}', "");
Expect(1, 11519, '\p{^  georgian_Supplement}', "");
Expect(1, 11519, '\P{  georgian_Supplement}', "");
Expect(0, 11519, '\P{^  georgian_Supplement}', "");
Error('\p{_	IS_Georgian/a/Supplement}');
Error('\P{_	IS_Georgian/a/Supplement}');
Expect(1, 11567, '\p{isgeorgiansupplement}', "");
Expect(0, 11567, '\p{^isgeorgiansupplement}', "");
Expect(0, 11567, '\P{isgeorgiansupplement}', "");
Expect(1, 11567, '\P{^isgeorgiansupplement}', "");
Expect(0, 11519, '\p{isgeorgiansupplement}', "");
Expect(1, 11519, '\p{^isgeorgiansupplement}', "");
Expect(1, 11519, '\P{isgeorgiansupplement}', "");
Expect(0, 11519, '\P{^isgeorgiansupplement}', "");
Expect(1, 11567, '\p{  IS_georgiansupplement}', "");
Expect(0, 11567, '\p{^  IS_georgiansupplement}', "");
Expect(0, 11567, '\P{  IS_georgiansupplement}', "");
Expect(1, 11567, '\P{^  IS_georgiansupplement}', "");
Expect(0, 11519, '\p{  IS_georgiansupplement}', "");
Expect(1, 11519, '\p{^  IS_georgiansupplement}', "");
Expect(1, 11519, '\P{  IS_georgiansupplement}', "");
Expect(0, 11519, '\P{^  IS_georgiansupplement}', "");
Error('\p{	:=InGEORGIAN-SUPPLEMENT}');
Error('\P{	:=InGEORGIAN-SUPPLEMENT}');
Expect(1, 11567, '\p{ingeorgiansupplement}', "");
Expect(0, 11567, '\p{^ingeorgiansupplement}', "");
Expect(0, 11567, '\P{ingeorgiansupplement}', "");
Expect(1, 11567, '\P{^ingeorgiansupplement}', "");
Expect(0, 11519, '\p{ingeorgiansupplement}', "");
Expect(1, 11519, '\p{^ingeorgiansupplement}', "");
Expect(1, 11519, '\P{ingeorgiansupplement}', "");
Expect(0, 11519, '\P{^ingeorgiansupplement}', "");
Expect(1, 11567, '\p{ IN GEORGIAN-supplement}', "");
Expect(0, 11567, '\p{^ IN GEORGIAN-supplement}', "");
Expect(0, 11567, '\P{ IN GEORGIAN-supplement}', "");
Expect(1, 11567, '\P{^ IN GEORGIAN-supplement}', "");
Expect(0, 11519, '\p{ IN GEORGIAN-supplement}', "");
Expect(1, 11519, '\p{^ IN GEORGIAN-supplement}', "");
Expect(1, 11519, '\P{ IN GEORGIAN-supplement}', "");
Expect(0, 11519, '\P{^ IN GEORGIAN-supplement}', "");
Error('\p{ /a/letter}');
Error('\P{ /a/letter}');
Expect(1, 90, '\p{letter}', "");
Expect(0, 90, '\p{^letter}', "");
Expect(0, 90, '\P{letter}', "");
Expect(1, 90, '\P{^letter}', "");
Expect(0, 64, '\p{letter}', "");
Expect(1, 64, '\p{^letter}', "");
Expect(1, 64, '\P{letter}', "");
Expect(0, 64, '\P{^letter}', "");
Expect(1, 90, '\p{_Letter}', "");
Expect(0, 90, '\p{^_Letter}', "");
Expect(0, 90, '\P{_Letter}', "");
Expect(1, 90, '\P{^_Letter}', "");
Expect(0, 64, '\p{_Letter}', "");
Expect(1, 64, '\p{^_Letter}', "");
Expect(1, 64, '\P{_Letter}', "");
Expect(0, 64, '\P{^_Letter}', "");
Error('\p{	/a/IS-letter}');
Error('\P{	/a/IS-letter}');
Expect(1, 90, '\p{isletter}', "");
Expect(0, 90, '\p{^isletter}', "");
Expect(0, 90, '\P{isletter}', "");
Expect(1, 90, '\P{^isletter}', "");
Expect(0, 64, '\p{isletter}', "");
Expect(1, 64, '\p{^isletter}', "");
Expect(1, 64, '\P{isletter}', "");
Expect(0, 64, '\P{^isletter}', "");
Expect(1, 90, '\p{ IS	letter}', "");
Expect(0, 90, '\p{^ IS	letter}', "");
Expect(0, 90, '\P{ IS	letter}', "");
Expect(1, 90, '\P{^ IS	letter}', "");
Expect(0, 64, '\p{ IS	letter}', "");
Expect(1, 64, '\p{^ IS	letter}', "");
Expect(1, 64, '\P{ IS	letter}', "");
Expect(0, 64, '\P{^ IS	letter}', "");
Error('\p{:=		L}');
Error('\P{:=		L}');
Expect(1, 90, '\p{l}', "");
Expect(0, 90, '\p{^l}', "");
Expect(0, 90, '\P{l}', "");
Expect(1, 90, '\P{^l}', "");
Expect(0, 64, '\p{l}', "");
Expect(1, 64, '\p{^l}', "");
Expect(1, 64, '\P{l}', "");
Expect(0, 64, '\P{^l}', "");
Expect(1, 90, '\p{_L}', "");
Expect(0, 90, '\p{^_L}', "");
Expect(0, 90, '\P{_L}', "");
Expect(1, 90, '\P{^_L}', "");
Expect(0, 64, '\p{_L}', "");
Expect(1, 64, '\p{^_L}', "");
Expect(1, 64, '\P{_L}', "");
Expect(0, 64, '\P{^_L}', "");
Error('\p{  IS-L:=}');
Error('\P{  IS-L:=}');
Expect(1, 90, '\p{isl}', "");
Expect(0, 90, '\p{^isl}', "");
Expect(0, 90, '\P{isl}', "");
Expect(1, 90, '\P{^isl}', "");
Expect(0, 64, '\p{isl}', "");
Expect(1, 64, '\p{^isl}', "");
Expect(1, 64, '\P{isl}', "");
Expect(0, 64, '\P{^isl}', "");
Expect(1, 90, '\p{_-IsL}', "");
Expect(0, 90, '\p{^_-IsL}', "");
Expect(0, 90, '\P{_-IsL}', "");
Expect(1, 90, '\P{^_-IsL}', "");
Expect(0, 64, '\p{_-IsL}', "");
Expect(1, 64, '\p{^_-IsL}', "");
Expect(1, 64, '\P{_-IsL}', "");
Expect(0, 64, '\P{^_-IsL}', "");
Error('\p{_:=CYRILLIC_EXTENDED	B}');
Error('\P{_:=CYRILLIC_EXTENDED	B}');
Expect(1, 42655, '\p{cyrillicextendedb}', "");
Expect(0, 42655, '\p{^cyrillicextendedb}', "");
Expect(0, 42655, '\P{cyrillicextendedb}', "");
Expect(1, 42655, '\P{^cyrillicextendedb}', "");
Expect(0, 42559, '\p{cyrillicextendedb}', "");
Expect(1, 42559, '\p{^cyrillicextendedb}', "");
Expect(1, 42559, '\P{cyrillicextendedb}', "");
Expect(0, 42559, '\P{^cyrillicextendedb}', "");
Expect(1, 42655, '\p{_ Cyrillic Extended B}', "");
Expect(0, 42655, '\p{^_ Cyrillic Extended B}', "");
Expect(0, 42655, '\P{_ Cyrillic Extended B}', "");
Expect(1, 42655, '\P{^_ Cyrillic Extended B}', "");
Expect(0, 42559, '\p{_ Cyrillic Extended B}', "");
Expect(1, 42559, '\p{^_ Cyrillic Extended B}', "");
Expect(1, 42559, '\P{_ Cyrillic Extended B}', "");
Expect(0, 42559, '\P{^_ Cyrillic Extended B}', "");
Error('\p{:=--ISCyrillic_Extendedb}');
Error('\P{:=--ISCyrillic_Extendedb}');
Expect(1, 42655, '\p{iscyrillicextendedb}', "");
Expect(0, 42655, '\p{^iscyrillicextendedb}', "");
Expect(0, 42655, '\P{iscyrillicextendedb}', "");
Expect(1, 42655, '\P{^iscyrillicextendedb}', "");
Expect(0, 42559, '\p{iscyrillicextendedb}', "");
Expect(1, 42559, '\p{^iscyrillicextendedb}', "");
Expect(1, 42559, '\P{iscyrillicextendedb}', "");
Expect(0, 42559, '\P{^iscyrillicextendedb}', "");
Expect(1, 42655, '\p{	Is-Cyrillic	Extended-B}', "");
Expect(0, 42655, '\p{^	Is-Cyrillic	Extended-B}', "");
Expect(0, 42655, '\P{	Is-Cyrillic	Extended-B}', "");
Expect(1, 42655, '\P{^	Is-Cyrillic	Extended-B}', "");
Expect(0, 42559, '\p{	Is-Cyrillic	Extended-B}', "");
Expect(1, 42559, '\p{^	Is-Cyrillic	Extended-B}', "");
Expect(1, 42559, '\P{	Is-Cyrillic	Extended-B}', "");
Expect(0, 42559, '\P{^	Is-Cyrillic	Extended-B}', "");
Error('\p{ -In	CYRILLIC Extended:=B}');
Error('\P{ -In	CYRILLIC Extended:=B}');
Expect(1, 42655, '\p{incyrillicextendedb}', "");
Expect(0, 42655, '\p{^incyrillicextendedb}', "");
Expect(0, 42655, '\P{incyrillicextendedb}', "");
Expect(1, 42655, '\P{^incyrillicextendedb}', "");
Expect(0, 42559, '\p{incyrillicextendedb}', "");
Expect(1, 42559, '\p{^incyrillicextendedb}', "");
Expect(1, 42559, '\P{incyrillicextendedb}', "");
Expect(0, 42559, '\P{^incyrillicextendedb}', "");
Expect(1, 42655, '\p{in CYRILLICEXTENDEDB}', "");
Expect(0, 42655, '\p{^in CYRILLICEXTENDEDB}', "");
Expect(0, 42655, '\P{in CYRILLICEXTENDEDB}', "");
Expect(1, 42655, '\P{^in CYRILLICEXTENDEDB}', "");
Expect(0, 42559, '\p{in CYRILLICEXTENDEDB}', "");
Expect(1, 42559, '\p{^in CYRILLICEXTENDEDB}', "");
Expect(1, 42559, '\P{in CYRILLICEXTENDEDB}', "");
Expect(0, 42559, '\P{^in CYRILLICEXTENDEDB}', "");
Error('\p{:=Hebrew}');
Error('\P{:=Hebrew}');
Expect(1, 1479, '\p{hebrew}', "");
Expect(0, 1479, '\p{^hebrew}', "");
Expect(0, 1479, '\P{hebrew}', "");
Expect(1, 1479, '\P{^hebrew}', "");
Expect(0, 1424, '\p{hebrew}', "");
Expect(1, 1424, '\p{^hebrew}', "");
Expect(1, 1424, '\P{hebrew}', "");
Expect(0, 1424, '\P{^hebrew}', "");
Expect(1, 1479, '\p{-_HEBREW}', "");
Expect(0, 1479, '\p{^-_HEBREW}', "");
Expect(0, 1479, '\P{-_HEBREW}', "");
Expect(1, 1479, '\P{^-_HEBREW}', "");
Expect(0, 1424, '\p{-_HEBREW}', "");
Expect(1, 1424, '\p{^-_HEBREW}', "");
Expect(1, 1424, '\P{-_HEBREW}', "");
Expect(0, 1424, '\P{^-_HEBREW}', "");
Error('\p{:=	is Hebrew}');
Error('\P{:=	is Hebrew}');
Expect(1, 1479, '\p{ishebrew}', "");
Expect(0, 1479, '\p{^ishebrew}', "");
Expect(0, 1479, '\P{ishebrew}', "");
Expect(1, 1479, '\P{^ishebrew}', "");
Expect(0, 1424, '\p{ishebrew}', "");
Expect(1, 1424, '\p{^ishebrew}', "");
Expect(1, 1424, '\P{ishebrew}', "");
Expect(0, 1424, '\P{^ishebrew}', "");
Expect(1, 1479, '\p{_Is_Hebrew}', "");
Expect(0, 1479, '\p{^_Is_Hebrew}', "");
Expect(0, 1479, '\P{_Is_Hebrew}', "");
Expect(1, 1479, '\P{^_Is_Hebrew}', "");
Expect(0, 1424, '\p{_Is_Hebrew}', "");
Expect(1, 1424, '\p{^_Is_Hebrew}', "");
Expect(1, 1424, '\P{_Is_Hebrew}', "");
Expect(0, 1424, '\P{^_Is_Hebrew}', "");
Error('\p{ 	Hebr/a/}');
Error('\P{ 	Hebr/a/}');
Expect(1, 1479, '\p{hebr}', "");
Expect(0, 1479, '\p{^hebr}', "");
Expect(0, 1479, '\P{hebr}', "");
Expect(1, 1479, '\P{^hebr}', "");
Expect(0, 1424, '\p{hebr}', "");
Expect(1, 1424, '\p{^hebr}', "");
Expect(1, 1424, '\P{hebr}', "");
Expect(0, 1424, '\P{^hebr}', "");
Expect(1, 1479, '\p{-	hebr}', "");
Expect(0, 1479, '\p{^-	hebr}', "");
Expect(0, 1479, '\P{-	hebr}', "");
Expect(1, 1479, '\P{^-	hebr}', "");
Expect(0, 1424, '\p{-	hebr}', "");
Expect(1, 1424, '\p{^-	hebr}', "");
Expect(1, 1424, '\P{-	hebr}', "");
Expect(0, 1424, '\P{^-	hebr}', "");
Error('\p{:=IS hebr}');
Error('\P{:=IS hebr}');
Expect(1, 1479, '\p{ishebr}', "");
Expect(0, 1479, '\p{^ishebr}', "");
Expect(0, 1479, '\P{ishebr}', "");
Expect(1, 1479, '\P{^ishebr}', "");
Expect(0, 1424, '\p{ishebr}', "");
Expect(1, 1424, '\p{^ishebr}', "");
Expect(1, 1424, '\P{ishebr}', "");
Expect(0, 1424, '\P{^ishebr}', "");
Expect(1, 1479, '\p{ 	is	hebr}', "");
Expect(0, 1479, '\p{^ 	is	hebr}', "");
Expect(0, 1479, '\P{ 	is	hebr}', "");
Expect(1, 1479, '\P{^ 	is	hebr}', "");
Expect(0, 1424, '\p{ 	is	hebr}', "");
Expect(1, 1424, '\p{^ 	is	hebr}', "");
Expect(1, 1424, '\P{ 	is	hebr}', "");
Expect(0, 1424, '\P{^ 	is	hebr}', "");
Error('\p{_:=INHiragana}');
Error('\P{_:=INHiragana}');
Expect(1, 12447, '\p{inhiragana}', "");
Expect(0, 12447, '\p{^inhiragana}', "");
Expect(0, 12447, '\P{inhiragana}', "");
Expect(1, 12447, '\P{^inhiragana}', "");
Expect(0, 12351, '\p{inhiragana}', "");
Expect(1, 12351, '\p{^inhiragana}', "");
Expect(1, 12351, '\P{inhiragana}', "");
Expect(0, 12351, '\P{^inhiragana}', "");
Expect(1, 12447, '\p{	-in-Hiragana}', "");
Expect(0, 12447, '\p{^	-in-Hiragana}', "");
Expect(0, 12447, '\P{	-in-Hiragana}', "");
Expect(1, 12447, '\P{^	-in-Hiragana}', "");
Expect(0, 12351, '\p{	-in-Hiragana}', "");
Expect(1, 12351, '\p{^	-in-Hiragana}', "");
Expect(1, 12351, '\P{	-in-Hiragana}', "");
Expect(0, 12351, '\P{^	-in-Hiragana}', "");
Error('\p{/a/- LATIN}');
Error('\P{/a/- LATIN}');
Expect(1, 90, '\p{latin}', "");
Expect(0, 90, '\p{^latin}', "");
Expect(0, 90, '\P{latin}', "");
Expect(1, 90, '\P{^latin}', "");
Expect(0, 64, '\p{latin}', "");
Expect(1, 64, '\p{^latin}', "");
Expect(1, 64, '\P{latin}', "");
Expect(0, 64, '\P{^latin}', "");
Expect(1, 90, '\p{_latin}', "");
Expect(0, 90, '\p{^_latin}', "");
Expect(0, 90, '\P{_latin}', "");
Expect(1, 90, '\P{^_latin}', "");
Expect(0, 64, '\p{_latin}', "");
Expect(1, 64, '\p{^_latin}', "");
Expect(1, 64, '\P{_latin}', "");
Expect(0, 64, '\P{^_latin}', "");
Error('\p{:=-IS-Latin}');
Error('\P{:=-IS-Latin}');
Expect(1, 90, '\p{islatin}', "");
Expect(0, 90, '\p{^islatin}', "");
Expect(0, 90, '\P{islatin}', "");
Expect(1, 90, '\P{^islatin}', "");
Expect(0, 64, '\p{islatin}', "");
Expect(1, 64, '\p{^islatin}', "");
Expect(1, 64, '\P{islatin}', "");
Expect(0, 64, '\P{^islatin}', "");
Expect(1, 90, '\p{ _IS	LATIN}', "");
Expect(0, 90, '\p{^ _IS	LATIN}', "");
Expect(0, 90, '\P{ _IS	LATIN}', "");
Expect(1, 90, '\P{^ _IS	LATIN}', "");
Expect(0, 64, '\p{ _IS	LATIN}', "");
Expect(1, 64, '\p{^ _IS	LATIN}', "");
Expect(1, 64, '\P{ _IS	LATIN}', "");
Expect(0, 64, '\P{^ _IS	LATIN}', "");
Error('\p{  Latn/a/}');
Error('\P{  Latn/a/}');
Expect(1, 90, '\p{latn}', "");
Expect(0, 90, '\p{^latn}', "");
Expect(0, 90, '\P{latn}', "");
Expect(1, 90, '\P{^latn}', "");
Expect(0, 64, '\p{latn}', "");
Expect(1, 64, '\p{^latn}', "");
Expect(1, 64, '\P{latn}', "");
Expect(0, 64, '\P{^latn}', "");
Expect(1, 90, '\p{-_latn}', "");
Expect(0, 90, '\p{^-_latn}', "");
Expect(0, 90, '\P{-_latn}', "");
Expect(1, 90, '\P{^-_latn}', "");
Expect(0, 64, '\p{-_latn}', "");
Expect(1, 64, '\p{^-_latn}', "");
Expect(1, 64, '\P{-_latn}', "");
Expect(0, 64, '\P{^-_latn}', "");
Error('\p{/a/_isLatn}');
Error('\P{/a/_isLatn}');
Expect(1, 90, '\p{islatn}', "");
Expect(0, 90, '\p{^islatn}', "");
Expect(0, 90, '\P{islatn}', "");
Expect(1, 90, '\P{^islatn}', "");
Expect(0, 64, '\p{islatn}', "");
Expect(1, 64, '\p{^islatn}', "");
Expect(1, 64, '\P{islatn}', "");
Expect(0, 64, '\P{^islatn}', "");
Expect(1, 90, '\p{__isLatn}', "");
Expect(0, 90, '\p{^__isLatn}', "");
Expect(0, 90, '\P{__isLatn}', "");
Expect(1, 90, '\P{^__isLatn}', "");
Expect(0, 64, '\p{__isLatn}', "");
Expect(1, 64, '\p{^__isLatn}', "");
Expect(1, 64, '\P{__isLatn}', "");
Expect(0, 64, '\P{^__isLatn}', "");
Error('\p{:=enclosing_Mark}');
Error('\P{:=enclosing_Mark}');
Expect(1, 1161, '\p{enclosingmark}', "");
Expect(0, 1161, '\p{^enclosingmark}', "");
Expect(0, 1161, '\P{enclosingmark}', "");
Expect(1, 1161, '\P{^enclosingmark}', "");
Expect(0, 1159, '\p{enclosingmark}', "");
Expect(1, 1159, '\p{^enclosingmark}', "");
Expect(1, 1159, '\P{enclosingmark}', "");
Expect(0, 1159, '\P{^enclosingmark}', "");
Expect(1, 1161, '\p{ _ENCLOSING mark}', "");
Expect(0, 1161, '\p{^ _ENCLOSING mark}', "");
Expect(0, 1161, '\P{ _ENCLOSING mark}', "");
Expect(1, 1161, '\P{^ _ENCLOSING mark}', "");
Expect(0, 1159, '\p{ _ENCLOSING mark}', "");
Expect(1, 1159, '\p{^ _ENCLOSING mark}', "");
Expect(1, 1159, '\P{ _ENCLOSING mark}', "");
Expect(0, 1159, '\P{^ _ENCLOSING mark}', "");
Error('\p{__Is-enclosing/a/mark}');
Error('\P{__Is-enclosing/a/mark}');
Expect(1, 1161, '\p{isenclosingmark}', "");
Expect(0, 1161, '\p{^isenclosingmark}', "");
Expect(0, 1161, '\P{isenclosingmark}', "");
Expect(1, 1161, '\P{^isenclosingmark}', "");
Expect(0, 1159, '\p{isenclosingmark}', "");
Expect(1, 1159, '\p{^isenclosingmark}', "");
Expect(1, 1159, '\P{isenclosingmark}', "");
Expect(0, 1159, '\P{^isenclosingmark}', "");
Expect(1, 1161, '\p{	Is	enclosing_mark}', "");
Expect(0, 1161, '\p{^	Is	enclosing_mark}', "");
Expect(0, 1161, '\P{	Is	enclosing_mark}', "");
Expect(1, 1161, '\P{^	Is	enclosing_mark}', "");
Expect(0, 1159, '\p{	Is	enclosing_mark}', "");
Expect(1, 1159, '\p{^	Is	enclosing_mark}', "");
Expect(1, 1159, '\P{	Is	enclosing_mark}', "");
Expect(0, 1159, '\P{^	Is	enclosing_mark}', "");
Error('\p{:=_ Me}');
Error('\P{:=_ Me}');
Expect(1, 1161, '\p{me}', "");
Expect(0, 1161, '\p{^me}', "");
Expect(0, 1161, '\P{me}', "");
Expect(1, 1161, '\P{^me}', "");
Expect(0, 1159, '\p{me}', "");
Expect(1, 1159, '\p{^me}', "");
Expect(1, 1159, '\P{me}', "");
Expect(0, 1159, '\P{^me}', "");
Expect(1, 1161, '\p{	_Me}', "");
Expect(0, 1161, '\p{^	_Me}', "");
Expect(0, 1161, '\P{	_Me}', "");
Expect(1, 1161, '\P{^	_Me}', "");
Expect(0, 1159, '\p{	_Me}', "");
Expect(1, 1159, '\p{^	_Me}', "");
Expect(1, 1159, '\P{	_Me}', "");
Expect(0, 1159, '\P{^	_Me}', "");
Error('\p{-_Is-Me:=}');
Error('\P{-_Is-Me:=}');
Expect(1, 1161, '\p{isme}', "");
Expect(0, 1161, '\p{^isme}', "");
Expect(0, 1161, '\P{isme}', "");
Expect(1, 1161, '\P{^isme}', "");
Expect(0, 1159, '\p{isme}', "");
Expect(1, 1159, '\p{^isme}', "");
Expect(1, 1159, '\P{isme}', "");
Expect(0, 1159, '\P{^isme}', "");
Expect(1, 1161, '\p{ Is-ME}', "");
Expect(0, 1161, '\p{^ Is-ME}', "");
Expect(0, 1161, '\P{ Is-ME}', "");
Expect(1, 1161, '\P{^ Is-ME}', "");
Expect(0, 1159, '\p{ Is-ME}', "");
Expect(1, 1159, '\p{^ Is-ME}', "");
Expect(1, 1159, '\P{ Is-ME}', "");
Expect(0, 1159, '\P{^ Is-ME}', "");
Error('\p{/a/_	FORMAT}');
Error('\P{/a/_	FORMAT}');
Expect(1, 173, '\p{format}', "");
Expect(0, 173, '\p{^format}', "");
Expect(0, 173, '\P{format}', "");
Expect(1, 173, '\P{^format}', "");
Expect(0, 172, '\p{format}', "");
Expect(1, 172, '\p{^format}', "");
Expect(1, 172, '\P{format}', "");
Expect(0, 172, '\P{^format}', "");
Expect(1, 173, '\p{- Format}', "");
Expect(0, 173, '\p{^- Format}', "");
Expect(0, 173, '\P{- Format}', "");
Expect(1, 173, '\P{^- Format}', "");
Expect(0, 172, '\p{- Format}', "");
Expect(1, 172, '\p{^- Format}', "");
Expect(1, 172, '\P{- Format}', "");
Expect(0, 172, '\P{^- Format}', "");
Error('\p{/a/Is_Format}');
Error('\P{/a/Is_Format}');
Expect(1, 173, '\p{isformat}', "");
Expect(0, 173, '\p{^isformat}', "");
Expect(0, 173, '\P{isformat}', "");
Expect(1, 173, '\P{^isformat}', "");
Expect(0, 172, '\p{isformat}', "");
Expect(1, 172, '\p{^isformat}', "");
Expect(1, 172, '\P{isformat}', "");
Expect(0, 172, '\P{^isformat}', "");
Expect(1, 173, '\p{	_isFORMAT}', "");
Expect(0, 173, '\p{^	_isFORMAT}', "");
Expect(0, 173, '\P{	_isFORMAT}', "");
Expect(1, 173, '\P{^	_isFORMAT}', "");
Expect(0, 172, '\p{	_isFORMAT}', "");
Expect(1, 172, '\p{^	_isFORMAT}', "");
Expect(1, 172, '\P{	_isFORMAT}', "");
Expect(0, 172, '\P{^	_isFORMAT}', "");
Error('\p{-:=cf}');
Error('\P{-:=cf}');
Expect(1, 173, '\p{cf}', "");
Expect(0, 173, '\p{^cf}', "");
Expect(0, 173, '\P{cf}', "");
Expect(1, 173, '\P{^cf}', "");
Expect(0, 172, '\p{cf}', "");
Expect(1, 172, '\p{^cf}', "");
Expect(1, 172, '\P{cf}', "");
Expect(0, 172, '\P{^cf}', "");
Expect(1, 173, '\p{_ Cf}', "");
Expect(0, 173, '\p{^_ Cf}', "");
Expect(0, 173, '\P{_ Cf}', "");
Expect(1, 173, '\P{^_ Cf}', "");
Expect(0, 172, '\p{_ Cf}', "");
Expect(1, 172, '\p{^_ Cf}', "");
Expect(1, 172, '\P{_ Cf}', "");
Expect(0, 172, '\P{^_ Cf}', "");
Error('\p{  Is-Cf:=}');
Error('\P{  Is-Cf:=}');
Expect(1, 173, '\p{iscf}', "");
Expect(0, 173, '\p{^iscf}', "");
Expect(0, 173, '\P{iscf}', "");
Expect(1, 173, '\P{^iscf}', "");
Expect(0, 172, '\p{iscf}', "");
Expect(1, 172, '\p{^iscf}', "");
Expect(1, 172, '\P{iscf}', "");
Expect(0, 172, '\P{^iscf}', "");
Expect(1, 173, '\p{--Is	Cf}', "");
Expect(0, 173, '\p{^--Is	Cf}', "");
Expect(0, 173, '\P{--Is	Cf}', "");
Expect(1, 173, '\P{^--Is	Cf}', "");
Expect(0, 172, '\p{--Is	Cf}', "");
Expect(1, 172, '\p{^--Is	Cf}', "");
Expect(1, 172, '\P{--Is	Cf}', "");
Expect(0, 172, '\P{^--Is	Cf}', "");
Error('\p{_	other number:=}');
Error('\P{_	other number:=}');
Expect(1, 179, '\p{othernumber}', "");
Expect(0, 179, '\p{^othernumber}', "");
Expect(0, 179, '\P{othernumber}', "");
Expect(1, 179, '\P{^othernumber}', "");
Expect(0, 177, '\p{othernumber}', "");
Expect(1, 177, '\p{^othernumber}', "");
Expect(1, 177, '\P{othernumber}', "");
Expect(0, 177, '\P{^othernumber}', "");
Expect(1, 179, '\p{-_Other-Number}', "");
Expect(0, 179, '\p{^-_Other-Number}', "");
Expect(0, 179, '\P{-_Other-Number}', "");
Expect(1, 179, '\P{^-_Other-Number}', "");
Expect(0, 177, '\p{-_Other-Number}', "");
Expect(1, 177, '\p{^-_Other-Number}', "");
Expect(1, 177, '\P{-_Other-Number}', "");
Expect(0, 177, '\P{^-_Other-Number}', "");
Error('\p{	/a/Is-OTHERNumber}');
Error('\P{	/a/Is-OTHERNumber}');
Expect(1, 179, '\p{isothernumber}', "");
Expect(0, 179, '\p{^isothernumber}', "");
Expect(0, 179, '\P{isothernumber}', "");
Expect(1, 179, '\P{^isothernumber}', "");
Expect(0, 177, '\p{isothernumber}', "");
Expect(1, 177, '\p{^isothernumber}', "");
Expect(1, 177, '\P{isothernumber}', "");
Expect(0, 177, '\P{^isothernumber}', "");
Expect(1, 179, '\p{ Is other_number}', "");
Expect(0, 179, '\p{^ Is other_number}', "");
Expect(0, 179, '\P{ Is other_number}', "");
Expect(1, 179, '\P{^ Is other_number}', "");
Expect(0, 177, '\p{ Is other_number}', "");
Expect(1, 177, '\p{^ Is other_number}', "");
Expect(1, 177, '\P{ Is other_number}', "");
Expect(0, 177, '\P{^ Is other_number}', "");
Error('\p{ _No:=}');
Error('\P{ _No:=}');
Expect(1, 179, '\p{no}', "");
Expect(0, 179, '\p{^no}', "");
Expect(0, 179, '\P{no}', "");
Expect(1, 179, '\P{^no}', "");
Expect(0, 177, '\p{no}', "");
Expect(1, 177, '\p{^no}', "");
Expect(1, 177, '\P{no}', "");
Expect(0, 177, '\P{^no}', "");
Expect(1, 179, '\p{	-No}', "");
Expect(0, 179, '\p{^	-No}', "");
Expect(0, 179, '\P{	-No}', "");
Expect(1, 179, '\P{^	-No}', "");
Expect(0, 177, '\p{	-No}', "");
Expect(1, 177, '\p{^	-No}', "");
Expect(1, 177, '\P{	-No}', "");
Expect(0, 177, '\P{^	-No}', "");
Error('\p{ is/a/No}');
Error('\P{ is/a/No}');
Expect(1, 179, '\p{isno}', "");
Expect(0, 179, '\p{^isno}', "");
Expect(0, 179, '\P{isno}', "");
Expect(1, 179, '\P{^isno}', "");
Expect(0, 177, '\p{isno}', "");
Expect(1, 177, '\p{^isno}', "");
Expect(1, 177, '\P{isno}', "");
Expect(0, 177, '\P{^isno}', "");
Expect(1, 179, '\p{	 IS_NO}', "");
Expect(0, 179, '\p{^	 IS_NO}', "");
Expect(0, 179, '\P{	 IS_NO}', "");
Expect(1, 179, '\P{^	 IS_NO}', "");
Expect(0, 177, '\p{	 IS_NO}', "");
Expect(1, 177, '\p{^	 IS_NO}', "");
Expect(1, 177, '\P{	 IS_NO}', "");
Expect(0, 177, '\P{^	 IS_NO}', "");
Error('\p{	:=latin 1-Supplement}');
Error('\P{	:=latin 1-Supplement}');
Expect(1, 255, '\p{latin1supplement}', "");
Expect(0, 255, '\p{^latin1supplement}', "");
Expect(0, 255, '\P{latin1supplement}', "");
Expect(1, 255, '\P{^latin1supplement}', "");
Expect(0, 127, '\p{latin1supplement}', "");
Expect(1, 127, '\p{^latin1supplement}', "");
Expect(1, 127, '\P{latin1supplement}', "");
Expect(0, 127, '\P{^latin1supplement}', "");
Expect(1, 255, '\p{ latin-1_SUPPLEMENT}', "");
Expect(0, 255, '\p{^ latin-1_SUPPLEMENT}', "");
Expect(0, 255, '\P{ latin-1_SUPPLEMENT}', "");
Expect(1, 255, '\P{^ latin-1_SUPPLEMENT}', "");
Expect(0, 127, '\p{ latin-1_SUPPLEMENT}', "");
Expect(1, 127, '\p{^ latin-1_SUPPLEMENT}', "");
Expect(1, 127, '\P{ latin-1_SUPPLEMENT}', "");
Expect(0, 127, '\P{^ latin-1_SUPPLEMENT}', "");
Error('\p{/a/-	is-LATIN 1 Supplement}');
Error('\P{/a/-	is-LATIN 1 Supplement}');
Expect(1, 255, '\p{islatin1supplement}', "");
Expect(0, 255, '\p{^islatin1supplement}', "");
Expect(0, 255, '\P{islatin1supplement}', "");
Expect(1, 255, '\P{^islatin1supplement}', "");
Expect(0, 127, '\p{islatin1supplement}', "");
Expect(1, 127, '\p{^islatin1supplement}', "");
Expect(1, 127, '\P{islatin1supplement}', "");
Expect(0, 127, '\P{^islatin1supplement}', "");
Expect(1, 255, '\p{  Is-Latin1 Supplement}', "");
Expect(0, 255, '\p{^  Is-Latin1 Supplement}', "");
Expect(0, 255, '\P{  Is-Latin1 Supplement}', "");
Expect(1, 255, '\P{^  Is-Latin1 Supplement}', "");
Expect(0, 127, '\p{  Is-Latin1 Supplement}', "");
Expect(1, 127, '\p{^  Is-Latin1 Supplement}', "");
Expect(1, 127, '\P{  Is-Latin1 Supplement}', "");
Expect(0, 127, '\P{^  Is-Latin1 Supplement}', "");
Error('\p{/a/IN_Latin 1	Supplement}');
Error('\P{/a/IN_Latin 1	Supplement}');
Expect(1, 255, '\p{inlatin1supplement}', "");
Expect(0, 255, '\p{^inlatin1supplement}', "");
Expect(0, 255, '\P{inlatin1supplement}', "");
Expect(1, 255, '\P{^inlatin1supplement}', "");
Expect(0, 127, '\p{inlatin1supplement}', "");
Expect(1, 127, '\p{^inlatin1supplement}', "");
Expect(1, 127, '\P{inlatin1supplement}', "");
Expect(0, 127, '\P{^inlatin1supplement}', "");
Expect(1, 255, '\p{	 In	latin1 supplement}', "");
Expect(0, 255, '\p{^	 In	latin1 supplement}', "");
Expect(0, 255, '\P{	 In	latin1 supplement}', "");
Expect(1, 255, '\P{^	 In	latin1 supplement}', "");
Expect(0, 127, '\p{	 In	latin1 supplement}', "");
Expect(1, 127, '\p{^	 In	latin1 supplement}', "");
Expect(1, 127, '\P{	 In	latin1 supplement}', "");
Expect(0, 127, '\P{^	 In	latin1 supplement}', "");
Error('\p{-	latin_1/a/}');
Error('\P{-	latin_1/a/}');
Expect(1, 255, '\p{latin1}', "");
Expect(0, 255, '\p{^latin1}', "");
Expect(0, 255, '\P{latin1}', "");
Expect(1, 255, '\P{^latin1}', "");
Expect(0, 127, '\p{latin1}', "");
Expect(1, 127, '\p{^latin1}', "");
Expect(1, 127, '\P{latin1}', "");
Expect(0, 127, '\P{^latin1}', "");
Expect(1, 255, '\p{ LATIN1}', "");
Expect(0, 255, '\p{^ LATIN1}', "");
Expect(0, 255, '\P{ LATIN1}', "");
Expect(1, 255, '\P{^ LATIN1}', "");
Expect(0, 127, '\p{ LATIN1}', "");
Expect(1, 127, '\p{^ LATIN1}', "");
Expect(1, 127, '\P{ LATIN1}', "");
Expect(0, 127, '\P{^ LATIN1}', "");
Error('\p{  is latin-1/a/}');
Error('\P{  is latin-1/a/}');
Expect(1, 255, '\p{islatin1}', "");
Expect(0, 255, '\p{^islatin1}', "");
Expect(0, 255, '\P{islatin1}', "");
Expect(1, 255, '\P{^islatin1}', "");
Expect(0, 127, '\p{islatin1}', "");
Expect(1, 127, '\p{^islatin1}', "");
Expect(1, 127, '\P{islatin1}', "");
Expect(0, 127, '\P{^islatin1}', "");
Expect(1, 255, '\p{	-Is	LATIN 1}', "");
Expect(0, 255, '\p{^	-Is	LATIN 1}', "");
Expect(0, 255, '\P{	-Is	LATIN 1}', "");
Expect(1, 255, '\P{^	-Is	LATIN 1}', "");
Expect(0, 127, '\p{	-Is	LATIN 1}', "");
Expect(1, 127, '\p{^	-Is	LATIN 1}', "");
Expect(1, 127, '\P{	-Is	LATIN 1}', "");
Expect(0, 127, '\P{^	-Is	LATIN 1}', "");
Error('\p{/a/IN-latin1}');
Error('\P{/a/IN-latin1}');
Expect(1, 255, '\p{inlatin1}', "");
Expect(0, 255, '\p{^inlatin1}', "");
Expect(0, 255, '\P{inlatin1}', "");
Expect(1, 255, '\P{^inlatin1}', "");
Expect(0, 127, '\p{inlatin1}', "");
Expect(1, 127, '\p{^inlatin1}', "");
Expect(1, 127, '\P{inlatin1}', "");
Expect(0, 127, '\P{^inlatin1}', "");
Expect(1, 255, '\p{- IN_latin1}', "");
Expect(0, 255, '\p{^- IN_latin1}', "");
Expect(0, 255, '\P{- IN_latin1}', "");
Expect(1, 255, '\P{^- IN_latin1}', "");
Expect(0, 127, '\p{- IN_latin1}', "");
Expect(1, 127, '\p{^- IN_latin1}', "");
Expect(1, 127, '\P{- IN_latin1}', "");
Expect(0, 127, '\P{^- IN_latin1}', "");
Error('\p{-_tamil/a/}');
Error('\P{-_tamil/a/}');
Expect(1, 2947, '\p{tamil}', "");
Expect(0, 2947, '\p{^tamil}', "");
Expect(0, 2947, '\P{tamil}', "");
Expect(1, 2947, '\P{^tamil}', "");
Expect(0, 2945, '\p{tamil}', "");
Expect(1, 2945, '\p{^tamil}', "");
Expect(1, 2945, '\P{tamil}', "");
Expect(0, 2945, '\P{^tamil}', "");
Expect(1, 2947, '\p{__Tamil}', "");
Expect(0, 2947, '\p{^__Tamil}', "");
Expect(0, 2947, '\P{__Tamil}', "");
Expect(1, 2947, '\P{^__Tamil}', "");
Expect(0, 2945, '\p{__Tamil}', "");
Expect(1, 2945, '\p{^__Tamil}', "");
Expect(1, 2945, '\P{__Tamil}', "");
Expect(0, 2945, '\P{^__Tamil}', "");
Error('\p{/a/ IS-tamil}');
Error('\P{/a/ IS-tamil}');
Expect(1, 2947, '\p{istamil}', "");
Expect(0, 2947, '\p{^istamil}', "");
Expect(0, 2947, '\P{istamil}', "");
Expect(1, 2947, '\P{^istamil}', "");
Expect(0, 2945, '\p{istamil}', "");
Expect(1, 2945, '\p{^istamil}', "");
Expect(1, 2945, '\P{istamil}', "");
Expect(0, 2945, '\P{^istamil}', "");
Expect(1, 2947, '\p{__is_tamil}', "");
Expect(0, 2947, '\p{^__is_tamil}', "");
Expect(0, 2947, '\P{__is_tamil}', "");
Expect(1, 2947, '\P{^__is_tamil}', "");
Expect(0, 2945, '\p{__is_tamil}', "");
Expect(1, 2945, '\p{^__is_tamil}', "");
Expect(1, 2945, '\P{__is_tamil}', "");
Expect(0, 2945, '\P{^__is_tamil}', "");
Error('\p{	Taml:=}');
Error('\P{	Taml:=}');
Expect(1, 2947, '\p{taml}', "");
Expect(0, 2947, '\p{^taml}', "");
Expect(0, 2947, '\P{taml}', "");
Expect(1, 2947, '\P{^taml}', "");
Expect(0, 2945, '\p{taml}', "");
Expect(1, 2945, '\p{^taml}', "");
Expect(1, 2945, '\P{taml}', "");
Expect(0, 2945, '\P{^taml}', "");
Expect(1, 2947, '\p{- Taml}', "");
Expect(0, 2947, '\p{^- Taml}', "");
Expect(0, 2947, '\P{- Taml}', "");
Expect(1, 2947, '\P{^- Taml}', "");
Expect(0, 2945, '\p{- Taml}', "");
Expect(1, 2945, '\p{^- Taml}', "");
Expect(1, 2945, '\P{- Taml}', "");
Expect(0, 2945, '\P{^- Taml}', "");
Error('\p{_:=Is_taml}');
Error('\P{_:=Is_taml}');
Expect(1, 2947, '\p{istaml}', "");
Expect(0, 2947, '\p{^istaml}', "");
Expect(0, 2947, '\P{istaml}', "");
Expect(1, 2947, '\P{^istaml}', "");
Expect(0, 2945, '\p{istaml}', "");
Expect(1, 2945, '\p{^istaml}', "");
Expect(1, 2945, '\P{istaml}', "");
Expect(0, 2945, '\P{^istaml}', "");
Expect(1, 2947, '\p{ 	is Taml}', "");
Expect(0, 2947, '\p{^ 	is Taml}', "");
Expect(0, 2947, '\P{ 	is Taml}', "");
Expect(1, 2947, '\P{^ 	is Taml}', "");
Expect(0, 2945, '\p{ 	is Taml}', "");
Expect(1, 2945, '\p{^ 	is Taml}', "");
Expect(1, 2945, '\P{ 	is Taml}', "");
Expect(0, 2945, '\P{^ 	is Taml}', "");
Error('\p{ /a/SHAVIAN}');
Error('\P{ /a/SHAVIAN}');
Expect(1, 66687, '\p{shavian}', "");
Expect(0, 66687, '\p{^shavian}', "");
Expect(0, 66687, '\P{shavian}', "");
Expect(1, 66687, '\P{^shavian}', "");
Expect(0, 66639, '\p{shavian}', "");
Expect(1, 66639, '\p{^shavian}', "");
Expect(1, 66639, '\P{shavian}', "");
Expect(0, 66639, '\P{^shavian}', "");
Expect(1, 66687, '\p{ _shavian}', "");
Expect(0, 66687, '\p{^ _shavian}', "");
Expect(0, 66687, '\P{ _shavian}', "");
Expect(1, 66687, '\P{^ _shavian}', "");
Expect(0, 66639, '\p{ _shavian}', "");
Expect(1, 66639, '\p{^ _shavian}', "");
Expect(1, 66639, '\P{ _shavian}', "");
Expect(0, 66639, '\P{^ _shavian}', "");
Error('\p{-IS/a/Shavian}');
Error('\P{-IS/a/Shavian}');
Expect(1, 66687, '\p{isshavian}', "");
Expect(0, 66687, '\p{^isshavian}', "");
Expect(0, 66687, '\P{isshavian}', "");
Expect(1, 66687, '\P{^isshavian}', "");
Expect(0, 66639, '\p{isshavian}', "");
Expect(1, 66639, '\p{^isshavian}', "");
Expect(1, 66639, '\P{isshavian}', "");
Expect(0, 66639, '\P{^isshavian}', "");
Expect(1, 66687, '\p{-_Is	SHAVIAN}', "");
Expect(0, 66687, '\p{^-_Is	SHAVIAN}', "");
Expect(0, 66687, '\P{-_Is	SHAVIAN}', "");
Expect(1, 66687, '\P{^-_Is	SHAVIAN}', "");
Expect(0, 66639, '\p{-_Is	SHAVIAN}', "");
Expect(1, 66639, '\p{^-_Is	SHAVIAN}', "");
Expect(1, 66639, '\P{-_Is	SHAVIAN}', "");
Expect(0, 66639, '\P{^-_Is	SHAVIAN}', "");
Error('\p{	 Shaw/a/}');
Error('\P{	 Shaw/a/}');
Expect(1, 66687, '\p{shaw}', "");
Expect(0, 66687, '\p{^shaw}', "");
Expect(0, 66687, '\P{shaw}', "");
Expect(1, 66687, '\P{^shaw}', "");
Expect(0, 66639, '\p{shaw}', "");
Expect(1, 66639, '\p{^shaw}', "");
Expect(1, 66639, '\P{shaw}', "");
Expect(0, 66639, '\P{^shaw}', "");
Expect(1, 66687, '\p{ Shaw}', "");
Expect(0, 66687, '\p{^ Shaw}', "");
Expect(0, 66687, '\P{ Shaw}', "");
Expect(1, 66687, '\P{^ Shaw}', "");
Expect(0, 66639, '\p{ Shaw}', "");
Expect(1, 66639, '\p{^ Shaw}', "");
Expect(1, 66639, '\P{ Shaw}', "");
Expect(0, 66639, '\P{^ Shaw}', "");
Error('\p{-:=is Shaw}');
Error('\P{-:=is Shaw}');
Expect(1, 66687, '\p{isshaw}', "");
Expect(0, 66687, '\p{^isshaw}', "");
Expect(0, 66687, '\P{isshaw}', "");
Expect(1, 66687, '\P{^isshaw}', "");
Expect(0, 66639, '\p{isshaw}', "");
Expect(1, 66639, '\p{^isshaw}', "");
Expect(1, 66639, '\P{isshaw}', "");
Expect(0, 66639, '\P{^isshaw}', "");
Expect(1, 66687, '\p{		Is_Shaw}', "");
Expect(0, 66687, '\p{^		Is_Shaw}', "");
Expect(0, 66687, '\P{		Is_Shaw}', "");
Expect(1, 66687, '\P{^		Is_Shaw}', "");
Expect(0, 66639, '\p{		Is_Shaw}', "");
Expect(1, 66639, '\p{^		Is_Shaw}', "");
Expect(1, 66639, '\P{		Is_Shaw}', "");
Expect(0, 66639, '\P{^		Is_Shaw}', "");
Error('\p{/a/_IPA	EXTENSIONS}');
Error('\P{/a/_IPA	EXTENSIONS}');
Expect(1, 687, '\p{ipaextensions}', "");
Expect(0, 687, '\p{^ipaextensions}', "");
Expect(0, 687, '\P{ipaextensions}', "");
Expect(1, 687, '\P{^ipaextensions}', "");
Expect(0, 591, '\p{ipaextensions}', "");
Expect(1, 591, '\p{^ipaextensions}', "");
Expect(1, 591, '\P{ipaextensions}', "");
Expect(0, 591, '\P{^ipaextensions}', "");
Expect(1, 687, '\p{-ipaExtensions}', "");
Expect(0, 687, '\p{^-ipaExtensions}', "");
Expect(0, 687, '\P{-ipaExtensions}', "");
Expect(1, 687, '\P{^-ipaExtensions}', "");
Expect(0, 591, '\p{-ipaExtensions}', "");
Expect(1, 591, '\p{^-ipaExtensions}', "");
Expect(1, 591, '\P{-ipaExtensions}', "");
Expect(0, 591, '\P{^-ipaExtensions}', "");
Error('\p{/a/IS	IPAEXTENSIONS}');
Error('\P{/a/IS	IPAEXTENSIONS}');
Expect(1, 687, '\p{isipaextensions}', "");
Expect(0, 687, '\p{^isipaextensions}', "");
Expect(0, 687, '\P{isipaextensions}', "");
Expect(1, 687, '\P{^isipaextensions}', "");
Expect(0, 591, '\p{isipaextensions}', "");
Expect(1, 591, '\p{^isipaextensions}', "");
Expect(1, 591, '\P{isipaextensions}', "");
Expect(0, 591, '\P{^isipaextensions}', "");
Expect(1, 687, '\p{_ Is ipa EXTENSIONS}', "");
Expect(0, 687, '\p{^_ Is ipa EXTENSIONS}', "");
Expect(0, 687, '\P{_ Is ipa EXTENSIONS}', "");
Expect(1, 687, '\P{^_ Is ipa EXTENSIONS}', "");
Expect(0, 591, '\p{_ Is ipa EXTENSIONS}', "");
Expect(1, 591, '\p{^_ Is ipa EXTENSIONS}', "");
Expect(1, 591, '\P{_ Is ipa EXTENSIONS}', "");
Expect(0, 591, '\P{^_ Is ipa EXTENSIONS}', "");
Error('\p{/a/InIPAEXTENSIONS}');
Error('\P{/a/InIPAEXTENSIONS}');
Expect(1, 687, '\p{inipaextensions}', "");
Expect(0, 687, '\p{^inipaextensions}', "");
Expect(0, 687, '\P{inipaextensions}', "");
Expect(1, 687, '\P{^inipaextensions}', "");
Expect(0, 591, '\p{inipaextensions}', "");
Expect(1, 591, '\p{^inipaextensions}', "");
Expect(1, 591, '\P{inipaextensions}', "");
Expect(0, 591, '\P{^inipaextensions}', "");
Expect(1, 687, '\p{  in IPAEXTENSIONS}', "");
Expect(0, 687, '\p{^  in IPAEXTENSIONS}', "");
Expect(0, 687, '\P{  in IPAEXTENSIONS}', "");
Expect(1, 687, '\P{^  in IPAEXTENSIONS}', "");
Expect(0, 591, '\p{  in IPAEXTENSIONS}', "");
Expect(1, 591, '\p{^  in IPAEXTENSIONS}', "");
Expect(1, 591, '\P{  in IPAEXTENSIONS}', "");
Expect(0, 591, '\P{^  in IPAEXTENSIONS}', "");
Error('\p{/a/_ hiragana}');
Error('\P{/a/_ hiragana}');
Expect(1, 12438, '\p{hiragana}', "");
Expect(0, 12438, '\p{^hiragana}', "");
Expect(0, 12438, '\P{hiragana}', "");
Expect(1, 12438, '\P{^hiragana}', "");
Expect(0, 12352, '\p{hiragana}', "");
Expect(1, 12352, '\p{^hiragana}', "");
Expect(1, 12352, '\P{hiragana}', "");
Expect(0, 12352, '\P{^hiragana}', "");
Expect(1, 12438, '\p{_	HIRAGANA}', "");
Expect(0, 12438, '\p{^_	HIRAGANA}', "");
Expect(0, 12438, '\P{_	HIRAGANA}', "");
Expect(1, 12438, '\P{^_	HIRAGANA}', "");
Expect(0, 12352, '\p{_	HIRAGANA}', "");
Expect(1, 12352, '\p{^_	HIRAGANA}', "");
Expect(1, 12352, '\P{_	HIRAGANA}', "");
Expect(0, 12352, '\P{^_	HIRAGANA}', "");
Error('\p{-	Is-Hiragana:=}');
Error('\P{-	Is-Hiragana:=}');
Expect(1, 12438, '\p{ishiragana}', "");
Expect(0, 12438, '\p{^ishiragana}', "");
Expect(0, 12438, '\P{ishiragana}', "");
Expect(1, 12438, '\P{^ishiragana}', "");
Expect(0, 12352, '\p{ishiragana}', "");
Expect(1, 12352, '\p{^ishiragana}', "");
Expect(1, 12352, '\P{ishiragana}', "");
Expect(0, 12352, '\P{^ishiragana}', "");
Expect(1, 12438, '\p{ _Is_Hiragana}', "");
Expect(0, 12438, '\p{^ _Is_Hiragana}', "");
Expect(0, 12438, '\P{ _Is_Hiragana}', "");
Expect(1, 12438, '\P{^ _Is_Hiragana}', "");
Expect(0, 12352, '\p{ _Is_Hiragana}', "");
Expect(1, 12352, '\p{^ _Is_Hiragana}', "");
Expect(1, 12352, '\P{ _Is_Hiragana}', "");
Expect(0, 12352, '\P{^ _Is_Hiragana}', "");
Error('\p{-/a/Hira}');
Error('\P{-/a/Hira}');
Expect(1, 12438, '\p{hira}', "");
Expect(0, 12438, '\p{^hira}', "");
Expect(0, 12438, '\P{hira}', "");
Expect(1, 12438, '\P{^hira}', "");
Expect(0, 12352, '\p{hira}', "");
Expect(1, 12352, '\p{^hira}', "");
Expect(1, 12352, '\P{hira}', "");
Expect(0, 12352, '\P{^hira}', "");
Expect(1, 12438, '\p{	Hira}', "");
Expect(0, 12438, '\p{^	Hira}', "");
Expect(0, 12438, '\P{	Hira}', "");
Expect(1, 12438, '\P{^	Hira}', "");
Expect(0, 12352, '\p{	Hira}', "");
Expect(1, 12352, '\p{^	Hira}', "");
Expect(1, 12352, '\P{	Hira}', "");
Expect(0, 12352, '\P{^	Hira}', "");
Error('\p{:=-IS-Hira}');
Error('\P{:=-IS-Hira}');
Expect(1, 12438, '\p{ishira}', "");
Expect(0, 12438, '\p{^ishira}', "");
Expect(0, 12438, '\P{ishira}', "");
Expect(1, 12438, '\P{^ishira}', "");
Expect(0, 12352, '\p{ishira}', "");
Expect(1, 12352, '\p{^ishira}', "");
Expect(1, 12352, '\P{ishira}', "");
Expect(0, 12352, '\P{^ishira}', "");
Expect(1, 12438, '\p{	Is-Hira}', "");
Expect(0, 12438, '\p{^	Is-Hira}', "");
Expect(0, 12438, '\P{	Is-Hira}', "");
Expect(1, 12438, '\P{^	Is-Hira}', "");
Expect(0, 12352, '\p{	Is-Hira}', "");
Expect(1, 12352, '\p{^	Is-Hira}', "");
Expect(1, 12352, '\P{	Is-Hira}', "");
Expect(0, 12352, '\P{^	Is-Hira}', "");
Error('\p{-/a/greek}');
Error('\P{-/a/greek}');
Expect(1, 883, '\p{greek}', "");
Expect(0, 883, '\p{^greek}', "");
Expect(0, 883, '\P{greek}', "");
Expect(1, 883, '\P{^greek}', "");
Expect(0, 879, '\p{greek}', "");
Expect(1, 879, '\p{^greek}', "");
Expect(1, 879, '\P{greek}', "");
Expect(0, 879, '\P{^greek}', "");
Expect(1, 883, '\p{  Greek}', "");
Expect(0, 883, '\p{^  Greek}', "");
Expect(0, 883, '\P{  Greek}', "");
Expect(1, 883, '\P{^  Greek}', "");
Expect(0, 879, '\p{  Greek}', "");
Expect(1, 879, '\p{^  Greek}', "");
Expect(1, 879, '\P{  Greek}', "");
Expect(0, 879, '\P{^  Greek}', "");
Error('\p{- Is-Greek/a/}');
Error('\P{- Is-Greek/a/}');
Expect(1, 883, '\p{isgreek}', "");
Expect(0, 883, '\p{^isgreek}', "");
Expect(0, 883, '\P{isgreek}', "");
Expect(1, 883, '\P{^isgreek}', "");
Expect(0, 879, '\p{isgreek}', "");
Expect(1, 879, '\p{^isgreek}', "");
Expect(1, 879, '\P{isgreek}', "");
Expect(0, 879, '\P{^isgreek}', "");
Expect(1, 883, '\p{-isGREEK}', "");
Expect(0, 883, '\p{^-isGREEK}', "");
Expect(0, 883, '\P{-isGREEK}', "");
Expect(1, 883, '\P{^-isGREEK}', "");
Expect(0, 879, '\p{-isGREEK}', "");
Expect(1, 879, '\p{^-isGREEK}', "");
Expect(1, 879, '\P{-isGREEK}', "");
Expect(0, 879, '\P{^-isGREEK}', "");
Error('\p{-_grek/a/}');
Error('\P{-_grek/a/}');
Expect(1, 883, '\p{grek}', "");
Expect(0, 883, '\p{^grek}', "");
Expect(0, 883, '\P{grek}', "");
Expect(1, 883, '\P{^grek}', "");
Expect(0, 879, '\p{grek}', "");
Expect(1, 879, '\p{^grek}', "");
Expect(1, 879, '\P{grek}', "");
Expect(0, 879, '\P{^grek}', "");
Expect(1, 883, '\p{-	GREK}', "");
Expect(0, 883, '\p{^-	GREK}', "");
Expect(0, 883, '\P{-	GREK}', "");
Expect(1, 883, '\P{^-	GREK}', "");
Expect(0, 879, '\p{-	GREK}', "");
Expect(1, 879, '\p{^-	GREK}', "");
Expect(1, 879, '\P{-	GREK}', "");
Expect(0, 879, '\P{^-	GREK}', "");
Error('\p{:=-_IS_Grek}');
Error('\P{:=-_IS_Grek}');
Expect(1, 883, '\p{isgrek}', "");
Expect(0, 883, '\p{^isgrek}', "");
Expect(0, 883, '\P{isgrek}', "");
Expect(1, 883, '\P{^isgrek}', "");
Expect(0, 879, '\p{isgrek}', "");
Expect(1, 879, '\p{^isgrek}', "");
Expect(1, 879, '\P{isgrek}', "");
Expect(0, 879, '\P{^isgrek}', "");
Expect(1, 883, '\p{ -Is_grek}', "");
Expect(0, 883, '\p{^ -Is_grek}', "");
Expect(0, 883, '\P{ -Is_grek}', "");
Expect(1, 883, '\P{^ -Is_grek}', "");
Expect(0, 879, '\p{ -Is_grek}', "");
Expect(1, 879, '\p{^ -Is_grek}', "");
Expect(1, 879, '\P{ -Is_grek}', "");
Expect(0, 879, '\P{^ -Is_grek}', "");
Error('\p{_	in:=THAI}');
Error('\P{_	in:=THAI}');
Expect(1, 3711, '\p{inthai}', "");
Expect(0, 3711, '\p{^inthai}', "");
Expect(0, 3711, '\P{inthai}', "");
Expect(1, 3711, '\P{^inthai}', "");
Expect(0, 3583, '\p{inthai}', "");
Expect(1, 3583, '\p{^inthai}', "");
Expect(1, 3583, '\P{inthai}', "");
Expect(0, 3583, '\P{^inthai}', "");
Expect(1, 3711, '\p{		In_Thai}', "");
Expect(0, 3711, '\p{^		In_Thai}', "");
Expect(0, 3711, '\P{		In_Thai}', "");
Expect(1, 3711, '\P{^		In_Thai}', "");
Expect(0, 3583, '\p{		In_Thai}', "");
Expect(1, 3583, '\p{^		In_Thai}', "");
Expect(1, 3583, '\P{		In_Thai}', "");
Expect(0, 3583, '\P{^		In_Thai}', "");
Error('\p{ line separator/a/}');
Error('\P{ line separator/a/}');
Expect(1, 8232, '\p{lineseparator}', "");
Expect(0, 8232, '\p{^lineseparator}', "");
Expect(0, 8232, '\P{lineseparator}', "");
Expect(1, 8232, '\P{^lineseparator}', "");
Expect(0, 8231, '\p{lineseparator}', "");
Expect(1, 8231, '\p{^lineseparator}', "");
Expect(1, 8231, '\P{lineseparator}', "");
Expect(0, 8231, '\P{^lineseparator}', "");
Expect(1, 8232, '\p{-	line separator}', "");
Expect(0, 8232, '\p{^-	line separator}', "");
Expect(0, 8232, '\P{-	line separator}', "");
Expect(1, 8232, '\P{^-	line separator}', "");
Expect(0, 8231, '\p{-	line separator}', "");
Expect(1, 8231, '\p{^-	line separator}', "");
Expect(1, 8231, '\P{-	line separator}', "");
Expect(0, 8231, '\P{^-	line separator}', "");
Error('\p{_-Is Line:=separator}');
Error('\P{_-Is Line:=separator}');
Expect(1, 8232, '\p{islineseparator}', "");
Expect(0, 8232, '\p{^islineseparator}', "");
Expect(0, 8232, '\P{islineseparator}', "");
Expect(1, 8232, '\P{^islineseparator}', "");
Expect(0, 8231, '\p{islineseparator}', "");
Expect(1, 8231, '\p{^islineseparator}', "");
Expect(1, 8231, '\P{islineseparator}', "");
Expect(0, 8231, '\P{^islineseparator}', "");
Expect(1, 8232, '\p{ is_Line Separator}', "");
Expect(0, 8232, '\p{^ is_Line Separator}', "");
Expect(0, 8232, '\P{ is_Line Separator}', "");
Expect(1, 8232, '\P{^ is_Line Separator}', "");
Expect(0, 8231, '\p{ is_Line Separator}', "");
Expect(1, 8231, '\p{^ is_Line Separator}', "");
Expect(1, 8231, '\P{ is_Line Separator}', "");
Expect(0, 8231, '\P{^ is_Line Separator}', "");
Error('\p{		ZL:=}');
Error('\P{		ZL:=}');
Expect(1, 8232, '\p{zl}', "");
Expect(0, 8232, '\p{^zl}', "");
Expect(0, 8232, '\P{zl}', "");
Expect(1, 8232, '\P{^zl}', "");
Expect(0, 8231, '\p{zl}', "");
Expect(1, 8231, '\p{^zl}', "");
Expect(1, 8231, '\P{zl}', "");
Expect(0, 8231, '\P{^zl}', "");
Expect(1, 8232, '\p{	Zl}', "");
Expect(0, 8232, '\p{^	Zl}', "");
Expect(0, 8232, '\P{	Zl}', "");
Expect(1, 8232, '\P{^	Zl}', "");
Expect(0, 8231, '\p{	Zl}', "");
Expect(1, 8231, '\p{^	Zl}', "");
Expect(1, 8231, '\P{	Zl}', "");
Expect(0, 8231, '\P{^	Zl}', "");
Error('\p{-IsZL/a/}');
Error('\P{-IsZL/a/}');
Expect(1, 8232, '\p{iszl}', "");
Expect(0, 8232, '\p{^iszl}', "");
Expect(0, 8232, '\P{iszl}', "");
Expect(1, 8232, '\P{^iszl}', "");
Expect(0, 8231, '\p{iszl}', "");
Expect(1, 8231, '\p{^iszl}', "");
Expect(1, 8231, '\P{iszl}', "");
Expect(0, 8231, '\P{^iszl}', "");
Expect(1, 8232, '\p{_	is_Zl}', "");
Expect(0, 8232, '\p{^_	is_Zl}', "");
Expect(0, 8232, '\P{_	is_Zl}', "");
Expect(1, 8232, '\P{^_	is_Zl}', "");
Expect(0, 8231, '\p{_	is_Zl}', "");
Expect(1, 8231, '\p{^_	is_Zl}', "");
Expect(1, 8231, '\P{_	is_Zl}', "");
Expect(0, 8231, '\P{^_	is_Zl}', "");
Error('\p{_:=OLChiki}');
Error('\P{_:=OLChiki}');
Expect(1, 7295, '\p{olchiki}', "");
Expect(0, 7295, '\p{^olchiki}', "");
Expect(0, 7295, '\P{olchiki}', "");
Expect(1, 7295, '\P{^olchiki}', "");
Expect(0, 7247, '\p{olchiki}', "");
Expect(1, 7247, '\p{^olchiki}', "");
Expect(1, 7247, '\P{olchiki}', "");
Expect(0, 7247, '\P{^olchiki}', "");
Expect(1, 7295, '\p{	_OL-Chiki}', "");
Expect(0, 7295, '\p{^	_OL-Chiki}', "");
Expect(0, 7295, '\P{	_OL-Chiki}', "");
Expect(1, 7295, '\P{^	_OL-Chiki}', "");
Expect(0, 7247, '\p{	_OL-Chiki}', "");
Expect(1, 7247, '\p{^	_OL-Chiki}', "");
Expect(1, 7247, '\P{	_OL-Chiki}', "");
Expect(0, 7247, '\P{^	_OL-Chiki}', "");
Error('\p{:=Is-Ol_CHIKI}');
Error('\P{:=Is-Ol_CHIKI}');
Expect(1, 7295, '\p{isolchiki}', "");
Expect(0, 7295, '\p{^isolchiki}', "");
Expect(0, 7295, '\P{isolchiki}', "");
Expect(1, 7295, '\P{^isolchiki}', "");
Expect(0, 7247, '\p{isolchiki}', "");
Expect(1, 7247, '\p{^isolchiki}', "");
Expect(1, 7247, '\P{isolchiki}', "");
Expect(0, 7247, '\P{^isolchiki}', "");
Expect(1, 7295, '\p{_Is ol_Chiki}', "");
Expect(0, 7295, '\p{^_Is ol_Chiki}', "");
Expect(0, 7295, '\P{_Is ol_Chiki}', "");
Expect(1, 7295, '\P{^_Is ol_Chiki}', "");
Expect(0, 7247, '\p{_Is ol_Chiki}', "");
Expect(1, 7247, '\p{^_Is ol_Chiki}', "");
Expect(1, 7247, '\P{_Is ol_Chiki}', "");
Expect(0, 7247, '\P{^_Is ol_Chiki}', "");
Error('\p{__OLCK:=}');
Error('\P{__OLCK:=}');
Expect(1, 7295, '\p{olck}', "");
Expect(0, 7295, '\p{^olck}', "");
Expect(0, 7295, '\P{olck}', "");
Expect(1, 7295, '\P{^olck}', "");
Expect(0, 7247, '\p{olck}', "");
Expect(1, 7247, '\p{^olck}', "");
Expect(1, 7247, '\P{olck}', "");
Expect(0, 7247, '\P{^olck}', "");
Expect(1, 7295, '\p{ -Olck}', "");
Expect(0, 7295, '\p{^ -Olck}', "");
Expect(0, 7295, '\P{ -Olck}', "");
Expect(1, 7295, '\P{^ -Olck}', "");
Expect(0, 7247, '\p{ -Olck}', "");
Expect(1, 7247, '\p{^ -Olck}', "");
Expect(1, 7247, '\P{ -Olck}', "");
Expect(0, 7247, '\P{^ -Olck}', "");
Error('\p{-Isolck/a/}');
Error('\P{-Isolck/a/}');
Expect(1, 7295, '\p{isolck}', "");
Expect(0, 7295, '\p{^isolck}', "");
Expect(0, 7295, '\P{isolck}', "");
Expect(1, 7295, '\P{^isolck}', "");
Expect(0, 7247, '\p{isolck}', "");
Expect(1, 7247, '\p{^isolck}', "");
Expect(1, 7247, '\P{isolck}', "");
Expect(0, 7247, '\P{^isolck}', "");
Expect(1, 7295, '\p{ is	Olck}', "");
Expect(0, 7295, '\p{^ is	Olck}', "");
Expect(0, 7295, '\P{ is	Olck}', "");
Expect(1, 7295, '\P{^ is	Olck}', "");
Expect(0, 7247, '\p{ is	Olck}', "");
Expect(1, 7247, '\p{^ is	Olck}', "");
Expect(1, 7247, '\P{ is	Olck}', "");
Expect(0, 7247, '\P{^ is	Olck}', "");
Error('\p{	TaiVIET/a/}');
Error('\P{	TaiVIET/a/}');
Expect(1, 43714, '\p{taiviet}', "");
Expect(0, 43714, '\p{^taiviet}', "");
Expect(0, 43714, '\P{taiviet}', "");
Expect(1, 43714, '\P{^taiviet}', "");
Expect(0, 43647, '\p{taiviet}', "");
Expect(1, 43647, '\p{^taiviet}', "");
Expect(1, 43647, '\P{taiviet}', "");
Expect(0, 43647, '\P{^taiviet}', "");
Expect(1, 43714, '\p{--TAI-VIET}', "");
Expect(0, 43714, '\p{^--TAI-VIET}', "");
Expect(0, 43714, '\P{--TAI-VIET}', "");
Expect(1, 43714, '\P{^--TAI-VIET}', "");
Expect(0, 43647, '\p{--TAI-VIET}', "");
Expect(1, 43647, '\p{^--TAI-VIET}', "");
Expect(1, 43647, '\P{--TAI-VIET}', "");
Expect(0, 43647, '\P{^--TAI-VIET}', "");
Error('\p{/a/-IsTai-Viet}');
Error('\P{/a/-IsTai-Viet}');
Expect(1, 43714, '\p{istaiviet}', "");
Expect(0, 43714, '\p{^istaiviet}', "");
Expect(0, 43714, '\P{istaiviet}', "");
Expect(1, 43714, '\P{^istaiviet}', "");
Expect(0, 43647, '\p{istaiviet}', "");
Expect(1, 43647, '\p{^istaiviet}', "");
Expect(1, 43647, '\P{istaiviet}', "");
Expect(0, 43647, '\P{^istaiviet}', "");
Expect(1, 43714, '\p{ IS	Tai-Viet}', "");
Expect(0, 43714, '\p{^ IS	Tai-Viet}', "");
Expect(0, 43714, '\P{ IS	Tai-Viet}', "");
Expect(1, 43714, '\P{^ IS	Tai-Viet}', "");
Expect(0, 43647, '\p{ IS	Tai-Viet}', "");
Expect(1, 43647, '\p{^ IS	Tai-Viet}', "");
Expect(1, 43647, '\P{ IS	Tai-Viet}', "");
Expect(0, 43647, '\P{^ IS	Tai-Viet}', "");
Error('\p{	Tavt:=}');
Error('\P{	Tavt:=}');
Expect(1, 43714, '\p{tavt}', "");
Expect(0, 43714, '\p{^tavt}', "");
Expect(0, 43714, '\P{tavt}', "");
Expect(1, 43714, '\P{^tavt}', "");
Expect(0, 43647, '\p{tavt}', "");
Expect(1, 43647, '\p{^tavt}', "");
Expect(1, 43647, '\P{tavt}', "");
Expect(0, 43647, '\P{^tavt}', "");
Expect(1, 43714, '\p{	tavt}', "");
Expect(0, 43714, '\p{^	tavt}', "");
Expect(0, 43714, '\P{	tavt}', "");
Expect(1, 43714, '\P{^	tavt}', "");
Expect(0, 43647, '\p{	tavt}', "");
Expect(1, 43647, '\p{^	tavt}', "");
Expect(1, 43647, '\P{	tavt}', "");
Expect(0, 43647, '\P{^	tavt}', "");
Error('\p{-	IS:=Tavt}');
Error('\P{-	IS:=Tavt}');
Expect(1, 43714, '\p{istavt}', "");
Expect(0, 43714, '\p{^istavt}', "");
Expect(0, 43714, '\P{istavt}', "");
Expect(1, 43714, '\P{^istavt}', "");
Expect(0, 43647, '\p{istavt}', "");
Expect(1, 43647, '\p{^istavt}', "");
Expect(1, 43647, '\P{istavt}', "");
Expect(0, 43647, '\P{^istavt}', "");
Expect(1, 43714, '\p{__IsTavt}', "");
Expect(0, 43714, '\p{^__IsTavt}', "");
Expect(0, 43714, '\P{__IsTavt}', "");
Expect(1, 43714, '\P{^__IsTavt}', "");
Expect(0, 43647, '\p{__IsTavt}', "");
Expect(1, 43647, '\p{^__IsTavt}', "");
Expect(1, 43647, '\P{__IsTavt}', "");
Expect(0, 43647, '\P{^__IsTavt}', "");
Error('\p{:= Thai}');
Error('\P{:= Thai}');
Expect(1, 3642, '\p{thai}', "");
Expect(0, 3642, '\p{^thai}', "");
Expect(0, 3642, '\P{thai}', "");
Expect(1, 3642, '\P{^thai}', "");
Expect(0, 3584, '\p{thai}', "");
Expect(1, 3584, '\p{^thai}', "");
Expect(1, 3584, '\P{thai}', "");
Expect(0, 3584, '\P{^thai}', "");
Expect(1, 3642, '\p{_	Thai}', "");
Expect(0, 3642, '\p{^_	Thai}', "");
Expect(0, 3642, '\P{_	Thai}', "");
Expect(1, 3642, '\P{^_	Thai}', "");
Expect(0, 3584, '\p{_	Thai}', "");
Expect(1, 3584, '\p{^_	Thai}', "");
Expect(1, 3584, '\P{_	Thai}', "");
Expect(0, 3584, '\P{^_	Thai}', "");
Error('\p{	_is/a/thai}');
Error('\P{	_is/a/thai}');
Expect(1, 3642, '\p{isthai}', "");
Expect(0, 3642, '\p{^isthai}', "");
Expect(0, 3642, '\P{isthai}', "");
Expect(1, 3642, '\P{^isthai}', "");
Expect(0, 3584, '\p{isthai}', "");
Expect(1, 3584, '\p{^isthai}', "");
Expect(1, 3584, '\P{isthai}', "");
Expect(0, 3584, '\P{^isthai}', "");
Expect(1, 3642, '\p{	 is_thai}', "");
Expect(0, 3642, '\p{^	 is_thai}', "");
Expect(0, 3642, '\P{	 is_thai}', "");
Expect(1, 3642, '\P{^	 is_thai}', "");
Expect(0, 3584, '\p{	 is_thai}', "");
Expect(1, 3584, '\p{^	 is_thai}', "");
Expect(1, 3584, '\P{	 is_thai}', "");
Expect(0, 3584, '\P{^	 is_thai}', "");
Error('\p{/a/_-ascii}');
Error('\P{/a/_-ascii}');
Expect(1, 127, '\p{ascii}', "");
Expect(0, 127, '\p{^ascii}', "");
Expect(0, 127, '\P{ascii}', "");
Expect(1, 127, '\P{^ascii}', "");
Expect(0, 128, '\p{ascii}', "");
Expect(1, 128, '\p{^ascii}', "");
Expect(1, 128, '\P{ascii}', "");
Expect(0, 128, '\P{^ascii}', "");
Expect(1, 127, '\p{_ASCII}', "");
Expect(0, 127, '\p{^_ASCII}', "");
Expect(0, 127, '\P{_ASCII}', "");
Expect(1, 127, '\P{^_ASCII}', "");
Expect(0, 128, '\p{_ASCII}', "");
Expect(1, 128, '\p{^_ASCII}', "");
Expect(1, 128, '\P{_ASCII}', "");
Expect(0, 128, '\P{^_ASCII}', "");
Error('\p{-_Is/a/ASCII}');
Error('\P{-_Is/a/ASCII}');
Expect(1, 127, '\p{isascii}', "");
Expect(0, 127, '\p{^isascii}', "");
Expect(0, 127, '\P{isascii}', "");
Expect(1, 127, '\P{^isascii}', "");
Expect(0, 128, '\p{isascii}', "");
Expect(1, 128, '\p{^isascii}', "");
Expect(1, 128, '\P{isascii}', "");
Expect(0, 128, '\P{^isascii}', "");
Expect(1, 127, '\p{- IsASCII}', "");
Expect(0, 127, '\p{^- IsASCII}', "");
Expect(0, 127, '\P{- IsASCII}', "");
Expect(1, 127, '\P{^- IsASCII}', "");
Expect(0, 128, '\p{- IsASCII}', "");
Expect(1, 128, '\p{^- IsASCII}', "");
Expect(1, 128, '\P{- IsASCII}', "");
Expect(0, 128, '\P{^- IsASCII}', "");
Error('\p{:= 	Basic	LATIN}');
Error('\P{:= 	Basic	LATIN}');
Expect(1, 127, '\p{basiclatin}', "");
Expect(0, 127, '\p{^basiclatin}', "");
Expect(0, 127, '\P{basiclatin}', "");
Expect(1, 127, '\P{^basiclatin}', "");
Expect(0, 128, '\p{basiclatin}', "");
Expect(1, 128, '\p{^basiclatin}', "");
Expect(1, 128, '\P{basiclatin}', "");
Expect(0, 128, '\P{^basiclatin}', "");
Expect(1, 127, '\p{ _Basic-Latin}', "");
Expect(0, 127, '\p{^ _Basic-Latin}', "");
Expect(0, 127, '\P{ _Basic-Latin}', "");
Expect(1, 127, '\P{^ _Basic-Latin}', "");
Expect(0, 128, '\p{ _Basic-Latin}', "");
Expect(1, 128, '\p{^ _Basic-Latin}', "");
Expect(1, 128, '\P{ _Basic-Latin}', "");
Expect(0, 128, '\P{^ _Basic-Latin}', "");
Error('\p{-Is Basic/a/latin}');
Error('\P{-Is Basic/a/latin}');
Expect(1, 127, '\p{isbasiclatin}', "");
Expect(0, 127, '\p{^isbasiclatin}', "");
Expect(0, 127, '\P{isbasiclatin}', "");
Expect(1, 127, '\P{^isbasiclatin}', "");
Expect(0, 128, '\p{isbasiclatin}', "");
Expect(1, 128, '\p{^isbasiclatin}', "");
Expect(1, 128, '\P{isbasiclatin}', "");
Expect(0, 128, '\P{^isbasiclatin}', "");
Expect(1, 127, '\p{ -ISBasic latin}', "");
Expect(0, 127, '\p{^ -ISBasic latin}', "");
Expect(0, 127, '\P{ -ISBasic latin}', "");
Expect(1, 127, '\P{^ -ISBasic latin}', "");
Expect(0, 128, '\p{ -ISBasic latin}', "");
Expect(1, 128, '\p{^ -ISBasic latin}', "");
Expect(1, 128, '\P{ -ISBasic latin}', "");
Expect(0, 128, '\P{^ -ISBasic latin}', "");
Error('\p{-:=In basic-Latin}');
Error('\P{-:=In basic-Latin}');
Expect(1, 127, '\p{inbasiclatin}', "");
Expect(0, 127, '\p{^inbasiclatin}', "");
Expect(0, 127, '\P{inbasiclatin}', "");
Expect(1, 127, '\P{^inbasiclatin}', "");
Expect(0, 128, '\p{inbasiclatin}', "");
Expect(1, 128, '\p{^inbasiclatin}', "");
Expect(1, 128, '\P{inbasiclatin}', "");
Expect(0, 128, '\P{^inbasiclatin}', "");
Expect(1, 127, '\p{-In	BASIC Latin}', "");
Expect(0, 127, '\p{^-In	BASIC Latin}', "");
Expect(0, 127, '\P{-In	BASIC Latin}', "");
Expect(1, 127, '\P{^-In	BASIC Latin}', "");
Expect(0, 128, '\p{-In	BASIC Latin}', "");
Expect(1, 128, '\p{^-In	BASIC Latin}', "");
Expect(1, 128, '\P{-In	BASIC Latin}', "");
Expect(0, 128, '\P{^-In	BASIC Latin}', "");
Error('\p{-:=IN ASCII}');
Error('\P{-:=IN ASCII}');
Expect(1, 127, '\p{inascii}', "");
Expect(0, 127, '\p{^inascii}', "");
Expect(0, 127, '\P{inascii}', "");
Expect(1, 127, '\P{^inascii}', "");
Expect(0, 128, '\p{inascii}', "");
Expect(1, 128, '\p{^inascii}', "");
Expect(1, 128, '\P{inascii}', "");
Expect(0, 128, '\P{^inascii}', "");
Expect(1, 127, '\p{ 	IN ASCII}', "");
Expect(0, 127, '\p{^ 	IN ASCII}', "");
Expect(0, 127, '\P{ 	IN ASCII}', "");
Expect(1, 127, '\P{^ 	IN ASCII}', "");
Expect(0, 128, '\p{ 	IN ASCII}', "");
Expect(1, 128, '\p{^ 	IN ASCII}', "");
Expect(1, 128, '\P{ 	IN ASCII}', "");
Expect(0, 128, '\P{^ 	IN ASCII}', "");
Error('\p{ _yi_Syllables:=}');
Error('\P{ _yi_Syllables:=}');
Expect(1, 42127, '\p{yisyllables}', "");
Expect(0, 42127, '\p{^yisyllables}', "");
Expect(0, 42127, '\P{yisyllables}', "");
Expect(1, 42127, '\P{^yisyllables}', "");
Expect(0, 40959, '\p{yisyllables}', "");
Expect(1, 40959, '\p{^yisyllables}', "");
Expect(1, 40959, '\P{yisyllables}', "");
Expect(0, 40959, '\P{^yisyllables}', "");
Expect(1, 42127, '\p{	-yi	SYLLABLES}', "");
Expect(0, 42127, '\p{^	-yi	SYLLABLES}', "");
Expect(0, 42127, '\P{	-yi	SYLLABLES}', "");
Expect(1, 42127, '\P{^	-yi	SYLLABLES}', "");
Expect(0, 40959, '\p{	-yi	SYLLABLES}', "");
Expect(1, 40959, '\p{^	-yi	SYLLABLES}', "");
Expect(1, 40959, '\P{	-yi	SYLLABLES}', "");
Expect(0, 40959, '\P{^	-yi	SYLLABLES}', "");
Error('\p{	:=ISyiSyllables}');
Error('\P{	:=ISyiSyllables}');
Expect(1, 42127, '\p{isyisyllables}', "");
Expect(0, 42127, '\p{^isyisyllables}', "");
Expect(0, 42127, '\P{isyisyllables}', "");
Expect(1, 42127, '\P{^isyisyllables}', "");
Expect(0, 40959, '\p{isyisyllables}', "");
Expect(1, 40959, '\p{^isyisyllables}', "");
Expect(1, 40959, '\P{isyisyllables}', "");
Expect(0, 40959, '\P{^isyisyllables}', "");
Expect(1, 42127, '\p{ IS Yi SYLLABLES}', "");
Expect(0, 42127, '\p{^ IS Yi SYLLABLES}', "");
Expect(0, 42127, '\P{ IS Yi SYLLABLES}', "");
Expect(1, 42127, '\P{^ IS Yi SYLLABLES}', "");
Expect(0, 40959, '\p{ IS Yi SYLLABLES}', "");
Expect(1, 40959, '\p{^ IS Yi SYLLABLES}', "");
Expect(1, 40959, '\P{ IS Yi SYLLABLES}', "");
Expect(0, 40959, '\P{^ IS Yi SYLLABLES}', "");
Error('\p{_ in	YI/a/syllables}');
Error('\P{_ in	YI/a/syllables}');
Expect(1, 42127, '\p{inyisyllables}', "");
Expect(0, 42127, '\p{^inyisyllables}', "");
Expect(0, 42127, '\P{inyisyllables}', "");
Expect(1, 42127, '\P{^inyisyllables}', "");
Expect(0, 40959, '\p{inyisyllables}', "");
Expect(1, 40959, '\p{^inyisyllables}', "");
Expect(1, 40959, '\P{inyisyllables}', "");
Expect(0, 40959, '\P{^inyisyllables}', "");
Expect(1, 42127, '\p{ In_Yisyllables}', "");
Expect(0, 42127, '\p{^ In_Yisyllables}', "");
Expect(0, 42127, '\P{ In_Yisyllables}', "");
Expect(1, 42127, '\P{^ In_Yisyllables}', "");
Expect(0, 40959, '\p{ In_Yisyllables}', "");
Expect(1, 40959, '\p{^ In_Yisyllables}', "");
Expect(1, 40959, '\P{ In_Yisyllables}', "");
Expect(0, 40959, '\P{^ In_Yisyllables}', "");
Error('\p{ -punct:=}');
Error('\P{ -punct:=}');
Expect(1, 35, '\p{punct}', "");
Expect(0, 35, '\p{^punct}', "");
Expect(0, 35, '\P{punct}', "");
Expect(1, 35, '\P{^punct}', "");
Expect(0, 32, '\p{punct}', "");
Expect(1, 32, '\p{^punct}', "");
Expect(1, 32, '\P{punct}', "");
Expect(0, 32, '\P{^punct}', "");
Expect(1, 35, '\p{	Punct}', "");
Expect(0, 35, '\p{^	Punct}', "");
Expect(0, 35, '\P{	Punct}', "");
Expect(1, 35, '\P{^	Punct}', "");
Expect(0, 32, '\p{	Punct}', "");
Expect(1, 32, '\p{^	Punct}', "");
Expect(1, 32, '\P{	Punct}', "");
Expect(0, 32, '\P{^	Punct}', "");
Error('\p{_:=Is	PUNCT}');
Error('\P{_:=Is	PUNCT}');
Expect(1, 35, '\p{ispunct}', "");
Expect(0, 35, '\p{^ispunct}', "");
Expect(0, 35, '\P{ispunct}', "");
Expect(1, 35, '\P{^ispunct}', "");
Expect(0, 32, '\p{ispunct}', "");
Expect(1, 32, '\p{^ispunct}', "");
Expect(1, 32, '\P{ispunct}', "");
Expect(0, 32, '\P{^ispunct}', "");
Expect(1, 35, '\p{_-is punct}', "");
Expect(0, 35, '\p{^_-is punct}', "");
Expect(0, 35, '\P{_-is punct}', "");
Expect(1, 35, '\P{^_-is punct}', "");
Expect(0, 32, '\p{_-is punct}', "");
Expect(1, 32, '\p{^_-is punct}', "");
Expect(1, 32, '\P{_-is punct}', "");
Expect(0, 32, '\P{^_-is punct}', "");
Error('\p{	/a/PUNCTUATION}');
Error('\P{	/a/PUNCTUATION}');
Expect(1, 35, '\p{punctuation}', "");
Expect(0, 35, '\p{^punctuation}', "");
Expect(0, 35, '\P{punctuation}', "");
Expect(1, 35, '\P{^punctuation}', "");
Expect(0, 32, '\p{punctuation}', "");
Expect(1, 32, '\p{^punctuation}', "");
Expect(1, 32, '\P{punctuation}', "");
Expect(0, 32, '\P{^punctuation}', "");
Expect(1, 35, '\p{_ Punctuation}', "");
Expect(0, 35, '\p{^_ Punctuation}', "");
Expect(0, 35, '\P{_ Punctuation}', "");
Expect(1, 35, '\P{^_ Punctuation}', "");
Expect(0, 32, '\p{_ Punctuation}', "");
Expect(1, 32, '\p{^_ Punctuation}', "");
Expect(1, 32, '\P{_ Punctuation}', "");
Expect(0, 32, '\P{^_ Punctuation}', "");
Error('\p{-_is/a/Punctuation}');
Error('\P{-_is/a/Punctuation}');
Expect(1, 35, '\p{ispunctuation}', "");
Expect(0, 35, '\p{^ispunctuation}', "");
Expect(0, 35, '\P{ispunctuation}', "");
Expect(1, 35, '\P{^ispunctuation}', "");
Expect(0, 32, '\p{ispunctuation}', "");
Expect(1, 32, '\p{^ispunctuation}', "");
Expect(1, 32, '\P{ispunctuation}', "");
Expect(0, 32, '\P{^ispunctuation}', "");
Expect(1, 35, '\p{ _is	Punctuation}', "");
Expect(0, 35, '\p{^ _is	Punctuation}', "");
Expect(0, 35, '\P{ _is	Punctuation}', "");
Expect(1, 35, '\P{^ _is	Punctuation}', "");
Expect(0, 32, '\p{ _is	Punctuation}', "");
Expect(1, 32, '\p{^ _is	Punctuation}', "");
Expect(1, 32, '\P{ _is	Punctuation}', "");
Expect(0, 32, '\P{^ _is	Punctuation}', "");
Error('\p{/a/p}');
Error('\P{/a/p}');
Expect(1, 35, '\p{p}', "");
Expect(0, 35, '\p{^p}', "");
Expect(0, 35, '\P{p}', "");
Expect(1, 35, '\P{^p}', "");
Expect(0, 32, '\p{p}', "");
Expect(1, 32, '\p{^p}', "");
Expect(1, 32, '\P{p}', "");
Expect(0, 32, '\P{^p}', "");
Expect(1, 35, '\p{ 	P}', "");
Expect(0, 35, '\p{^ 	P}', "");
Expect(0, 35, '\P{ 	P}', "");
Expect(1, 35, '\P{^ 	P}', "");
Expect(0, 32, '\p{ 	P}', "");
Expect(1, 32, '\p{^ 	P}', "");
Expect(1, 32, '\P{ 	P}', "");
Expect(0, 32, '\P{^ 	P}', "");
Error('\p{:=	IS P}');
Error('\P{:=	IS P}');
Expect(1, 35, '\p{isp}', "");
Expect(0, 35, '\p{^isp}', "");
Expect(0, 35, '\P{isp}', "");
Expect(1, 35, '\P{^isp}', "");
Expect(0, 32, '\p{isp}', "");
Expect(1, 32, '\p{^isp}', "");
Expect(1, 32, '\P{isp}', "");
Expect(0, 32, '\P{^isp}', "");
Expect(1, 35, '\p{__is P}', "");
Expect(0, 35, '\p{^__is P}', "");
Expect(0, 35, '\P{__is P}', "");
Expect(1, 35, '\P{^__is P}', "");
Expect(0, 32, '\p{__is P}', "");
Expect(1, 32, '\p{^__is P}', "");
Expect(1, 32, '\P{__is P}', "");
Expect(0, 32, '\P{^__is P}', "");
Error('\p{Expands_On_NFD}');
Error('\P{Expands_On_NFD}');
Error('\p{Is_Expands_On_NFD}');
Error('\P{Is_Expands_On_NFD}');
Error('\p{XO_NFD}');
Error('\P{XO_NFD}');
Error('\p{Is_XO_NFD}');
Error('\P{Is_XO_NFD}');
Error('\p{ /a/SUPERSCRIPTS_AND-Subscripts}');
Error('\P{ /a/SUPERSCRIPTS_AND-Subscripts}');
Expect(1, 8351, '\p{superscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^superscriptsandsubscripts}', "");
Expect(0, 8351, '\P{superscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^superscriptsandsubscripts}', "");
Expect(0, 8303, '\p{superscriptsandsubscripts}', "");
Expect(1, 8303, '\p{^superscriptsandsubscripts}', "");
Expect(1, 8303, '\P{superscriptsandsubscripts}', "");
Expect(0, 8303, '\P{^superscriptsandsubscripts}', "");
Expect(1, 8351, '\p{ superscripts And SUBSCRIPTS}', "");
Expect(0, 8351, '\p{^ superscripts And SUBSCRIPTS}', "");
Expect(0, 8351, '\P{ superscripts And SUBSCRIPTS}', "");
Expect(1, 8351, '\P{^ superscripts And SUBSCRIPTS}', "");
Expect(0, 8303, '\p{ superscripts And SUBSCRIPTS}', "");
Expect(1, 8303, '\p{^ superscripts And SUBSCRIPTS}', "");
Expect(1, 8303, '\P{ superscripts And SUBSCRIPTS}', "");
Expect(0, 8303, '\P{^ superscripts And SUBSCRIPTS}', "");
Error('\p{__is-Superscripts_And-Subscripts/a/}');
Error('\P{__is-Superscripts_And-Subscripts/a/}');
Expect(1, 8351, '\p{issuperscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^issuperscriptsandsubscripts}', "");
Expect(0, 8351, '\P{issuperscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^issuperscriptsandsubscripts}', "");
Expect(0, 8303, '\p{issuperscriptsandsubscripts}', "");
Expect(1, 8303, '\p{^issuperscriptsandsubscripts}', "");
Expect(1, 8303, '\P{issuperscriptsandsubscripts}', "");
Expect(0, 8303, '\P{^issuperscriptsandsubscripts}', "");
Expect(1, 8351, '\p{ -IsSUPERSCRIPTS	and_Subscripts}', "");
Expect(0, 8351, '\p{^ -IsSUPERSCRIPTS	and_Subscripts}', "");
Expect(0, 8351, '\P{ -IsSUPERSCRIPTS	and_Subscripts}', "");
Expect(1, 8351, '\P{^ -IsSUPERSCRIPTS	and_Subscripts}', "");
Expect(0, 8303, '\p{ -IsSUPERSCRIPTS	and_Subscripts}', "");
Expect(1, 8303, '\p{^ -IsSUPERSCRIPTS	and_Subscripts}', "");
Expect(1, 8303, '\P{ -IsSUPERSCRIPTS	and_Subscripts}', "");
Expect(0, 8303, '\P{^ -IsSUPERSCRIPTS	and_Subscripts}', "");
Error('\p{-IN SUPERSCRIPTS	AND/a/Subscripts}');
Error('\P{-IN SUPERSCRIPTS	AND/a/Subscripts}');
Expect(1, 8351, '\p{insuperscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^insuperscriptsandsubscripts}', "");
Expect(0, 8351, '\P{insuperscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^insuperscriptsandsubscripts}', "");
Expect(0, 8303, '\p{insuperscriptsandsubscripts}', "");
Expect(1, 8303, '\p{^insuperscriptsandsubscripts}', "");
Expect(1, 8303, '\P{insuperscriptsandsubscripts}', "");
Expect(0, 8303, '\P{^insuperscriptsandsubscripts}', "");
Expect(1, 8351, '\p{- IN Superscripts_AndSubscripts}', "");
Expect(0, 8351, '\p{^- IN Superscripts_AndSubscripts}', "");
Expect(0, 8351, '\P{- IN Superscripts_AndSubscripts}', "");
Expect(1, 8351, '\P{^- IN Superscripts_AndSubscripts}', "");
Expect(0, 8303, '\p{- IN Superscripts_AndSubscripts}', "");
Expect(1, 8303, '\p{^- IN Superscripts_AndSubscripts}', "");
Expect(1, 8303, '\P{- IN Superscripts_AndSubscripts}', "");
Expect(0, 8303, '\P{^- IN Superscripts_AndSubscripts}', "");
Error('\p{	/a/IN Balinese}');
Error('\P{	/a/IN Balinese}');
Expect(1, 7039, '\p{inbalinese}', "");
Expect(0, 7039, '\p{^inbalinese}', "");
Expect(0, 7039, '\P{inbalinese}', "");
Expect(1, 7039, '\P{^inbalinese}', "");
Expect(0, 6911, '\p{inbalinese}', "");
Expect(1, 6911, '\p{^inbalinese}', "");
Expect(1, 6911, '\P{inbalinese}', "");
Expect(0, 6911, '\P{^inbalinese}', "");
Expect(1, 7039, '\p{-IN balinese}', "");
Expect(0, 7039, '\p{^-IN balinese}', "");
Expect(0, 7039, '\P{-IN balinese}', "");
Expect(1, 7039, '\P{^-IN balinese}', "");
Expect(0, 6911, '\p{-IN balinese}', "");
Expect(1, 6911, '\p{^-IN balinese}', "");
Expect(1, 6911, '\P{-IN balinese}', "");
Expect(0, 6911, '\P{^-IN balinese}', "");
Error('\p{_:=DEPRECATED}');
Error('\P{_:=DEPRECATED}');
Expect(1, 329, '\p{deprecated}', "");
Expect(0, 329, '\p{^deprecated}', "");
Expect(0, 329, '\P{deprecated}', "");
Expect(1, 329, '\P{^deprecated}', "");
Expect(0, 328, '\p{deprecated}', "");
Expect(1, 328, '\p{^deprecated}', "");
Expect(1, 328, '\P{deprecated}', "");
Expect(0, 328, '\P{^deprecated}', "");
Expect(1, 329, '\p{ -Deprecated}', "");
Expect(0, 329, '\p{^ -Deprecated}', "");
Expect(0, 329, '\P{ -Deprecated}', "");
Expect(1, 329, '\P{^ -Deprecated}', "");
Expect(0, 328, '\p{ -Deprecated}', "");
Expect(1, 328, '\p{^ -Deprecated}', "");
Expect(1, 328, '\P{ -Deprecated}', "");
Expect(0, 328, '\P{^ -Deprecated}', "");
Error('\p{-_IS-Deprecated:=}');
Error('\P{-_IS-Deprecated:=}');
Expect(1, 329, '\p{isdeprecated}', "");
Expect(0, 329, '\p{^isdeprecated}', "");
Expect(0, 329, '\P{isdeprecated}', "");
Expect(1, 329, '\P{^isdeprecated}', "");
Expect(0, 328, '\p{isdeprecated}', "");
Expect(1, 328, '\p{^isdeprecated}', "");
Expect(1, 328, '\P{isdeprecated}', "");
Expect(0, 328, '\P{^isdeprecated}', "");
Expect(1, 329, '\p{	 IS_Deprecated}', "");
Expect(0, 329, '\p{^	 IS_Deprecated}', "");
Expect(0, 329, '\P{	 IS_Deprecated}', "");
Expect(1, 329, '\P{^	 IS_Deprecated}', "");
Expect(0, 328, '\p{	 IS_Deprecated}', "");
Expect(1, 328, '\p{^	 IS_Deprecated}', "");
Expect(1, 328, '\P{	 IS_Deprecated}', "");
Expect(0, 328, '\P{^	 IS_Deprecated}', "");
Error('\p{/a/dep}');
Error('\P{/a/dep}');
Expect(1, 329, '\p{dep}', "");
Expect(0, 329, '\p{^dep}', "");
Expect(0, 329, '\P{dep}', "");
Expect(1, 329, '\P{^dep}', "");
Expect(0, 328, '\p{dep}', "");
Expect(1, 328, '\p{^dep}', "");
Expect(1, 328, '\P{dep}', "");
Expect(0, 328, '\P{^dep}', "");
Expect(1, 329, '\p{_-DEP}', "");
Expect(0, 329, '\p{^_-DEP}', "");
Expect(0, 329, '\P{_-DEP}', "");
Expect(1, 329, '\P{^_-DEP}', "");
Expect(0, 328, '\p{_-DEP}', "");
Expect(1, 328, '\p{^_-DEP}', "");
Expect(1, 328, '\P{_-DEP}', "");
Expect(0, 328, '\P{^_-DEP}', "");
Error('\p{	 IS/a/Dep}');
Error('\P{	 IS/a/Dep}');
Expect(1, 329, '\p{isdep}', "");
Expect(0, 329, '\p{^isdep}', "");
Expect(0, 329, '\P{isdep}', "");
Expect(1, 329, '\P{^isdep}', "");
Expect(0, 328, '\p{isdep}', "");
Expect(1, 328, '\p{^isdep}', "");
Expect(1, 328, '\P{isdep}', "");
Expect(0, 328, '\P{^isdep}', "");
Expect(1, 329, '\p{	-Is_Dep}', "");
Expect(0, 329, '\p{^	-Is_Dep}', "");
Expect(0, 329, '\P{	-Is_Dep}', "");
Expect(1, 329, '\P{^	-Is_Dep}', "");
Expect(0, 328, '\p{	-Is_Dep}', "");
Expect(1, 328, '\p{^	-Is_Dep}', "");
Expect(1, 328, '\P{	-Is_Dep}', "");
Expect(0, 328, '\P{^	-Is_Dep}', "");
Error('\p{/a/-	myanmar}');
Error('\P{/a/-	myanmar}');
Expect(1, 4255, '\p{myanmar}', "");
Expect(0, 4255, '\p{^myanmar}', "");
Expect(0, 4255, '\P{myanmar}', "");
Expect(1, 4255, '\P{^myanmar}', "");
Expect(0, 4095, '\p{myanmar}', "");
Expect(1, 4095, '\p{^myanmar}', "");
Expect(1, 4095, '\P{myanmar}', "");
Expect(0, 4095, '\P{^myanmar}', "");
Expect(1, 4255, '\p{- MYANMAR}', "");
Expect(0, 4255, '\p{^- MYANMAR}', "");
Expect(0, 4255, '\P{- MYANMAR}', "");
Expect(1, 4255, '\P{^- MYANMAR}', "");
Expect(0, 4095, '\p{- MYANMAR}', "");
Expect(1, 4095, '\p{^- MYANMAR}', "");
Expect(1, 4095, '\P{- MYANMAR}', "");
Expect(0, 4095, '\P{^- MYANMAR}', "");
Error('\p{_	Ismyanmar/a/}');
Error('\P{_	Ismyanmar/a/}');
Expect(1, 4255, '\p{ismyanmar}', "");
Expect(0, 4255, '\p{^ismyanmar}', "");
Expect(0, 4255, '\P{ismyanmar}', "");
Expect(1, 4255, '\P{^ismyanmar}', "");
Expect(0, 4095, '\p{ismyanmar}', "");
Expect(1, 4095, '\p{^ismyanmar}', "");
Expect(1, 4095, '\P{ismyanmar}', "");
Expect(0, 4095, '\P{^ismyanmar}', "");
Expect(1, 4255, '\p{-	ISMYANMAR}', "");
Expect(0, 4255, '\p{^-	ISMYANMAR}', "");
Expect(0, 4255, '\P{-	ISMYANMAR}', "");
Expect(1, 4255, '\P{^-	ISMYANMAR}', "");
Expect(0, 4095, '\p{-	ISMYANMAR}', "");
Expect(1, 4095, '\p{^-	ISMYANMAR}', "");
Expect(1, 4095, '\P{-	ISMYANMAR}', "");
Expect(0, 4095, '\P{^-	ISMYANMAR}', "");
Error('\p{:= 	Mymr}');
Error('\P{:= 	Mymr}');
Expect(1, 4255, '\p{mymr}', "");
Expect(0, 4255, '\p{^mymr}', "");
Expect(0, 4255, '\P{mymr}', "");
Expect(1, 4255, '\P{^mymr}', "");
Expect(0, 4095, '\p{mymr}', "");
Expect(1, 4095, '\p{^mymr}', "");
Expect(1, 4095, '\P{mymr}', "");
Expect(0, 4095, '\P{^mymr}', "");
Expect(1, 4255, '\p{ 	Mymr}', "");
Expect(0, 4255, '\p{^ 	Mymr}', "");
Expect(0, 4255, '\P{ 	Mymr}', "");
Expect(1, 4255, '\P{^ 	Mymr}', "");
Expect(0, 4095, '\p{ 	Mymr}', "");
Expect(1, 4095, '\p{^ 	Mymr}', "");
Expect(1, 4095, '\P{ 	Mymr}', "");
Expect(0, 4095, '\P{^ 	Mymr}', "");
Error('\p{		Is Mymr:=}');
Error('\P{		Is Mymr:=}');
Expect(1, 4255, '\p{ismymr}', "");
Expect(0, 4255, '\p{^ismymr}', "");
Expect(0, 4255, '\P{ismymr}', "");
Expect(1, 4255, '\P{^ismymr}', "");
Expect(0, 4095, '\p{ismymr}', "");
Expect(1, 4095, '\p{^ismymr}', "");
Expect(1, 4095, '\P{ismymr}', "");
Expect(0, 4095, '\P{^ismymr}', "");
Expect(1, 4255, '\p{--Is MYMR}', "");
Expect(0, 4255, '\p{^--Is MYMR}', "");
Expect(0, 4255, '\P{--Is MYMR}', "");
Expect(1, 4255, '\P{^--Is MYMR}', "");
Expect(0, 4095, '\p{--Is MYMR}', "");
Expect(1, 4095, '\p{^--Is MYMR}', "");
Expect(1, 4095, '\P{--Is MYMR}', "");
Expect(0, 4095, '\P{^--Is MYMR}', "");
Error('\p{ _initial/a/punctuation}');
Error('\P{ _initial/a/punctuation}');
Expect(1, 171, '\p{initialpunctuation}', "");
Expect(0, 171, '\p{^initialpunctuation}', "");
Expect(0, 171, '\P{initialpunctuation}', "");
Expect(1, 171, '\P{^initialpunctuation}', "");
Expect(0, 170, '\p{initialpunctuation}', "");
Expect(1, 170, '\p{^initialpunctuation}', "");
Expect(1, 170, '\P{initialpunctuation}', "");
Expect(0, 170, '\P{^initialpunctuation}', "");
Expect(1, 171, '\p{	INITIAL PUNCTUATION}', "");
Expect(0, 171, '\p{^	INITIAL PUNCTUATION}', "");
Expect(0, 171, '\P{	INITIAL PUNCTUATION}', "");
Expect(1, 171, '\P{^	INITIAL PUNCTUATION}', "");
Expect(0, 170, '\p{	INITIAL PUNCTUATION}', "");
Expect(1, 170, '\p{^	INITIAL PUNCTUATION}', "");
Expect(1, 170, '\P{	INITIAL PUNCTUATION}', "");
Expect(0, 170, '\P{^	INITIAL PUNCTUATION}', "");
Error('\p{ 	Is/a/initialpunctuation}');
Error('\P{ 	Is/a/initialpunctuation}');
Expect(1, 171, '\p{isinitialpunctuation}', "");
Expect(0, 171, '\p{^isinitialpunctuation}', "");
Expect(0, 171, '\P{isinitialpunctuation}', "");
Expect(1, 171, '\P{^isinitialpunctuation}', "");
Expect(0, 170, '\p{isinitialpunctuation}', "");
Expect(1, 170, '\p{^isinitialpunctuation}', "");
Expect(1, 170, '\P{isinitialpunctuation}', "");
Expect(0, 170, '\P{^isinitialpunctuation}', "");
Expect(1, 171, '\p{	-Is_Initial_Punctuation}', "");
Expect(0, 171, '\p{^	-Is_Initial_Punctuation}', "");
Expect(0, 171, '\P{	-Is_Initial_Punctuation}', "");
Expect(1, 171, '\P{^	-Is_Initial_Punctuation}', "");
Expect(0, 170, '\p{	-Is_Initial_Punctuation}', "");
Expect(1, 170, '\p{^	-Is_Initial_Punctuation}', "");
Expect(1, 170, '\P{	-Is_Initial_Punctuation}', "");
Expect(0, 170, '\P{^	-Is_Initial_Punctuation}', "");
Error('\p{_:=PI}');
Error('\P{_:=PI}');
Expect(1, 171, '\p{pi}', "");
Expect(0, 171, '\p{^pi}', "");
Expect(0, 171, '\P{pi}', "");
Expect(1, 171, '\P{^pi}', "");
Expect(0, 170, '\p{pi}', "");
Expect(1, 170, '\p{^pi}', "");
Expect(1, 170, '\P{pi}', "");
Expect(0, 170, '\P{^pi}', "");
Expect(1, 171, '\p{	-Pi}', "");
Expect(0, 171, '\p{^	-Pi}', "");
Expect(0, 171, '\P{	-Pi}', "");
Expect(1, 171, '\P{^	-Pi}', "");
Expect(0, 170, '\p{	-Pi}', "");
Expect(1, 170, '\p{^	-Pi}', "");
Expect(1, 170, '\P{	-Pi}', "");
Expect(0, 170, '\P{^	-Pi}', "");
Error('\p{	:=is Pi}');
Error('\P{	:=is Pi}');
Expect(1, 171, '\p{ispi}', "");
Expect(0, 171, '\p{^ispi}', "");
Expect(0, 171, '\P{ispi}', "");
Expect(1, 171, '\P{^ispi}', "");
Expect(0, 170, '\p{ispi}', "");
Expect(1, 170, '\p{^ispi}', "");
Expect(1, 170, '\P{ispi}', "");
Expect(0, 170, '\P{^ispi}', "");
Expect(1, 171, '\p{	is_PI}', "");
Expect(0, 171, '\p{^	is_PI}', "");
Expect(0, 171, '\P{	is_PI}', "");
Expect(1, 171, '\P{^	is_PI}', "");
Expect(0, 170, '\p{	is_PI}', "");
Expect(1, 170, '\p{^	is_PI}', "");
Expect(1, 170, '\P{	is_PI}', "");
Expect(0, 170, '\P{^	is_PI}', "");
Error('\p{ _COMMON:=}');
Error('\P{ _COMMON:=}');
Expect(1, 64, '\p{common}', "");
Expect(0, 64, '\p{^common}', "");
Expect(0, 64, '\P{common}', "");
Expect(1, 64, '\P{^common}', "");
Expect(0, 90, '\p{common}', "");
Expect(1, 90, '\p{^common}', "");
Expect(1, 90, '\P{common}', "");
Expect(0, 90, '\P{^common}', "");
Expect(1, 64, '\p{-COMMON}', "");
Expect(0, 64, '\p{^-COMMON}', "");
Expect(0, 64, '\P{-COMMON}', "");
Expect(1, 64, '\P{^-COMMON}', "");
Expect(0, 90, '\p{-COMMON}', "");
Expect(1, 90, '\p{^-COMMON}', "");
Expect(1, 90, '\P{-COMMON}', "");
Expect(0, 90, '\P{^-COMMON}', "");
Error('\p{- Iscommon:=}');
Error('\P{- Iscommon:=}');
Expect(1, 64, '\p{iscommon}', "");
Expect(0, 64, '\p{^iscommon}', "");
Expect(0, 64, '\P{iscommon}', "");
Expect(1, 64, '\P{^iscommon}', "");
Expect(0, 90, '\p{iscommon}', "");
Expect(1, 90, '\p{^iscommon}', "");
Expect(1, 90, '\P{iscommon}', "");
Expect(0, 90, '\P{^iscommon}', "");
Expect(1, 64, '\p{_Is	COMMON}', "");
Expect(0, 64, '\p{^_Is	COMMON}', "");
Expect(0, 64, '\P{_Is	COMMON}', "");
Expect(1, 64, '\P{^_Is	COMMON}', "");
Expect(0, 90, '\p{_Is	COMMON}', "");
Expect(1, 90, '\p{^_Is	COMMON}', "");
Expect(1, 90, '\P{_Is	COMMON}', "");
Expect(0, 90, '\P{^_Is	COMMON}', "");
Error('\p{/a/	ZYYY}');
Error('\P{/a/	ZYYY}');
Expect(1, 64, '\p{zyyy}', "");
Expect(0, 64, '\p{^zyyy}', "");
Expect(0, 64, '\P{zyyy}', "");
Expect(1, 64, '\P{^zyyy}', "");
Expect(0, 90, '\p{zyyy}', "");
Expect(1, 90, '\p{^zyyy}', "");
Expect(1, 90, '\P{zyyy}', "");
Expect(0, 90, '\P{^zyyy}', "");
Expect(1, 64, '\p{		Zyyy}', "");
Expect(0, 64, '\p{^		Zyyy}', "");
Expect(0, 64, '\P{		Zyyy}', "");
Expect(1, 64, '\P{^		Zyyy}', "");
Expect(0, 90, '\p{		Zyyy}', "");
Expect(1, 90, '\p{^		Zyyy}', "");
Expect(1, 90, '\P{		Zyyy}', "");
Expect(0, 90, '\P{^		Zyyy}', "");
Error('\p{--IS/a/ZYYY}');
Error('\P{--IS/a/ZYYY}');
Expect(1, 64, '\p{iszyyy}', "");
Expect(0, 64, '\p{^iszyyy}', "");
Expect(0, 64, '\P{iszyyy}', "");
Expect(1, 64, '\P{^iszyyy}', "");
Expect(0, 90, '\p{iszyyy}', "");
Expect(1, 90, '\p{^iszyyy}', "");
Expect(1, 90, '\P{iszyyy}', "");
Expect(0, 90, '\P{^iszyyy}', "");
Expect(1, 64, '\p{ -IS Zyyy}', "");
Expect(0, 64, '\p{^ -IS Zyyy}', "");
Expect(0, 64, '\P{ -IS Zyyy}', "");
Expect(1, 64, '\P{^ -IS Zyyy}', "");
Expect(0, 90, '\p{ -IS Zyyy}', "");
Expect(1, 90, '\p{^ -IS Zyyy}', "");
Expect(1, 90, '\P{ -IS Zyyy}', "");
Expect(0, 90, '\P{^ -IS Zyyy}', "");
Error('\p{-	HANGULJamo/a/}');
Error('\P{-	HANGULJamo/a/}');
Expect(1, 4607, '\p{hanguljamo}', "");
Expect(0, 4607, '\p{^hanguljamo}', "");
Expect(0, 4607, '\P{hanguljamo}', "");
Expect(1, 4607, '\P{^hanguljamo}', "");
Expect(0, 4351, '\p{hanguljamo}', "");
Expect(1, 4351, '\p{^hanguljamo}', "");
Expect(1, 4351, '\P{hanguljamo}', "");
Expect(0, 4351, '\P{^hanguljamo}', "");
Expect(1, 4607, '\p{__Hangul	Jamo}', "");
Expect(0, 4607, '\p{^__Hangul	Jamo}', "");
Expect(0, 4607, '\P{__Hangul	Jamo}', "");
Expect(1, 4607, '\P{^__Hangul	Jamo}', "");
Expect(0, 4351, '\p{__Hangul	Jamo}', "");
Expect(1, 4351, '\p{^__Hangul	Jamo}', "");
Expect(1, 4351, '\P{__Hangul	Jamo}', "");
Expect(0, 4351, '\P{^__Hangul	Jamo}', "");
Error('\p{-/a/IS_Hangul-JAMO}');
Error('\P{-/a/IS_Hangul-JAMO}');
Expect(1, 4607, '\p{ishanguljamo}', "");
Expect(0, 4607, '\p{^ishanguljamo}', "");
Expect(0, 4607, '\P{ishanguljamo}', "");
Expect(1, 4607, '\P{^ishanguljamo}', "");
Expect(0, 4351, '\p{ishanguljamo}', "");
Expect(1, 4351, '\p{^ishanguljamo}', "");
Expect(1, 4351, '\P{ishanguljamo}', "");
Expect(0, 4351, '\P{^ishanguljamo}', "");
Expect(1, 4607, '\p{-is Hangul	JAMO}', "");
Expect(0, 4607, '\p{^-is Hangul	JAMO}', "");
Expect(0, 4607, '\P{-is Hangul	JAMO}', "");
Expect(1, 4607, '\P{^-is Hangul	JAMO}', "");
Expect(0, 4351, '\p{-is Hangul	JAMO}', "");
Expect(1, 4351, '\p{^-is Hangul	JAMO}', "");
Expect(1, 4351, '\P{-is Hangul	JAMO}', "");
Expect(0, 4351, '\P{^-is Hangul	JAMO}', "");
Error('\p{-_In:=HANGUL_JAMO}');
Error('\P{-_In:=HANGUL_JAMO}');
Expect(1, 4607, '\p{inhanguljamo}', "");
Expect(0, 4607, '\p{^inhanguljamo}', "");
Expect(0, 4607, '\P{inhanguljamo}', "");
Expect(1, 4607, '\P{^inhanguljamo}', "");
Expect(0, 4351, '\p{inhanguljamo}', "");
Expect(1, 4351, '\p{^inhanguljamo}', "");
Expect(1, 4351, '\P{inhanguljamo}', "");
Expect(0, 4351, '\P{^inhanguljamo}', "");
Expect(1, 4607, '\p{		In Hangul-jamo}', "");
Expect(0, 4607, '\p{^		In Hangul-jamo}', "");
Expect(0, 4607, '\P{		In Hangul-jamo}', "");
Expect(1, 4607, '\P{^		In Hangul-jamo}', "");
Expect(0, 4351, '\p{		In Hangul-jamo}', "");
Expect(1, 4351, '\p{^		In Hangul-jamo}', "");
Expect(1, 4351, '\P{		In Hangul-jamo}', "");
Expect(0, 4351, '\P{^		In Hangul-jamo}', "");
Error('\p{:=changes-When-Lowercased}');
Error('\P{:=changes-When-Lowercased}');
Expect(1, 90, '\p{changeswhenlowercased}', "");
Expect(0, 90, '\p{^changeswhenlowercased}', "");
Expect(0, 90, '\P{changeswhenlowercased}', "");
Expect(1, 90, '\P{^changeswhenlowercased}', "");
Expect(0, 64, '\p{changeswhenlowercased}', "");
Expect(1, 64, '\p{^changeswhenlowercased}', "");
Expect(1, 64, '\P{changeswhenlowercased}', "");
Expect(0, 64, '\P{^changeswhenlowercased}', "");
Expect(1, 90, '\p{ changes-when	LOWERCASED}', "");
Expect(0, 90, '\p{^ changes-when	LOWERCASED}', "");
Expect(0, 90, '\P{ changes-when	LOWERCASED}', "");
Expect(1, 90, '\P{^ changes-when	LOWERCASED}', "");
Expect(0, 64, '\p{ changes-when	LOWERCASED}', "");
Expect(1, 64, '\p{^ changes-when	LOWERCASED}', "");
Expect(1, 64, '\P{ changes-when	LOWERCASED}', "");
Expect(0, 64, '\P{^ changes-when	LOWERCASED}', "");
Error('\p{ Is-Changes_WHEN/a/Lowercased}');
Error('\P{ Is-Changes_WHEN/a/Lowercased}');
Expect(1, 90, '\p{ischangeswhenlowercased}', "");
Expect(0, 90, '\p{^ischangeswhenlowercased}', "");
Expect(0, 90, '\P{ischangeswhenlowercased}', "");
Expect(1, 90, '\P{^ischangeswhenlowercased}', "");
Expect(0, 64, '\p{ischangeswhenlowercased}', "");
Expect(1, 64, '\p{^ischangeswhenlowercased}', "");
Expect(1, 64, '\P{ischangeswhenlowercased}', "");
Expect(0, 64, '\P{^ischangeswhenlowercased}', "");
Expect(1, 90, '\p{ _IS Changes_WHEN-LOWERCASED}', "");
Expect(0, 90, '\p{^ _IS Changes_WHEN-LOWERCASED}', "");
Expect(0, 90, '\P{ _IS Changes_WHEN-LOWERCASED}', "");
Expect(1, 90, '\P{^ _IS Changes_WHEN-LOWERCASED}', "");
Expect(0, 64, '\p{ _IS Changes_WHEN-LOWERCASED}', "");
Expect(1, 64, '\p{^ _IS Changes_WHEN-LOWERCASED}', "");
Expect(1, 64, '\P{ _IS Changes_WHEN-LOWERCASED}', "");
Expect(0, 64, '\P{^ _IS Changes_WHEN-LOWERCASED}', "");
Error('\p{:=__cwl}');
Error('\P{:=__cwl}');
Expect(1, 90, '\p{cwl}', "");
Expect(0, 90, '\p{^cwl}', "");
Expect(0, 90, '\P{cwl}', "");
Expect(1, 90, '\P{^cwl}', "");
Expect(0, 64, '\p{cwl}', "");
Expect(1, 64, '\p{^cwl}', "");
Expect(1, 64, '\P{cwl}', "");
Expect(0, 64, '\P{^cwl}', "");
Expect(1, 90, '\p{CWL}', "");
Expect(0, 90, '\p{^CWL}', "");
Expect(0, 90, '\P{CWL}', "");
Expect(1, 90, '\P{^CWL}', "");
Expect(0, 64, '\p{CWL}', "");
Expect(1, 64, '\p{^CWL}', "");
Expect(1, 64, '\P{CWL}', "");
Expect(0, 64, '\P{^CWL}', "");
Error('\p{/a/- is_CWL}');
Error('\P{/a/- is_CWL}');
Expect(1, 90, '\p{iscwl}', "");
Expect(0, 90, '\p{^iscwl}', "");
Expect(0, 90, '\P{iscwl}', "");
Expect(1, 90, '\P{^iscwl}', "");
Expect(0, 64, '\p{iscwl}', "");
Expect(1, 64, '\p{^iscwl}', "");
Expect(1, 64, '\P{iscwl}', "");
Expect(0, 64, '\P{^iscwl}', "");
Expect(1, 90, '\p{	 ISCWL}', "");
Expect(0, 90, '\p{^	 ISCWL}', "");
Expect(0, 90, '\P{	 ISCWL}', "");
Expect(1, 90, '\P{^	 ISCWL}', "");
Expect(0, 64, '\p{	 ISCWL}', "");
Expect(1, 64, '\p{^	 ISCWL}', "");
Expect(1, 64, '\P{	 ISCWL}', "");
Expect(0, 64, '\P{^	 ISCWL}', "");
Error('\p{	 canadian:=aboriginal}');
Error('\P{	 canadian:=aboriginal}');
Expect(1, 5759, '\p{canadianaboriginal}', "");
Expect(0, 5759, '\p{^canadianaboriginal}', "");
Expect(0, 5759, '\P{canadianaboriginal}', "");
Expect(1, 5759, '\P{^canadianaboriginal}', "");
Expect(0, 5119, '\p{canadianaboriginal}', "");
Expect(1, 5119, '\p{^canadianaboriginal}', "");
Expect(1, 5119, '\P{canadianaboriginal}', "");
Expect(0, 5119, '\P{^canadianaboriginal}', "");
Expect(1, 5759, '\p{CanadianAboriginal}', "");
Expect(0, 5759, '\p{^CanadianAboriginal}', "");
Expect(0, 5759, '\P{CanadianAboriginal}', "");
Expect(1, 5759, '\P{^CanadianAboriginal}', "");
Expect(0, 5119, '\p{CanadianAboriginal}', "");
Expect(1, 5119, '\p{^CanadianAboriginal}', "");
Expect(1, 5119, '\P{CanadianAboriginal}', "");
Expect(0, 5119, '\P{^CanadianAboriginal}', "");
Error('\p{_	IsCanadian	Aboriginal/a/}');
Error('\P{_	IsCanadian	Aboriginal/a/}');
Expect(1, 5759, '\p{iscanadianaboriginal}', "");
Expect(0, 5759, '\p{^iscanadianaboriginal}', "");
Expect(0, 5759, '\P{iscanadianaboriginal}', "");
Expect(1, 5759, '\P{^iscanadianaboriginal}', "");
Expect(0, 5119, '\p{iscanadianaboriginal}', "");
Expect(1, 5119, '\p{^iscanadianaboriginal}', "");
Expect(1, 5119, '\P{iscanadianaboriginal}', "");
Expect(0, 5119, '\P{^iscanadianaboriginal}', "");
Expect(1, 5759, '\p{	-Iscanadian Aboriginal}', "");
Expect(0, 5759, '\p{^	-Iscanadian Aboriginal}', "");
Expect(0, 5759, '\P{	-Iscanadian Aboriginal}', "");
Expect(1, 5759, '\P{^	-Iscanadian Aboriginal}', "");
Expect(0, 5119, '\p{	-Iscanadian Aboriginal}', "");
Expect(1, 5119, '\p{^	-Iscanadian Aboriginal}', "");
Expect(1, 5119, '\P{	-Iscanadian Aboriginal}', "");
Expect(0, 5119, '\P{^	-Iscanadian Aboriginal}', "");
Error('\p{:=	 Cans}');
Error('\P{:=	 Cans}');
Expect(1, 5759, '\p{cans}', "");
Expect(0, 5759, '\p{^cans}', "");
Expect(0, 5759, '\P{cans}', "");
Expect(1, 5759, '\P{^cans}', "");
Expect(0, 5119, '\p{cans}', "");
Expect(1, 5119, '\p{^cans}', "");
Expect(1, 5119, '\P{cans}', "");
Expect(0, 5119, '\P{^cans}', "");
Expect(1, 5759, '\p{ cans}', "");
Expect(0, 5759, '\p{^ cans}', "");
Expect(0, 5759, '\P{ cans}', "");
Expect(1, 5759, '\P{^ cans}', "");
Expect(0, 5119, '\p{ cans}', "");
Expect(1, 5119, '\p{^ cans}', "");
Expect(1, 5119, '\P{ cans}', "");
Expect(0, 5119, '\P{^ cans}', "");
Error('\p{	_IS CANS:=}');
Error('\P{	_IS CANS:=}');
Expect(1, 5759, '\p{iscans}', "");
Expect(0, 5759, '\p{^iscans}', "");
Expect(0, 5759, '\P{iscans}', "");
Expect(1, 5759, '\P{^iscans}', "");
Expect(0, 5119, '\p{iscans}', "");
Expect(1, 5119, '\p{^iscans}', "");
Expect(1, 5119, '\P{iscans}', "");
Expect(0, 5119, '\P{^iscans}', "");
Expect(1, 5759, '\p{IS-CANS}', "");
Expect(0, 5759, '\p{^IS-CANS}', "");
Expect(0, 5759, '\P{IS-CANS}', "");
Expect(1, 5759, '\P{^IS-CANS}', "");
Expect(0, 5119, '\p{IS-CANS}', "");
Expect(1, 5119, '\p{^IS-CANS}', "");
Expect(1, 5119, '\P{IS-CANS}', "");
Expect(0, 5119, '\P{^IS-CANS}', "");
Error('\p{	PATTERN syntax:=}');
Error('\P{	PATTERN syntax:=}');
Expect(1, 47, '\p{patternsyntax}', "");
Expect(0, 47, '\p{^patternsyntax}', "");
Expect(0, 47, '\P{patternsyntax}', "");
Expect(1, 47, '\P{^patternsyntax}', "");
Expect(0, 32, '\p{patternsyntax}', "");
Expect(1, 32, '\p{^patternsyntax}', "");
Expect(1, 32, '\P{patternsyntax}', "");
Expect(0, 32, '\P{^patternsyntax}', "");
Expect(1, 47, '\p{	pattern-Syntax}', "");
Expect(0, 47, '\p{^	pattern-Syntax}', "");
Expect(0, 47, '\P{	pattern-Syntax}', "");
Expect(1, 47, '\P{^	pattern-Syntax}', "");
Expect(0, 32, '\p{	pattern-Syntax}', "");
Expect(1, 32, '\p{^	pattern-Syntax}', "");
Expect(1, 32, '\P{	pattern-Syntax}', "");
Expect(0, 32, '\P{^	pattern-Syntax}', "");
Error('\p{- Is/a/PATTERN-Syntax}');
Error('\P{- Is/a/PATTERN-Syntax}');
Expect(1, 47, '\p{ispatternsyntax}', "");
Expect(0, 47, '\p{^ispatternsyntax}', "");
Expect(0, 47, '\P{ispatternsyntax}', "");
Expect(1, 47, '\P{^ispatternsyntax}', "");
Expect(0, 32, '\p{ispatternsyntax}', "");
Expect(1, 32, '\p{^ispatternsyntax}', "");
Expect(1, 32, '\P{ispatternsyntax}', "");
Expect(0, 32, '\P{^ispatternsyntax}', "");
Expect(1, 47, '\p{ _IS	PatternSyntax}', "");
Expect(0, 47, '\p{^ _IS	PatternSyntax}', "");
Expect(0, 47, '\P{ _IS	PatternSyntax}', "");
Expect(1, 47, '\P{^ _IS	PatternSyntax}', "");
Expect(0, 32, '\p{ _IS	PatternSyntax}', "");
Expect(1, 32, '\p{^ _IS	PatternSyntax}', "");
Expect(1, 32, '\P{ _IS	PatternSyntax}', "");
Expect(0, 32, '\P{^ _IS	PatternSyntax}', "");
Error('\p{ :=Pat-Syn}');
Error('\P{ :=Pat-Syn}');
Expect(1, 47, '\p{patsyn}', "");
Expect(0, 47, '\p{^patsyn}', "");
Expect(0, 47, '\P{patsyn}', "");
Expect(1, 47, '\P{^patsyn}', "");
Expect(0, 32, '\p{patsyn}', "");
Expect(1, 32, '\p{^patsyn}', "");
Expect(1, 32, '\P{patsyn}', "");
Expect(0, 32, '\P{^patsyn}', "");
Expect(1, 47, '\p{-pat	syn}', "");
Expect(0, 47, '\p{^-pat	syn}', "");
Expect(0, 47, '\P{-pat	syn}', "");
Expect(1, 47, '\P{^-pat	syn}', "");
Expect(0, 32, '\p{-pat	syn}', "");
Expect(1, 32, '\p{^-pat	syn}', "");
Expect(1, 32, '\P{-pat	syn}', "");
Expect(0, 32, '\P{^-pat	syn}', "");
Error('\p{_/a/IS_Pat-Syn}');
Error('\P{_/a/IS_Pat-Syn}');
Expect(1, 47, '\p{ispatsyn}', "");
Expect(0, 47, '\p{^ispatsyn}', "");
Expect(0, 47, '\P{ispatsyn}', "");
Expect(1, 47, '\P{^ispatsyn}', "");
Expect(0, 32, '\p{ispatsyn}', "");
Expect(1, 32, '\p{^ispatsyn}', "");
Expect(1, 32, '\P{ispatsyn}', "");
Expect(0, 32, '\P{^ispatsyn}', "");
Expect(1, 47, '\p{- is	patsyn}', "");
Expect(0, 47, '\p{^- is	patsyn}', "");
Expect(0, 47, '\P{- is	patsyn}', "");
Expect(1, 47, '\P{^- is	patsyn}', "");
Expect(0, 32, '\p{- is	patsyn}', "");
Expect(1, 32, '\p{^- is	patsyn}', "");
Expect(1, 32, '\P{- is	patsyn}', "");
Expect(0, 32, '\P{^- is	patsyn}', "");
Error('\p{ /a/other}');
Error('\P{ /a/other}');
Expect(1, 31, '\p{other}', "");
Expect(0, 31, '\p{^other}', "");
Expect(0, 31, '\P{other}', "");
Expect(1, 31, '\P{^other}', "");
Expect(0, 126, '\p{other}', "");
Expect(1, 126, '\p{^other}', "");
Expect(1, 126, '\P{other}', "");
Expect(0, 126, '\P{^other}', "");
Expect(1, 31, '\p{-Other}', "");
Expect(0, 31, '\p{^-Other}', "");
Expect(0, 31, '\P{-Other}', "");
Expect(1, 31, '\P{^-Other}', "");
Expect(0, 126, '\p{-Other}', "");
Expect(1, 126, '\p{^-Other}', "");
Expect(1, 126, '\P{-Other}', "");
Expect(0, 126, '\P{^-Other}', "");
Error('\p{_is/a/Other}');
Error('\P{_is/a/Other}');
Expect(1, 31, '\p{isother}', "");
Expect(0, 31, '\p{^isother}', "");
Expect(0, 31, '\P{isother}', "");
Expect(1, 31, '\P{^isother}', "");
Expect(0, 126, '\p{isother}', "");
Expect(1, 126, '\p{^isother}', "");
Expect(1, 126, '\P{isother}', "");
Expect(0, 126, '\P{^isother}', "");
Expect(1, 31, '\p{-	Is other}', "");
Expect(0, 31, '\p{^-	Is other}', "");
Expect(0, 31, '\P{-	Is other}', "");
Expect(1, 31, '\P{^-	Is other}', "");
Expect(0, 126, '\p{-	Is other}', "");
Expect(1, 126, '\p{^-	Is other}', "");
Expect(1, 126, '\P{-	Is other}', "");
Expect(0, 126, '\P{^-	Is other}', "");
Error('\p{:=C}');
Error('\P{:=C}');
Expect(1, 31, '\p{c}', "");
Expect(0, 31, '\p{^c}', "");
Expect(0, 31, '\P{c}', "");
Expect(1, 31, '\P{^c}', "");
Expect(0, 126, '\p{c}', "");
Expect(1, 126, '\p{^c}', "");
Expect(1, 126, '\P{c}', "");
Expect(0, 126, '\P{^c}', "");
Expect(1, 31, '\p{	C}', "");
Expect(0, 31, '\p{^	C}', "");
Expect(0, 31, '\P{	C}', "");
Expect(1, 31, '\P{^	C}', "");
Expect(0, 126, '\p{	C}', "");
Expect(1, 126, '\p{^	C}', "");
Expect(1, 126, '\P{	C}', "");
Expect(0, 126, '\P{^	C}', "");
Error('\p{:=_IS-C}');
Error('\P{:=_IS-C}');
Expect(1, 31, '\p{isc}', "");
Expect(0, 31, '\p{^isc}', "");
Expect(0, 31, '\P{isc}', "");
Expect(1, 31, '\P{^isc}', "");
Expect(0, 126, '\p{isc}', "");
Expect(1, 126, '\p{^isc}', "");
Expect(1, 126, '\P{isc}', "");
Expect(0, 126, '\P{^isc}', "");
Expect(1, 31, '\p{		IS_C}', "");
Expect(0, 31, '\p{^		IS_C}', "");
Expect(0, 31, '\P{		IS_C}', "");
Expect(1, 31, '\P{^		IS_C}', "");
Expect(0, 126, '\p{		IS_C}', "");
Expect(1, 126, '\p{^		IS_C}', "");
Expect(1, 126, '\P{		IS_C}', "");
Expect(0, 126, '\P{^		IS_C}', "");
Error('\p{-	VARIATION:=Selector}');
Error('\P{-	VARIATION:=Selector}');
Expect(1, 6157, '\p{variationselector}', "");
Expect(0, 6157, '\p{^variationselector}', "");
Expect(0, 6157, '\P{variationselector}', "");
Expect(1, 6157, '\P{^variationselector}', "");
Expect(0, 6154, '\p{variationselector}', "");
Expect(1, 6154, '\p{^variationselector}', "");
Expect(1, 6154, '\P{variationselector}', "");
Expect(0, 6154, '\P{^variationselector}', "");
Expect(1, 6157, '\p{_ variationSELECTOR}', "");
Expect(0, 6157, '\p{^_ variationSELECTOR}', "");
Expect(0, 6157, '\P{_ variationSELECTOR}', "");
Expect(1, 6157, '\P{^_ variationSELECTOR}', "");
Expect(0, 6154, '\p{_ variationSELECTOR}', "");
Expect(1, 6154, '\p{^_ variationSELECTOR}', "");
Expect(1, 6154, '\P{_ variationSELECTOR}', "");
Expect(0, 6154, '\P{^_ variationSELECTOR}', "");
Error('\p{ _Is:=Variation	Selector}');
Error('\P{ _Is:=Variation	Selector}');
Expect(1, 6157, '\p{isvariationselector}', "");
Expect(0, 6157, '\p{^isvariationselector}', "");
Expect(0, 6157, '\P{isvariationselector}', "");
Expect(1, 6157, '\P{^isvariationselector}', "");
Expect(0, 6154, '\p{isvariationselector}', "");
Expect(1, 6154, '\p{^isvariationselector}', "");
Expect(1, 6154, '\P{isvariationselector}', "");
Expect(0, 6154, '\P{^isvariationselector}', "");
Expect(1, 6157, '\p{ is	Variation Selector}', "");
Expect(0, 6157, '\p{^ is	Variation Selector}', "");
Expect(0, 6157, '\P{ is	Variation Selector}', "");
Expect(1, 6157, '\P{^ is	Variation Selector}', "");
Expect(0, 6154, '\p{ is	Variation Selector}', "");
Expect(1, 6154, '\p{^ is	Variation Selector}', "");
Expect(1, 6154, '\P{ is	Variation Selector}', "");
Expect(0, 6154, '\P{^ is	Variation Selector}', "");
Error('\p{:= 	VS}');
Error('\P{:= 	VS}');
Expect(1, 6157, '\p{vs}', "");
Expect(0, 6157, '\p{^vs}', "");
Expect(0, 6157, '\P{vs}', "");
Expect(1, 6157, '\P{^vs}', "");
Expect(0, 6154, '\p{vs}', "");
Expect(1, 6154, '\p{^vs}', "");
Expect(1, 6154, '\P{vs}', "");
Expect(0, 6154, '\P{^vs}', "");
Expect(1, 6157, '\p{	 VS}', "");
Expect(0, 6157, '\p{^	 VS}', "");
Expect(0, 6157, '\P{	 VS}', "");
Expect(1, 6157, '\P{^	 VS}', "");
Expect(0, 6154, '\p{	 VS}', "");
Expect(1, 6154, '\p{^	 VS}', "");
Expect(1, 6154, '\P{	 VS}', "");
Expect(0, 6154, '\P{^	 VS}', "");
Error('\p{__Is VS/a/}');
Error('\P{__Is VS/a/}');
Expect(1, 6157, '\p{isvs}', "");
Expect(0, 6157, '\p{^isvs}', "");
Expect(0, 6157, '\P{isvs}', "");
Expect(1, 6157, '\P{^isvs}', "");
Expect(0, 6154, '\p{isvs}', "");
Expect(1, 6154, '\p{^isvs}', "");
Expect(1, 6154, '\P{isvs}', "");
Expect(0, 6154, '\P{^isvs}', "");
Expect(1, 6157, '\p{ -Is-VS}', "");
Expect(0, 6157, '\p{^ -Is-VS}', "");
Expect(0, 6157, '\P{ -Is-VS}', "");
Expect(1, 6157, '\P{^ -Is-VS}', "");
Expect(0, 6154, '\p{ -Is-VS}', "");
Expect(1, 6154, '\p{^ -Is-VS}', "");
Expect(1, 6154, '\P{ -Is-VS}', "");
Expect(0, 6154, '\P{^ -Is-VS}', "");
Error('\p{:= -cypriot_Syllabary}');
Error('\P{:= -cypriot_Syllabary}');
Expect(1, 67647, '\p{cypriotsyllabary}', "");
Expect(0, 67647, '\p{^cypriotsyllabary}', "");
Expect(0, 67647, '\P{cypriotsyllabary}', "");
Expect(1, 67647, '\P{^cypriotsyllabary}', "");
Expect(0, 67583, '\p{cypriotsyllabary}', "");
Expect(1, 67583, '\p{^cypriotsyllabary}', "");
Expect(1, 67583, '\P{cypriotsyllabary}', "");
Expect(0, 67583, '\P{^cypriotsyllabary}', "");
Expect(1, 67647, '\p{-cypriotSyllabary}', "");
Expect(0, 67647, '\p{^-cypriotSyllabary}', "");
Expect(0, 67647, '\P{-cypriotSyllabary}', "");
Expect(1, 67647, '\P{^-cypriotSyllabary}', "");
Expect(0, 67583, '\p{-cypriotSyllabary}', "");
Expect(1, 67583, '\p{^-cypriotSyllabary}', "");
Expect(1, 67583, '\P{-cypriotSyllabary}', "");
Expect(0, 67583, '\P{^-cypriotSyllabary}', "");
Error('\p{		Iscypriot	Syllabary/a/}');
Error('\P{		Iscypriot	Syllabary/a/}');
Expect(1, 67647, '\p{iscypriotsyllabary}', "");
Expect(0, 67647, '\p{^iscypriotsyllabary}', "");
Expect(0, 67647, '\P{iscypriotsyllabary}', "");
Expect(1, 67647, '\P{^iscypriotsyllabary}', "");
Expect(0, 67583, '\p{iscypriotsyllabary}', "");
Expect(1, 67583, '\p{^iscypriotsyllabary}', "");
Expect(1, 67583, '\P{iscypriotsyllabary}', "");
Expect(0, 67583, '\P{^iscypriotsyllabary}', "");
Expect(1, 67647, '\p{__IsCypriotSYLLABARY}', "");
Expect(0, 67647, '\p{^__IsCypriotSYLLABARY}', "");
Expect(0, 67647, '\P{__IsCypriotSYLLABARY}', "");
Expect(1, 67647, '\P{^__IsCypriotSYLLABARY}', "");
Expect(0, 67583, '\p{__IsCypriotSYLLABARY}', "");
Expect(1, 67583, '\p{^__IsCypriotSYLLABARY}', "");
Expect(1, 67583, '\P{__IsCypriotSYLLABARY}', "");
Expect(0, 67583, '\P{^__IsCypriotSYLLABARY}', "");
Error('\p{-	in	cypriot/a/Syllabary}');
Error('\P{-	in	cypriot/a/Syllabary}');
Expect(1, 67647, '\p{incypriotsyllabary}', "");
Expect(0, 67647, '\p{^incypriotsyllabary}', "");
Expect(0, 67647, '\P{incypriotsyllabary}', "");
Expect(1, 67647, '\P{^incypriotsyllabary}', "");
Expect(0, 67583, '\p{incypriotsyllabary}', "");
Expect(1, 67583, '\p{^incypriotsyllabary}', "");
Expect(1, 67583, '\P{incypriotsyllabary}', "");
Expect(0, 67583, '\P{^incypriotsyllabary}', "");
Expect(1, 67647, '\p{ _IN_CYPRIOT_Syllabary}', "");
Expect(0, 67647, '\p{^ _IN_CYPRIOT_Syllabary}', "");
Expect(0, 67647, '\P{ _IN_CYPRIOT_Syllabary}', "");
Expect(1, 67647, '\P{^ _IN_CYPRIOT_Syllabary}', "");
Expect(0, 67583, '\p{ _IN_CYPRIOT_Syllabary}', "");
Expect(1, 67583, '\p{^ _IN_CYPRIOT_Syllabary}', "");
Expect(1, 67583, '\P{ _IN_CYPRIOT_Syllabary}', "");
Expect(0, 67583, '\P{^ _IN_CYPRIOT_Syllabary}', "");
Error('\p{ coptic:=}');
Error('\P{ coptic:=}');
Expect(1, 1007, '\p{coptic}', "");
Expect(0, 1007, '\p{^coptic}', "");
Expect(0, 1007, '\P{coptic}', "");
Expect(1, 1007, '\P{^coptic}', "");
Expect(0, 993, '\p{coptic}', "");
Expect(1, 993, '\p{^coptic}', "");
Expect(1, 993, '\P{coptic}', "");
Expect(0, 993, '\P{^coptic}', "");
Expect(1, 1007, '\p{_	Coptic}', "");
Expect(0, 1007, '\p{^_	Coptic}', "");
Expect(0, 1007, '\P{_	Coptic}', "");
Expect(1, 1007, '\P{^_	Coptic}', "");
Expect(0, 993, '\p{_	Coptic}', "");
Expect(1, 993, '\p{^_	Coptic}', "");
Expect(1, 993, '\P{_	Coptic}', "");
Expect(0, 993, '\P{^_	Coptic}', "");
Error('\p{:=_-is-COPTIC}');
Error('\P{:=_-is-COPTIC}');
Expect(1, 1007, '\p{iscoptic}', "");
Expect(0, 1007, '\p{^iscoptic}', "");
Expect(0, 1007, '\P{iscoptic}', "");
Expect(1, 1007, '\P{^iscoptic}', "");
Expect(0, 993, '\p{iscoptic}', "");
Expect(1, 993, '\p{^iscoptic}', "");
Expect(1, 993, '\P{iscoptic}', "");
Expect(0, 993, '\P{^iscoptic}', "");
Expect(1, 1007, '\p{-	is_Coptic}', "");
Expect(0, 1007, '\p{^-	is_Coptic}', "");
Expect(0, 1007, '\P{-	is_Coptic}', "");
Expect(1, 1007, '\P{^-	is_Coptic}', "");
Expect(0, 993, '\p{-	is_Coptic}', "");
Expect(1, 993, '\p{^-	is_Coptic}', "");
Expect(1, 993, '\P{-	is_Coptic}', "");
Expect(0, 993, '\P{^-	is_Coptic}', "");
Error('\p{ -copt/a/}');
Error('\P{ -copt/a/}');
Expect(1, 1007, '\p{copt}', "");
Expect(0, 1007, '\p{^copt}', "");
Expect(0, 1007, '\P{copt}', "");
Expect(1, 1007, '\P{^copt}', "");
Expect(0, 993, '\p{copt}', "");
Expect(1, 993, '\p{^copt}', "");
Expect(1, 993, '\P{copt}', "");
Expect(0, 993, '\P{^copt}', "");
Expect(1, 1007, '\p{ -copt}', "");
Expect(0, 1007, '\p{^ -copt}', "");
Expect(0, 1007, '\P{ -copt}', "");
Expect(1, 1007, '\P{^ -copt}', "");
Expect(0, 993, '\p{ -copt}', "");
Expect(1, 993, '\p{^ -copt}', "");
Expect(1, 993, '\P{ -copt}', "");
Expect(0, 993, '\P{^ -copt}', "");
Error('\p{ /a/Is_Copt}');
Error('\P{ /a/Is_Copt}');
Expect(1, 1007, '\p{iscopt}', "");
Expect(0, 1007, '\p{^iscopt}', "");
Expect(0, 1007, '\P{iscopt}', "");
Expect(1, 1007, '\P{^iscopt}', "");
Expect(0, 993, '\p{iscopt}', "");
Expect(1, 993, '\p{^iscopt}', "");
Expect(1, 993, '\P{iscopt}', "");
Expect(0, 993, '\P{^iscopt}', "");
Expect(1, 1007, '\p{	is copt}', "");
Expect(0, 1007, '\p{^	is copt}', "");
Expect(0, 1007, '\P{	is copt}', "");
Expect(1, 1007, '\P{^	is copt}', "");
Expect(0, 993, '\p{	is copt}', "");
Expect(1, 993, '\p{^	is copt}', "");
Expect(1, 993, '\P{	is copt}', "");
Expect(0, 993, '\P{^	is copt}', "");
Error('\p{/a/QAAC}');
Error('\P{/a/QAAC}');
Expect(1, 1007, '\p{qaac}', "");
Expect(0, 1007, '\p{^qaac}', "");
Expect(0, 1007, '\P{qaac}', "");
Expect(1, 1007, '\P{^qaac}', "");
Expect(0, 993, '\p{qaac}', "");
Expect(1, 993, '\p{^qaac}', "");
Expect(1, 993, '\P{qaac}', "");
Expect(0, 993, '\P{^qaac}', "");
Expect(1, 1007, '\p{ Qaac}', "");
Expect(0, 1007, '\p{^ Qaac}', "");
Expect(0, 1007, '\P{ Qaac}', "");
Expect(1, 1007, '\P{^ Qaac}', "");
Expect(0, 993, '\p{ Qaac}', "");
Expect(1, 993, '\p{^ Qaac}', "");
Expect(1, 993, '\P{ Qaac}', "");
Expect(0, 993, '\P{^ Qaac}', "");
Error('\p{/a/ IsQaac}');
Error('\P{/a/ IsQaac}');
Expect(1, 1007, '\p{isqaac}', "");
Expect(0, 1007, '\p{^isqaac}', "");
Expect(0, 1007, '\P{isqaac}', "");
Expect(1, 1007, '\P{^isqaac}', "");
Expect(0, 993, '\p{isqaac}', "");
Expect(1, 993, '\p{^isqaac}', "");
Expect(1, 993, '\P{isqaac}', "");
Expect(0, 993, '\P{^isqaac}', "");
Expect(1, 1007, '\p{-Is-qaac}', "");
Expect(0, 1007, '\p{^-Is-qaac}', "");
Expect(0, 1007, '\P{-Is-qaac}', "");
Expect(1, 1007, '\P{^-Is-qaac}', "");
Expect(0, 993, '\p{-Is-qaac}', "");
Expect(1, 993, '\p{^-Is-qaac}', "");
Expect(1, 993, '\P{-Is-qaac}', "");
Expect(0, 993, '\P{^-Is-qaac}', "");
Error('\p{ SUPPLEMENTAL/a/Arrows-B}');
Error('\P{ SUPPLEMENTAL/a/Arrows-B}');
Expect(1, 10623, '\p{supplementalarrowsb}', "");
Expect(0, 10623, '\p{^supplementalarrowsb}', "");
Expect(0, 10623, '\P{supplementalarrowsb}', "");
Expect(1, 10623, '\P{^supplementalarrowsb}', "");
Expect(0, 10495, '\p{supplementalarrowsb}', "");
Expect(1, 10495, '\p{^supplementalarrowsb}', "");
Expect(1, 10495, '\P{supplementalarrowsb}', "");
Expect(0, 10495, '\P{^supplementalarrowsb}', "");
Expect(1, 10623, '\p{	Supplemental Arrows	B}', "");
Expect(0, 10623, '\p{^	Supplemental Arrows	B}', "");
Expect(0, 10623, '\P{	Supplemental Arrows	B}', "");
Expect(1, 10623, '\P{^	Supplemental Arrows	B}', "");
Expect(0, 10495, '\p{	Supplemental Arrows	B}', "");
Expect(1, 10495, '\p{^	Supplemental Arrows	B}', "");
Expect(1, 10495, '\P{	Supplemental Arrows	B}', "");
Expect(0, 10495, '\P{^	Supplemental Arrows	B}', "");
Error('\p{_-IsSupplemental	Arrows:=B}');
Error('\P{_-IsSupplemental	Arrows:=B}');
Expect(1, 10623, '\p{issupplementalarrowsb}', "");
Expect(0, 10623, '\p{^issupplementalarrowsb}', "");
Expect(0, 10623, '\P{issupplementalarrowsb}', "");
Expect(1, 10623, '\P{^issupplementalarrowsb}', "");
Expect(0, 10495, '\p{issupplementalarrowsb}', "");
Expect(1, 10495, '\p{^issupplementalarrowsb}', "");
Expect(1, 10495, '\P{issupplementalarrowsb}', "");
Expect(0, 10495, '\P{^issupplementalarrowsb}', "");
Expect(1, 10623, '\p{-Is SUPPLEMENTAL-Arrows B}', "");
Expect(0, 10623, '\p{^-Is SUPPLEMENTAL-Arrows B}', "");
Expect(0, 10623, '\P{-Is SUPPLEMENTAL-Arrows B}', "");
Expect(1, 10623, '\P{^-Is SUPPLEMENTAL-Arrows B}', "");
Expect(0, 10495, '\p{-Is SUPPLEMENTAL-Arrows B}', "");
Expect(1, 10495, '\p{^-Is SUPPLEMENTAL-Arrows B}', "");
Expect(1, 10495, '\P{-Is SUPPLEMENTAL-Arrows B}', "");
Expect(0, 10495, '\P{^-Is SUPPLEMENTAL-Arrows B}', "");
Error('\p{		IN:=Supplemental arrowsB}');
Error('\P{		IN:=Supplemental arrowsB}');
Expect(1, 10623, '\p{insupplementalarrowsb}', "");
Expect(0, 10623, '\p{^insupplementalarrowsb}', "");
Expect(0, 10623, '\P{insupplementalarrowsb}', "");
Expect(1, 10623, '\P{^insupplementalarrowsb}', "");
Expect(0, 10495, '\p{insupplementalarrowsb}', "");
Expect(1, 10495, '\p{^insupplementalarrowsb}', "");
Expect(1, 10495, '\P{insupplementalarrowsb}', "");
Expect(0, 10495, '\P{^insupplementalarrowsb}', "");
Expect(1, 10623, '\p{__In Supplemental ARROWS-B}', "");
Expect(0, 10623, '\p{^__In Supplemental ARROWS-B}', "");
Expect(0, 10623, '\P{__In Supplemental ARROWS-B}', "");
Expect(1, 10623, '\P{^__In Supplemental ARROWS-B}', "");
Expect(0, 10495, '\p{__In Supplemental ARROWS-B}', "");
Expect(1, 10495, '\p{^__In Supplemental ARROWS-B}', "");
Expect(1, 10495, '\P{__In Supplemental ARROWS-B}', "");
Expect(0, 10495, '\P{^__In Supplemental ARROWS-B}', "");
Error('\p{Expands_On_NFC}');
Error('\P{Expands_On_NFC}');
Error('\p{Is_Expands_On_NFC}');
Error('\P{Is_Expands_On_NFC}');
Error('\p{XO_NFC}');
Error('\P{XO_NFC}');
Error('\p{Is_XO_NFC}');
Error('\P{Is_XO_NFC}');
Error('\p{-	INHERITED/a/}');
Error('\P{-	INHERITED/a/}');
Expect(1, 879, '\p{inherited}', "");
Expect(0, 879, '\p{^inherited}', "");
Expect(0, 879, '\P{inherited}', "");
Expect(1, 879, '\P{^inherited}', "");
Expect(0, 767, '\p{inherited}', "");
Expect(1, 767, '\p{^inherited}', "");
Expect(1, 767, '\P{inherited}', "");
Expect(0, 767, '\P{^inherited}', "");
Expect(1, 879, '\p{	 Inherited}', "");
Expect(0, 879, '\p{^	 Inherited}', "");
Expect(0, 879, '\P{	 Inherited}', "");
Expect(1, 879, '\P{^	 Inherited}', "");
Expect(0, 767, '\p{	 Inherited}', "");
Expect(1, 767, '\p{^	 Inherited}', "");
Expect(1, 767, '\P{	 Inherited}', "");
Expect(0, 767, '\P{^	 Inherited}', "");
Error('\p{	_IsINHERITED/a/}');
Error('\P{	_IsINHERITED/a/}');
Expect(1, 879, '\p{isinherited}', "");
Expect(0, 879, '\p{^isinherited}', "");
Expect(0, 879, '\P{isinherited}', "");
Expect(1, 879, '\P{^isinherited}', "");
Expect(0, 767, '\p{isinherited}', "");
Expect(1, 767, '\p{^isinherited}', "");
Expect(1, 767, '\P{isinherited}', "");
Expect(0, 767, '\P{^isinherited}', "");
Expect(1, 879, '\p{-IsInherited}', "");
Expect(0, 879, '\p{^-IsInherited}', "");
Expect(0, 879, '\P{-IsInherited}', "");
Expect(1, 879, '\P{^-IsInherited}', "");
Expect(0, 767, '\p{-IsInherited}', "");
Expect(1, 767, '\p{^-IsInherited}', "");
Expect(1, 767, '\P{-IsInherited}', "");
Expect(0, 767, '\P{^-IsInherited}', "");
Error('\p{	/a/Zinh}');
Error('\P{	/a/Zinh}');
Expect(1, 879, '\p{zinh}', "");
Expect(0, 879, '\p{^zinh}', "");
Expect(0, 879, '\P{zinh}', "");
Expect(1, 879, '\P{^zinh}', "");
Expect(0, 767, '\p{zinh}', "");
Expect(1, 767, '\p{^zinh}', "");
Expect(1, 767, '\P{zinh}', "");
Expect(0, 767, '\P{^zinh}', "");
Expect(1, 879, '\p{--ZINH}', "");
Expect(0, 879, '\p{^--ZINH}', "");
Expect(0, 879, '\P{--ZINH}', "");
Expect(1, 879, '\P{^--ZINH}', "");
Expect(0, 767, '\p{--ZINH}', "");
Expect(1, 767, '\p{^--ZINH}', "");
Expect(1, 767, '\P{--ZINH}', "");
Expect(0, 767, '\P{^--ZINH}', "");
Error('\p{:=IS Zinh}');
Error('\P{:=IS Zinh}');
Expect(1, 879, '\p{iszinh}', "");
Expect(0, 879, '\p{^iszinh}', "");
Expect(0, 879, '\P{iszinh}', "");
Expect(1, 879, '\P{^iszinh}', "");
Expect(0, 767, '\p{iszinh}', "");
Expect(1, 767, '\p{^iszinh}', "");
Expect(1, 767, '\P{iszinh}', "");
Expect(0, 767, '\P{^iszinh}', "");
Expect(1, 879, '\p{ -ISzinh}', "");
Expect(0, 879, '\p{^ -ISzinh}', "");
Expect(0, 879, '\P{ -ISzinh}', "");
Expect(1, 879, '\P{^ -ISzinh}', "");
Expect(0, 767, '\p{ -ISzinh}', "");
Expect(1, 767, '\p{^ -ISzinh}', "");
Expect(1, 767, '\P{ -ISzinh}', "");
Expect(0, 767, '\P{^ -ISzinh}', "");
Error('\p{_-qaai/a/}');
Error('\P{_-qaai/a/}');
Expect(1, 879, '\p{qaai}', "");
Expect(0, 879, '\p{^qaai}', "");
Expect(0, 879, '\P{qaai}', "");
Expect(1, 879, '\P{^qaai}', "");
Expect(0, 767, '\p{qaai}', "");
Expect(1, 767, '\p{^qaai}', "");
Expect(1, 767, '\P{qaai}', "");
Expect(0, 767, '\P{^qaai}', "");
Expect(1, 879, '\p{	QAAI}', "");
Expect(0, 879, '\p{^	QAAI}', "");
Expect(0, 879, '\P{	QAAI}', "");
Expect(1, 879, '\P{^	QAAI}', "");
Expect(0, 767, '\p{	QAAI}', "");
Expect(1, 767, '\p{^	QAAI}', "");
Expect(1, 767, '\P{	QAAI}', "");
Expect(0, 767, '\P{^	QAAI}', "");
Error('\p{Is:=QAAI}');
Error('\P{Is:=QAAI}');
Expect(1, 879, '\p{isqaai}', "");
Expect(0, 879, '\p{^isqaai}', "");
Expect(0, 879, '\P{isqaai}', "");
Expect(1, 879, '\P{^isqaai}', "");
Expect(0, 767, '\p{isqaai}', "");
Expect(1, 767, '\p{^isqaai}', "");
Expect(1, 767, '\P{isqaai}', "");
Expect(0, 767, '\P{^isqaai}', "");
Expect(1, 879, '\p{	 IS QAAI}', "");
Expect(0, 879, '\p{^	 IS QAAI}', "");
Expect(0, 879, '\P{	 IS QAAI}', "");
Expect(1, 879, '\P{^	 IS QAAI}', "");
Expect(0, 767, '\p{	 IS QAAI}', "");
Expect(1, 767, '\p{^	 IS QAAI}', "");
Expect(1, 767, '\P{	 IS QAAI}', "");
Expect(0, 767, '\P{^	 IS QAAI}', "");
Error('\p{--Othermath/a/}');
Error('\P{--Othermath/a/}');
Expect(1, 94, '\p{othermath}', 'deprecated');
Expect(0, 94, '\p{^othermath}', 'deprecated');
Expect(0, 94, '\P{othermath}', 'deprecated');
Expect(1, 94, '\P{^othermath}', 'deprecated');
Expect(0, 93, '\p{othermath}', 'deprecated');
Expect(1, 93, '\p{^othermath}', 'deprecated');
Expect(1, 93, '\P{othermath}', 'deprecated');
Expect(0, 93, '\P{^othermath}', 'deprecated');
Expect(1, 94, '\p{ 	OTHER MATH}', 'deprecated');
Expect(0, 94, '\p{^ 	OTHER MATH}', 'deprecated');
Expect(0, 94, '\P{ 	OTHER MATH}', 'deprecated');
Expect(1, 94, '\P{^ 	OTHER MATH}', 'deprecated');
Expect(0, 93, '\p{ 	OTHER MATH}', 'deprecated');
Expect(1, 93, '\p{^ 	OTHER MATH}', 'deprecated');
Expect(1, 93, '\P{ 	OTHER MATH}', 'deprecated');
Expect(0, 93, '\P{^ 	OTHER MATH}', 'deprecated');
Error('\p{--Is:=OTHERmath}');
Error('\P{--Is:=OTHERmath}');
Expect(1, 94, '\p{isothermath}', 'deprecated');
Expect(0, 94, '\p{^isothermath}', 'deprecated');
Expect(0, 94, '\P{isothermath}', 'deprecated');
Expect(1, 94, '\P{^isothermath}', 'deprecated');
Expect(0, 93, '\p{isothermath}', 'deprecated');
Expect(1, 93, '\p{^isothermath}', 'deprecated');
Expect(1, 93, '\P{isothermath}', 'deprecated');
Expect(0, 93, '\P{^isothermath}', 'deprecated');
Expect(1, 94, '\p{ -is Other_Math}', 'deprecated');
Expect(0, 94, '\p{^ -is Other_Math}', 'deprecated');
Expect(0, 94, '\P{ -is Other_Math}', 'deprecated');
Expect(1, 94, '\P{^ -is Other_Math}', 'deprecated');
Expect(0, 93, '\p{ -is Other_Math}', 'deprecated');
Expect(1, 93, '\p{^ -is Other_Math}', 'deprecated');
Expect(1, 93, '\P{ -is Other_Math}', 'deprecated');
Expect(0, 93, '\P{^ -is Other_Math}', 'deprecated');
Error('\p{_OMath:=}');
Error('\P{_OMath:=}');
Expect(1, 94, '\p{omath}', 'deprecated');
Expect(0, 94, '\p{^omath}', 'deprecated');
Expect(0, 94, '\P{omath}', 'deprecated');
Expect(1, 94, '\P{^omath}', 'deprecated');
Expect(0, 93, '\p{omath}', 'deprecated');
Expect(1, 93, '\p{^omath}', 'deprecated');
Expect(1, 93, '\P{omath}', 'deprecated');
Expect(0, 93, '\P{^omath}', 'deprecated');
Expect(1, 94, '\p{ _OMath}', 'deprecated');
Expect(0, 94, '\p{^ _OMath}', 'deprecated');
Expect(0, 94, '\P{ _OMath}', 'deprecated');
Expect(1, 94, '\P{^ _OMath}', 'deprecated');
Expect(0, 93, '\p{ _OMath}', 'deprecated');
Expect(1, 93, '\p{^ _OMath}', 'deprecated');
Expect(1, 93, '\P{ _OMath}', 'deprecated');
Expect(0, 93, '\P{^ _OMath}', 'deprecated');
Error('\p{ -Is:=OMATH}');
Error('\P{ -Is:=OMATH}');
Expect(1, 94, '\p{isomath}', 'deprecated');
Expect(0, 94, '\p{^isomath}', 'deprecated');
Expect(0, 94, '\P{isomath}', 'deprecated');
Expect(1, 94, '\P{^isomath}', 'deprecated');
Expect(0, 93, '\p{isomath}', 'deprecated');
Expect(1, 93, '\p{^isomath}', 'deprecated');
Expect(1, 93, '\P{isomath}', 'deprecated');
Expect(0, 93, '\P{^isomath}', 'deprecated');
Expect(1, 94, '\p{	_Is-OMath}', 'deprecated');
Expect(0, 94, '\p{^	_Is-OMath}', 'deprecated');
Expect(0, 94, '\P{	_Is-OMath}', 'deprecated');
Expect(1, 94, '\P{^	_Is-OMath}', 'deprecated');
Expect(0, 93, '\p{	_Is-OMath}', 'deprecated');
Expect(1, 93, '\p{^	_Is-OMath}', 'deprecated');
Expect(1, 93, '\P{	_Is-OMath}', 'deprecated');
Expect(0, 93, '\P{^	_Is-OMath}', 'deprecated');
Error('\p{:= _cjk Unifiedideographs EXTENSION_C}');
Error('\P{:= _cjk Unifiedideographs EXTENSION_C}');
Expect(1, 177983, '\p{cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^cjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\p{cjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\p{^cjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\P{cjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\P{^cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{-CJK Unified IDEOGRAPHS_ExtensionC}', "");
Expect(0, 177983, '\p{^-CJK Unified IDEOGRAPHS_ExtensionC}', "");
Expect(0, 177983, '\P{-CJK Unified IDEOGRAPHS_ExtensionC}', "");
Expect(1, 177983, '\P{^-CJK Unified IDEOGRAPHS_ExtensionC}', "");
Expect(0, 173823, '\p{-CJK Unified IDEOGRAPHS_ExtensionC}', "");
Expect(1, 173823, '\p{^-CJK Unified IDEOGRAPHS_ExtensionC}', "");
Expect(1, 173823, '\P{-CJK Unified IDEOGRAPHS_ExtensionC}', "");
Expect(0, 173823, '\P{^-CJK Unified IDEOGRAPHS_ExtensionC}', "");
Error('\p{ _is:=CJKUnified_ideographs-Extension_C}');
Error('\P{ _is:=CJKUnified_ideographs-Extension_C}');
Expect(1, 177983, '\p{iscjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^iscjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{iscjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^iscjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\p{iscjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\p{^iscjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\P{iscjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\P{^iscjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{--Is-cjk	UNIFIEDideographs	extension	c}', "");
Expect(0, 177983, '\p{^--Is-cjk	UNIFIEDideographs	extension	c}', "");
Expect(0, 177983, '\P{--Is-cjk	UNIFIEDideographs	extension	c}', "");
Expect(1, 177983, '\P{^--Is-cjk	UNIFIEDideographs	extension	c}', "");
Expect(0, 173823, '\p{--Is-cjk	UNIFIEDideographs	extension	c}', "");
Expect(1, 173823, '\p{^--Is-cjk	UNIFIEDideographs	extension	c}', "");
Expect(1, 173823, '\P{--Is-cjk	UNIFIEDideographs	extension	c}', "");
Expect(0, 173823, '\P{^--Is-cjk	UNIFIEDideographs	extension	c}', "");
Error('\p{-IN CJK/a/Unified-IdeographsExtension C}');
Error('\P{-IN CJK/a/Unified-IdeographsExtension C}');
Expect(1, 177983, '\p{incjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^incjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{incjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^incjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\p{incjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\p{^incjkunifiedideographsextensionc}', "");
Expect(1, 173823, '\P{incjkunifiedideographsextensionc}', "");
Expect(0, 173823, '\P{^incjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{--In_CJK	UnifiedIdeographs_Extension-c}', "");
Expect(0, 177983, '\p{^--In_CJK	UnifiedIdeographs_Extension-c}', "");
Expect(0, 177983, '\P{--In_CJK	UnifiedIdeographs_Extension-c}', "");
Expect(1, 177983, '\P{^--In_CJK	UnifiedIdeographs_Extension-c}', "");
Expect(0, 173823, '\p{--In_CJK	UnifiedIdeographs_Extension-c}', "");
Expect(1, 173823, '\p{^--In_CJK	UnifiedIdeographs_Extension-c}', "");
Expect(1, 173823, '\P{--In_CJK	UnifiedIdeographs_Extension-c}', "");
Expect(0, 173823, '\P{^--In_CJK	UnifiedIdeographs_Extension-c}', "");
Error('\p{- Latin:=Extended	Additional}');
Error('\P{- Latin:=Extended	Additional}');
Expect(1, 7935, '\p{latinextendedadditional}', "");
Expect(0, 7935, '\p{^latinextendedadditional}', "");
Expect(0, 7935, '\P{latinextendedadditional}', "");
Expect(1, 7935, '\P{^latinextendedadditional}', "");
Expect(0, 7679, '\p{latinextendedadditional}', "");
Expect(1, 7679, '\p{^latinextendedadditional}', "");
Expect(1, 7679, '\P{latinextendedadditional}', "");
Expect(0, 7679, '\P{^latinextendedadditional}', "");
Expect(1, 7935, '\p{ 	LatinExtended	additional}', "");
Expect(0, 7935, '\p{^ 	LatinExtended	additional}', "");
Expect(0, 7935, '\P{ 	LatinExtended	additional}', "");
Expect(1, 7935, '\P{^ 	LatinExtended	additional}', "");
Expect(0, 7679, '\p{ 	LatinExtended	additional}', "");
Expect(1, 7679, '\p{^ 	LatinExtended	additional}', "");
Expect(1, 7679, '\P{ 	LatinExtended	additional}', "");
Expect(0, 7679, '\P{^ 	LatinExtended	additional}', "");
Error('\p{_	IS_LATIN/a/EXTENDEDADDITIONAL}');
Error('\P{_	IS_LATIN/a/EXTENDEDADDITIONAL}');
Expect(1, 7935, '\p{islatinextendedadditional}', "");
Expect(0, 7935, '\p{^islatinextendedadditional}', "");
Expect(0, 7935, '\P{islatinextendedadditional}', "");
Expect(1, 7935, '\P{^islatinextendedadditional}', "");
Expect(0, 7679, '\p{islatinextendedadditional}', "");
Expect(1, 7679, '\p{^islatinextendedadditional}', "");
Expect(1, 7679, '\P{islatinextendedadditional}', "");
Expect(0, 7679, '\P{^islatinextendedadditional}', "");
Expect(1, 7935, '\p{_is latin-EXTENDED Additional}', "");
Expect(0, 7935, '\p{^_is latin-EXTENDED Additional}', "");
Expect(0, 7935, '\P{_is latin-EXTENDED Additional}', "");
Expect(1, 7935, '\P{^_is latin-EXTENDED Additional}', "");
Expect(0, 7679, '\p{_is latin-EXTENDED Additional}', "");
Expect(1, 7679, '\p{^_is latin-EXTENDED Additional}', "");
Expect(1, 7679, '\P{_is latin-EXTENDED Additional}', "");
Expect(0, 7679, '\P{^_is latin-EXTENDED Additional}', "");
Error('\p{	In-latin	EXTENDED	Additional/a/}');
Error('\P{	In-latin	EXTENDED	Additional/a/}');
Expect(1, 7935, '\p{inlatinextendedadditional}', "");
Expect(0, 7935, '\p{^inlatinextendedadditional}', "");
Expect(0, 7935, '\P{inlatinextendedadditional}', "");
Expect(1, 7935, '\P{^inlatinextendedadditional}', "");
Expect(0, 7679, '\p{inlatinextendedadditional}', "");
Expect(1, 7679, '\p{^inlatinextendedadditional}', "");
Expect(1, 7679, '\P{inlatinextendedadditional}', "");
Expect(0, 7679, '\P{^inlatinextendedadditional}', "");
Expect(1, 7935, '\p{-In	Latin-Extended	ADDITIONAL}', "");
Expect(0, 7935, '\p{^-In	Latin-Extended	ADDITIONAL}', "");
Expect(0, 7935, '\P{-In	Latin-Extended	ADDITIONAL}', "");
Expect(1, 7935, '\P{^-In	Latin-Extended	ADDITIONAL}', "");
Expect(0, 7679, '\p{-In	Latin-Extended	ADDITIONAL}', "");
Expect(1, 7679, '\p{^-In	Latin-Extended	ADDITIONAL}', "");
Expect(1, 7679, '\P{-In	Latin-Extended	ADDITIONAL}', "");
Expect(0, 7679, '\P{^-In	Latin-Extended	ADDITIONAL}', "");
Error('\p{	/a/KANNADA}');
Error('\P{	/a/KANNADA}');
Expect(1, 3203, '\p{kannada}', "");
Expect(0, 3203, '\p{^kannada}', "");
Expect(0, 3203, '\P{kannada}', "");
Expect(1, 3203, '\P{^kannada}', "");
Expect(0, 3201, '\p{kannada}', "");
Expect(1, 3201, '\p{^kannada}', "");
Expect(1, 3201, '\P{kannada}', "");
Expect(0, 3201, '\P{^kannada}', "");
Expect(1, 3203, '\p{-_Kannada}', "");
Expect(0, 3203, '\p{^-_Kannada}', "");
Expect(0, 3203, '\P{-_Kannada}', "");
Expect(1, 3203, '\P{^-_Kannada}', "");
Expect(0, 3201, '\p{-_Kannada}', "");
Expect(1, 3201, '\p{^-_Kannada}', "");
Expect(1, 3201, '\P{-_Kannada}', "");
Expect(0, 3201, '\P{^-_Kannada}', "");
Error('\p{_ Is_Kannada:=}');
Error('\P{_ Is_Kannada:=}');
Expect(1, 3203, '\p{iskannada}', "");
Expect(0, 3203, '\p{^iskannada}', "");
Expect(0, 3203, '\P{iskannada}', "");
Expect(1, 3203, '\P{^iskannada}', "");
Expect(0, 3201, '\p{iskannada}', "");
Expect(1, 3201, '\p{^iskannada}', "");
Expect(1, 3201, '\P{iskannada}', "");
Expect(0, 3201, '\P{^iskannada}', "");
Expect(1, 3203, '\p{ -Is_KANNADA}', "");
Expect(0, 3203, '\p{^ -Is_KANNADA}', "");
Expect(0, 3203, '\P{ -Is_KANNADA}', "");
Expect(1, 3203, '\P{^ -Is_KANNADA}', "");
Expect(0, 3201, '\p{ -Is_KANNADA}', "");
Expect(1, 3201, '\p{^ -Is_KANNADA}', "");
Expect(1, 3201, '\P{ -Is_KANNADA}', "");
Expect(0, 3201, '\P{^ -Is_KANNADA}', "");
Error('\p{	 knda/a/}');
Error('\P{	 knda/a/}');
Expect(1, 3203, '\p{knda}', "");
Expect(0, 3203, '\p{^knda}', "");
Expect(0, 3203, '\P{knda}', "");
Expect(1, 3203, '\P{^knda}', "");
Expect(0, 3201, '\p{knda}', "");
Expect(1, 3201, '\p{^knda}', "");
Expect(1, 3201, '\P{knda}', "");
Expect(0, 3201, '\P{^knda}', "");
Expect(1, 3203, '\p{ Knda}', "");
Expect(0, 3203, '\p{^ Knda}', "");
Expect(0, 3203, '\P{ Knda}', "");
Expect(1, 3203, '\P{^ Knda}', "");
Expect(0, 3201, '\p{ Knda}', "");
Expect(1, 3201, '\p{^ Knda}', "");
Expect(1, 3201, '\P{ Knda}', "");
Expect(0, 3201, '\P{^ Knda}', "");
Error('\p{- Is_Knda:=}');
Error('\P{- Is_Knda:=}');
Expect(1, 3203, '\p{isknda}', "");
Expect(0, 3203, '\p{^isknda}', "");
Expect(0, 3203, '\P{isknda}', "");
Expect(1, 3203, '\P{^isknda}', "");
Expect(0, 3201, '\p{isknda}', "");
Expect(1, 3201, '\p{^isknda}', "");
Expect(1, 3201, '\P{isknda}', "");
Expect(0, 3201, '\P{^isknda}', "");
Expect(1, 3203, '\p{is	Knda}', "");
Expect(0, 3203, '\p{^is	Knda}', "");
Expect(0, 3203, '\P{is	Knda}', "");
Expect(1, 3203, '\P{^is	Knda}', "");
Expect(0, 3201, '\p{is	Knda}', "");
Expect(1, 3201, '\p{^is	Knda}', "");
Expect(1, 3201, '\P{is	Knda}', "");
Expect(0, 3201, '\P{^is	Knda}', "");
Error('\p{-/a/lao}');
Error('\P{-/a/lao}');
Expect(1, 3714, '\p{lao}', "");
Expect(0, 3714, '\p{^lao}', "");
Expect(0, 3714, '\P{lao}', "");
Expect(1, 3714, '\P{^lao}', "");
Expect(0, 3712, '\p{lao}', "");
Expect(1, 3712, '\p{^lao}', "");
Expect(1, 3712, '\P{lao}', "");
Expect(0, 3712, '\P{^lao}', "");
Expect(1, 3714, '\p{  lao}', "");
Expect(0, 3714, '\p{^  lao}', "");
Expect(0, 3714, '\P{  lao}', "");
Expect(1, 3714, '\P{^  lao}', "");
Expect(0, 3712, '\p{  lao}', "");
Expect(1, 3712, '\p{^  lao}', "");
Expect(1, 3712, '\P{  lao}', "");
Expect(0, 3712, '\P{^  lao}', "");
Error('\p{/a/Is_lao}');
Error('\P{/a/Is_lao}');
Expect(1, 3714, '\p{islao}', "");
Expect(0, 3714, '\p{^islao}', "");
Expect(0, 3714, '\P{islao}', "");
Expect(1, 3714, '\P{^islao}', "");
Expect(0, 3712, '\p{islao}', "");
Expect(1, 3712, '\p{^islao}', "");
Expect(1, 3712, '\P{islao}', "");
Expect(0, 3712, '\P{^islao}', "");
Expect(1, 3714, '\p{IS-LAO}', "");
Expect(0, 3714, '\p{^IS-LAO}', "");
Expect(0, 3714, '\P{IS-LAO}', "");
Expect(1, 3714, '\P{^IS-LAO}', "");
Expect(0, 3712, '\p{IS-LAO}', "");
Expect(1, 3712, '\p{^IS-LAO}', "");
Expect(1, 3712, '\P{IS-LAO}', "");
Expect(0, 3712, '\P{^IS-LAO}', "");
Error('\p{	/a/LAOO}');
Error('\P{	/a/LAOO}');
Expect(1, 3714, '\p{laoo}', "");
Expect(0, 3714, '\p{^laoo}', "");
Expect(0, 3714, '\P{laoo}', "");
Expect(1, 3714, '\P{^laoo}', "");
Expect(0, 3712, '\p{laoo}', "");
Expect(1, 3712, '\p{^laoo}', "");
Expect(1, 3712, '\P{laoo}', "");
Expect(0, 3712, '\P{^laoo}', "");
Expect(1, 3714, '\p{_LAOO}', "");
Expect(0, 3714, '\p{^_LAOO}', "");
Expect(0, 3714, '\P{_LAOO}', "");
Expect(1, 3714, '\P{^_LAOO}', "");
Expect(0, 3712, '\p{_LAOO}', "");
Expect(1, 3712, '\p{^_LAOO}', "");
Expect(1, 3712, '\P{_LAOO}', "");
Expect(0, 3712, '\P{^_LAOO}', "");
Error('\p{:=	_Is-Laoo}');
Error('\P{:=	_Is-Laoo}');
Expect(1, 3714, '\p{islaoo}', "");
Expect(0, 3714, '\p{^islaoo}', "");
Expect(0, 3714, '\P{islaoo}', "");
Expect(1, 3714, '\P{^islaoo}', "");
Expect(0, 3712, '\p{islaoo}', "");
Expect(1, 3712, '\p{^islaoo}', "");
Expect(1, 3712, '\P{islaoo}', "");
Expect(0, 3712, '\P{^islaoo}', "");
Expect(1, 3714, '\p{-ISLaoo}', "");
Expect(0, 3714, '\p{^-ISLaoo}', "");
Expect(0, 3714, '\P{-ISLaoo}', "");
Expect(1, 3714, '\P{^-ISLaoo}', "");
Expect(0, 3712, '\p{-ISLaoo}', "");
Expect(1, 3712, '\p{^-ISLaoo}', "");
Expect(1, 3712, '\P{-ISLaoo}', "");
Expect(0, 3712, '\P{^-ISLaoo}', "");
Error('\p{_/a/DIGIT}');
Error('\P{_/a/DIGIT}');
Expect(1, 57, '\p{digit}', "");
Expect(0, 57, '\p{^digit}', "");
Expect(0, 57, '\P{digit}', "");
Expect(1, 57, '\P{^digit}', "");
Expect(0, 47, '\p{digit}', "");
Expect(1, 47, '\p{^digit}', "");
Expect(1, 47, '\P{digit}', "");
Expect(0, 47, '\P{^digit}', "");
Expect(1, 57, '\p{	_Digit}', "");
Expect(0, 57, '\p{^	_Digit}', "");
Expect(0, 57, '\P{	_Digit}', "");
Expect(1, 57, '\P{^	_Digit}', "");
Expect(0, 47, '\p{	_Digit}', "");
Expect(1, 47, '\p{^	_Digit}', "");
Expect(1, 47, '\P{	_Digit}', "");
Expect(0, 47, '\P{^	_Digit}', "");
Error('\p{	Is/a/digit}');
Error('\P{	Is/a/digit}');
Expect(1, 57, '\p{isdigit}', "");
Expect(0, 57, '\p{^isdigit}', "");
Expect(0, 57, '\P{isdigit}', "");
Expect(1, 57, '\P{^isdigit}', "");
Expect(0, 47, '\p{isdigit}', "");
Expect(1, 47, '\p{^isdigit}', "");
Expect(1, 47, '\P{isdigit}', "");
Expect(0, 47, '\P{^isdigit}', "");
Expect(1, 57, '\p{	 IS Digit}', "");
Expect(0, 57, '\p{^	 IS Digit}', "");
Expect(0, 57, '\P{	 IS Digit}', "");
Expect(1, 57, '\P{^	 IS Digit}', "");
Expect(0, 47, '\p{	 IS Digit}', "");
Expect(1, 47, '\p{^	 IS Digit}', "");
Expect(1, 47, '\P{	 IS Digit}', "");
Expect(0, 47, '\P{^	 IS Digit}', "");
Error('\p{_Decimal-NUMBER:=}');
Error('\P{_Decimal-NUMBER:=}');
Expect(1, 57, '\p{decimalnumber}', "");
Expect(0, 57, '\p{^decimalnumber}', "");
Expect(0, 57, '\P{decimalnumber}', "");
Expect(1, 57, '\P{^decimalnumber}', "");
Expect(0, 47, '\p{decimalnumber}', "");
Expect(1, 47, '\p{^decimalnumber}', "");
Expect(1, 47, '\P{decimalnumber}', "");
Expect(0, 47, '\P{^decimalnumber}', "");
Expect(1, 57, '\p{	decimalnumber}', "");
Expect(0, 57, '\p{^	decimalnumber}', "");
Expect(0, 57, '\P{	decimalnumber}', "");
Expect(1, 57, '\P{^	decimalnumber}', "");
Expect(0, 47, '\p{	decimalnumber}', "");
Expect(1, 47, '\p{^	decimalnumber}', "");
Expect(1, 47, '\P{	decimalnumber}', "");
Expect(0, 47, '\P{^	decimalnumber}', "");
Error('\p{-:=IS_Decimal-Number}');
Error('\P{-:=IS_Decimal-Number}');
Expect(1, 57, '\p{isdecimalnumber}', "");
Expect(0, 57, '\p{^isdecimalnumber}', "");
Expect(0, 57, '\P{isdecimalnumber}', "");
Expect(1, 57, '\P{^isdecimalnumber}', "");
Expect(0, 47, '\p{isdecimalnumber}', "");
Expect(1, 47, '\p{^isdecimalnumber}', "");
Expect(1, 47, '\P{isdecimalnumber}', "");
Expect(0, 47, '\P{^isdecimalnumber}', "");
Expect(1, 57, '\p{ -IsDECIMAL-NUMBER}', "");
Expect(0, 57, '\p{^ -IsDECIMAL-NUMBER}', "");
Expect(0, 57, '\P{ -IsDECIMAL-NUMBER}', "");
Expect(1, 57, '\P{^ -IsDECIMAL-NUMBER}', "");
Expect(0, 47, '\p{ -IsDECIMAL-NUMBER}', "");
Expect(1, 47, '\p{^ -IsDECIMAL-NUMBER}', "");
Expect(1, 47, '\P{ -IsDECIMAL-NUMBER}', "");
Expect(0, 47, '\P{^ -IsDECIMAL-NUMBER}', "");
Error('\p{ /a/nd}');
Error('\P{ /a/nd}');
Expect(1, 57, '\p{nd}', "");
Expect(0, 57, '\p{^nd}', "");
Expect(0, 57, '\P{nd}', "");
Expect(1, 57, '\P{^nd}', "");
Expect(0, 47, '\p{nd}', "");
Expect(1, 47, '\p{^nd}', "");
Expect(1, 47, '\P{nd}', "");
Expect(0, 47, '\P{^nd}', "");
Expect(1, 57, '\p{__Nd}', "");
Expect(0, 57, '\p{^__Nd}', "");
Expect(0, 57, '\P{__Nd}', "");
Expect(1, 57, '\P{^__Nd}', "");
Expect(0, 47, '\p{__Nd}', "");
Expect(1, 47, '\p{^__Nd}', "");
Expect(1, 47, '\P{__Nd}', "");
Expect(0, 47, '\P{^__Nd}', "");
Error('\p{ 	IsND/a/}');
Error('\P{ 	IsND/a/}');
Expect(1, 57, '\p{isnd}', "");
Expect(0, 57, '\p{^isnd}', "");
Expect(0, 57, '\P{isnd}', "");
Expect(1, 57, '\P{^isnd}', "");
Expect(0, 47, '\p{isnd}', "");
Expect(1, 47, '\p{^isnd}', "");
Expect(1, 47, '\P{isnd}', "");
Expect(0, 47, '\P{^isnd}', "");
Expect(1, 57, '\p{	_IS Nd}', "");
Expect(0, 57, '\p{^	_IS Nd}', "");
Expect(0, 57, '\P{	_IS Nd}', "");
Expect(1, 57, '\P{^	_IS Nd}', "");
Expect(0, 47, '\p{	_IS Nd}', "");
Expect(1, 47, '\p{^	_IS Nd}', "");
Expect(1, 47, '\P{	_IS Nd}', "");
Expect(0, 47, '\P{^	_IS Nd}', "");
Error('\p{_:=Osmanya}');
Error('\P{_:=Osmanya}');
Expect(1, 66717, '\p{osmanya}', "");
Expect(0, 66717, '\p{^osmanya}', "");
Expect(0, 66717, '\P{osmanya}', "");
Expect(1, 66717, '\P{^osmanya}', "");
Expect(0, 66687, '\p{osmanya}', "");
Expect(1, 66687, '\p{^osmanya}', "");
Expect(1, 66687, '\P{osmanya}', "");
Expect(0, 66687, '\P{^osmanya}', "");
Expect(1, 66717, '\p{--Osmanya}', "");
Expect(0, 66717, '\p{^--Osmanya}', "");
Expect(0, 66717, '\P{--Osmanya}', "");
Expect(1, 66717, '\P{^--Osmanya}', "");
Expect(0, 66687, '\p{--Osmanya}', "");
Expect(1, 66687, '\p{^--Osmanya}', "");
Expect(1, 66687, '\P{--Osmanya}', "");
Expect(0, 66687, '\P{^--Osmanya}', "");
Error('\p{_:=Is	Osmanya}');
Error('\P{_:=Is	Osmanya}');
Expect(1, 66717, '\p{isosmanya}', "");
Expect(0, 66717, '\p{^isosmanya}', "");
Expect(0, 66717, '\P{isosmanya}', "");
Expect(1, 66717, '\P{^isosmanya}', "");
Expect(0, 66687, '\p{isosmanya}', "");
Expect(1, 66687, '\p{^isosmanya}', "");
Expect(1, 66687, '\P{isosmanya}', "");
Expect(0, 66687, '\P{^isosmanya}', "");
Expect(1, 66717, '\p{_ IsOsmanya}', "");
Expect(0, 66717, '\p{^_ IsOsmanya}', "");
Expect(0, 66717, '\P{_ IsOsmanya}', "");
Expect(1, 66717, '\P{^_ IsOsmanya}', "");
Expect(0, 66687, '\p{_ IsOsmanya}', "");
Expect(1, 66687, '\p{^_ IsOsmanya}', "");
Expect(1, 66687, '\P{_ IsOsmanya}', "");
Expect(0, 66687, '\P{^_ IsOsmanya}', "");
Error('\p{_-osma/a/}');
Error('\P{_-osma/a/}');
Expect(1, 66717, '\p{osma}', "");
Expect(0, 66717, '\p{^osma}', "");
Expect(0, 66717, '\P{osma}', "");
Expect(1, 66717, '\P{^osma}', "");
Expect(0, 66687, '\p{osma}', "");
Expect(1, 66687, '\p{^osma}', "");
Expect(1, 66687, '\P{osma}', "");
Expect(0, 66687, '\P{^osma}', "");
Expect(1, 66717, '\p{	_Osma}', "");
Expect(0, 66717, '\p{^	_Osma}', "");
Expect(0, 66717, '\P{	_Osma}', "");
Expect(1, 66717, '\P{^	_Osma}', "");
Expect(0, 66687, '\p{	_Osma}', "");
Expect(1, 66687, '\p{^	_Osma}', "");
Expect(1, 66687, '\P{	_Osma}', "");
Expect(0, 66687, '\P{^	_Osma}', "");
Error('\p{ Is-Osma/a/}');
Error('\P{ Is-Osma/a/}');
Expect(1, 66717, '\p{isosma}', "");
Expect(0, 66717, '\p{^isosma}', "");
Expect(0, 66717, '\P{isosma}', "");
Expect(1, 66717, '\P{^isosma}', "");
Expect(0, 66687, '\p{isosma}', "");
Expect(1, 66687, '\p{^isosma}', "");
Expect(1, 66687, '\P{isosma}', "");
Expect(0, 66687, '\P{^isosma}', "");
Expect(1, 66717, '\p{_ is_osma}', "");
Expect(0, 66717, '\p{^_ is_osma}', "");
Expect(0, 66717, '\P{_ is_osma}', "");
Expect(1, 66717, '\P{^_ is_osma}', "");
Expect(0, 66687, '\p{_ is_osma}', "");
Expect(1, 66687, '\p{^_ is_osma}', "");
Expect(1, 66687, '\P{_ is_osma}', "");
Expect(0, 66687, '\P{^_ is_osma}', "");
Error('\p{:=_ Unified-Ideograph}');
Error('\P{:=_ Unified-Ideograph}');
Expect(1, 19893, '\p{unifiedideograph}', "");
Expect(0, 19893, '\p{^unifiedideograph}', "");
Expect(0, 19893, '\P{unifiedideograph}', "");
Expect(1, 19893, '\P{^unifiedideograph}', "");
Expect(0, 13311, '\p{unifiedideograph}', "");
Expect(1, 13311, '\p{^unifiedideograph}', "");
Expect(1, 13311, '\P{unifiedideograph}', "");
Expect(0, 13311, '\P{^unifiedideograph}', "");
Expect(1, 19893, '\p{-UNIFIED Ideograph}', "");
Expect(0, 19893, '\p{^-UNIFIED Ideograph}', "");
Expect(0, 19893, '\P{-UNIFIED Ideograph}', "");
Expect(1, 19893, '\P{^-UNIFIED Ideograph}', "");
Expect(0, 13311, '\p{-UNIFIED Ideograph}', "");
Expect(1, 13311, '\p{^-UNIFIED Ideograph}', "");
Expect(1, 13311, '\P{-UNIFIED Ideograph}', "");
Expect(0, 13311, '\P{^-UNIFIED Ideograph}', "");
Error('\p{ _is	UNIFIED:=ideograph}');
Error('\P{ _is	UNIFIED:=ideograph}');
Expect(1, 19893, '\p{isunifiedideograph}', "");
Expect(0, 19893, '\p{^isunifiedideograph}', "");
Expect(0, 19893, '\P{isunifiedideograph}', "");
Expect(1, 19893, '\P{^isunifiedideograph}', "");
Expect(0, 13311, '\p{isunifiedideograph}', "");
Expect(1, 13311, '\p{^isunifiedideograph}', "");
Expect(1, 13311, '\P{isunifiedideograph}', "");
Expect(0, 13311, '\P{^isunifiedideograph}', "");
Expect(1, 19893, '\p{_-isUNIFIED-ideograph}', "");
Expect(0, 19893, '\p{^_-isUNIFIED-ideograph}', "");
Expect(0, 19893, '\P{_-isUNIFIED-ideograph}', "");
Expect(1, 19893, '\P{^_-isUNIFIED-ideograph}', "");
Expect(0, 13311, '\p{_-isUNIFIED-ideograph}', "");
Expect(1, 13311, '\p{^_-isUNIFIED-ideograph}', "");
Expect(1, 13311, '\P{_-isUNIFIED-ideograph}', "");
Expect(0, 13311, '\P{^_-isUNIFIED-ideograph}', "");
Error('\p{/a/UIDEO}');
Error('\P{/a/UIDEO}');
Expect(1, 19893, '\p{uideo}', "");
Expect(0, 19893, '\p{^uideo}', "");
Expect(0, 19893, '\P{uideo}', "");
Expect(1, 19893, '\P{^uideo}', "");
Expect(0, 13311, '\p{uideo}', "");
Expect(1, 13311, '\p{^uideo}', "");
Expect(1, 13311, '\P{uideo}', "");
Expect(0, 13311, '\P{^uideo}', "");
Expect(1, 19893, '\p{  UIdeo}', "");
Expect(0, 19893, '\p{^  UIdeo}', "");
Expect(0, 19893, '\P{  UIdeo}', "");
Expect(1, 19893, '\P{^  UIdeo}', "");
Expect(0, 13311, '\p{  UIdeo}', "");
Expect(1, 13311, '\p{^  UIdeo}', "");
Expect(1, 13311, '\P{  UIdeo}', "");
Expect(0, 13311, '\P{^  UIdeo}', "");
Error('\p{_IsUIdeo:=}');
Error('\P{_IsUIdeo:=}');
Expect(1, 19893, '\p{isuideo}', "");
Expect(0, 19893, '\p{^isuideo}', "");
Expect(0, 19893, '\P{isuideo}', "");
Expect(1, 19893, '\P{^isuideo}', "");
Expect(0, 13311, '\p{isuideo}', "");
Expect(1, 13311, '\p{^isuideo}', "");
Expect(1, 13311, '\P{isuideo}', "");
Expect(0, 13311, '\P{^isuideo}', "");
Expect(1, 19893, '\p{ -is UIdeo}', "");
Expect(0, 19893, '\p{^ -is UIdeo}', "");
Expect(0, 19893, '\P{ -is UIdeo}', "");
Expect(1, 19893, '\P{^ -is UIdeo}', "");
Expect(0, 13311, '\p{ -is UIdeo}', "");
Expect(1, 13311, '\p{^ -is UIdeo}', "");
Expect(1, 13311, '\P{ -is UIdeo}', "");
Expect(0, 13311, '\P{^ -is UIdeo}', "");
Error('\p{	 bopomofo/a/}');
Error('\P{	 bopomofo/a/}');
Expect(1, 12589, '\p{bopomofo}', "");
Expect(0, 12589, '\p{^bopomofo}', "");
Expect(0, 12589, '\P{bopomofo}', "");
Expect(1, 12589, '\P{^bopomofo}', "");
Expect(0, 12548, '\p{bopomofo}', "");
Expect(1, 12548, '\p{^bopomofo}', "");
Expect(1, 12548, '\P{bopomofo}', "");
Expect(0, 12548, '\P{^bopomofo}', "");
Expect(1, 12589, '\p{-_Bopomofo}', "");
Expect(0, 12589, '\p{^-_Bopomofo}', "");
Expect(0, 12589, '\P{-_Bopomofo}', "");
Expect(1, 12589, '\P{^-_Bopomofo}', "");
Expect(0, 12548, '\p{-_Bopomofo}', "");
Expect(1, 12548, '\p{^-_Bopomofo}', "");
Expect(1, 12548, '\P{-_Bopomofo}', "");
Expect(0, 12548, '\P{^-_Bopomofo}', "");
Error('\p{_/a/Is_Bopomofo}');
Error('\P{_/a/Is_Bopomofo}');
Expect(1, 12589, '\p{isbopomofo}', "");
Expect(0, 12589, '\p{^isbopomofo}', "");
Expect(0, 12589, '\P{isbopomofo}', "");
Expect(1, 12589, '\P{^isbopomofo}', "");
Expect(0, 12548, '\p{isbopomofo}', "");
Expect(1, 12548, '\p{^isbopomofo}', "");
Expect(1, 12548, '\P{isbopomofo}', "");
Expect(0, 12548, '\P{^isbopomofo}', "");
Expect(1, 12589, '\p{  isBOPOMOFO}', "");
Expect(0, 12589, '\p{^  isBOPOMOFO}', "");
Expect(0, 12589, '\P{  isBOPOMOFO}', "");
Expect(1, 12589, '\P{^  isBOPOMOFO}', "");
Expect(0, 12548, '\p{  isBOPOMOFO}', "");
Expect(1, 12548, '\p{^  isBOPOMOFO}', "");
Expect(1, 12548, '\P{  isBOPOMOFO}', "");
Expect(0, 12548, '\P{^  isBOPOMOFO}', "");
Error('\p{ /a/bopo}');
Error('\P{ /a/bopo}');
Expect(1, 12589, '\p{bopo}', "");
Expect(0, 12589, '\p{^bopo}', "");
Expect(0, 12589, '\P{bopo}', "");
Expect(1, 12589, '\P{^bopo}', "");
Expect(0, 12548, '\p{bopo}', "");
Expect(1, 12548, '\p{^bopo}', "");
Expect(1, 12548, '\P{bopo}', "");
Expect(0, 12548, '\P{^bopo}', "");
Expect(1, 12589, '\p{ BOPO}', "");
Expect(0, 12589, '\p{^ BOPO}', "");
Expect(0, 12589, '\P{ BOPO}', "");
Expect(1, 12589, '\P{^ BOPO}', "");
Expect(0, 12548, '\p{ BOPO}', "");
Expect(1, 12548, '\p{^ BOPO}', "");
Expect(1, 12548, '\P{ BOPO}', "");
Expect(0, 12548, '\P{^ BOPO}', "");
Error('\p{/a/is BOPO}');
Error('\P{/a/is BOPO}');
Expect(1, 12589, '\p{isbopo}', "");
Expect(0, 12589, '\p{^isbopo}', "");
Expect(0, 12589, '\P{isbopo}', "");
Expect(1, 12589, '\P{^isbopo}', "");
Expect(0, 12548, '\p{isbopo}', "");
Expect(1, 12548, '\p{^isbopo}', "");
Expect(1, 12548, '\P{isbopo}', "");
Expect(0, 12548, '\P{^isbopo}', "");
Expect(1, 12589, '\p{IS	Bopo}', "");
Expect(0, 12589, '\p{^IS	Bopo}', "");
Expect(0, 12589, '\P{IS	Bopo}', "");
Expect(1, 12589, '\P{^IS	Bopo}', "");
Expect(0, 12548, '\p{IS	Bopo}', "");
Expect(1, 12548, '\p{^IS	Bopo}', "");
Expect(1, 12548, '\P{IS	Bopo}', "");
Expect(0, 12548, '\P{^IS	Bopo}', "");
Error('\p{:=Miscellaneoustechnical}');
Error('\P{:=Miscellaneoustechnical}');
Expect(1, 9215, '\p{miscellaneoustechnical}', "");
Expect(0, 9215, '\p{^miscellaneoustechnical}', "");
Expect(0, 9215, '\P{miscellaneoustechnical}', "");
Expect(1, 9215, '\P{^miscellaneoustechnical}', "");
Expect(0, 8959, '\p{miscellaneoustechnical}', "");
Expect(1, 8959, '\p{^miscellaneoustechnical}', "");
Expect(1, 8959, '\P{miscellaneoustechnical}', "");
Expect(0, 8959, '\P{^miscellaneoustechnical}', "");
Expect(1, 9215, '\p{		Miscellaneous	Technical}', "");
Expect(0, 9215, '\p{^		Miscellaneous	Technical}', "");
Expect(0, 9215, '\P{		Miscellaneous	Technical}', "");
Expect(1, 9215, '\P{^		Miscellaneous	Technical}', "");
Expect(0, 8959, '\p{		Miscellaneous	Technical}', "");
Expect(1, 8959, '\p{^		Miscellaneous	Technical}', "");
Expect(1, 8959, '\P{		Miscellaneous	Technical}', "");
Expect(0, 8959, '\P{^		Miscellaneous	Technical}', "");
Error('\p{	:=is-MiscellaneousTECHNICAL}');
Error('\P{	:=is-MiscellaneousTECHNICAL}');
Expect(1, 9215, '\p{ismiscellaneoustechnical}', "");
Expect(0, 9215, '\p{^ismiscellaneoustechnical}', "");
Expect(0, 9215, '\P{ismiscellaneoustechnical}', "");
Expect(1, 9215, '\P{^ismiscellaneoustechnical}', "");
Expect(0, 8959, '\p{ismiscellaneoustechnical}', "");
Expect(1, 8959, '\p{^ismiscellaneoustechnical}', "");
Expect(1, 8959, '\P{ismiscellaneoustechnical}', "");
Expect(0, 8959, '\P{^ismiscellaneoustechnical}', "");
Expect(1, 9215, '\p{ Is Miscellaneous Technical}', "");
Expect(0, 9215, '\p{^ Is Miscellaneous Technical}', "");
Expect(0, 9215, '\P{ Is Miscellaneous Technical}', "");
Expect(1, 9215, '\P{^ Is Miscellaneous Technical}', "");
Expect(0, 8959, '\p{ Is Miscellaneous Technical}', "");
Expect(1, 8959, '\p{^ Is Miscellaneous Technical}', "");
Expect(1, 8959, '\P{ Is Miscellaneous Technical}', "");
Expect(0, 8959, '\P{^ Is Miscellaneous Technical}', "");
Error('\p{/a/	-In miscellaneous_Technical}');
Error('\P{/a/	-In miscellaneous_Technical}');
Expect(1, 9215, '\p{inmiscellaneoustechnical}', "");
Expect(0, 9215, '\p{^inmiscellaneoustechnical}', "");
Expect(0, 9215, '\P{inmiscellaneoustechnical}', "");
Expect(1, 9215, '\P{^inmiscellaneoustechnical}', "");
Expect(0, 8959, '\p{inmiscellaneoustechnical}', "");
Expect(1, 8959, '\p{^inmiscellaneoustechnical}', "");
Expect(1, 8959, '\P{inmiscellaneoustechnical}', "");
Expect(0, 8959, '\P{^inmiscellaneoustechnical}', "");
Expect(1, 9215, '\p{__In Miscellaneoustechnical}', "");
Expect(0, 9215, '\p{^__In Miscellaneoustechnical}', "");
Expect(0, 9215, '\P{__In Miscellaneoustechnical}', "");
Expect(1, 9215, '\P{^__In Miscellaneoustechnical}', "");
Expect(0, 8959, '\p{__In Miscellaneoustechnical}', "");
Expect(1, 8959, '\p{^__In Miscellaneoustechnical}', "");
Expect(1, 8959, '\P{__In Miscellaneoustechnical}', "");
Expect(0, 8959, '\P{^__In Miscellaneoustechnical}', "");
Error('\p{/a/ Mahjongtiles}');
Error('\P{/a/ Mahjongtiles}');
Expect(1, 127023, '\p{mahjongtiles}', "");
Expect(0, 127023, '\p{^mahjongtiles}', "");
Expect(0, 127023, '\P{mahjongtiles}', "");
Expect(1, 127023, '\P{^mahjongtiles}', "");
Expect(0, 126975, '\p{mahjongtiles}', "");
Expect(1, 126975, '\p{^mahjongtiles}', "");
Expect(1, 126975, '\P{mahjongtiles}', "");
Expect(0, 126975, '\P{^mahjongtiles}', "");
Expect(1, 127023, '\p{-	MAHJONGTiles}', "");
Expect(0, 127023, '\p{^-	MAHJONGTiles}', "");
Expect(0, 127023, '\P{-	MAHJONGTiles}', "");
Expect(1, 127023, '\P{^-	MAHJONGTiles}', "");
Expect(0, 126975, '\p{-	MAHJONGTiles}', "");
Expect(1, 126975, '\p{^-	MAHJONGTiles}', "");
Expect(1, 126975, '\P{-	MAHJONGTiles}', "");
Expect(0, 126975, '\P{^-	MAHJONGTiles}', "");
Error('\p{ /a/IS	Mahjong tiles}');
Error('\P{ /a/IS	Mahjong tiles}');
Expect(1, 127023, '\p{ismahjongtiles}', "");
Expect(0, 127023, '\p{^ismahjongtiles}', "");
Expect(0, 127023, '\P{ismahjongtiles}', "");
Expect(1, 127023, '\P{^ismahjongtiles}', "");
Expect(0, 126975, '\p{ismahjongtiles}', "");
Expect(1, 126975, '\p{^ismahjongtiles}', "");
Expect(1, 126975, '\P{ismahjongtiles}', "");
Expect(0, 126975, '\P{^ismahjongtiles}', "");
Expect(1, 127023, '\p{-is Mahjong	Tiles}', "");
Expect(0, 127023, '\p{^-is Mahjong	Tiles}', "");
Expect(0, 127023, '\P{-is Mahjong	Tiles}', "");
Expect(1, 127023, '\P{^-is Mahjong	Tiles}', "");
Expect(0, 126975, '\p{-is Mahjong	Tiles}', "");
Expect(1, 126975, '\p{^-is Mahjong	Tiles}', "");
Expect(1, 126975, '\P{-is Mahjong	Tiles}', "");
Expect(0, 126975, '\P{^-is Mahjong	Tiles}', "");
Error('\p{_:=In_mahjong	TILES}');
Error('\P{_:=In_mahjong	TILES}');
Expect(1, 127023, '\p{inmahjongtiles}', "");
Expect(0, 127023, '\p{^inmahjongtiles}', "");
Expect(0, 127023, '\P{inmahjongtiles}', "");
Expect(1, 127023, '\P{^inmahjongtiles}', "");
Expect(0, 126975, '\p{inmahjongtiles}', "");
Expect(1, 126975, '\p{^inmahjongtiles}', "");
Expect(1, 126975, '\P{inmahjongtiles}', "");
Expect(0, 126975, '\P{^inmahjongtiles}', "");
Expect(1, 127023, '\p{	-IN-MAHJONG	tiles}', "");
Expect(0, 127023, '\p{^	-IN-MAHJONG	tiles}', "");
Expect(0, 127023, '\P{	-IN-MAHJONG	tiles}', "");
Expect(1, 127023, '\P{^	-IN-MAHJONG	tiles}', "");
Expect(0, 126975, '\p{	-IN-MAHJONG	tiles}', "");
Expect(1, 126975, '\p{^	-IN-MAHJONG	tiles}', "");
Expect(1, 126975, '\P{	-IN-MAHJONG	tiles}', "");
Expect(0, 126975, '\P{^	-IN-MAHJONG	tiles}', "");
Error('\p{--Miscellaneous:=MATHEMATICAL-Symbols	b}');
Error('\P{--Miscellaneous:=MATHEMATICAL-Symbols	b}');
Expect(1, 10751, '\p{miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\p{miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\p{^miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\P{miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\P{^miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{_-Miscellaneous_Mathematicalsymbols_b}', "");
Expect(0, 10751, '\p{^_-Miscellaneous_Mathematicalsymbols_b}', "");
Expect(0, 10751, '\P{_-Miscellaneous_Mathematicalsymbols_b}', "");
Expect(1, 10751, '\P{^_-Miscellaneous_Mathematicalsymbols_b}', "");
Expect(0, 10623, '\p{_-Miscellaneous_Mathematicalsymbols_b}', "");
Expect(1, 10623, '\p{^_-Miscellaneous_Mathematicalsymbols_b}', "");
Expect(1, 10623, '\P{_-Miscellaneous_Mathematicalsymbols_b}', "");
Expect(0, 10623, '\P{^_-Miscellaneous_Mathematicalsymbols_b}', "");
Error('\p{ :=Is-MiscellaneousMATHEMATICAL-symbols_b}');
Error('\P{ :=Is-MiscellaneousMATHEMATICAL-symbols_b}');
Expect(1, 10751, '\p{ismiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^ismiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{ismiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^ismiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\p{ismiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\p{^ismiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\P{ismiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\P{^ismiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{ 	IsMISCELLANEOUSMathematical_Symbols_B}', "");
Expect(0, 10751, '\p{^ 	IsMISCELLANEOUSMathematical_Symbols_B}', "");
Expect(0, 10751, '\P{ 	IsMISCELLANEOUSMathematical_Symbols_B}', "");
Expect(1, 10751, '\P{^ 	IsMISCELLANEOUSMathematical_Symbols_B}', "");
Expect(0, 10623, '\p{ 	IsMISCELLANEOUSMathematical_Symbols_B}', "");
Expect(1, 10623, '\p{^ 	IsMISCELLANEOUSMathematical_Symbols_B}', "");
Expect(1, 10623, '\P{ 	IsMISCELLANEOUSMathematical_Symbols_B}', "");
Expect(0, 10623, '\P{^ 	IsMISCELLANEOUSMathematical_Symbols_B}', "");
Error('\p{-/a/In_Miscellaneous	MATHEMATICAL_SymbolsB}');
Error('\P{-/a/In_Miscellaneous	MATHEMATICAL_SymbolsB}');
Expect(1, 10751, '\p{inmiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^inmiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{inmiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^inmiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\p{inmiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\p{^inmiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10623, '\P{inmiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10623, '\P{^inmiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{ IN-MISCELLANEOUS mathematical-Symbols-B}', "");
Expect(0, 10751, '\p{^ IN-MISCELLANEOUS mathematical-Symbols-B}', "");
Expect(0, 10751, '\P{ IN-MISCELLANEOUS mathematical-Symbols-B}', "");
Expect(1, 10751, '\P{^ IN-MISCELLANEOUS mathematical-Symbols-B}', "");
Expect(0, 10623, '\p{ IN-MISCELLANEOUS mathematical-Symbols-B}', "");
Expect(1, 10623, '\p{^ IN-MISCELLANEOUS mathematical-Symbols-B}', "");
Expect(1, 10623, '\P{ IN-MISCELLANEOUS mathematical-Symbols-B}', "");
Expect(0, 10623, '\P{^ IN-MISCELLANEOUS mathematical-Symbols-B}', "");
Error('\p{-_enclosed:=Ideographic supplement}');
Error('\P{-_enclosed:=Ideographic supplement}');
Expect(1, 127743, '\p{enclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^enclosedideographicsupplement}', "");
Expect(0, 127743, '\P{enclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^enclosedideographicsupplement}', "");
Expect(0, 127487, '\p{enclosedideographicsupplement}', "");
Expect(1, 127487, '\p{^enclosedideographicsupplement}', "");
Expect(1, 127487, '\P{enclosedideographicsupplement}', "");
Expect(0, 127487, '\P{^enclosedideographicsupplement}', "");
Expect(1, 127743, '\p{	Enclosed Ideographic	Supplement}', "");
Expect(0, 127743, '\p{^	Enclosed Ideographic	Supplement}', "");
Expect(0, 127743, '\P{	Enclosed Ideographic	Supplement}', "");
Expect(1, 127743, '\P{^	Enclosed Ideographic	Supplement}', "");
Expect(0, 127487, '\p{	Enclosed Ideographic	Supplement}', "");
Expect(1, 127487, '\p{^	Enclosed Ideographic	Supplement}', "");
Expect(1, 127487, '\P{	Enclosed Ideographic	Supplement}', "");
Expect(0, 127487, '\P{^	Enclosed Ideographic	Supplement}', "");
Error('\p{ 	Is Enclosed:=IDEOGRAPHIC_Supplement}');
Error('\P{ 	Is Enclosed:=IDEOGRAPHIC_Supplement}');
Expect(1, 127743, '\p{isenclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^isenclosedideographicsupplement}', "");
Expect(0, 127743, '\P{isenclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^isenclosedideographicsupplement}', "");
Expect(0, 127487, '\p{isenclosedideographicsupplement}', "");
Expect(1, 127487, '\p{^isenclosedideographicsupplement}', "");
Expect(1, 127487, '\P{isenclosedideographicsupplement}', "");
Expect(0, 127487, '\P{^isenclosedideographicsupplement}', "");
Expect(1, 127743, '\p{ ISEnclosed-IDEOGRAPHIC-Supplement}', "");
Expect(0, 127743, '\p{^ ISEnclosed-IDEOGRAPHIC-Supplement}', "");
Expect(0, 127743, '\P{ ISEnclosed-IDEOGRAPHIC-Supplement}', "");
Expect(1, 127743, '\P{^ ISEnclosed-IDEOGRAPHIC-Supplement}', "");
Expect(0, 127487, '\p{ ISEnclosed-IDEOGRAPHIC-Supplement}', "");
Expect(1, 127487, '\p{^ ISEnclosed-IDEOGRAPHIC-Supplement}', "");
Expect(1, 127487, '\P{ ISEnclosed-IDEOGRAPHIC-Supplement}', "");
Expect(0, 127487, '\P{^ ISEnclosed-IDEOGRAPHIC-Supplement}', "");
Error('\p{_/a/in Enclosed	Ideographic	SUPPLEMENT}');
Error('\P{_/a/in Enclosed	Ideographic	SUPPLEMENT}');
Expect(1, 127743, '\p{inenclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^inenclosedideographicsupplement}', "");
Expect(0, 127743, '\P{inenclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^inenclosedideographicsupplement}', "");
Expect(0, 127487, '\p{inenclosedideographicsupplement}', "");
Expect(1, 127487, '\p{^inenclosedideographicsupplement}', "");
Expect(1, 127487, '\P{inenclosedideographicsupplement}', "");
Expect(0, 127487, '\P{^inenclosedideographicsupplement}', "");
Expect(1, 127743, '\p{--In_Enclosed-Ideographic-Supplement}', "");
Expect(0, 127743, '\p{^--In_Enclosed-Ideographic-Supplement}', "");
Expect(0, 127743, '\P{--In_Enclosed-Ideographic-Supplement}', "");
Expect(1, 127743, '\P{^--In_Enclosed-Ideographic-Supplement}', "");
Expect(0, 127487, '\p{--In_Enclosed-Ideographic-Supplement}', "");
Expect(1, 127487, '\p{^--In_Enclosed-Ideographic-Supplement}', "");
Expect(1, 127487, '\P{--In_Enclosed-Ideographic-Supplement}', "");
Expect(0, 127487, '\P{^--In_Enclosed-Ideographic-Supplement}', "");
Error('\p{-/a/Malayalam}');
Error('\P{-/a/Malayalam}');
Expect(1, 3331, '\p{malayalam}', "");
Expect(0, 3331, '\p{^malayalam}', "");
Expect(0, 3331, '\P{malayalam}', "");
Expect(1, 3331, '\P{^malayalam}', "");
Expect(0, 3329, '\p{malayalam}', "");
Expect(1, 3329, '\p{^malayalam}', "");
Expect(1, 3329, '\P{malayalam}', "");
Expect(0, 3329, '\P{^malayalam}', "");
Expect(1, 3331, '\p{ 	MALAYALAM}', "");
Expect(0, 3331, '\p{^ 	MALAYALAM}', "");
Expect(0, 3331, '\P{ 	MALAYALAM}', "");
Expect(1, 3331, '\P{^ 	MALAYALAM}', "");
Expect(0, 3329, '\p{ 	MALAYALAM}', "");
Expect(1, 3329, '\p{^ 	MALAYALAM}', "");
Expect(1, 3329, '\P{ 	MALAYALAM}', "");
Expect(0, 3329, '\P{^ 	MALAYALAM}', "");
Error('\p{	/a/IS	Malayalam}');
Error('\P{	/a/IS	Malayalam}');
Expect(1, 3331, '\p{ismalayalam}', "");
Expect(0, 3331, '\p{^ismalayalam}', "");
Expect(0, 3331, '\P{ismalayalam}', "");
Expect(1, 3331, '\P{^ismalayalam}', "");
Expect(0, 3329, '\p{ismalayalam}', "");
Expect(1, 3329, '\p{^ismalayalam}', "");
Expect(1, 3329, '\P{ismalayalam}', "");
Expect(0, 3329, '\P{^ismalayalam}', "");
Expect(1, 3331, '\p{	is	Malayalam}', "");
Expect(0, 3331, '\p{^	is	Malayalam}', "");
Expect(0, 3331, '\P{	is	Malayalam}', "");
Expect(1, 3331, '\P{^	is	Malayalam}', "");
Expect(0, 3329, '\p{	is	Malayalam}', "");
Expect(1, 3329, '\p{^	is	Malayalam}', "");
Expect(1, 3329, '\P{	is	Malayalam}', "");
Expect(0, 3329, '\P{^	is	Malayalam}', "");
Error('\p{-/a/Mlym}');
Error('\P{-/a/Mlym}');
Expect(1, 3331, '\p{mlym}', "");
Expect(0, 3331, '\p{^mlym}', "");
Expect(0, 3331, '\P{mlym}', "");
Expect(1, 3331, '\P{^mlym}', "");
Expect(0, 3329, '\p{mlym}', "");
Expect(1, 3329, '\p{^mlym}', "");
Expect(1, 3329, '\P{mlym}', "");
Expect(0, 3329, '\P{^mlym}', "");
Expect(1, 3331, '\p{	Mlym}', "");
Expect(0, 3331, '\p{^	Mlym}', "");
Expect(0, 3331, '\P{	Mlym}', "");
Expect(1, 3331, '\P{^	Mlym}', "");
Expect(0, 3329, '\p{	Mlym}', "");
Expect(1, 3329, '\p{^	Mlym}', "");
Expect(1, 3329, '\P{	Mlym}', "");
Expect(0, 3329, '\P{^	Mlym}', "");
Error('\p{_Is-Mlym:=}');
Error('\P{_Is-Mlym:=}');
Expect(1, 3331, '\p{ismlym}', "");
Expect(0, 3331, '\p{^ismlym}', "");
Expect(0, 3331, '\P{ismlym}', "");
Expect(1, 3331, '\P{^ismlym}', "");
Expect(0, 3329, '\p{ismlym}', "");
Expect(1, 3329, '\p{^ismlym}', "");
Expect(1, 3329, '\P{ismlym}', "");
Expect(0, 3329, '\P{^ismlym}', "");
Expect(1, 3331, '\p{IS	mlym}', "");
Expect(0, 3331, '\p{^IS	mlym}', "");
Expect(0, 3331, '\P{IS	mlym}', "");
Expect(1, 3331, '\P{^IS	mlym}', "");
Expect(0, 3329, '\p{IS	mlym}', "");
Expect(1, 3329, '\p{^IS	mlym}', "");
Expect(1, 3329, '\P{IS	mlym}', "");
Expect(0, 3329, '\P{^IS	mlym}', "");
Error('\p{/a/	Vedicextensions}');
Error('\P{/a/	Vedicextensions}');
Expect(1, 7423, '\p{vedicextensions}', "");
Expect(0, 7423, '\p{^vedicextensions}', "");
Expect(0, 7423, '\P{vedicextensions}', "");
Expect(1, 7423, '\P{^vedicextensions}', "");
Expect(0, 7375, '\p{vedicextensions}', "");
Expect(1, 7375, '\p{^vedicextensions}', "");
Expect(1, 7375, '\P{vedicextensions}', "");
Expect(0, 7375, '\P{^vedicextensions}', "");
Expect(1, 7423, '\p{ _VEDIC-Extensions}', "");
Expect(0, 7423, '\p{^ _VEDIC-Extensions}', "");
Expect(0, 7423, '\P{ _VEDIC-Extensions}', "");
Expect(1, 7423, '\P{^ _VEDIC-Extensions}', "");
Expect(0, 7375, '\p{ _VEDIC-Extensions}', "");
Expect(1, 7375, '\p{^ _VEDIC-Extensions}', "");
Expect(1, 7375, '\P{ _VEDIC-Extensions}', "");
Expect(0, 7375, '\P{^ _VEDIC-Extensions}', "");
Error('\p{	Is_VedicEXTENSIONS:=}');
Error('\P{	Is_VedicEXTENSIONS:=}');
Expect(1, 7423, '\p{isvedicextensions}', "");
Expect(0, 7423, '\p{^isvedicextensions}', "");
Expect(0, 7423, '\P{isvedicextensions}', "");
Expect(1, 7423, '\P{^isvedicextensions}', "");
Expect(0, 7375, '\p{isvedicextensions}', "");
Expect(1, 7375, '\p{^isvedicextensions}', "");
Expect(1, 7375, '\P{isvedicextensions}', "");
Expect(0, 7375, '\P{^isvedicextensions}', "");
Expect(1, 7423, '\p{  ISVedic Extensions}', "");
Expect(0, 7423, '\p{^  ISVedic Extensions}', "");
Expect(0, 7423, '\P{  ISVedic Extensions}', "");
Expect(1, 7423, '\P{^  ISVedic Extensions}', "");
Expect(0, 7375, '\p{  ISVedic Extensions}', "");
Expect(1, 7375, '\p{^  ISVedic Extensions}', "");
Expect(1, 7375, '\P{  ISVedic Extensions}', "");
Expect(0, 7375, '\P{^  ISVedic Extensions}', "");
Error('\p{/a/IN_vedicExtensions}');
Error('\P{/a/IN_vedicExtensions}');
Expect(1, 7423, '\p{invedicextensions}', "");
Expect(0, 7423, '\p{^invedicextensions}', "");
Expect(0, 7423, '\P{invedicextensions}', "");
Expect(1, 7423, '\P{^invedicextensions}', "");
Expect(0, 7375, '\p{invedicextensions}', "");
Expect(1, 7375, '\p{^invedicextensions}', "");
Expect(1, 7375, '\P{invedicextensions}', "");
Expect(0, 7375, '\P{^invedicextensions}', "");
Expect(1, 7423, '\p{ _In-VEDIC_extensions}', "");
Expect(0, 7423, '\p{^ _In-VEDIC_extensions}', "");
Expect(0, 7423, '\P{ _In-VEDIC_extensions}', "");
Expect(1, 7423, '\P{^ _In-VEDIC_extensions}', "");
Expect(0, 7375, '\p{ _In-VEDIC_extensions}', "");
Expect(1, 7375, '\p{^ _In-VEDIC_extensions}', "");
Expect(1, 7375, '\P{ _In-VEDIC_extensions}', "");
Expect(0, 7375, '\P{^ _In-VEDIC_extensions}', "");
Error('\p{-old:=Turkic}');
Error('\P{-old:=Turkic}');
Expect(1, 68680, '\p{oldturkic}', "");
Expect(0, 68680, '\p{^oldturkic}', "");
Expect(0, 68680, '\P{oldturkic}', "");
Expect(1, 68680, '\P{^oldturkic}', "");
Expect(0, 68607, '\p{oldturkic}', "");
Expect(1, 68607, '\p{^oldturkic}', "");
Expect(1, 68607, '\P{oldturkic}', "");
Expect(0, 68607, '\P{^oldturkic}', "");
Expect(1, 68680, '\p{	Old_Turkic}', "");
Expect(0, 68680, '\p{^	Old_Turkic}', "");
Expect(0, 68680, '\P{	Old_Turkic}', "");
Expect(1, 68680, '\P{^	Old_Turkic}', "");
Expect(0, 68607, '\p{	Old_Turkic}', "");
Expect(1, 68607, '\p{^	Old_Turkic}', "");
Expect(1, 68607, '\P{	Old_Turkic}', "");
Expect(0, 68607, '\P{^	Old_Turkic}', "");
Error('\p{ 	Isold:=TURKIC}');
Error('\P{ 	Isold:=TURKIC}');
Expect(1, 68680, '\p{isoldturkic}', "");
Expect(0, 68680, '\p{^isoldturkic}', "");
Expect(0, 68680, '\P{isoldturkic}', "");
Expect(1, 68680, '\P{^isoldturkic}', "");
Expect(0, 68607, '\p{isoldturkic}', "");
Expect(1, 68607, '\p{^isoldturkic}', "");
Expect(1, 68607, '\P{isoldturkic}', "");
Expect(0, 68607, '\P{^isoldturkic}', "");
Expect(1, 68680, '\p{_Is_OLD TURKIC}', "");
Expect(0, 68680, '\p{^_Is_OLD TURKIC}', "");
Expect(0, 68680, '\P{_Is_OLD TURKIC}', "");
Expect(1, 68680, '\P{^_Is_OLD TURKIC}', "");
Expect(0, 68607, '\p{_Is_OLD TURKIC}', "");
Expect(1, 68607, '\p{^_Is_OLD TURKIC}', "");
Expect(1, 68607, '\P{_Is_OLD TURKIC}', "");
Expect(0, 68607, '\P{^_Is_OLD TURKIC}', "");
Error('\p{_-Orkh:=}');
Error('\P{_-Orkh:=}');
Expect(1, 68680, '\p{orkh}', "");
Expect(0, 68680, '\p{^orkh}', "");
Expect(0, 68680, '\P{orkh}', "");
Expect(1, 68680, '\P{^orkh}', "");
Expect(0, 68607, '\p{orkh}', "");
Expect(1, 68607, '\p{^orkh}', "");
Expect(1, 68607, '\P{orkh}', "");
Expect(0, 68607, '\P{^orkh}', "");
Expect(1, 68680, '\p{ Orkh}', "");
Expect(0, 68680, '\p{^ Orkh}', "");
Expect(0, 68680, '\P{ Orkh}', "");
Expect(1, 68680, '\P{^ Orkh}', "");
Expect(0, 68607, '\p{ Orkh}', "");
Expect(1, 68607, '\p{^ Orkh}', "");
Expect(1, 68607, '\P{ Orkh}', "");
Expect(0, 68607, '\P{^ Orkh}', "");
Error('\p{	/a/Is-ORKH}');
Error('\P{	/a/Is-ORKH}');
Expect(1, 68680, '\p{isorkh}', "");
Expect(0, 68680, '\p{^isorkh}', "");
Expect(0, 68680, '\P{isorkh}', "");
Expect(1, 68680, '\P{^isorkh}', "");
Expect(0, 68607, '\p{isorkh}', "");
Expect(1, 68607, '\p{^isorkh}', "");
Expect(1, 68607, '\P{isorkh}', "");
Expect(0, 68607, '\P{^isorkh}', "");
Expect(1, 68680, '\p{ Is Orkh}', "");
Expect(0, 68680, '\p{^ Is Orkh}', "");
Expect(0, 68680, '\P{ Is Orkh}', "");
Expect(1, 68680, '\P{^ Is Orkh}', "");
Expect(0, 68607, '\p{ Is Orkh}', "");
Expect(1, 68607, '\p{^ Is Orkh}', "");
Expect(1, 68607, '\P{ Is Orkh}', "");
Expect(0, 68607, '\P{^ Is Orkh}', "");
Error('\p{	 NONSPACING/a/Mark}');
Error('\P{	 NONSPACING/a/Mark}');
Expect(1, 879, '\p{nonspacingmark}', "");
Expect(0, 879, '\p{^nonspacingmark}', "");
Expect(0, 879, '\P{nonspacingmark}', "");
Expect(1, 879, '\P{^nonspacingmark}', "");
Expect(0, 767, '\p{nonspacingmark}', "");
Expect(1, 767, '\p{^nonspacingmark}', "");
Expect(1, 767, '\P{nonspacingmark}', "");
Expect(0, 767, '\P{^nonspacingmark}', "");
Expect(1, 879, '\p{__Nonspacing-MARK}', "");
Expect(0, 879, '\p{^__Nonspacing-MARK}', "");
Expect(0, 879, '\P{__Nonspacing-MARK}', "");
Expect(1, 879, '\P{^__Nonspacing-MARK}', "");
Expect(0, 767, '\p{__Nonspacing-MARK}', "");
Expect(1, 767, '\p{^__Nonspacing-MARK}', "");
Expect(1, 767, '\P{__Nonspacing-MARK}', "");
Expect(0, 767, '\P{^__Nonspacing-MARK}', "");
Error('\p{:=		Is-Nonspacing	MARK}');
Error('\P{:=		Is-Nonspacing	MARK}');
Expect(1, 879, '\p{isnonspacingmark}', "");
Expect(0, 879, '\p{^isnonspacingmark}', "");
Expect(0, 879, '\P{isnonspacingmark}', "");
Expect(1, 879, '\P{^isnonspacingmark}', "");
Expect(0, 767, '\p{isnonspacingmark}', "");
Expect(1, 767, '\p{^isnonspacingmark}', "");
Expect(1, 767, '\P{isnonspacingmark}', "");
Expect(0, 767, '\P{^isnonspacingmark}', "");
Expect(1, 879, '\p{ _is Nonspacing Mark}', "");
Expect(0, 879, '\p{^ _is Nonspacing Mark}', "");
Expect(0, 879, '\P{ _is Nonspacing Mark}', "");
Expect(1, 879, '\P{^ _is Nonspacing Mark}', "");
Expect(0, 767, '\p{ _is Nonspacing Mark}', "");
Expect(1, 767, '\p{^ _is Nonspacing Mark}', "");
Expect(1, 767, '\P{ _is Nonspacing Mark}', "");
Expect(0, 767, '\P{^ _is Nonspacing Mark}', "");
Error('\p{:= mn}');
Error('\P{:= mn}');
Expect(1, 879, '\p{mn}', "");
Expect(0, 879, '\p{^mn}', "");
Expect(0, 879, '\P{mn}', "");
Expect(1, 879, '\P{^mn}', "");
Expect(0, 767, '\p{mn}', "");
Expect(1, 767, '\p{^mn}', "");
Expect(1, 767, '\P{mn}', "");
Expect(0, 767, '\P{^mn}', "");
Expect(1, 879, '\p{_	mn}', "");
Expect(0, 879, '\p{^_	mn}', "");
Expect(0, 879, '\P{_	mn}', "");
Expect(1, 879, '\P{^_	mn}', "");
Expect(0, 767, '\p{_	mn}', "");
Expect(1, 767, '\p{^_	mn}', "");
Expect(1, 767, '\P{_	mn}', "");
Expect(0, 767, '\P{^_	mn}', "");
Error('\p{-_is Mn:=}');
Error('\P{-_is Mn:=}');
Expect(1, 879, '\p{ismn}', "");
Expect(0, 879, '\p{^ismn}', "");
Expect(0, 879, '\P{ismn}', "");
Expect(1, 879, '\P{^ismn}', "");
Expect(0, 767, '\p{ismn}', "");
Expect(1, 767, '\p{^ismn}', "");
Expect(1, 767, '\P{ismn}', "");
Expect(0, 767, '\P{^ismn}', "");
Expect(1, 879, '\p{-is-Mn}', "");
Expect(0, 879, '\p{^-is-Mn}', "");
Expect(0, 879, '\P{-is-Mn}', "");
Expect(1, 879, '\P{^-is-Mn}', "");
Expect(0, 767, '\p{-is-Mn}', "");
Expect(1, 767, '\p{^-is-Mn}', "");
Expect(1, 767, '\P{-is-Mn}', "");
Expect(0, 767, '\P{^-is-Mn}', "");
Error('\p{/a/	 Lisu}');
Error('\P{/a/	 Lisu}');
Expect(1, 42239, '\p{lisu}', "");
Expect(0, 42239, '\p{^lisu}', "");
Expect(0, 42239, '\P{lisu}', "");
Expect(1, 42239, '\P{^lisu}', "");
Expect(0, 42191, '\p{lisu}', "");
Expect(1, 42191, '\p{^lisu}', "");
Expect(1, 42191, '\P{lisu}', "");
Expect(0, 42191, '\P{^lisu}', "");
Expect(1, 42239, '\p{	Lisu}', "");
Expect(0, 42239, '\p{^	Lisu}', "");
Expect(0, 42239, '\P{	Lisu}', "");
Expect(1, 42239, '\P{^	Lisu}', "");
Expect(0, 42191, '\p{	Lisu}', "");
Expect(1, 42191, '\p{^	Lisu}', "");
Expect(1, 42191, '\P{	Lisu}', "");
Expect(0, 42191, '\P{^	Lisu}', "");
Error('\p{_	Islisu:=}');
Error('\P{_	Islisu:=}');
Expect(1, 42239, '\p{islisu}', "");
Expect(0, 42239, '\p{^islisu}', "");
Expect(0, 42239, '\P{islisu}', "");
Expect(1, 42239, '\P{^islisu}', "");
Expect(0, 42191, '\p{islisu}', "");
Expect(1, 42191, '\p{^islisu}', "");
Expect(1, 42191, '\P{islisu}', "");
Expect(0, 42191, '\P{^islisu}', "");
Expect(1, 42239, '\p{		IS_lisu}', "");
Expect(0, 42239, '\p{^		IS_lisu}', "");
Expect(0, 42239, '\P{		IS_lisu}', "");
Expect(1, 42239, '\P{^		IS_lisu}', "");
Expect(0, 42191, '\p{		IS_lisu}', "");
Expect(1, 42191, '\p{^		IS_lisu}', "");
Expect(1, 42191, '\P{		IS_lisu}', "");
Expect(0, 42191, '\P{^		IS_lisu}', "");
Error('\p{ _Full:=Composition_EXCLUSION}');
Error('\P{ _Full:=Composition_EXCLUSION}');
Expect(1, 833, '\p{fullcompositionexclusion}', "");
Expect(0, 833, '\p{^fullcompositionexclusion}', "");
Expect(0, 833, '\P{fullcompositionexclusion}', "");
Expect(1, 833, '\P{^fullcompositionexclusion}', "");
Expect(0, 831, '\p{fullcompositionexclusion}', "");
Expect(1, 831, '\p{^fullcompositionexclusion}', "");
Expect(1, 831, '\P{fullcompositionexclusion}', "");
Expect(0, 831, '\P{^fullcompositionexclusion}', "");
Expect(1, 833, '\p{Full Composition_Exclusion}', "");
Expect(0, 833, '\p{^Full Composition_Exclusion}', "");
Expect(0, 833, '\P{Full Composition_Exclusion}', "");
Expect(1, 833, '\P{^Full Composition_Exclusion}', "");
Expect(0, 831, '\p{Full Composition_Exclusion}', "");
Expect(1, 831, '\p{^Full Composition_Exclusion}', "");
Expect(1, 831, '\P{Full Composition_Exclusion}', "");
Expect(0, 831, '\P{^Full Composition_Exclusion}', "");
Error('\p{/a/-is Full_Composition Exclusion}');
Error('\P{/a/-is Full_Composition Exclusion}');
Expect(1, 833, '\p{isfullcompositionexclusion}', "");
Expect(0, 833, '\p{^isfullcompositionexclusion}', "");
Expect(0, 833, '\P{isfullcompositionexclusion}', "");
Expect(1, 833, '\P{^isfullcompositionexclusion}', "");
Expect(0, 831, '\p{isfullcompositionexclusion}', "");
Expect(1, 831, '\p{^isfullcompositionexclusion}', "");
Expect(1, 831, '\P{isfullcompositionexclusion}', "");
Expect(0, 831, '\P{^isfullcompositionexclusion}', "");
Expect(1, 833, '\p{_ Is FULL-COMPOSITION Exclusion}', "");
Expect(0, 833, '\p{^_ Is FULL-COMPOSITION Exclusion}', "");
Expect(0, 833, '\P{_ Is FULL-COMPOSITION Exclusion}', "");
Expect(1, 833, '\P{^_ Is FULL-COMPOSITION Exclusion}', "");
Expect(0, 831, '\p{_ Is FULL-COMPOSITION Exclusion}', "");
Expect(1, 831, '\p{^_ Is FULL-COMPOSITION Exclusion}', "");
Expect(1, 831, '\P{_ Is FULL-COMPOSITION Exclusion}', "");
Expect(0, 831, '\P{^_ Is FULL-COMPOSITION Exclusion}', "");
Error('\p{_	Comp/a/Ex}');
Error('\P{_	Comp/a/Ex}');
Expect(1, 833, '\p{compex}', "");
Expect(0, 833, '\p{^compex}', "");
Expect(0, 833, '\P{compex}', "");
Expect(1, 833, '\P{^compex}', "");
Expect(0, 831, '\p{compex}', "");
Expect(1, 831, '\p{^compex}', "");
Expect(1, 831, '\P{compex}', "");
Expect(0, 831, '\P{^compex}', "");
Expect(1, 833, '\p{ COMP EX}', "");
Expect(0, 833, '\p{^ COMP EX}', "");
Expect(0, 833, '\P{ COMP EX}', "");
Expect(1, 833, '\P{^ COMP EX}', "");
Expect(0, 831, '\p{ COMP EX}', "");
Expect(1, 831, '\p{^ COMP EX}', "");
Expect(1, 831, '\P{ COMP EX}', "");
Expect(0, 831, '\P{^ COMP EX}', "");
Error('\p{_-IsCOMPEx/a/}');
Error('\P{_-IsCOMPEx/a/}');
Expect(1, 833, '\p{iscompex}', "");
Expect(0, 833, '\p{^iscompex}', "");
Expect(0, 833, '\P{iscompex}', "");
Expect(1, 833, '\P{^iscompex}', "");
Expect(0, 831, '\p{iscompex}', "");
Expect(1, 831, '\p{^iscompex}', "");
Expect(1, 831, '\P{iscompex}', "");
Expect(0, 831, '\P{^iscompex}', "");
Expect(1, 833, '\p{ -isCOMP-Ex}', "");
Expect(0, 833, '\p{^ -isCOMP-Ex}', "");
Expect(0, 833, '\P{ -isCOMP-Ex}', "");
Expect(1, 833, '\P{^ -isCOMP-Ex}', "");
Expect(0, 831, '\p{ -isCOMP-Ex}', "");
Expect(1, 831, '\p{^ -isCOMP-Ex}', "");
Expect(1, 831, '\P{ -isCOMP-Ex}', "");
Expect(0, 831, '\P{^ -isCOMP-Ex}', "");
Error('\p{-_Join/a/Control}');
Error('\P{-_Join/a/Control}');
Expect(1, 8205, '\p{joincontrol}', "");
Expect(0, 8205, '\p{^joincontrol}', "");
Expect(0, 8205, '\P{joincontrol}', "");
Expect(1, 8205, '\P{^joincontrol}', "");
Expect(0, 8203, '\p{joincontrol}', "");
Expect(1, 8203, '\p{^joincontrol}', "");
Expect(1, 8203, '\P{joincontrol}', "");
Expect(0, 8203, '\P{^joincontrol}', "");
Expect(1, 8205, '\p{-	join	Control}', "");
Expect(0, 8205, '\p{^-	join	Control}', "");
Expect(0, 8205, '\P{-	join	Control}', "");
Expect(1, 8205, '\P{^-	join	Control}', "");
Expect(0, 8203, '\p{-	join	Control}', "");
Expect(1, 8203, '\p{^-	join	Control}', "");
Expect(1, 8203, '\P{-	join	Control}', "");
Expect(0, 8203, '\P{^-	join	Control}', "");
Error('\p{  IS-JOIN Control/a/}');
Error('\P{  IS-JOIN Control/a/}');
Expect(1, 8205, '\p{isjoincontrol}', "");
Expect(0, 8205, '\p{^isjoincontrol}', "");
Expect(0, 8205, '\P{isjoincontrol}', "");
Expect(1, 8205, '\P{^isjoincontrol}', "");
Expect(0, 8203, '\p{isjoincontrol}', "");
Expect(1, 8203, '\p{^isjoincontrol}', "");
Expect(1, 8203, '\P{isjoincontrol}', "");
Expect(0, 8203, '\P{^isjoincontrol}', "");
Expect(1, 8205, '\p{	-is-JOIN-Control}', "");
Expect(0, 8205, '\p{^	-is-JOIN-Control}', "");
Expect(0, 8205, '\P{	-is-JOIN-Control}', "");
Expect(1, 8205, '\P{^	-is-JOIN-Control}', "");
Expect(0, 8203, '\p{	-is-JOIN-Control}', "");
Expect(1, 8203, '\p{^	-is-JOIN-Control}', "");
Expect(1, 8203, '\P{	-is-JOIN-Control}', "");
Expect(0, 8203, '\P{^	-is-JOIN-Control}', "");
Error('\p{-	JOIN_C/a/}');
Error('\P{-	JOIN_C/a/}');
Expect(1, 8205, '\p{joinc}', "");
Expect(0, 8205, '\p{^joinc}', "");
Expect(0, 8205, '\P{joinc}', "");
Expect(1, 8205, '\P{^joinc}', "");
Expect(0, 8203, '\p{joinc}', "");
Expect(1, 8203, '\p{^joinc}', "");
Expect(1, 8203, '\P{joinc}', "");
Expect(0, 8203, '\P{^joinc}', "");
Expect(1, 8205, '\p{	 Join-C}', "");
Expect(0, 8205, '\p{^	 Join-C}', "");
Expect(0, 8205, '\P{	 Join-C}', "");
Expect(1, 8205, '\P{^	 Join-C}', "");
Expect(0, 8203, '\p{	 Join-C}', "");
Expect(1, 8203, '\p{^	 Join-C}', "");
Expect(1, 8203, '\P{	 Join-C}', "");
Expect(0, 8203, '\P{^	 Join-C}', "");
Error('\p{/a/-IS-JOIN C}');
Error('\P{/a/-IS-JOIN C}');
Expect(1, 8205, '\p{isjoinc}', "");
Expect(0, 8205, '\p{^isjoinc}', "");
Expect(0, 8205, '\P{isjoinc}', "");
Expect(1, 8205, '\P{^isjoinc}', "");
Expect(0, 8203, '\p{isjoinc}', "");
Expect(1, 8203, '\p{^isjoinc}', "");
Expect(1, 8203, '\P{isjoinc}', "");
Expect(0, 8203, '\P{^isjoinc}', "");
Expect(1, 8205, '\p{__IS_JOIN-C}', "");
Expect(0, 8205, '\p{^__IS_JOIN-C}', "");
Expect(0, 8205, '\P{__IS_JOIN-C}', "");
Expect(1, 8205, '\P{^__IS_JOIN-C}', "");
Expect(0, 8203, '\p{__IS_JOIN-C}', "");
Expect(1, 8203, '\p{^__IS_JOIN-C}', "");
Expect(1, 8203, '\P{__IS_JOIN-C}', "");
Expect(0, 8203, '\P{^__IS_JOIN-C}', "");
Error('\p{UPPER:=}');
Error('\P{UPPER:=}');
Expect(1, 90, '\p{upper}', "");
Expect(0, 90, '\p{^upper}', "");
Expect(0, 90, '\P{upper}', "");
Expect(1, 90, '\P{^upper}', "");
Expect(0, 64, '\p{upper}', "");
Expect(1, 64, '\p{^upper}', "");
Expect(1, 64, '\P{upper}', "");
Expect(0, 64, '\P{^upper}', "");
Expect(1, 90, '\p{- upper}', "");
Expect(0, 90, '\p{^- upper}', "");
Expect(0, 90, '\P{- upper}', "");
Expect(1, 90, '\P{^- upper}', "");
Expect(0, 64, '\p{- upper}', "");
Expect(1, 64, '\p{^- upper}', "");
Expect(1, 64, '\P{- upper}', "");
Expect(0, 64, '\P{^- upper}', "");
Error('\p{	-isUpper/a/}');
Error('\P{	-isUpper/a/}');
Expect(1, 90, '\p{isupper}', "");
Expect(0, 90, '\p{^isupper}', "");
Expect(0, 90, '\P{isupper}', "");
Expect(1, 90, '\P{^isupper}', "");
Expect(0, 64, '\p{isupper}', "");
Expect(1, 64, '\p{^isupper}', "");
Expect(1, 64, '\P{isupper}', "");
Expect(0, 64, '\P{^isupper}', "");
Expect(1, 90, '\p{ -IS	Upper}', "");
Expect(0, 90, '\p{^ -IS	Upper}', "");
Expect(0, 90, '\P{ -IS	Upper}', "");
Expect(1, 90, '\P{^ -IS	Upper}', "");
Expect(0, 64, '\p{ -IS	Upper}', "");
Expect(1, 64, '\p{^ -IS	Upper}', "");
Expect(1, 64, '\P{ -IS	Upper}', "");
Expect(0, 64, '\P{^ -IS	Upper}', "");
Error('\p{_:=UPPERCASE}');
Error('\P{_:=UPPERCASE}');
Expect(1, 90, '\p{uppercase}', "");
Expect(0, 90, '\p{^uppercase}', "");
Expect(0, 90, '\P{uppercase}', "");
Expect(1, 90, '\P{^uppercase}', "");
Expect(0, 64, '\p{uppercase}', "");
Expect(1, 64, '\p{^uppercase}', "");
Expect(1, 64, '\P{uppercase}', "");
Expect(0, 64, '\P{^uppercase}', "");
Expect(1, 90, '\p{ UPPERCASE}', "");
Expect(0, 90, '\p{^ UPPERCASE}', "");
Expect(0, 90, '\P{ UPPERCASE}', "");
Expect(1, 90, '\P{^ UPPERCASE}', "");
Expect(0, 64, '\p{ UPPERCASE}', "");
Expect(1, 64, '\p{^ UPPERCASE}', "");
Expect(1, 64, '\P{ UPPERCASE}', "");
Expect(0, 64, '\P{^ UPPERCASE}', "");
Error('\p{ /a/Is Uppercase}');
Error('\P{ /a/Is Uppercase}');
Expect(1, 90, '\p{isuppercase}', "");
Expect(0, 90, '\p{^isuppercase}', "");
Expect(0, 90, '\P{isuppercase}', "");
Expect(1, 90, '\P{^isuppercase}', "");
Expect(0, 64, '\p{isuppercase}', "");
Expect(1, 64, '\p{^isuppercase}', "");
Expect(1, 64, '\P{isuppercase}', "");
Expect(0, 64, '\P{^isuppercase}', "");
Expect(1, 90, '\p{--Is-Uppercase}', "");
Expect(0, 90, '\p{^--Is-Uppercase}', "");
Expect(0, 90, '\P{--Is-Uppercase}', "");
Expect(1, 90, '\P{^--Is-Uppercase}', "");
Expect(0, 64, '\p{--Is-Uppercase}', "");
Expect(1, 64, '\p{^--Is-Uppercase}', "");
Expect(1, 64, '\P{--Is-Uppercase}', "");
Expect(0, 64, '\P{^--Is-Uppercase}', "");
Error('\p{ /a/Braille Patterns}');
Error('\P{ /a/Braille Patterns}');
Expect(1, 10495, '\p{braillepatterns}', "");
Expect(0, 10495, '\p{^braillepatterns}', "");
Expect(0, 10495, '\P{braillepatterns}', "");
Expect(1, 10495, '\P{^braillepatterns}', "");
Expect(0, 10239, '\p{braillepatterns}', "");
Expect(1, 10239, '\p{^braillepatterns}', "");
Expect(1, 10239, '\P{braillepatterns}', "");
Expect(0, 10239, '\P{^braillepatterns}', "");
Expect(1, 10495, '\p{_-braille_Patterns}', "");
Expect(0, 10495, '\p{^_-braille_Patterns}', "");
Expect(0, 10495, '\P{_-braille_Patterns}', "");
Expect(1, 10495, '\P{^_-braille_Patterns}', "");
Expect(0, 10239, '\p{_-braille_Patterns}', "");
Expect(1, 10239, '\p{^_-braille_Patterns}', "");
Expect(1, 10239, '\P{_-braille_Patterns}', "");
Expect(0, 10239, '\P{^_-braille_Patterns}', "");
Error('\p{_/a/is	BRAILLE Patterns}');
Error('\P{_/a/is	BRAILLE Patterns}');
Expect(1, 10495, '\p{isbraillepatterns}', "");
Expect(0, 10495, '\p{^isbraillepatterns}', "");
Expect(0, 10495, '\P{isbraillepatterns}', "");
Expect(1, 10495, '\P{^isbraillepatterns}', "");
Expect(0, 10239, '\p{isbraillepatterns}', "");
Expect(1, 10239, '\p{^isbraillepatterns}', "");
Expect(1, 10239, '\P{isbraillepatterns}', "");
Expect(0, 10239, '\P{^isbraillepatterns}', "");
Expect(1, 10495, '\p{ is-Braille_Patterns}', "");
Expect(0, 10495, '\p{^ is-Braille_Patterns}', "");
Expect(0, 10495, '\P{ is-Braille_Patterns}', "");
Expect(1, 10495, '\P{^ is-Braille_Patterns}', "");
Expect(0, 10239, '\p{ is-Braille_Patterns}', "");
Expect(1, 10239, '\p{^ is-Braille_Patterns}', "");
Expect(1, 10239, '\P{ is-Braille_Patterns}', "");
Expect(0, 10239, '\P{^ is-Braille_Patterns}', "");
Error('\p{-:=In_braillePATTERNS}');
Error('\P{-:=In_braillePATTERNS}');
Expect(1, 10495, '\p{inbraillepatterns}', "");
Expect(0, 10495, '\p{^inbraillepatterns}', "");
Expect(0, 10495, '\P{inbraillepatterns}', "");
Expect(1, 10495, '\P{^inbraillepatterns}', "");
Expect(0, 10239, '\p{inbraillepatterns}', "");
Expect(1, 10239, '\p{^inbraillepatterns}', "");
Expect(1, 10239, '\P{inbraillepatterns}', "");
Expect(0, 10239, '\P{^inbraillepatterns}', "");
Expect(1, 10495, '\p{in	BRAILLE_patterns}', "");
Expect(0, 10495, '\p{^in	BRAILLE_patterns}', "");
Expect(0, 10495, '\P{in	BRAILLE_patterns}', "");
Expect(1, 10495, '\P{^in	BRAILLE_patterns}', "");
Expect(0, 10239, '\p{in	BRAILLE_patterns}', "");
Expect(1, 10239, '\p{^in	BRAILLE_patterns}', "");
Expect(1, 10239, '\P{in	BRAILLE_patterns}', "");
Expect(0, 10239, '\P{^in	BRAILLE_patterns}', "");
Error('\p{-katakana:=}');
Error('\P{-katakana:=}');
Expect(1, 12538, '\p{katakana}', "");
Expect(0, 12538, '\p{^katakana}', "");
Expect(0, 12538, '\P{katakana}', "");
Expect(1, 12538, '\P{^katakana}', "");
Expect(0, 12448, '\p{katakana}', "");
Expect(1, 12448, '\p{^katakana}', "");
Expect(1, 12448, '\P{katakana}', "");
Expect(0, 12448, '\P{^katakana}', "");
Expect(1, 12538, '\p{--Katakana}', "");
Expect(0, 12538, '\p{^--Katakana}', "");
Expect(0, 12538, '\P{--Katakana}', "");
Expect(1, 12538, '\P{^--Katakana}', "");
Expect(0, 12448, '\p{--Katakana}', "");
Expect(1, 12448, '\p{^--Katakana}', "");
Expect(1, 12448, '\P{--Katakana}', "");
Expect(0, 12448, '\P{^--Katakana}', "");
Error('\p{	/a/Is	Katakana}');
Error('\P{	/a/Is	Katakana}');
Expect(1, 12538, '\p{iskatakana}', "");
Expect(0, 12538, '\p{^iskatakana}', "");
Expect(0, 12538, '\P{iskatakana}', "");
Expect(1, 12538, '\P{^iskatakana}', "");
Expect(0, 12448, '\p{iskatakana}', "");
Expect(1, 12448, '\p{^iskatakana}', "");
Expect(1, 12448, '\P{iskatakana}', "");
Expect(0, 12448, '\P{^iskatakana}', "");
Expect(1, 12538, '\p{ _ISKatakana}', "");
Expect(0, 12538, '\p{^ _ISKatakana}', "");
Expect(0, 12538, '\P{ _ISKatakana}', "");
Expect(1, 12538, '\P{^ _ISKatakana}', "");
Expect(0, 12448, '\p{ _ISKatakana}', "");
Expect(1, 12448, '\p{^ _ISKatakana}', "");
Expect(1, 12448, '\P{ _ISKatakana}', "");
Expect(0, 12448, '\P{^ _ISKatakana}', "");
Error('\p{/a/ KANA}');
Error('\P{/a/ KANA}');
Expect(1, 12538, '\p{kana}', "");
Expect(0, 12538, '\p{^kana}', "");
Expect(0, 12538, '\P{kana}', "");
Expect(1, 12538, '\P{^kana}', "");
Expect(0, 12448, '\p{kana}', "");
Expect(1, 12448, '\p{^kana}', "");
Expect(1, 12448, '\P{kana}', "");
Expect(0, 12448, '\P{^kana}', "");
Expect(1, 12538, '\p{	_Kana}', "");
Expect(0, 12538, '\p{^	_Kana}', "");
Expect(0, 12538, '\P{	_Kana}', "");
Expect(1, 12538, '\P{^	_Kana}', "");
Expect(0, 12448, '\p{	_Kana}', "");
Expect(1, 12448, '\p{^	_Kana}', "");
Expect(1, 12448, '\P{	_Kana}', "");
Expect(0, 12448, '\P{^	_Kana}', "");
Error('\p{ _Is:=kana}');
Error('\P{ _Is:=kana}');
Expect(1, 12538, '\p{iskana}', "");
Expect(0, 12538, '\p{^iskana}', "");
Expect(0, 12538, '\P{iskana}', "");
Expect(1, 12538, '\P{^iskana}', "");
Expect(0, 12448, '\p{iskana}', "");
Expect(1, 12448, '\p{^iskana}', "");
Expect(1, 12448, '\P{iskana}', "");
Expect(0, 12448, '\P{^iskana}', "");
Expect(1, 12538, '\p{-is	KANA}', "");
Expect(0, 12538, '\p{^-is	KANA}', "");
Expect(0, 12538, '\P{-is	KANA}', "");
Expect(1, 12538, '\P{^-is	KANA}', "");
Expect(0, 12448, '\p{-is	KANA}', "");
Expect(1, 12448, '\p{^-is	KANA}', "");
Expect(1, 12448, '\P{-is	KANA}', "");
Expect(0, 12448, '\P{^-is	KANA}', "");
Error('\p{_ Pattern_White:=space}');
Error('\P{_ Pattern_White:=space}');
Expect(1, 13, '\p{patternwhitespace}', "");
Expect(0, 13, '\p{^patternwhitespace}', "");
Expect(0, 13, '\P{patternwhitespace}', "");
Expect(1, 13, '\P{^patternwhitespace}', "");
Expect(0, 8, '\p{patternwhitespace}', "");
Expect(1, 8, '\p{^patternwhitespace}', "");
Expect(1, 8, '\P{patternwhitespace}', "");
Expect(0, 8, '\P{^patternwhitespace}', "");
Expect(1, 13, '\p{_Pattern-White_Space}', "");
Expect(0, 13, '\p{^_Pattern-White_Space}', "");
Expect(0, 13, '\P{_Pattern-White_Space}', "");
Expect(1, 13, '\P{^_Pattern-White_Space}', "");
Expect(0, 8, '\p{_Pattern-White_Space}', "");
Expect(1, 8, '\p{^_Pattern-White_Space}', "");
Expect(1, 8, '\P{_Pattern-White_Space}', "");
Expect(0, 8, '\P{^_Pattern-White_Space}', "");
Error('\p{/a/Is-pattern	White space}');
Error('\P{/a/Is-pattern	White space}');
Expect(1, 13, '\p{ispatternwhitespace}', "");
Expect(0, 13, '\p{^ispatternwhitespace}', "");
Expect(0, 13, '\P{ispatternwhitespace}', "");
Expect(1, 13, '\P{^ispatternwhitespace}', "");
Expect(0, 8, '\p{ispatternwhitespace}', "");
Expect(1, 8, '\p{^ispatternwhitespace}', "");
Expect(1, 8, '\P{ispatternwhitespace}', "");
Expect(0, 8, '\P{^ispatternwhitespace}', "");
Expect(1, 13, '\p{_-isPattern WHITE-Space}', "");
Expect(0, 13, '\p{^_-isPattern WHITE-Space}', "");
Expect(0, 13, '\P{_-isPattern WHITE-Space}', "");
Expect(1, 13, '\P{^_-isPattern WHITE-Space}', "");
Expect(0, 8, '\p{_-isPattern WHITE-Space}', "");
Expect(1, 8, '\p{^_-isPattern WHITE-Space}', "");
Expect(1, 8, '\P{_-isPattern WHITE-Space}', "");
Expect(0, 8, '\P{^_-isPattern WHITE-Space}', "");
Error('\p{ _pat_WS/a/}');
Error('\P{ _pat_WS/a/}');
Expect(1, 13, '\p{patws}', "");
Expect(0, 13, '\p{^patws}', "");
Expect(0, 13, '\P{patws}', "");
Expect(1, 13, '\P{^patws}', "");
Expect(0, 8, '\p{patws}', "");
Expect(1, 8, '\p{^patws}', "");
Expect(1, 8, '\P{patws}', "");
Expect(0, 8, '\P{^patws}', "");
Expect(1, 13, '\p{__Pat WS}', "");
Expect(0, 13, '\p{^__Pat WS}', "");
Expect(0, 13, '\P{__Pat WS}', "");
Expect(1, 13, '\P{^__Pat WS}', "");
Expect(0, 8, '\p{__Pat WS}', "");
Expect(1, 8, '\p{^__Pat WS}', "");
Expect(1, 8, '\P{__Pat WS}', "");
Expect(0, 8, '\P{^__Pat WS}', "");
Error('\p{ /a/Is	pat-WS}');
Error('\P{ /a/Is	pat-WS}');
Expect(1, 13, '\p{ispatws}', "");
Expect(0, 13, '\p{^ispatws}', "");
Expect(0, 13, '\P{ispatws}', "");
Expect(1, 13, '\P{^ispatws}', "");
Expect(0, 8, '\p{ispatws}', "");
Expect(1, 8, '\p{^ispatws}', "");
Expect(1, 8, '\P{ispatws}', "");
Expect(0, 8, '\P{^ispatws}', "");
Expect(1, 13, '\p{ISPAT	WS}', "");
Expect(0, 13, '\p{^ISPAT	WS}', "");
Expect(0, 13, '\P{ISPAT	WS}', "");
Expect(1, 13, '\P{^ISPAT	WS}', "");
Expect(0, 8, '\p{ISPAT	WS}', "");
Expect(1, 8, '\p{^ISPAT	WS}', "");
Expect(1, 8, '\P{ISPAT	WS}', "");
Expect(0, 8, '\P{^ISPAT	WS}', "");
Error('\p{-/a/Noncharacter CodePoint}');
Error('\P{-/a/Noncharacter CodePoint}');
Expect(0, 64975, '\p{noncharactercodepoint}', "");
Expect(1, 64975, '\p{^noncharactercodepoint}', "");
Expect(1, 64975, '\P{noncharactercodepoint}', "");
Expect(0, 64975, '\P{^noncharactercodepoint}', "");
Expect(0, 64975, '\p{-	NONCHARACTER CODEPoint}', "");
Expect(1, 64975, '\p{^-	NONCHARACTER CODEPoint}', "");
Expect(1, 64975, '\P{-	NONCHARACTER CODEPoint}', "");
Expect(0, 64975, '\P{^-	NONCHARACTER CODEPoint}', "");
Error('\p{:=	_Is-noncharacterCode-point}');
Error('\P{:=	_Is-noncharacterCode-point}');
Expect(0, 64975, '\p{isnoncharactercodepoint}', "");
Expect(1, 64975, '\p{^isnoncharactercodepoint}', "");
Expect(1, 64975, '\P{isnoncharactercodepoint}', "");
Expect(0, 64975, '\P{^isnoncharactercodepoint}', "");
Expect(0, 64975, '\p{	is	Noncharacter code_Point}', "");
Expect(1, 64975, '\p{^	is	Noncharacter code_Point}', "");
Expect(1, 64975, '\P{	is	Noncharacter code_Point}', "");
Expect(0, 64975, '\P{^	is	Noncharacter code_Point}', "");
Error('\p{	/a/NChar}');
Error('\P{	/a/NChar}');
Expect(0, 64975, '\p{nchar}', "");
Expect(1, 64975, '\p{^nchar}', "");
Expect(1, 64975, '\P{nchar}', "");
Expect(0, 64975, '\P{^nchar}', "");
Expect(0, 64975, '\p{_ NChar}', "");
Expect(1, 64975, '\p{^_ NChar}', "");
Expect(1, 64975, '\P{_ NChar}', "");
Expect(0, 64975, '\P{^_ NChar}', "");
Error('\p{_ isNChar:=}');
Error('\P{_ isNChar:=}');
Expect(0, 64975, '\p{isnchar}', "");
Expect(1, 64975, '\p{^isnchar}', "");
Expect(1, 64975, '\P{isnchar}', "");
Expect(0, 64975, '\P{^isnchar}', "");
Expect(0, 64975, '\p{	-IS nchar}', "");
Expect(1, 64975, '\p{^	-IS nchar}', "");
Expect(1, 64975, '\P{	-IS nchar}', "");
Expect(0, 64975, '\P{^	-IS nchar}', "");
Error('\p{_:=IN_ogham}');
Error('\P{_:=IN_ogham}');
Expect(1, 5791, '\p{inogham}', "");
Expect(0, 5791, '\p{^inogham}', "");
Expect(0, 5791, '\P{inogham}', "");
Expect(1, 5791, '\P{^inogham}', "");
Expect(0, 5759, '\p{inogham}', "");
Expect(1, 5759, '\p{^inogham}', "");
Expect(1, 5759, '\P{inogham}', "");
Expect(0, 5759, '\P{^inogham}', "");
Expect(1, 5791, '\p{  in-OGHAM}', "");
Expect(0, 5791, '\p{^  in-OGHAM}', "");
Expect(0, 5791, '\P{  in-OGHAM}', "");
Expect(1, 5791, '\P{^  in-OGHAM}', "");
Expect(0, 5759, '\p{  in-OGHAM}', "");
Expect(1, 5759, '\p{^  in-OGHAM}', "");
Expect(1, 5759, '\P{  in-OGHAM}', "");
Expect(0, 5759, '\P{^  in-OGHAM}', "");
Error('\p{:=Old	SOUTHarabian}');
Error('\P{:=Old	SOUTHarabian}');
Expect(1, 68223, '\p{oldsoutharabian}', "");
Expect(0, 68223, '\p{^oldsoutharabian}', "");
Expect(0, 68223, '\P{oldsoutharabian}', "");
Expect(1, 68223, '\P{^oldsoutharabian}', "");
Expect(0, 68191, '\p{oldsoutharabian}', "");
Expect(1, 68191, '\p{^oldsoutharabian}', "");
Expect(1, 68191, '\P{oldsoutharabian}', "");
Expect(0, 68191, '\P{^oldsoutharabian}', "");
Expect(1, 68223, '\p{- Old_South Arabian}', "");
Expect(0, 68223, '\p{^- Old_South Arabian}', "");
Expect(0, 68223, '\P{- Old_South Arabian}', "");
Expect(1, 68223, '\P{^- Old_South Arabian}', "");
Expect(0, 68191, '\p{- Old_South Arabian}', "");
Expect(1, 68191, '\p{^- Old_South Arabian}', "");
Expect(1, 68191, '\P{- Old_South Arabian}', "");
Expect(0, 68191, '\P{^- Old_South Arabian}', "");
Error('\p{	/a/Is_OLDSouth Arabian}');
Error('\P{	/a/Is_OLDSouth Arabian}');
Expect(1, 68223, '\p{isoldsoutharabian}', "");
Expect(0, 68223, '\p{^isoldsoutharabian}', "");
Expect(0, 68223, '\P{isoldsoutharabian}', "");
Expect(1, 68223, '\P{^isoldsoutharabian}', "");
Expect(0, 68191, '\p{isoldsoutharabian}', "");
Expect(1, 68191, '\p{^isoldsoutharabian}', "");
Expect(1, 68191, '\P{isoldsoutharabian}', "");
Expect(0, 68191, '\P{^isoldsoutharabian}', "");
Expect(1, 68223, '\p{	-IS Old_South	arabian}', "");
Expect(0, 68223, '\p{^	-IS Old_South	arabian}', "");
Expect(0, 68223, '\P{	-IS Old_South	arabian}', "");
Expect(1, 68223, '\P{^	-IS Old_South	arabian}', "");
Expect(0, 68191, '\p{	-IS Old_South	arabian}', "");
Expect(1, 68191, '\p{^	-IS Old_South	arabian}', "");
Expect(1, 68191, '\P{	-IS Old_South	arabian}', "");
Expect(0, 68191, '\P{^	-IS Old_South	arabian}', "");
Error('\p{/a/_SARB}');
Error('\P{/a/_SARB}');
Expect(1, 68223, '\p{sarb}', "");
Expect(0, 68223, '\p{^sarb}', "");
Expect(0, 68223, '\P{sarb}', "");
Expect(1, 68223, '\P{^sarb}', "");
Expect(0, 68191, '\p{sarb}', "");
Expect(1, 68191, '\p{^sarb}', "");
Expect(1, 68191, '\P{sarb}', "");
Expect(0, 68191, '\P{^sarb}', "");
Expect(1, 68223, '\p{-SARB}', "");
Expect(0, 68223, '\p{^-SARB}', "");
Expect(0, 68223, '\P{-SARB}', "");
Expect(1, 68223, '\P{^-SARB}', "");
Expect(0, 68191, '\p{-SARB}', "");
Expect(1, 68191, '\p{^-SARB}', "");
Expect(1, 68191, '\P{-SARB}', "");
Expect(0, 68191, '\P{^-SARB}', "");
Error('\p{ is_Sarb/a/}');
Error('\P{ is_Sarb/a/}');
Expect(1, 68223, '\p{issarb}', "");
Expect(0, 68223, '\p{^issarb}', "");
Expect(0, 68223, '\P{issarb}', "");
Expect(1, 68223, '\P{^issarb}', "");
Expect(0, 68191, '\p{issarb}', "");
Expect(1, 68191, '\p{^issarb}', "");
Expect(1, 68191, '\P{issarb}', "");
Expect(0, 68191, '\P{^issarb}', "");
Expect(1, 68223, '\p{	_is_Sarb}', "");
Expect(0, 68223, '\p{^	_is_Sarb}', "");
Expect(0, 68223, '\P{	_is_Sarb}', "");
Expect(1, 68223, '\P{^	_is_Sarb}', "");
Expect(0, 68191, '\p{	_is_Sarb}', "");
Expect(1, 68191, '\p{^	_is_Sarb}', "");
Expect(1, 68191, '\P{	_is_Sarb}', "");
Expect(0, 68191, '\P{^	_is_Sarb}', "");
Error('\p{ ALPHABETICPresentation	Forms:=}');
Error('\P{ ALPHABETICPresentation	Forms:=}');
Expect(1, 64335, '\p{alphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^alphabeticpresentationforms}', "");
Expect(0, 64335, '\P{alphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^alphabeticpresentationforms}', "");
Expect(0, 64255, '\p{alphabeticpresentationforms}', "");
Expect(1, 64255, '\p{^alphabeticpresentationforms}', "");
Expect(1, 64255, '\P{alphabeticpresentationforms}', "");
Expect(0, 64255, '\P{^alphabeticpresentationforms}', "");
Expect(1, 64335, '\p{_-Alphabetic-presentation forms}', "");
Expect(0, 64335, '\p{^_-Alphabetic-presentation forms}', "");
Expect(0, 64335, '\P{_-Alphabetic-presentation forms}', "");
Expect(1, 64335, '\P{^_-Alphabetic-presentation forms}', "");
Expect(0, 64255, '\p{_-Alphabetic-presentation forms}', "");
Expect(1, 64255, '\p{^_-Alphabetic-presentation forms}', "");
Expect(1, 64255, '\P{_-Alphabetic-presentation forms}', "");
Expect(0, 64255, '\P{^_-Alphabetic-presentation forms}', "");
Error('\p{ :=IsAlphabetic PRESENTATION	Forms}');
Error('\P{ :=IsAlphabetic PRESENTATION	Forms}');
Expect(1, 64335, '\p{isalphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^isalphabeticpresentationforms}', "");
Expect(0, 64335, '\P{isalphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^isalphabeticpresentationforms}', "");
Expect(0, 64255, '\p{isalphabeticpresentationforms}', "");
Expect(1, 64255, '\p{^isalphabeticpresentationforms}', "");
Expect(1, 64255, '\P{isalphabeticpresentationforms}', "");
Expect(0, 64255, '\P{^isalphabeticpresentationforms}', "");
Expect(1, 64335, '\p{- IS	alphabetic Presentation	Forms}', "");
Expect(0, 64335, '\p{^- IS	alphabetic Presentation	Forms}', "");
Expect(0, 64335, '\P{- IS	alphabetic Presentation	Forms}', "");
Expect(1, 64335, '\P{^- IS	alphabetic Presentation	Forms}', "");
Expect(0, 64255, '\p{- IS	alphabetic Presentation	Forms}', "");
Expect(1, 64255, '\p{^- IS	alphabetic Presentation	Forms}', "");
Expect(1, 64255, '\P{- IS	alphabetic Presentation	Forms}', "");
Expect(0, 64255, '\P{^- IS	alphabetic Presentation	Forms}', "");
Error('\p{	-In	alphabetic presentation:=forms}');
Error('\P{	-In	alphabetic presentation:=forms}');
Expect(1, 64335, '\p{inalphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^inalphabeticpresentationforms}', "");
Expect(0, 64335, '\P{inalphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^inalphabeticpresentationforms}', "");
Expect(0, 64255, '\p{inalphabeticpresentationforms}', "");
Expect(1, 64255, '\p{^inalphabeticpresentationforms}', "");
Expect(1, 64255, '\P{inalphabeticpresentationforms}', "");
Expect(0, 64255, '\P{^inalphabeticpresentationforms}', "");
Expect(1, 64335, '\p{_IN	ALPHABETIC_Presentation	FORMS}', "");
Expect(0, 64335, '\p{^_IN	ALPHABETIC_Presentation	FORMS}', "");
Expect(0, 64335, '\P{_IN	ALPHABETIC_Presentation	FORMS}', "");
Expect(1, 64335, '\P{^_IN	ALPHABETIC_Presentation	FORMS}', "");
Expect(0, 64255, '\p{_IN	ALPHABETIC_Presentation	FORMS}', "");
Expect(1, 64255, '\p{^_IN	ALPHABETIC_Presentation	FORMS}', "");
Expect(1, 64255, '\P{_IN	ALPHABETIC_Presentation	FORMS}', "");
Expect(0, 64255, '\P{^_IN	ALPHABETIC_Presentation	FORMS}', "");
Error('\p{	:=DominoTILES}');
Error('\P{	:=DominoTILES}');
Expect(1, 127135, '\p{dominotiles}', "");
Expect(0, 127135, '\p{^dominotiles}', "");
Expect(0, 127135, '\P{dominotiles}', "");
Expect(1, 127135, '\P{^dominotiles}', "");
Expect(0, 127023, '\p{dominotiles}', "");
Expect(1, 127023, '\p{^dominotiles}', "");
Expect(1, 127023, '\P{dominotiles}', "");
Expect(0, 127023, '\P{^dominotiles}', "");
Expect(1, 127135, '\p{	Domino	TILES}', "");
Expect(0, 127135, '\p{^	Domino	TILES}', "");
Expect(0, 127135, '\P{	Domino	TILES}', "");
Expect(1, 127135, '\P{^	Domino	TILES}', "");
Expect(0, 127023, '\p{	Domino	TILES}', "");
Expect(1, 127023, '\p{^	Domino	TILES}', "");
Expect(1, 127023, '\P{	Domino	TILES}', "");
Expect(0, 127023, '\P{^	Domino	TILES}', "");
Error('\p{_/a/Is DominoTiles}');
Error('\P{_/a/Is DominoTiles}');
Expect(1, 127135, '\p{isdominotiles}', "");
Expect(0, 127135, '\p{^isdominotiles}', "");
Expect(0, 127135, '\P{isdominotiles}', "");
Expect(1, 127135, '\P{^isdominotiles}', "");
Expect(0, 127023, '\p{isdominotiles}', "");
Expect(1, 127023, '\p{^isdominotiles}', "");
Expect(1, 127023, '\P{isdominotiles}', "");
Expect(0, 127023, '\P{^isdominotiles}', "");
Expect(1, 127135, '\p{		Is-DOMINO TILES}', "");
Expect(0, 127135, '\p{^		Is-DOMINO TILES}', "");
Expect(0, 127135, '\P{		Is-DOMINO TILES}', "");
Expect(1, 127135, '\P{^		Is-DOMINO TILES}', "");
Expect(0, 127023, '\p{		Is-DOMINO TILES}', "");
Expect(1, 127023, '\p{^		Is-DOMINO TILES}', "");
Expect(1, 127023, '\P{		Is-DOMINO TILES}', "");
Expect(0, 127023, '\P{^		Is-DOMINO TILES}', "");
Error('\p{-in:=Domino TILES}');
Error('\P{-in:=Domino TILES}');
Expect(1, 127135, '\p{indominotiles}', "");
Expect(0, 127135, '\p{^indominotiles}', "");
Expect(0, 127135, '\P{indominotiles}', "");
Expect(1, 127135, '\P{^indominotiles}', "");
Expect(0, 127023, '\p{indominotiles}', "");
Expect(1, 127023, '\p{^indominotiles}', "");
Expect(1, 127023, '\P{indominotiles}', "");
Expect(0, 127023, '\P{^indominotiles}', "");
Expect(1, 127135, '\p{	in_Domino TILES}', "");
Expect(0, 127135, '\p{^	in_Domino TILES}', "");
Expect(0, 127135, '\P{	in_Domino TILES}', "");
Expect(1, 127135, '\P{^	in_Domino TILES}', "");
Expect(0, 127023, '\p{	in_Domino TILES}', "");
Expect(1, 127023, '\p{^	in_Domino TILES}', "");
Expect(1, 127023, '\P{	in_Domino TILES}', "");
Expect(0, 127023, '\P{^	in_Domino TILES}', "");
Error('\p{:=InKayah-LI}');
Error('\P{:=InKayah-LI}');
Expect(1, 43311, '\p{inkayahli}', "");
Expect(0, 43311, '\p{^inkayahli}', "");
Expect(0, 43311, '\P{inkayahli}', "");
Expect(1, 43311, '\P{^inkayahli}', "");
Expect(0, 43263, '\p{inkayahli}', "");
Expect(1, 43263, '\p{^inkayahli}', "");
Expect(1, 43263, '\P{inkayahli}', "");
Expect(0, 43263, '\P{^inkayahli}', "");
Expect(1, 43311, '\p{-	in_kayah	LI}', "");
Expect(0, 43311, '\p{^-	in_kayah	LI}', "");
Expect(0, 43311, '\P{-	in_kayah	LI}', "");
Expect(1, 43311, '\P{^-	in_kayah	LI}', "");
Expect(0, 43263, '\p{-	in_kayah	LI}', "");
Expect(1, 43263, '\p{^-	in_kayah	LI}', "");
Expect(1, 43263, '\P{-	in_kayah	LI}', "");
Expect(0, 43263, '\P{^-	in_kayah	LI}', "");
Error('\p{/a/-UPPERCASE	LETTER}');
Error('\P{/a/-UPPERCASE	LETTER}');
Expect(1, 90, '\p{uppercaseletter}', "");
Expect(0, 90, '\p{^uppercaseletter}', "");
Expect(0, 90, '\P{uppercaseletter}', "");
Expect(1, 90, '\P{^uppercaseletter}', "");
Expect(0, 64, '\p{uppercaseletter}', "");
Expect(1, 64, '\p{^uppercaseletter}', "");
Expect(1, 64, '\P{uppercaseletter}', "");
Expect(0, 64, '\P{^uppercaseletter}', "");
Expect(1, 90, '\p{ uppercaseLetter}', "");
Expect(0, 90, '\p{^ uppercaseLetter}', "");
Expect(0, 90, '\P{ uppercaseLetter}', "");
Expect(1, 90, '\P{^ uppercaseLetter}', "");
Expect(0, 64, '\p{ uppercaseLetter}', "");
Expect(1, 64, '\p{^ uppercaseLetter}', "");
Expect(1, 64, '\P{ uppercaseLetter}', "");
Expect(0, 64, '\P{^ uppercaseLetter}', "");
Error('\p{	is Uppercase/a/Letter}');
Error('\P{	is Uppercase/a/Letter}');
Expect(1, 90, '\p{isuppercaseletter}', "");
Expect(0, 90, '\p{^isuppercaseletter}', "");
Expect(0, 90, '\P{isuppercaseletter}', "");
Expect(1, 90, '\P{^isuppercaseletter}', "");
Expect(0, 64, '\p{isuppercaseletter}', "");
Expect(1, 64, '\p{^isuppercaseletter}', "");
Expect(1, 64, '\P{isuppercaseletter}', "");
Expect(0, 64, '\P{^isuppercaseletter}', "");
Expect(1, 90, '\p{	 Is	UPPERCASE letter}', "");
Expect(0, 90, '\p{^	 Is	UPPERCASE letter}', "");
Expect(0, 90, '\P{	 Is	UPPERCASE letter}', "");
Expect(1, 90, '\P{^	 Is	UPPERCASE letter}', "");
Expect(0, 64, '\p{	 Is	UPPERCASE letter}', "");
Expect(1, 64, '\p{^	 Is	UPPERCASE letter}', "");
Expect(1, 64, '\P{	 Is	UPPERCASE letter}', "");
Expect(0, 64, '\P{^	 Is	UPPERCASE letter}', "");
Error('\p{-LU/a/}');
Error('\P{-LU/a/}');
Expect(1, 90, '\p{lu}', "");
Expect(0, 90, '\p{^lu}', "");
Expect(0, 90, '\P{lu}', "");
Expect(1, 90, '\P{^lu}', "");
Expect(0, 64, '\p{lu}', "");
Expect(1, 64, '\p{^lu}', "");
Expect(1, 64, '\P{lu}', "");
Expect(0, 64, '\P{^lu}', "");
Expect(1, 90, '\p{-Lu}', "");
Expect(0, 90, '\p{^-Lu}', "");
Expect(0, 90, '\P{-Lu}', "");
Expect(1, 90, '\P{^-Lu}', "");
Expect(0, 64, '\p{-Lu}', "");
Expect(1, 64, '\p{^-Lu}', "");
Expect(1, 64, '\P{-Lu}', "");
Expect(0, 64, '\P{^-Lu}', "");
Error('\p{	_IS/a/Lu}');
Error('\P{	_IS/a/Lu}');
Expect(1, 90, '\p{islu}', "");
Expect(0, 90, '\p{^islu}', "");
Expect(0, 90, '\P{islu}', "");
Expect(1, 90, '\P{^islu}', "");
Expect(0, 64, '\p{islu}', "");
Expect(1, 64, '\p{^islu}', "");
Expect(1, 64, '\P{islu}', "");
Expect(0, 64, '\P{^islu}', "");
Expect(1, 90, '\p{		Is	lu}', "");
Expect(0, 90, '\p{^		Is	lu}', "");
Expect(0, 90, '\P{		Is	lu}', "");
Expect(1, 90, '\P{^		Is	lu}', "");
Expect(0, 64, '\p{		Is	lu}', "");
Expect(1, 64, '\p{^		Is	lu}', "");
Expect(1, 64, '\P{		Is	lu}', "");
Expect(0, 64, '\P{^		Is	lu}', "");
Error('\p{-_Tai/a/Le}');
Error('\P{-_Tai/a/Le}');
Expect(1, 6509, '\p{taile}', "");
Expect(0, 6509, '\p{^taile}', "");
Expect(0, 6509, '\P{taile}', "");
Expect(1, 6509, '\P{^taile}', "");
Expect(0, 6479, '\p{taile}', "");
Expect(1, 6479, '\p{^taile}', "");
Expect(1, 6479, '\P{taile}', "");
Expect(0, 6479, '\P{^taile}', "");
Expect(1, 6509, '\p{	Tai-le}', "");
Expect(0, 6509, '\p{^	Tai-le}', "");
Expect(0, 6509, '\P{	Tai-le}', "");
Expect(1, 6509, '\P{^	Tai-le}', "");
Expect(0, 6479, '\p{	Tai-le}', "");
Expect(1, 6479, '\p{^	Tai-le}', "");
Expect(1, 6479, '\P{	Tai-le}', "");
Expect(0, 6479, '\P{^	Tai-le}', "");
Error('\p{-:=Is	Tai	LE}');
Error('\P{-:=Is	Tai	LE}');
Expect(1, 6509, '\p{istaile}', "");
Expect(0, 6509, '\p{^istaile}', "");
Expect(0, 6509, '\P{istaile}', "");
Expect(1, 6509, '\P{^istaile}', "");
Expect(0, 6479, '\p{istaile}', "");
Expect(1, 6479, '\p{^istaile}', "");
Expect(1, 6479, '\P{istaile}', "");
Expect(0, 6479, '\P{^istaile}', "");
Expect(1, 6509, '\p{ IS	tai_Le}', "");
Expect(0, 6509, '\p{^ IS	tai_Le}', "");
Expect(0, 6509, '\P{ IS	tai_Le}', "");
Expect(1, 6509, '\P{^ IS	tai_Le}', "");
Expect(0, 6479, '\p{ IS	tai_Le}', "");
Expect(1, 6479, '\p{^ IS	tai_Le}', "");
Expect(1, 6479, '\P{ IS	tai_Le}', "");
Expect(0, 6479, '\P{^ IS	tai_Le}', "");
Error('\p{ _Tale:=}');
Error('\P{ _Tale:=}');
Expect(1, 6509, '\p{tale}', "");
Expect(0, 6509, '\p{^tale}', "");
Expect(0, 6509, '\P{tale}', "");
Expect(1, 6509, '\P{^tale}', "");
Expect(0, 6479, '\p{tale}', "");
Expect(1, 6479, '\p{^tale}', "");
Expect(1, 6479, '\P{tale}', "");
Expect(0, 6479, '\P{^tale}', "");
Expect(1, 6509, '\p{-Tale}', "");
Expect(0, 6509, '\p{^-Tale}', "");
Expect(0, 6509, '\P{-Tale}', "");
Expect(1, 6509, '\P{^-Tale}', "");
Expect(0, 6479, '\p{-Tale}', "");
Expect(1, 6479, '\p{^-Tale}', "");
Expect(1, 6479, '\P{-Tale}', "");
Expect(0, 6479, '\P{^-Tale}', "");
Error('\p{_is-tale:=}');
Error('\P{_is-tale:=}');
Expect(1, 6509, '\p{istale}', "");
Expect(0, 6509, '\p{^istale}', "");
Expect(0, 6509, '\P{istale}', "");
Expect(1, 6509, '\P{^istale}', "");
Expect(0, 6479, '\p{istale}', "");
Expect(1, 6479, '\p{^istale}', "");
Expect(1, 6479, '\P{istale}', "");
Expect(0, 6479, '\P{^istale}', "");
Expect(1, 6509, '\p{	-IS_Tale}', "");
Expect(0, 6509, '\p{^	-IS_Tale}', "");
Expect(0, 6509, '\P{	-IS_Tale}', "");
Expect(1, 6509, '\P{^	-IS_Tale}', "");
Expect(0, 6479, '\p{	-IS_Tale}', "");
Expect(1, 6479, '\p{^	-IS_Tale}', "");
Expect(1, 6479, '\P{	-IS_Tale}', "");
Expect(0, 6479, '\P{^	-IS_Tale}', "");
Error('\p{/a/ASCII	HexDigit}');
Error('\P{/a/ASCII	HexDigit}');
Expect(1, 57, '\p{asciihexdigit}', "");
Expect(0, 57, '\p{^asciihexdigit}', "");
Expect(0, 57, '\P{asciihexdigit}', "");
Expect(1, 57, '\P{^asciihexdigit}', "");
Expect(0, 47, '\p{asciihexdigit}', "");
Expect(1, 47, '\p{^asciihexdigit}', "");
Expect(1, 47, '\P{asciihexdigit}', "");
Expect(0, 47, '\P{^asciihexdigit}', "");
Expect(1, 57, '\p{-ASCII Hex_digit}', "");
Expect(0, 57, '\p{^-ASCII Hex_digit}', "");
Expect(0, 57, '\P{-ASCII Hex_digit}', "");
Expect(1, 57, '\P{^-ASCII Hex_digit}', "");
Expect(0, 47, '\p{-ASCII Hex_digit}', "");
Expect(1, 47, '\p{^-ASCII Hex_digit}', "");
Expect(1, 47, '\P{-ASCII Hex_digit}', "");
Expect(0, 47, '\P{^-ASCII Hex_digit}', "");
Error('\p{_	is:=asciiHex-digit}');
Error('\P{_	is:=asciiHex-digit}');
Expect(1, 57, '\p{isasciihexdigit}', "");
Expect(0, 57, '\p{^isasciihexdigit}', "");
Expect(0, 57, '\P{isasciihexdigit}', "");
Expect(1, 57, '\P{^isasciihexdigit}', "");
Expect(0, 47, '\p{isasciihexdigit}', "");
Expect(1, 47, '\p{^isasciihexdigit}', "");
Expect(1, 47, '\P{isasciihexdigit}', "");
Expect(0, 47, '\P{^isasciihexdigit}', "");
Expect(1, 57, '\p{_Is-ASCII_Hex_DIGIT}', "");
Expect(0, 57, '\p{^_Is-ASCII_Hex_DIGIT}', "");
Expect(0, 57, '\P{_Is-ASCII_Hex_DIGIT}', "");
Expect(1, 57, '\P{^_Is-ASCII_Hex_DIGIT}', "");
Expect(0, 47, '\p{_Is-ASCII_Hex_DIGIT}', "");
Expect(1, 47, '\p{^_Is-ASCII_Hex_DIGIT}', "");
Expect(1, 47, '\P{_Is-ASCII_Hex_DIGIT}', "");
Expect(0, 47, '\P{^_Is-ASCII_Hex_DIGIT}', "");
Error('\p{/a/ AHEX}');
Error('\P{/a/ AHEX}');
Expect(1, 57, '\p{ahex}', "");
Expect(0, 57, '\p{^ahex}', "");
Expect(0, 57, '\P{ahex}', "");
Expect(1, 57, '\P{^ahex}', "");
Expect(0, 47, '\p{ahex}', "");
Expect(1, 47, '\p{^ahex}', "");
Expect(1, 47, '\P{ahex}', "");
Expect(0, 47, '\P{^ahex}', "");
Expect(1, 57, '\p{- AHex}', "");
Expect(0, 57, '\p{^- AHex}', "");
Expect(0, 57, '\P{- AHex}', "");
Expect(1, 57, '\P{^- AHex}', "");
Expect(0, 47, '\p{- AHex}', "");
Expect(1, 47, '\p{^- AHex}', "");
Expect(1, 47, '\P{- AHex}', "");
Expect(0, 47, '\P{^- AHex}', "");
Error('\p{ IsAHEX/a/}');
Error('\P{ IsAHEX/a/}');
Expect(1, 57, '\p{isahex}', "");
Expect(0, 57, '\p{^isahex}', "");
Expect(0, 57, '\P{isahex}', "");
Expect(1, 57, '\P{^isahex}', "");
Expect(0, 47, '\p{isahex}', "");
Expect(1, 47, '\p{^isahex}', "");
Expect(1, 47, '\P{isahex}', "");
Expect(0, 47, '\P{^isahex}', "");
Expect(1, 57, '\p{_Is-AHex}', "");
Expect(0, 57, '\p{^_Is-AHex}', "");
Expect(0, 57, '\P{_Is-AHex}', "");
Expect(1, 57, '\P{^_Is-AHex}', "");
Expect(0, 47, '\p{_Is-AHex}', "");
Expect(1, 47, '\p{^_Is-AHex}', "");
Expect(1, 47, '\P{_Is-AHex}', "");
Expect(0, 47, '\P{^_Is-AHex}', "");
Error('\p{/a/__Rejang}');
Error('\P{/a/__Rejang}');
Expect(1, 43347, '\p{rejang}', "");
Expect(0, 43347, '\p{^rejang}', "");
Expect(0, 43347, '\P{rejang}', "");
Expect(1, 43347, '\P{^rejang}', "");
Expect(0, 43311, '\p{rejang}', "");
Expect(1, 43311, '\p{^rejang}', "");
Expect(1, 43311, '\P{rejang}', "");
Expect(0, 43311, '\P{^rejang}', "");
Expect(1, 43347, '\p{_-rejang}', "");
Expect(0, 43347, '\p{^_-rejang}', "");
Expect(0, 43347, '\P{_-rejang}', "");
Expect(1, 43347, '\P{^_-rejang}', "");
Expect(0, 43311, '\p{_-rejang}', "");
Expect(1, 43311, '\p{^_-rejang}', "");
Expect(1, 43311, '\P{_-rejang}', "");
Expect(0, 43311, '\P{^_-rejang}', "");
Error('\p{/a/  is-Rejang}');
Error('\P{/a/  is-Rejang}');
Expect(1, 43347, '\p{isrejang}', "");
Expect(0, 43347, '\p{^isrejang}', "");
Expect(0, 43347, '\P{isrejang}', "");
Expect(1, 43347, '\P{^isrejang}', "");
Expect(0, 43311, '\p{isrejang}', "");
Expect(1, 43311, '\p{^isrejang}', "");
Expect(1, 43311, '\P{isrejang}', "");
Expect(0, 43311, '\P{^isrejang}', "");
Expect(1, 43347, '\p{ _IS rejang}', "");
Expect(0, 43347, '\p{^ _IS rejang}', "");
Expect(0, 43347, '\P{ _IS rejang}', "");
Expect(1, 43347, '\P{^ _IS rejang}', "");
Expect(0, 43311, '\p{ _IS rejang}', "");
Expect(1, 43311, '\p{^ _IS rejang}', "");
Expect(1, 43311, '\P{ _IS rejang}', "");
Expect(0, 43311, '\P{^ _IS rejang}', "");
Error('\p{-/a/Rjng}');
Error('\P{-/a/Rjng}');
Expect(1, 43347, '\p{rjng}', "");
Expect(0, 43347, '\p{^rjng}', "");
Expect(0, 43347, '\P{rjng}', "");
Expect(1, 43347, '\P{^rjng}', "");
Expect(0, 43311, '\p{rjng}', "");
Expect(1, 43311, '\p{^rjng}', "");
Expect(1, 43311, '\P{rjng}', "");
Expect(0, 43311, '\P{^rjng}', "");
Expect(1, 43347, '\p{_ Rjng}', "");
Expect(0, 43347, '\p{^_ Rjng}', "");
Expect(0, 43347, '\P{_ Rjng}', "");
Expect(1, 43347, '\P{^_ Rjng}', "");
Expect(0, 43311, '\p{_ Rjng}', "");
Expect(1, 43311, '\p{^_ Rjng}', "");
Expect(1, 43311, '\P{_ Rjng}', "");
Expect(0, 43311, '\P{^_ Rjng}', "");
Error('\p{_ is	rjng/a/}');
Error('\P{_ is	rjng/a/}');
Expect(1, 43347, '\p{isrjng}', "");
Expect(0, 43347, '\p{^isrjng}', "");
Expect(0, 43347, '\P{isrjng}', "");
Expect(1, 43347, '\P{^isrjng}', "");
Expect(0, 43311, '\p{isrjng}', "");
Expect(1, 43311, '\p{^isrjng}', "");
Expect(1, 43311, '\P{isrjng}', "");
Expect(0, 43311, '\P{^isrjng}', "");
Expect(1, 43347, '\p{-Is	Rjng}', "");
Expect(0, 43347, '\p{^-Is	Rjng}', "");
Expect(0, 43347, '\P{-Is	Rjng}', "");
Expect(1, 43347, '\P{^-Is	Rjng}', "");
Expect(0, 43311, '\p{-Is	Rjng}', "");
Expect(1, 43311, '\p{^-Is	Rjng}', "");
Expect(1, 43311, '\P{-Is	Rjng}', "");
Expect(0, 43311, '\P{^-Is	Rjng}', "");
Error('\p{__Unified-Canadian:=ABORIGINAL_Syllabics-extended}');
Error('\P{__Unified-Canadian:=ABORIGINAL_Syllabics-extended}');
Expect(1, 6399, '\p{unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\p{unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\p{^unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\P{unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\P{^unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{	Unified_canadian_ABORIGINAL-Syllabics	extended}', "");
Expect(0, 6399, '\p{^	Unified_canadian_ABORIGINAL-Syllabics	extended}', "");
Expect(0, 6399, '\P{	Unified_canadian_ABORIGINAL-Syllabics	extended}', "");
Expect(1, 6399, '\P{^	Unified_canadian_ABORIGINAL-Syllabics	extended}', "");
Expect(0, 6319, '\p{	Unified_canadian_ABORIGINAL-Syllabics	extended}', "");
Expect(1, 6319, '\p{^	Unified_canadian_ABORIGINAL-Syllabics	extended}', "");
Expect(1, 6319, '\P{	Unified_canadian_ABORIGINAL-Syllabics	extended}', "");
Expect(0, 6319, '\P{^	Unified_canadian_ABORIGINAL-Syllabics	extended}', "");
Error('\p{_Is:=Unified CANADIAN	Aboriginal	SYLLABICS-EXTENDED}');
Error('\P{_Is:=Unified CANADIAN	Aboriginal	SYLLABICS-EXTENDED}');
Expect(1, 6399, '\p{isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\p{isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\p{^isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\P{isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\P{^isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{ _IS-Unified	Canadian-AboriginalSyllabics	EXTENDED}', "");
Expect(0, 6399, '\p{^ _IS-Unified	Canadian-AboriginalSyllabics	EXTENDED}', "");
Expect(0, 6399, '\P{ _IS-Unified	Canadian-AboriginalSyllabics	EXTENDED}', "");
Expect(1, 6399, '\P{^ _IS-Unified	Canadian-AboriginalSyllabics	EXTENDED}', "");
Expect(0, 6319, '\p{ _IS-Unified	Canadian-AboriginalSyllabics	EXTENDED}', "");
Expect(1, 6319, '\p{^ _IS-Unified	Canadian-AboriginalSyllabics	EXTENDED}', "");
Expect(1, 6319, '\P{ _IS-Unified	Canadian-AboriginalSyllabics	EXTENDED}', "");
Expect(0, 6319, '\P{^ _IS-Unified	Canadian-AboriginalSyllabics	EXTENDED}', "");
Error('\p{_In-Unified	canadian-ABORIGINAL/a/Syllabics Extended}');
Error('\P{_In-Unified	canadian-ABORIGINAL/a/Syllabics Extended}');
Expect(1, 6399, '\p{inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\p{inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\p{^inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6319, '\P{inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6319, '\P{^inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{-	InUnifiedcanadian ABORIGINAL_SYLLABICS_EXTENDED}', "");
Expect(0, 6399, '\p{^-	InUnifiedcanadian ABORIGINAL_SYLLABICS_EXTENDED}', "");
Expect(0, 6399, '\P{-	InUnifiedcanadian ABORIGINAL_SYLLABICS_EXTENDED}', "");
Expect(1, 6399, '\P{^-	InUnifiedcanadian ABORIGINAL_SYLLABICS_EXTENDED}', "");
Expect(0, 6319, '\p{-	InUnifiedcanadian ABORIGINAL_SYLLABICS_EXTENDED}', "");
Expect(1, 6319, '\p{^-	InUnifiedcanadian ABORIGINAL_SYLLABICS_EXTENDED}', "");
Expect(1, 6319, '\P{-	InUnifiedcanadian ABORIGINAL_SYLLABICS_EXTENDED}', "");
Expect(0, 6319, '\P{^-	InUnifiedcanadian ABORIGINAL_SYLLABICS_EXTENDED}', "");
Error('\p{-glagolitic/a/}');
Error('\P{-glagolitic/a/}');
Expect(1, 11310, '\p{glagolitic}', "");
Expect(0, 11310, '\p{^glagolitic}', "");
Expect(0, 11310, '\P{glagolitic}', "");
Expect(1, 11310, '\P{^glagolitic}', "");
Expect(0, 11263, '\p{glagolitic}', "");
Expect(1, 11263, '\p{^glagolitic}', "");
Expect(1, 11263, '\P{glagolitic}', "");
Expect(0, 11263, '\P{^glagolitic}', "");
Expect(1, 11310, '\p{__Glagolitic}', "");
Expect(0, 11310, '\p{^__Glagolitic}', "");
Expect(0, 11310, '\P{__Glagolitic}', "");
Expect(1, 11310, '\P{^__Glagolitic}', "");
Expect(0, 11263, '\p{__Glagolitic}', "");
Expect(1, 11263, '\p{^__Glagolitic}', "");
Expect(1, 11263, '\P{__Glagolitic}', "");
Expect(0, 11263, '\P{^__Glagolitic}', "");
Error('\p{_-IS:=GLAGOLITIC}');
Error('\P{_-IS:=GLAGOLITIC}');
Expect(1, 11310, '\p{isglagolitic}', "");
Expect(0, 11310, '\p{^isglagolitic}', "");
Expect(0, 11310, '\P{isglagolitic}', "");
Expect(1, 11310, '\P{^isglagolitic}', "");
Expect(0, 11263, '\p{isglagolitic}', "");
Expect(1, 11263, '\p{^isglagolitic}', "");
Expect(1, 11263, '\P{isglagolitic}', "");
Expect(0, 11263, '\P{^isglagolitic}', "");
Expect(1, 11310, '\p{ Is GLAGOLITIC}', "");
Expect(0, 11310, '\p{^ Is GLAGOLITIC}', "");
Expect(0, 11310, '\P{ Is GLAGOLITIC}', "");
Expect(1, 11310, '\P{^ Is GLAGOLITIC}', "");
Expect(0, 11263, '\p{ Is GLAGOLITIC}', "");
Expect(1, 11263, '\p{^ Is GLAGOLITIC}', "");
Expect(1, 11263, '\P{ Is GLAGOLITIC}', "");
Expect(0, 11263, '\P{^ Is GLAGOLITIC}', "");
Error('\p{ -Glag/a/}');
Error('\P{ -Glag/a/}');
Expect(1, 11310, '\p{glag}', "");
Expect(0, 11310, '\p{^glag}', "");
Expect(0, 11310, '\P{glag}', "");
Expect(1, 11310, '\P{^glag}', "");
Expect(0, 11263, '\p{glag}', "");
Expect(1, 11263, '\p{^glag}', "");
Expect(1, 11263, '\P{glag}', "");
Expect(0, 11263, '\P{^glag}', "");
Expect(1, 11310, '\p{-Glag}', "");
Expect(0, 11310, '\p{^-Glag}', "");
Expect(0, 11310, '\P{-Glag}', "");
Expect(1, 11310, '\P{^-Glag}', "");
Expect(0, 11263, '\p{-Glag}', "");
Expect(1, 11263, '\p{^-Glag}', "");
Expect(1, 11263, '\P{-Glag}', "");
Expect(0, 11263, '\P{^-Glag}', "");
Error('\p{	:=IS	Glag}');
Error('\P{	:=IS	Glag}');
Expect(1, 11310, '\p{isglag}', "");
Expect(0, 11310, '\p{^isglag}', "");
Expect(0, 11310, '\P{isglag}', "");
Expect(1, 11310, '\P{^isglag}', "");
Expect(0, 11263, '\p{isglag}', "");
Expect(1, 11263, '\p{^isglag}', "");
Expect(1, 11263, '\P{isglag}', "");
Expect(0, 11263, '\P{^isglag}', "");
Expect(1, 11310, '\p{_ Is-Glag}', "");
Expect(0, 11310, '\p{^_ Is-Glag}', "");
Expect(0, 11310, '\P{_ Is-Glag}', "");
Expect(1, 11310, '\P{^_ Is-Glag}', "");
Expect(0, 11263, '\p{_ Is-Glag}', "");
Expect(1, 11263, '\p{^_ Is-Glag}', "");
Expect(1, 11263, '\P{_ Is-Glag}', "");
Expect(0, 11263, '\P{^_ Is-Glag}', "");
Error('\p{		In-Ol/a/chiki}');
Error('\P{		In-Ol/a/chiki}');
Expect(1, 7295, '\p{inolchiki}', "");
Expect(0, 7295, '\p{^inolchiki}', "");
Expect(0, 7295, '\P{inolchiki}', "");
Expect(1, 7295, '\P{^inolchiki}', "");
Expect(0, 7247, '\p{inolchiki}', "");
Expect(1, 7247, '\p{^inolchiki}', "");
Expect(1, 7247, '\P{inolchiki}', "");
Expect(0, 7247, '\P{^inolchiki}', "");
Expect(1, 7295, '\p{	IN	OLCHIKI}', "");
Expect(0, 7295, '\p{^	IN	OLCHIKI}', "");
Expect(0, 7295, '\P{	IN	OLCHIKI}', "");
Expect(1, 7295, '\P{^	IN	OLCHIKI}', "");
Expect(0, 7247, '\p{	IN	OLCHIKI}', "");
Expect(1, 7247, '\p{^	IN	OLCHIKI}', "");
Expect(1, 7247, '\P{	IN	OLCHIKI}', "");
Expect(0, 7247, '\P{^	IN	OLCHIKI}', "");
Error('\p{/a/_-CJKStrokes}');
Error('\P{/a/_-CJKStrokes}');
Expect(1, 12783, '\p{cjkstrokes}', "");
Expect(0, 12783, '\p{^cjkstrokes}', "");
Expect(0, 12783, '\P{cjkstrokes}', "");
Expect(1, 12783, '\P{^cjkstrokes}', "");
Expect(0, 12735, '\p{cjkstrokes}', "");
Expect(1, 12735, '\p{^cjkstrokes}', "");
Expect(1, 12735, '\P{cjkstrokes}', "");
Expect(0, 12735, '\P{^cjkstrokes}', "");
Expect(1, 12783, '\p{-	CJKstrokes}', "");
Expect(0, 12783, '\p{^-	CJKstrokes}', "");
Expect(0, 12783, '\P{-	CJKstrokes}', "");
Expect(1, 12783, '\P{^-	CJKstrokes}', "");
Expect(0, 12735, '\p{-	CJKstrokes}', "");
Expect(1, 12735, '\p{^-	CJKstrokes}', "");
Expect(1, 12735, '\P{-	CJKstrokes}', "");
Expect(0, 12735, '\P{^-	CJKstrokes}', "");
Error('\p{ /a/iscjk STROKES}');
Error('\P{ /a/iscjk STROKES}');
Expect(1, 12783, '\p{iscjkstrokes}', "");
Expect(0, 12783, '\p{^iscjkstrokes}', "");
Expect(0, 12783, '\P{iscjkstrokes}', "");
Expect(1, 12783, '\P{^iscjkstrokes}', "");
Expect(0, 12735, '\p{iscjkstrokes}', "");
Expect(1, 12735, '\p{^iscjkstrokes}', "");
Expect(1, 12735, '\P{iscjkstrokes}', "");
Expect(0, 12735, '\P{^iscjkstrokes}', "");
Expect(1, 12783, '\p{	isCJKStrokes}', "");
Expect(0, 12783, '\p{^	isCJKStrokes}', "");
Expect(0, 12783, '\P{	isCJKStrokes}', "");
Expect(1, 12783, '\P{^	isCJKStrokes}', "");
Expect(0, 12735, '\p{	isCJKStrokes}', "");
Expect(1, 12735, '\p{^	isCJKStrokes}', "");
Expect(1, 12735, '\P{	isCJKStrokes}', "");
Expect(0, 12735, '\P{^	isCJKStrokes}', "");
Error('\p{	 In CJK/a/Strokes}');
Error('\P{	 In CJK/a/Strokes}');
Expect(1, 12783, '\p{incjkstrokes}', "");
Expect(0, 12783, '\p{^incjkstrokes}', "");
Expect(0, 12783, '\P{incjkstrokes}', "");
Expect(1, 12783, '\P{^incjkstrokes}', "");
Expect(0, 12735, '\p{incjkstrokes}', "");
Expect(1, 12735, '\p{^incjkstrokes}', "");
Expect(1, 12735, '\P{incjkstrokes}', "");
Expect(0, 12735, '\P{^incjkstrokes}', "");
Expect(1, 12783, '\p{_	In_CJK-Strokes}', "");
Expect(0, 12783, '\p{^_	In_CJK-Strokes}', "");
Expect(0, 12783, '\P{_	In_CJK-Strokes}', "");
Expect(1, 12783, '\P{^_	In_CJK-Strokes}', "");
Expect(0, 12735, '\p{_	In_CJK-Strokes}', "");
Expect(1, 12735, '\p{^_	In_CJK-Strokes}', "");
Expect(1, 12735, '\P{_	In_CJK-Strokes}', "");
Expect(0, 12735, '\P{^_	In_CJK-Strokes}', "");
Error('\p{ Sinhala/a/}');
Error('\P{ Sinhala/a/}');
Expect(1, 3459, '\p{sinhala}', "");
Expect(0, 3459, '\p{^sinhala}', "");
Expect(0, 3459, '\P{sinhala}', "");
Expect(1, 3459, '\P{^sinhala}', "");
Expect(0, 3457, '\p{sinhala}', "");
Expect(1, 3457, '\p{^sinhala}', "");
Expect(1, 3457, '\P{sinhala}', "");
Expect(0, 3457, '\P{^sinhala}', "");
Error('\p{/a/ IsSINHALA}');
Error('\P{/a/ IsSINHALA}');
Expect(1, 3459, '\p{issinhala}', "");
Expect(0, 3459, '\p{^issinhala}', "");
Expect(0, 3459, '\P{issinhala}', "");
Expect(1, 3459, '\P{^issinhala}', "");
Expect(0, 3457, '\p{issinhala}', "");
Expect(1, 3457, '\p{^issinhala}', "");
Expect(1, 3457, '\P{issinhala}', "");
Expect(0, 3457, '\P{^issinhala}', "");
Expect(1, 3459, '\p{_ Is_sinhala}', "");
Expect(0, 3459, '\p{^_ Is_sinhala}', "");
Expect(0, 3459, '\P{_ Is_sinhala}', "");
Expect(1, 3459, '\P{^_ Is_sinhala}', "");
Expect(0, 3457, '\p{_ Is_sinhala}', "");
Expect(1, 3457, '\p{^_ Is_sinhala}', "");
Expect(1, 3457, '\P{_ Is_sinhala}', "");
Expect(0, 3457, '\P{^_ Is_sinhala}', "");
Error('\p{:= SINH}');
Error('\P{:= SINH}');
Expect(1, 3459, '\p{sinh}', "");
Expect(0, 3459, '\p{^sinh}', "");
Expect(0, 3459, '\P{sinh}', "");
Expect(1, 3459, '\P{^sinh}', "");
Expect(0, 3457, '\p{sinh}', "");
Expect(1, 3457, '\p{^sinh}', "");
Expect(1, 3457, '\P{sinh}', "");
Expect(0, 3457, '\P{^sinh}', "");
Expect(1, 3459, '\p{_sinh}', "");
Expect(0, 3459, '\p{^_sinh}', "");
Expect(0, 3459, '\P{_sinh}', "");
Expect(1, 3459, '\P{^_sinh}', "");
Expect(0, 3457, '\p{_sinh}', "");
Expect(1, 3457, '\p{^_sinh}', "");
Expect(1, 3457, '\P{_sinh}', "");
Expect(0, 3457, '\P{^_sinh}', "");
Error('\p{-/a/Is-Sinh}');
Error('\P{-/a/Is-Sinh}');
Expect(1, 3459, '\p{issinh}', "");
Expect(0, 3459, '\p{^issinh}', "");
Expect(0, 3459, '\P{issinh}', "");
Expect(1, 3459, '\P{^issinh}', "");
Expect(0, 3457, '\p{issinh}', "");
Expect(1, 3457, '\p{^issinh}', "");
Expect(1, 3457, '\P{issinh}', "");
Expect(0, 3457, '\P{^issinh}', "");
Expect(1, 3459, '\p{ -IS Sinh}', "");
Expect(0, 3459, '\p{^ -IS Sinh}', "");
Expect(0, 3459, '\P{ -IS Sinh}', "");
Expect(1, 3459, '\P{^ -IS Sinh}', "");
Expect(0, 3457, '\p{ -IS Sinh}', "");
Expect(1, 3457, '\p{^ -IS Sinh}', "");
Expect(1, 3457, '\P{ -IS Sinh}', "");
Expect(0, 3457, '\P{^ -IS Sinh}', "");
Error('\p{/a/_	Ugaritic}');
Error('\P{/a/_	Ugaritic}');
Expect(1, 66461, '\p{ugaritic}', "");
Expect(0, 66461, '\p{^ugaritic}', "");
Expect(0, 66461, '\P{ugaritic}', "");
Expect(1, 66461, '\P{^ugaritic}', "");
Expect(0, 66431, '\p{ugaritic}', "");
Expect(1, 66431, '\p{^ugaritic}', "");
Expect(1, 66431, '\P{ugaritic}', "");
Expect(0, 66431, '\P{^ugaritic}', "");
Expect(1, 66461, '\p{	_Ugaritic}', "");
Expect(0, 66461, '\p{^	_Ugaritic}', "");
Expect(0, 66461, '\P{	_Ugaritic}', "");
Expect(1, 66461, '\P{^	_Ugaritic}', "");
Expect(0, 66431, '\p{	_Ugaritic}', "");
Expect(1, 66431, '\p{^	_Ugaritic}', "");
Expect(1, 66431, '\P{	_Ugaritic}', "");
Expect(0, 66431, '\P{^	_Ugaritic}', "");
Error('\p{:=	_Is-ugaritic}');
Error('\P{:=	_Is-ugaritic}');
Expect(1, 66461, '\p{isugaritic}', "");
Expect(0, 66461, '\p{^isugaritic}', "");
Expect(0, 66461, '\P{isugaritic}', "");
Expect(1, 66461, '\P{^isugaritic}', "");
Expect(0, 66431, '\p{isugaritic}', "");
Expect(1, 66431, '\p{^isugaritic}', "");
Expect(1, 66431, '\P{isugaritic}', "");
Expect(0, 66431, '\P{^isugaritic}', "");
Expect(1, 66461, '\p{--Is_Ugaritic}', "");
Expect(0, 66461, '\p{^--Is_Ugaritic}', "");
Expect(0, 66461, '\P{--Is_Ugaritic}', "");
Expect(1, 66461, '\P{^--Is_Ugaritic}', "");
Expect(0, 66431, '\p{--Is_Ugaritic}', "");
Expect(1, 66431, '\p{^--Is_Ugaritic}', "");
Expect(1, 66431, '\P{--Is_Ugaritic}', "");
Expect(0, 66431, '\P{^--Is_Ugaritic}', "");
Error('\p{-UGAR:=}');
Error('\P{-UGAR:=}');
Expect(1, 66461, '\p{ugar}', "");
Expect(0, 66461, '\p{^ugar}', "");
Expect(0, 66461, '\P{ugar}', "");
Expect(1, 66461, '\P{^ugar}', "");
Expect(0, 66431, '\p{ugar}', "");
Expect(1, 66431, '\p{^ugar}', "");
Expect(1, 66431, '\P{ugar}', "");
Expect(0, 66431, '\P{^ugar}', "");
Expect(1, 66461, '\p{_Ugar}', "");
Expect(0, 66461, '\p{^_Ugar}', "");
Expect(0, 66461, '\P{_Ugar}', "");
Expect(1, 66461, '\P{^_Ugar}', "");
Expect(0, 66431, '\p{_Ugar}', "");
Expect(1, 66431, '\p{^_Ugar}', "");
Expect(1, 66431, '\P{_Ugar}', "");
Expect(0, 66431, '\P{^_Ugar}', "");
Error('\p{ -is_UGAR:=}');
Error('\P{ -is_UGAR:=}');
Expect(1, 66461, '\p{isugar}', "");
Expect(0, 66461, '\p{^isugar}', "");
Expect(0, 66461, '\P{isugar}', "");
Expect(1, 66461, '\P{^isugar}', "");
Expect(0, 66431, '\p{isugar}', "");
Expect(1, 66431, '\p{^isugar}', "");
Expect(1, 66431, '\P{isugar}', "");
Expect(0, 66431, '\P{^isugar}', "");
Expect(1, 66461, '\p{-_Is	ugar}', "");
Expect(0, 66461, '\p{^-_Is	ugar}', "");
Expect(0, 66461, '\P{-_Is	ugar}', "");
Expect(1, 66461, '\P{^-_Is	ugar}', "");
Expect(0, 66431, '\p{-_Is	ugar}', "");
Expect(1, 66431, '\p{^-_Is	ugar}', "");
Expect(1, 66431, '\P{-_Is	ugar}', "");
Expect(0, 66431, '\P{^-_Is	ugar}', "");
Error('\p{-/a/OGHAM}');
Error('\P{-/a/OGHAM}');
Expect(1, 5788, '\p{ogham}', "");
Expect(0, 5788, '\p{^ogham}', "");
Expect(0, 5788, '\P{ogham}', "");
Expect(1, 5788, '\P{^ogham}', "");
Expect(0, 5759, '\p{ogham}', "");
Expect(1, 5759, '\p{^ogham}', "");
Expect(1, 5759, '\P{ogham}', "");
Expect(0, 5759, '\P{^ogham}', "");
Expect(1, 5788, '\p{  Ogham}', "");
Expect(0, 5788, '\p{^  Ogham}', "");
Expect(0, 5788, '\P{  Ogham}', "");
Expect(1, 5788, '\P{^  Ogham}', "");
Expect(0, 5759, '\p{  Ogham}', "");
Expect(1, 5759, '\p{^  Ogham}', "");
Expect(1, 5759, '\P{  Ogham}', "");
Expect(0, 5759, '\P{^  Ogham}', "");
Error('\p{_ isOGHAM/a/}');
Error('\P{_ isOGHAM/a/}');
Expect(1, 5788, '\p{isogham}', "");
Expect(0, 5788, '\p{^isogham}', "");
Expect(0, 5788, '\P{isogham}', "");
Expect(1, 5788, '\P{^isogham}', "");
Expect(0, 5759, '\p{isogham}', "");
Expect(1, 5759, '\p{^isogham}', "");
Expect(1, 5759, '\P{isogham}', "");
Expect(0, 5759, '\P{^isogham}', "");
Expect(1, 5788, '\p{__Is_Ogham}', "");
Expect(0, 5788, '\p{^__Is_Ogham}', "");
Expect(0, 5788, '\P{__Is_Ogham}', "");
Expect(1, 5788, '\P{^__Is_Ogham}', "");
Expect(0, 5759, '\p{__Is_Ogham}', "");
Expect(1, 5759, '\p{^__Is_Ogham}', "");
Expect(1, 5759, '\P{__Is_Ogham}', "");
Expect(0, 5759, '\P{^__Is_Ogham}', "");
Error('\p{ -Ogam:=}');
Error('\P{ -Ogam:=}');
Expect(1, 5788, '\p{ogam}', "");
Expect(0, 5788, '\p{^ogam}', "");
Expect(0, 5788, '\P{ogam}', "");
Expect(1, 5788, '\P{^ogam}', "");
Expect(0, 5759, '\p{ogam}', "");
Expect(1, 5759, '\p{^ogam}', "");
Expect(1, 5759, '\P{ogam}', "");
Expect(0, 5759, '\P{^ogam}', "");
Expect(1, 5788, '\p{ Ogam}', "");
Expect(0, 5788, '\p{^ Ogam}', "");
Expect(0, 5788, '\P{ Ogam}', "");
Expect(1, 5788, '\P{^ Ogam}', "");
Expect(0, 5759, '\p{ Ogam}', "");
Expect(1, 5759, '\p{^ Ogam}', "");
Expect(1, 5759, '\P{ Ogam}', "");
Expect(0, 5759, '\P{^ Ogam}', "");
Error('\p{	_IS-OGAM:=}');
Error('\P{	_IS-OGAM:=}');
Expect(1, 5788, '\p{isogam}', "");
Expect(0, 5788, '\p{^isogam}', "");
Expect(0, 5788, '\P{isogam}', "");
Expect(1, 5788, '\P{^isogam}', "");
Expect(0, 5759, '\p{isogam}', "");
Expect(1, 5759, '\p{^isogam}', "");
Expect(1, 5759, '\P{isogam}', "");
Expect(0, 5759, '\P{^isogam}', "");
Expect(1, 5788, '\p{  Isogam}', "");
Expect(0, 5788, '\p{^  Isogam}', "");
Expect(0, 5788, '\P{  Isogam}', "");
Expect(1, 5788, '\P{^  Isogam}', "");
Expect(0, 5759, '\p{  Isogam}', "");
Expect(1, 5759, '\p{^  Isogam}', "");
Expect(1, 5759, '\P{  Isogam}', "");
Expect(0, 5759, '\P{^  Isogam}', "");
Error('\p{_ Bengali/a/}');
Error('\P{_ Bengali/a/}');
Expect(1, 2435, '\p{bengali}', "");
Expect(0, 2435, '\p{^bengali}', "");
Expect(0, 2435, '\P{bengali}', "");
Expect(1, 2435, '\P{^bengali}', "");
Expect(0, 2432, '\p{bengali}', "");
Expect(1, 2432, '\p{^bengali}', "");
Expect(1, 2432, '\P{bengali}', "");
Expect(0, 2432, '\P{^bengali}', "");
Expect(1, 2435, '\p{_Bengali}', "");
Expect(0, 2435, '\p{^_Bengali}', "");
Expect(0, 2435, '\P{_Bengali}', "");
Expect(1, 2435, '\P{^_Bengali}', "");
Expect(0, 2432, '\p{_Bengali}', "");
Expect(1, 2432, '\p{^_Bengali}', "");
Expect(1, 2432, '\P{_Bengali}', "");
Expect(0, 2432, '\P{^_Bengali}', "");
Error('\p{ -IS:=Bengali}');
Error('\P{ -IS:=Bengali}');
Expect(1, 2435, '\p{isbengali}', "");
Expect(0, 2435, '\p{^isbengali}', "");
Expect(0, 2435, '\P{isbengali}', "");
Expect(1, 2435, '\P{^isbengali}', "");
Expect(0, 2432, '\p{isbengali}', "");
Expect(1, 2432, '\p{^isbengali}', "");
Expect(1, 2432, '\P{isbengali}', "");
Expect(0, 2432, '\P{^isbengali}', "");
Expect(1, 2435, '\p{		Is Bengali}', "");
Expect(0, 2435, '\p{^		Is Bengali}', "");
Expect(0, 2435, '\P{		Is Bengali}', "");
Expect(1, 2435, '\P{^		Is Bengali}', "");
Expect(0, 2432, '\p{		Is Bengali}', "");
Expect(1, 2432, '\p{^		Is Bengali}', "");
Expect(1, 2432, '\P{		Is Bengali}', "");
Expect(0, 2432, '\P{^		Is Bengali}', "");
Error('\p{ /a/Beng}');
Error('\P{ /a/Beng}');
Expect(1, 2435, '\p{beng}', "");
Expect(0, 2435, '\p{^beng}', "");
Expect(0, 2435, '\P{beng}', "");
Expect(1, 2435, '\P{^beng}', "");
Expect(0, 2432, '\p{beng}', "");
Expect(1, 2432, '\p{^beng}', "");
Expect(1, 2432, '\P{beng}', "");
Expect(0, 2432, '\P{^beng}', "");
Expect(1, 2435, '\p{	_BENG}', "");
Expect(0, 2435, '\p{^	_BENG}', "");
Expect(0, 2435, '\P{	_BENG}', "");
Expect(1, 2435, '\P{^	_BENG}', "");
Expect(0, 2432, '\p{	_BENG}', "");
Expect(1, 2432, '\p{^	_BENG}', "");
Expect(1, 2432, '\P{	_BENG}', "");
Expect(0, 2432, '\P{^	_BENG}', "");
Error('\p{:=-is-BENG}');
Error('\P{:=-is-BENG}');
Expect(1, 2435, '\p{isbeng}', "");
Expect(0, 2435, '\p{^isbeng}', "");
Expect(0, 2435, '\P{isbeng}', "");
Expect(1, 2435, '\P{^isbeng}', "");
Expect(0, 2432, '\p{isbeng}', "");
Expect(1, 2432, '\p{^isbeng}', "");
Expect(1, 2432, '\P{isbeng}', "");
Expect(0, 2432, '\P{^isbeng}', "");
Expect(1, 2435, '\p{--IS_Beng}', "");
Expect(0, 2435, '\p{^--IS_Beng}', "");
Expect(0, 2435, '\P{--IS_Beng}', "");
Expect(1, 2435, '\P{^--IS_Beng}', "");
Expect(0, 2432, '\p{--IS_Beng}', "");
Expect(1, 2432, '\p{^--IS_Beng}', "");
Expect(1, 2432, '\P{--IS_Beng}', "");
Expect(0, 2432, '\P{^--IS_Beng}', "");
Error('\p{/a/	 diacritic}');
Error('\P{/a/	 diacritic}');
Expect(1, 94, '\p{diacritic}', "");
Expect(0, 94, '\p{^diacritic}', "");
Expect(0, 94, '\P{diacritic}', "");
Expect(1, 94, '\P{^diacritic}', "");
Expect(0, 93, '\p{diacritic}', "");
Expect(1, 93, '\p{^diacritic}', "");
Expect(1, 93, '\P{diacritic}', "");
Expect(0, 93, '\P{^diacritic}', "");
Expect(1, 94, '\p{- diacritic}', "");
Expect(0, 94, '\p{^- diacritic}', "");
Expect(0, 94, '\P{- diacritic}', "");
Expect(1, 94, '\P{^- diacritic}', "");
Expect(0, 93, '\p{- diacritic}', "");
Expect(1, 93, '\p{^- diacritic}', "");
Expect(1, 93, '\P{- diacritic}', "");
Expect(0, 93, '\P{^- diacritic}', "");
Error('\p{_:=is_Diacritic}');
Error('\P{_:=is_Diacritic}');
Expect(1, 94, '\p{isdiacritic}', "");
Expect(0, 94, '\p{^isdiacritic}', "");
Expect(0, 94, '\P{isdiacritic}', "");
Expect(1, 94, '\P{^isdiacritic}', "");
Expect(0, 93, '\p{isdiacritic}', "");
Expect(1, 93, '\p{^isdiacritic}', "");
Expect(1, 93, '\P{isdiacritic}', "");
Expect(0, 93, '\P{^isdiacritic}', "");
Expect(1, 94, '\p{-	IS_Diacritic}', "");
Expect(0, 94, '\p{^-	IS_Diacritic}', "");
Expect(0, 94, '\P{-	IS_Diacritic}', "");
Expect(1, 94, '\P{^-	IS_Diacritic}', "");
Expect(0, 93, '\p{-	IS_Diacritic}', "");
Expect(1, 93, '\p{^-	IS_Diacritic}', "");
Expect(1, 93, '\P{-	IS_Diacritic}', "");
Expect(0, 93, '\P{^-	IS_Diacritic}', "");
Error('\p{	_Dia:=}');
Error('\P{	_Dia:=}');
Expect(1, 94, '\p{dia}', "");
Expect(0, 94, '\p{^dia}', "");
Expect(0, 94, '\P{dia}', "");
Expect(1, 94, '\P{^dia}', "");
Expect(0, 93, '\p{dia}', "");
Expect(1, 93, '\p{^dia}', "");
Expect(1, 93, '\P{dia}', "");
Expect(0, 93, '\P{^dia}', "");
Expect(1, 94, '\p{Dia}', "");
Expect(0, 94, '\p{^Dia}', "");
Expect(0, 94, '\P{Dia}', "");
Expect(1, 94, '\P{^Dia}', "");
Expect(0, 93, '\p{Dia}', "");
Expect(1, 93, '\p{^Dia}', "");
Expect(1, 93, '\P{Dia}', "");
Expect(0, 93, '\P{^Dia}', "");
Error('\p{/a/-is-dia}');
Error('\P{/a/-is-dia}');
Expect(1, 94, '\p{isdia}', "");
Expect(0, 94, '\p{^isdia}', "");
Expect(0, 94, '\P{isdia}', "");
Expect(1, 94, '\P{^isdia}', "");
Expect(0, 93, '\p{isdia}', "");
Expect(1, 93, '\p{^isdia}', "");
Expect(1, 93, '\P{isdia}', "");
Expect(0, 93, '\P{^isdia}', "");
Expect(1, 94, '\p{-Is-dia}', "");
Expect(0, 94, '\p{^-Is-dia}', "");
Expect(0, 94, '\P{-Is-dia}', "");
Expect(1, 94, '\P{^-Is-dia}', "");
Expect(0, 93, '\p{-Is-dia}', "");
Expect(1, 93, '\p{^-Is-dia}', "");
Expect(1, 93, '\P{-Is-dia}', "");
Expect(0, 93, '\P{^-Is-dia}', "");
Error('\p{__Lowercase Letter/a/}');
Error('\P{__Lowercase Letter/a/}');
Expect(1, 122, '\p{lowercaseletter}', "");
Expect(0, 122, '\p{^lowercaseletter}', "");
Expect(0, 122, '\P{lowercaseletter}', "");
Expect(1, 122, '\P{^lowercaseletter}', "");
Expect(0, 96, '\p{lowercaseletter}', "");
Expect(1, 96, '\p{^lowercaseletter}', "");
Expect(1, 96, '\P{lowercaseletter}', "");
Expect(0, 96, '\P{^lowercaseletter}', "");
Expect(1, 122, '\p{_ Lowercase	Letter}', "");
Expect(0, 122, '\p{^_ Lowercase	Letter}', "");
Expect(0, 122, '\P{_ Lowercase	Letter}', "");
Expect(1, 122, '\P{^_ Lowercase	Letter}', "");
Expect(0, 96, '\p{_ Lowercase	Letter}', "");
Expect(1, 96, '\p{^_ Lowercase	Letter}', "");
Expect(1, 96, '\P{_ Lowercase	Letter}', "");
Expect(0, 96, '\P{^_ Lowercase	Letter}', "");
Error('\p{/a/Is LOWERCASELetter}');
Error('\P{/a/Is LOWERCASELetter}');
Expect(1, 122, '\p{islowercaseletter}', "");
Expect(0, 122, '\p{^islowercaseletter}', "");
Expect(0, 122, '\P{islowercaseletter}', "");
Expect(1, 122, '\P{^islowercaseletter}', "");
Expect(0, 96, '\p{islowercaseletter}', "");
Expect(1, 96, '\p{^islowercaseletter}', "");
Expect(1, 96, '\P{islowercaseletter}', "");
Expect(0, 96, '\P{^islowercaseletter}', "");
Expect(1, 122, '\p{-IS	Lowercase_letter}', "");
Expect(0, 122, '\p{^-IS	Lowercase_letter}', "");
Expect(0, 122, '\P{-IS	Lowercase_letter}', "");
Expect(1, 122, '\P{^-IS	Lowercase_letter}', "");
Expect(0, 96, '\p{-IS	Lowercase_letter}', "");
Expect(1, 96, '\p{^-IS	Lowercase_letter}', "");
Expect(1, 96, '\P{-IS	Lowercase_letter}', "");
Expect(0, 96, '\P{^-IS	Lowercase_letter}', "");
Error('\p{	 Ll/a/}');
Error('\P{	 Ll/a/}');
Expect(1, 122, '\p{ll}', "");
Expect(0, 122, '\p{^ll}', "");
Expect(0, 122, '\P{ll}', "");
Expect(1, 122, '\P{^ll}', "");
Expect(0, 96, '\p{ll}', "");
Expect(1, 96, '\p{^ll}', "");
Expect(1, 96, '\P{ll}', "");
Expect(0, 96, '\P{^ll}', "");
Expect(1, 122, '\p{ ll}', "");
Expect(0, 122, '\p{^ ll}', "");
Expect(0, 122, '\P{ ll}', "");
Expect(1, 122, '\P{^ ll}', "");
Expect(0, 96, '\p{ ll}', "");
Expect(1, 96, '\p{^ ll}', "");
Expect(1, 96, '\P{ ll}', "");
Expect(0, 96, '\P{^ ll}', "");
Error('\p{/a/	isLl}');
Error('\P{/a/	isLl}');
Expect(1, 122, '\p{isll}', "");
Expect(0, 122, '\p{^isll}', "");
Expect(0, 122, '\P{isll}', "");
Expect(1, 122, '\P{^isll}', "");
Expect(0, 96, '\p{isll}', "");
Expect(1, 96, '\p{^isll}', "");
Expect(1, 96, '\P{isll}', "");
Expect(0, 96, '\P{^isll}', "");
Expect(1, 122, '\p{	is_LL}', "");
Expect(0, 122, '\p{^	is_LL}', "");
Expect(0, 122, '\P{	is_LL}', "");
Expect(1, 122, '\P{^	is_LL}', "");
Expect(0, 96, '\p{	is_LL}', "");
Expect(1, 96, '\p{^	is_LL}', "");
Expect(1, 96, '\P{	is_LL}', "");
Expect(0, 96, '\P{^	is_LL}', "");
Error('\p{	hangulCompatibility_Jamo:=}');
Error('\P{	hangulCompatibility_Jamo:=}');
Expect(1, 12687, '\p{hangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^hangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{hangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^hangulcompatibilityjamo}', "");
Expect(0, 12591, '\p{hangulcompatibilityjamo}', "");
Expect(1, 12591, '\p{^hangulcompatibilityjamo}', "");
Expect(1, 12591, '\P{hangulcompatibilityjamo}', "");
Expect(0, 12591, '\P{^hangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{_hangul-Compatibility-jamo}', "");
Expect(0, 12687, '\p{^_hangul-Compatibility-jamo}', "");
Expect(0, 12687, '\P{_hangul-Compatibility-jamo}', "");
Expect(1, 12687, '\P{^_hangul-Compatibility-jamo}', "");
Expect(0, 12591, '\p{_hangul-Compatibility-jamo}', "");
Expect(1, 12591, '\p{^_hangul-Compatibility-jamo}', "");
Expect(1, 12591, '\P{_hangul-Compatibility-jamo}', "");
Expect(0, 12591, '\P{^_hangul-Compatibility-jamo}', "");
Error('\p{	/a/is Hangul_Compatibility-Jamo}');
Error('\P{	/a/is Hangul_Compatibility-Jamo}');
Expect(1, 12687, '\p{ishangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^ishangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{ishangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^ishangulcompatibilityjamo}', "");
Expect(0, 12591, '\p{ishangulcompatibilityjamo}', "");
Expect(1, 12591, '\p{^ishangulcompatibilityjamo}', "");
Expect(1, 12591, '\P{ishangulcompatibilityjamo}', "");
Expect(0, 12591, '\P{^ishangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{ Is_HANGUL Compatibility Jamo}', "");
Expect(0, 12687, '\p{^ Is_HANGUL Compatibility Jamo}', "");
Expect(0, 12687, '\P{ Is_HANGUL Compatibility Jamo}', "");
Expect(1, 12687, '\P{^ Is_HANGUL Compatibility Jamo}', "");
Expect(0, 12591, '\p{ Is_HANGUL Compatibility Jamo}', "");
Expect(1, 12591, '\p{^ Is_HANGUL Compatibility Jamo}', "");
Expect(1, 12591, '\P{ Is_HANGUL Compatibility Jamo}', "");
Expect(0, 12591, '\P{^ Is_HANGUL Compatibility Jamo}', "");
Error('\p{/a/- IN_Hangul-COMPATIBILITY Jamo}');
Error('\P{/a/- IN_Hangul-COMPATIBILITY Jamo}');
Expect(1, 12687, '\p{inhangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^inhangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{inhangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^inhangulcompatibilityjamo}', "");
Expect(0, 12591, '\p{inhangulcompatibilityjamo}', "");
Expect(1, 12591, '\p{^inhangulcompatibilityjamo}', "");
Expect(1, 12591, '\P{inhangulcompatibilityjamo}', "");
Expect(0, 12591, '\P{^inhangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{ _In	Hangul compatibility_jamo}', "");
Expect(0, 12687, '\p{^ _In	Hangul compatibility_jamo}', "");
Expect(0, 12687, '\P{ _In	Hangul compatibility_jamo}', "");
Expect(1, 12687, '\P{^ _In	Hangul compatibility_jamo}', "");
Expect(0, 12591, '\p{ _In	Hangul compatibility_jamo}', "");
Expect(1, 12591, '\p{^ _In	Hangul compatibility_jamo}', "");
Expect(1, 12591, '\P{ _In	Hangul compatibility_jamo}', "");
Expect(0, 12591, '\P{^ _In	Hangul compatibility_jamo}', "");
Error('\p{	:=Musical	Symbols}');
Error('\P{	:=Musical	Symbols}');
Expect(1, 119295, '\p{musicalsymbols}', "");
Expect(0, 119295, '\p{^musicalsymbols}', "");
Expect(0, 119295, '\P{musicalsymbols}', "");
Expect(1, 119295, '\P{^musicalsymbols}', "");
Expect(0, 119039, '\p{musicalsymbols}', "");
Expect(1, 119039, '\p{^musicalsymbols}', "");
Expect(1, 119039, '\P{musicalsymbols}', "");
Expect(0, 119039, '\P{^musicalsymbols}', "");
Expect(1, 119295, '\p{ Musical_symbols}', "");
Expect(0, 119295, '\p{^ Musical_symbols}', "");
Expect(0, 119295, '\P{ Musical_symbols}', "");
Expect(1, 119295, '\P{^ Musical_symbols}', "");
Expect(0, 119039, '\p{ Musical_symbols}', "");
Expect(1, 119039, '\p{^ Musical_symbols}', "");
Expect(1, 119039, '\P{ Musical_symbols}', "");
Expect(0, 119039, '\P{^ Musical_symbols}', "");
Error('\p{:=_	is_MUSICAL_symbols}');
Error('\P{:=_	is_MUSICAL_symbols}');
Expect(1, 119295, '\p{ismusicalsymbols}', "");
Expect(0, 119295, '\p{^ismusicalsymbols}', "");
Expect(0, 119295, '\P{ismusicalsymbols}', "");
Expect(1, 119295, '\P{^ismusicalsymbols}', "");
Expect(0, 119039, '\p{ismusicalsymbols}', "");
Expect(1, 119039, '\p{^ismusicalsymbols}', "");
Expect(1, 119039, '\P{ismusicalsymbols}', "");
Expect(0, 119039, '\P{^ismusicalsymbols}', "");
Expect(1, 119295, '\p{-	is-musicalSymbols}', "");
Expect(0, 119295, '\p{^-	is-musicalSymbols}', "");
Expect(0, 119295, '\P{-	is-musicalSymbols}', "");
Expect(1, 119295, '\P{^-	is-musicalSymbols}', "");
Expect(0, 119039, '\p{-	is-musicalSymbols}', "");
Expect(1, 119039, '\p{^-	is-musicalSymbols}', "");
Expect(1, 119039, '\P{-	is-musicalSymbols}', "");
Expect(0, 119039, '\P{^-	is-musicalSymbols}', "");
Error('\p{ /a/In-MUSICAL_Symbols}');
Error('\P{ /a/In-MUSICAL_Symbols}');
Expect(1, 119295, '\p{inmusicalsymbols}', "");
Expect(0, 119295, '\p{^inmusicalsymbols}', "");
Expect(0, 119295, '\P{inmusicalsymbols}', "");
Expect(1, 119295, '\P{^inmusicalsymbols}', "");
Expect(0, 119039, '\p{inmusicalsymbols}', "");
Expect(1, 119039, '\p{^inmusicalsymbols}', "");
Expect(1, 119039, '\P{inmusicalsymbols}', "");
Expect(0, 119039, '\P{^inmusicalsymbols}', "");
Expect(1, 119295, '\p{	 InMUSICAL-Symbols}', "");
Expect(0, 119295, '\p{^	 InMUSICAL-Symbols}', "");
Expect(0, 119295, '\P{	 InMUSICAL-Symbols}', "");
Expect(1, 119295, '\P{^	 InMUSICAL-Symbols}', "");
Expect(0, 119039, '\p{	 InMUSICAL-Symbols}', "");
Expect(1, 119039, '\p{^	 InMUSICAL-Symbols}', "");
Expect(1, 119039, '\P{	 InMUSICAL-Symbols}', "");
Expect(0, 119039, '\P{^	 InMUSICAL-Symbols}', "");
Error('\p{ _TAGS:=}');
Error('\P{ _TAGS:=}');
Expect(1, 917631, '\p{tags}', "");
Expect(0, 917631, '\p{^tags}', "");
Expect(0, 917631, '\P{tags}', "");
Expect(1, 917631, '\P{^tags}', "");
Expect(0, 1, '\p{tags}', "");
Expect(1, 1, '\p{^tags}', "");
Expect(1, 1, '\P{tags}', "");
Expect(0, 1, '\P{^tags}', "");
Expect(1, 917631, '\p{	-Tags}', "");
Expect(0, 917631, '\p{^	-Tags}', "");
Expect(0, 917631, '\P{	-Tags}', "");
Expect(1, 917631, '\P{^	-Tags}', "");
Expect(0, 1, '\p{	-Tags}', "");
Expect(1, 1, '\p{^	-Tags}', "");
Expect(1, 1, '\P{	-Tags}', "");
Expect(0, 1, '\P{^	-Tags}', "");
Error('\p{/a/Is_TAGS}');
Error('\P{/a/Is_TAGS}');
Expect(1, 917631, '\p{istags}', "");
Expect(0, 917631, '\p{^istags}', "");
Expect(0, 917631, '\P{istags}', "");
Expect(1, 917631, '\P{^istags}', "");
Expect(0, 1, '\p{istags}', "");
Expect(1, 1, '\p{^istags}', "");
Expect(1, 1, '\P{istags}', "");
Expect(0, 1, '\P{^istags}', "");
Expect(1, 917631, '\p{	-Is tags}', "");
Expect(0, 917631, '\p{^	-Is tags}', "");
Expect(0, 917631, '\P{	-Is tags}', "");
Expect(1, 917631, '\P{^	-Is tags}', "");
Expect(0, 1, '\p{	-Is tags}', "");
Expect(1, 1, '\p{^	-Is tags}', "");
Expect(1, 1, '\P{	-Is tags}', "");
Expect(0, 1, '\P{^	-Is tags}', "");
Error('\p{--IN	TAGS:=}');
Error('\P{--IN	TAGS:=}');
Expect(1, 917631, '\p{intags}', "");
Expect(0, 917631, '\p{^intags}', "");
Expect(0, 917631, '\P{intags}', "");
Expect(1, 917631, '\P{^intags}', "");
Expect(0, 1, '\p{intags}', "");
Expect(1, 1, '\p{^intags}', "");
Expect(1, 1, '\P{intags}', "");
Expect(0, 1, '\P{^intags}', "");
Expect(1, 917631, '\p{ 	in Tags}', "");
Expect(0, 917631, '\p{^ 	in Tags}', "");
Expect(0, 917631, '\P{ 	in Tags}', "");
Expect(1, 917631, '\P{^ 	in Tags}', "");
Expect(0, 1, '\p{ 	in Tags}', "");
Expect(1, 1, '\p{^ 	in Tags}', "");
Expect(1, 1, '\P{ 	in Tags}', "");
Expect(0, 1, '\P{^ 	in Tags}', "");
Error('\p{ :=separator}');
Error('\P{ :=separator}');
Expect(1, 32, '\p{separator}', "");
Expect(0, 32, '\p{^separator}', "");
Expect(0, 32, '\P{separator}', "");
Expect(1, 32, '\P{^separator}', "");
Expect(0, 31, '\p{separator}', "");
Expect(1, 31, '\p{^separator}', "");
Expect(1, 31, '\P{separator}', "");
Expect(0, 31, '\P{^separator}', "");
Expect(1, 32, '\p{--Separator}', "");
Expect(0, 32, '\p{^--Separator}', "");
Expect(0, 32, '\P{--Separator}', "");
Expect(1, 32, '\P{^--Separator}', "");
Expect(0, 31, '\p{--Separator}', "");
Expect(1, 31, '\p{^--Separator}', "");
Expect(1, 31, '\P{--Separator}', "");
Expect(0, 31, '\P{^--Separator}', "");
Error('\p{-is/a/Separator}');
Error('\P{-is/a/Separator}');
Expect(1, 32, '\p{isseparator}', "");
Expect(0, 32, '\p{^isseparator}', "");
Expect(0, 32, '\P{isseparator}', "");
Expect(1, 32, '\P{^isseparator}', "");
Expect(0, 31, '\p{isseparator}', "");
Expect(1, 31, '\p{^isseparator}', "");
Expect(1, 31, '\P{isseparator}', "");
Expect(0, 31, '\P{^isseparator}', "");
Expect(1, 32, '\p{	-Is SEPARATOR}', "");
Expect(0, 32, '\p{^	-Is SEPARATOR}', "");
Expect(0, 32, '\P{	-Is SEPARATOR}', "");
Expect(1, 32, '\P{^	-Is SEPARATOR}', "");
Expect(0, 31, '\p{	-Is SEPARATOR}', "");
Expect(1, 31, '\p{^	-Is SEPARATOR}', "");
Expect(1, 31, '\P{	-Is SEPARATOR}', "");
Expect(0, 31, '\P{^	-Is SEPARATOR}', "");
Error('\p{:=z}');
Error('\P{:=z}');
Expect(1, 32, '\p{z}', "");
Expect(0, 32, '\p{^z}', "");
Expect(0, 32, '\P{z}', "");
Expect(1, 32, '\P{^z}', "");
Expect(0, 31, '\p{z}', "");
Expect(1, 31, '\p{^z}', "");
Expect(1, 31, '\P{z}', "");
Expect(0, 31, '\P{^z}', "");
Expect(1, 32, '\p{_Z}', "");
Expect(0, 32, '\p{^_Z}', "");
Expect(0, 32, '\P{_Z}', "");
Expect(1, 32, '\P{^_Z}', "");
Expect(0, 31, '\p{_Z}', "");
Expect(1, 31, '\p{^_Z}', "");
Expect(1, 31, '\P{_Z}', "");
Expect(0, 31, '\P{^_Z}', "");
Error('\p{	Is/a/Z}');
Error('\P{	Is/a/Z}');
Expect(1, 32, '\p{isz}', "");
Expect(0, 32, '\p{^isz}', "");
Expect(0, 32, '\P{isz}', "");
Expect(1, 32, '\P{^isz}', "");
Expect(0, 31, '\p{isz}', "");
Expect(1, 31, '\p{^isz}', "");
Expect(1, 31, '\P{isz}', "");
Expect(0, 31, '\P{^isz}', "");
Expect(1, 32, '\p{ Is Z}', "");
Expect(0, 32, '\p{^ Is Z}', "");
Expect(0, 32, '\P{ Is Z}', "");
Expect(1, 32, '\P{^ Is Z}', "");
Expect(0, 31, '\p{ Is Z}', "");
Expect(1, 31, '\p{^ Is Z}', "");
Expect(1, 31, '\P{ Is Z}', "");
Expect(0, 31, '\P{^ Is Z}', "");
Error('\p{Ancient/a/GREEK MUSICAL_NOTATION}');
Error('\P{Ancient/a/GREEK MUSICAL_NOTATION}');
Expect(1, 119375, '\p{ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^ancientgreekmusicalnotation}', "");
Expect(0, 119295, '\p{ancientgreekmusicalnotation}', "");
Expect(1, 119295, '\p{^ancientgreekmusicalnotation}', "");
Expect(1, 119295, '\P{ancientgreekmusicalnotation}', "");
Expect(0, 119295, '\P{^ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{_ANCIENT-greek musical	notation}', "");
Expect(0, 119375, '\p{^_ANCIENT-greek musical	notation}', "");
Expect(0, 119375, '\P{_ANCIENT-greek musical	notation}', "");
Expect(1, 119375, '\P{^_ANCIENT-greek musical	notation}', "");
Expect(0, 119295, '\p{_ANCIENT-greek musical	notation}', "");
Expect(1, 119295, '\p{^_ANCIENT-greek musical	notation}', "");
Expect(1, 119295, '\P{_ANCIENT-greek musical	notation}', "");
Expect(0, 119295, '\P{^_ANCIENT-greek musical	notation}', "");
Error('\p{--Is/a/Ancient	greekmusical notation}');
Error('\P{--Is/a/Ancient	greekmusical notation}');
Expect(1, 119375, '\p{isancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^isancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{isancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^isancientgreekmusicalnotation}', "");
Expect(0, 119295, '\p{isancientgreekmusicalnotation}', "");
Expect(1, 119295, '\p{^isancientgreekmusicalnotation}', "");
Expect(1, 119295, '\P{isancientgreekmusicalnotation}', "");
Expect(0, 119295, '\P{^isancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{ 	Is ANCIENT_GreekMusical NOTATION}', "");
Expect(0, 119375, '\p{^ 	Is ANCIENT_GreekMusical NOTATION}', "");
Expect(0, 119375, '\P{ 	Is ANCIENT_GreekMusical NOTATION}', "");
Expect(1, 119375, '\P{^ 	Is ANCIENT_GreekMusical NOTATION}', "");
Expect(0, 119295, '\p{ 	Is ANCIENT_GreekMusical NOTATION}', "");
Expect(1, 119295, '\p{^ 	Is ANCIENT_GreekMusical NOTATION}', "");
Expect(1, 119295, '\P{ 	Is ANCIENT_GreekMusical NOTATION}', "");
Expect(0, 119295, '\P{^ 	Is ANCIENT_GreekMusical NOTATION}', "");
Error('\p{In ancient:=GREEK Musical notation}');
Error('\P{In ancient:=GREEK Musical notation}');
Expect(1, 119375, '\p{inancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^inancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{inancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^inancientgreekmusicalnotation}', "");
Expect(0, 119295, '\p{inancientgreekmusicalnotation}', "");
Expect(1, 119295, '\p{^inancientgreekmusicalnotation}', "");
Expect(1, 119295, '\P{inancientgreekmusicalnotation}', "");
Expect(0, 119295, '\P{^inancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{-inancient GREEK Musical	notation}', "");
Expect(0, 119375, '\p{^-inancient GREEK Musical	notation}', "");
Expect(0, 119375, '\P{-inancient GREEK Musical	notation}', "");
Expect(1, 119375, '\P{^-inancient GREEK Musical	notation}', "");
Expect(0, 119295, '\p{-inancient GREEK Musical	notation}', "");
Expect(1, 119295, '\p{^-inancient GREEK Musical	notation}', "");
Expect(1, 119295, '\P{-inancient GREEK Musical	notation}', "");
Expect(0, 119295, '\P{^-inancient GREEK Musical	notation}', "");
Error('\p{	 PosixBlank:=}');
Error('\P{	 PosixBlank:=}');
Expect(1, 9, '\p{posixblank}', "");
Expect(0, 9, '\p{^posixblank}', "");
Expect(0, 9, '\P{posixblank}', "");
Expect(1, 9, '\P{^posixblank}', "");
Expect(0, 8, '\p{posixblank}', "");
Expect(1, 8, '\p{^posixblank}', "");
Expect(1, 8, '\P{posixblank}', "");
Expect(0, 8, '\P{^posixblank}', "");
Expect(1, 9, '\p{	_PosixBlank}', "");
Expect(0, 9, '\p{^	_PosixBlank}', "");
Expect(0, 9, '\P{	_PosixBlank}', "");
Expect(1, 9, '\P{^	_PosixBlank}', "");
Expect(0, 8, '\p{	_PosixBlank}', "");
Expect(1, 8, '\p{^	_PosixBlank}', "");
Expect(1, 8, '\P{	_PosixBlank}', "");
Expect(0, 8, '\P{^	_PosixBlank}', "");
Error('\p{__IS-POSIXBLANK/a/}');
Error('\P{__IS-POSIXBLANK/a/}');
Expect(1, 9, '\p{isposixblank}', "");
Expect(0, 9, '\p{^isposixblank}', "");
Expect(0, 9, '\P{isposixblank}', "");
Expect(1, 9, '\P{^isposixblank}', "");
Expect(0, 8, '\p{isposixblank}', "");
Expect(1, 8, '\p{^isposixblank}', "");
Expect(1, 8, '\P{isposixblank}', "");
Expect(0, 8, '\P{^isposixblank}', "");
Expect(1, 9, '\p{-_IsPosixBlank}', "");
Expect(0, 9, '\p{^-_IsPosixBlank}', "");
Expect(0, 9, '\P{-_IsPosixBlank}', "");
Expect(1, 9, '\P{^-_IsPosixBlank}', "");
Expect(0, 8, '\p{-_IsPosixBlank}', "");
Expect(1, 8, '\p{^-_IsPosixBlank}', "");
Expect(1, 8, '\P{-_IsPosixBlank}', "");
Expect(0, 8, '\P{^-_IsPosixBlank}', "");
Error('\p{-:=In_sinhala}');
Error('\P{-:=In_sinhala}');
Expect(1, 3583, '\p{insinhala}', "");
Expect(0, 3583, '\p{^insinhala}', "");
Expect(0, 3583, '\P{insinhala}', "");
Expect(1, 3583, '\P{^insinhala}', "");
Expect(0, 3455, '\p{insinhala}', "");
Expect(1, 3455, '\p{^insinhala}', "");
Expect(1, 3455, '\P{insinhala}', "");
Expect(0, 3455, '\P{^insinhala}', "");
Expect(1, 3583, '\p{	 in SINHALA}', "");
Expect(0, 3583, '\p{^	 in SINHALA}', "");
Expect(0, 3583, '\P{	 in SINHALA}', "");
Expect(1, 3583, '\P{^	 in SINHALA}', "");
Expect(0, 3455, '\p{	 in SINHALA}', "");
Expect(1, 3455, '\p{^	 in SINHALA}', "");
Expect(1, 3455, '\P{	 in SINHALA}', "");
Expect(0, 3455, '\P{^	 in SINHALA}', "");
Error('\p{/a/_mongolian}');
Error('\P{/a/_mongolian}');
Expect(1, 6145, '\p{mongolian}', "");
Expect(0, 6145, '\p{^mongolian}', "");
Expect(0, 6145, '\P{mongolian}', "");
Expect(1, 6145, '\P{^mongolian}', "");
Expect(0, 6143, '\p{mongolian}', "");
Expect(1, 6143, '\p{^mongolian}', "");
Expect(1, 6143, '\P{mongolian}', "");
Expect(0, 6143, '\P{^mongolian}', "");
Expect(1, 6145, '\p{	 mongolian}', "");
Expect(0, 6145, '\p{^	 mongolian}', "");
Expect(0, 6145, '\P{	 mongolian}', "");
Expect(1, 6145, '\P{^	 mongolian}', "");
Expect(0, 6143, '\p{	 mongolian}', "");
Expect(1, 6143, '\p{^	 mongolian}', "");
Expect(1, 6143, '\P{	 mongolian}', "");
Expect(0, 6143, '\P{^	 mongolian}', "");
Error('\p{_:=IS_Mongolian}');
Error('\P{_:=IS_Mongolian}');
Expect(1, 6145, '\p{ismongolian}', "");
Expect(0, 6145, '\p{^ismongolian}', "");
Expect(0, 6145, '\P{ismongolian}', "");
Expect(1, 6145, '\P{^ismongolian}', "");
Expect(0, 6143, '\p{ismongolian}', "");
Expect(1, 6143, '\p{^ismongolian}', "");
Expect(1, 6143, '\P{ismongolian}', "");
Expect(0, 6143, '\P{^ismongolian}', "");
Expect(1, 6145, '\p{ISMongolian}', "");
Expect(0, 6145, '\p{^ISMongolian}', "");
Expect(0, 6145, '\P{ISMongolian}', "");
Expect(1, 6145, '\P{^ISMongolian}', "");
Expect(0, 6143, '\p{ISMongolian}', "");
Expect(1, 6143, '\p{^ISMongolian}', "");
Expect(1, 6143, '\P{ISMongolian}', "");
Expect(0, 6143, '\P{^ISMongolian}', "");
Error('\p{ :=mong}');
Error('\P{ :=mong}');
Expect(1, 6145, '\p{mong}', "");
Expect(0, 6145, '\p{^mong}', "");
Expect(0, 6145, '\P{mong}', "");
Expect(1, 6145, '\P{^mong}', "");
Expect(0, 6143, '\p{mong}', "");
Expect(1, 6143, '\p{^mong}', "");
Expect(1, 6143, '\P{mong}', "");
Expect(0, 6143, '\P{^mong}', "");
Expect(1, 6145, '\p{	Mong}', "");
Expect(0, 6145, '\p{^	Mong}', "");
Expect(0, 6145, '\P{	Mong}', "");
Expect(1, 6145, '\P{^	Mong}', "");
Expect(0, 6143, '\p{	Mong}', "");
Expect(1, 6143, '\p{^	Mong}', "");
Expect(1, 6143, '\P{	Mong}', "");
Expect(0, 6143, '\P{^	Mong}', "");
Error('\p{/a/Is	mong}');
Error('\P{/a/Is	mong}');
Expect(1, 6145, '\p{ismong}', "");
Expect(0, 6145, '\p{^ismong}', "");
Expect(0, 6145, '\P{ismong}', "");
Expect(1, 6145, '\P{^ismong}', "");
Expect(0, 6143, '\p{ismong}', "");
Expect(1, 6143, '\p{^ismong}', "");
Expect(1, 6143, '\P{ismong}', "");
Expect(0, 6143, '\P{^ismong}', "");
Expect(1, 6145, '\p{_ISMong}', "");
Expect(0, 6145, '\p{^_ISMong}', "");
Expect(0, 6145, '\P{_ISMong}', "");
Expect(1, 6145, '\P{^_ISMong}', "");
Expect(0, 6143, '\p{_ISMong}', "");
Expect(1, 6143, '\p{^_ISMong}', "");
Expect(1, 6143, '\P{_ISMong}', "");
Expect(0, 6143, '\P{^_ISMong}', "");
Error('\p{:=_	Cherokee}');
Error('\P{:=_	Cherokee}');
Expect(1, 5108, '\p{cherokee}', "");
Expect(0, 5108, '\p{^cherokee}', "");
Expect(0, 5108, '\P{cherokee}', "");
Expect(1, 5108, '\P{^cherokee}', "");
Expect(0, 5023, '\p{cherokee}', "");
Expect(1, 5023, '\p{^cherokee}', "");
Expect(1, 5023, '\P{cherokee}', "");
Expect(0, 5023, '\P{^cherokee}', "");
Expect(1, 5108, '\p{	cherokee}', "");
Expect(0, 5108, '\p{^	cherokee}', "");
Expect(0, 5108, '\P{	cherokee}', "");
Expect(1, 5108, '\P{^	cherokee}', "");
Expect(0, 5023, '\p{	cherokee}', "");
Expect(1, 5023, '\p{^	cherokee}', "");
Expect(1, 5023, '\P{	cherokee}', "");
Expect(0, 5023, '\P{^	cherokee}', "");
Error('\p{	:=IS CHEROKEE}');
Error('\P{	:=IS CHEROKEE}');
Expect(1, 5108, '\p{ischerokee}', "");
Expect(0, 5108, '\p{^ischerokee}', "");
Expect(0, 5108, '\P{ischerokee}', "");
Expect(1, 5108, '\P{^ischerokee}', "");
Expect(0, 5023, '\p{ischerokee}', "");
Expect(1, 5023, '\p{^ischerokee}', "");
Expect(1, 5023, '\P{ischerokee}', "");
Expect(0, 5023, '\P{^ischerokee}', "");
Expect(1, 5108, '\p{ 	isCHEROKEE}', "");
Expect(0, 5108, '\p{^ 	isCHEROKEE}', "");
Expect(0, 5108, '\P{ 	isCHEROKEE}', "");
Expect(1, 5108, '\P{^ 	isCHEROKEE}', "");
Expect(0, 5023, '\p{ 	isCHEROKEE}', "");
Expect(1, 5023, '\p{^ 	isCHEROKEE}', "");
Expect(1, 5023, '\P{ 	isCHEROKEE}', "");
Expect(0, 5023, '\P{^ 	isCHEROKEE}', "");
Error('\p{	_Cher:=}');
Error('\P{	_Cher:=}');
Expect(1, 5108, '\p{cher}', "");
Expect(0, 5108, '\p{^cher}', "");
Expect(0, 5108, '\P{cher}', "");
Expect(1, 5108, '\P{^cher}', "");
Expect(0, 5023, '\p{cher}', "");
Expect(1, 5023, '\p{^cher}', "");
Expect(1, 5023, '\P{cher}', "");
Expect(0, 5023, '\P{^cher}', "");
Expect(1, 5108, '\p{-	CHER}', "");
Expect(0, 5108, '\p{^-	CHER}', "");
Expect(0, 5108, '\P{-	CHER}', "");
Expect(1, 5108, '\P{^-	CHER}', "");
Expect(0, 5023, '\p{-	CHER}', "");
Expect(1, 5023, '\p{^-	CHER}', "");
Expect(1, 5023, '\P{-	CHER}', "");
Expect(0, 5023, '\P{^-	CHER}', "");
Error('\p{:=		is_Cher}');
Error('\P{:=		is_Cher}');
Expect(1, 5108, '\p{ischer}', "");
Expect(0, 5108, '\p{^ischer}', "");
Expect(0, 5108, '\P{ischer}', "");
Expect(1, 5108, '\P{^ischer}', "");
Expect(0, 5023, '\p{ischer}', "");
Expect(1, 5023, '\p{^ischer}', "");
Expect(1, 5023, '\P{ischer}', "");
Expect(0, 5023, '\P{^ischer}', "");
Expect(1, 5108, '\p{	is Cher}', "");
Expect(0, 5108, '\p{^	is Cher}', "");
Expect(0, 5108, '\P{	is Cher}', "");
Expect(1, 5108, '\P{^	is Cher}', "");
Expect(0, 5023, '\p{	is Cher}', "");
Expect(1, 5023, '\p{^	is Cher}', "");
Expect(1, 5023, '\P{	is Cher}', "");
Expect(0, 5023, '\P{^	is Cher}', "");
Error('\p{--Samaritan/a/}');
Error('\P{--Samaritan/a/}');
Expect(1, 2093, '\p{samaritan}', "");
Expect(0, 2093, '\p{^samaritan}', "");
Expect(0, 2093, '\P{samaritan}', "");
Expect(1, 2093, '\P{^samaritan}', "");
Expect(0, 2047, '\p{samaritan}', "");
Expect(1, 2047, '\p{^samaritan}', "");
Expect(1, 2047, '\P{samaritan}', "");
Expect(0, 2047, '\P{^samaritan}', "");
Expect(1, 2093, '\p{ samaritan}', "");
Expect(0, 2093, '\p{^ samaritan}', "");
Expect(0, 2093, '\P{ samaritan}', "");
Expect(1, 2093, '\P{^ samaritan}', "");
Expect(0, 2047, '\p{ samaritan}', "");
Expect(1, 2047, '\p{^ samaritan}', "");
Expect(1, 2047, '\P{ samaritan}', "");
Expect(0, 2047, '\P{^ samaritan}', "");
Error('\p{-_Is	SAMARITAN/a/}');
Error('\P{-_Is	SAMARITAN/a/}');
Expect(1, 2093, '\p{issamaritan}', "");
Expect(0, 2093, '\p{^issamaritan}', "");
Expect(0, 2093, '\P{issamaritan}', "");
Expect(1, 2093, '\P{^issamaritan}', "");
Expect(0, 2047, '\p{issamaritan}', "");
Expect(1, 2047, '\p{^issamaritan}', "");
Expect(1, 2047, '\P{issamaritan}', "");
Expect(0, 2047, '\P{^issamaritan}', "");
Expect(1, 2093, '\p{-IS	Samaritan}', "");
Expect(0, 2093, '\p{^-IS	Samaritan}', "");
Expect(0, 2093, '\P{-IS	Samaritan}', "");
Expect(1, 2093, '\P{^-IS	Samaritan}', "");
Expect(0, 2047, '\p{-IS	Samaritan}', "");
Expect(1, 2047, '\p{^-IS	Samaritan}', "");
Expect(1, 2047, '\P{-IS	Samaritan}', "");
Expect(0, 2047, '\P{^-IS	Samaritan}', "");
Error('\p{Samr:=}');
Error('\P{Samr:=}');
Expect(1, 2093, '\p{samr}', "");
Expect(0, 2093, '\p{^samr}', "");
Expect(0, 2093, '\P{samr}', "");
Expect(1, 2093, '\P{^samr}', "");
Expect(0, 2047, '\p{samr}', "");
Expect(1, 2047, '\p{^samr}', "");
Expect(1, 2047, '\P{samr}', "");
Expect(0, 2047, '\P{^samr}', "");
Expect(1, 2093, '\p{SAMR}', "");
Expect(0, 2093, '\p{^SAMR}', "");
Expect(0, 2093, '\P{SAMR}', "");
Expect(1, 2093, '\P{^SAMR}', "");
Expect(0, 2047, '\p{SAMR}', "");
Expect(1, 2047, '\p{^SAMR}', "");
Expect(1, 2047, '\P{SAMR}', "");
Expect(0, 2047, '\P{^SAMR}', "");
Error('\p{_-IS-SAMR:=}');
Error('\P{_-IS-SAMR:=}');
Expect(1, 2093, '\p{issamr}', "");
Expect(0, 2093, '\p{^issamr}', "");
Expect(0, 2093, '\P{issamr}', "");
Expect(1, 2093, '\P{^issamr}', "");
Expect(0, 2047, '\p{issamr}', "");
Expect(1, 2047, '\p{^issamr}', "");
Expect(1, 2047, '\P{issamr}', "");
Expect(0, 2047, '\P{^issamr}', "");
Expect(1, 2093, '\p{--Is	samr}', "");
Expect(0, 2093, '\p{^--Is	samr}', "");
Expect(0, 2093, '\P{--Is	samr}', "");
Expect(1, 2093, '\P{^--Is	samr}', "");
Expect(0, 2047, '\p{--Is	samr}', "");
Expect(1, 2047, '\p{^--Is	samr}', "");
Expect(1, 2047, '\P{--Is	samr}', "");
Expect(0, 2047, '\P{^--Is	samr}', "");
Error('\p{__OtherPunctuation:=}');
Error('\P{__OtherPunctuation:=}');
Expect(1, 35, '\p{otherpunctuation}', "");
Expect(0, 35, '\p{^otherpunctuation}', "");
Expect(0, 35, '\P{otherpunctuation}', "");
Expect(1, 35, '\P{^otherpunctuation}', "");
Expect(0, 32, '\p{otherpunctuation}', "");
Expect(1, 32, '\p{^otherpunctuation}', "");
Expect(1, 32, '\P{otherpunctuation}', "");
Expect(0, 32, '\P{^otherpunctuation}', "");
Expect(1, 35, '\p{	OTHERPunctuation}', "");
Expect(0, 35, '\p{^	OTHERPunctuation}', "");
Expect(0, 35, '\P{	OTHERPunctuation}', "");
Expect(1, 35, '\P{^	OTHERPunctuation}', "");
Expect(0, 32, '\p{	OTHERPunctuation}', "");
Expect(1, 32, '\p{^	OTHERPunctuation}', "");
Expect(1, 32, '\P{	OTHERPunctuation}', "");
Expect(0, 32, '\P{^	OTHERPunctuation}', "");
Error('\p{_/a/Is	OTHERPunctuation}');
Error('\P{_/a/Is	OTHERPunctuation}');
Expect(1, 35, '\p{isotherpunctuation}', "");
Expect(0, 35, '\p{^isotherpunctuation}', "");
Expect(0, 35, '\P{isotherpunctuation}', "");
Expect(1, 35, '\P{^isotherpunctuation}', "");
Expect(0, 32, '\p{isotherpunctuation}', "");
Expect(1, 32, '\p{^isotherpunctuation}', "");
Expect(1, 32, '\P{isotherpunctuation}', "");
Expect(0, 32, '\P{^isotherpunctuation}', "");
Expect(1, 35, '\p{ IS	other-punctuation}', "");
Expect(0, 35, '\p{^ IS	other-punctuation}', "");
Expect(0, 35, '\P{ IS	other-punctuation}', "");
Expect(1, 35, '\P{^ IS	other-punctuation}', "");
Expect(0, 32, '\p{ IS	other-punctuation}', "");
Expect(1, 32, '\p{^ IS	other-punctuation}', "");
Expect(1, 32, '\P{ IS	other-punctuation}', "");
Expect(0, 32, '\P{^ IS	other-punctuation}', "");
Error('\p{	/a/Po}');
Error('\P{	/a/Po}');
Expect(1, 35, '\p{po}', "");
Expect(0, 35, '\p{^po}', "");
Expect(0, 35, '\P{po}', "");
Expect(1, 35, '\P{^po}', "");
Expect(0, 32, '\p{po}', "");
Expect(1, 32, '\p{^po}', "");
Expect(1, 32, '\P{po}', "");
Expect(0, 32, '\P{^po}', "");
Expect(1, 35, '\p{_PO}', "");
Expect(0, 35, '\p{^_PO}', "");
Expect(0, 35, '\P{_PO}', "");
Expect(1, 35, '\P{^_PO}', "");
Expect(0, 32, '\p{_PO}', "");
Expect(1, 32, '\p{^_PO}', "");
Expect(1, 32, '\P{_PO}', "");
Expect(0, 32, '\P{^_PO}', "");
Error('\p{/a/Is	Po}');
Error('\P{/a/Is	Po}');
Expect(1, 35, '\p{ispo}', "");
Expect(0, 35, '\p{^ispo}', "");
Expect(0, 35, '\P{ispo}', "");
Expect(1, 35, '\P{^ispo}', "");
Expect(0, 32, '\p{ispo}', "");
Expect(1, 32, '\p{^ispo}', "");
Expect(1, 32, '\P{ispo}', "");
Expect(0, 32, '\P{^ispo}', "");
Expect(1, 35, '\p{--is Po}', "");
Expect(0, 35, '\p{^--is Po}', "");
Expect(0, 35, '\P{--is Po}', "");
Expect(1, 35, '\P{^--is Po}', "");
Expect(0, 32, '\p{--is Po}', "");
Expect(1, 32, '\p{^--is Po}', "");
Expect(1, 32, '\P{--is Po}', "");
Expect(0, 32, '\P{^--is Po}', "");
Error('\p{ Case:=Ignorable}');
Error('\P{ Case:=Ignorable}');
Expect(1, 39, '\p{caseignorable}', "");
Expect(0, 39, '\p{^caseignorable}', "");
Expect(0, 39, '\P{caseignorable}', "");
Expect(1, 39, '\P{^caseignorable}', "");
Expect(0, 38, '\p{caseignorable}', "");
Expect(1, 38, '\p{^caseignorable}', "");
Expect(1, 38, '\P{caseignorable}', "");
Expect(0, 38, '\P{^caseignorable}', "");
Expect(1, 39, '\p{ CASEIGNORABLE}', "");
Expect(0, 39, '\p{^ CASEIGNORABLE}', "");
Expect(0, 39, '\P{ CASEIGNORABLE}', "");
Expect(1, 39, '\P{^ CASEIGNORABLE}', "");
Expect(0, 38, '\p{ CASEIGNORABLE}', "");
Expect(1, 38, '\p{^ CASEIGNORABLE}', "");
Expect(1, 38, '\P{ CASEIGNORABLE}', "");
Expect(0, 38, '\P{^ CASEIGNORABLE}', "");
Error('\p{	:=Is-CASEIGNORABLE}');
Error('\P{	:=Is-CASEIGNORABLE}');
Expect(1, 39, '\p{iscaseignorable}', "");
Expect(0, 39, '\p{^iscaseignorable}', "");
Expect(0, 39, '\P{iscaseignorable}', "");
Expect(1, 39, '\P{^iscaseignorable}', "");
Expect(0, 38, '\p{iscaseignorable}', "");
Expect(1, 38, '\p{^iscaseignorable}', "");
Expect(1, 38, '\P{iscaseignorable}', "");
Expect(0, 38, '\P{^iscaseignorable}', "");
Expect(1, 39, '\p{ _IS	Case_ignorable}', "");
Expect(0, 39, '\p{^ _IS	Case_ignorable}', "");
Expect(0, 39, '\P{ _IS	Case_ignorable}', "");
Expect(1, 39, '\P{^ _IS	Case_ignorable}', "");
Expect(0, 38, '\p{ _IS	Case_ignorable}', "");
Expect(1, 38, '\p{^ _IS	Case_ignorable}', "");
Expect(1, 38, '\P{ _IS	Case_ignorable}', "");
Expect(0, 38, '\P{^ _IS	Case_ignorable}', "");
Error('\p{-	CI:=}');
Error('\P{-	CI:=}');
Expect(1, 39, '\p{ci}', "");
Expect(0, 39, '\p{^ci}', "");
Expect(0, 39, '\P{ci}', "");
Expect(1, 39, '\P{^ci}', "");
Expect(0, 38, '\p{ci}', "");
Expect(1, 38, '\p{^ci}', "");
Expect(1, 38, '\P{ci}', "");
Expect(0, 38, '\P{^ci}', "");
Expect(1, 39, '\p{  ci}', "");
Expect(0, 39, '\p{^  ci}', "");
Expect(0, 39, '\P{  ci}', "");
Expect(1, 39, '\P{^  ci}', "");
Expect(0, 38, '\p{  ci}', "");
Expect(1, 38, '\p{^  ci}', "");
Expect(1, 38, '\P{  ci}', "");
Expect(0, 38, '\P{^  ci}', "");
Error('\p{/a/	Is	ci}');
Error('\P{/a/	Is	ci}');
Expect(1, 39, '\p{isci}', "");
Expect(0, 39, '\p{^isci}', "");
Expect(0, 39, '\P{isci}', "");
Expect(1, 39, '\P{^isci}', "");
Expect(0, 38, '\p{isci}', "");
Expect(1, 38, '\p{^isci}', "");
Expect(1, 38, '\P{isci}', "");
Expect(0, 38, '\P{^isci}', "");
Expect(1, 39, '\p{_-IS	ci}', "");
Expect(0, 39, '\p{^_-IS	ci}', "");
Expect(0, 39, '\P{_-IS	ci}', "");
Expect(1, 39, '\P{^_-IS	ci}', "");
Expect(0, 38, '\p{_-IS	ci}', "");
Expect(1, 38, '\p{^_-IS	ci}', "");
Expect(1, 38, '\P{_-IS	ci}', "");
Expect(0, 38, '\P{^_-IS	ci}', "");
Error('\p{/a/	 CASE_Ignorable}');
Error('\P{/a/	 CASE_Ignorable}');
Expect(1, 39, '\p{_Case_IGNORABLE}', "");
Expect(0, 39, '\p{^_Case_IGNORABLE}', "");
Expect(0, 39, '\P{_Case_IGNORABLE}', "");
Expect(1, 39, '\P{^_Case_IGNORABLE}', "");
Expect(0, 38, '\p{_Case_IGNORABLE}', "");
Expect(1, 38, '\p{^_Case_IGNORABLE}', "");
Expect(1, 38, '\P{_Case_IGNORABLE}', "");
Expect(0, 38, '\P{^_Case_IGNORABLE}', "");
Error('\p{ CHANGES/a/WHEN-NFKC-CASEFOLDED}');
Error('\P{ CHANGES/a/WHEN-NFKC-CASEFOLDED}');
Expect(1, 90, '\p{changeswhennfkccasefolded}', "");
Expect(0, 90, '\p{^changeswhennfkccasefolded}', "");
Expect(0, 90, '\P{changeswhennfkccasefolded}', "");
Expect(1, 90, '\P{^changeswhennfkccasefolded}', "");
Expect(0, 64, '\p{changeswhennfkccasefolded}', "");
Expect(1, 64, '\p{^changeswhennfkccasefolded}', "");
Expect(1, 64, '\P{changeswhennfkccasefolded}', "");
Expect(0, 64, '\P{^changeswhennfkccasefolded}', "");
Expect(1, 90, '\p{_ CHANGESWhen	nfkc CASEFOLDED}', "");
Expect(0, 90, '\p{^_ CHANGESWhen	nfkc CASEFOLDED}', "");
Expect(0, 90, '\P{_ CHANGESWhen	nfkc CASEFOLDED}', "");
Expect(1, 90, '\P{^_ CHANGESWhen	nfkc CASEFOLDED}', "");
Expect(0, 64, '\p{_ CHANGESWhen	nfkc CASEFOLDED}', "");
Expect(1, 64, '\p{^_ CHANGESWhen	nfkc CASEFOLDED}', "");
Expect(1, 64, '\P{_ CHANGESWhen	nfkc CASEFOLDED}', "");
Expect(0, 64, '\P{^_ CHANGESWhen	nfkc CASEFOLDED}', "");
Error('\p{/a/-is	ChangesWhen NFKC Casefolded}');
Error('\P{/a/-is	ChangesWhen NFKC Casefolded}');
Expect(1, 90, '\p{ischangeswhennfkccasefolded}', "");
Expect(0, 90, '\p{^ischangeswhennfkccasefolded}', "");
Expect(0, 90, '\P{ischangeswhennfkccasefolded}', "");
Expect(1, 90, '\P{^ischangeswhennfkccasefolded}', "");
Expect(0, 64, '\p{ischangeswhennfkccasefolded}', "");
Expect(1, 64, '\p{^ischangeswhennfkccasefolded}', "");
Expect(1, 64, '\P{ischangeswhennfkccasefolded}', "");
Expect(0, 64, '\P{^ischangeswhennfkccasefolded}', "");
Expect(1, 90, '\p{isChanges	When_NFKCCasefolded}', "");
Expect(0, 90, '\p{^isChanges	When_NFKCCasefolded}', "");
Expect(0, 90, '\P{isChanges	When_NFKCCasefolded}', "");
Expect(1, 90, '\P{^isChanges	When_NFKCCasefolded}', "");
Expect(0, 64, '\p{isChanges	When_NFKCCasefolded}', "");
Expect(1, 64, '\p{^isChanges	When_NFKCCasefolded}', "");
Expect(1, 64, '\P{isChanges	When_NFKCCasefolded}', "");
Expect(0, 64, '\P{^isChanges	When_NFKCCasefolded}', "");
Error('\p{_ CWKCF:=}');
Error('\P{_ CWKCF:=}');
Expect(1, 90, '\p{cwkcf}', "");
Expect(0, 90, '\p{^cwkcf}', "");
Expect(0, 90, '\P{cwkcf}', "");
Expect(1, 90, '\P{^cwkcf}', "");
Expect(0, 64, '\p{cwkcf}', "");
Expect(1, 64, '\p{^cwkcf}', "");
Expect(1, 64, '\P{cwkcf}', "");
Expect(0, 64, '\P{^cwkcf}', "");
Expect(1, 90, '\p{--CWKCF}', "");
Expect(0, 90, '\p{^--CWKCF}', "");
Expect(0, 90, '\P{--CWKCF}', "");
Expect(1, 90, '\P{^--CWKCF}', "");
Expect(0, 64, '\p{--CWKCF}', "");
Expect(1, 64, '\p{^--CWKCF}', "");
Expect(1, 64, '\P{--CWKCF}', "");
Expect(0, 64, '\P{^--CWKCF}', "");
Error('\p{	Is:=cwkcf}');
Error('\P{	Is:=cwkcf}');
Expect(1, 90, '\p{iscwkcf}', "");
Expect(0, 90, '\p{^iscwkcf}', "");
Expect(0, 90, '\P{iscwkcf}', "");
Expect(1, 90, '\P{^iscwkcf}', "");
Expect(0, 64, '\p{iscwkcf}', "");
Expect(1, 64, '\p{^iscwkcf}', "");
Expect(1, 64, '\P{iscwkcf}', "");
Expect(0, 64, '\P{^iscwkcf}', "");
Expect(1, 90, '\p{__isCWKCF}', "");
Expect(0, 90, '\p{^__isCWKCF}', "");
Expect(0, 90, '\P{__isCWKCF}', "");
Expect(1, 90, '\P{^__isCWKCF}', "");
Expect(0, 64, '\p{__isCWKCF}', "");
Expect(1, 64, '\p{^__isCWKCF}', "");
Expect(1, 64, '\P{__isCWKCF}', "");
Expect(0, 64, '\P{^__isCWKCF}', "");
Error('\p{/a/_ in_Cherokee}');
Error('\P{/a/_ in_Cherokee}');
Expect(1, 5119, '\p{incherokee}', "");
Expect(0, 5119, '\p{^incherokee}', "");
Expect(0, 5119, '\P{incherokee}', "");
Expect(1, 5119, '\P{^incherokee}', "");
Expect(0, 5023, '\p{incherokee}', "");
Expect(1, 5023, '\p{^incherokee}', "");
Expect(1, 5023, '\P{incherokee}', "");
Expect(0, 5023, '\P{^incherokee}', "");
Expect(1, 5119, '\p{-INCherokee}', "");
Expect(0, 5119, '\p{^-INCherokee}', "");
Expect(0, 5119, '\P{-INCherokee}', "");
Expect(1, 5119, '\P{^-INCherokee}', "");
Expect(0, 5023, '\p{-INCherokee}', "");
Expect(1, 5023, '\p{^-INCherokee}', "");
Expect(1, 5023, '\P{-INCherokee}', "");
Expect(0, 5023, '\P{^-INCherokee}', "");
Error('\p{ ETHIOPIC/a/}');
Error('\P{ ETHIOPIC/a/}');
Expect(1, 4680, '\p{ethiopic}', "");
Expect(0, 4680, '\p{^ethiopic}', "");
Expect(0, 4680, '\P{ethiopic}', "");
Expect(1, 4680, '\P{^ethiopic}', "");
Expect(0, 4607, '\p{ethiopic}', "");
Expect(1, 4607, '\p{^ethiopic}', "");
Expect(1, 4607, '\P{ethiopic}', "");
Expect(0, 4607, '\P{^ethiopic}', "");
Expect(1, 4680, '\p{_	Ethiopic}', "");
Expect(0, 4680, '\p{^_	Ethiopic}', "");
Expect(0, 4680, '\P{_	Ethiopic}', "");
Expect(1, 4680, '\P{^_	Ethiopic}', "");
Expect(0, 4607, '\p{_	Ethiopic}', "");
Expect(1, 4607, '\p{^_	Ethiopic}', "");
Expect(1, 4607, '\P{_	Ethiopic}', "");
Expect(0, 4607, '\P{^_	Ethiopic}', "");
Error('\p{/a/_	Is	ethiopic}');
Error('\P{/a/_	Is	ethiopic}');
Expect(1, 4680, '\p{isethiopic}', "");
Expect(0, 4680, '\p{^isethiopic}', "");
Expect(0, 4680, '\P{isethiopic}', "");
Expect(1, 4680, '\P{^isethiopic}', "");
Expect(0, 4607, '\p{isethiopic}', "");
Expect(1, 4607, '\p{^isethiopic}', "");
Expect(1, 4607, '\P{isethiopic}', "");
Expect(0, 4607, '\P{^isethiopic}', "");
Expect(1, 4680, '\p{ -Is	ETHIOPIC}', "");
Expect(0, 4680, '\p{^ -Is	ETHIOPIC}', "");
Expect(0, 4680, '\P{ -Is	ETHIOPIC}', "");
Expect(1, 4680, '\P{^ -Is	ETHIOPIC}', "");
Expect(0, 4607, '\p{ -Is	ETHIOPIC}', "");
Expect(1, 4607, '\p{^ -Is	ETHIOPIC}', "");
Expect(1, 4607, '\P{ -Is	ETHIOPIC}', "");
Expect(0, 4607, '\P{^ -Is	ETHIOPIC}', "");
Error('\p{/a/-_ethi}');
Error('\P{/a/-_ethi}');
Expect(1, 4680, '\p{ethi}', "");
Expect(0, 4680, '\p{^ethi}', "");
Expect(0, 4680, '\P{ethi}', "");
Expect(1, 4680, '\P{^ethi}', "");
Expect(0, 4607, '\p{ethi}', "");
Expect(1, 4607, '\p{^ethi}', "");
Expect(1, 4607, '\P{ethi}', "");
Expect(0, 4607, '\P{^ethi}', "");
Expect(1, 4680, '\p{ 	Ethi}', "");
Expect(0, 4680, '\p{^ 	Ethi}', "");
Expect(0, 4680, '\P{ 	Ethi}', "");
Expect(1, 4680, '\P{^ 	Ethi}', "");
Expect(0, 4607, '\p{ 	Ethi}', "");
Expect(1, 4607, '\p{^ 	Ethi}', "");
Expect(1, 4607, '\P{ 	Ethi}', "");
Expect(0, 4607, '\P{^ 	Ethi}', "");
Error('\p{:=	is_ETHI}');
Error('\P{:=	is_ETHI}');
Expect(1, 4680, '\p{isethi}', "");
Expect(0, 4680, '\p{^isethi}', "");
Expect(0, 4680, '\P{isethi}', "");
Expect(1, 4680, '\P{^isethi}', "");
Expect(0, 4607, '\p{isethi}', "");
Expect(1, 4607, '\p{^isethi}', "");
Expect(1, 4607, '\P{isethi}', "");
Expect(0, 4607, '\P{^isethi}', "");
Expect(1, 4680, '\p{	ISethi}', "");
Expect(0, 4680, '\p{^	ISethi}', "");
Expect(0, 4680, '\P{	ISethi}', "");
Expect(1, 4680, '\P{^	ISethi}', "");
Expect(0, 4607, '\p{	ISethi}', "");
Expect(1, 4607, '\p{^	ISethi}', "");
Expect(1, 4607, '\P{	ISethi}', "");
Expect(0, 4607, '\P{^	ISethi}', "");
Error('\p{_ _X Begin:=}');
Error('\P{_ _X Begin:=}');
Expect(1, 126, '\p{_X_BEGIN}', "");
Expect(0, 126, '\p{^_X_BEGIN}', "");
Expect(0, 126, '\P{_X_BEGIN}', "");
Expect(1, 126, '\P{^_X_BEGIN}', "");
Expect(0, 31, '\p{_X_BEGIN}', "");
Expect(1, 31, '\p{^_X_BEGIN}', "");
Expect(1, 31, '\P{_X_BEGIN}', "");
Expect(0, 31, '\P{^_X_BEGIN}', "");
Error('\p{ -Yi/a/}');
Error('\P{ -Yi/a/}');
Expect(1, 42124, '\p{yi}', "");
Expect(0, 42124, '\p{^yi}', "");
Expect(0, 42124, '\P{yi}', "");
Expect(1, 42124, '\P{^yi}', "");
Expect(0, 40959, '\p{yi}', "");
Expect(1, 40959, '\p{^yi}', "");
Expect(1, 40959, '\P{yi}', "");
Expect(0, 40959, '\P{^yi}', "");
Expect(1, 42124, '\p{--Yi}', "");
Expect(0, 42124, '\p{^--Yi}', "");
Expect(0, 42124, '\P{--Yi}', "");
Expect(1, 42124, '\P{^--Yi}', "");
Expect(0, 40959, '\p{--Yi}', "");
Expect(1, 40959, '\p{^--Yi}', "");
Expect(1, 40959, '\P{--Yi}', "");
Expect(0, 40959, '\P{^--Yi}', "");
Error('\p{/a/ISYI}');
Error('\P{/a/ISYI}');
Expect(1, 42124, '\p{isyi}', "");
Expect(0, 42124, '\p{^isyi}', "");
Expect(0, 42124, '\P{isyi}', "");
Expect(1, 42124, '\P{^isyi}', "");
Expect(0, 40959, '\p{isyi}', "");
Expect(1, 40959, '\p{^isyi}', "");
Expect(1, 40959, '\P{isyi}', "");
Expect(0, 40959, '\P{^isyi}', "");
Expect(1, 42124, '\p{ 	Is-yi}', "");
Expect(0, 42124, '\p{^ 	Is-yi}', "");
Expect(0, 42124, '\P{ 	Is-yi}', "");
Expect(1, 42124, '\P{^ 	Is-yi}', "");
Expect(0, 40959, '\p{ 	Is-yi}', "");
Expect(1, 40959, '\p{^ 	Is-yi}', "");
Expect(1, 40959, '\P{ 	Is-yi}', "");
Expect(0, 40959, '\P{^ 	Is-yi}', "");
Error('\p{:= _yiii}');
Error('\P{:= _yiii}');
Expect(1, 42124, '\p{yiii}', "");
Expect(0, 42124, '\p{^yiii}', "");
Expect(0, 42124, '\P{yiii}', "");
Expect(1, 42124, '\P{^yiii}', "");
Expect(0, 40959, '\p{yiii}', "");
Expect(1, 40959, '\p{^yiii}', "");
Expect(1, 40959, '\P{yiii}', "");
Expect(0, 40959, '\P{^yiii}', "");
Expect(1, 42124, '\p{__Yiii}', "");
Expect(0, 42124, '\p{^__Yiii}', "");
Expect(0, 42124, '\P{__Yiii}', "");
Expect(1, 42124, '\P{^__Yiii}', "");
Expect(0, 40959, '\p{__Yiii}', "");
Expect(1, 40959, '\p{^__Yiii}', "");
Expect(1, 40959, '\P{__Yiii}', "");
Expect(0, 40959, '\P{^__Yiii}', "");
Error('\p{_/a/Is-yiii}');
Error('\P{_/a/Is-yiii}');
Expect(1, 42124, '\p{isyiii}', "");
Expect(0, 42124, '\p{^isyiii}', "");
Expect(0, 42124, '\P{isyiii}', "");
Expect(1, 42124, '\P{^isyiii}', "");
Expect(0, 40959, '\p{isyiii}', "");
Expect(1, 40959, '\p{^isyiii}', "");
Expect(1, 40959, '\P{isyiii}', "");
Expect(0, 40959, '\P{^isyiii}', "");
Expect(1, 42124, '\p{	 is	YIII}', "");
Expect(0, 42124, '\p{^	 is	YIII}', "");
Expect(0, 42124, '\P{	 is	YIII}', "");
Expect(1, 42124, '\P{^	 is	YIII}', "");
Expect(0, 40959, '\p{	 is	YIII}', "");
Expect(1, 40959, '\p{^	 is	YIII}', "");
Expect(1, 40959, '\P{	 is	YIII}', "");
Expect(0, 40959, '\P{^	 is	YIII}', "");
Error('\p{-_Gurmukhi/a/}');
Error('\P{-_Gurmukhi/a/}');
Expect(1, 2563, '\p{gurmukhi}', "");
Expect(0, 2563, '\p{^gurmukhi}', "");
Expect(0, 2563, '\P{gurmukhi}', "");
Expect(1, 2563, '\P{^gurmukhi}', "");
Expect(0, 2560, '\p{gurmukhi}', "");
Expect(1, 2560, '\p{^gurmukhi}', "");
Expect(1, 2560, '\P{gurmukhi}', "");
Expect(0, 2560, '\P{^gurmukhi}', "");
Expect(1, 2563, '\p{-Gurmukhi}', "");
Expect(0, 2563, '\p{^-Gurmukhi}', "");
Expect(0, 2563, '\P{-Gurmukhi}', "");
Expect(1, 2563, '\P{^-Gurmukhi}', "");
Expect(0, 2560, '\p{-Gurmukhi}', "");
Expect(1, 2560, '\p{^-Gurmukhi}', "");
Expect(1, 2560, '\P{-Gurmukhi}', "");
Expect(0, 2560, '\P{^-Gurmukhi}', "");
Error('\p{-/a/is Gurmukhi}');
Error('\P{-/a/is Gurmukhi}');
Expect(1, 2563, '\p{isgurmukhi}', "");
Expect(0, 2563, '\p{^isgurmukhi}', "");
Expect(0, 2563, '\P{isgurmukhi}', "");
Expect(1, 2563, '\P{^isgurmukhi}', "");
Expect(0, 2560, '\p{isgurmukhi}', "");
Expect(1, 2560, '\p{^isgurmukhi}', "");
Expect(1, 2560, '\P{isgurmukhi}', "");
Expect(0, 2560, '\P{^isgurmukhi}', "");
Expect(1, 2563, '\p{-	IS Gurmukhi}', "");
Expect(0, 2563, '\p{^-	IS Gurmukhi}', "");
Expect(0, 2563, '\P{-	IS Gurmukhi}', "");
Expect(1, 2563, '\P{^-	IS Gurmukhi}', "");
Expect(0, 2560, '\p{-	IS Gurmukhi}', "");
Expect(1, 2560, '\p{^-	IS Gurmukhi}', "");
Expect(1, 2560, '\P{-	IS Gurmukhi}', "");
Expect(0, 2560, '\P{^-	IS Gurmukhi}', "");
Error('\p{-_Guru/a/}');
Error('\P{-_Guru/a/}');
Expect(1, 2563, '\p{guru}', "");
Expect(0, 2563, '\p{^guru}', "");
Expect(0, 2563, '\P{guru}', "");
Expect(1, 2563, '\P{^guru}', "");
Expect(0, 2560, '\p{guru}', "");
Expect(1, 2560, '\p{^guru}', "");
Expect(1, 2560, '\P{guru}', "");
Expect(0, 2560, '\P{^guru}', "");
Expect(1, 2563, '\p{_-GURU}', "");
Expect(0, 2563, '\p{^_-GURU}', "");
Expect(0, 2563, '\P{_-GURU}', "");
Expect(1, 2563, '\P{^_-GURU}', "");
Expect(0, 2560, '\p{_-GURU}', "");
Expect(1, 2560, '\p{^_-GURU}', "");
Expect(1, 2560, '\P{_-GURU}', "");
Expect(0, 2560, '\P{^_-GURU}', "");
Error('\p{	:=isGuru}');
Error('\P{	:=isGuru}');
Expect(1, 2563, '\p{isguru}', "");
Expect(0, 2563, '\p{^isguru}', "");
Expect(0, 2563, '\P{isguru}', "");
Expect(1, 2563, '\P{^isguru}', "");
Expect(0, 2560, '\p{isguru}', "");
Expect(1, 2560, '\p{^isguru}', "");
Expect(1, 2560, '\P{isguru}', "");
Expect(0, 2560, '\P{^isguru}', "");
Expect(1, 2563, '\p{-_isGURU}', "");
Expect(0, 2563, '\p{^-_isGURU}', "");
Expect(0, 2563, '\P{-_isGURU}', "");
Expect(1, 2563, '\P{^-_isGURU}', "");
Expect(0, 2560, '\p{-_isGURU}', "");
Expect(1, 2560, '\p{^-_isGURU}', "");
Expect(1, 2560, '\P{-_isGURU}', "");
Expect(0, 2560, '\P{^-_isGURU}', "");
Error('\p{__LATIN:=extendedb}');
Error('\P{__LATIN:=extendedb}');
Expect(1, 591, '\p{latinextendedb}', "");
Expect(0, 591, '\p{^latinextendedb}', "");
Expect(0, 591, '\P{latinextendedb}', "");
Expect(1, 591, '\P{^latinextendedb}', "");
Expect(0, 383, '\p{latinextendedb}', "");
Expect(1, 383, '\p{^latinextendedb}', "");
Expect(1, 383, '\P{latinextendedb}', "");
Expect(0, 383, '\P{^latinextendedb}', "");
Expect(1, 591, '\p{_-LATIN	EXTENDED B}', "");
Expect(0, 591, '\p{^_-LATIN	EXTENDED B}', "");
Expect(0, 591, '\P{_-LATIN	EXTENDED B}', "");
Expect(1, 591, '\P{^_-LATIN	EXTENDED B}', "");
Expect(0, 383, '\p{_-LATIN	EXTENDED B}', "");
Expect(1, 383, '\p{^_-LATIN	EXTENDED B}', "");
Expect(1, 383, '\P{_-LATIN	EXTENDED B}', "");
Expect(0, 383, '\P{^_-LATIN	EXTENDED B}', "");
Error('\p{- is/a/latinEXTENDED_B}');
Error('\P{- is/a/latinEXTENDED_B}');
Expect(1, 591, '\p{islatinextendedb}', "");
Expect(0, 591, '\p{^islatinextendedb}', "");
Expect(0, 591, '\P{islatinextendedb}', "");
Expect(1, 591, '\P{^islatinextendedb}', "");
Expect(0, 383, '\p{islatinextendedb}', "");
Expect(1, 383, '\p{^islatinextendedb}', "");
Expect(1, 383, '\P{islatinextendedb}', "");
Expect(0, 383, '\P{^islatinextendedb}', "");
Expect(1, 591, '\p{ is latinEXTENDED_B}', "");
Expect(0, 591, '\p{^ is latinEXTENDED_B}', "");
Expect(0, 591, '\P{ is latinEXTENDED_B}', "");
Expect(1, 591, '\P{^ is latinEXTENDED_B}', "");
Expect(0, 383, '\p{ is latinEXTENDED_B}', "");
Expect(1, 383, '\p{^ is latinEXTENDED_B}', "");
Expect(1, 383, '\P{ is latinEXTENDED_B}', "");
Expect(0, 383, '\P{^ is latinEXTENDED_B}', "");
Error('\p{_In	LATIN/a/EXTENDEDb}');
Error('\P{_In	LATIN/a/EXTENDEDb}');
Expect(1, 591, '\p{inlatinextendedb}', "");
Expect(0, 591, '\p{^inlatinextendedb}', "");
Expect(0, 591, '\P{inlatinextendedb}', "");
Expect(1, 591, '\P{^inlatinextendedb}', "");
Expect(0, 383, '\p{inlatinextendedb}', "");
Expect(1, 383, '\p{^inlatinextendedb}', "");
Expect(1, 383, '\P{inlatinextendedb}', "");
Expect(0, 383, '\P{^inlatinextendedb}', "");
Expect(1, 591, '\p{	IN Latinextended	B}', "");
Expect(0, 591, '\p{^	IN Latinextended	B}', "");
Expect(0, 591, '\P{	IN Latinextended	B}', "");
Expect(1, 591, '\P{^	IN Latinextended	B}', "");
Expect(0, 383, '\p{	IN Latinextended	B}', "");
Expect(1, 383, '\p{^	IN Latinextended	B}', "");
Expect(1, 383, '\P{	IN Latinextended	B}', "");
Expect(0, 383, '\P{^	IN Latinextended	B}', "");
Error('\p{-	Cyrillic/a/}');
Error('\P{-	Cyrillic/a/}');
Expect(1, 1156, '\p{cyrillic}', "");
Expect(0, 1156, '\p{^cyrillic}', "");
Expect(0, 1156, '\P{cyrillic}', "");
Expect(1, 1156, '\P{^cyrillic}', "");
Expect(0, 1023, '\p{cyrillic}', "");
Expect(1, 1023, '\p{^cyrillic}', "");
Expect(1, 1023, '\P{cyrillic}', "");
Expect(0, 1023, '\P{^cyrillic}', "");
Expect(1, 1156, '\p{-	cyrillic}', "");
Expect(0, 1156, '\p{^-	cyrillic}', "");
Expect(0, 1156, '\P{-	cyrillic}', "");
Expect(1, 1156, '\P{^-	cyrillic}', "");
Expect(0, 1023, '\p{-	cyrillic}', "");
Expect(1, 1023, '\p{^-	cyrillic}', "");
Expect(1, 1023, '\P{-	cyrillic}', "");
Expect(0, 1023, '\P{^-	cyrillic}', "");
Error('\p{_Is_Cyrillic:=}');
Error('\P{_Is_Cyrillic:=}');
Expect(1, 1156, '\p{iscyrillic}', "");
Expect(0, 1156, '\p{^iscyrillic}', "");
Expect(0, 1156, '\P{iscyrillic}', "");
Expect(1, 1156, '\P{^iscyrillic}', "");
Expect(0, 1023, '\p{iscyrillic}', "");
Expect(1, 1023, '\p{^iscyrillic}', "");
Expect(1, 1023, '\P{iscyrillic}', "");
Expect(0, 1023, '\P{^iscyrillic}', "");
Expect(1, 1156, '\p{--is-cyrillic}', "");
Expect(0, 1156, '\p{^--is-cyrillic}', "");
Expect(0, 1156, '\P{--is-cyrillic}', "");
Expect(1, 1156, '\P{^--is-cyrillic}', "");
Expect(0, 1023, '\p{--is-cyrillic}', "");
Expect(1, 1023, '\p{^--is-cyrillic}', "");
Expect(1, 1023, '\P{--is-cyrillic}', "");
Expect(0, 1023, '\P{^--is-cyrillic}', "");
Error('\p{ :=CYRL}');
Error('\P{ :=CYRL}');
Expect(1, 1156, '\p{cyrl}', "");
Expect(0, 1156, '\p{^cyrl}', "");
Expect(0, 1156, '\P{cyrl}', "");
Expect(1, 1156, '\P{^cyrl}', "");
Expect(0, 1023, '\p{cyrl}', "");
Expect(1, 1023, '\p{^cyrl}', "");
Expect(1, 1023, '\P{cyrl}', "");
Expect(0, 1023, '\P{^cyrl}', "");
Expect(1, 1156, '\p{		Cyrl}', "");
Expect(0, 1156, '\p{^		Cyrl}', "");
Expect(0, 1156, '\P{		Cyrl}', "");
Expect(1, 1156, '\P{^		Cyrl}', "");
Expect(0, 1023, '\p{		Cyrl}', "");
Expect(1, 1023, '\p{^		Cyrl}', "");
Expect(1, 1023, '\P{		Cyrl}', "");
Expect(0, 1023, '\P{^		Cyrl}', "");
Error('\p{ /a/IScyrl}');
Error('\P{ /a/IScyrl}');
Expect(1, 1156, '\p{iscyrl}', "");
Expect(0, 1156, '\p{^iscyrl}', "");
Expect(0, 1156, '\P{iscyrl}', "");
Expect(1, 1156, '\P{^iscyrl}', "");
Expect(0, 1023, '\p{iscyrl}', "");
Expect(1, 1023, '\p{^iscyrl}', "");
Expect(1, 1023, '\P{iscyrl}', "");
Expect(0, 1023, '\P{^iscyrl}', "");
Expect(1, 1156, '\p{  IS_Cyrl}', "");
Expect(0, 1156, '\p{^  IS_Cyrl}', "");
Expect(0, 1156, '\P{  IS_Cyrl}', "");
Expect(1, 1156, '\P{^  IS_Cyrl}', "");
Expect(0, 1023, '\p{  IS_Cyrl}', "");
Expect(1, 1023, '\p{^  IS_Cyrl}', "");
Expect(1, 1023, '\P{  IS_Cyrl}', "");
Expect(0, 1023, '\P{^  IS_Cyrl}', "");
Error('\p{	 LATIN:=ExtendedC}');
Error('\P{	 LATIN:=ExtendedC}');
Expect(1, 11391, '\p{latinextendedc}', "");
Expect(0, 11391, '\p{^latinextendedc}', "");
Expect(0, 11391, '\P{latinextendedc}', "");
Expect(1, 11391, '\P{^latinextendedc}', "");
Expect(0, 11359, '\p{latinextendedc}', "");
Expect(1, 11359, '\p{^latinextendedc}', "");
Expect(1, 11359, '\P{latinextendedc}', "");
Expect(0, 11359, '\P{^latinextendedc}', "");
Expect(1, 11391, '\p{-_latin-extended	C}', "");
Expect(0, 11391, '\p{^-_latin-extended	C}', "");
Expect(0, 11391, '\P{-_latin-extended	C}', "");
Expect(1, 11391, '\P{^-_latin-extended	C}', "");
Expect(0, 11359, '\p{-_latin-extended	C}', "");
Expect(1, 11359, '\p{^-_latin-extended	C}', "");
Expect(1, 11359, '\P{-_latin-extended	C}', "");
Expect(0, 11359, '\P{^-_latin-extended	C}', "");
Error('\p{ Is/a/Latin Extended	C}');
Error('\P{ Is/a/Latin Extended	C}');
Expect(1, 11391, '\p{islatinextendedc}', "");
Expect(0, 11391, '\p{^islatinextendedc}', "");
Expect(0, 11391, '\P{islatinextendedc}', "");
Expect(1, 11391, '\P{^islatinextendedc}', "");
Expect(0, 11359, '\p{islatinextendedc}', "");
Expect(1, 11359, '\p{^islatinextendedc}', "");
Expect(1, 11359, '\P{islatinextendedc}', "");
Expect(0, 11359, '\P{^islatinextendedc}', "");
Expect(1, 11391, '\p{-is	LatinExtended_c}', "");
Expect(0, 11391, '\p{^-is	LatinExtended_c}', "");
Expect(0, 11391, '\P{-is	LatinExtended_c}', "");
Expect(1, 11391, '\P{^-is	LatinExtended_c}', "");
Expect(0, 11359, '\p{-is	LatinExtended_c}', "");
Expect(1, 11359, '\p{^-is	LatinExtended_c}', "");
Expect(1, 11359, '\P{-is	LatinExtended_c}', "");
Expect(0, 11359, '\P{^-is	LatinExtended_c}', "");
Error('\p{_	INLatin_Extended	C:=}');
Error('\P{_	INLatin_Extended	C:=}');
Expect(1, 11391, '\p{inlatinextendedc}', "");
Expect(0, 11391, '\p{^inlatinextendedc}', "");
Expect(0, 11391, '\P{inlatinextendedc}', "");
Expect(1, 11391, '\P{^inlatinextendedc}', "");
Expect(0, 11359, '\p{inlatinextendedc}', "");
Expect(1, 11359, '\p{^inlatinextendedc}', "");
Expect(1, 11359, '\P{inlatinextendedc}', "");
Expect(0, 11359, '\P{^inlatinextendedc}', "");
Expect(1, 11391, '\p{-_In	Latin_EXTENDED C}', "");
Expect(0, 11391, '\p{^-_In	Latin_EXTENDED C}', "");
Expect(0, 11391, '\P{-_In	Latin_EXTENDED C}', "");
Expect(1, 11391, '\P{^-_In	Latin_EXTENDED C}', "");
Expect(0, 11359, '\p{-_In	Latin_EXTENDED C}', "");
Expect(1, 11359, '\p{^-_In	Latin_EXTENDED C}', "");
Expect(1, 11359, '\P{-_In	Latin_EXTENDED C}', "");
Expect(0, 11359, '\P{^-_In	Latin_EXTENDED C}', "");
Error('\p{_/a/in-rejang}');
Error('\P{_/a/in-rejang}');
Expect(1, 43359, '\p{inrejang}', "");
Expect(0, 43359, '\p{^inrejang}', "");
Expect(0, 43359, '\P{inrejang}', "");
Expect(1, 43359, '\P{^inrejang}', "");
Expect(0, 43311, '\p{inrejang}', "");
Expect(1, 43311, '\p{^inrejang}', "");
Expect(1, 43311, '\P{inrejang}', "");
Expect(0, 43311, '\P{^inrejang}', "");
Expect(1, 43359, '\p{	In	Rejang}', "");
Expect(0, 43359, '\p{^	In	Rejang}', "");
Expect(0, 43359, '\P{	In	Rejang}', "");
Expect(1, 43359, '\P{^	In	Rejang}', "");
Expect(0, 43311, '\p{	In	Rejang}', "");
Expect(1, 43311, '\p{^	In	Rejang}', "");
Expect(1, 43311, '\P{	In	Rejang}', "");
Expect(0, 43311, '\P{^	In	Rejang}', "");
Error('\p{_Combining/a/DiacriticalMarks-Supplement}');
Error('\P{_Combining/a/DiacriticalMarks-Supplement}');
Expect(1, 7679, '\p{combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^combiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\p{combiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\p{^combiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\P{combiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\P{^combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{ Combining_DIACRITICAL-marks_Supplement}', "");
Expect(0, 7679, '\p{^ Combining_DIACRITICAL-marks_Supplement}', "");
Expect(0, 7679, '\P{ Combining_DIACRITICAL-marks_Supplement}', "");
Expect(1, 7679, '\P{^ Combining_DIACRITICAL-marks_Supplement}', "");
Expect(0, 7615, '\p{ Combining_DIACRITICAL-marks_Supplement}', "");
Expect(1, 7615, '\p{^ Combining_DIACRITICAL-marks_Supplement}', "");
Expect(1, 7615, '\P{ Combining_DIACRITICAL-marks_Supplement}', "");
Expect(0, 7615, '\P{^ Combining_DIACRITICAL-marks_Supplement}', "");
Error('\p{ -IS:=Combining-diacritical_marks-supplement}');
Error('\P{ -IS:=Combining-diacritical_marks-supplement}');
Expect(1, 7679, '\p{iscombiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^iscombiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{iscombiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^iscombiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\p{iscombiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\p{^iscombiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\P{iscombiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\P{^iscombiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{		ISCOMBINING_diacritical	MARKS	Supplement}', "");
Expect(0, 7679, '\p{^		ISCOMBINING_diacritical	MARKS	Supplement}', "");
Expect(0, 7679, '\P{		ISCOMBINING_diacritical	MARKS	Supplement}', "");
Expect(1, 7679, '\P{^		ISCOMBINING_diacritical	MARKS	Supplement}', "");
Expect(0, 7615, '\p{		ISCOMBINING_diacritical	MARKS	Supplement}', "");
Expect(1, 7615, '\p{^		ISCOMBINING_diacritical	MARKS	Supplement}', "");
Expect(1, 7615, '\P{		ISCOMBINING_diacritical	MARKS	Supplement}', "");
Expect(0, 7615, '\P{^		ISCOMBINING_diacritical	MARKS	Supplement}', "");
Error('\p{ 	in Combining:=DIACRITICAL_marks SUPPLEMENT}');
Error('\P{ 	in Combining:=DIACRITICAL_marks SUPPLEMENT}');
Expect(1, 7679, '\p{incombiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^incombiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{incombiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^incombiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\p{incombiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\p{^incombiningdiacriticalmarkssupplement}', "");
Expect(1, 7615, '\P{incombiningdiacriticalmarkssupplement}', "");
Expect(0, 7615, '\P{^incombiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{_InCombining-diacritical marks_SUPPLEMENT}', "");
Expect(0, 7679, '\p{^_InCombining-diacritical marks_SUPPLEMENT}', "");
Expect(0, 7679, '\P{_InCombining-diacritical marks_SUPPLEMENT}', "");
Expect(1, 7679, '\P{^_InCombining-diacritical marks_SUPPLEMENT}', "");
Expect(0, 7615, '\p{_InCombining-diacritical marks_SUPPLEMENT}', "");
Expect(1, 7615, '\p{^_InCombining-diacritical marks_SUPPLEMENT}', "");
Expect(1, 7615, '\P{_InCombining-diacritical marks_SUPPLEMENT}', "");
Expect(0, 7615, '\P{^_InCombining-diacritical marks_SUPPLEMENT}', "");
Error('\p{/a/	-STerm}');
Error('\P{/a/	-STerm}');
Expect(1, 33, '\p{sterm}', "");
Expect(0, 33, '\p{^sterm}', "");
Expect(0, 33, '\P{sterm}', "");
Expect(1, 33, '\P{^sterm}', "");
Expect(0, 32, '\p{sterm}', "");
Expect(1, 32, '\p{^sterm}', "");
Expect(1, 32, '\P{sterm}', "");
Expect(0, 32, '\P{^sterm}', "");
Expect(1, 33, '\p{_STerm}', "");
Expect(0, 33, '\p{^_STerm}', "");
Expect(0, 33, '\P{_STerm}', "");
Expect(1, 33, '\P{^_STerm}', "");
Expect(0, 32, '\p{_STerm}', "");
Expect(1, 32, '\p{^_STerm}', "");
Expect(1, 32, '\P{_STerm}', "");
Expect(0, 32, '\P{^_STerm}', "");
Error('\p{ /a/IsSTERM}');
Error('\P{ /a/IsSTERM}');
Expect(1, 33, '\p{issterm}', "");
Expect(0, 33, '\p{^issterm}', "");
Expect(0, 33, '\P{issterm}', "");
Expect(1, 33, '\P{^issterm}', "");
Expect(0, 32, '\p{issterm}', "");
Expect(1, 32, '\p{^issterm}', "");
Expect(1, 32, '\P{issterm}', "");
Expect(0, 32, '\P{^issterm}', "");
Expect(1, 33, '\p{-Is_STerm}', "");
Expect(0, 33, '\p{^-Is_STerm}', "");
Expect(0, 33, '\P{-Is_STerm}', "");
Expect(1, 33, '\P{^-Is_STerm}', "");
Expect(0, 32, '\p{-Is_STerm}', "");
Expect(1, 32, '\p{^-Is_STerm}', "");
Expect(1, 32, '\P{-Is_STerm}', "");
Expect(0, 32, '\P{^-Is_STerm}', "");
Error('\p{:= inKannada}');
Error('\P{:= inKannada}');
Expect(1, 3327, '\p{inkannada}', "");
Expect(0, 3327, '\p{^inkannada}', "");
Expect(0, 3327, '\P{inkannada}', "");
Expect(1, 3327, '\P{^inkannada}', "");
Expect(0, 3199, '\p{inkannada}', "");
Expect(1, 3199, '\p{^inkannada}', "");
Expect(1, 3199, '\P{inkannada}', "");
Expect(0, 3199, '\P{^inkannada}', "");
Expect(1, 3327, '\p{	 in	KANNADA}', "");
Expect(0, 3327, '\p{^	 in	KANNADA}', "");
Expect(0, 3327, '\P{	 in	KANNADA}', "");
Expect(1, 3327, '\P{^	 in	KANNADA}', "");
Expect(0, 3199, '\p{	 in	KANNADA}', "");
Expect(1, 3199, '\p{^	 in	KANNADA}', "");
Expect(1, 3199, '\P{	 in	KANNADA}', "");
Expect(0, 3199, '\P{^	 in	KANNADA}', "");
Error('\p{__word:=}');
Error('\P{__word:=}');
Expect(1, 57, '\p{word}', "");
Expect(0, 57, '\p{^word}', "");
Expect(0, 57, '\P{word}', "");
Expect(1, 57, '\P{^word}', "");
Expect(0, 47, '\p{word}', "");
Expect(1, 47, '\p{^word}', "");
Expect(1, 47, '\P{word}', "");
Expect(0, 47, '\P{^word}', "");
Expect(1, 57, '\p{		WORD}', "");
Expect(0, 57, '\p{^		WORD}', "");
Expect(0, 57, '\P{		WORD}', "");
Expect(1, 57, '\P{^		WORD}', "");
Expect(0, 47, '\p{		WORD}', "");
Expect(1, 47, '\p{^		WORD}', "");
Expect(1, 47, '\P{		WORD}', "");
Expect(0, 47, '\P{^		WORD}', "");
Error('\p{--Is	Word:=}');
Error('\P{--Is	Word:=}');
Expect(1, 57, '\p{isword}', "");
Expect(0, 57, '\p{^isword}', "");
Expect(0, 57, '\P{isword}', "");
Expect(1, 57, '\P{^isword}', "");
Expect(0, 47, '\p{isword}', "");
Expect(1, 47, '\p{^isword}', "");
Expect(1, 47, '\P{isword}', "");
Expect(0, 47, '\P{^isword}', "");
Expect(1, 57, '\p{ 	Is	Word}', "");
Expect(0, 57, '\p{^ 	Is	Word}', "");
Expect(0, 57, '\P{ 	Is	Word}', "");
Expect(1, 57, '\P{^ 	Is	Word}', "");
Expect(0, 47, '\p{ 	Is	Word}', "");
Expect(1, 47, '\p{^ 	Is	Word}', "");
Expect(1, 47, '\P{ 	Is	Word}', "");
Expect(0, 47, '\P{^ 	Is	Word}', "");
Error('\p{:=	-Soft_dotted}');
Error('\P{:=	-Soft_dotted}');
Expect(1, 106, '\p{softdotted}', "");
Expect(0, 106, '\p{^softdotted}', "");
Expect(0, 106, '\P{softdotted}', "");
Expect(1, 106, '\P{^softdotted}', "");
Expect(0, 104, '\p{softdotted}', "");
Expect(1, 104, '\p{^softdotted}', "");
Expect(1, 104, '\P{softdotted}', "");
Expect(0, 104, '\P{^softdotted}', "");
Expect(1, 106, '\p{ softdotted}', "");
Expect(0, 106, '\p{^ softdotted}', "");
Expect(0, 106, '\P{ softdotted}', "");
Expect(1, 106, '\P{^ softdotted}', "");
Expect(0, 104, '\p{ softdotted}', "");
Expect(1, 104, '\p{^ softdotted}', "");
Expect(1, 104, '\P{ softdotted}', "");
Expect(0, 104, '\P{^ softdotted}', "");
Error('\p{:=-IS-soft_Dotted}');
Error('\P{:=-IS-soft_Dotted}');
Expect(1, 106, '\p{issoftdotted}', "");
Expect(0, 106, '\p{^issoftdotted}', "");
Expect(0, 106, '\P{issoftdotted}', "");
Expect(1, 106, '\P{^issoftdotted}', "");
Expect(0, 104, '\p{issoftdotted}', "");
Expect(1, 104, '\p{^issoftdotted}', "");
Expect(1, 104, '\P{issoftdotted}', "");
Expect(0, 104, '\P{^issoftdotted}', "");
Expect(1, 106, '\p{	 Issoft Dotted}', "");
Expect(0, 106, '\p{^	 Issoft Dotted}', "");
Expect(0, 106, '\P{	 Issoft Dotted}', "");
Expect(1, 106, '\P{^	 Issoft Dotted}', "");
Expect(0, 104, '\p{	 Issoft Dotted}', "");
Expect(1, 104, '\p{^	 Issoft Dotted}', "");
Expect(1, 104, '\P{	 Issoft Dotted}', "");
Expect(0, 104, '\P{^	 Issoft Dotted}', "");
Error('\p{-	SD:=}');
Error('\P{-	SD:=}');
Expect(1, 106, '\p{sd}', "");
Expect(0, 106, '\p{^sd}', "");
Expect(0, 106, '\P{sd}', "");
Expect(1, 106, '\P{^sd}', "");
Expect(0, 104, '\p{sd}', "");
Expect(1, 104, '\p{^sd}', "");
Expect(1, 104, '\P{sd}', "");
Expect(0, 104, '\P{^sd}', "");
Expect(1, 106, '\p{	-SD}', "");
Expect(0, 106, '\p{^	-SD}', "");
Expect(0, 106, '\P{	-SD}', "");
Expect(1, 106, '\P{^	-SD}', "");
Expect(0, 104, '\p{	-SD}', "");
Expect(1, 104, '\p{^	-SD}', "");
Expect(1, 104, '\P{	-SD}', "");
Expect(0, 104, '\P{^	-SD}', "");
Error('\p{_-is/a/SD}');
Error('\P{_-is/a/SD}');
Expect(1, 106, '\p{issd}', "");
Expect(0, 106, '\p{^issd}', "");
Expect(0, 106, '\P{issd}', "");
Expect(1, 106, '\P{^issd}', "");
Expect(0, 104, '\p{issd}', "");
Expect(1, 104, '\p{^issd}', "");
Expect(1, 104, '\P{issd}', "");
Expect(0, 104, '\P{^issd}', "");
Expect(1, 106, '\p{__IS SD}', "");
Expect(0, 106, '\p{^__IS SD}', "");
Expect(0, 106, '\P{__IS SD}', "");
Expect(1, 106, '\P{^__IS SD}', "");
Expect(0, 104, '\p{__IS SD}', "");
Expect(1, 104, '\p{^__IS SD}', "");
Expect(1, 104, '\P{__IS SD}', "");
Expect(0, 104, '\P{^__IS SD}', "");
Error('\p{_ _CANONDCIJ:=}');
Error('\P{_ _CANONDCIJ:=}');
Expect(1, 106, '\p{_CanonDCIJ}', "");
Expect(0, 106, '\p{^_CanonDCIJ}', "");
Expect(0, 106, '\P{_CanonDCIJ}', "");
Expect(1, 106, '\P{^_CanonDCIJ}', "");
Expect(0, 104, '\p{_CanonDCIJ}', "");
Expect(1, 104, '\p{^_CanonDCIJ}', "");
Expect(1, 104, '\P{_CanonDCIJ}', "");
Expect(0, 104, '\P{^_CanonDCIJ}', "");
Error('\p{:=_avestan}');
Error('\P{:=_avestan}');
Expect(1, 68405, '\p{avestan}', "");
Expect(0, 68405, '\p{^avestan}', "");
Expect(0, 68405, '\P{avestan}', "");
Expect(1, 68405, '\P{^avestan}', "");
Expect(0, 68351, '\p{avestan}', "");
Expect(1, 68351, '\p{^avestan}', "");
Expect(1, 68351, '\P{avestan}', "");
Expect(0, 68351, '\P{^avestan}', "");
Expect(1, 68405, '\p{	 AVESTAN}', "");
Expect(0, 68405, '\p{^	 AVESTAN}', "");
Expect(0, 68405, '\P{	 AVESTAN}', "");
Expect(1, 68405, '\P{^	 AVESTAN}', "");
Expect(0, 68351, '\p{	 AVESTAN}', "");
Expect(1, 68351, '\p{^	 AVESTAN}', "");
Expect(1, 68351, '\P{	 AVESTAN}', "");
Expect(0, 68351, '\P{^	 AVESTAN}', "");
Error('\p{_/a/IS_Avestan}');
Error('\P{_/a/IS_Avestan}');
Expect(1, 68405, '\p{isavestan}', "");
Expect(0, 68405, '\p{^isavestan}', "");
Expect(0, 68405, '\P{isavestan}', "");
Expect(1, 68405, '\P{^isavestan}', "");
Expect(0, 68351, '\p{isavestan}', "");
Expect(1, 68351, '\p{^isavestan}', "");
Expect(1, 68351, '\P{isavestan}', "");
Expect(0, 68351, '\P{^isavestan}', "");
Expect(1, 68405, '\p{-_IS	AVESTAN}', "");
Expect(0, 68405, '\p{^-_IS	AVESTAN}', "");
Expect(0, 68405, '\P{-_IS	AVESTAN}', "");
Expect(1, 68405, '\P{^-_IS	AVESTAN}', "");
Expect(0, 68351, '\p{-_IS	AVESTAN}', "");
Expect(1, 68351, '\p{^-_IS	AVESTAN}', "");
Expect(1, 68351, '\P{-_IS	AVESTAN}', "");
Expect(0, 68351, '\P{^-_IS	AVESTAN}', "");
Error('\p{/a/_Avst}');
Error('\P{/a/_Avst}');
Expect(1, 68405, '\p{avst}', "");
Expect(0, 68405, '\p{^avst}', "");
Expect(0, 68405, '\P{avst}', "");
Expect(1, 68405, '\P{^avst}', "");
Expect(0, 68351, '\p{avst}', "");
Expect(1, 68351, '\p{^avst}', "");
Expect(1, 68351, '\P{avst}', "");
Expect(0, 68351, '\P{^avst}', "");
Expect(1, 68405, '\p{_AVST}', "");
Expect(0, 68405, '\p{^_AVST}', "");
Expect(0, 68405, '\P{_AVST}', "");
Expect(1, 68405, '\P{^_AVST}', "");
Expect(0, 68351, '\p{_AVST}', "");
Expect(1, 68351, '\p{^_AVST}', "");
Expect(1, 68351, '\P{_AVST}', "");
Expect(0, 68351, '\P{^_AVST}', "");
Error('\p{  Is:=avst}');
Error('\P{  Is:=avst}');
Expect(1, 68405, '\p{isavst}', "");
Expect(0, 68405, '\p{^isavst}', "");
Expect(0, 68405, '\P{isavst}', "");
Expect(1, 68405, '\P{^isavst}', "");
Expect(0, 68351, '\p{isavst}', "");
Expect(1, 68351, '\p{^isavst}', "");
Expect(1, 68351, '\P{isavst}', "");
Expect(0, 68351, '\P{^isavst}', "");
Expect(1, 68405, '\p{ _IsAvst}', "");
Expect(0, 68405, '\p{^ _IsAvst}', "");
Expect(0, 68405, '\P{ _IsAvst}', "");
Expect(1, 68405, '\P{^ _IsAvst}', "");
Expect(0, 68351, '\p{ _IsAvst}', "");
Expect(1, 68351, '\p{^ _IsAvst}', "");
Expect(1, 68351, '\P{ _IsAvst}', "");
Expect(0, 68351, '\P{^ _IsAvst}', "");
Error('\p{_-Control/a/Pictures}');
Error('\P{_-Control/a/Pictures}');
Expect(1, 9279, '\p{controlpictures}', "");
Expect(0, 9279, '\p{^controlpictures}', "");
Expect(0, 9279, '\P{controlpictures}', "");
Expect(1, 9279, '\P{^controlpictures}', "");
Expect(0, 9215, '\p{controlpictures}', "");
Expect(1, 9215, '\p{^controlpictures}', "");
Expect(1, 9215, '\P{controlpictures}', "");
Expect(0, 9215, '\P{^controlpictures}', "");
Expect(1, 9279, '\p{  CONTROLpictures}', "");
Expect(0, 9279, '\p{^  CONTROLpictures}', "");
Expect(0, 9279, '\P{  CONTROLpictures}', "");
Expect(1, 9279, '\P{^  CONTROLpictures}', "");
Expect(0, 9215, '\p{  CONTROLpictures}', "");
Expect(1, 9215, '\p{^  CONTROLpictures}', "");
Expect(1, 9215, '\P{  CONTROLpictures}', "");
Expect(0, 9215, '\P{^  CONTROLpictures}', "");
Error('\p{	:=IS	control-pictures}');
Error('\P{	:=IS	control-pictures}');
Expect(1, 9279, '\p{iscontrolpictures}', "");
Expect(0, 9279, '\p{^iscontrolpictures}', "");
Expect(0, 9279, '\P{iscontrolpictures}', "");
Expect(1, 9279, '\P{^iscontrolpictures}', "");
Expect(0, 9215, '\p{iscontrolpictures}', "");
Expect(1, 9215, '\p{^iscontrolpictures}', "");
Expect(1, 9215, '\P{iscontrolpictures}', "");
Expect(0, 9215, '\P{^iscontrolpictures}', "");
Expect(1, 9279, '\p{ 	is CONTROL_pictures}', "");
Expect(0, 9279, '\p{^ 	is CONTROL_pictures}', "");
Expect(0, 9279, '\P{ 	is CONTROL_pictures}', "");
Expect(1, 9279, '\P{^ 	is CONTROL_pictures}', "");
Expect(0, 9215, '\p{ 	is CONTROL_pictures}', "");
Expect(1, 9215, '\p{^ 	is CONTROL_pictures}', "");
Expect(1, 9215, '\P{ 	is CONTROL_pictures}', "");
Expect(0, 9215, '\P{^ 	is CONTROL_pictures}', "");
Error('\p{-	In control/a/pictures}');
Error('\P{-	In control/a/pictures}');
Expect(1, 9279, '\p{incontrolpictures}', "");
Expect(0, 9279, '\p{^incontrolpictures}', "");
Expect(0, 9279, '\P{incontrolpictures}', "");
Expect(1, 9279, '\P{^incontrolpictures}', "");
Expect(0, 9215, '\p{incontrolpictures}', "");
Expect(1, 9215, '\p{^incontrolpictures}', "");
Expect(1, 9215, '\P{incontrolpictures}', "");
Expect(0, 9215, '\P{^incontrolpictures}', "");
Expect(1, 9279, '\p{In_Control	pictures}', "");
Expect(0, 9279, '\p{^In_Control	pictures}', "");
Expect(0, 9279, '\P{In_Control	pictures}', "");
Expect(1, 9279, '\P{^In_Control	pictures}', "");
Expect(0, 9215, '\p{In_Control	pictures}', "");
Expect(1, 9215, '\p{^In_Control	pictures}', "");
Expect(1, 9215, '\P{In_Control	pictures}', "");
Expect(0, 9215, '\P{^In_Control	pictures}', "");
Error('\p{/a/_	latin_Extended_A}');
Error('\P{/a/_	latin_Extended_A}');
Expect(1, 383, '\p{latinextendeda}', "");
Expect(0, 383, '\p{^latinextendeda}', "");
Expect(0, 383, '\P{latinextendeda}', "");
Expect(1, 383, '\P{^latinextendeda}', "");
Expect(0, 255, '\p{latinextendeda}', "");
Expect(1, 255, '\p{^latinextendeda}', "");
Expect(1, 255, '\P{latinextendeda}', "");
Expect(0, 255, '\P{^latinextendeda}', "");
Expect(1, 383, '\p{ 	LatinExtended A}', "");
Expect(0, 383, '\p{^ 	LatinExtended A}', "");
Expect(0, 383, '\P{ 	LatinExtended A}', "");
Expect(1, 383, '\P{^ 	LatinExtended A}', "");
Expect(0, 255, '\p{ 	LatinExtended A}', "");
Expect(1, 255, '\p{^ 	LatinExtended A}', "");
Expect(1, 255, '\P{ 	LatinExtended A}', "");
Expect(0, 255, '\P{^ 	LatinExtended A}', "");
Error('\p{ /a/IsLATINEXTENDED_A}');
Error('\P{ /a/IsLATINEXTENDED_A}');
Expect(1, 383, '\p{islatinextendeda}', "");
Expect(0, 383, '\p{^islatinextendeda}', "");
Expect(0, 383, '\P{islatinextendeda}', "");
Expect(1, 383, '\P{^islatinextendeda}', "");
Expect(0, 255, '\p{islatinextendeda}', "");
Expect(1, 255, '\p{^islatinextendeda}', "");
Expect(1, 255, '\P{islatinextendeda}', "");
Expect(0, 255, '\P{^islatinextendeda}', "");
Expect(1, 383, '\p{	 IS	latin-Extended_A}', "");
Expect(0, 383, '\p{^	 IS	latin-Extended_A}', "");
Expect(0, 383, '\P{	 IS	latin-Extended_A}', "");
Expect(1, 383, '\P{^	 IS	latin-Extended_A}', "");
Expect(0, 255, '\p{	 IS	latin-Extended_A}', "");
Expect(1, 255, '\p{^	 IS	latin-Extended_A}', "");
Expect(1, 255, '\P{	 IS	latin-Extended_A}', "");
Expect(0, 255, '\P{^	 IS	latin-Extended_A}', "");
Error('\p{-In:=Latin-Extended	a}');
Error('\P{-In:=Latin-Extended	a}');
Expect(1, 383, '\p{inlatinextendeda}', "");
Expect(0, 383, '\p{^inlatinextendeda}', "");
Expect(0, 383, '\P{inlatinextendeda}', "");
Expect(1, 383, '\P{^inlatinextendeda}', "");
Expect(0, 255, '\p{inlatinextendeda}', "");
Expect(1, 255, '\p{^inlatinextendeda}', "");
Expect(1, 255, '\P{inlatinextendeda}', "");
Expect(0, 255, '\P{^inlatinextendeda}', "");
Expect(1, 383, '\p{- In-Latin-Extended a}', "");
Expect(0, 383, '\p{^- In-Latin-Extended a}', "");
Expect(0, 383, '\P{- In-Latin-Extended a}', "");
Expect(1, 383, '\P{^- In-Latin-Extended a}', "");
Expect(0, 255, '\p{- In-Latin-Extended a}', "");
Expect(1, 255, '\p{^- In-Latin-Extended a}', "");
Expect(1, 255, '\P{- In-Latin-Extended a}', "");
Expect(0, 255, '\P{^- In-Latin-Extended a}', "");
Error('\p{_Gujarati:=}');
Error('\P{_Gujarati:=}');
Expect(1, 2691, '\p{gujarati}', "");
Expect(0, 2691, '\p{^gujarati}', "");
Expect(0, 2691, '\P{gujarati}', "");
Expect(1, 2691, '\P{^gujarati}', "");
Expect(0, 2688, '\p{gujarati}', "");
Expect(1, 2688, '\p{^gujarati}', "");
Expect(1, 2688, '\P{gujarati}', "");
Expect(0, 2688, '\P{^gujarati}', "");
Expect(1, 2691, '\p{	 Gujarati}', "");
Expect(0, 2691, '\p{^	 Gujarati}', "");
Expect(0, 2691, '\P{	 Gujarati}', "");
Expect(1, 2691, '\P{^	 Gujarati}', "");
Expect(0, 2688, '\p{	 Gujarati}', "");
Expect(1, 2688, '\p{^	 Gujarati}', "");
Expect(1, 2688, '\P{	 Gujarati}', "");
Expect(0, 2688, '\P{^	 Gujarati}', "");
Error('\p{ -Is/a/gujarati}');
Error('\P{ -Is/a/gujarati}');
Expect(1, 2691, '\p{isgujarati}', "");
Expect(0, 2691, '\p{^isgujarati}', "");
Expect(0, 2691, '\P{isgujarati}', "");
Expect(1, 2691, '\P{^isgujarati}', "");
Expect(0, 2688, '\p{isgujarati}', "");
Expect(1, 2688, '\p{^isgujarati}', "");
Expect(1, 2688, '\P{isgujarati}', "");
Expect(0, 2688, '\P{^isgujarati}', "");
Expect(1, 2691, '\p{_ IS_Gujarati}', "");
Expect(0, 2691, '\p{^_ IS_Gujarati}', "");
Expect(0, 2691, '\P{_ IS_Gujarati}', "");
Expect(1, 2691, '\P{^_ IS_Gujarati}', "");
Expect(0, 2688, '\p{_ IS_Gujarati}', "");
Expect(1, 2688, '\p{^_ IS_Gujarati}', "");
Expect(1, 2688, '\P{_ IS_Gujarati}', "");
Expect(0, 2688, '\P{^_ IS_Gujarati}', "");
Error('\p{:= _Gujr}');
Error('\P{:= _Gujr}');
Expect(1, 2691, '\p{gujr}', "");
Expect(0, 2691, '\p{^gujr}', "");
Expect(0, 2691, '\P{gujr}', "");
Expect(1, 2691, '\P{^gujr}', "");
Expect(0, 2688, '\p{gujr}', "");
Expect(1, 2688, '\p{^gujr}', "");
Expect(1, 2688, '\P{gujr}', "");
Expect(0, 2688, '\P{^gujr}', "");
Expect(1, 2691, '\p{-gujr}', "");
Expect(0, 2691, '\p{^-gujr}', "");
Expect(0, 2691, '\P{-gujr}', "");
Expect(1, 2691, '\P{^-gujr}', "");
Expect(0, 2688, '\p{-gujr}', "");
Expect(1, 2688, '\p{^-gujr}', "");
Expect(1, 2688, '\P{-gujr}', "");
Expect(0, 2688, '\P{^-gujr}', "");
Error('\p{/a/	-IS_Gujr}');
Error('\P{/a/	-IS_Gujr}');
Expect(1, 2691, '\p{isgujr}', "");
Expect(0, 2691, '\p{^isgujr}', "");
Expect(0, 2691, '\P{isgujr}', "");
Expect(1, 2691, '\P{^isgujr}', "");
Expect(0, 2688, '\p{isgujr}', "");
Expect(1, 2688, '\p{^isgujr}', "");
Expect(1, 2688, '\P{isgujr}', "");
Expect(0, 2688, '\P{^isgujr}', "");
Expect(1, 2691, '\p{_ IS_Gujr}', "");
Expect(0, 2691, '\p{^_ IS_Gujr}', "");
Expect(0, 2691, '\P{_ IS_Gujr}', "");
Expect(1, 2691, '\P{^_ IS_Gujr}', "");
Expect(0, 2688, '\p{_ IS_Gujr}', "");
Expect(1, 2688, '\p{^_ IS_Gujr}', "");
Expect(1, 2688, '\P{_ IS_Gujr}', "");
Expect(0, 2688, '\P{^_ IS_Gujr}', "");
Error('\p{	_SpacePerl/a/}');
Error('\P{	_SpacePerl/a/}');
Expect(1, 10, '\p{spaceperl}', "");
Expect(0, 10, '\p{^spaceperl}', "");
Expect(0, 10, '\P{spaceperl}', "");
Expect(1, 10, '\P{^spaceperl}', "");
Expect(0, 8, '\p{spaceperl}', "");
Expect(1, 8, '\p{^spaceperl}', "");
Expect(1, 8, '\P{spaceperl}', "");
Expect(0, 8, '\P{^spaceperl}', "");
Expect(1, 10, '\p{  SpacePerl}', "");
Expect(0, 10, '\p{^  SpacePerl}', "");
Expect(0, 10, '\P{  SpacePerl}', "");
Expect(1, 10, '\P{^  SpacePerl}', "");
Expect(0, 8, '\p{  SpacePerl}', "");
Expect(1, 8, '\p{^  SpacePerl}', "");
Expect(1, 8, '\P{  SpacePerl}', "");
Expect(0, 8, '\P{^  SpacePerl}', "");
Error('\p{- IsSpacePerl/a/}');
Error('\P{- IsSpacePerl/a/}');
Expect(1, 10, '\p{isspaceperl}', "");
Expect(0, 10, '\p{^isspaceperl}', "");
Expect(0, 10, '\P{isspaceperl}', "");
Expect(1, 10, '\P{^isspaceperl}', "");
Expect(0, 8, '\p{isspaceperl}', "");
Expect(1, 8, '\p{^isspaceperl}', "");
Expect(1, 8, '\P{isspaceperl}', "");
Expect(0, 8, '\P{^isspaceperl}', "");
Expect(1, 10, '\p{_isSpacePerl}', "");
Expect(0, 10, '\p{^_isSpacePerl}', "");
Expect(0, 10, '\P{_isSpacePerl}', "");
Expect(1, 10, '\P{^_isSpacePerl}', "");
Expect(0, 8, '\p{_isSpacePerl}', "");
Expect(1, 8, '\p{^_isSpacePerl}', "");
Expect(1, 8, '\P{_isSpacePerl}', "");
Expect(0, 8, '\P{^_isSpacePerl}', "");
Error('\p{_IN-Oriya:=}');
Error('\P{_IN-Oriya:=}');
Expect(1, 2943, '\p{inoriya}', "");
Expect(0, 2943, '\p{^inoriya}', "");
Expect(0, 2943, '\P{inoriya}', "");
Expect(1, 2943, '\P{^inoriya}', "");
Expect(0, 2815, '\p{inoriya}', "");
Expect(1, 2815, '\p{^inoriya}', "");
Expect(1, 2815, '\P{inoriya}', "");
Expect(0, 2815, '\P{^inoriya}', "");
Expect(1, 2943, '\p{-InORIYA}', "");
Expect(0, 2943, '\p{^-InORIYA}', "");
Expect(0, 2943, '\P{-InORIYA}', "");
Expect(1, 2943, '\P{^-InORIYA}', "");
Expect(0, 2815, '\p{-InORIYA}', "");
Expect(1, 2815, '\p{^-InORIYA}', "");
Expect(1, 2815, '\P{-InORIYA}', "");
Expect(0, 2815, '\P{^-InORIYA}', "");
Error('\p{:=_cjk-unified_IDEOGRAPHS}');
Error('\P{:=_cjk-unified_IDEOGRAPHS}');
Expect(1, 40959, '\p{cjkunifiedideographs}', "");
Expect(0, 40959, '\p{^cjkunifiedideographs}', "");
Expect(0, 40959, '\P{cjkunifiedideographs}', "");
Expect(1, 40959, '\P{^cjkunifiedideographs}', "");
Expect(0, 19967, '\p{cjkunifiedideographs}', "");
Expect(1, 19967, '\p{^cjkunifiedideographs}', "");
Expect(1, 19967, '\P{cjkunifiedideographs}', "");
Expect(0, 19967, '\P{^cjkunifiedideographs}', "");
Expect(1, 40959, '\p{  CJK	Unified	Ideographs}', "");
Expect(0, 40959, '\p{^  CJK	Unified	Ideographs}', "");
Expect(0, 40959, '\P{  CJK	Unified	Ideographs}', "");
Expect(1, 40959, '\P{^  CJK	Unified	Ideographs}', "");
Expect(0, 19967, '\p{  CJK	Unified	Ideographs}', "");
Expect(1, 19967, '\p{^  CJK	Unified	Ideographs}', "");
Expect(1, 19967, '\P{  CJK	Unified	Ideographs}', "");
Expect(0, 19967, '\P{^  CJK	Unified	Ideographs}', "");
Error('\p{ iscjk_unified_IDEOGRAPHS/a/}');
Error('\P{ iscjk_unified_IDEOGRAPHS/a/}');
Expect(1, 40959, '\p{iscjkunifiedideographs}', "");
Expect(0, 40959, '\p{^iscjkunifiedideographs}', "");
Expect(0, 40959, '\P{iscjkunifiedideographs}', "");
Expect(1, 40959, '\P{^iscjkunifiedideographs}', "");
Expect(0, 19967, '\p{iscjkunifiedideographs}', "");
Expect(1, 19967, '\p{^iscjkunifiedideographs}', "");
Expect(1, 19967, '\P{iscjkunifiedideographs}', "");
Expect(0, 19967, '\P{^iscjkunifiedideographs}', "");
Expect(1, 40959, '\p{_	IS-CJK_Unified-IDEOGRAPHS}', "");
Expect(0, 40959, '\p{^_	IS-CJK_Unified-IDEOGRAPHS}', "");
Expect(0, 40959, '\P{_	IS-CJK_Unified-IDEOGRAPHS}', "");
Expect(1, 40959, '\P{^_	IS-CJK_Unified-IDEOGRAPHS}', "");
Expect(0, 19967, '\p{_	IS-CJK_Unified-IDEOGRAPHS}', "");
Expect(1, 19967, '\p{^_	IS-CJK_Unified-IDEOGRAPHS}', "");
Expect(1, 19967, '\P{_	IS-CJK_Unified-IDEOGRAPHS}', "");
Expect(0, 19967, '\P{^_	IS-CJK_Unified-IDEOGRAPHS}', "");
Error('\p{:= _in	CJK-unified	Ideographs}');
Error('\P{:= _in	CJK-unified	Ideographs}');
Expect(1, 40959, '\p{incjkunifiedideographs}', "");
Expect(0, 40959, '\p{^incjkunifiedideographs}', "");
Expect(0, 40959, '\P{incjkunifiedideographs}', "");
Expect(1, 40959, '\P{^incjkunifiedideographs}', "");
Expect(0, 19967, '\p{incjkunifiedideographs}', "");
Expect(1, 19967, '\p{^incjkunifiedideographs}', "");
Expect(1, 19967, '\P{incjkunifiedideographs}', "");
Expect(0, 19967, '\P{^incjkunifiedideographs}', "");
Expect(1, 40959, '\p{		Incjk-Unified_IDEOGRAPHS}', "");
Expect(0, 40959, '\p{^		Incjk-Unified_IDEOGRAPHS}', "");
Expect(0, 40959, '\P{		Incjk-Unified_IDEOGRAPHS}', "");
Expect(1, 40959, '\P{^		Incjk-Unified_IDEOGRAPHS}', "");
Expect(0, 19967, '\p{		Incjk-Unified_IDEOGRAPHS}', "");
Expect(1, 19967, '\p{^		Incjk-Unified_IDEOGRAPHS}', "");
Expect(1, 19967, '\P{		Incjk-Unified_IDEOGRAPHS}', "");
Expect(0, 19967, '\P{^		Incjk-Unified_IDEOGRAPHS}', "");
Error('\p{	 ID/a/continue}');
Error('\P{	 ID/a/continue}');
Expect(1, 57, '\p{idcontinue}', "");
Expect(0, 57, '\p{^idcontinue}', "");
Expect(0, 57, '\P{idcontinue}', "");
Expect(1, 57, '\P{^idcontinue}', "");
Expect(0, 47, '\p{idcontinue}', "");
Expect(1, 47, '\p{^idcontinue}', "");
Expect(1, 47, '\P{idcontinue}', "");
Expect(0, 47, '\P{^idcontinue}', "");
Expect(1, 57, '\p{	-ID	CONTINUE}', "");
Expect(0, 57, '\p{^	-ID	CONTINUE}', "");
Expect(0, 57, '\P{	-ID	CONTINUE}', "");
Expect(1, 57, '\P{^	-ID	CONTINUE}', "");
Expect(0, 47, '\p{	-ID	CONTINUE}', "");
Expect(1, 47, '\p{^	-ID	CONTINUE}', "");
Expect(1, 47, '\P{	-ID	CONTINUE}', "");
Expect(0, 47, '\P{^	-ID	CONTINUE}', "");
Error('\p{--is-ID_continue/a/}');
Error('\P{--is-ID_continue/a/}');
Expect(1, 57, '\p{isidcontinue}', "");
Expect(0, 57, '\p{^isidcontinue}', "");
Expect(0, 57, '\P{isidcontinue}', "");
Expect(1, 57, '\P{^isidcontinue}', "");
Expect(0, 47, '\p{isidcontinue}', "");
Expect(1, 47, '\p{^isidcontinue}', "");
Expect(1, 47, '\P{isidcontinue}', "");
Expect(0, 47, '\P{^isidcontinue}', "");
Expect(1, 57, '\p{	IS-id	continue}', "");
Expect(0, 57, '\p{^	IS-id	continue}', "");
Expect(0, 57, '\P{	IS-id	continue}', "");
Expect(1, 57, '\P{^	IS-id	continue}', "");
Expect(0, 47, '\p{	IS-id	continue}', "");
Expect(1, 47, '\p{^	IS-id	continue}', "");
Expect(1, 47, '\P{	IS-id	continue}', "");
Expect(0, 47, '\P{^	IS-id	continue}', "");
Error('\p{-:=IDC}');
Error('\P{-:=IDC}');
Expect(1, 57, '\p{idc}', "");
Expect(0, 57, '\p{^idc}', "");
Expect(0, 57, '\P{idc}', "");
Expect(1, 57, '\P{^idc}', "");
Expect(0, 47, '\p{idc}', "");
Expect(1, 47, '\p{^idc}', "");
Expect(1, 47, '\P{idc}', "");
Expect(0, 47, '\P{^idc}', "");
Expect(1, 57, '\p{__IDC}', "");
Expect(0, 57, '\p{^__IDC}', "");
Expect(0, 57, '\P{__IDC}', "");
Expect(1, 57, '\P{^__IDC}', "");
Expect(0, 47, '\p{__IDC}', "");
Expect(1, 47, '\p{^__IDC}', "");
Expect(1, 47, '\P{__IDC}', "");
Expect(0, 47, '\P{^__IDC}', "");
Error('\p{	IS_IDC/a/}');
Error('\P{	IS_IDC/a/}');
Expect(1, 57, '\p{isidc}', "");
Expect(0, 57, '\p{^isidc}', "");
Expect(0, 57, '\P{isidc}', "");
Expect(1, 57, '\P{^isidc}', "");
Expect(0, 47, '\p{isidc}', "");
Expect(1, 47, '\p{^isidc}', "");
Expect(1, 47, '\P{isidc}', "");
Expect(0, 47, '\P{^isidc}', "");
Expect(1, 57, '\p{-	IS IDC}', "");
Expect(0, 57, '\p{^-	IS IDC}', "");
Expect(0, 57, '\P{-	IS IDC}', "");
Expect(1, 57, '\P{^-	IS IDC}', "");
Expect(0, 47, '\p{-	IS IDC}', "");
Expect(1, 47, '\p{^-	IS IDC}', "");
Expect(1, 47, '\P{-	IS IDC}', "");
Expect(0, 47, '\P{^-	IS IDC}', "");
Error('\p{/a/in Glagolitic}');
Error('\P{/a/in Glagolitic}');
Expect(1, 11359, '\p{inglagolitic}', "");
Expect(0, 11359, '\p{^inglagolitic}', "");
Expect(0, 11359, '\P{inglagolitic}', "");
Expect(1, 11359, '\P{^inglagolitic}', "");
Expect(0, 11263, '\p{inglagolitic}', "");
Expect(1, 11263, '\p{^inglagolitic}', "");
Expect(1, 11263, '\P{inglagolitic}', "");
Expect(0, 11263, '\P{^inglagolitic}', "");
Expect(1, 11359, '\p{_	In	glagolitic}', "");
Expect(0, 11359, '\p{^_	In	glagolitic}', "");
Expect(0, 11359, '\P{_	In	glagolitic}', "");
Expect(1, 11359, '\P{^_	In	glagolitic}', "");
Expect(0, 11263, '\p{_	In	glagolitic}', "");
Expect(1, 11263, '\p{^_	In	glagolitic}', "");
Expect(1, 11263, '\P{_	In	glagolitic}', "");
Expect(0, 11263, '\P{^_	In	glagolitic}', "");
Error('\p{/a/		Open-PUNCTUATION}');
Error('\P{/a/		Open-PUNCTUATION}');
Expect(1, 40, '\p{openpunctuation}', "");
Expect(0, 40, '\p{^openpunctuation}', "");
Expect(0, 40, '\P{openpunctuation}', "");
Expect(1, 40, '\P{^openpunctuation}', "");
Expect(0, 39, '\p{openpunctuation}', "");
Expect(1, 39, '\p{^openpunctuation}', "");
Expect(1, 39, '\P{openpunctuation}', "");
Expect(0, 39, '\P{^openpunctuation}', "");
Expect(1, 40, '\p{-Open_PUNCTUATION}', "");
Expect(0, 40, '\p{^-Open_PUNCTUATION}', "");
Expect(0, 40, '\P{-Open_PUNCTUATION}', "");
Expect(1, 40, '\P{^-Open_PUNCTUATION}', "");
Expect(0, 39, '\p{-Open_PUNCTUATION}', "");
Expect(1, 39, '\p{^-Open_PUNCTUATION}', "");
Expect(1, 39, '\P{-Open_PUNCTUATION}', "");
Expect(0, 39, '\P{^-Open_PUNCTUATION}', "");
Error('\p{:=Is-Open_PUNCTUATION}');
Error('\P{:=Is-Open_PUNCTUATION}');
Expect(1, 40, '\p{isopenpunctuation}', "");
Expect(0, 40, '\p{^isopenpunctuation}', "");
Expect(0, 40, '\P{isopenpunctuation}', "");
Expect(1, 40, '\P{^isopenpunctuation}', "");
Expect(0, 39, '\p{isopenpunctuation}', "");
Expect(1, 39, '\p{^isopenpunctuation}', "");
Expect(1, 39, '\P{isopenpunctuation}', "");
Expect(0, 39, '\P{^isopenpunctuation}', "");
Expect(1, 40, '\p{	 isOpen-punctuation}', "");
Expect(0, 40, '\p{^	 isOpen-punctuation}', "");
Expect(0, 40, '\P{	 isOpen-punctuation}', "");
Expect(1, 40, '\P{^	 isOpen-punctuation}', "");
Expect(0, 39, '\p{	 isOpen-punctuation}', "");
Expect(1, 39, '\p{^	 isOpen-punctuation}', "");
Expect(1, 39, '\P{	 isOpen-punctuation}', "");
Expect(0, 39, '\P{^	 isOpen-punctuation}', "");
Error('\p{:= 	ps}');
Error('\P{:= 	ps}');
Expect(1, 40, '\p{ps}', "");
Expect(0, 40, '\p{^ps}', "");
Expect(0, 40, '\P{ps}', "");
Expect(1, 40, '\P{^ps}', "");
Expect(0, 39, '\p{ps}', "");
Expect(1, 39, '\p{^ps}', "");
Expect(1, 39, '\P{ps}', "");
Expect(0, 39, '\P{^ps}', "");
Expect(1, 40, '\p{  PS}', "");
Expect(0, 40, '\p{^  PS}', "");
Expect(0, 40, '\P{  PS}', "");
Expect(1, 40, '\P{^  PS}', "");
Expect(0, 39, '\p{  PS}', "");
Expect(1, 39, '\p{^  PS}', "");
Expect(1, 39, '\P{  PS}', "");
Expect(0, 39, '\P{^  PS}', "");
Error('\p{:=Is_ps}');
Error('\P{:=Is_ps}');
Expect(1, 40, '\p{isps}', "");
Expect(0, 40, '\p{^isps}', "");
Expect(0, 40, '\P{isps}', "");
Expect(1, 40, '\P{^isps}', "");
Expect(0, 39, '\p{isps}', "");
Expect(1, 39, '\p{^isps}', "");
Expect(1, 39, '\P{isps}', "");
Expect(0, 39, '\P{^isps}', "");
Expect(1, 40, '\p{ -IsPs}', "");
Expect(0, 40, '\p{^ -IsPs}', "");
Expect(0, 40, '\P{ -IsPs}', "");
Expect(1, 40, '\P{^ -IsPs}', "");
Expect(0, 39, '\p{ -IsPs}', "");
Expect(1, 39, '\p{^ -IsPs}', "");
Expect(1, 39, '\P{ -IsPs}', "");
Expect(0, 39, '\P{^ -IsPs}', "");
Error('\p{:=Hangul}');
Error('\P{:=Hangul}');
Expect(1, 4607, '\p{hangul}', "");
Expect(0, 4607, '\p{^hangul}', "");
Expect(0, 4607, '\P{hangul}', "");
Expect(1, 4607, '\P{^hangul}', "");
Expect(0, 4351, '\p{hangul}', "");
Expect(1, 4351, '\p{^hangul}', "");
Expect(1, 4351, '\P{hangul}', "");
Expect(0, 4351, '\P{^hangul}', "");
Expect(1, 4607, '\p{	HANGUL}', "");
Expect(0, 4607, '\p{^	HANGUL}', "");
Expect(0, 4607, '\P{	HANGUL}', "");
Expect(1, 4607, '\P{^	HANGUL}', "");
Expect(0, 4351, '\p{	HANGUL}', "");
Expect(1, 4351, '\p{^	HANGUL}', "");
Expect(1, 4351, '\P{	HANGUL}', "");
Expect(0, 4351, '\P{^	HANGUL}', "");
Error('\p{-:=IS Hangul}');
Error('\P{-:=IS Hangul}');
Expect(1, 4607, '\p{ishangul}', "");
Expect(0, 4607, '\p{^ishangul}', "");
Expect(0, 4607, '\P{ishangul}', "");
Expect(1, 4607, '\P{^ishangul}', "");
Expect(0, 4351, '\p{ishangul}', "");
Expect(1, 4351, '\p{^ishangul}', "");
Expect(1, 4351, '\P{ishangul}', "");
Expect(0, 4351, '\P{^ishangul}', "");
Expect(1, 4607, '\p{	 Is_HANGUL}', "");
Expect(0, 4607, '\p{^	 Is_HANGUL}', "");
Expect(0, 4607, '\P{	 Is_HANGUL}', "");
Expect(1, 4607, '\P{^	 Is_HANGUL}', "");
Expect(0, 4351, '\p{	 Is_HANGUL}', "");
Expect(1, 4351, '\p{^	 Is_HANGUL}', "");
Expect(1, 4351, '\P{	 Is_HANGUL}', "");
Expect(0, 4351, '\P{^	 Is_HANGUL}', "");
Error('\p{/a/ -hang}');
Error('\P{/a/ -hang}');
Expect(1, 4607, '\p{hang}', "");
Expect(0, 4607, '\p{^hang}', "");
Expect(0, 4607, '\P{hang}', "");
Expect(1, 4607, '\P{^hang}', "");
Expect(0, 4351, '\p{hang}', "");
Expect(1, 4351, '\p{^hang}', "");
Expect(1, 4351, '\P{hang}', "");
Expect(0, 4351, '\P{^hang}', "");
Expect(1, 4607, '\p{		Hang}', "");
Expect(0, 4607, '\p{^		Hang}', "");
Expect(0, 4607, '\P{		Hang}', "");
Expect(1, 4607, '\P{^		Hang}', "");
Expect(0, 4351, '\p{		Hang}', "");
Expect(1, 4351, '\p{^		Hang}', "");
Expect(1, 4351, '\P{		Hang}', "");
Expect(0, 4351, '\P{^		Hang}', "");
Error('\p{-Is hang:=}');
Error('\P{-Is hang:=}');
Expect(1, 4607, '\p{ishang}', "");
Expect(0, 4607, '\p{^ishang}', "");
Expect(0, 4607, '\P{ishang}', "");
Expect(1, 4607, '\P{^ishang}', "");
Expect(0, 4351, '\p{ishang}', "");
Expect(1, 4351, '\p{^ishang}', "");
Expect(1, 4351, '\P{ishang}', "");
Expect(0, 4351, '\P{^ishang}', "");
Expect(1, 4607, '\p{		is hang}', "");
Expect(0, 4607, '\p{^		is hang}', "");
Expect(0, 4607, '\P{		is hang}', "");
Expect(1, 4607, '\P{^		is hang}', "");
Expect(0, 4351, '\p{		is hang}', "");
Expect(1, 4351, '\p{^		is hang}', "");
Expect(1, 4351, '\P{		is hang}', "");
Expect(0, 4351, '\P{^		is hang}', "");
Error('\p{/a/-	Cypriot}');
Error('\P{/a/-	Cypriot}');
Expect(1, 67589, '\p{cypriot}', "");
Expect(0, 67589, '\p{^cypriot}', "");
Expect(0, 67589, '\P{cypriot}', "");
Expect(1, 67589, '\P{^cypriot}', "");
Expect(0, 67583, '\p{cypriot}', "");
Expect(1, 67583, '\p{^cypriot}', "");
Expect(1, 67583, '\P{cypriot}', "");
Expect(0, 67583, '\P{^cypriot}', "");
Expect(1, 67589, '\p{_Cypriot}', "");
Expect(0, 67589, '\p{^_Cypriot}', "");
Expect(0, 67589, '\P{_Cypriot}', "");
Expect(1, 67589, '\P{^_Cypriot}', "");
Expect(0, 67583, '\p{_Cypriot}', "");
Expect(1, 67583, '\p{^_Cypriot}', "");
Expect(1, 67583, '\P{_Cypriot}', "");
Expect(0, 67583, '\P{^_Cypriot}', "");
Error('\p{/a/-	IS	cypriot}');
Error('\P{/a/-	IS	cypriot}');
Expect(1, 67589, '\p{iscypriot}', "");
Expect(0, 67589, '\p{^iscypriot}', "");
Expect(0, 67589, '\P{iscypriot}', "");
Expect(1, 67589, '\P{^iscypriot}', "");
Expect(0, 67583, '\p{iscypriot}', "");
Expect(1, 67583, '\p{^iscypriot}', "");
Expect(1, 67583, '\P{iscypriot}', "");
Expect(0, 67583, '\P{^iscypriot}', "");
Expect(1, 67589, '\p{ 	Is_CYPRIOT}', "");
Expect(0, 67589, '\p{^ 	Is_CYPRIOT}', "");
Expect(0, 67589, '\P{ 	Is_CYPRIOT}', "");
Expect(1, 67589, '\P{^ 	Is_CYPRIOT}', "");
Expect(0, 67583, '\p{ 	Is_CYPRIOT}', "");
Expect(1, 67583, '\p{^ 	Is_CYPRIOT}', "");
Expect(1, 67583, '\P{ 	Is_CYPRIOT}', "");
Expect(0, 67583, '\P{^ 	Is_CYPRIOT}', "");
Error('\p{__cprt:=}');
Error('\P{__cprt:=}');
Expect(1, 67589, '\p{cprt}', "");
Expect(0, 67589, '\p{^cprt}', "");
Expect(0, 67589, '\P{cprt}', "");
Expect(1, 67589, '\P{^cprt}', "");
Expect(0, 67583, '\p{cprt}', "");
Expect(1, 67583, '\p{^cprt}', "");
Expect(1, 67583, '\P{cprt}', "");
Expect(0, 67583, '\P{^cprt}', "");
Expect(1, 67589, '\p{ Cprt}', "");
Expect(0, 67589, '\p{^ Cprt}', "");
Expect(0, 67589, '\P{ Cprt}', "");
Expect(1, 67589, '\P{^ Cprt}', "");
Expect(0, 67583, '\p{ Cprt}', "");
Expect(1, 67583, '\p{^ Cprt}', "");
Expect(1, 67583, '\P{ Cprt}', "");
Expect(0, 67583, '\P{^ Cprt}', "");
Error('\p{/a/  Is CPRT}');
Error('\P{/a/  Is CPRT}');
Expect(1, 67589, '\p{iscprt}', "");
Expect(0, 67589, '\p{^iscprt}', "");
Expect(0, 67589, '\P{iscprt}', "");
Expect(1, 67589, '\P{^iscprt}', "");
Expect(0, 67583, '\p{iscprt}', "");
Expect(1, 67583, '\p{^iscprt}', "");
Expect(1, 67583, '\P{iscprt}', "");
Expect(0, 67583, '\P{^iscprt}', "");
Expect(1, 67589, '\p{	 Is_Cprt}', "");
Expect(0, 67589, '\p{^	 Is_Cprt}', "");
Expect(0, 67589, '\P{	 Is_Cprt}', "");
Expect(1, 67589, '\P{^	 Is_Cprt}', "");
Expect(0, 67583, '\p{	 Is_Cprt}', "");
Expect(1, 67583, '\p{^	 Is_Cprt}', "");
Expect(1, 67583, '\P{	 Is_Cprt}', "");
Expect(0, 67583, '\P{^	 Is_Cprt}', "");
Error('\p{:=_-Byzantine_MUSICAL_Symbols}');
Error('\P{:=_-Byzantine_MUSICAL_Symbols}');
Expect(1, 119039, '\p{byzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^byzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{byzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^byzantinemusicalsymbols}', "");
Expect(0, 118783, '\p{byzantinemusicalsymbols}', "");
Expect(1, 118783, '\p{^byzantinemusicalsymbols}', "");
Expect(1, 118783, '\P{byzantinemusicalsymbols}', "");
Expect(0, 118783, '\P{^byzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{-BYZANTINE_Musical_symbols}', "");
Expect(0, 119039, '\p{^-BYZANTINE_Musical_symbols}', "");
Expect(0, 119039, '\P{-BYZANTINE_Musical_symbols}', "");
Expect(1, 119039, '\P{^-BYZANTINE_Musical_symbols}', "");
Expect(0, 118783, '\p{-BYZANTINE_Musical_symbols}', "");
Expect(1, 118783, '\p{^-BYZANTINE_Musical_symbols}', "");
Expect(1, 118783, '\P{-BYZANTINE_Musical_symbols}', "");
Expect(0, 118783, '\P{^-BYZANTINE_Musical_symbols}', "");
Error('\p{	Is/a/byzantine_Musical-symbols}');
Error('\P{	Is/a/byzantine_Musical-symbols}');
Expect(1, 119039, '\p{isbyzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^isbyzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{isbyzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^isbyzantinemusicalsymbols}', "");
Expect(0, 118783, '\p{isbyzantinemusicalsymbols}', "");
Expect(1, 118783, '\p{^isbyzantinemusicalsymbols}', "");
Expect(1, 118783, '\P{isbyzantinemusicalsymbols}', "");
Expect(0, 118783, '\P{^isbyzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{_ isByzantine_Musicalsymbols}', "");
Expect(0, 119039, '\p{^_ isByzantine_Musicalsymbols}', "");
Expect(0, 119039, '\P{_ isByzantine_Musicalsymbols}', "");
Expect(1, 119039, '\P{^_ isByzantine_Musicalsymbols}', "");
Expect(0, 118783, '\p{_ isByzantine_Musicalsymbols}', "");
Expect(1, 118783, '\p{^_ isByzantine_Musicalsymbols}', "");
Expect(1, 118783, '\P{_ isByzantine_Musicalsymbols}', "");
Expect(0, 118783, '\P{^_ isByzantine_Musicalsymbols}', "");
Error('\p{	_In_Byzantine	Musical_Symbols/a/}');
Error('\P{	_In_Byzantine	Musical_Symbols/a/}');
Expect(1, 119039, '\p{inbyzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^inbyzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{inbyzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^inbyzantinemusicalsymbols}', "");
Expect(0, 118783, '\p{inbyzantinemusicalsymbols}', "");
Expect(1, 118783, '\p{^inbyzantinemusicalsymbols}', "");
Expect(1, 118783, '\P{inbyzantinemusicalsymbols}', "");
Expect(0, 118783, '\P{^inbyzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{-	In_Byzantine-MUSICAL	SYMBOLS}', "");
Expect(0, 119039, '\p{^-	In_Byzantine-MUSICAL	SYMBOLS}', "");
Expect(0, 119039, '\P{-	In_Byzantine-MUSICAL	SYMBOLS}', "");
Expect(1, 119039, '\P{^-	In_Byzantine-MUSICAL	SYMBOLS}', "");
Expect(0, 118783, '\p{-	In_Byzantine-MUSICAL	SYMBOLS}', "");
Expect(1, 118783, '\p{^-	In_Byzantine-MUSICAL	SYMBOLS}', "");
Expect(1, 118783, '\P{-	In_Byzantine-MUSICAL	SYMBOLS}', "");
Expect(0, 118783, '\P{^-	In_Byzantine-MUSICAL	SYMBOLS}', "");
Error('\p{/a/	posixupper}');
Error('\P{/a/	posixupper}');
Expect(1, 90, '\p{posixupper}', "");
Expect(0, 90, '\p{^posixupper}', "");
Expect(0, 90, '\P{posixupper}', "");
Expect(1, 90, '\P{^posixupper}', "");
Expect(0, 64, '\p{posixupper}', "");
Expect(1, 64, '\p{^posixupper}', "");
Expect(1, 64, '\P{posixupper}', "");
Expect(0, 64, '\P{^posixupper}', "");
Expect(1, 90, '\p{	_PosixUpper}', "");
Expect(0, 90, '\p{^	_PosixUpper}', "");
Expect(0, 90, '\P{	_PosixUpper}', "");
Expect(1, 90, '\P{^	_PosixUpper}', "");
Expect(0, 64, '\p{	_PosixUpper}', "");
Expect(1, 64, '\p{^	_PosixUpper}', "");
Expect(1, 64, '\P{	_PosixUpper}', "");
Expect(0, 64, '\P{^	_PosixUpper}', "");
Error('\p{_/a/Is-posixupper}');
Error('\P{_/a/Is-posixupper}');
Expect(1, 90, '\p{isposixupper}', "");
Expect(0, 90, '\p{^isposixupper}', "");
Expect(0, 90, '\P{isposixupper}', "");
Expect(1, 90, '\P{^isposixupper}', "");
Expect(0, 64, '\p{isposixupper}', "");
Expect(1, 64, '\p{^isposixupper}', "");
Expect(1, 64, '\P{isposixupper}', "");
Expect(0, 64, '\P{^isposixupper}', "");
Expect(1, 90, '\p{  is posixupper}', "");
Expect(0, 90, '\p{^  is posixupper}', "");
Expect(0, 90, '\P{  is posixupper}', "");
Expect(1, 90, '\P{^  is posixupper}', "");
Expect(0, 64, '\p{  is posixupper}', "");
Expect(1, 64, '\p{^  is posixupper}', "");
Expect(1, 64, '\P{  is posixupper}', "");
Expect(0, 64, '\P{^  is posixupper}', "");
Error('\p{	:=IN	Armenian}');
Error('\P{	:=IN	Armenian}');
Expect(1, 1423, '\p{inarmenian}', "");
Expect(0, 1423, '\p{^inarmenian}', "");
Expect(0, 1423, '\P{inarmenian}', "");
Expect(1, 1423, '\P{^inarmenian}', "");
Expect(0, 1327, '\p{inarmenian}', "");
Expect(1, 1327, '\p{^inarmenian}', "");
Expect(1, 1327, '\P{inarmenian}', "");
Expect(0, 1327, '\P{^inarmenian}', "");
Expect(1, 1423, '\p{ -In-Armenian}', "");
Expect(0, 1423, '\p{^ -In-Armenian}', "");
Expect(0, 1423, '\P{ -In-Armenian}', "");
Expect(1, 1423, '\P{^ -In-Armenian}', "");
Expect(0, 1327, '\p{ -In-Armenian}', "");
Expect(1, 1327, '\p{^ -In-Armenian}', "");
Expect(1, 1327, '\P{ -In-Armenian}', "");
Expect(0, 1327, '\P{^ -In-Armenian}', "");
Error('\p{ POSIXALPHA/a/}');
Error('\P{ POSIXALPHA/a/}');
Expect(1, 90, '\p{posixalpha}', "");
Expect(0, 90, '\p{^posixalpha}', "");
Expect(0, 90, '\P{posixalpha}', "");
Expect(1, 90, '\P{^posixalpha}', "");
Expect(0, 64, '\p{posixalpha}', "");
Expect(1, 64, '\p{^posixalpha}', "");
Expect(1, 64, '\P{posixalpha}', "");
Expect(0, 64, '\P{^posixalpha}', "");
Expect(1, 90, '\p{	-posixalpha}', "");
Expect(0, 90, '\p{^	-posixalpha}', "");
Expect(0, 90, '\P{	-posixalpha}', "");
Expect(1, 90, '\P{^	-posixalpha}', "");
Expect(0, 64, '\p{	-posixalpha}', "");
Expect(1, 64, '\p{^	-posixalpha}', "");
Expect(1, 64, '\P{	-posixalpha}', "");
Expect(0, 64, '\P{^	-posixalpha}', "");
Error('\p{/a/-_ISPosixAlpha}');
Error('\P{/a/-_ISPosixAlpha}');
Expect(1, 90, '\p{isposixalpha}', "");
Expect(0, 90, '\p{^isposixalpha}', "");
Expect(0, 90, '\P{isposixalpha}', "");
Expect(1, 90, '\P{^isposixalpha}', "");
Expect(0, 64, '\p{isposixalpha}', "");
Expect(1, 64, '\p{^isposixalpha}', "");
Expect(1, 64, '\P{isposixalpha}', "");
Expect(0, 64, '\P{^isposixalpha}', "");
Expect(1, 90, '\p{__isPOSIXALPHA}', "");
Expect(0, 90, '\p{^__isPOSIXALPHA}', "");
Expect(0, 90, '\P{__isPOSIXALPHA}', "");
Expect(1, 90, '\P{^__isPOSIXALPHA}', "");
Expect(0, 64, '\p{__isPOSIXALPHA}', "");
Expect(1, 64, '\p{^__isPOSIXALPHA}', "");
Expect(1, 64, '\P{__isPOSIXALPHA}', "");
Expect(0, 64, '\P{^__isPOSIXALPHA}', "");
Error('\p{-Paragraph:=separator}');
Error('\P{-Paragraph:=separator}');
Expect(1, 8233, '\p{paragraphseparator}', "");
Expect(0, 8233, '\p{^paragraphseparator}', "");
Expect(0, 8233, '\P{paragraphseparator}', "");
Expect(1, 8233, '\P{^paragraphseparator}', "");
Expect(0, 8232, '\p{paragraphseparator}', "");
Expect(1, 8232, '\p{^paragraphseparator}', "");
Expect(1, 8232, '\P{paragraphseparator}', "");
Expect(0, 8232, '\P{^paragraphseparator}', "");
Expect(1, 8233, '\p{ Paragraph-SEPARATOR}', "");
Expect(0, 8233, '\p{^ Paragraph-SEPARATOR}', "");
Expect(0, 8233, '\P{ Paragraph-SEPARATOR}', "");
Expect(1, 8233, '\P{^ Paragraph-SEPARATOR}', "");
Expect(0, 8232, '\p{ Paragraph-SEPARATOR}', "");
Expect(1, 8232, '\p{^ Paragraph-SEPARATOR}', "");
Expect(1, 8232, '\P{ Paragraph-SEPARATOR}', "");
Expect(0, 8232, '\P{^ Paragraph-SEPARATOR}', "");
Error('\p{is	Paragraph	separator:=}');
Error('\P{is	Paragraph	separator:=}');
Expect(1, 8233, '\p{isparagraphseparator}', "");
Expect(0, 8233, '\p{^isparagraphseparator}', "");
Expect(0, 8233, '\P{isparagraphseparator}', "");
Expect(1, 8233, '\P{^isparagraphseparator}', "");
Expect(0, 8232, '\p{isparagraphseparator}', "");
Expect(1, 8232, '\p{^isparagraphseparator}', "");
Expect(1, 8232, '\P{isparagraphseparator}', "");
Expect(0, 8232, '\P{^isparagraphseparator}', "");
Expect(1, 8233, '\p{_Is	Paragraph	SEPARATOR}', "");
Expect(0, 8233, '\p{^_Is	Paragraph	SEPARATOR}', "");
Expect(0, 8233, '\P{_Is	Paragraph	SEPARATOR}', "");
Expect(1, 8233, '\P{^_Is	Paragraph	SEPARATOR}', "");
Expect(0, 8232, '\p{_Is	Paragraph	SEPARATOR}', "");
Expect(1, 8232, '\p{^_Is	Paragraph	SEPARATOR}', "");
Expect(1, 8232, '\P{_Is	Paragraph	SEPARATOR}', "");
Expect(0, 8232, '\P{^_Is	Paragraph	SEPARATOR}', "");
Error('\p{_-Zp/a/}');
Error('\P{_-Zp/a/}');
Expect(1, 8233, '\p{zp}', "");
Expect(0, 8233, '\p{^zp}', "");
Expect(0, 8233, '\P{zp}', "");
Expect(1, 8233, '\P{^zp}', "");
Expect(0, 8232, '\p{zp}', "");
Expect(1, 8232, '\p{^zp}', "");
Expect(1, 8232, '\P{zp}', "");
Expect(0, 8232, '\P{^zp}', "");
Expect(1, 8233, '\p{	ZP}', "");
Expect(0, 8233, '\p{^	ZP}', "");
Expect(0, 8233, '\P{	ZP}', "");
Expect(1, 8233, '\P{^	ZP}', "");
Expect(0, 8232, '\p{	ZP}', "");
Expect(1, 8232, '\p{^	ZP}', "");
Expect(1, 8232, '\P{	ZP}', "");
Expect(0, 8232, '\P{^	ZP}', "");
Error('\p{--Is_Zp/a/}');
Error('\P{--Is_Zp/a/}');
Expect(1, 8233, '\p{iszp}', "");
Expect(0, 8233, '\p{^iszp}', "");
Expect(0, 8233, '\P{iszp}', "");
Expect(1, 8233, '\P{^iszp}', "");
Expect(0, 8232, '\p{iszp}', "");
Expect(1, 8232, '\p{^iszp}', "");
Expect(1, 8232, '\P{iszp}', "");
Expect(0, 8232, '\P{^iszp}', "");
Expect(1, 8233, '\p{	IsZP}', "");
Expect(0, 8233, '\p{^	IsZP}', "");
Expect(0, 8233, '\P{	IsZP}', "");
Expect(1, 8233, '\P{^	IsZP}', "");
Expect(0, 8232, '\p{	IsZP}', "");
Expect(1, 8232, '\p{^	IsZP}', "");
Expect(1, 8232, '\P{	IsZP}', "");
Expect(0, 8232, '\P{^	IsZP}', "");
Error('\p{	PHAGS_PA:=}');
Error('\P{	PHAGS_PA:=}');
Expect(1, 43127, '\p{phagspa}', "");
Expect(0, 43127, '\p{^phagspa}', "");
Expect(0, 43127, '\P{phagspa}', "");
Expect(1, 43127, '\P{^phagspa}', "");
Expect(0, 43071, '\p{phagspa}', "");
Expect(1, 43071, '\p{^phagspa}', "");
Expect(1, 43071, '\P{phagspa}', "");
Expect(0, 43071, '\P{^phagspa}', "");
Expect(1, 43127, '\p{ Phags-Pa}', "");
Expect(0, 43127, '\p{^ Phags-Pa}', "");
Expect(0, 43127, '\P{ Phags-Pa}', "");
Expect(1, 43127, '\P{^ Phags-Pa}', "");
Expect(0, 43071, '\p{ Phags-Pa}', "");
Expect(1, 43071, '\p{^ Phags-Pa}', "");
Expect(1, 43071, '\P{ Phags-Pa}', "");
Expect(0, 43071, '\P{^ Phags-Pa}', "");
Error('\p{--Is/a/Phags_PA}');
Error('\P{--Is/a/Phags_PA}');
Expect(1, 43127, '\p{isphagspa}', "");
Expect(0, 43127, '\p{^isphagspa}', "");
Expect(0, 43127, '\P{isphagspa}', "");
Expect(1, 43127, '\P{^isphagspa}', "");
Expect(0, 43071, '\p{isphagspa}', "");
Expect(1, 43071, '\p{^isphagspa}', "");
Expect(1, 43071, '\P{isphagspa}', "");
Expect(0, 43071, '\P{^isphagspa}', "");
Expect(1, 43127, '\p{	_ISphagspa}', "");
Expect(0, 43127, '\p{^	_ISphagspa}', "");
Expect(0, 43127, '\P{	_ISphagspa}', "");
Expect(1, 43127, '\P{^	_ISphagspa}', "");
Expect(0, 43071, '\p{	_ISphagspa}', "");
Expect(1, 43071, '\p{^	_ISphagspa}', "");
Expect(1, 43071, '\P{	_ISphagspa}', "");
Expect(0, 43071, '\P{^	_ISphagspa}', "");
Error('\p{/a/  PHAG}');
Error('\P{/a/  PHAG}');
Expect(1, 43127, '\p{phag}', "");
Expect(0, 43127, '\p{^phag}', "");
Expect(0, 43127, '\P{phag}', "");
Expect(1, 43127, '\P{^phag}', "");
Expect(0, 43071, '\p{phag}', "");
Expect(1, 43071, '\p{^phag}', "");
Expect(1, 43071, '\P{phag}', "");
Expect(0, 43071, '\P{^phag}', "");
Expect(1, 43127, '\p{ _PHAG}', "");
Expect(0, 43127, '\p{^ _PHAG}', "");
Expect(0, 43127, '\P{ _PHAG}', "");
Expect(1, 43127, '\P{^ _PHAG}', "");
Expect(0, 43071, '\p{ _PHAG}', "");
Expect(1, 43071, '\p{^ _PHAG}', "");
Expect(1, 43071, '\P{ _PHAG}', "");
Expect(0, 43071, '\P{^ _PHAG}', "");
Error('\p{ /a/Is Phag}');
Error('\P{ /a/Is Phag}');
Expect(1, 43127, '\p{isphag}', "");
Expect(0, 43127, '\p{^isphag}', "");
Expect(0, 43127, '\P{isphag}', "");
Expect(1, 43127, '\P{^isphag}', "");
Expect(0, 43071, '\p{isphag}', "");
Expect(1, 43071, '\p{^isphag}', "");
Expect(1, 43071, '\P{isphag}', "");
Expect(0, 43071, '\P{^isphag}', "");
Expect(1, 43127, '\p{ -IsPhag}', "");
Expect(0, 43127, '\p{^ -IsPhag}', "");
Expect(0, 43127, '\P{ -IsPhag}', "");
Expect(1, 43127, '\P{^ -IsPhag}', "");
Expect(0, 43071, '\p{ -IsPhag}', "");
Expect(1, 43071, '\p{^ -IsPhag}', "");
Expect(1, 43071, '\P{ -IsPhag}', "");
Expect(0, 43071, '\P{^ -IsPhag}', "");
Error('\p{ letter/a/NUMBER}');
Error('\P{ letter/a/NUMBER}');
Expect(1, 5872, '\p{letternumber}', "");
Expect(0, 5872, '\p{^letternumber}', "");
Expect(0, 5872, '\P{letternumber}', "");
Expect(1, 5872, '\P{^letternumber}', "");
Expect(0, 5869, '\p{letternumber}', "");
Expect(1, 5869, '\p{^letternumber}', "");
Expect(1, 5869, '\P{letternumber}', "");
Expect(0, 5869, '\P{^letternumber}', "");
Expect(1, 5872, '\p{letter_Number}', "");
Expect(0, 5872, '\p{^letter_Number}', "");
Expect(0, 5872, '\P{letter_Number}', "");
Expect(1, 5872, '\P{^letter_Number}', "");
Expect(0, 5869, '\p{letter_Number}', "");
Expect(1, 5869, '\p{^letter_Number}', "");
Expect(1, 5869, '\P{letter_Number}', "");
Expect(0, 5869, '\P{^letter_Number}', "");
Error('\p{_ Is/a/Letter_number}');
Error('\P{_ Is/a/Letter_number}');
Expect(1, 5872, '\p{isletternumber}', "");
Expect(0, 5872, '\p{^isletternumber}', "");
Expect(0, 5872, '\P{isletternumber}', "");
Expect(1, 5872, '\P{^isletternumber}', "");
Expect(0, 5869, '\p{isletternumber}', "");
Expect(1, 5869, '\p{^isletternumber}', "");
Expect(1, 5869, '\P{isletternumber}', "");
Expect(0, 5869, '\P{^isletternumber}', "");
Expect(1, 5872, '\p{	-Is	LetterNUMBER}', "");
Expect(0, 5872, '\p{^	-Is	LetterNUMBER}', "");
Expect(0, 5872, '\P{	-Is	LetterNUMBER}', "");
Expect(1, 5872, '\P{^	-Is	LetterNUMBER}', "");
Expect(0, 5869, '\p{	-Is	LetterNUMBER}', "");
Expect(1, 5869, '\p{^	-Is	LetterNUMBER}', "");
Expect(1, 5869, '\P{	-Is	LetterNUMBER}', "");
Expect(0, 5869, '\P{^	-Is	LetterNUMBER}', "");
Error('\p{/a/__NL}');
Error('\P{/a/__NL}');
Expect(1, 5872, '\p{nl}', "");
Expect(0, 5872, '\p{^nl}', "");
Expect(0, 5872, '\P{nl}', "");
Expect(1, 5872, '\P{^nl}', "");
Expect(0, 5869, '\p{nl}', "");
Expect(1, 5869, '\p{^nl}', "");
Expect(1, 5869, '\P{nl}', "");
Expect(0, 5869, '\P{^nl}', "");
Expect(1, 5872, '\p{Nl}', "");
Expect(0, 5872, '\p{^Nl}', "");
Expect(0, 5872, '\P{Nl}', "");
Expect(1, 5872, '\P{^Nl}', "");
Expect(0, 5869, '\p{Nl}', "");
Expect(1, 5869, '\p{^Nl}', "");
Expect(1, 5869, '\P{Nl}', "");
Expect(0, 5869, '\P{^Nl}', "");
Error('\p{ /a/Is-Nl}');
Error('\P{ /a/Is-Nl}');
Expect(1, 5872, '\p{isnl}', "");
Expect(0, 5872, '\p{^isnl}', "");
Expect(0, 5872, '\P{isnl}', "");
Expect(1, 5872, '\P{^isnl}', "");
Expect(0, 5869, '\p{isnl}', "");
Expect(1, 5869, '\p{^isnl}', "");
Expect(1, 5869, '\P{isnl}', "");
Expect(0, 5869, '\P{^isnl}', "");
Expect(1, 5872, '\p{-_IsNl}', "");
Expect(0, 5872, '\p{^-_IsNl}', "");
Expect(0, 5872, '\P{-_IsNl}', "");
Expect(1, 5872, '\P{^-_IsNl}', "");
Expect(0, 5869, '\p{-_IsNl}', "");
Expect(1, 5869, '\p{^-_IsNl}', "");
Expect(1, 5869, '\P{-_IsNl}', "");
Expect(0, 5869, '\P{^-_IsNl}', "");
Error('\p{:=		NUMBERforms}');
Error('\P{:=		NUMBERforms}');
Expect(1, 8591, '\p{numberforms}', "");
Expect(0, 8591, '\p{^numberforms}', "");
Expect(0, 8591, '\P{numberforms}', "");
Expect(1, 8591, '\P{^numberforms}', "");
Expect(0, 8527, '\p{numberforms}', "");
Expect(1, 8527, '\p{^numberforms}', "");
Expect(1, 8527, '\P{numberforms}', "");
Expect(0, 8527, '\P{^numberforms}', "");
Expect(1, 8591, '\p{ -numberFORMS}', "");
Expect(0, 8591, '\p{^ -numberFORMS}', "");
Expect(0, 8591, '\P{ -numberFORMS}', "");
Expect(1, 8591, '\P{^ -numberFORMS}', "");
Expect(0, 8527, '\p{ -numberFORMS}', "");
Expect(1, 8527, '\p{^ -numberFORMS}', "");
Expect(1, 8527, '\P{ -numberFORMS}', "");
Expect(0, 8527, '\P{^ -numberFORMS}', "");
Error('\p{ :=Is_NumberFORMS}');
Error('\P{ :=Is_NumberFORMS}');
Expect(1, 8591, '\p{isnumberforms}', "");
Expect(0, 8591, '\p{^isnumberforms}', "");
Expect(0, 8591, '\P{isnumberforms}', "");
Expect(1, 8591, '\P{^isnumberforms}', "");
Expect(0, 8527, '\p{isnumberforms}', "");
Expect(1, 8527, '\p{^isnumberforms}', "");
Expect(1, 8527, '\P{isnumberforms}', "");
Expect(0, 8527, '\P{^isnumberforms}', "");
Expect(1, 8591, '\p{_IS number	Forms}', "");
Expect(0, 8591, '\p{^_IS number	Forms}', "");
Expect(0, 8591, '\P{_IS number	Forms}', "");
Expect(1, 8591, '\P{^_IS number	Forms}', "");
Expect(0, 8527, '\p{_IS number	Forms}', "");
Expect(1, 8527, '\p{^_IS number	Forms}', "");
Expect(1, 8527, '\P{_IS number	Forms}', "");
Expect(0, 8527, '\P{^_IS number	Forms}', "");
Error('\p{:=_in_NUMBER_forms}');
Error('\P{:=_in_NUMBER_forms}');
Expect(1, 8591, '\p{innumberforms}', "");
Expect(0, 8591, '\p{^innumberforms}', "");
Expect(0, 8591, '\P{innumberforms}', "");
Expect(1, 8591, '\P{^innumberforms}', "");
Expect(0, 8527, '\p{innumberforms}', "");
Expect(1, 8527, '\p{^innumberforms}', "");
Expect(1, 8527, '\P{innumberforms}', "");
Expect(0, 8527, '\P{^innumberforms}', "");
Expect(1, 8591, '\p{	Innumber-FORMS}', "");
Expect(0, 8591, '\p{^	Innumber-FORMS}', "");
Expect(0, 8591, '\P{	Innumber-FORMS}', "");
Expect(1, 8591, '\P{^	Innumber-FORMS}', "");
Expect(0, 8527, '\p{	Innumber-FORMS}', "");
Expect(1, 8527, '\p{^	Innumber-FORMS}', "");
Expect(1, 8527, '\P{	Innumber-FORMS}', "");
Expect(0, 8527, '\P{^	Innumber-FORMS}', "");
Error('\p{-:=Alnum}');
Error('\P{-:=Alnum}');
Expect(1, 57, '\p{alnum}', "");
Expect(0, 57, '\p{^alnum}', "");
Expect(0, 57, '\P{alnum}', "");
Expect(1, 57, '\P{^alnum}', "");
Expect(0, 47, '\p{alnum}', "");
Expect(1, 47, '\p{^alnum}', "");
Expect(1, 47, '\P{alnum}', "");
Expect(0, 47, '\P{^alnum}', "");
Expect(1, 57, '\p{ 	Alnum}', "");
Expect(0, 57, '\p{^ 	Alnum}', "");
Expect(0, 57, '\P{ 	Alnum}', "");
Expect(1, 57, '\P{^ 	Alnum}', "");
Expect(0, 47, '\p{ 	Alnum}', "");
Expect(1, 47, '\p{^ 	Alnum}', "");
Expect(1, 47, '\P{ 	Alnum}', "");
Expect(0, 47, '\P{^ 	Alnum}', "");
Error('\p{- is:=alnum}');
Error('\P{- is:=alnum}');
Expect(1, 57, '\p{isalnum}', "");
Expect(0, 57, '\p{^isalnum}', "");
Expect(0, 57, '\P{isalnum}', "");
Expect(1, 57, '\P{^isalnum}', "");
Expect(0, 47, '\p{isalnum}', "");
Expect(1, 47, '\p{^isalnum}', "");
Expect(1, 47, '\P{isalnum}', "");
Expect(0, 47, '\P{^isalnum}', "");
Expect(1, 57, '\p{	-IS Alnum}', "");
Expect(0, 57, '\p{^	-IS Alnum}', "");
Expect(0, 57, '\P{	-IS Alnum}', "");
Expect(1, 57, '\P{^	-IS Alnum}', "");
Expect(0, 47, '\p{	-IS Alnum}', "");
Expect(1, 47, '\p{^	-IS Alnum}', "");
Expect(1, 47, '\P{	-IS Alnum}', "");
Expect(0, 47, '\P{^	-IS Alnum}', "");
Error('\p{		In SUNDANESE/a/}');
Error('\P{		In SUNDANESE/a/}');
Expect(1, 7103, '\p{insundanese}', "");
Expect(0, 7103, '\p{^insundanese}', "");
Expect(0, 7103, '\P{insundanese}', "");
Expect(1, 7103, '\P{^insundanese}', "");
Expect(0, 7039, '\p{insundanese}', "");
Expect(1, 7039, '\p{^insundanese}', "");
Expect(1, 7039, '\P{insundanese}', "");
Expect(0, 7039, '\P{^insundanese}', "");
Expect(1, 7103, '\p{_in sundanese}', "");
Expect(0, 7103, '\p{^_in sundanese}', "");
Expect(0, 7103, '\P{_in sundanese}', "");
Expect(1, 7103, '\P{^_in sundanese}', "");
Expect(0, 7039, '\p{_in sundanese}', "");
Expect(1, 7039, '\p{^_in sundanese}', "");
Expect(1, 7039, '\P{_in sundanese}', "");
Expect(0, 7039, '\P{^_in sundanese}', "");
Error('\p{--Arabic-Presentation	forms:=B}');
Error('\P{--Arabic-Presentation	forms:=B}');
Expect(1, 65279, '\p{arabicpresentationformsb}', "");
Expect(0, 65279, '\p{^arabicpresentationformsb}', "");
Expect(0, 65279, '\P{arabicpresentationformsb}', "");
Expect(1, 65279, '\P{^arabicpresentationformsb}', "");
Expect(0, 65135, '\p{arabicpresentationformsb}', "");
Expect(1, 65135, '\p{^arabicpresentationformsb}', "");
Expect(1, 65135, '\P{arabicpresentationformsb}', "");
Expect(0, 65135, '\P{^arabicpresentationformsb}', "");
Expect(1, 65279, '\p{_	ArabicPRESENTATIONFORMS	B}', "");
Expect(0, 65279, '\p{^_	ArabicPRESENTATIONFORMS	B}', "");
Expect(0, 65279, '\P{_	ArabicPRESENTATIONFORMS	B}', "");
Expect(1, 65279, '\P{^_	ArabicPRESENTATIONFORMS	B}', "");
Expect(0, 65135, '\p{_	ArabicPRESENTATIONFORMS	B}', "");
Expect(1, 65135, '\p{^_	ArabicPRESENTATIONFORMS	B}', "");
Expect(1, 65135, '\P{_	ArabicPRESENTATIONFORMS	B}', "");
Expect(0, 65135, '\P{^_	ArabicPRESENTATIONFORMS	B}', "");
Error('\p{	_is:=ARABICPRESENTATION_forms-b}');
Error('\P{	_is:=ARABICPRESENTATION_forms-b}');
Expect(1, 65279, '\p{isarabicpresentationformsb}', "");
Expect(0, 65279, '\p{^isarabicpresentationformsb}', "");
Expect(0, 65279, '\P{isarabicpresentationformsb}', "");
Expect(1, 65279, '\P{^isarabicpresentationformsb}', "");
Expect(0, 65135, '\p{isarabicpresentationformsb}', "");
Expect(1, 65135, '\p{^isarabicpresentationformsb}', "");
Expect(1, 65135, '\P{isarabicpresentationformsb}', "");
Expect(0, 65135, '\P{^isarabicpresentationformsb}', "");
Expect(1, 65279, '\p{_is arabic	Presentation_forms	B}', "");
Expect(0, 65279, '\p{^_is arabic	Presentation_forms	B}', "");
Expect(0, 65279, '\P{_is arabic	Presentation_forms	B}', "");
Expect(1, 65279, '\P{^_is arabic	Presentation_forms	B}', "");
Expect(0, 65135, '\p{_is arabic	Presentation_forms	B}', "");
Expect(1, 65135, '\p{^_is arabic	Presentation_forms	B}', "");
Expect(1, 65135, '\P{_is arabic	Presentation_forms	B}', "");
Expect(0, 65135, '\P{^_is arabic	Presentation_forms	B}', "");
Error('\p{in	arabic PresentationFORMS b/a/}');
Error('\P{in	arabic PresentationFORMS b/a/}');
Expect(1, 65279, '\p{inarabicpresentationformsb}', "");
Expect(0, 65279, '\p{^inarabicpresentationformsb}', "");
Expect(0, 65279, '\P{inarabicpresentationformsb}', "");
Expect(1, 65279, '\P{^inarabicpresentationformsb}', "");
Expect(0, 65135, '\p{inarabicpresentationformsb}', "");
Expect(1, 65135, '\p{^inarabicpresentationformsb}', "");
Expect(1, 65135, '\P{inarabicpresentationformsb}', "");
Expect(0, 65135, '\P{^inarabicpresentationformsb}', "");
Expect(1, 65279, '\p{-_In-ARABIC-PresentationFormsB}', "");
Expect(0, 65279, '\p{^-_In-ARABIC-PresentationFormsB}', "");
Expect(0, 65279, '\P{-_In-ARABIC-PresentationFormsB}', "");
Expect(1, 65279, '\P{^-_In-ARABIC-PresentationFormsB}', "");
Expect(0, 65135, '\p{-_In-ARABIC-PresentationFormsB}', "");
Expect(1, 65135, '\p{^-_In-ARABIC-PresentationFormsB}', "");
Expect(1, 65135, '\P{-_In-ARABIC-PresentationFormsB}', "");
Expect(0, 65135, '\P{^-_In-ARABIC-PresentationFormsB}', "");
Error('\p{Rumi-NUMERAL:=SYMBOLS}');
Error('\P{Rumi-NUMERAL:=SYMBOLS}');
Expect(1, 69247, '\p{ruminumeralsymbols}', "");
Expect(0, 69247, '\p{^ruminumeralsymbols}', "");
Expect(0, 69247, '\P{ruminumeralsymbols}', "");
Expect(1, 69247, '\P{^ruminumeralsymbols}', "");
Expect(0, 69215, '\p{ruminumeralsymbols}', "");
Expect(1, 69215, '\p{^ruminumeralsymbols}', "");
Expect(1, 69215, '\P{ruminumeralsymbols}', "");
Expect(0, 69215, '\P{^ruminumeralsymbols}', "");
Expect(1, 69247, '\p{	-Rumi numeralSymbols}', "");
Expect(0, 69247, '\p{^	-Rumi numeralSymbols}', "");
Expect(0, 69247, '\P{	-Rumi numeralSymbols}', "");
Expect(1, 69247, '\P{^	-Rumi numeralSymbols}', "");
Expect(0, 69215, '\p{	-Rumi numeralSymbols}', "");
Expect(1, 69215, '\p{^	-Rumi numeralSymbols}', "");
Expect(1, 69215, '\P{	-Rumi numeralSymbols}', "");
Expect(0, 69215, '\P{^	-Rumi numeralSymbols}', "");
Error('\p{:=isRUMINUMERAL_Symbols}');
Error('\P{:=isRUMINUMERAL_Symbols}');
Expect(1, 69247, '\p{isruminumeralsymbols}', "");
Expect(0, 69247, '\p{^isruminumeralsymbols}', "");
Expect(0, 69247, '\P{isruminumeralsymbols}', "");
Expect(1, 69247, '\P{^isruminumeralsymbols}', "");
Expect(0, 69215, '\p{isruminumeralsymbols}', "");
Expect(1, 69215, '\p{^isruminumeralsymbols}', "");
Expect(1, 69215, '\P{isruminumeralsymbols}', "");
Expect(0, 69215, '\P{^isruminumeralsymbols}', "");
Expect(1, 69247, '\p{-Is RumiNUMERAL Symbols}', "");
Expect(0, 69247, '\p{^-Is RumiNUMERAL Symbols}', "");
Expect(0, 69247, '\P{-Is RumiNUMERAL Symbols}', "");
Expect(1, 69247, '\P{^-Is RumiNUMERAL Symbols}', "");
Expect(0, 69215, '\p{-Is RumiNUMERAL Symbols}', "");
Expect(1, 69215, '\p{^-Is RumiNUMERAL Symbols}', "");
Expect(1, 69215, '\P{-Is RumiNUMERAL Symbols}', "");
Expect(0, 69215, '\P{^-Is RumiNUMERAL Symbols}', "");
Error('\p{ -in/a/rumi-NUMERAL_symbols}');
Error('\P{ -in/a/rumi-NUMERAL_symbols}');
Expect(1, 69247, '\p{inruminumeralsymbols}', "");
Expect(0, 69247, '\p{^inruminumeralsymbols}', "");
Expect(0, 69247, '\P{inruminumeralsymbols}', "");
Expect(1, 69247, '\P{^inruminumeralsymbols}', "");
Expect(0, 69215, '\p{inruminumeralsymbols}', "");
Expect(1, 69215, '\p{^inruminumeralsymbols}', "");
Expect(1, 69215, '\P{inruminumeralsymbols}', "");
Expect(0, 69215, '\P{^inruminumeralsymbols}', "");
Expect(1, 69247, '\p{-In rumiNumeral_Symbols}', "");
Expect(0, 69247, '\p{^-In rumiNumeral_Symbols}', "");
Expect(0, 69247, '\P{-In rumiNumeral_Symbols}', "");
Expect(1, 69247, '\P{^-In rumiNumeral_Symbols}', "");
Expect(0, 69215, '\p{-In rumiNumeral_Symbols}', "");
Expect(1, 69215, '\p{^-In rumiNumeral_Symbols}', "");
Expect(1, 69215, '\P{-In rumiNumeral_Symbols}', "");
Expect(0, 69215, '\P{^-In rumiNumeral_Symbols}', "");
Error('\p{_:=common Indic	Number FORMS}');
Error('\P{_:=common Indic	Number FORMS}');
Expect(1, 43071, '\p{commonindicnumberforms}', "");
Expect(0, 43071, '\p{^commonindicnumberforms}', "");
Expect(0, 43071, '\P{commonindicnumberforms}', "");
Expect(1, 43071, '\P{^commonindicnumberforms}', "");
Expect(0, 43055, '\p{commonindicnumberforms}', "");
Expect(1, 43055, '\p{^commonindicnumberforms}', "");
Expect(1, 43055, '\P{commonindicnumberforms}', "");
Expect(0, 43055, '\P{^commonindicnumberforms}', "");
Expect(1, 43071, '\p{	 Common IndicNumber	Forms}', "");
Expect(0, 43071, '\p{^	 Common IndicNumber	Forms}', "");
Expect(0, 43071, '\P{	 Common IndicNumber	Forms}', "");
Expect(1, 43071, '\P{^	 Common IndicNumber	Forms}', "");
Expect(0, 43055, '\p{	 Common IndicNumber	Forms}', "");
Expect(1, 43055, '\p{^	 Common IndicNumber	Forms}', "");
Expect(1, 43055, '\P{	 Common IndicNumber	Forms}', "");
Expect(0, 43055, '\P{^	 Common IndicNumber	Forms}', "");
Error('\p{ -is/a/common Indic_NUMBER	Forms}');
Error('\P{ -is/a/common Indic_NUMBER	Forms}');
Expect(1, 43071, '\p{iscommonindicnumberforms}', "");
Expect(0, 43071, '\p{^iscommonindicnumberforms}', "");
Expect(0, 43071, '\P{iscommonindicnumberforms}', "");
Expect(1, 43071, '\P{^iscommonindicnumberforms}', "");
Expect(0, 43055, '\p{iscommonindicnumberforms}', "");
Expect(1, 43055, '\p{^iscommonindicnumberforms}', "");
Expect(1, 43055, '\P{iscommonindicnumberforms}', "");
Expect(0, 43055, '\P{^iscommonindicnumberforms}', "");
Expect(1, 43071, '\p{ _IS	Common-Indic_number_Forms}', "");
Expect(0, 43071, '\p{^ _IS	Common-Indic_number_Forms}', "");
Expect(0, 43071, '\P{ _IS	Common-Indic_number_Forms}', "");
Expect(1, 43071, '\P{^ _IS	Common-Indic_number_Forms}', "");
Expect(0, 43055, '\p{ _IS	Common-Indic_number_Forms}', "");
Expect(1, 43055, '\p{^ _IS	Common-Indic_number_Forms}', "");
Expect(1, 43055, '\P{ _IS	Common-Indic_number_Forms}', "");
Expect(0, 43055, '\P{^ _IS	Common-Indic_number_Forms}', "");
Error('\p{_In:=COMMON-Indic_Number forms}');
Error('\P{_In:=COMMON-Indic_Number forms}');
Expect(1, 43071, '\p{incommonindicnumberforms}', "");
Expect(0, 43071, '\p{^incommonindicnumberforms}', "");
Expect(0, 43071, '\P{incommonindicnumberforms}', "");
Expect(1, 43071, '\P{^incommonindicnumberforms}', "");
Expect(0, 43055, '\p{incommonindicnumberforms}', "");
Expect(1, 43055, '\p{^incommonindicnumberforms}', "");
Expect(1, 43055, '\P{incommonindicnumberforms}', "");
Expect(0, 43055, '\P{^incommonindicnumberforms}', "");
Expect(1, 43071, '\p{		In Common INDIC	NUMBER-Forms}', "");
Expect(0, 43071, '\p{^		In Common INDIC	NUMBER-Forms}', "");
Expect(0, 43071, '\P{		In Common INDIC	NUMBER-Forms}', "");
Expect(1, 43071, '\P{^		In Common INDIC	NUMBER-Forms}', "");
Expect(0, 43055, '\p{		In Common INDIC	NUMBER-Forms}', "");
Expect(1, 43055, '\p{^		In Common INDIC	NUMBER-Forms}', "");
Expect(1, 43055, '\P{		In Common INDIC	NUMBER-Forms}', "");
Expect(0, 43055, '\P{^		In Common INDIC	NUMBER-Forms}', "");
Error('\p{ /a/ALPHA}');
Error('\P{ /a/ALPHA}');
Expect(1, 90, '\p{alpha}', "");
Expect(0, 90, '\p{^alpha}', "");
Expect(0, 90, '\P{alpha}', "");
Expect(1, 90, '\P{^alpha}', "");
Expect(0, 64, '\p{alpha}', "");
Expect(1, 64, '\p{^alpha}', "");
Expect(1, 64, '\P{alpha}', "");
Expect(0, 64, '\P{^alpha}', "");
Expect(1, 90, '\p{	_alpha}', "");
Expect(0, 90, '\p{^	_alpha}', "");
Expect(0, 90, '\P{	_alpha}', "");
Expect(1, 90, '\P{^	_alpha}', "");
Expect(0, 64, '\p{	_alpha}', "");
Expect(1, 64, '\p{^	_alpha}', "");
Expect(1, 64, '\P{	_alpha}', "");
Expect(0, 64, '\P{^	_alpha}', "");
Error('\p{-:=is Alpha}');
Error('\P{-:=is Alpha}');
Expect(1, 90, '\p{isalpha}', "");
Expect(0, 90, '\p{^isalpha}', "");
Expect(0, 90, '\P{isalpha}', "");
Expect(1, 90, '\P{^isalpha}', "");
Expect(0, 64, '\p{isalpha}', "");
Expect(1, 64, '\p{^isalpha}', "");
Expect(1, 64, '\P{isalpha}', "");
Expect(0, 64, '\P{^isalpha}', "");
Expect(1, 90, '\p{	_Is_Alpha}', "");
Expect(0, 90, '\p{^	_Is_Alpha}', "");
Expect(0, 90, '\P{	_Is_Alpha}', "");
Expect(1, 90, '\P{^	_Is_Alpha}', "");
Expect(0, 64, '\p{	_Is_Alpha}', "");
Expect(1, 64, '\p{^	_Is_Alpha}', "");
Expect(1, 64, '\P{	_Is_Alpha}', "");
Expect(0, 64, '\P{^	_Is_Alpha}', "");
Error('\p{:=__alphabetic}');
Error('\P{:=__alphabetic}');
Expect(1, 90, '\p{alphabetic}', "");
Expect(0, 90, '\p{^alphabetic}', "");
Expect(0, 90, '\P{alphabetic}', "");
Expect(1, 90, '\P{^alphabetic}', "");
Expect(0, 64, '\p{alphabetic}', "");
Expect(1, 64, '\p{^alphabetic}', "");
Expect(1, 64, '\P{alphabetic}', "");
Expect(0, 64, '\P{^alphabetic}', "");
Expect(1, 90, '\p{ ALPHABETIC}', "");
Expect(0, 90, '\p{^ ALPHABETIC}', "");
Expect(0, 90, '\P{ ALPHABETIC}', "");
Expect(1, 90, '\P{^ ALPHABETIC}', "");
Expect(0, 64, '\p{ ALPHABETIC}', "");
Expect(1, 64, '\p{^ ALPHABETIC}', "");
Expect(1, 64, '\P{ ALPHABETIC}', "");
Expect(0, 64, '\P{^ ALPHABETIC}', "");
Error('\p{  Is:=Alphabetic}');
Error('\P{  Is:=Alphabetic}');
Expect(1, 90, '\p{isalphabetic}', "");
Expect(0, 90, '\p{^isalphabetic}', "");
Expect(0, 90, '\P{isalphabetic}', "");
Expect(1, 90, '\P{^isalphabetic}', "");
Expect(0, 64, '\p{isalphabetic}', "");
Expect(1, 64, '\p{^isalphabetic}', "");
Expect(1, 64, '\P{isalphabetic}', "");
Expect(0, 64, '\P{^isalphabetic}', "");
Expect(1, 90, '\p{_	IS	Alphabetic}', "");
Expect(0, 90, '\p{^_	IS	Alphabetic}', "");
Expect(0, 90, '\P{_	IS	Alphabetic}', "");
Expect(1, 90, '\P{^_	IS	Alphabetic}', "");
Expect(0, 64, '\p{_	IS	Alphabetic}', "");
Expect(1, 64, '\p{^_	IS	Alphabetic}', "");
Expect(1, 64, '\P{_	IS	Alphabetic}', "");
Expect(0, 64, '\P{^_	IS	Alphabetic}', "");
Error('\p{	:=in	EGYPTIANhieroglyphs}');
Error('\P{	:=in	EGYPTIANhieroglyphs}');
Expect(1, 78895, '\p{inegyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^inegyptianhieroglyphs}', "");
Expect(0, 78895, '\P{inegyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^inegyptianhieroglyphs}', "");
Expect(0, 77823, '\p{inegyptianhieroglyphs}', "");
Expect(1, 77823, '\p{^inegyptianhieroglyphs}', "");
Expect(1, 77823, '\P{inegyptianhieroglyphs}', "");
Expect(0, 77823, '\P{^inegyptianhieroglyphs}', "");
Expect(1, 78895, '\p{-inegyptian-HIEROGLYPHS}', "");
Expect(0, 78895, '\p{^-inegyptian-HIEROGLYPHS}', "");
Expect(0, 78895, '\P{-inegyptian-HIEROGLYPHS}', "");
Expect(1, 78895, '\P{^-inegyptian-HIEROGLYPHS}', "");
Expect(0, 77823, '\p{-inegyptian-HIEROGLYPHS}', "");
Expect(1, 77823, '\p{^-inegyptian-HIEROGLYPHS}', "");
Expect(1, 77823, '\P{-inegyptian-HIEROGLYPHS}', "");
Expect(0, 77823, '\P{^-inegyptian-HIEROGLYPHS}', "");
Error('\p{		In:=Myanmar}');
Error('\P{		In:=Myanmar}');
Expect(1, 4255, '\p{inmyanmar}', "");
Expect(0, 4255, '\p{^inmyanmar}', "");
Expect(0, 4255, '\P{inmyanmar}', "");
Expect(1, 4255, '\P{^inmyanmar}', "");
Expect(0, 4095, '\p{inmyanmar}', "");
Expect(1, 4095, '\p{^inmyanmar}', "");
Expect(1, 4095, '\P{inmyanmar}', "");
Expect(0, 4095, '\P{^inmyanmar}', "");
Expect(1, 4255, '\p{	-In-MYANMAR}', "");
Expect(0, 4255, '\p{^	-In-MYANMAR}', "");
Expect(0, 4255, '\P{	-In-MYANMAR}', "");
Expect(1, 4255, '\P{^	-In-MYANMAR}', "");
Expect(0, 4095, '\p{	-In-MYANMAR}', "");
Expect(1, 4095, '\p{^	-In-MYANMAR}', "");
Expect(1, 4095, '\P{	-In-MYANMAR}', "");
Expect(0, 4095, '\P{^	-In-MYANMAR}', "");
Error('\p{ _greek-extended/a/}');
Error('\P{ _greek-extended/a/}');
Expect(1, 8191, '\p{greekextended}', "");
Expect(0, 8191, '\p{^greekextended}', "");
Expect(0, 8191, '\P{greekextended}', "");
Expect(1, 8191, '\P{^greekextended}', "");
Expect(0, 7935, '\p{greekextended}', "");
Expect(1, 7935, '\p{^greekextended}', "");
Expect(1, 7935, '\P{greekextended}', "");
Expect(0, 7935, '\P{^greekextended}', "");
Expect(1, 8191, '\p{	 GREEK-extended}', "");
Expect(0, 8191, '\p{^	 GREEK-extended}', "");
Expect(0, 8191, '\P{	 GREEK-extended}', "");
Expect(1, 8191, '\P{^	 GREEK-extended}', "");
Expect(0, 7935, '\p{	 GREEK-extended}', "");
Expect(1, 7935, '\p{^	 GREEK-extended}', "");
Expect(1, 7935, '\P{	 GREEK-extended}', "");
Expect(0, 7935, '\P{^	 GREEK-extended}', "");
Error('\p{_is greek_extended:=}');
Error('\P{_is greek_extended:=}');
Expect(1, 8191, '\p{isgreekextended}', "");
Expect(0, 8191, '\p{^isgreekextended}', "");
Expect(0, 8191, '\P{isgreekextended}', "");
Expect(1, 8191, '\P{^isgreekextended}', "");
Expect(0, 7935, '\p{isgreekextended}', "");
Expect(1, 7935, '\p{^isgreekextended}', "");
Expect(1, 7935, '\P{isgreekextended}', "");
Expect(0, 7935, '\P{^isgreekextended}', "");
Expect(1, 8191, '\p{	Isgreek_Extended}', "");
Expect(0, 8191, '\p{^	Isgreek_Extended}', "");
Expect(0, 8191, '\P{	Isgreek_Extended}', "");
Expect(1, 8191, '\P{^	Isgreek_Extended}', "");
Expect(0, 7935, '\p{	Isgreek_Extended}', "");
Expect(1, 7935, '\p{^	Isgreek_Extended}', "");
Expect(1, 7935, '\P{	Isgreek_Extended}', "");
Expect(0, 7935, '\P{^	Isgreek_Extended}', "");
Error('\p{ /a/In_GREEK	Extended}');
Error('\P{ /a/In_GREEK	Extended}');
Expect(1, 8191, '\p{ingreekextended}', "");
Expect(0, 8191, '\p{^ingreekextended}', "");
Expect(0, 8191, '\P{ingreekextended}', "");
Expect(1, 8191, '\P{^ingreekextended}', "");
Expect(0, 7935, '\p{ingreekextended}', "");
Expect(1, 7935, '\p{^ingreekextended}', "");
Expect(1, 7935, '\P{ingreekextended}', "");
Expect(0, 7935, '\P{^ingreekextended}', "");
Expect(1, 8191, '\p{ IN-GREEK	Extended}', "");
Expect(0, 8191, '\p{^ IN-GREEK	Extended}', "");
Expect(0, 8191, '\P{ IN-GREEK	Extended}', "");
Expect(1, 8191, '\P{^ IN-GREEK	Extended}', "");
Expect(0, 7935, '\p{ IN-GREEK	Extended}', "");
Expect(1, 7935, '\p{^ IN-GREEK	Extended}', "");
Expect(1, 7935, '\P{ IN-GREEK	Extended}', "");
Expect(0, 7935, '\P{^ IN-GREEK	Extended}', "");
Error('\p{	:=radical}');
Error('\P{	:=radical}');
Expect(1, 11929, '\p{radical}', "");
Expect(0, 11929, '\p{^radical}', "");
Expect(0, 11929, '\P{radical}', "");
Expect(1, 11929, '\P{^radical}', "");
Expect(0, 11903, '\p{radical}', "");
Expect(1, 11903, '\p{^radical}', "");
Expect(1, 11903, '\P{radical}', "");
Expect(0, 11903, '\P{^radical}', "");
Expect(1, 11929, '\p{- radical}', "");
Expect(0, 11929, '\p{^- radical}', "");
Expect(0, 11929, '\P{- radical}', "");
Expect(1, 11929, '\P{^- radical}', "");
Expect(0, 11903, '\p{- radical}', "");
Expect(1, 11903, '\p{^- radical}', "");
Expect(1, 11903, '\P{- radical}', "");
Expect(0, 11903, '\P{^- radical}', "");
Error('\p{is/a/Radical}');
Error('\P{is/a/Radical}');
Expect(1, 11929, '\p{isradical}', "");
Expect(0, 11929, '\p{^isradical}', "");
Expect(0, 11929, '\P{isradical}', "");
Expect(1, 11929, '\P{^isradical}', "");
Expect(0, 11903, '\p{isradical}', "");
Expect(1, 11903, '\p{^isradical}', "");
Expect(1, 11903, '\P{isradical}', "");
Expect(0, 11903, '\P{^isradical}', "");
Expect(1, 11929, '\p{-is Radical}', "");
Expect(0, 11929, '\p{^-is Radical}', "");
Expect(0, 11929, '\P{-is Radical}', "");
Expect(1, 11929, '\P{^-is Radical}', "");
Expect(0, 11903, '\p{-is Radical}', "");
Expect(1, 11903, '\p{^-is Radical}', "");
Expect(1, 11903, '\P{-is Radical}', "");
Expect(0, 11903, '\P{^-is Radical}', "");
Error('\p{:=low surrogates}');
Error('\P{:=low surrogates}');
Expect(0, 1, '\p{lowsurrogates}', "");
Expect(1, 1, '\p{^lowsurrogates}', "");
Expect(1, 1, '\P{lowsurrogates}', "");
Expect(0, 1, '\P{^lowsurrogates}', "");
Expect(0, 1, '\p{-low_SURROGATES}', "");
Expect(1, 1, '\p{^-low_SURROGATES}', "");
Expect(1, 1, '\P{-low_SURROGATES}', "");
Expect(0, 1, '\P{^-low_SURROGATES}', "");
Error('\p{/a/Is	Low	surrogates}');
Error('\P{/a/Is	Low	surrogates}');
Expect(0, 1, '\p{islowsurrogates}', "");
Expect(1, 1, '\p{^islowsurrogates}', "");
Expect(1, 1, '\P{islowsurrogates}', "");
Expect(0, 1, '\P{^islowsurrogates}', "");
Expect(0, 1, '\p{_ is Low	Surrogates}', "");
Expect(1, 1, '\p{^_ is Low	Surrogates}', "");
Expect(1, 1, '\P{_ is Low	Surrogates}', "");
Expect(0, 1, '\P{^_ is Low	Surrogates}', "");
Error('\p{__In-Low-Surrogates/a/}');
Error('\P{__In-Low-Surrogates/a/}');
Expect(0, 1, '\p{inlowsurrogates}', "");
Expect(1, 1, '\p{^inlowsurrogates}', "");
Expect(1, 1, '\P{inlowsurrogates}', "");
Expect(0, 1, '\P{^inlowsurrogates}', "");
Expect(0, 1, '\p{-	IN Low	surrogates}', "");
Expect(1, 1, '\p{^-	IN Low	surrogates}', "");
Expect(1, 1, '\P{-	IN Low	surrogates}', "");
Expect(0, 1, '\P{^-	IN Low	surrogates}', "");
Error('\p{ In/a/Phags	PA}');
Error('\P{ In/a/Phags	PA}');
Expect(1, 43135, '\p{inphagspa}', "");
Expect(0, 43135, '\p{^inphagspa}', "");
Expect(0, 43135, '\P{inphagspa}', "");
Expect(1, 43135, '\P{^inphagspa}', "");
Expect(0, 43071, '\p{inphagspa}', "");
Expect(1, 43071, '\p{^inphagspa}', "");
Expect(1, 43071, '\P{inphagspa}', "");
Expect(0, 43071, '\P{^inphagspa}', "");
Expect(1, 43135, '\p{ _In	Phags-pa}', "");
Expect(0, 43135, '\p{^ _In	Phags-pa}', "");
Expect(0, 43135, '\P{ _In	Phags-pa}', "");
Expect(1, 43135, '\P{^ _In	Phags-pa}', "");
Expect(0, 43071, '\p{ _In	Phags-pa}', "");
Expect(1, 43071, '\p{^ _In	Phags-pa}', "");
Expect(1, 43071, '\P{ _In	Phags-pa}', "");
Expect(0, 43071, '\P{^ _In	Phags-pa}', "");
Error('\p{-/a/IMPERIALAramaic}');
Error('\P{-/a/IMPERIALAramaic}');
Expect(1, 67669, '\p{imperialaramaic}', "");
Expect(0, 67669, '\p{^imperialaramaic}', "");
Expect(0, 67669, '\P{imperialaramaic}', "");
Expect(1, 67669, '\P{^imperialaramaic}', "");
Expect(0, 67647, '\p{imperialaramaic}', "");
Expect(1, 67647, '\p{^imperialaramaic}', "");
Expect(1, 67647, '\P{imperialaramaic}', "");
Expect(0, 67647, '\P{^imperialaramaic}', "");
Expect(1, 67669, '\p{  Imperial-ARAMAIC}', "");
Expect(0, 67669, '\p{^  Imperial-ARAMAIC}', "");
Expect(0, 67669, '\P{  Imperial-ARAMAIC}', "");
Expect(1, 67669, '\P{^  Imperial-ARAMAIC}', "");
Expect(0, 67647, '\p{  Imperial-ARAMAIC}', "");
Expect(1, 67647, '\p{^  Imperial-ARAMAIC}', "");
Expect(1, 67647, '\P{  Imperial-ARAMAIC}', "");
Expect(0, 67647, '\P{^  Imperial-ARAMAIC}', "");
Error('\p{/a/_isIMPERIALAramaic}');
Error('\P{/a/_isIMPERIALAramaic}');
Expect(1, 67669, '\p{isimperialaramaic}', "");
Expect(0, 67669, '\p{^isimperialaramaic}', "");
Expect(0, 67669, '\P{isimperialaramaic}', "");
Expect(1, 67669, '\P{^isimperialaramaic}', "");
Expect(0, 67647, '\p{isimperialaramaic}', "");
Expect(1, 67647, '\p{^isimperialaramaic}', "");
Expect(1, 67647, '\P{isimperialaramaic}', "");
Expect(0, 67647, '\P{^isimperialaramaic}', "");
Expect(1, 67669, '\p{-is_IMPERIAL-Aramaic}', "");
Expect(0, 67669, '\p{^-is_IMPERIAL-Aramaic}', "");
Expect(0, 67669, '\P{-is_IMPERIAL-Aramaic}', "");
Expect(1, 67669, '\P{^-is_IMPERIAL-Aramaic}', "");
Expect(0, 67647, '\p{-is_IMPERIAL-Aramaic}', "");
Expect(1, 67647, '\p{^-is_IMPERIAL-Aramaic}', "");
Expect(1, 67647, '\P{-is_IMPERIAL-Aramaic}', "");
Expect(0, 67647, '\P{^-is_IMPERIAL-Aramaic}', "");
Error('\p{_armi:=}');
Error('\P{_armi:=}');
Expect(1, 67669, '\p{armi}', "");
Expect(0, 67669, '\p{^armi}', "");
Expect(0, 67669, '\P{armi}', "");
Expect(1, 67669, '\P{^armi}', "");
Expect(0, 67647, '\p{armi}', "");
Expect(1, 67647, '\p{^armi}', "");
Expect(1, 67647, '\P{armi}', "");
Expect(0, 67647, '\P{^armi}', "");
Expect(1, 67669, '\p{__Armi}', "");
Expect(0, 67669, '\p{^__Armi}', "");
Expect(0, 67669, '\P{__Armi}', "");
Expect(1, 67669, '\P{^__Armi}', "");
Expect(0, 67647, '\p{__Armi}', "");
Expect(1, 67647, '\p{^__Armi}', "");
Expect(1, 67647, '\P{__Armi}', "");
Expect(0, 67647, '\P{^__Armi}', "");
Error('\p{ :=ISArmi}');
Error('\P{ :=ISArmi}');
Expect(1, 67669, '\p{isarmi}', "");
Expect(0, 67669, '\p{^isarmi}', "");
Expect(0, 67669, '\P{isarmi}', "");
Expect(1, 67669, '\P{^isarmi}', "");
Expect(0, 67647, '\p{isarmi}', "");
Expect(1, 67647, '\p{^isarmi}', "");
Expect(1, 67647, '\P{isarmi}', "");
Expect(0, 67647, '\P{^isarmi}', "");
Expect(1, 67669, '\p{	-is ARMI}', "");
Expect(0, 67669, '\p{^	-is ARMI}', "");
Expect(0, 67669, '\P{	-is ARMI}', "");
Expect(1, 67669, '\P{^	-is ARMI}', "");
Expect(0, 67647, '\p{	-is ARMI}', "");
Expect(1, 67647, '\p{^	-is ARMI}', "");
Expect(1, 67647, '\P{	-is ARMI}', "");
Expect(0, 67647, '\P{^	-is ARMI}', "");
Error('\p{ :=PerlSpace}');
Error('\P{ :=PerlSpace}');
Expect(1, 10, '\p{perlspace}', "");
Expect(0, 10, '\p{^perlspace}', "");
Expect(0, 10, '\P{perlspace}', "");
Expect(1, 10, '\P{^perlspace}', "");
Expect(0, 8, '\p{perlspace}', "");
Expect(1, 8, '\p{^perlspace}', "");
Expect(1, 8, '\P{perlspace}', "");
Expect(0, 8, '\P{^perlspace}', "");
Expect(1, 10, '\p{_PerlSpace}', "");
Expect(0, 10, '\p{^_PerlSpace}', "");
Expect(0, 10, '\P{_PerlSpace}', "");
Expect(1, 10, '\P{^_PerlSpace}', "");
Expect(0, 8, '\p{_PerlSpace}', "");
Expect(1, 8, '\p{^_PerlSpace}', "");
Expect(1, 8, '\P{_PerlSpace}', "");
Expect(0, 8, '\P{^_PerlSpace}', "");
Error('\p{:=	IS_PerlSpace}');
Error('\P{:=	IS_PerlSpace}');
Expect(1, 10, '\p{isperlspace}', "");
Expect(0, 10, '\p{^isperlspace}', "");
Expect(0, 10, '\P{isperlspace}', "");
Expect(1, 10, '\P{^isperlspace}', "");
Expect(0, 8, '\p{isperlspace}', "");
Expect(1, 8, '\p{^isperlspace}', "");
Expect(1, 8, '\P{isperlspace}', "");
Expect(0, 8, '\P{^isperlspace}', "");
Expect(1, 10, '\p{_	Isperlspace}', "");
Expect(0, 10, '\p{^_	Isperlspace}', "");
Expect(0, 10, '\P{_	Isperlspace}', "");
Expect(1, 10, '\P{^_	Isperlspace}', "");
Expect(0, 8, '\p{_	Isperlspace}', "");
Expect(1, 8, '\p{^_	Isperlspace}', "");
Expect(1, 8, '\P{_	Isperlspace}', "");
Expect(0, 8, '\P{^_	Isperlspace}', "");
Error('\p{-_ids/a/binaryOPERATOR}');
Error('\P{-_ids/a/binaryOPERATOR}');
Expect(1, 12273, '\p{idsbinaryoperator}', "");
Expect(0, 12273, '\p{^idsbinaryoperator}', "");
Expect(0, 12273, '\P{idsbinaryoperator}', "");
Expect(1, 12273, '\P{^idsbinaryoperator}', "");
Expect(0, 12271, '\p{idsbinaryoperator}', "");
Expect(1, 12271, '\p{^idsbinaryoperator}', "");
Expect(1, 12271, '\P{idsbinaryoperator}', "");
Expect(0, 12271, '\P{^idsbinaryoperator}', "");
Expect(1, 12273, '\p{-IDS_BINARY Operator}', "");
Expect(0, 12273, '\p{^-IDS_BINARY Operator}', "");
Expect(0, 12273, '\P{-IDS_BINARY Operator}', "");
Expect(1, 12273, '\P{^-IDS_BINARY Operator}', "");
Expect(0, 12271, '\p{-IDS_BINARY Operator}', "");
Expect(1, 12271, '\p{^-IDS_BINARY Operator}', "");
Expect(1, 12271, '\P{-IDS_BINARY Operator}', "");
Expect(0, 12271, '\P{^-IDS_BINARY Operator}', "");
Error('\p{/a/	 is IDS	binary	operator}');
Error('\P{/a/	 is IDS	binary	operator}');
Expect(1, 12273, '\p{isidsbinaryoperator}', "");
Expect(0, 12273, '\p{^isidsbinaryoperator}', "");
Expect(0, 12273, '\P{isidsbinaryoperator}', "");
Expect(1, 12273, '\P{^isidsbinaryoperator}', "");
Expect(0, 12271, '\p{isidsbinaryoperator}', "");
Expect(1, 12271, '\p{^isidsbinaryoperator}', "");
Expect(1, 12271, '\P{isidsbinaryoperator}', "");
Expect(0, 12271, '\P{^isidsbinaryoperator}', "");
Expect(1, 12273, '\p{ Is	IDS binary operator}', "");
Expect(0, 12273, '\p{^ Is	IDS binary operator}', "");
Expect(0, 12273, '\P{ Is	IDS binary operator}', "");
Expect(1, 12273, '\P{^ Is	IDS binary operator}', "");
Expect(0, 12271, '\p{ Is	IDS binary operator}', "");
Expect(1, 12271, '\p{^ Is	IDS binary operator}', "");
Expect(1, 12271, '\P{ Is	IDS binary operator}', "");
Expect(0, 12271, '\P{^ Is	IDS binary operator}', "");
Error('\p{:=idsb}');
Error('\P{:=idsb}');
Expect(1, 12273, '\p{idsb}', "");
Expect(0, 12273, '\p{^idsb}', "");
Expect(0, 12273, '\P{idsb}', "");
Expect(1, 12273, '\P{^idsb}', "");
Expect(0, 12271, '\p{idsb}', "");
Expect(1, 12271, '\p{^idsb}', "");
Expect(1, 12271, '\P{idsb}', "");
Expect(0, 12271, '\P{^idsb}', "");
Expect(1, 12273, '\p{- idsb}', "");
Expect(0, 12273, '\p{^- idsb}', "");
Expect(0, 12273, '\P{- idsb}', "");
Expect(1, 12273, '\P{^- idsb}', "");
Expect(0, 12271, '\p{- idsb}', "");
Expect(1, 12271, '\p{^- idsb}', "");
Expect(1, 12271, '\P{- idsb}', "");
Expect(0, 12271, '\P{^- idsb}', "");
Error('\p{/a/_Is_IDSB}');
Error('\P{/a/_Is_IDSB}');
Expect(1, 12273, '\p{isidsb}', "");
Expect(0, 12273, '\p{^isidsb}', "");
Expect(0, 12273, '\P{isidsb}', "");
Expect(1, 12273, '\P{^isidsb}', "");
Expect(0, 12271, '\p{isidsb}', "");
Expect(1, 12271, '\p{^isidsb}', "");
Expect(1, 12271, '\P{isidsb}', "");
Expect(0, 12271, '\P{^isidsb}', "");
Expect(1, 12273, '\p{- IS IDSB}', "");
Expect(0, 12273, '\p{^- IS IDSB}', "");
Expect(0, 12273, '\P{- IS IDSB}', "");
Expect(1, 12273, '\P{^- IS IDSB}', "");
Expect(0, 12271, '\p{- IS IDSB}', "");
Expect(1, 12271, '\p{^- IS IDSB}', "");
Expect(1, 12271, '\P{- IS IDSB}', "");
Expect(0, 12271, '\P{^- IS IDSB}', "");
Error('\p{/a/ _Cntrl}');
Error('\P{/a/ _Cntrl}');
Expect(1, 31, '\p{cntrl}', "");
Expect(0, 31, '\p{^cntrl}', "");
Expect(0, 31, '\P{cntrl}', "");
Expect(1, 31, '\P{^cntrl}', "");
Expect(0, 126, '\p{cntrl}', "");
Expect(1, 126, '\p{^cntrl}', "");
Expect(1, 126, '\P{cntrl}', "");
Expect(0, 126, '\P{^cntrl}', "");
Expect(1, 31, '\p{		Cntrl}', "");
Expect(0, 31, '\p{^		Cntrl}', "");
Expect(0, 31, '\P{		Cntrl}', "");
Expect(1, 31, '\P{^		Cntrl}', "");
Expect(0, 126, '\p{		Cntrl}', "");
Expect(1, 126, '\p{^		Cntrl}', "");
Expect(1, 126, '\P{		Cntrl}', "");
Expect(0, 126, '\P{^		Cntrl}', "");
Error('\p{-	Is-Cntrl:=}');
Error('\P{-	Is-Cntrl:=}');
Expect(1, 31, '\p{iscntrl}', "");
Expect(0, 31, '\p{^iscntrl}', "");
Expect(0, 31, '\P{iscntrl}', "");
Expect(1, 31, '\P{^iscntrl}', "");
Expect(0, 126, '\p{iscntrl}', "");
Expect(1, 126, '\p{^iscntrl}', "");
Expect(1, 126, '\P{iscntrl}', "");
Expect(0, 126, '\P{^iscntrl}', "");
Expect(1, 31, '\p{	_IS cntrl}', "");
Expect(0, 31, '\p{^	_IS cntrl}', "");
Expect(0, 31, '\P{	_IS cntrl}', "");
Expect(1, 31, '\P{^	_IS cntrl}', "");
Expect(0, 126, '\p{	_IS cntrl}', "");
Expect(1, 126, '\p{^	_IS cntrl}', "");
Expect(1, 126, '\P{	_IS cntrl}', "");
Expect(0, 126, '\P{^	_IS cntrl}', "");
Error('\p{_/a/Control}');
Error('\P{_/a/Control}');
Expect(1, 31, '\p{control}', "");
Expect(0, 31, '\p{^control}', "");
Expect(0, 31, '\P{control}', "");
Expect(1, 31, '\P{^control}', "");
Expect(0, 126, '\p{control}', "");
Expect(1, 126, '\p{^control}', "");
Expect(1, 126, '\P{control}', "");
Expect(0, 126, '\P{^control}', "");
Expect(1, 31, '\p{-_Control}', "");
Expect(0, 31, '\p{^-_Control}', "");
Expect(0, 31, '\P{-_Control}', "");
Expect(1, 31, '\P{^-_Control}', "");
Expect(0, 126, '\p{-_Control}', "");
Expect(1, 126, '\p{^-_Control}', "");
Expect(1, 126, '\P{-_Control}', "");
Expect(0, 126, '\P{^-_Control}', "");
Error('\p{ 	Is/a/Control}');
Error('\P{ 	Is/a/Control}');
Expect(1, 31, '\p{iscontrol}', "");
Expect(0, 31, '\p{^iscontrol}', "");
Expect(0, 31, '\P{iscontrol}', "");
Expect(1, 31, '\P{^iscontrol}', "");
Expect(0, 126, '\p{iscontrol}', "");
Expect(1, 126, '\p{^iscontrol}', "");
Expect(1, 126, '\P{iscontrol}', "");
Expect(0, 126, '\P{^iscontrol}', "");
Expect(1, 31, '\p{-IS-control}', "");
Expect(0, 31, '\p{^-IS-control}', "");
Expect(0, 31, '\P{-IS-control}', "");
Expect(1, 31, '\P{^-IS-control}', "");
Expect(0, 126, '\p{-IS-control}', "");
Expect(1, 126, '\p{^-IS-control}', "");
Expect(1, 126, '\P{-IS-control}', "");
Expect(0, 126, '\P{^-IS-control}', "");
Error('\p{_	CC/a/}');
Error('\P{_	CC/a/}');
Expect(1, 31, '\p{cc}', "");
Expect(0, 31, '\p{^cc}', "");
Expect(0, 31, '\P{cc}', "");
Expect(1, 31, '\P{^cc}', "");
Expect(0, 126, '\p{cc}', "");
Expect(1, 126, '\p{^cc}', "");
Expect(1, 126, '\P{cc}', "");
Expect(0, 126, '\P{^cc}', "");
Expect(1, 31, '\p{_	Cc}', "");
Expect(0, 31, '\p{^_	Cc}', "");
Expect(0, 31, '\P{_	Cc}', "");
Expect(1, 31, '\P{^_	Cc}', "");
Expect(0, 126, '\p{_	Cc}', "");
Expect(1, 126, '\p{^_	Cc}', "");
Expect(1, 126, '\P{_	Cc}', "");
Expect(0, 126, '\P{^_	Cc}', "");
Error('\p{:=-	Is	Cc}');
Error('\P{:=-	Is	Cc}');
Expect(1, 31, '\p{iscc}', "");
Expect(0, 31, '\p{^iscc}', "");
Expect(0, 31, '\P{iscc}', "");
Expect(1, 31, '\P{^iscc}', "");
Expect(0, 126, '\p{iscc}', "");
Expect(1, 126, '\p{^iscc}', "");
Expect(1, 126, '\P{iscc}', "");
Expect(0, 126, '\P{^iscc}', "");
Expect(1, 31, '\p{ Is-Cc}', "");
Expect(0, 31, '\p{^ Is-Cc}', "");
Expect(0, 31, '\P{ Is-Cc}', "");
Expect(1, 31, '\P{^ Is-Cc}', "");
Expect(0, 126, '\p{ Is-Cc}', "");
Expect(1, 126, '\p{^ Is-Cc}', "");
Expect(1, 126, '\P{ Is-Cc}', "");
Expect(0, 126, '\P{^ Is-Cc}', "");
Error('\p{ -CHANGES_WhenTITLECASED/a/}');
Error('\P{ -CHANGES_WhenTITLECASED/a/}');
Expect(1, 122, '\p{changeswhentitlecased}', "");
Expect(0, 122, '\p{^changeswhentitlecased}', "");
Expect(0, 122, '\P{changeswhentitlecased}', "");
Expect(1, 122, '\P{^changeswhentitlecased}', "");
Expect(0, 96, '\p{changeswhentitlecased}', "");
Expect(1, 96, '\p{^changeswhentitlecased}', "");
Expect(1, 96, '\P{changeswhentitlecased}', "");
Expect(0, 96, '\P{^changeswhentitlecased}', "");
Expect(1, 122, '\p{-Changes When_Titlecased}', "");
Expect(0, 122, '\p{^-Changes When_Titlecased}', "");
Expect(0, 122, '\P{-Changes When_Titlecased}', "");
Expect(1, 122, '\P{^-Changes When_Titlecased}', "");
Expect(0, 96, '\p{-Changes When_Titlecased}', "");
Expect(1, 96, '\p{^-Changes When_Titlecased}', "");
Expect(1, 96, '\P{-Changes When_Titlecased}', "");
Expect(0, 96, '\P{^-Changes When_Titlecased}', "");
Error('\p{ -Is	ChangesWhen:=TITLECASED}');
Error('\P{ -Is	ChangesWhen:=TITLECASED}');
Expect(1, 122, '\p{ischangeswhentitlecased}', "");
Expect(0, 122, '\p{^ischangeswhentitlecased}', "");
Expect(0, 122, '\P{ischangeswhentitlecased}', "");
Expect(1, 122, '\P{^ischangeswhentitlecased}', "");
Expect(0, 96, '\p{ischangeswhentitlecased}', "");
Expect(1, 96, '\p{^ischangeswhentitlecased}', "");
Expect(1, 96, '\P{ischangeswhentitlecased}', "");
Expect(0, 96, '\P{^ischangeswhentitlecased}', "");
Expect(1, 122, '\p{	Is_CHANGES Whentitlecased}', "");
Expect(0, 122, '\p{^	Is_CHANGES Whentitlecased}', "");
Expect(0, 122, '\P{	Is_CHANGES Whentitlecased}', "");
Expect(1, 122, '\P{^	Is_CHANGES Whentitlecased}', "");
Expect(0, 96, '\p{	Is_CHANGES Whentitlecased}', "");
Expect(1, 96, '\p{^	Is_CHANGES Whentitlecased}', "");
Expect(1, 96, '\P{	Is_CHANGES Whentitlecased}', "");
Expect(0, 96, '\P{^	Is_CHANGES Whentitlecased}', "");
Error('\p{:=_CWT}');
Error('\P{:=_CWT}');
Expect(1, 122, '\p{cwt}', "");
Expect(0, 122, '\p{^cwt}', "");
Expect(0, 122, '\P{cwt}', "");
Expect(1, 122, '\P{^cwt}', "");
Expect(0, 96, '\p{cwt}', "");
Expect(1, 96, '\p{^cwt}', "");
Expect(1, 96, '\P{cwt}', "");
Expect(0, 96, '\P{^cwt}', "");
Expect(1, 122, '\p{ CWT}', "");
Expect(0, 122, '\p{^ CWT}', "");
Expect(0, 122, '\P{ CWT}', "");
Expect(1, 122, '\P{^ CWT}', "");
Expect(0, 96, '\p{ CWT}', "");
Expect(1, 96, '\p{^ CWT}', "");
Expect(1, 96, '\P{ CWT}', "");
Expect(0, 96, '\P{^ CWT}', "");
Error('\p{	-IS_cwt:=}');
Error('\P{	-IS_cwt:=}');
Expect(1, 122, '\p{iscwt}', "");
Expect(0, 122, '\p{^iscwt}', "");
Expect(0, 122, '\P{iscwt}', "");
Expect(1, 122, '\P{^iscwt}', "");
Expect(0, 96, '\p{iscwt}', "");
Expect(1, 96, '\p{^iscwt}', "");
Expect(1, 96, '\P{iscwt}', "");
Expect(0, 96, '\P{^iscwt}', "");
Expect(1, 122, '\p{	 Is-CWT}', "");
Expect(0, 122, '\p{^	 Is-CWT}', "");
Expect(0, 122, '\P{	 Is-CWT}', "");
Expect(1, 122, '\P{^	 Is-CWT}', "");
Expect(0, 96, '\p{	 Is-CWT}', "");
Expect(1, 96, '\p{^	 Is-CWT}', "");
Expect(1, 96, '\P{	 Is-CWT}', "");
Expect(0, 96, '\P{^	 Is-CWT}', "");
Error('\p{-/a/Cyrillic_Extended	a}');
Error('\P{-/a/Cyrillic_Extended	a}');
Expect(1, 11775, '\p{cyrillicextendeda}', "");
Expect(0, 11775, '\p{^cyrillicextendeda}', "");
Expect(0, 11775, '\P{cyrillicextendeda}', "");
Expect(1, 11775, '\P{^cyrillicextendeda}', "");
Expect(0, 11743, '\p{cyrillicextendeda}', "");
Expect(1, 11743, '\p{^cyrillicextendeda}', "");
Expect(1, 11743, '\P{cyrillicextendeda}', "");
Expect(0, 11743, '\P{^cyrillicextendeda}', "");
Expect(1, 11775, '\p{	_CyrillicEXTENDED_A}', "");
Expect(0, 11775, '\p{^	_CyrillicEXTENDED_A}', "");
Expect(0, 11775, '\P{	_CyrillicEXTENDED_A}', "");
Expect(1, 11775, '\P{^	_CyrillicEXTENDED_A}', "");
Expect(0, 11743, '\p{	_CyrillicEXTENDED_A}', "");
Expect(1, 11743, '\p{^	_CyrillicEXTENDED_A}', "");
Expect(1, 11743, '\P{	_CyrillicEXTENDED_A}', "");
Expect(0, 11743, '\P{^	_CyrillicEXTENDED_A}', "");
Error('\p{/a/Is Cyrillic-EXTENDED_A}');
Error('\P{/a/Is Cyrillic-EXTENDED_A}');
Expect(1, 11775, '\p{iscyrillicextendeda}', "");
Expect(0, 11775, '\p{^iscyrillicextendeda}', "");
Expect(0, 11775, '\P{iscyrillicextendeda}', "");
Expect(1, 11775, '\P{^iscyrillicextendeda}', "");
Expect(0, 11743, '\p{iscyrillicextendeda}', "");
Expect(1, 11743, '\p{^iscyrillicextendeda}', "");
Expect(1, 11743, '\P{iscyrillicextendeda}', "");
Expect(0, 11743, '\P{^iscyrillicextendeda}', "");
Expect(1, 11775, '\p{ _is	CYRILLIC_extended-a}', "");
Expect(0, 11775, '\p{^ _is	CYRILLIC_extended-a}', "");
Expect(0, 11775, '\P{ _is	CYRILLIC_extended-a}', "");
Expect(1, 11775, '\P{^ _is	CYRILLIC_extended-a}', "");
Expect(0, 11743, '\p{ _is	CYRILLIC_extended-a}', "");
Expect(1, 11743, '\p{^ _is	CYRILLIC_extended-a}', "");
Expect(1, 11743, '\P{ _is	CYRILLIC_extended-a}', "");
Expect(0, 11743, '\P{^ _is	CYRILLIC_extended-a}', "");
Error('\p{_/a/IN-Cyrillicextended-A}');
Error('\P{_/a/IN-Cyrillicextended-A}');
Expect(1, 11775, '\p{incyrillicextendeda}', "");
Expect(0, 11775, '\p{^incyrillicextendeda}', "");
Expect(0, 11775, '\P{incyrillicextendeda}', "");
Expect(1, 11775, '\P{^incyrillicextendeda}', "");
Expect(0, 11743, '\p{incyrillicextendeda}', "");
Expect(1, 11743, '\p{^incyrillicextendeda}', "");
Expect(1, 11743, '\P{incyrillicextendeda}', "");
Expect(0, 11743, '\P{^incyrillicextendeda}', "");
Expect(1, 11775, '\p{in-CYRILLIC-extended-A}', "");
Expect(0, 11775, '\p{^in-CYRILLIC-extended-A}', "");
Expect(0, 11775, '\P{in-CYRILLIC-extended-A}', "");
Expect(1, 11775, '\P{^in-CYRILLIC-extended-A}', "");
Expect(0, 11743, '\p{in-CYRILLIC-extended-A}', "");
Expect(1, 11743, '\p{^in-CYRILLIC-extended-A}', "");
Expect(1, 11743, '\P{in-CYRILLIC-extended-A}', "");
Expect(0, 11743, '\P{^in-CYRILLIC-extended-A}', "");
Error('\p{:=-	PosixLower}');
Error('\P{:=-	PosixLower}');
Expect(1, 122, '\p{posixlower}', "");
Expect(0, 122, '\p{^posixlower}', "");
Expect(0, 122, '\P{posixlower}', "");
Expect(1, 122, '\P{^posixlower}', "");
Expect(0, 96, '\p{posixlower}', "");
Expect(1, 96, '\p{^posixlower}', "");
Expect(1, 96, '\P{posixlower}', "");
Expect(0, 96, '\P{^posixlower}', "");
Expect(1, 122, '\p{_-posixlower}', "");
Expect(0, 122, '\p{^_-posixlower}', "");
Expect(0, 122, '\P{_-posixlower}', "");
Expect(1, 122, '\P{^_-posixlower}', "");
Expect(0, 96, '\p{_-posixlower}', "");
Expect(1, 96, '\p{^_-posixlower}', "");
Expect(1, 96, '\P{_-posixlower}', "");
Expect(0, 96, '\P{^_-posixlower}', "");
Error('\p{/a/ -is POSIXLOWER}');
Error('\P{/a/ -is POSIXLOWER}');
Expect(1, 122, '\p{isposixlower}', "");
Expect(0, 122, '\p{^isposixlower}', "");
Expect(0, 122, '\P{isposixlower}', "");
Expect(1, 122, '\P{^isposixlower}', "");
Expect(0, 96, '\p{isposixlower}', "");
Expect(1, 96, '\p{^isposixlower}', "");
Expect(1, 96, '\P{isposixlower}', "");
Expect(0, 96, '\P{^isposixlower}', "");
Expect(1, 122, '\p{-IsPosixLower}', "");
Expect(0, 122, '\p{^-IsPosixLower}', "");
Expect(0, 122, '\P{-IsPosixLower}', "");
Expect(1, 122, '\P{^-IsPosixLower}', "");
Expect(0, 96, '\p{-IsPosixLower}', "");
Expect(1, 96, '\p{^-IsPosixLower}', "");
Expect(1, 96, '\P{-IsPosixLower}', "");
Expect(0, 96, '\P{^-IsPosixLower}', "");
Error('\p{- OTHER-Grapheme/a/EXTEND}');
Error('\P{- OTHER-Grapheme/a/EXTEND}');
Expect(1, 2494, '\p{othergraphemeextend}', 'deprecated');
Expect(0, 2494, '\p{^othergraphemeextend}', 'deprecated');
Expect(0, 2494, '\P{othergraphemeextend}', 'deprecated');
Expect(1, 2494, '\P{^othergraphemeextend}', 'deprecated');
Expect(0, 2493, '\p{othergraphemeextend}', 'deprecated');
Expect(1, 2493, '\p{^othergraphemeextend}', 'deprecated');
Expect(1, 2493, '\P{othergraphemeextend}', 'deprecated');
Expect(0, 2493, '\P{^othergraphemeextend}', 'deprecated');
Expect(1, 2494, '\p{	_Other-Grapheme EXTEND}', 'deprecated');
Expect(0, 2494, '\p{^	_Other-Grapheme EXTEND}', 'deprecated');
Expect(0, 2494, '\P{	_Other-Grapheme EXTEND}', 'deprecated');
Expect(1, 2494, '\P{^	_Other-Grapheme EXTEND}', 'deprecated');
Expect(0, 2493, '\p{	_Other-Grapheme EXTEND}', 'deprecated');
Expect(1, 2493, '\p{^	_Other-Grapheme EXTEND}', 'deprecated');
Expect(1, 2493, '\P{	_Other-Grapheme EXTEND}', 'deprecated');
Expect(0, 2493, '\P{^	_Other-Grapheme EXTEND}', 'deprecated');
Error('\p{-Is:=OTHER GRAPHEME_EXTEND}');
Error('\P{-Is:=OTHER GRAPHEME_EXTEND}');
Expect(1, 2494, '\p{isothergraphemeextend}', 'deprecated');
Expect(0, 2494, '\p{^isothergraphemeextend}', 'deprecated');
Expect(0, 2494, '\P{isothergraphemeextend}', 'deprecated');
Expect(1, 2494, '\P{^isothergraphemeextend}', 'deprecated');
Expect(0, 2493, '\p{isothergraphemeextend}', 'deprecated');
Expect(1, 2493, '\p{^isothergraphemeextend}', 'deprecated');
Expect(1, 2493, '\P{isothergraphemeextend}', 'deprecated');
Expect(0, 2493, '\P{^isothergraphemeextend}', 'deprecated');
Expect(1, 2494, '\p{- is OtherGRAPHEME	extend}', 'deprecated');
Expect(0, 2494, '\p{^- is OtherGRAPHEME	extend}', 'deprecated');
Expect(0, 2494, '\P{- is OtherGRAPHEME	extend}', 'deprecated');
Expect(1, 2494, '\P{^- is OtherGRAPHEME	extend}', 'deprecated');
Expect(0, 2493, '\p{- is OtherGRAPHEME	extend}', 'deprecated');
Expect(1, 2493, '\p{^- is OtherGRAPHEME	extend}', 'deprecated');
Expect(1, 2493, '\P{- is OtherGRAPHEME	extend}', 'deprecated');
Expect(0, 2493, '\P{^- is OtherGRAPHEME	extend}', 'deprecated');
Error('\p{_-ogr	ext/a/}');
Error('\P{_-ogr	ext/a/}');
Expect(1, 2494, '\p{ogrext}', 'deprecated');
Expect(0, 2494, '\p{^ogrext}', 'deprecated');
Expect(0, 2494, '\P{ogrext}', 'deprecated');
Expect(1, 2494, '\P{^ogrext}', 'deprecated');
Expect(0, 2493, '\p{ogrext}', 'deprecated');
Expect(1, 2493, '\p{^ogrext}', 'deprecated');
Expect(1, 2493, '\P{ogrext}', 'deprecated');
Expect(0, 2493, '\P{^ogrext}', 'deprecated');
Expect(1, 2494, '\p{_-OGr Ext}', 'deprecated');
Expect(0, 2494, '\p{^_-OGr Ext}', 'deprecated');
Expect(0, 2494, '\P{_-OGr Ext}', 'deprecated');
Expect(1, 2494, '\P{^_-OGr Ext}', 'deprecated');
Expect(0, 2493, '\p{_-OGr Ext}', 'deprecated');
Expect(1, 2493, '\p{^_-OGr Ext}', 'deprecated');
Expect(1, 2493, '\P{_-OGr Ext}', 'deprecated');
Expect(0, 2493, '\P{^_-OGr Ext}', 'deprecated');
Error('\p{ Is_ogr/a/ext}');
Error('\P{ Is_ogr/a/ext}');
Expect(1, 2494, '\p{isogrext}', 'deprecated');
Expect(0, 2494, '\p{^isogrext}', 'deprecated');
Expect(0, 2494, '\P{isogrext}', 'deprecated');
Expect(1, 2494, '\P{^isogrext}', 'deprecated');
Expect(0, 2493, '\p{isogrext}', 'deprecated');
Expect(1, 2493, '\p{^isogrext}', 'deprecated');
Expect(1, 2493, '\P{isogrext}', 'deprecated');
Expect(0, 2493, '\P{^isogrext}', 'deprecated');
Expect(1, 2494, '\p{-	Is	ogr Ext}', 'deprecated');
Expect(0, 2494, '\p{^-	Is	ogr Ext}', 'deprecated');
Expect(0, 2494, '\P{-	Is	ogr Ext}', 'deprecated');
Expect(1, 2494, '\P{^-	Is	ogr Ext}', 'deprecated');
Expect(0, 2493, '\p{-	Is	ogr Ext}', 'deprecated');
Expect(1, 2493, '\p{^-	Is	ogr Ext}', 'deprecated');
Expect(1, 2493, '\P{-	Is	ogr Ext}', 'deprecated');
Expect(0, 2493, '\P{^-	Is	ogr Ext}', 'deprecated');
Error('\p{:= old_PERSIAN}');
Error('\P{:= old_PERSIAN}');
Expect(1, 66499, '\p{oldpersian}', "");
Expect(0, 66499, '\p{^oldpersian}', "");
Expect(0, 66499, '\P{oldpersian}', "");
Expect(1, 66499, '\P{^oldpersian}', "");
Expect(0, 66463, '\p{oldpersian}', "");
Expect(1, 66463, '\p{^oldpersian}', "");
Expect(1, 66463, '\P{oldpersian}', "");
Expect(0, 66463, '\P{^oldpersian}', "");
Expect(1, 66499, '\p{-Old	persian}', "");
Expect(0, 66499, '\p{^-Old	persian}', "");
Expect(0, 66499, '\P{-Old	persian}', "");
Expect(1, 66499, '\P{^-Old	persian}', "");
Expect(0, 66463, '\p{-Old	persian}', "");
Expect(1, 66463, '\p{^-Old	persian}', "");
Expect(1, 66463, '\P{-Old	persian}', "");
Expect(0, 66463, '\P{^-Old	persian}', "");
Error('\p{ :=Is-old_Persian}');
Error('\P{ :=Is-old_Persian}');
Expect(1, 66499, '\p{isoldpersian}', "");
Expect(0, 66499, '\p{^isoldpersian}', "");
Expect(0, 66499, '\P{isoldpersian}', "");
Expect(1, 66499, '\P{^isoldpersian}', "");
Expect(0, 66463, '\p{isoldpersian}', "");
Expect(1, 66463, '\p{^isoldpersian}', "");
Expect(1, 66463, '\P{isoldpersian}', "");
Expect(0, 66463, '\P{^isoldpersian}', "");
Expect(1, 66499, '\p{-_Isold_persian}', "");
Expect(0, 66499, '\p{^-_Isold_persian}', "");
Expect(0, 66499, '\P{-_Isold_persian}', "");
Expect(1, 66499, '\P{^-_Isold_persian}', "");
Expect(0, 66463, '\p{-_Isold_persian}', "");
Expect(1, 66463, '\p{^-_Isold_persian}', "");
Expect(1, 66463, '\P{-_Isold_persian}', "");
Expect(0, 66463, '\P{^-_Isold_persian}', "");
Error('\p{:=_Xpeo}');
Error('\P{:=_Xpeo}');
Expect(1, 66499, '\p{xpeo}', "");
Expect(0, 66499, '\p{^xpeo}', "");
Expect(0, 66499, '\P{xpeo}', "");
Expect(1, 66499, '\P{^xpeo}', "");
Expect(0, 66463, '\p{xpeo}', "");
Expect(1, 66463, '\p{^xpeo}', "");
Expect(1, 66463, '\P{xpeo}', "");
Expect(0, 66463, '\P{^xpeo}', "");
Expect(1, 66499, '\p{ -Xpeo}', "");
Expect(0, 66499, '\p{^ -Xpeo}', "");
Expect(0, 66499, '\P{ -Xpeo}', "");
Expect(1, 66499, '\P{^ -Xpeo}', "");
Expect(0, 66463, '\p{ -Xpeo}', "");
Expect(1, 66463, '\p{^ -Xpeo}', "");
Expect(1, 66463, '\P{ -Xpeo}', "");
Expect(0, 66463, '\P{^ -Xpeo}', "");
Error('\p{/a/ IsXpeo}');
Error('\P{/a/ IsXpeo}');
Expect(1, 66499, '\p{isxpeo}', "");
Expect(0, 66499, '\p{^isxpeo}', "");
Expect(0, 66499, '\P{isxpeo}', "");
Expect(1, 66499, '\P{^isxpeo}', "");
Expect(0, 66463, '\p{isxpeo}', "");
Expect(1, 66463, '\p{^isxpeo}', "");
Expect(1, 66463, '\P{isxpeo}', "");
Expect(0, 66463, '\P{^isxpeo}', "");
Expect(1, 66499, '\p{ Is	XPEO}', "");
Expect(0, 66499, '\p{^ Is	XPEO}', "");
Expect(0, 66499, '\P{ Is	XPEO}', "");
Expect(1, 66499, '\P{^ Is	XPEO}', "");
Expect(0, 66463, '\p{ Is	XPEO}', "");
Expect(1, 66463, '\p{^ Is	XPEO}', "");
Expect(1, 66463, '\P{ Is	XPEO}', "");
Expect(0, 66463, '\P{^ Is	XPEO}', "");
Error('\p{	New tai/a/LUE}');
Error('\P{	New tai/a/LUE}');
Expect(1, 6571, '\p{newtailue}', "");
Expect(0, 6571, '\p{^newtailue}', "");
Expect(0, 6571, '\P{newtailue}', "");
Expect(1, 6571, '\P{^newtailue}', "");
Expect(0, 6527, '\p{newtailue}', "");
Expect(1, 6527, '\p{^newtailue}', "");
Expect(1, 6527, '\P{newtailue}', "");
Expect(0, 6527, '\P{^newtailue}', "");
Expect(1, 6571, '\p{-NEWTAILue}', "");
Expect(0, 6571, '\p{^-NEWTAILue}', "");
Expect(0, 6571, '\P{-NEWTAILue}', "");
Expect(1, 6571, '\P{^-NEWTAILue}', "");
Expect(0, 6527, '\p{-NEWTAILue}', "");
Expect(1, 6527, '\p{^-NEWTAILue}', "");
Expect(1, 6527, '\P{-NEWTAILue}', "");
Expect(0, 6527, '\P{^-NEWTAILue}', "");
Error('\p{-_is-NEW:=tai Lue}');
Error('\P{-_is-NEW:=tai Lue}');
Expect(1, 6571, '\p{isnewtailue}', "");
Expect(0, 6571, '\p{^isnewtailue}', "");
Expect(0, 6571, '\P{isnewtailue}', "");
Expect(1, 6571, '\P{^isnewtailue}', "");
Expect(0, 6527, '\p{isnewtailue}', "");
Expect(1, 6527, '\p{^isnewtailue}', "");
Expect(1, 6527, '\P{isnewtailue}', "");
Expect(0, 6527, '\P{^isnewtailue}', "");
Expect(1, 6571, '\p{	_IS_NEWTAI Lue}', "");
Expect(0, 6571, '\p{^	_IS_NEWTAI Lue}', "");
Expect(0, 6571, '\P{	_IS_NEWTAI Lue}', "");
Expect(1, 6571, '\P{^	_IS_NEWTAI Lue}', "");
Expect(0, 6527, '\p{	_IS_NEWTAI Lue}', "");
Expect(1, 6527, '\p{^	_IS_NEWTAI Lue}', "");
Expect(1, 6527, '\P{	_IS_NEWTAI Lue}', "");
Expect(0, 6527, '\P{^	_IS_NEWTAI Lue}', "");
Error('\p{- TALU/a/}');
Error('\P{- TALU/a/}');
Expect(1, 6571, '\p{talu}', "");
Expect(0, 6571, '\p{^talu}', "");
Expect(0, 6571, '\P{talu}', "");
Expect(1, 6571, '\P{^talu}', "");
Expect(0, 6527, '\p{talu}', "");
Expect(1, 6527, '\p{^talu}', "");
Expect(1, 6527, '\P{talu}', "");
Expect(0, 6527, '\P{^talu}', "");
Expect(1, 6571, '\p{_	Talu}', "");
Expect(0, 6571, '\p{^_	Talu}', "");
Expect(0, 6571, '\P{_	Talu}', "");
Expect(1, 6571, '\P{^_	Talu}', "");
Expect(0, 6527, '\p{_	Talu}', "");
Expect(1, 6527, '\p{^_	Talu}', "");
Expect(1, 6527, '\P{_	Talu}', "");
Expect(0, 6527, '\P{^_	Talu}', "");
Error('\p{	-is/a/Talu}');
Error('\P{	-is/a/Talu}');
Expect(1, 6571, '\p{istalu}', "");
Expect(0, 6571, '\p{^istalu}', "");
Expect(0, 6571, '\P{istalu}', "");
Expect(1, 6571, '\P{^istalu}', "");
Expect(0, 6527, '\p{istalu}', "");
Expect(1, 6527, '\p{^istalu}', "");
Expect(1, 6527, '\P{istalu}', "");
Expect(0, 6527, '\P{^istalu}', "");
Expect(1, 6571, '\p{_ is_TALU}', "");
Expect(0, 6571, '\p{^_ is_TALU}', "");
Expect(0, 6571, '\P{_ is_TALU}', "");
Expect(1, 6571, '\P{^_ is_TALU}', "");
Expect(0, 6527, '\p{_ is_TALU}', "");
Expect(1, 6527, '\p{^_ is_TALU}', "");
Expect(1, 6527, '\P{_ is_TALU}', "");
Expect(0, 6527, '\P{^_ is_TALU}', "");
Error('\p{:=-Unassigned}');
Error('\P{:=-Unassigned}');
Expect(1, 889, '\p{unassigned}', "");
Expect(0, 889, '\p{^unassigned}', "");
Expect(0, 889, '\P{unassigned}', "");
Expect(1, 889, '\P{^unassigned}', "");
Expect(0, 887, '\p{unassigned}', "");
Expect(1, 887, '\p{^unassigned}', "");
Expect(1, 887, '\P{unassigned}', "");
Expect(0, 887, '\P{^unassigned}', "");
Expect(1, 889, '\p{	 UNASSIGNED}', "");
Expect(0, 889, '\p{^	 UNASSIGNED}', "");
Expect(0, 889, '\P{	 UNASSIGNED}', "");
Expect(1, 889, '\P{^	 UNASSIGNED}', "");
Expect(0, 887, '\p{	 UNASSIGNED}', "");
Expect(1, 887, '\p{^	 UNASSIGNED}', "");
Expect(1, 887, '\P{	 UNASSIGNED}', "");
Expect(0, 887, '\P{^	 UNASSIGNED}', "");
Error('\p{	/a/IS_Unassigned}');
Error('\P{	/a/IS_Unassigned}');
Expect(1, 889, '\p{isunassigned}', "");
Expect(0, 889, '\p{^isunassigned}', "");
Expect(0, 889, '\P{isunassigned}', "");
Expect(1, 889, '\P{^isunassigned}', "");
Expect(0, 887, '\p{isunassigned}', "");
Expect(1, 887, '\p{^isunassigned}', "");
Expect(1, 887, '\P{isunassigned}', "");
Expect(0, 887, '\P{^isunassigned}', "");
Expect(1, 889, '\p{	_Is_Unassigned}', "");
Expect(0, 889, '\p{^	_Is_Unassigned}', "");
Expect(0, 889, '\P{	_Is_Unassigned}', "");
Expect(1, 889, '\P{^	_Is_Unassigned}', "");
Expect(0, 887, '\p{	_Is_Unassigned}', "");
Expect(1, 887, '\p{^	_Is_Unassigned}', "");
Expect(1, 887, '\P{	_Is_Unassigned}', "");
Expect(0, 887, '\P{^	_Is_Unassigned}', "");
Error('\p{_/a/Cn}');
Error('\P{_/a/Cn}');
Expect(1, 889, '\p{cn}', "");
Expect(0, 889, '\p{^cn}', "");
Expect(0, 889, '\P{cn}', "");
Expect(1, 889, '\P{^cn}', "");
Expect(0, 887, '\p{cn}', "");
Expect(1, 887, '\p{^cn}', "");
Expect(1, 887, '\P{cn}', "");
Expect(0, 887, '\P{^cn}', "");
Expect(1, 889, '\p{	-cn}', "");
Expect(0, 889, '\p{^	-cn}', "");
Expect(0, 889, '\P{	-cn}', "");
Expect(1, 889, '\P{^	-cn}', "");
Expect(0, 887, '\p{	-cn}', "");
Expect(1, 887, '\p{^	-cn}', "");
Expect(1, 887, '\P{	-cn}', "");
Expect(0, 887, '\P{^	-cn}', "");
Error('\p{ /a/IS Cn}');
Error('\P{ /a/IS Cn}');
Expect(1, 889, '\p{iscn}', "");
Expect(0, 889, '\p{^iscn}', "");
Expect(0, 889, '\P{iscn}', "");
Expect(1, 889, '\P{^iscn}', "");
Expect(0, 887, '\p{iscn}', "");
Expect(1, 887, '\p{^iscn}', "");
Expect(1, 887, '\P{iscn}', "");
Expect(0, 887, '\P{^iscn}', "");
Expect(1, 889, '\p{	 IS	Cn}', "");
Expect(0, 889, '\p{^	 IS	Cn}', "");
Expect(0, 889, '\P{	 IS	Cn}', "");
Expect(1, 889, '\P{^	 IS	Cn}', "");
Expect(0, 887, '\p{	 IS	Cn}', "");
Expect(1, 887, '\p{^	 IS	Cn}', "");
Expect(1, 887, '\P{	 IS	Cn}', "");
Expect(0, 887, '\P{^	 IS	Cn}', "");
Error('\p{-:=Lepcha}');
Error('\P{-:=Lepcha}');
Expect(1, 7223, '\p{lepcha}', "");
Expect(0, 7223, '\p{^lepcha}', "");
Expect(0, 7223, '\P{lepcha}', "");
Expect(1, 7223, '\P{^lepcha}', "");
Expect(0, 7167, '\p{lepcha}', "");
Expect(1, 7167, '\p{^lepcha}', "");
Expect(1, 7167, '\P{lepcha}', "");
Expect(0, 7167, '\P{^lepcha}', "");
Expect(1, 7223, '\p{ -Lepcha}', "");
Expect(0, 7223, '\p{^ -Lepcha}', "");
Expect(0, 7223, '\P{ -Lepcha}', "");
Expect(1, 7223, '\P{^ -Lepcha}', "");
Expect(0, 7167, '\p{ -Lepcha}', "");
Expect(1, 7167, '\p{^ -Lepcha}', "");
Expect(1, 7167, '\P{ -Lepcha}', "");
Expect(0, 7167, '\P{^ -Lepcha}', "");
Error('\p{ /a/Is	Lepcha}');
Error('\P{ /a/Is	Lepcha}');
Expect(1, 7223, '\p{islepcha}', "");
Expect(0, 7223, '\p{^islepcha}', "");
Expect(0, 7223, '\P{islepcha}', "");
Expect(1, 7223, '\P{^islepcha}', "");
Expect(0, 7167, '\p{islepcha}', "");
Expect(1, 7167, '\p{^islepcha}', "");
Expect(1, 7167, '\P{islepcha}', "");
Expect(0, 7167, '\P{^islepcha}', "");
Expect(1, 7223, '\p{_	Is_Lepcha}', "");
Expect(0, 7223, '\p{^_	Is_Lepcha}', "");
Expect(0, 7223, '\P{_	Is_Lepcha}', "");
Expect(1, 7223, '\P{^_	Is_Lepcha}', "");
Expect(0, 7167, '\p{_	Is_Lepcha}', "");
Expect(1, 7167, '\p{^_	Is_Lepcha}', "");
Expect(1, 7167, '\P{_	Is_Lepcha}', "");
Expect(0, 7167, '\P{^_	Is_Lepcha}', "");
Error('\p{:=		LEPC}');
Error('\P{:=		LEPC}');
Expect(1, 7223, '\p{lepc}', "");
Expect(0, 7223, '\p{^lepc}', "");
Expect(0, 7223, '\P{lepc}', "");
Expect(1, 7223, '\P{^lepc}', "");
Expect(0, 7167, '\p{lepc}', "");
Expect(1, 7167, '\p{^lepc}', "");
Expect(1, 7167, '\P{lepc}', "");
Expect(0, 7167, '\P{^lepc}', "");
Expect(1, 7223, '\p{ -Lepc}', "");
Expect(0, 7223, '\p{^ -Lepc}', "");
Expect(0, 7223, '\P{ -Lepc}', "");
Expect(1, 7223, '\P{^ -Lepc}', "");
Expect(0, 7167, '\p{ -Lepc}', "");
Expect(1, 7167, '\p{^ -Lepc}', "");
Expect(1, 7167, '\P{ -Lepc}', "");
Expect(0, 7167, '\P{^ -Lepc}', "");
Error('\p{:=  is_Lepc}');
Error('\P{:=  is_Lepc}');
Expect(1, 7223, '\p{islepc}', "");
Expect(0, 7223, '\p{^islepc}', "");
Expect(0, 7223, '\P{islepc}', "");
Expect(1, 7223, '\P{^islepc}', "");
Expect(0, 7167, '\p{islepc}', "");
Expect(1, 7167, '\p{^islepc}', "");
Expect(1, 7167, '\P{islepc}', "");
Expect(0, 7167, '\P{^islepc}', "");
Expect(1, 7223, '\p{  IS lepc}', "");
Expect(0, 7223, '\p{^  IS lepc}', "");
Expect(0, 7223, '\P{  IS lepc}', "");
Expect(1, 7223, '\P{^  IS lepc}', "");
Expect(0, 7167, '\p{  IS lepc}', "");
Expect(1, 7167, '\p{^  IS lepc}', "");
Expect(1, 7167, '\P{  IS lepc}', "");
Expect(0, 7167, '\P{^  IS lepc}', "");
Error('\p{-:=IDEOGRAPHIC-description Characters}');
Error('\P{-:=IDEOGRAPHIC-description Characters}');
Expect(1, 12287, '\p{ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^ideographicdescriptioncharacters}', "");
Expect(0, 12271, '\p{ideographicdescriptioncharacters}', "");
Expect(1, 12271, '\p{^ideographicdescriptioncharacters}', "");
Expect(1, 12271, '\P{ideographicdescriptioncharacters}', "");
Expect(0, 12271, '\P{^ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{	Ideographic-DESCRIPTION Characters}', "");
Expect(0, 12287, '\p{^	Ideographic-DESCRIPTION Characters}', "");
Expect(0, 12287, '\P{	Ideographic-DESCRIPTION Characters}', "");
Expect(1, 12287, '\P{^	Ideographic-DESCRIPTION Characters}', "");
Expect(0, 12271, '\p{	Ideographic-DESCRIPTION Characters}', "");
Expect(1, 12271, '\p{^	Ideographic-DESCRIPTION Characters}', "");
Expect(1, 12271, '\P{	Ideographic-DESCRIPTION Characters}', "");
Expect(0, 12271, '\P{^	Ideographic-DESCRIPTION Characters}', "");
Error('\p{ /a/is_ideographic	description_Characters}');
Error('\P{ /a/is_ideographic	description_Characters}');
Expect(1, 12287, '\p{isideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^isideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{isideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^isideographicdescriptioncharacters}', "");
Expect(0, 12271, '\p{isideographicdescriptioncharacters}', "");
Expect(1, 12271, '\p{^isideographicdescriptioncharacters}', "");
Expect(1, 12271, '\P{isideographicdescriptioncharacters}', "");
Expect(0, 12271, '\P{^isideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{-_Isideographic Description_Characters}', "");
Expect(0, 12287, '\p{^-_Isideographic Description_Characters}', "");
Expect(0, 12287, '\P{-_Isideographic Description_Characters}', "");
Expect(1, 12287, '\P{^-_Isideographic Description_Characters}', "");
Expect(0, 12271, '\p{-_Isideographic Description_Characters}', "");
Expect(1, 12271, '\p{^-_Isideographic Description_Characters}', "");
Expect(1, 12271, '\P{-_Isideographic Description_Characters}', "");
Expect(0, 12271, '\P{^-_Isideographic Description_Characters}', "");
Error('\p{	In-IDEOGRAPHIC Description-Characters:=}');
Error('\P{	In-IDEOGRAPHIC Description-Characters:=}');
Expect(1, 12287, '\p{inideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^inideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{inideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^inideographicdescriptioncharacters}', "");
Expect(0, 12271, '\p{inideographicdescriptioncharacters}', "");
Expect(1, 12271, '\p{^inideographicdescriptioncharacters}', "");
Expect(1, 12271, '\P{inideographicdescriptioncharacters}', "");
Expect(0, 12271, '\P{^inideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{_in IDEOGRAPHICDESCRIPTION_Characters}', "");
Expect(0, 12287, '\p{^_in IDEOGRAPHICDESCRIPTION_Characters}', "");
Expect(0, 12287, '\P{_in IDEOGRAPHICDESCRIPTION_Characters}', "");
Expect(1, 12287, '\P{^_in IDEOGRAPHICDESCRIPTION_Characters}', "");
Expect(0, 12271, '\p{_in IDEOGRAPHICDESCRIPTION_Characters}', "");
Expect(1, 12271, '\p{^_in IDEOGRAPHICDESCRIPTION_Characters}', "");
Expect(1, 12271, '\P{_in IDEOGRAPHICDESCRIPTION_Characters}', "");
Expect(0, 12271, '\P{^_in IDEOGRAPHICDESCRIPTION_Characters}', "");
Error('\p{/a/  Combining-halfMARKS}');
Error('\P{/a/  Combining-halfMARKS}');
Expect(1, 65071, '\p{combininghalfmarks}', "");
Expect(0, 65071, '\p{^combininghalfmarks}', "");
Expect(0, 65071, '\P{combininghalfmarks}', "");
Expect(1, 65071, '\P{^combininghalfmarks}', "");
Expect(0, 65055, '\p{combininghalfmarks}', "");
Expect(1, 65055, '\p{^combininghalfmarks}', "");
Expect(1, 65055, '\P{combininghalfmarks}', "");
Expect(0, 65055, '\P{^combininghalfmarks}', "");
Expect(1, 65071, '\p{--combining_Half-Marks}', "");
Expect(0, 65071, '\p{^--combining_Half-Marks}', "");
Expect(0, 65071, '\P{--combining_Half-Marks}', "");
Expect(1, 65071, '\P{^--combining_Half-Marks}', "");
Expect(0, 65055, '\p{--combining_Half-Marks}', "");
Expect(1, 65055, '\p{^--combining_Half-Marks}', "");
Expect(1, 65055, '\P{--combining_Half-Marks}', "");
Expect(0, 65055, '\P{^--combining_Half-Marks}', "");
Error('\p{:=-Is	COMBINING HALF-Marks}');
Error('\P{:=-Is	COMBINING HALF-Marks}');
Expect(1, 65071, '\p{iscombininghalfmarks}', "");
Expect(0, 65071, '\p{^iscombininghalfmarks}', "");
Expect(0, 65071, '\P{iscombininghalfmarks}', "");
Expect(1, 65071, '\P{^iscombininghalfmarks}', "");
Expect(0, 65055, '\p{iscombininghalfmarks}', "");
Expect(1, 65055, '\p{^iscombininghalfmarks}', "");
Expect(1, 65055, '\P{iscombininghalfmarks}', "");
Expect(0, 65055, '\P{^iscombininghalfmarks}', "");
Expect(1, 65071, '\p{_Iscombining	Half-MARKS}', "");
Expect(0, 65071, '\p{^_Iscombining	Half-MARKS}', "");
Expect(0, 65071, '\P{_Iscombining	Half-MARKS}', "");
Expect(1, 65071, '\P{^_Iscombining	Half-MARKS}', "");
Expect(0, 65055, '\p{_Iscombining	Half-MARKS}', "");
Expect(1, 65055, '\p{^_Iscombining	Half-MARKS}', "");
Expect(1, 65055, '\P{_Iscombining	Half-MARKS}', "");
Expect(0, 65055, '\P{^_Iscombining	Half-MARKS}', "");
Error('\p{	-in	COMBINING_HALF:=MARKS}');
Error('\P{	-in	COMBINING_HALF:=MARKS}');
Expect(1, 65071, '\p{incombininghalfmarks}', "");
Expect(0, 65071, '\p{^incombininghalfmarks}', "");
Expect(0, 65071, '\P{incombininghalfmarks}', "");
Expect(1, 65071, '\P{^incombininghalfmarks}', "");
Expect(0, 65055, '\p{incombininghalfmarks}', "");
Expect(1, 65055, '\p{^incombininghalfmarks}', "");
Expect(1, 65055, '\P{incombininghalfmarks}', "");
Expect(0, 65055, '\P{^incombininghalfmarks}', "");
Expect(1, 65071, '\p{	IN combining Half	Marks}', "");
Expect(0, 65071, '\p{^	IN combining Half	Marks}', "");
Expect(0, 65071, '\P{	IN combining Half	Marks}', "");
Expect(1, 65071, '\P{^	IN combining Half	Marks}', "");
Expect(0, 65055, '\p{	IN combining Half	Marks}', "");
Expect(1, 65055, '\p{^	IN combining Half	Marks}', "");
Expect(1, 65055, '\P{	IN combining Half	Marks}', "");
Expect(0, 65055, '\P{^	IN combining Half	Marks}', "");
Error('\p{:=--Oriya}');
Error('\P{:=--Oriya}');
Expect(1, 2819, '\p{oriya}', "");
Expect(0, 2819, '\p{^oriya}', "");
Expect(0, 2819, '\P{oriya}', "");
Expect(1, 2819, '\P{^oriya}', "");
Expect(0, 2816, '\p{oriya}', "");
Expect(1, 2816, '\p{^oriya}', "");
Expect(1, 2816, '\P{oriya}', "");
Expect(0, 2816, '\P{^oriya}', "");
Expect(1, 2819, '\p{_Oriya}', "");
Expect(0, 2819, '\p{^_Oriya}', "");
Expect(0, 2819, '\P{_Oriya}', "");
Expect(1, 2819, '\P{^_Oriya}', "");
Expect(0, 2816, '\p{_Oriya}', "");
Expect(1, 2816, '\p{^_Oriya}', "");
Expect(1, 2816, '\P{_Oriya}', "");
Expect(0, 2816, '\P{^_Oriya}', "");
Error('\p{_:=Is Oriya}');
Error('\P{_:=Is Oriya}');
Expect(1, 2819, '\p{isoriya}', "");
Expect(0, 2819, '\p{^isoriya}', "");
Expect(0, 2819, '\P{isoriya}', "");
Expect(1, 2819, '\P{^isoriya}', "");
Expect(0, 2816, '\p{isoriya}', "");
Expect(1, 2816, '\p{^isoriya}', "");
Expect(1, 2816, '\P{isoriya}', "");
Expect(0, 2816, '\P{^isoriya}', "");
Expect(1, 2819, '\p{_	IS-oriya}', "");
Expect(0, 2819, '\p{^_	IS-oriya}', "");
Expect(0, 2819, '\P{_	IS-oriya}', "");
Expect(1, 2819, '\P{^_	IS-oriya}', "");
Expect(0, 2816, '\p{_	IS-oriya}', "");
Expect(1, 2816, '\p{^_	IS-oriya}', "");
Expect(1, 2816, '\P{_	IS-oriya}', "");
Expect(0, 2816, '\P{^_	IS-oriya}', "");
Error('\p{ /a/Orya}');
Error('\P{ /a/Orya}');
Expect(1, 2819, '\p{orya}', "");
Expect(0, 2819, '\p{^orya}', "");
Expect(0, 2819, '\P{orya}', "");
Expect(1, 2819, '\P{^orya}', "");
Expect(0, 2816, '\p{orya}', "");
Expect(1, 2816, '\p{^orya}', "");
Expect(1, 2816, '\P{orya}', "");
Expect(0, 2816, '\P{^orya}', "");
Expect(1, 2819, '\p{	-orya}', "");
Expect(0, 2819, '\p{^	-orya}', "");
Expect(0, 2819, '\P{	-orya}', "");
Expect(1, 2819, '\P{^	-orya}', "");
Expect(0, 2816, '\p{	-orya}', "");
Expect(1, 2816, '\p{^	-orya}', "");
Expect(1, 2816, '\P{	-orya}', "");
Expect(0, 2816, '\P{^	-orya}', "");
Error('\p{:=_-Is	Orya}');
Error('\P{:=_-Is	Orya}');
Expect(1, 2819, '\p{isorya}', "");
Expect(0, 2819, '\p{^isorya}', "");
Expect(0, 2819, '\P{isorya}', "");
Expect(1, 2819, '\P{^isorya}', "");
Expect(0, 2816, '\p{isorya}', "");
Expect(1, 2816, '\p{^isorya}', "");
Expect(1, 2816, '\P{isorya}', "");
Expect(0, 2816, '\P{^isorya}', "");
Expect(1, 2819, '\p{__isorya}', "");
Expect(0, 2819, '\p{^__isorya}', "");
Expect(0, 2819, '\P{__isorya}', "");
Expect(1, 2819, '\P{^__isorya}', "");
Expect(0, 2816, '\p{__isorya}', "");
Expect(1, 2816, '\p{^__isorya}', "");
Expect(1, 2816, '\P{__isorya}', "");
Expect(0, 2816, '\P{^__isorya}', "");
Error('\p{_:=PHONETIC_extensions}');
Error('\P{_:=PHONETIC_extensions}');
Expect(1, 7551, '\p{phoneticextensions}', "");
Expect(0, 7551, '\p{^phoneticextensions}', "");
Expect(0, 7551, '\P{phoneticextensions}', "");
Expect(1, 7551, '\P{^phoneticextensions}', "");
Expect(0, 7423, '\p{phoneticextensions}', "");
Expect(1, 7423, '\p{^phoneticextensions}', "");
Expect(1, 7423, '\P{phoneticextensions}', "");
Expect(0, 7423, '\P{^phoneticextensions}', "");
Expect(1, 7551, '\p{_phonetic-Extensions}', "");
Expect(0, 7551, '\p{^_phonetic-Extensions}', "");
Expect(0, 7551, '\P{_phonetic-Extensions}', "");
Expect(1, 7551, '\P{^_phonetic-Extensions}', "");
Expect(0, 7423, '\p{_phonetic-Extensions}', "");
Expect(1, 7423, '\p{^_phonetic-Extensions}', "");
Expect(1, 7423, '\P{_phonetic-Extensions}', "");
Expect(0, 7423, '\P{^_phonetic-Extensions}', "");
Error('\p{_/a/is-PHONETIC Extensions}');
Error('\P{_/a/is-PHONETIC Extensions}');
Expect(1, 7551, '\p{isphoneticextensions}', "");
Expect(0, 7551, '\p{^isphoneticextensions}', "");
Expect(0, 7551, '\P{isphoneticextensions}', "");
Expect(1, 7551, '\P{^isphoneticextensions}', "");
Expect(0, 7423, '\p{isphoneticextensions}', "");
Expect(1, 7423, '\p{^isphoneticextensions}', "");
Expect(1, 7423, '\P{isphoneticextensions}', "");
Expect(0, 7423, '\P{^isphoneticextensions}', "");
Expect(1, 7551, '\p{		IsPHONETIC-extensions}', "");
Expect(0, 7551, '\p{^		IsPHONETIC-extensions}', "");
Expect(0, 7551, '\P{		IsPHONETIC-extensions}', "");
Expect(1, 7551, '\P{^		IsPHONETIC-extensions}', "");
Expect(0, 7423, '\p{		IsPHONETIC-extensions}', "");
Expect(1, 7423, '\p{^		IsPHONETIC-extensions}', "");
Expect(1, 7423, '\P{		IsPHONETIC-extensions}', "");
Expect(0, 7423, '\P{^		IsPHONETIC-extensions}', "");
Error('\p{/a/	-IN-PHONETIC-EXTENSIONS}');
Error('\P{/a/	-IN-PHONETIC-EXTENSIONS}');
Expect(1, 7551, '\p{inphoneticextensions}', "");
Expect(0, 7551, '\p{^inphoneticextensions}', "");
Expect(0, 7551, '\P{inphoneticextensions}', "");
Expect(1, 7551, '\P{^inphoneticextensions}', "");
Expect(0, 7423, '\p{inphoneticextensions}', "");
Expect(1, 7423, '\p{^inphoneticextensions}', "");
Expect(1, 7423, '\P{inphoneticextensions}', "");
Expect(0, 7423, '\P{^inphoneticextensions}', "");
Expect(1, 7551, '\p{ in phonetic EXTENSIONS}', "");
Expect(0, 7551, '\p{^ in phonetic EXTENSIONS}', "");
Expect(0, 7551, '\P{ in phonetic EXTENSIONS}', "");
Expect(1, 7551, '\P{^ in phonetic EXTENSIONS}', "");
Expect(0, 7423, '\p{ in phonetic EXTENSIONS}', "");
Expect(1, 7423, '\p{^ in phonetic EXTENSIONS}', "");
Expect(1, 7423, '\P{ in phonetic EXTENSIONS}', "");
Expect(0, 7423, '\P{^ in phonetic EXTENSIONS}', "");
Error('\p{-:=GraphemeExtend}');
Error('\P{-:=GraphemeExtend}');
Expect(1, 879, '\p{graphemeextend}', "");
Expect(0, 879, '\p{^graphemeextend}', "");
Expect(0, 879, '\P{graphemeextend}', "");
Expect(1, 879, '\P{^graphemeextend}', "");
Expect(0, 767, '\p{graphemeextend}', "");
Expect(1, 767, '\p{^graphemeextend}', "");
Expect(1, 767, '\P{graphemeextend}', "");
Expect(0, 767, '\P{^graphemeextend}', "");
Expect(1, 879, '\p{	_Grapheme Extend}', "");
Expect(0, 879, '\p{^	_Grapheme Extend}', "");
Expect(0, 879, '\P{	_Grapheme Extend}', "");
Expect(1, 879, '\P{^	_Grapheme Extend}', "");
Expect(0, 767, '\p{	_Grapheme Extend}', "");
Expect(1, 767, '\p{^	_Grapheme Extend}', "");
Expect(1, 767, '\P{	_Grapheme Extend}', "");
Expect(0, 767, '\P{^	_Grapheme Extend}', "");
Error('\p{_/a/Is-Grapheme EXTEND}');
Error('\P{_/a/Is-Grapheme EXTEND}');
Expect(1, 879, '\p{isgraphemeextend}', "");
Expect(0, 879, '\p{^isgraphemeextend}', "");
Expect(0, 879, '\P{isgraphemeextend}', "");
Expect(1, 879, '\P{^isgraphemeextend}', "");
Expect(0, 767, '\p{isgraphemeextend}', "");
Expect(1, 767, '\p{^isgraphemeextend}', "");
Expect(1, 767, '\P{isgraphemeextend}', "");
Expect(0, 767, '\P{^isgraphemeextend}', "");
Expect(1, 879, '\p{-Is-GraphemeEXTEND}', "");
Expect(0, 879, '\p{^-Is-GraphemeEXTEND}', "");
Expect(0, 879, '\P{-Is-GraphemeEXTEND}', "");
Expect(1, 879, '\P{^-Is-GraphemeEXTEND}', "");
Expect(0, 767, '\p{-Is-GraphemeEXTEND}', "");
Expect(1, 767, '\p{^-Is-GraphemeEXTEND}', "");
Expect(1, 767, '\P{-Is-GraphemeEXTEND}', "");
Expect(0, 767, '\P{^-Is-GraphemeEXTEND}', "");
Error('\p{_:=Grext}');
Error('\P{_:=Grext}');
Expect(1, 879, '\p{grext}', "");
Expect(0, 879, '\p{^grext}', "");
Expect(0, 879, '\P{grext}', "");
Expect(1, 879, '\P{^grext}', "");
Expect(0, 767, '\p{grext}', "");
Expect(1, 767, '\p{^grext}', "");
Expect(1, 767, '\P{grext}', "");
Expect(0, 767, '\P{^grext}', "");
Expect(1, 879, '\p{_	GR	EXT}', "");
Expect(0, 879, '\p{^_	GR	EXT}', "");
Expect(0, 879, '\P{_	GR	EXT}', "");
Expect(1, 879, '\P{^_	GR	EXT}', "");
Expect(0, 767, '\p{_	GR	EXT}', "");
Expect(1, 767, '\p{^_	GR	EXT}', "");
Expect(1, 767, '\P{_	GR	EXT}', "");
Expect(0, 767, '\P{^_	GR	EXT}', "");
Error('\p{:=__is-Gr_EXT}');
Error('\P{:=__is-Gr_EXT}');
Expect(1, 879, '\p{isgrext}', "");
Expect(0, 879, '\p{^isgrext}', "");
Expect(0, 879, '\P{isgrext}', "");
Expect(1, 879, '\P{^isgrext}', "");
Expect(0, 767, '\p{isgrext}', "");
Expect(1, 767, '\p{^isgrext}', "");
Expect(1, 767, '\P{isgrext}', "");
Expect(0, 767, '\P{^isgrext}', "");
Expect(1, 879, '\p{_	IsGr-ext}', "");
Expect(0, 879, '\p{^_	IsGr-ext}', "");
Expect(0, 879, '\P{_	IsGr-ext}', "");
Expect(1, 879, '\P{^_	IsGr-ext}', "");
Expect(0, 767, '\p{_	IsGr-ext}', "");
Expect(1, 767, '\p{^_	IsGr-ext}', "");
Expect(1, 767, '\P{_	IsGr-ext}', "");
Expect(0, 767, '\P{^_	IsGr-ext}', "");
Error('\p{__Default:=ignorable CODE point}');
Error('\P{__Default:=ignorable CODE point}');
Expect(1, 173, '\p{defaultignorablecodepoint}', "");
Expect(0, 173, '\p{^defaultignorablecodepoint}', "");
Expect(0, 173, '\P{defaultignorablecodepoint}', "");
Expect(1, 173, '\P{^defaultignorablecodepoint}', "");
Expect(0, 172, '\p{defaultignorablecodepoint}', "");
Expect(1, 172, '\p{^defaultignorablecodepoint}', "");
Expect(1, 172, '\P{defaultignorablecodepoint}', "");
Expect(0, 172, '\P{^defaultignorablecodepoint}', "");
Expect(1, 173, '\p{	 default_IGNORABLECode_point}', "");
Expect(0, 173, '\p{^	 default_IGNORABLECode_point}', "");
Expect(0, 173, '\P{	 default_IGNORABLECode_point}', "");
Expect(1, 173, '\P{^	 default_IGNORABLECode_point}', "");
Expect(0, 172, '\p{	 default_IGNORABLECode_point}', "");
Expect(1, 172, '\p{^	 default_IGNORABLECode_point}', "");
Expect(1, 172, '\P{	 default_IGNORABLECode_point}', "");
Expect(0, 172, '\P{^	 default_IGNORABLECode_point}', "");
Error('\p{  IS/a/Default_Ignorable-CODE-point}');
Error('\P{  IS/a/Default_Ignorable-CODE-point}');
Expect(1, 173, '\p{isdefaultignorablecodepoint}', "");
Expect(0, 173, '\p{^isdefaultignorablecodepoint}', "");
Expect(0, 173, '\P{isdefaultignorablecodepoint}', "");
Expect(1, 173, '\P{^isdefaultignorablecodepoint}', "");
Expect(0, 172, '\p{isdefaultignorablecodepoint}', "");
Expect(1, 172, '\p{^isdefaultignorablecodepoint}', "");
Expect(1, 172, '\P{isdefaultignorablecodepoint}', "");
Expect(0, 172, '\P{^isdefaultignorablecodepoint}', "");
Expect(1, 173, '\p{	IsDefault-IGNORABLE-CODE_Point}', "");
Expect(0, 173, '\p{^	IsDefault-IGNORABLE-CODE_Point}', "");
Expect(0, 173, '\P{	IsDefault-IGNORABLE-CODE_Point}', "");
Expect(1, 173, '\P{^	IsDefault-IGNORABLE-CODE_Point}', "");
Expect(0, 172, '\p{	IsDefault-IGNORABLE-CODE_Point}', "");
Expect(1, 172, '\p{^	IsDefault-IGNORABLE-CODE_Point}', "");
Expect(1, 172, '\P{	IsDefault-IGNORABLE-CODE_Point}', "");
Expect(0, 172, '\P{^	IsDefault-IGNORABLE-CODE_Point}', "");
Error('\p{:=- DI}');
Error('\P{:=- DI}');
Expect(1, 173, '\p{di}', "");
Expect(0, 173, '\p{^di}', "");
Expect(0, 173, '\P{di}', "");
Expect(1, 173, '\P{^di}', "");
Expect(0, 172, '\p{di}', "");
Expect(1, 172, '\p{^di}', "");
Expect(1, 172, '\P{di}', "");
Expect(0, 172, '\P{^di}', "");
Expect(1, 173, '\p{ DI}', "");
Expect(0, 173, '\p{^ DI}', "");
Expect(0, 173, '\P{ DI}', "");
Expect(1, 173, '\P{^ DI}', "");
Expect(0, 172, '\p{ DI}', "");
Expect(1, 172, '\p{^ DI}', "");
Expect(1, 172, '\P{ DI}', "");
Expect(0, 172, '\P{^ DI}', "");
Error('\p{_IS	di:=}');
Error('\P{_IS	di:=}');
Expect(1, 173, '\p{isdi}', "");
Expect(0, 173, '\p{^isdi}', "");
Expect(0, 173, '\P{isdi}', "");
Expect(1, 173, '\P{^isdi}', "");
Expect(0, 172, '\p{isdi}', "");
Expect(1, 172, '\p{^isdi}', "");
Expect(1, 172, '\P{isdi}', "");
Expect(0, 172, '\P{^isdi}', "");
Expect(1, 173, '\p{__Is DI}', "");
Expect(0, 173, '\p{^__Is DI}', "");
Expect(0, 173, '\P{__Is DI}', "");
Expect(1, 173, '\P{^__Is DI}', "");
Expect(0, 172, '\p{__Is DI}', "");
Expect(1, 172, '\p{^__Is DI}', "");
Expect(1, 172, '\P{__Is DI}', "");
Expect(0, 172, '\P{^__Is DI}', "");
Error('\p{/a/	_ID	Start}');
Error('\P{/a/	_ID	Start}');
Expect(1, 90, '\p{idstart}', "");
Expect(0, 90, '\p{^idstart}', "");
Expect(0, 90, '\P{idstart}', "");
Expect(1, 90, '\P{^idstart}', "");
Expect(0, 64, '\p{idstart}', "");
Expect(1, 64, '\p{^idstart}', "");
Expect(1, 64, '\P{idstart}', "");
Expect(0, 64, '\P{^idstart}', "");
Expect(1, 90, '\p{ 	idstart}', "");
Expect(0, 90, '\p{^ 	idstart}', "");
Expect(0, 90, '\P{ 	idstart}', "");
Expect(1, 90, '\P{^ 	idstart}', "");
Expect(0, 64, '\p{ 	idstart}', "");
Expect(1, 64, '\p{^ 	idstart}', "");
Expect(1, 64, '\P{ 	idstart}', "");
Expect(0, 64, '\P{^ 	idstart}', "");
Error('\p{-/a/Is-ID-START}');
Error('\P{-/a/Is-ID-START}');
Expect(1, 90, '\p{isidstart}', "");
Expect(0, 90, '\p{^isidstart}', "");
Expect(0, 90, '\P{isidstart}', "");
Expect(1, 90, '\P{^isidstart}', "");
Expect(0, 64, '\p{isidstart}', "");
Expect(1, 64, '\p{^isidstart}', "");
Expect(1, 64, '\P{isidstart}', "");
Expect(0, 64, '\P{^isidstart}', "");
Expect(1, 90, '\p{  Is ID_Start}', "");
Expect(0, 90, '\p{^  Is ID_Start}', "");
Expect(0, 90, '\P{  Is ID_Start}', "");
Expect(1, 90, '\P{^  Is ID_Start}', "");
Expect(0, 64, '\p{  Is ID_Start}', "");
Expect(1, 64, '\p{^  Is ID_Start}', "");
Expect(1, 64, '\P{  Is ID_Start}', "");
Expect(0, 64, '\P{^  Is ID_Start}', "");
Error('\p{ :=IDS}');
Error('\P{ :=IDS}');
Expect(1, 90, '\p{ids}', "");
Expect(0, 90, '\p{^ids}', "");
Expect(0, 90, '\P{ids}', "");
Expect(1, 90, '\P{^ids}', "");
Expect(0, 64, '\p{ids}', "");
Expect(1, 64, '\p{^ids}', "");
Expect(1, 64, '\P{ids}', "");
Expect(0, 64, '\P{^ids}', "");
Expect(1, 90, '\p{-_ids}', "");
Expect(0, 90, '\p{^-_ids}', "");
Expect(0, 90, '\P{-_ids}', "");
Expect(1, 90, '\P{^-_ids}', "");
Expect(0, 64, '\p{-_ids}', "");
Expect(1, 64, '\p{^-_ids}', "");
Expect(1, 64, '\P{-_ids}', "");
Expect(0, 64, '\P{^-_ids}', "");
Error('\p{--is/a/ids}');
Error('\P{--is/a/ids}');
Expect(1, 90, '\p{isids}', "");
Expect(0, 90, '\p{^isids}', "");
Expect(0, 90, '\P{isids}', "");
Expect(1, 90, '\P{^isids}', "");
Expect(0, 64, '\p{isids}', "");
Expect(1, 64, '\p{^isids}', "");
Expect(1, 64, '\P{isids}', "");
Expect(0, 64, '\P{^isids}', "");
Expect(1, 90, '\p{  Isids}', "");
Expect(0, 90, '\p{^  Isids}', "");
Expect(0, 90, '\P{  Isids}', "");
Expect(1, 90, '\P{^  Isids}', "");
Expect(0, 64, '\p{  Isids}', "");
Expect(1, 64, '\p{^  Isids}', "");
Expect(1, 64, '\P{  Isids}', "");
Expect(0, 64, '\P{^  Isids}', "");
Error('\p{-cyrillic-SUPPLEMENT/a/}');
Error('\P{-cyrillic-SUPPLEMENT/a/}');
Expect(1, 1327, '\p{cyrillicsupplement}', "");
Expect(0, 1327, '\p{^cyrillicsupplement}', "");
Expect(0, 1327, '\P{cyrillicsupplement}', "");
Expect(1, 1327, '\P{^cyrillicsupplement}', "");
Expect(0, 1279, '\p{cyrillicsupplement}', "");
Expect(1, 1279, '\p{^cyrillicsupplement}', "");
Expect(1, 1279, '\P{cyrillicsupplement}', "");
Expect(0, 1279, '\P{^cyrillicsupplement}', "");
Expect(1, 1327, '\p{_cyrillic_Supplement}', "");
Expect(0, 1327, '\p{^_cyrillic_Supplement}', "");
Expect(0, 1327, '\P{_cyrillic_Supplement}', "");
Expect(1, 1327, '\P{^_cyrillic_Supplement}', "");
Expect(0, 1279, '\p{_cyrillic_Supplement}', "");
Expect(1, 1279, '\p{^_cyrillic_Supplement}', "");
Expect(1, 1279, '\P{_cyrillic_Supplement}', "");
Expect(0, 1279, '\P{^_cyrillic_Supplement}', "");
Error('\p{-_IS:=cyrillic-Supplement}');
Error('\P{-_IS:=cyrillic-Supplement}');
Expect(1, 1327, '\p{iscyrillicsupplement}', "");
Expect(0, 1327, '\p{^iscyrillicsupplement}', "");
Expect(0, 1327, '\P{iscyrillicsupplement}', "");
Expect(1, 1327, '\P{^iscyrillicsupplement}', "");
Expect(0, 1279, '\p{iscyrillicsupplement}', "");
Expect(1, 1279, '\p{^iscyrillicsupplement}', "");
Expect(1, 1279, '\P{iscyrillicsupplement}', "");
Expect(0, 1279, '\P{^iscyrillicsupplement}', "");
Expect(1, 1327, '\p{is Cyrillic supplement}', "");
Expect(0, 1327, '\p{^is Cyrillic supplement}', "");
Expect(0, 1327, '\P{is Cyrillic supplement}', "");
Expect(1, 1327, '\P{^is Cyrillic supplement}', "");
Expect(0, 1279, '\p{is Cyrillic supplement}', "");
Expect(1, 1279, '\p{^is Cyrillic supplement}', "");
Expect(1, 1279, '\P{is Cyrillic supplement}', "");
Expect(0, 1279, '\P{^is Cyrillic supplement}', "");
Error('\p{	:=In-CYRILLICSupplement}');
Error('\P{	:=In-CYRILLICSupplement}');
Expect(1, 1327, '\p{incyrillicsupplement}', "");
Expect(0, 1327, '\p{^incyrillicsupplement}', "");
Expect(0, 1327, '\P{incyrillicsupplement}', "");
Expect(1, 1327, '\P{^incyrillicsupplement}', "");
Expect(0, 1279, '\p{incyrillicsupplement}', "");
Expect(1, 1279, '\p{^incyrillicsupplement}', "");
Expect(1, 1279, '\P{incyrillicsupplement}', "");
Expect(0, 1279, '\P{^incyrillicsupplement}', "");
Expect(1, 1327, '\p{	in-Cyrillic_supplement}', "");
Expect(0, 1327, '\p{^	in-Cyrillic_supplement}', "");
Expect(0, 1327, '\P{	in-Cyrillic_supplement}', "");
Expect(1, 1327, '\P{^	in-Cyrillic_supplement}', "");
Expect(0, 1279, '\p{	in-Cyrillic_supplement}', "");
Expect(1, 1279, '\p{^	in-Cyrillic_supplement}', "");
Expect(1, 1279, '\P{	in-Cyrillic_supplement}', "");
Expect(0, 1279, '\P{^	in-Cyrillic_supplement}', "");
Error('\p{:=CYRILLICSupplementary}');
Error('\P{:=CYRILLICSupplementary}');
Expect(1, 1327, '\p{cyrillicsupplementary}', "");
Expect(0, 1327, '\p{^cyrillicsupplementary}', "");
Expect(0, 1327, '\P{cyrillicsupplementary}', "");
Expect(1, 1327, '\P{^cyrillicsupplementary}', "");
Expect(0, 1279, '\p{cyrillicsupplementary}', "");
Expect(1, 1279, '\p{^cyrillicsupplementary}', "");
Expect(1, 1279, '\P{cyrillicsupplementary}', "");
Expect(0, 1279, '\P{^cyrillicsupplementary}', "");
Expect(1, 1327, '\p{  cyrillic	supplementary}', "");
Expect(0, 1327, '\p{^  cyrillic	supplementary}', "");
Expect(0, 1327, '\P{  cyrillic	supplementary}', "");
Expect(1, 1327, '\P{^  cyrillic	supplementary}', "");
Expect(0, 1279, '\p{  cyrillic	supplementary}', "");
Expect(1, 1279, '\p{^  cyrillic	supplementary}', "");
Expect(1, 1279, '\P{  cyrillic	supplementary}', "");
Expect(0, 1279, '\P{^  cyrillic	supplementary}', "");
Error('\p{		Is CYRILLICsupplementary:=}');
Error('\P{		Is CYRILLICsupplementary:=}');
Expect(1, 1327, '\p{iscyrillicsupplementary}', "");
Expect(0, 1327, '\p{^iscyrillicsupplementary}', "");
Expect(0, 1327, '\P{iscyrillicsupplementary}', "");
Expect(1, 1327, '\P{^iscyrillicsupplementary}', "");
Expect(0, 1279, '\p{iscyrillicsupplementary}', "");
Expect(1, 1279, '\p{^iscyrillicsupplementary}', "");
Expect(1, 1279, '\P{iscyrillicsupplementary}', "");
Expect(0, 1279, '\P{^iscyrillicsupplementary}', "");
Expect(1, 1327, '\p{_	IS	Cyrillic	Supplementary}', "");
Expect(0, 1327, '\p{^_	IS	Cyrillic	Supplementary}', "");
Expect(0, 1327, '\P{_	IS	Cyrillic	Supplementary}', "");
Expect(1, 1327, '\P{^_	IS	Cyrillic	Supplementary}', "");
Expect(0, 1279, '\p{_	IS	Cyrillic	Supplementary}', "");
Expect(1, 1279, '\p{^_	IS	Cyrillic	Supplementary}', "");
Expect(1, 1279, '\P{_	IS	Cyrillic	Supplementary}', "");
Expect(0, 1279, '\P{^_	IS	Cyrillic	Supplementary}', "");
Error('\p{ /a/In	CYRILLIC_Supplementary}');
Error('\P{ /a/In	CYRILLIC_Supplementary}');
Expect(1, 1327, '\p{incyrillicsupplementary}', "");
Expect(0, 1327, '\p{^incyrillicsupplementary}', "");
Expect(0, 1327, '\P{incyrillicsupplementary}', "");
Expect(1, 1327, '\P{^incyrillicsupplementary}', "");
Expect(0, 1279, '\p{incyrillicsupplementary}', "");
Expect(1, 1279, '\p{^incyrillicsupplementary}', "");
Expect(1, 1279, '\P{incyrillicsupplementary}', "");
Expect(0, 1279, '\P{^incyrillicsupplementary}', "");
Expect(1, 1327, '\p{_INcyrillic-supplementary}', "");
Expect(0, 1327, '\p{^_INcyrillic-supplementary}', "");
Expect(0, 1327, '\P{_INcyrillic-supplementary}', "");
Expect(1, 1327, '\P{^_INcyrillic-supplementary}', "");
Expect(0, 1279, '\p{_INcyrillic-supplementary}', "");
Expect(1, 1279, '\p{^_INcyrillic-supplementary}', "");
Expect(1, 1279, '\P{_INcyrillic-supplementary}', "");
Expect(0, 1279, '\P{^_INcyrillic-supplementary}', "");
Error('\p{/a/_Geometric	Shapes}');
Error('\P{/a/_Geometric	Shapes}');
Expect(1, 9727, '\p{geometricshapes}', "");
Expect(0, 9727, '\p{^geometricshapes}', "");
Expect(0, 9727, '\P{geometricshapes}', "");
Expect(1, 9727, '\P{^geometricshapes}', "");
Expect(0, 9631, '\p{geometricshapes}', "");
Expect(1, 9631, '\p{^geometricshapes}', "");
Expect(1, 9631, '\P{geometricshapes}', "");
Expect(0, 9631, '\P{^geometricshapes}', "");
Expect(1, 9727, '\p{__geometric_Shapes}', "");
Expect(0, 9727, '\p{^__geometric_Shapes}', "");
Expect(0, 9727, '\P{__geometric_Shapes}', "");
Expect(1, 9727, '\P{^__geometric_Shapes}', "");
Expect(0, 9631, '\p{__geometric_Shapes}', "");
Expect(1, 9631, '\p{^__geometric_Shapes}', "");
Expect(1, 9631, '\P{__geometric_Shapes}', "");
Expect(0, 9631, '\P{^__geometric_Shapes}', "");
Error('\p{ _IS_Geometric:=shapes}');
Error('\P{ _IS_Geometric:=shapes}');
Expect(1, 9727, '\p{isgeometricshapes}', "");
Expect(0, 9727, '\p{^isgeometricshapes}', "");
Expect(0, 9727, '\P{isgeometricshapes}', "");
Expect(1, 9727, '\P{^isgeometricshapes}', "");
Expect(0, 9631, '\p{isgeometricshapes}', "");
Expect(1, 9631, '\p{^isgeometricshapes}', "");
Expect(1, 9631, '\P{isgeometricshapes}', "");
Expect(0, 9631, '\P{^isgeometricshapes}', "");
Expect(1, 9727, '\p{ _is	geometric	SHAPES}', "");
Expect(0, 9727, '\p{^ _is	geometric	SHAPES}', "");
Expect(0, 9727, '\P{ _is	geometric	SHAPES}', "");
Expect(1, 9727, '\P{^ _is	geometric	SHAPES}', "");
Expect(0, 9631, '\p{ _is	geometric	SHAPES}', "");
Expect(1, 9631, '\p{^ _is	geometric	SHAPES}', "");
Expect(1, 9631, '\P{ _is	geometric	SHAPES}', "");
Expect(0, 9631, '\P{^ _is	geometric	SHAPES}', "");
Error('\p{  In	Geometric	SHAPES:=}');
Error('\P{  In	Geometric	SHAPES:=}');
Expect(1, 9727, '\p{ingeometricshapes}', "");
Expect(0, 9727, '\p{^ingeometricshapes}', "");
Expect(0, 9727, '\P{ingeometricshapes}', "");
Expect(1, 9727, '\P{^ingeometricshapes}', "");
Expect(0, 9631, '\p{ingeometricshapes}', "");
Expect(1, 9631, '\p{^ingeometricshapes}', "");
Expect(1, 9631, '\P{ingeometricshapes}', "");
Expect(0, 9631, '\P{^ingeometricshapes}', "");
Expect(1, 9727, '\p{_-In-Geometric_shapes}', "");
Expect(0, 9727, '\p{^_-In-Geometric_shapes}', "");
Expect(0, 9727, '\P{_-In-Geometric_shapes}', "");
Expect(1, 9727, '\P{^_-In-Geometric_shapes}', "");
Expect(0, 9631, '\p{_-In-Geometric_shapes}', "");
Expect(1, 9631, '\p{^_-In-Geometric_shapes}', "");
Expect(1, 9631, '\P{_-In-Geometric_shapes}', "");
Expect(0, 9631, '\P{^_-In-Geometric_shapes}', "");
Error('\p{-Latin extended/a/d}');
Error('\P{-Latin extended/a/d}');
Expect(1, 43007, '\p{latinextendedd}', "");
Expect(0, 43007, '\p{^latinextendedd}', "");
Expect(0, 43007, '\P{latinextendedd}', "");
Expect(1, 43007, '\P{^latinextendedd}', "");
Expect(0, 42783, '\p{latinextendedd}', "");
Expect(1, 42783, '\p{^latinextendedd}', "");
Expect(1, 42783, '\P{latinextendedd}', "");
Expect(0, 42783, '\P{^latinextendedd}', "");
Expect(1, 43007, '\p{_LatinExtended	D}', "");
Expect(0, 43007, '\p{^_LatinExtended	D}', "");
Expect(0, 43007, '\P{_LatinExtended	D}', "");
Expect(1, 43007, '\P{^_LatinExtended	D}', "");
Expect(0, 42783, '\p{_LatinExtended	D}', "");
Expect(1, 42783, '\p{^_LatinExtended	D}', "");
Expect(1, 42783, '\P{_LatinExtended	D}', "");
Expect(0, 42783, '\P{^_LatinExtended	D}', "");
Error('\p{- Is_LATIN extended/a/D}');
Error('\P{- Is_LATIN extended/a/D}');
Expect(1, 43007, '\p{islatinextendedd}', "");
Expect(0, 43007, '\p{^islatinextendedd}', "");
Expect(0, 43007, '\P{islatinextendedd}', "");
Expect(1, 43007, '\P{^islatinextendedd}', "");
Expect(0, 42783, '\p{islatinextendedd}', "");
Expect(1, 42783, '\p{^islatinextendedd}', "");
Expect(1, 42783, '\P{islatinextendedd}', "");
Expect(0, 42783, '\P{^islatinextendedd}', "");
Expect(1, 43007, '\p{_isLatinExtended d}', "");
Expect(0, 43007, '\p{^_isLatinExtended d}', "");
Expect(0, 43007, '\P{_isLatinExtended d}', "");
Expect(1, 43007, '\P{^_isLatinExtended d}', "");
Expect(0, 42783, '\p{_isLatinExtended d}', "");
Expect(1, 42783, '\p{^_isLatinExtended d}', "");
Expect(1, 42783, '\P{_isLatinExtended d}', "");
Expect(0, 42783, '\P{^_isLatinExtended d}', "");
Error('\p{_IN	latin-EXTENDED:=d}');
Error('\P{_IN	latin-EXTENDED:=d}');
Expect(1, 43007, '\p{inlatinextendedd}', "");
Expect(0, 43007, '\p{^inlatinextendedd}', "");
Expect(0, 43007, '\P{inlatinextendedd}', "");
Expect(1, 43007, '\P{^inlatinextendedd}', "");
Expect(0, 42783, '\p{inlatinextendedd}', "");
Expect(1, 42783, '\p{^inlatinextendedd}', "");
Expect(1, 42783, '\P{inlatinextendedd}', "");
Expect(0, 42783, '\P{^inlatinextendedd}', "");
Expect(1, 43007, '\p{-	In_latin-extended_D}', "");
Expect(0, 43007, '\p{^-	In_latin-extended_D}', "");
Expect(0, 43007, '\P{-	In_latin-extended_D}', "");
Expect(1, 43007, '\P{^-	In_latin-extended_D}', "");
Expect(0, 42783, '\p{-	In_latin-extended_D}', "");
Expect(1, 42783, '\p{^-	In_latin-extended_D}', "");
Expect(1, 42783, '\P{-	In_latin-extended_D}', "");
Expect(0, 42783, '\P{^-	In_latin-extended_D}', "");
Error('\p{/a/Buginese}');
Error('\P{/a/Buginese}');
Expect(1, 6683, '\p{buginese}', "");
Expect(0, 6683, '\p{^buginese}', "");
Expect(0, 6683, '\P{buginese}', "");
Expect(1, 6683, '\P{^buginese}', "");
Expect(0, 6655, '\p{buginese}', "");
Expect(1, 6655, '\p{^buginese}', "");
Expect(1, 6655, '\P{buginese}', "");
Expect(0, 6655, '\P{^buginese}', "");
Expect(1, 6683, '\p{  buginese}', "");
Expect(0, 6683, '\p{^  buginese}', "");
Expect(0, 6683, '\P{  buginese}', "");
Expect(1, 6683, '\P{^  buginese}', "");
Expect(0, 6655, '\p{  buginese}', "");
Expect(1, 6655, '\p{^  buginese}', "");
Expect(1, 6655, '\P{  buginese}', "");
Expect(0, 6655, '\P{^  buginese}', "");
Error('\p{:=	_IS_Buginese}');
Error('\P{:=	_IS_Buginese}');
Expect(1, 6683, '\p{isbuginese}', "");
Expect(0, 6683, '\p{^isbuginese}', "");
Expect(0, 6683, '\P{isbuginese}', "");
Expect(1, 6683, '\P{^isbuginese}', "");
Expect(0, 6655, '\p{isbuginese}', "");
Expect(1, 6655, '\p{^isbuginese}', "");
Expect(1, 6655, '\P{isbuginese}', "");
Expect(0, 6655, '\P{^isbuginese}', "");
Expect(1, 6683, '\p{	-Is BUGINESE}', "");
Expect(0, 6683, '\p{^	-Is BUGINESE}', "");
Expect(0, 6683, '\P{	-Is BUGINESE}', "");
Expect(1, 6683, '\P{^	-Is BUGINESE}', "");
Expect(0, 6655, '\p{	-Is BUGINESE}', "");
Expect(1, 6655, '\p{^	-Is BUGINESE}', "");
Expect(1, 6655, '\P{	-Is BUGINESE}', "");
Expect(0, 6655, '\P{^	-Is BUGINESE}', "");
Error('\p{/a/	BUGI}');
Error('\P{/a/	BUGI}');
Expect(1, 6683, '\p{bugi}', "");
Expect(0, 6683, '\p{^bugi}', "");
Expect(0, 6683, '\P{bugi}', "");
Expect(1, 6683, '\P{^bugi}', "");
Expect(0, 6655, '\p{bugi}', "");
Expect(1, 6655, '\p{^bugi}', "");
Expect(1, 6655, '\P{bugi}', "");
Expect(0, 6655, '\P{^bugi}', "");
Expect(1, 6683, '\p{	_Bugi}', "");
Expect(0, 6683, '\p{^	_Bugi}', "");
Expect(0, 6683, '\P{	_Bugi}', "");
Expect(1, 6683, '\P{^	_Bugi}', "");
Expect(0, 6655, '\p{	_Bugi}', "");
Expect(1, 6655, '\p{^	_Bugi}', "");
Expect(1, 6655, '\P{	_Bugi}', "");
Expect(0, 6655, '\P{^	_Bugi}', "");
Error('\p{ IS_Bugi/a/}');
Error('\P{ IS_Bugi/a/}');
Expect(1, 6683, '\p{isbugi}', "");
Expect(0, 6683, '\p{^isbugi}', "");
Expect(0, 6683, '\P{isbugi}', "");
Expect(1, 6683, '\P{^isbugi}', "");
Expect(0, 6655, '\p{isbugi}', "");
Expect(1, 6655, '\p{^isbugi}', "");
Expect(1, 6655, '\P{isbugi}', "");
Expect(0, 6655, '\P{^isbugi}', "");
Expect(1, 6683, '\p{	_is Bugi}', "");
Expect(0, 6683, '\p{^	_is Bugi}', "");
Expect(0, 6683, '\P{	_is Bugi}', "");
Expect(1, 6683, '\P{^	_is Bugi}', "");
Expect(0, 6655, '\p{	_is Bugi}', "");
Expect(1, 6655, '\p{^	_is Bugi}', "");
Expect(1, 6655, '\P{	_is Bugi}', "");
Expect(0, 6655, '\P{^	_is Bugi}', "");
Error('\p{	:=In_malayalam}');
Error('\P{	:=In_malayalam}');
Expect(1, 3455, '\p{inmalayalam}', "");
Expect(0, 3455, '\p{^inmalayalam}', "");
Expect(0, 3455, '\P{inmalayalam}', "");
Expect(1, 3455, '\P{^inmalayalam}', "");
Expect(0, 3327, '\p{inmalayalam}', "");
Expect(1, 3327, '\p{^inmalayalam}', "");
Expect(1, 3327, '\P{inmalayalam}', "");
Expect(0, 3327, '\P{^inmalayalam}', "");
Expect(1, 3455, '\p{	_IN	MALAYALAM}', "");
Expect(0, 3455, '\p{^	_IN	MALAYALAM}', "");
Expect(0, 3455, '\P{	_IN	MALAYALAM}', "");
Expect(1, 3455, '\P{^	_IN	MALAYALAM}', "");
Expect(0, 3327, '\p{	_IN	MALAYALAM}', "");
Expect(1, 3327, '\p{^	_IN	MALAYALAM}', "");
Expect(1, 3327, '\P{	_IN	MALAYALAM}', "");
Expect(0, 3327, '\P{^	_IN	MALAYALAM}', "");
Error('\p{-_inscriptionalPahlavi/a/}');
Error('\P{-_inscriptionalPahlavi/a/}');
Expect(1, 68466, '\p{inscriptionalpahlavi}', "");
Expect(0, 68466, '\p{^inscriptionalpahlavi}', "");
Expect(0, 68466, '\P{inscriptionalpahlavi}', "");
Expect(1, 68466, '\P{^inscriptionalpahlavi}', "");
Expect(0, 68447, '\p{inscriptionalpahlavi}', "");
Expect(1, 68447, '\p{^inscriptionalpahlavi}', "");
Expect(1, 68447, '\P{inscriptionalpahlavi}', "");
Expect(0, 68447, '\P{^inscriptionalpahlavi}', "");
Expect(1, 68466, '\p{_INSCRIPTIONALPahlavi}', "");
Expect(0, 68466, '\p{^_INSCRIPTIONALPahlavi}', "");
Expect(0, 68466, '\P{_INSCRIPTIONALPahlavi}', "");
Expect(1, 68466, '\P{^_INSCRIPTIONALPahlavi}', "");
Expect(0, 68447, '\p{_INSCRIPTIONALPahlavi}', "");
Expect(1, 68447, '\p{^_INSCRIPTIONALPahlavi}', "");
Expect(1, 68447, '\P{_INSCRIPTIONALPahlavi}', "");
Expect(0, 68447, '\P{^_INSCRIPTIONALPahlavi}', "");
Error('\p{/a/--isInscriptionalpahlavi}');
Error('\P{/a/--isInscriptionalpahlavi}');
Expect(1, 68466, '\p{isinscriptionalpahlavi}', "");
Expect(0, 68466, '\p{^isinscriptionalpahlavi}', "");
Expect(0, 68466, '\P{isinscriptionalpahlavi}', "");
Expect(1, 68466, '\P{^isinscriptionalpahlavi}', "");
Expect(0, 68447, '\p{isinscriptionalpahlavi}', "");
Expect(1, 68447, '\p{^isinscriptionalpahlavi}', "");
Expect(1, 68447, '\P{isinscriptionalpahlavi}', "");
Expect(0, 68447, '\P{^isinscriptionalpahlavi}', "");
Expect(1, 68466, '\p{Is	inscriptional	Pahlavi}', "");
Expect(0, 68466, '\p{^Is	inscriptional	Pahlavi}', "");
Expect(0, 68466, '\P{Is	inscriptional	Pahlavi}', "");
Expect(1, 68466, '\P{^Is	inscriptional	Pahlavi}', "");
Expect(0, 68447, '\p{Is	inscriptional	Pahlavi}', "");
Expect(1, 68447, '\p{^Is	inscriptional	Pahlavi}', "");
Expect(1, 68447, '\P{Is	inscriptional	Pahlavi}', "");
Expect(0, 68447, '\P{^Is	inscriptional	Pahlavi}', "");
Error('\p{ :=Phli}');
Error('\P{ :=Phli}');
Expect(1, 68466, '\p{phli}', "");
Expect(0, 68466, '\p{^phli}', "");
Expect(0, 68466, '\P{phli}', "");
Expect(1, 68466, '\P{^phli}', "");
Expect(0, 68447, '\p{phli}', "");
Expect(1, 68447, '\p{^phli}', "");
Expect(1, 68447, '\P{phli}', "");
Expect(0, 68447, '\P{^phli}', "");
Expect(1, 68466, '\p{_phli}', "");
Expect(0, 68466, '\p{^_phli}', "");
Expect(0, 68466, '\P{_phli}', "");
Expect(1, 68466, '\P{^_phli}', "");
Expect(0, 68447, '\p{_phli}', "");
Expect(1, 68447, '\p{^_phli}', "");
Expect(1, 68447, '\P{_phli}', "");
Expect(0, 68447, '\P{^_phli}', "");
Error('\p{ ISPhli:=}');
Error('\P{ ISPhli:=}');
Expect(1, 68466, '\p{isphli}', "");
Expect(0, 68466, '\p{^isphli}', "");
Expect(0, 68466, '\P{isphli}', "");
Expect(1, 68466, '\P{^isphli}', "");
Expect(0, 68447, '\p{isphli}', "");
Expect(1, 68447, '\p{^isphli}', "");
Expect(1, 68447, '\P{isphli}', "");
Expect(0, 68447, '\P{^isphli}', "");
Expect(1, 68466, '\p{ 	IS_Phli}', "");
Expect(0, 68466, '\p{^ 	IS_Phli}', "");
Expect(0, 68466, '\P{ 	IS_Phli}', "");
Expect(1, 68466, '\P{^ 	IS_Phli}', "");
Expect(0, 68447, '\p{ 	IS_Phli}', "");
Expect(1, 68447, '\p{^ 	IS_Phli}', "");
Expect(1, 68447, '\P{ 	IS_Phli}', "");
Expect(0, 68447, '\P{^ 	IS_Phli}', "");
Error('\p{	_Cham:=}');
Error('\P{	_Cham:=}');
Expect(1, 43574, '\p{cham}', "");
Expect(0, 43574, '\p{^cham}', "");
Expect(0, 43574, '\P{cham}', "");
Expect(1, 43574, '\P{^cham}', "");
Expect(0, 43519, '\p{cham}', "");
Expect(1, 43519, '\p{^cham}', "");
Expect(1, 43519, '\P{cham}', "");
Expect(0, 43519, '\P{^cham}', "");
Expect(1, 43574, '\p{	 CHAM}', "");
Expect(0, 43574, '\p{^	 CHAM}', "");
Expect(0, 43574, '\P{	 CHAM}', "");
Expect(1, 43574, '\P{^	 CHAM}', "");
Expect(0, 43519, '\p{	 CHAM}', "");
Expect(1, 43519, '\p{^	 CHAM}', "");
Expect(1, 43519, '\P{	 CHAM}', "");
Expect(0, 43519, '\P{^	 CHAM}', "");
Error('\p{	_IS_Cham/a/}');
Error('\P{	_IS_Cham/a/}');
Expect(1, 43574, '\p{ischam}', "");
Expect(0, 43574, '\p{^ischam}', "");
Expect(0, 43574, '\P{ischam}', "");
Expect(1, 43574, '\P{^ischam}', "");
Expect(0, 43519, '\p{ischam}', "");
Expect(1, 43519, '\p{^ischam}', "");
Expect(1, 43519, '\P{ischam}', "");
Expect(0, 43519, '\P{^ischam}', "");
Expect(1, 43574, '\p{ -Is_CHAM}', "");
Expect(0, 43574, '\p{^ -Is_CHAM}', "");
Expect(0, 43574, '\P{ -Is_CHAM}', "");
Expect(1, 43574, '\P{^ -Is_CHAM}', "");
Expect(0, 43519, '\p{ -Is_CHAM}', "");
Expect(1, 43519, '\p{^ -Is_CHAM}', "");
Expect(1, 43519, '\P{ -Is_CHAM}', "");
Expect(0, 43519, '\P{^ -Is_CHAM}', "");
Error('\p{	:=Braille}');
Error('\P{	:=Braille}');
Expect(1, 10495, '\p{braille}', "");
Expect(0, 10495, '\p{^braille}', "");
Expect(0, 10495, '\P{braille}', "");
Expect(1, 10495, '\P{^braille}', "");
Expect(0, 10239, '\p{braille}', "");
Expect(1, 10239, '\p{^braille}', "");
Expect(1, 10239, '\P{braille}', "");
Expect(0, 10239, '\P{^braille}', "");
Expect(1, 10495, '\p{Braille}', "");
Expect(0, 10495, '\p{^Braille}', "");
Expect(0, 10495, '\P{Braille}', "");
Expect(1, 10495, '\P{^Braille}', "");
Expect(0, 10239, '\p{Braille}', "");
Expect(1, 10239, '\p{^Braille}', "");
Expect(1, 10239, '\P{Braille}', "");
Expect(0, 10239, '\P{^Braille}', "");
Error('\p{	IsBRAILLE/a/}');
Error('\P{	IsBRAILLE/a/}');
Expect(1, 10495, '\p{isbraille}', "");
Expect(0, 10495, '\p{^isbraille}', "");
Expect(0, 10495, '\P{isbraille}', "");
Expect(1, 10495, '\P{^isbraille}', "");
Expect(0, 10239, '\p{isbraille}', "");
Expect(1, 10239, '\p{^isbraille}', "");
Expect(1, 10239, '\P{isbraille}', "");
Expect(0, 10239, '\P{^isbraille}', "");
Expect(1, 10495, '\p{_	Is-Braille}', "");
Expect(0, 10495, '\p{^_	Is-Braille}', "");
Expect(0, 10495, '\P{_	Is-Braille}', "");
Expect(1, 10495, '\P{^_	Is-Braille}', "");
Expect(0, 10239, '\p{_	Is-Braille}', "");
Expect(1, 10239, '\p{^_	Is-Braille}', "");
Expect(1, 10239, '\P{_	Is-Braille}', "");
Expect(0, 10239, '\P{^_	Is-Braille}', "");
Error('\p{_ BRAI:=}');
Error('\P{_ BRAI:=}');
Expect(1, 10495, '\p{brai}', "");
Expect(0, 10495, '\p{^brai}', "");
Expect(0, 10495, '\P{brai}', "");
Expect(1, 10495, '\P{^brai}', "");
Expect(0, 10239, '\p{brai}', "");
Expect(1, 10239, '\p{^brai}', "");
Expect(1, 10239, '\P{brai}', "");
Expect(0, 10239, '\P{^brai}', "");
Expect(1, 10495, '\p{	Brai}', "");
Expect(0, 10495, '\p{^	Brai}', "");
Expect(0, 10495, '\P{	Brai}', "");
Expect(1, 10495, '\P{^	Brai}', "");
Expect(0, 10239, '\p{	Brai}', "");
Expect(1, 10239, '\p{^	Brai}', "");
Expect(1, 10239, '\P{	Brai}', "");
Expect(0, 10239, '\P{^	Brai}', "");
Error('\p{Is	Brai:=}');
Error('\P{Is	Brai:=}');
Expect(1, 10495, '\p{isbrai}', "");
Expect(0, 10495, '\p{^isbrai}', "");
Expect(0, 10495, '\P{isbrai}', "");
Expect(1, 10495, '\P{^isbrai}', "");
Expect(0, 10239, '\p{isbrai}', "");
Expect(1, 10239, '\p{^isbrai}', "");
Expect(1, 10239, '\P{isbrai}', "");
Expect(0, 10239, '\P{^isbrai}', "");
Expect(1, 10495, '\p{_	IS	Brai}', "");
Expect(0, 10495, '\p{^_	IS	Brai}', "");
Expect(0, 10495, '\P{_	IS	Brai}', "");
Expect(1, 10495, '\P{^_	IS	Brai}', "");
Expect(0, 10239, '\p{_	IS	Brai}', "");
Expect(1, 10239, '\p{^_	IS	Brai}', "");
Expect(1, 10239, '\P{_	IS	Brai}', "");
Expect(0, 10239, '\P{^_	IS	Brai}', "");
Error('\p{	in-OLD:=persian}');
Error('\P{	in-OLD:=persian}');
Expect(1, 66527, '\p{inoldpersian}', "");
Expect(0, 66527, '\p{^inoldpersian}', "");
Expect(0, 66527, '\P{inoldpersian}', "");
Expect(1, 66527, '\P{^inoldpersian}', "");
Expect(0, 66463, '\p{inoldpersian}', "");
Expect(1, 66463, '\p{^inoldpersian}', "");
Expect(1, 66463, '\P{inoldpersian}', "");
Expect(0, 66463, '\P{^inoldpersian}', "");
Expect(1, 66527, '\p{	 IN_Old	PERSIAN}', "");
Expect(0, 66527, '\p{^	 IN_Old	PERSIAN}', "");
Expect(0, 66527, '\P{	 IN_Old	PERSIAN}', "");
Expect(1, 66527, '\P{^	 IN_Old	PERSIAN}', "");
Expect(0, 66463, '\p{	 IN_Old	PERSIAN}', "");
Expect(1, 66463, '\p{^	 IN_Old	PERSIAN}', "");
Expect(1, 66463, '\P{	 IN_Old	PERSIAN}', "");
Expect(0, 66463, '\P{^	 IN_Old	PERSIAN}', "");
Error('\p{-:=Box_drawing}');
Error('\P{-:=Box_drawing}');
Expect(1, 9599, '\p{boxdrawing}', "");
Expect(0, 9599, '\p{^boxdrawing}', "");
Expect(0, 9599, '\P{boxdrawing}', "");
Expect(1, 9599, '\P{^boxdrawing}', "");
Expect(0, 9471, '\p{boxdrawing}', "");
Expect(1, 9471, '\p{^boxdrawing}', "");
Expect(1, 9471, '\P{boxdrawing}', "");
Expect(0, 9471, '\P{^boxdrawing}', "");
Expect(1, 9599, '\p{	_Box	drawing}', "");
Expect(0, 9599, '\p{^	_Box	drawing}', "");
Expect(0, 9599, '\P{	_Box	drawing}', "");
Expect(1, 9599, '\P{^	_Box	drawing}', "");
Expect(0, 9471, '\p{	_Box	drawing}', "");
Expect(1, 9471, '\p{^	_Box	drawing}', "");
Expect(1, 9471, '\P{	_Box	drawing}', "");
Expect(0, 9471, '\P{^	_Box	drawing}', "");
Error('\p{_is/a/BOXDRAWING}');
Error('\P{_is/a/BOXDRAWING}');
Expect(1, 9599, '\p{isboxdrawing}', "");
Expect(0, 9599, '\p{^isboxdrawing}', "");
Expect(0, 9599, '\P{isboxdrawing}', "");
Expect(1, 9599, '\P{^isboxdrawing}', "");
Expect(0, 9471, '\p{isboxdrawing}', "");
Expect(1, 9471, '\p{^isboxdrawing}', "");
Expect(1, 9471, '\P{isboxdrawing}', "");
Expect(0, 9471, '\P{^isboxdrawing}', "");
Expect(1, 9599, '\p{_-Is-box_drawing}', "");
Expect(0, 9599, '\p{^_-Is-box_drawing}', "");
Expect(0, 9599, '\P{_-Is-box_drawing}', "");
Expect(1, 9599, '\P{^_-Is-box_drawing}', "");
Expect(0, 9471, '\p{_-Is-box_drawing}', "");
Expect(1, 9471, '\p{^_-Is-box_drawing}', "");
Expect(1, 9471, '\P{_-Is-box_drawing}', "");
Expect(0, 9471, '\P{^_-Is-box_drawing}', "");
Error('\p{/a/in	boxDrawing}');
Error('\P{/a/in	boxDrawing}');
Expect(1, 9599, '\p{inboxdrawing}', "");
Expect(0, 9599, '\p{^inboxdrawing}', "");
Expect(0, 9599, '\P{inboxdrawing}', "");
Expect(1, 9599, '\P{^inboxdrawing}', "");
Expect(0, 9471, '\p{inboxdrawing}', "");
Expect(1, 9471, '\p{^inboxdrawing}', "");
Expect(1, 9471, '\P{inboxdrawing}', "");
Expect(0, 9471, '\P{^inboxdrawing}', "");
Expect(1, 9599, '\p{ _IN box drawing}', "");
Expect(0, 9599, '\p{^ _IN box drawing}', "");
Expect(0, 9599, '\P{ _IN box drawing}', "");
Expect(1, 9599, '\P{^ _IN box drawing}', "");
Expect(0, 9471, '\p{ _IN box drawing}', "");
Expect(1, 9471, '\p{^ _IN box drawing}', "");
Expect(1, 9471, '\P{ _IN box drawing}', "");
Expect(0, 9471, '\P{^ _IN box drawing}', "");
Error('\p{_:=linear_B}');
Error('\P{_:=linear_B}');
Expect(1, 65547, '\p{linearb}', "");
Expect(0, 65547, '\p{^linearb}', "");
Expect(0, 65547, '\P{linearb}', "");
Expect(1, 65547, '\P{^linearb}', "");
Expect(0, 1, '\p{linearb}', "");
Expect(1, 1, '\p{^linearb}', "");
Expect(1, 1, '\P{linearb}', "");
Expect(0, 1, '\P{^linearb}', "");
Expect(1, 65547, '\p{LinearB}', "");
Expect(0, 65547, '\p{^LinearB}', "");
Expect(0, 65547, '\P{LinearB}', "");
Expect(1, 65547, '\P{^LinearB}', "");
Expect(0, 1, '\p{LinearB}', "");
Expect(1, 1, '\p{^LinearB}', "");
Expect(1, 1, '\P{LinearB}', "");
Expect(0, 1, '\P{^LinearB}', "");
Error('\p{is_LINEARB:=}');
Error('\P{is_LINEARB:=}');
Expect(1, 65547, '\p{islinearb}', "");
Expect(0, 65547, '\p{^islinearb}', "");
Expect(0, 65547, '\P{islinearb}', "");
Expect(1, 65547, '\P{^islinearb}', "");
Expect(0, 1, '\p{islinearb}', "");
Expect(1, 1, '\p{^islinearb}', "");
Expect(1, 1, '\P{islinearb}', "");
Expect(0, 1, '\P{^islinearb}', "");
Expect(1, 65547, '\p{ Is-LINEAR-B}', "");
Expect(0, 65547, '\p{^ Is-LINEAR-B}', "");
Expect(0, 65547, '\P{ Is-LINEAR-B}', "");
Expect(1, 65547, '\P{^ Is-LINEAR-B}', "");
Expect(0, 1, '\p{ Is-LINEAR-B}', "");
Expect(1, 1, '\p{^ Is-LINEAR-B}', "");
Expect(1, 1, '\P{ Is-LINEAR-B}', "");
Expect(0, 1, '\P{^ Is-LINEAR-B}', "");
Error('\p{ linb:=}');
Error('\P{ linb:=}');
Expect(1, 65547, '\p{linb}', "");
Expect(0, 65547, '\p{^linb}', "");
Expect(0, 65547, '\P{linb}', "");
Expect(1, 65547, '\P{^linb}', "");
Expect(0, 1, '\p{linb}', "");
Expect(1, 1, '\p{^linb}', "");
Expect(1, 1, '\P{linb}', "");
Expect(0, 1, '\P{^linb}', "");
Expect(1, 65547, '\p{  Linb}', "");
Expect(0, 65547, '\p{^  Linb}', "");
Expect(0, 65547, '\P{  Linb}', "");
Expect(1, 65547, '\P{^  Linb}', "");
Expect(0, 1, '\p{  Linb}', "");
Expect(1, 1, '\p{^  Linb}', "");
Expect(1, 1, '\P{  Linb}', "");
Expect(0, 1, '\P{^  Linb}', "");
Error('\p{_-Is:=Linb}');
Error('\P{_-Is:=Linb}');
Expect(1, 65547, '\p{islinb}', "");
Expect(0, 65547, '\p{^islinb}', "");
Expect(0, 65547, '\P{islinb}', "");
Expect(1, 65547, '\P{^islinb}', "");
Expect(0, 1, '\p{islinb}', "");
Expect(1, 1, '\p{^islinb}', "");
Expect(1, 1, '\P{islinb}', "");
Expect(0, 1, '\P{^islinb}', "");
Expect(1, 65547, '\p{	_IS	LINB}', "");
Expect(0, 65547, '\p{^	_IS	LINB}', "");
Expect(0, 65547, '\P{	_IS	LINB}', "");
Expect(1, 65547, '\P{^	_IS	LINB}', "");
Expect(0, 1, '\p{	_IS	LINB}', "");
Expect(1, 1, '\p{^	_IS	LINB}', "");
Expect(1, 1, '\P{	_IS	LINB}', "");
Expect(0, 1, '\P{^	_IS	LINB}', "");
Error('\p{/a/-_tifinagh}');
Error('\P{/a/-_tifinagh}');
Expect(1, 11621, '\p{tifinagh}', "");
Expect(0, 11621, '\p{^tifinagh}', "");
Expect(0, 11621, '\P{tifinagh}', "");
Expect(1, 11621, '\P{^tifinagh}', "");
Expect(0, 11567, '\p{tifinagh}', "");
Expect(1, 11567, '\p{^tifinagh}', "");
Expect(1, 11567, '\P{tifinagh}', "");
Expect(0, 11567, '\P{^tifinagh}', "");
Expect(1, 11621, '\p{	tifinagh}', "");
Expect(0, 11621, '\p{^	tifinagh}', "");
Expect(0, 11621, '\P{	tifinagh}', "");
Expect(1, 11621, '\P{^	tifinagh}', "");
Expect(0, 11567, '\p{	tifinagh}', "");
Expect(1, 11567, '\p{^	tifinagh}', "");
Expect(1, 11567, '\P{	tifinagh}', "");
Expect(0, 11567, '\P{^	tifinagh}', "");
Error('\p{	:=is-tifinagh}');
Error('\P{	:=is-tifinagh}');
Expect(1, 11621, '\p{istifinagh}', "");
Expect(0, 11621, '\p{^istifinagh}', "");
Expect(0, 11621, '\P{istifinagh}', "");
Expect(1, 11621, '\P{^istifinagh}', "");
Expect(0, 11567, '\p{istifinagh}', "");
Expect(1, 11567, '\p{^istifinagh}', "");
Expect(1, 11567, '\P{istifinagh}', "");
Expect(0, 11567, '\P{^istifinagh}', "");
Expect(1, 11621, '\p{ -ISTifinagh}', "");
Expect(0, 11621, '\p{^ -ISTifinagh}', "");
Expect(0, 11621, '\P{ -ISTifinagh}', "");
Expect(1, 11621, '\P{^ -ISTifinagh}', "");
Expect(0, 11567, '\p{ -ISTifinagh}', "");
Expect(1, 11567, '\p{^ -ISTifinagh}', "");
Expect(1, 11567, '\P{ -ISTifinagh}', "");
Expect(0, 11567, '\P{^ -ISTifinagh}', "");
Error('\p{/a/-TFNG}');
Error('\P{/a/-TFNG}');
Expect(1, 11621, '\p{tfng}', "");
Expect(0, 11621, '\p{^tfng}', "");
Expect(0, 11621, '\P{tfng}', "");
Expect(1, 11621, '\P{^tfng}', "");
Expect(0, 11567, '\p{tfng}', "");
Expect(1, 11567, '\p{^tfng}', "");
Expect(1, 11567, '\P{tfng}', "");
Expect(0, 11567, '\P{^tfng}', "");
Expect(1, 11621, '\p{_-tfng}', "");
Expect(0, 11621, '\p{^_-tfng}', "");
Expect(0, 11621, '\P{_-tfng}', "");
Expect(1, 11621, '\P{^_-tfng}', "");
Expect(0, 11567, '\p{_-tfng}', "");
Expect(1, 11567, '\p{^_-tfng}', "");
Expect(1, 11567, '\P{_-tfng}', "");
Expect(0, 11567, '\P{^_-tfng}', "");
Error('\p{:= -Is-Tfng}');
Error('\P{:= -Is-Tfng}');
Expect(1, 11621, '\p{istfng}', "");
Expect(0, 11621, '\p{^istfng}', "");
Expect(0, 11621, '\P{istfng}', "");
Expect(1, 11621, '\P{^istfng}', "");
Expect(0, 11567, '\p{istfng}', "");
Expect(1, 11567, '\p{^istfng}', "");
Expect(1, 11567, '\P{istfng}', "");
Expect(0, 11567, '\P{^istfng}', "");
Expect(1, 11621, '\p{	isTfng}', "");
Expect(0, 11621, '\p{^	isTfng}', "");
Expect(0, 11621, '\P{	isTfng}', "");
Expect(1, 11621, '\P{^	isTfng}', "");
Expect(0, 11567, '\p{	isTfng}', "");
Expect(1, 11567, '\p{^	isTfng}', "");
Expect(1, 11567, '\P{	isTfng}', "");
Expect(0, 11567, '\P{^	isTfng}', "");
Error('\p{_/a/Syloti	Nagri}');
Error('\P{_/a/Syloti	Nagri}');
Expect(1, 43051, '\p{sylotinagri}', "");
Expect(0, 43051, '\p{^sylotinagri}', "");
Expect(0, 43051, '\P{sylotinagri}', "");
Expect(1, 43051, '\P{^sylotinagri}', "");
Expect(0, 43007, '\p{sylotinagri}', "");
Expect(1, 43007, '\p{^sylotinagri}', "");
Expect(1, 43007, '\P{sylotinagri}', "");
Expect(0, 43007, '\P{^sylotinagri}', "");
Expect(1, 43051, '\p{		syloti	Nagri}', "");
Expect(0, 43051, '\p{^		syloti	Nagri}', "");
Expect(0, 43051, '\P{		syloti	Nagri}', "");
Expect(1, 43051, '\P{^		syloti	Nagri}', "");
Expect(0, 43007, '\p{		syloti	Nagri}', "");
Expect(1, 43007, '\p{^		syloti	Nagri}', "");
Expect(1, 43007, '\P{		syloti	Nagri}', "");
Expect(0, 43007, '\P{^		syloti	Nagri}', "");
Error('\p{- Is-Syloti:=Nagri}');
Error('\P{- Is-Syloti:=Nagri}');
Expect(1, 43051, '\p{issylotinagri}', "");
Expect(0, 43051, '\p{^issylotinagri}', "");
Expect(0, 43051, '\P{issylotinagri}', "");
Expect(1, 43051, '\P{^issylotinagri}', "");
Expect(0, 43007, '\p{issylotinagri}', "");
Expect(1, 43007, '\p{^issylotinagri}', "");
Expect(1, 43007, '\P{issylotinagri}', "");
Expect(0, 43007, '\P{^issylotinagri}', "");
Expect(1, 43051, '\p{		Is syloti NAGRI}', "");
Expect(0, 43051, '\p{^		Is syloti NAGRI}', "");
Expect(0, 43051, '\P{		Is syloti NAGRI}', "");
Expect(1, 43051, '\P{^		Is syloti NAGRI}', "");
Expect(0, 43007, '\p{		Is syloti NAGRI}', "");
Expect(1, 43007, '\p{^		Is syloti NAGRI}', "");
Expect(1, 43007, '\P{		Is syloti NAGRI}', "");
Expect(0, 43007, '\P{^		Is syloti NAGRI}', "");
Error('\p{:=Sylo}');
Error('\P{:=Sylo}');
Expect(1, 43051, '\p{sylo}', "");
Expect(0, 43051, '\p{^sylo}', "");
Expect(0, 43051, '\P{sylo}', "");
Expect(1, 43051, '\P{^sylo}', "");
Expect(0, 43007, '\p{sylo}', "");
Expect(1, 43007, '\p{^sylo}', "");
Expect(1, 43007, '\P{sylo}', "");
Expect(0, 43007, '\P{^sylo}', "");
Expect(1, 43051, '\p{	-Sylo}', "");
Expect(0, 43051, '\p{^	-Sylo}', "");
Expect(0, 43051, '\P{	-Sylo}', "");
Expect(1, 43051, '\P{^	-Sylo}', "");
Expect(0, 43007, '\p{	-Sylo}', "");
Expect(1, 43007, '\p{^	-Sylo}', "");
Expect(1, 43007, '\P{	-Sylo}', "");
Expect(0, 43007, '\P{^	-Sylo}', "");
Error('\p{ /a/Is_SYLO}');
Error('\P{ /a/Is_SYLO}');
Expect(1, 43051, '\p{issylo}', "");
Expect(0, 43051, '\p{^issylo}', "");
Expect(0, 43051, '\P{issylo}', "");
Expect(1, 43051, '\P{^issylo}', "");
Expect(0, 43007, '\p{issylo}', "");
Expect(1, 43007, '\p{^issylo}', "");
Expect(1, 43007, '\P{issylo}', "");
Expect(0, 43007, '\P{^issylo}', "");
Expect(1, 43051, '\p{-	isSylo}', "");
Expect(0, 43051, '\p{^-	isSylo}', "");
Expect(0, 43051, '\P{-	isSylo}', "");
Expect(1, 43051, '\P{^-	isSylo}', "");
Expect(0, 43007, '\p{-	isSylo}', "");
Expect(1, 43007, '\p{^-	isSylo}', "");
Expect(1, 43007, '\P{-	isSylo}', "");
Expect(0, 43007, '\P{^-	isSylo}', "");
Error('\p{/a/balinese}');
Error('\P{/a/balinese}');
Expect(1, 6987, '\p{balinese}', "");
Expect(0, 6987, '\p{^balinese}', "");
Expect(0, 6987, '\P{balinese}', "");
Expect(1, 6987, '\P{^balinese}', "");
Expect(0, 6911, '\p{balinese}', "");
Expect(1, 6911, '\p{^balinese}', "");
Expect(1, 6911, '\P{balinese}', "");
Expect(0, 6911, '\P{^balinese}', "");
Expect(1, 6987, '\p{ balinese}', "");
Expect(0, 6987, '\p{^ balinese}', "");
Expect(0, 6987, '\P{ balinese}', "");
Expect(1, 6987, '\P{^ balinese}', "");
Expect(0, 6911, '\p{ balinese}', "");
Expect(1, 6911, '\p{^ balinese}', "");
Expect(1, 6911, '\P{ balinese}', "");
Expect(0, 6911, '\P{^ balinese}', "");
Error('\p{ /a/is-BALINESE}');
Error('\P{ /a/is-BALINESE}');
Expect(1, 6987, '\p{isbalinese}', "");
Expect(0, 6987, '\p{^isbalinese}', "");
Expect(0, 6987, '\P{isbalinese}', "");
Expect(1, 6987, '\P{^isbalinese}', "");
Expect(0, 6911, '\p{isbalinese}', "");
Expect(1, 6911, '\p{^isbalinese}', "");
Expect(1, 6911, '\P{isbalinese}', "");
Expect(0, 6911, '\P{^isbalinese}', "");
Expect(1, 6987, '\p{ is-balinese}', "");
Expect(0, 6987, '\p{^ is-balinese}', "");
Expect(0, 6987, '\P{ is-balinese}', "");
Expect(1, 6987, '\P{^ is-balinese}', "");
Expect(0, 6911, '\p{ is-balinese}', "");
Expect(1, 6911, '\p{^ is-balinese}', "");
Expect(1, 6911, '\P{ is-balinese}', "");
Expect(0, 6911, '\P{^ is-balinese}', "");
Error('\p{/a/bali}');
Error('\P{/a/bali}');
Expect(1, 6987, '\p{bali}', "");
Expect(0, 6987, '\p{^bali}', "");
Expect(0, 6987, '\P{bali}', "");
Expect(1, 6987, '\P{^bali}', "");
Expect(0, 6911, '\p{bali}', "");
Expect(1, 6911, '\p{^bali}', "");
Expect(1, 6911, '\P{bali}', "");
Expect(0, 6911, '\P{^bali}', "");
Expect(1, 6987, '\p{ -BALI}', "");
Expect(0, 6987, '\p{^ -BALI}', "");
Expect(0, 6987, '\P{ -BALI}', "");
Expect(1, 6987, '\P{^ -BALI}', "");
Expect(0, 6911, '\p{ -BALI}', "");
Expect(1, 6911, '\p{^ -BALI}', "");
Expect(1, 6911, '\P{ -BALI}', "");
Expect(0, 6911, '\P{^ -BALI}', "");
Error('\p{	Is-BALI:=}');
Error('\P{	Is-BALI:=}');
Expect(1, 6987, '\p{isbali}', "");
Expect(0, 6987, '\p{^isbali}', "");
Expect(0, 6987, '\P{isbali}', "");
Expect(1, 6987, '\P{^isbali}', "");
Expect(0, 6911, '\p{isbali}', "");
Expect(1, 6911, '\p{^isbali}', "");
Expect(1, 6911, '\P{isbali}', "");
Expect(0, 6911, '\P{^isbali}', "");
Expect(1, 6987, '\p{		Is-Bali}', "");
Expect(0, 6987, '\p{^		Is-Bali}', "");
Expect(0, 6987, '\P{		Is-Bali}', "");
Expect(1, 6987, '\P{^		Is-Bali}', "");
Expect(0, 6911, '\p{		Is-Bali}', "");
Expect(1, 6911, '\p{^		Is-Bali}', "");
Expect(1, 6911, '\P{		Is-Bali}', "");
Expect(0, 6911, '\P{^		Is-Bali}', "");
Error('\p{_-MISCELLANEOUS_symbols:=AndArrows}');
Error('\P{_-MISCELLANEOUS_symbols:=AndArrows}');
Expect(1, 11263, '\p{miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^miscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\p{miscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\p{^miscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\P{miscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\P{^miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{_miscellaneous-SymbolsAND_ARROWS}', "");
Expect(0, 11263, '\p{^_miscellaneous-SymbolsAND_ARROWS}', "");
Expect(0, 11263, '\P{_miscellaneous-SymbolsAND_ARROWS}', "");
Expect(1, 11263, '\P{^_miscellaneous-SymbolsAND_ARROWS}', "");
Expect(0, 11007, '\p{_miscellaneous-SymbolsAND_ARROWS}', "");
Expect(1, 11007, '\p{^_miscellaneous-SymbolsAND_ARROWS}', "");
Expect(1, 11007, '\P{_miscellaneous-SymbolsAND_ARROWS}', "");
Expect(0, 11007, '\P{^_miscellaneous-SymbolsAND_ARROWS}', "");
Error('\p{_Is/a/MISCELLANEOUS	Symbols	and Arrows}');
Error('\P{_Is/a/MISCELLANEOUS	Symbols	and Arrows}');
Expect(1, 11263, '\p{ismiscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^ismiscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{ismiscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^ismiscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\p{ismiscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\p{^ismiscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\P{ismiscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\P{^ismiscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{_ismiscellaneous Symbols-and_arrows}', "");
Expect(0, 11263, '\p{^_ismiscellaneous Symbols-and_arrows}', "");
Expect(0, 11263, '\P{_ismiscellaneous Symbols-and_arrows}', "");
Expect(1, 11263, '\P{^_ismiscellaneous Symbols-and_arrows}', "");
Expect(0, 11007, '\p{_ismiscellaneous Symbols-and_arrows}', "");
Expect(1, 11007, '\p{^_ismiscellaneous Symbols-and_arrows}', "");
Expect(1, 11007, '\P{_ismiscellaneous Symbols-and_arrows}', "");
Expect(0, 11007, '\P{^_ismiscellaneous Symbols-and_arrows}', "");
Error('\p{_ in	MISCELLANEOUS/a/symbols_AND ARROWS}');
Error('\P{_ in	MISCELLANEOUS/a/symbols_AND ARROWS}');
Expect(1, 11263, '\p{inmiscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^inmiscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{inmiscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^inmiscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\p{inmiscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\p{^inmiscellaneoussymbolsandarrows}', "");
Expect(1, 11007, '\P{inmiscellaneoussymbolsandarrows}', "");
Expect(0, 11007, '\P{^inmiscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{	-INMISCELLANEOUS_SYMBOLS AND-ARROWS}', "");
Expect(0, 11263, '\p{^	-INMISCELLANEOUS_SYMBOLS AND-ARROWS}', "");
Expect(0, 11263, '\P{	-INMISCELLANEOUS_SYMBOLS AND-ARROWS}', "");
Expect(1, 11263, '\P{^	-INMISCELLANEOUS_SYMBOLS AND-ARROWS}', "");
Expect(0, 11007, '\p{	-INMISCELLANEOUS_SYMBOLS AND-ARROWS}', "");
Expect(1, 11007, '\p{^	-INMISCELLANEOUS_SYMBOLS AND-ARROWS}', "");
Expect(1, 11007, '\P{	-INMISCELLANEOUS_SYMBOLS AND-ARROWS}', "");
Expect(0, 11007, '\P{^	-INMISCELLANEOUS_SYMBOLS AND-ARROWS}', "");
Error('\p{_ Print/a/}');
Error('\P{_ Print/a/}');
Expect(1, 126, '\p{print}', "");
Expect(0, 126, '\p{^print}', "");
Expect(0, 126, '\P{print}', "");
Expect(1, 126, '\P{^print}', "");
Expect(0, 31, '\p{print}', "");
Expect(1, 31, '\p{^print}', "");
Expect(1, 31, '\P{print}', "");
Expect(0, 31, '\P{^print}', "");
Expect(1, 126, '\p{ Print}', "");
Expect(0, 126, '\p{^ Print}', "");
Expect(0, 126, '\P{ Print}', "");
Expect(1, 126, '\P{^ Print}', "");
Expect(0, 31, '\p{ Print}', "");
Expect(1, 31, '\p{^ Print}', "");
Expect(1, 31, '\P{ Print}', "");
Expect(0, 31, '\P{^ Print}', "");
Error('\p{ /a/Is	Print}');
Error('\P{ /a/Is	Print}');
Expect(1, 126, '\p{isprint}', "");
Expect(0, 126, '\p{^isprint}', "");
Expect(0, 126, '\P{isprint}', "");
Expect(1, 126, '\P{^isprint}', "");
Expect(0, 31, '\p{isprint}', "");
Expect(1, 31, '\p{^isprint}', "");
Expect(1, 31, '\P{isprint}', "");
Expect(0, 31, '\P{^isprint}', "");
Expect(1, 126, '\p{_ IS-PRINT}', "");
Expect(0, 126, '\p{^_ IS-PRINT}', "");
Expect(0, 126, '\P{_ IS-PRINT}', "");
Expect(1, 126, '\P{^_ IS-PRINT}', "");
Expect(0, 31, '\p{_ IS-PRINT}', "");
Expect(1, 31, '\p{^_ IS-PRINT}', "");
Expect(1, 31, '\P{_ IS-PRINT}', "");
Expect(0, 31, '\P{^_ IS-PRINT}', "");
Error('\p{ :=IDStrinary_operator}');
Error('\P{ :=IDStrinary_operator}');
Expect(1, 12275, '\p{idstrinaryoperator}', "");
Expect(0, 12275, '\p{^idstrinaryoperator}', "");
Expect(0, 12275, '\P{idstrinaryoperator}', "");
Expect(1, 12275, '\P{^idstrinaryoperator}', "");
Expect(0, 12273, '\p{idstrinaryoperator}', "");
Expect(1, 12273, '\p{^idstrinaryoperator}', "");
Expect(1, 12273, '\P{idstrinaryoperator}', "");
Expect(0, 12273, '\P{^idstrinaryoperator}', "");
Expect(1, 12275, '\p{  IDSTRINARY_Operator}', "");
Expect(0, 12275, '\p{^  IDSTRINARY_Operator}', "");
Expect(0, 12275, '\P{  IDSTRINARY_Operator}', "");
Expect(1, 12275, '\P{^  IDSTRINARY_Operator}', "");
Expect(0, 12273, '\p{  IDSTRINARY_Operator}', "");
Expect(1, 12273, '\p{^  IDSTRINARY_Operator}', "");
Expect(1, 12273, '\P{  IDSTRINARY_Operator}', "");
Expect(0, 12273, '\P{^  IDSTRINARY_Operator}', "");
Error('\p{_IsIDS Trinary	Operator/a/}');
Error('\P{_IsIDS Trinary	Operator/a/}');
Expect(1, 12275, '\p{isidstrinaryoperator}', "");
Expect(0, 12275, '\p{^isidstrinaryoperator}', "");
Expect(0, 12275, '\P{isidstrinaryoperator}', "");
Expect(1, 12275, '\P{^isidstrinaryoperator}', "");
Expect(0, 12273, '\p{isidstrinaryoperator}', "");
Expect(1, 12273, '\p{^isidstrinaryoperator}', "");
Expect(1, 12273, '\P{isidstrinaryoperator}', "");
Expect(0, 12273, '\P{^isidstrinaryoperator}', "");
Expect(1, 12275, '\p{_Is_IDS_Trinary OPERATOR}', "");
Expect(0, 12275, '\p{^_Is_IDS_Trinary OPERATOR}', "");
Expect(0, 12275, '\P{_Is_IDS_Trinary OPERATOR}', "");
Expect(1, 12275, '\P{^_Is_IDS_Trinary OPERATOR}', "");
Expect(0, 12273, '\p{_Is_IDS_Trinary OPERATOR}', "");
Expect(1, 12273, '\p{^_Is_IDS_Trinary OPERATOR}', "");
Expect(1, 12273, '\P{_Is_IDS_Trinary OPERATOR}', "");
Expect(0, 12273, '\P{^_Is_IDS_Trinary OPERATOR}', "");
Error('\p{ :=IDST}');
Error('\P{ :=IDST}');
Expect(1, 12275, '\p{idst}', "");
Expect(0, 12275, '\p{^idst}', "");
Expect(0, 12275, '\P{idst}', "");
Expect(1, 12275, '\P{^idst}', "");
Expect(0, 12273, '\p{idst}', "");
Expect(1, 12273, '\p{^idst}', "");
Expect(1, 12273, '\P{idst}', "");
Expect(0, 12273, '\P{^idst}', "");
Expect(1, 12275, '\p{ _idst}', "");
Expect(0, 12275, '\p{^ _idst}', "");
Expect(0, 12275, '\P{ _idst}', "");
Expect(1, 12275, '\P{^ _idst}', "");
Expect(0, 12273, '\p{ _idst}', "");
Expect(1, 12273, '\p{^ _idst}', "");
Expect(1, 12273, '\P{ _idst}', "");
Expect(0, 12273, '\P{^ _idst}', "");
Error('\p{	/a/is-IDST}');
Error('\P{	/a/is-IDST}');
Expect(1, 12275, '\p{isidst}', "");
Expect(0, 12275, '\p{^isidst}', "");
Expect(0, 12275, '\P{isidst}', "");
Expect(1, 12275, '\P{^isidst}', "");
Expect(0, 12273, '\p{isidst}', "");
Expect(1, 12273, '\p{^isidst}', "");
Expect(1, 12273, '\P{isidst}', "");
Expect(0, 12273, '\P{^isidst}', "");
Expect(1, 12275, '\p{	is IDST}', "");
Expect(0, 12275, '\p{^	is IDST}', "");
Expect(0, 12275, '\P{	is IDST}', "");
Expect(1, 12275, '\P{^	is IDST}', "");
Expect(0, 12273, '\p{	is IDST}', "");
Expect(1, 12273, '\p{^	is IDST}', "");
Expect(1, 12273, '\P{	is IDST}', "");
Expect(0, 12273, '\P{^	is IDST}', "");
Error('\p{-CJK/a/RadicalsSUPPLEMENT}');
Error('\P{-CJK/a/RadicalsSUPPLEMENT}');
Expect(1, 12031, '\p{cjkradicalssupplement}', "");
Expect(0, 12031, '\p{^cjkradicalssupplement}', "");
Expect(0, 12031, '\P{cjkradicalssupplement}', "");
Expect(1, 12031, '\P{^cjkradicalssupplement}', "");
Expect(0, 11903, '\p{cjkradicalssupplement}', "");
Expect(1, 11903, '\p{^cjkradicalssupplement}', "");
Expect(1, 11903, '\P{cjkradicalssupplement}', "");
Expect(0, 11903, '\P{^cjkradicalssupplement}', "");
Expect(1, 12031, '\p{ 	CJK Radicals	SUPPLEMENT}', "");
Expect(0, 12031, '\p{^ 	CJK Radicals	SUPPLEMENT}', "");
Expect(0, 12031, '\P{ 	CJK Radicals	SUPPLEMENT}', "");
Expect(1, 12031, '\P{^ 	CJK Radicals	SUPPLEMENT}', "");
Expect(0, 11903, '\p{ 	CJK Radicals	SUPPLEMENT}', "");
Expect(1, 11903, '\p{^ 	CJK Radicals	SUPPLEMENT}', "");
Expect(1, 11903, '\P{ 	CJK Radicals	SUPPLEMENT}', "");
Expect(0, 11903, '\P{^ 	CJK Radicals	SUPPLEMENT}', "");
Error('\p{_IS-CJK-radicals:=SUPPLEMENT}');
Error('\P{_IS-CJK-radicals:=SUPPLEMENT}');
Expect(1, 12031, '\p{iscjkradicalssupplement}', "");
Expect(0, 12031, '\p{^iscjkradicalssupplement}', "");
Expect(0, 12031, '\P{iscjkradicalssupplement}', "");
Expect(1, 12031, '\P{^iscjkradicalssupplement}', "");
Expect(0, 11903, '\p{iscjkradicalssupplement}', "");
Expect(1, 11903, '\p{^iscjkradicalssupplement}', "");
Expect(1, 11903, '\P{iscjkradicalssupplement}', "");
Expect(0, 11903, '\P{^iscjkradicalssupplement}', "");
Expect(1, 12031, '\p{	 IScjkRadicalsSupplement}', "");
Expect(0, 12031, '\p{^	 IScjkRadicalsSupplement}', "");
Expect(0, 12031, '\P{	 IScjkRadicalsSupplement}', "");
Expect(1, 12031, '\P{^	 IScjkRadicalsSupplement}', "");
Expect(0, 11903, '\p{	 IScjkRadicalsSupplement}', "");
Expect(1, 11903, '\p{^	 IScjkRadicalsSupplement}', "");
Expect(1, 11903, '\P{	 IScjkRadicalsSupplement}', "");
Expect(0, 11903, '\P{^	 IScjkRadicalsSupplement}', "");
Error('\p{:=--In_CJK_RADICALS	Supplement}');
Error('\P{:=--In_CJK_RADICALS	Supplement}');
Expect(1, 12031, '\p{incjkradicalssupplement}', "");
Expect(0, 12031, '\p{^incjkradicalssupplement}', "");
Expect(0, 12031, '\P{incjkradicalssupplement}', "");
Expect(1, 12031, '\P{^incjkradicalssupplement}', "");
Expect(0, 11903, '\p{incjkradicalssupplement}', "");
Expect(1, 11903, '\p{^incjkradicalssupplement}', "");
Expect(1, 11903, '\P{incjkradicalssupplement}', "");
Expect(0, 11903, '\P{^incjkradicalssupplement}', "");
Expect(1, 12031, '\p{  In-CJK Radicals SUPPLEMENT}', "");
Expect(0, 12031, '\p{^  In-CJK Radicals SUPPLEMENT}', "");
Expect(0, 12031, '\P{  In-CJK Radicals SUPPLEMENT}', "");
Expect(1, 12031, '\P{^  In-CJK Radicals SUPPLEMENT}', "");
Expect(0, 11903, '\p{  In-CJK Radicals SUPPLEMENT}', "");
Expect(1, 11903, '\p{^  In-CJK Radicals SUPPLEMENT}', "");
Expect(1, 11903, '\P{  In-CJK Radicals SUPPLEMENT}', "");
Expect(0, 11903, '\P{^  In-CJK Radicals SUPPLEMENT}', "");
Error('\p{in-vai/a/}');
Error('\P{in-vai/a/}');
Expect(1, 42559, '\p{invai}', "");
Expect(0, 42559, '\p{^invai}', "");
Expect(0, 42559, '\P{invai}', "");
Expect(1, 42559, '\P{^invai}', "");
Expect(0, 42239, '\p{invai}', "");
Expect(1, 42239, '\p{^invai}', "");
Expect(1, 42239, '\P{invai}', "");
Expect(0, 42239, '\P{^invai}', "");
Expect(1, 42559, '\p{_-IN Vai}', "");
Expect(0, 42559, '\p{^_-IN Vai}', "");
Expect(0, 42559, '\P{_-IN Vai}', "");
Expect(1, 42559, '\P{^_-IN Vai}', "");
Expect(0, 42239, '\p{_-IN Vai}', "");
Expect(1, 42239, '\p{^_-IN Vai}', "");
Expect(1, 42239, '\P{_-IN Vai}', "");
Expect(0, 42239, '\P{^_-IN Vai}', "");
Error('\p{:= -Thaana}');
Error('\P{:= -Thaana}');
Expect(1, 1969, '\p{thaana}', "");
Expect(0, 1969, '\p{^thaana}', "");
Expect(0, 1969, '\P{thaana}', "");
Expect(1, 1969, '\P{^thaana}', "");
Expect(0, 1919, '\p{thaana}', "");
Expect(1, 1919, '\p{^thaana}', "");
Expect(1, 1919, '\P{thaana}', "");
Expect(0, 1919, '\P{^thaana}', "");
Expect(1, 1969, '\p{-_THAANA}', "");
Expect(0, 1969, '\p{^-_THAANA}', "");
Expect(0, 1969, '\P{-_THAANA}', "");
Expect(1, 1969, '\P{^-_THAANA}', "");
Expect(0, 1919, '\p{-_THAANA}', "");
Expect(1, 1919, '\p{^-_THAANA}', "");
Expect(1, 1919, '\P{-_THAANA}', "");
Expect(0, 1919, '\P{^-_THAANA}', "");
Error('\p{-/a/IsTHAANA}');
Error('\P{-/a/IsTHAANA}');
Expect(1, 1969, '\p{isthaana}', "");
Expect(0, 1969, '\p{^isthaana}', "");
Expect(0, 1969, '\P{isthaana}', "");
Expect(1, 1969, '\P{^isthaana}', "");
Expect(0, 1919, '\p{isthaana}', "");
Expect(1, 1919, '\p{^isthaana}', "");
Expect(1, 1919, '\P{isthaana}', "");
Expect(0, 1919, '\P{^isthaana}', "");
Expect(1, 1969, '\p{--Is-Thaana}', "");
Expect(0, 1969, '\p{^--Is-Thaana}', "");
Expect(0, 1969, '\P{--Is-Thaana}', "");
Expect(1, 1969, '\P{^--Is-Thaana}', "");
Expect(0, 1919, '\p{--Is-Thaana}', "");
Expect(1, 1919, '\p{^--Is-Thaana}', "");
Expect(1, 1919, '\P{--Is-Thaana}', "");
Expect(0, 1919, '\P{^--Is-Thaana}', "");
Error('\p{- THAA:=}');
Error('\P{- THAA:=}');
Expect(1, 1969, '\p{thaa}', "");
Expect(0, 1969, '\p{^thaa}', "");
Expect(0, 1969, '\P{thaa}', "");
Expect(1, 1969, '\P{^thaa}', "");
Expect(0, 1919, '\p{thaa}', "");
Expect(1, 1919, '\p{^thaa}', "");
Expect(1, 1919, '\P{thaa}', "");
Expect(0, 1919, '\P{^thaa}', "");
Expect(1, 1969, '\p{_-thaa}', "");
Expect(0, 1969, '\p{^_-thaa}', "");
Expect(0, 1969, '\P{_-thaa}', "");
Expect(1, 1969, '\P{^_-thaa}', "");
Expect(0, 1919, '\p{_-thaa}', "");
Expect(1, 1919, '\p{^_-thaa}', "");
Expect(1, 1919, '\P{_-thaa}', "");
Expect(0, 1919, '\P{^_-thaa}', "");
Error('\p{_is:=Thaa}');
Error('\P{_is:=Thaa}');
Expect(1, 1969, '\p{isthaa}', "");
Expect(0, 1969, '\p{^isthaa}', "");
Expect(0, 1969, '\P{isthaa}', "");
Expect(1, 1969, '\P{^isthaa}', "");
Expect(0, 1919, '\p{isthaa}', "");
Expect(1, 1919, '\p{^isthaa}', "");
Expect(1, 1919, '\P{isthaa}', "");
Expect(0, 1919, '\P{^isthaa}', "");
Expect(1, 1969, '\p{_Is_Thaa}', "");
Expect(0, 1969, '\p{^_Is_Thaa}', "");
Expect(0, 1969, '\P{_Is_Thaa}', "");
Expect(1, 1969, '\P{^_Is_Thaa}', "");
Expect(0, 1919, '\p{_Is_Thaa}', "");
Expect(1, 1919, '\p{^_Is_Thaa}', "");
Expect(1, 1919, '\P{_Is_Thaa}', "");
Expect(0, 1919, '\P{^_Is_Thaa}', "");
Error('\p{/a/	-Other_ID	START}');
Error('\P{/a/	-Other_ID	START}');
Expect(1, 8472, '\p{otheridstart}', 'deprecated');
Expect(0, 8472, '\p{^otheridstart}', 'deprecated');
Expect(0, 8472, '\P{otheridstart}', 'deprecated');
Expect(1, 8472, '\P{^otheridstart}', 'deprecated');
Expect(0, 8471, '\p{otheridstart}', 'deprecated');
Expect(1, 8471, '\p{^otheridstart}', 'deprecated');
Expect(1, 8471, '\P{otheridstart}', 'deprecated');
Expect(0, 8471, '\P{^otheridstart}', 'deprecated');
Expect(1, 8472, '\p{	_other ID-start}', 'deprecated');
Expect(0, 8472, '\p{^	_other ID-start}', 'deprecated');
Expect(0, 8472, '\P{	_other ID-start}', 'deprecated');
Expect(1, 8472, '\P{^	_other ID-start}', 'deprecated');
Expect(0, 8471, '\p{	_other ID-start}', 'deprecated');
Expect(1, 8471, '\p{^	_other ID-start}', 'deprecated');
Expect(1, 8471, '\P{	_other ID-start}', 'deprecated');
Expect(0, 8471, '\P{^	_other ID-start}', 'deprecated');
Error('\p{-:=Is-OTHERID_Start}');
Error('\P{-:=Is-OTHERID_Start}');
Expect(1, 8472, '\p{isotheridstart}', 'deprecated');
Expect(0, 8472, '\p{^isotheridstart}', 'deprecated');
Expect(0, 8472, '\P{isotheridstart}', 'deprecated');
Expect(1, 8472, '\P{^isotheridstart}', 'deprecated');
Expect(0, 8471, '\p{isotheridstart}', 'deprecated');
Expect(1, 8471, '\p{^isotheridstart}', 'deprecated');
Expect(1, 8471, '\P{isotheridstart}', 'deprecated');
Expect(0, 8471, '\P{^isotheridstart}', 'deprecated');
Expect(1, 8472, '\p{_-IsOTHER	id_Start}', 'deprecated');
Expect(0, 8472, '\p{^_-IsOTHER	id_Start}', 'deprecated');
Expect(0, 8472, '\P{_-IsOTHER	id_Start}', 'deprecated');
Expect(1, 8472, '\P{^_-IsOTHER	id_Start}', 'deprecated');
Expect(0, 8471, '\p{_-IsOTHER	id_Start}', 'deprecated');
Expect(1, 8471, '\p{^_-IsOTHER	id_Start}', 'deprecated');
Expect(1, 8471, '\P{_-IsOTHER	id_Start}', 'deprecated');
Expect(0, 8471, '\P{^_-IsOTHER	id_Start}', 'deprecated');
Error('\p{	OIDS:=}');
Error('\P{	OIDS:=}');
Expect(1, 8472, '\p{oids}', 'deprecated');
Expect(0, 8472, '\p{^oids}', 'deprecated');
Expect(0, 8472, '\P{oids}', 'deprecated');
Expect(1, 8472, '\P{^oids}', 'deprecated');
Expect(0, 8471, '\p{oids}', 'deprecated');
Expect(1, 8471, '\p{^oids}', 'deprecated');
Expect(1, 8471, '\P{oids}', 'deprecated');
Expect(0, 8471, '\P{^oids}', 'deprecated');
Expect(1, 8472, '\p{ OIDS}', 'deprecated');
Expect(0, 8472, '\p{^ OIDS}', 'deprecated');
Expect(0, 8472, '\P{ OIDS}', 'deprecated');
Expect(1, 8472, '\P{^ OIDS}', 'deprecated');
Expect(0, 8471, '\p{ OIDS}', 'deprecated');
Expect(1, 8471, '\p{^ OIDS}', 'deprecated');
Expect(1, 8471, '\P{ OIDS}', 'deprecated');
Expect(0, 8471, '\P{^ OIDS}', 'deprecated');
Error('\p{ :=Is	oids}');
Error('\P{ :=Is	oids}');
Expect(1, 8472, '\p{isoids}', 'deprecated');
Expect(0, 8472, '\p{^isoids}', 'deprecated');
Expect(0, 8472, '\P{isoids}', 'deprecated');
Expect(1, 8472, '\P{^isoids}', 'deprecated');
Expect(0, 8471, '\p{isoids}', 'deprecated');
Expect(1, 8471, '\p{^isoids}', 'deprecated');
Expect(1, 8471, '\P{isoids}', 'deprecated');
Expect(0, 8471, '\P{^isoids}', 'deprecated');
Expect(1, 8472, '\p{ IS	OIDS}', 'deprecated');
Expect(0, 8472, '\p{^ IS	OIDS}', 'deprecated');
Expect(0, 8472, '\P{ IS	OIDS}', 'deprecated');
Expect(1, 8472, '\P{^ IS	OIDS}', 'deprecated');
Expect(0, 8471, '\p{ IS	OIDS}', 'deprecated');
Expect(1, 8471, '\p{^ IS	OIDS}', 'deprecated');
Expect(1, 8471, '\P{ IS	OIDS}', 'deprecated');
Expect(0, 8471, '\P{^ IS	OIDS}', 'deprecated');
Error('\p{	/a/specials}');
Error('\P{	/a/specials}');
Expect(1, 65520, '\p{specials}', "");
Expect(0, 65520, '\p{^specials}', "");
Expect(0, 65520, '\P{specials}', "");
Expect(1, 65520, '\P{^specials}', "");
Expect(0, 65519, '\p{specials}', "");
Expect(1, 65519, '\p{^specials}', "");
Expect(1, 65519, '\P{specials}', "");
Expect(0, 65519, '\P{^specials}', "");
Expect(1, 65520, '\p{_SPECIALS}', "");
Expect(0, 65520, '\p{^_SPECIALS}', "");
Expect(0, 65520, '\P{_SPECIALS}', "");
Expect(1, 65520, '\P{^_SPECIALS}', "");
Expect(0, 65519, '\p{_SPECIALS}', "");
Expect(1, 65519, '\p{^_SPECIALS}', "");
Expect(1, 65519, '\P{_SPECIALS}', "");
Expect(0, 65519, '\P{^_SPECIALS}', "");
Error('\p{/a/IS_Specials}');
Error('\P{/a/IS_Specials}');
Expect(1, 65520, '\p{isspecials}', "");
Expect(0, 65520, '\p{^isspecials}', "");
Expect(0, 65520, '\P{isspecials}', "");
Expect(1, 65520, '\P{^isspecials}', "");
Expect(0, 65519, '\p{isspecials}', "");
Expect(1, 65519, '\p{^isspecials}', "");
Expect(1, 65519, '\P{isspecials}', "");
Expect(0, 65519, '\P{^isspecials}', "");
Expect(1, 65520, '\p{  Isspecials}', "");
Expect(0, 65520, '\p{^  Isspecials}', "");
Expect(0, 65520, '\P{  Isspecials}', "");
Expect(1, 65520, '\P{^  Isspecials}', "");
Expect(0, 65519, '\p{  Isspecials}', "");
Expect(1, 65519, '\p{^  Isspecials}', "");
Expect(1, 65519, '\P{  Isspecials}', "");
Expect(0, 65519, '\P{^  Isspecials}', "");
Error('\p{ _In Specials/a/}');
Error('\P{ _In Specials/a/}');
Expect(1, 65520, '\p{inspecials}', "");
Expect(0, 65520, '\p{^inspecials}', "");
Expect(0, 65520, '\P{inspecials}', "");
Expect(1, 65520, '\P{^inspecials}', "");
Expect(0, 65519, '\p{inspecials}', "");
Expect(1, 65519, '\p{^inspecials}', "");
Expect(1, 65519, '\P{inspecials}', "");
Expect(0, 65519, '\P{^inspecials}', "");
Expect(1, 65520, '\p{	InSpecials}', "");
Expect(0, 65520, '\p{^	InSpecials}', "");
Expect(0, 65520, '\P{	InSpecials}', "");
Expect(1, 65520, '\P{^	InSpecials}', "");
Expect(0, 65519, '\p{	InSpecials}', "");
Expect(1, 65519, '\p{^	InSpecials}', "");
Expect(1, 65519, '\P{	InSpecials}', "");
Expect(0, 65519, '\P{^	InSpecials}', "");
Error('\p{-:=Mathematical_Operators}');
Error('\P{-:=Mathematical_Operators}');
Expect(1, 8959, '\p{mathematicaloperators}', "");
Expect(0, 8959, '\p{^mathematicaloperators}', "");
Expect(0, 8959, '\P{mathematicaloperators}', "");
Expect(1, 8959, '\P{^mathematicaloperators}', "");
Expect(0, 8703, '\p{mathematicaloperators}', "");
Expect(1, 8703, '\p{^mathematicaloperators}', "");
Expect(1, 8703, '\P{mathematicaloperators}', "");
Expect(0, 8703, '\P{^mathematicaloperators}', "");
Expect(1, 8959, '\p{	-MathematicalOperators}', "");
Expect(0, 8959, '\p{^	-MathematicalOperators}', "");
Expect(0, 8959, '\P{	-MathematicalOperators}', "");
Expect(1, 8959, '\P{^	-MathematicalOperators}', "");
Expect(0, 8703, '\p{	-MathematicalOperators}', "");
Expect(1, 8703, '\p{^	-MathematicalOperators}', "");
Expect(1, 8703, '\P{	-MathematicalOperators}', "");
Expect(0, 8703, '\P{^	-MathematicalOperators}', "");
Error('\p{	/a/IsMATHEMATICAL-Operators}');
Error('\P{	/a/IsMATHEMATICAL-Operators}');
Expect(1, 8959, '\p{ismathematicaloperators}', "");
Expect(0, 8959, '\p{^ismathematicaloperators}', "");
Expect(0, 8959, '\P{ismathematicaloperators}', "");
Expect(1, 8959, '\P{^ismathematicaloperators}', "");
Expect(0, 8703, '\p{ismathematicaloperators}', "");
Expect(1, 8703, '\p{^ismathematicaloperators}', "");
Expect(1, 8703, '\P{ismathematicaloperators}', "");
Expect(0, 8703, '\P{^ismathematicaloperators}', "");
Expect(1, 8959, '\p{ 	IS_Mathematical-Operators}', "");
Expect(0, 8959, '\p{^ 	IS_Mathematical-Operators}', "");
Expect(0, 8959, '\P{ 	IS_Mathematical-Operators}', "");
Expect(1, 8959, '\P{^ 	IS_Mathematical-Operators}', "");
Expect(0, 8703, '\p{ 	IS_Mathematical-Operators}', "");
Expect(1, 8703, '\p{^ 	IS_Mathematical-Operators}', "");
Expect(1, 8703, '\P{ 	IS_Mathematical-Operators}', "");
Expect(0, 8703, '\P{^ 	IS_Mathematical-Operators}', "");
Error('\p{ _In:=Mathematical OPERATORS}');
Error('\P{ _In:=Mathematical OPERATORS}');
Expect(1, 8959, '\p{inmathematicaloperators}', "");
Expect(0, 8959, '\p{^inmathematicaloperators}', "");
Expect(0, 8959, '\P{inmathematicaloperators}', "");
Expect(1, 8959, '\P{^inmathematicaloperators}', "");
Expect(0, 8703, '\p{inmathematicaloperators}', "");
Expect(1, 8703, '\p{^inmathematicaloperators}', "");
Expect(1, 8703, '\P{inmathematicaloperators}', "");
Expect(0, 8703, '\P{^inmathematicaloperators}', "");
Expect(1, 8959, '\p{		in Mathematical_Operators}', "");
Expect(0, 8959, '\p{^		in Mathematical_Operators}', "");
Expect(0, 8959, '\P{		in Mathematical_Operators}', "");
Expect(1, 8959, '\P{^		in Mathematical_Operators}', "");
Expect(0, 8703, '\p{		in Mathematical_Operators}', "");
Expect(1, 8703, '\p{^		in Mathematical_Operators}', "");
Expect(1, 8703, '\P{		in Mathematical_Operators}', "");
Expect(0, 8703, '\P{^		in Mathematical_Operators}', "");
Error('\p{-BIDI:=mirrored}');
Error('\P{-BIDI:=mirrored}');
Expect(1, 41, '\p{bidimirrored}', "");
Expect(0, 41, '\p{^bidimirrored}', "");
Expect(0, 41, '\P{bidimirrored}', "");
Expect(1, 41, '\P{^bidimirrored}', "");
Expect(0, 39, '\p{bidimirrored}', "");
Expect(1, 39, '\p{^bidimirrored}', "");
Expect(1, 39, '\P{bidimirrored}', "");
Expect(0, 39, '\P{^bidimirrored}', "");
Expect(1, 41, '\p{_Bidi-Mirrored}', "");
Expect(0, 41, '\p{^_Bidi-Mirrored}', "");
Expect(0, 41, '\P{_Bidi-Mirrored}', "");
Expect(1, 41, '\P{^_Bidi-Mirrored}', "");
Expect(0, 39, '\p{_Bidi-Mirrored}', "");
Expect(1, 39, '\p{^_Bidi-Mirrored}', "");
Expect(1, 39, '\P{_Bidi-Mirrored}', "");
Expect(0, 39, '\P{^_Bidi-Mirrored}', "");
Error('\p{-/a/Is	bidi-MIRRORED}');
Error('\P{-/a/Is	bidi-MIRRORED}');
Expect(1, 41, '\p{isbidimirrored}', "");
Expect(0, 41, '\p{^isbidimirrored}', "");
Expect(0, 41, '\P{isbidimirrored}', "");
Expect(1, 41, '\P{^isbidimirrored}', "");
Expect(0, 39, '\p{isbidimirrored}', "");
Expect(1, 39, '\p{^isbidimirrored}', "");
Expect(1, 39, '\P{isbidimirrored}', "");
Expect(0, 39, '\P{^isbidimirrored}', "");
Expect(1, 41, '\p{	IsBidi_Mirrored}', "");
Expect(0, 41, '\p{^	IsBidi_Mirrored}', "");
Expect(0, 41, '\P{	IsBidi_Mirrored}', "");
Expect(1, 41, '\P{^	IsBidi_Mirrored}', "");
Expect(0, 39, '\p{	IsBidi_Mirrored}', "");
Expect(1, 39, '\p{^	IsBidi_Mirrored}', "");
Expect(1, 39, '\P{	IsBidi_Mirrored}', "");
Expect(0, 39, '\P{^	IsBidi_Mirrored}', "");
Error('\p{/a/-_Bidi M}');
Error('\P{/a/-_Bidi M}');
Expect(1, 41, '\p{bidim}', "");
Expect(0, 41, '\p{^bidim}', "");
Expect(0, 41, '\P{bidim}', "");
Expect(1, 41, '\P{^bidim}', "");
Expect(0, 39, '\p{bidim}', "");
Expect(1, 39, '\p{^bidim}', "");
Expect(1, 39, '\P{bidim}', "");
Expect(0, 39, '\P{^bidim}', "");
Expect(1, 41, '\p{-BIDIM}', "");
Expect(0, 41, '\p{^-BIDIM}', "");
Expect(0, 41, '\P{-BIDIM}', "");
Expect(1, 41, '\P{^-BIDIM}', "");
Expect(0, 39, '\p{-BIDIM}', "");
Expect(1, 39, '\p{^-BIDIM}', "");
Expect(1, 39, '\P{-BIDIM}', "");
Expect(0, 39, '\P{^-BIDIM}', "");
Error('\p{IS/a/Bidi_M}');
Error('\P{IS/a/Bidi_M}');
Expect(1, 41, '\p{isbidim}', "");
Expect(0, 41, '\p{^isbidim}', "");
Expect(0, 41, '\P{isbidim}', "");
Expect(1, 41, '\P{^isbidim}', "");
Expect(0, 39, '\p{isbidim}', "");
Expect(1, 39, '\p{^isbidim}', "");
Expect(1, 39, '\P{isbidim}', "");
Expect(0, 39, '\P{^isbidim}', "");
Expect(1, 41, '\p{__is-Bidi M}', "");
Expect(0, 41, '\p{^__is-Bidi M}', "");
Expect(0, 41, '\P{__is-Bidi M}', "");
Expect(1, 41, '\P{^__is-Bidi M}', "");
Expect(0, 39, '\p{__is-Bidi M}', "");
Expect(1, 39, '\p{^__is-Bidi M}', "");
Expect(1, 39, '\P{__is-Bidi M}', "");
Expect(0, 39, '\P{^__is-Bidi M}', "");
Error('\p{Katakana_Or_Hiragana}');
Error('\P{Katakana_Or_Hiragana}');
Error('\p{Is_Katakana_Or_Hiragana}');
Error('\P{Is_Katakana_Or_Hiragana}');
Error('\p{Hrkt}');
Error('\P{Hrkt}');
Error('\p{Is_Hrkt}');
Error('\P{Is_Hrkt}');
Error('\p{/a/ 	Other-SYMBOL}');
Error('\P{/a/ 	Other-SYMBOL}');
Expect(1, 167, '\p{othersymbol}', "");
Expect(0, 167, '\p{^othersymbol}', "");
Expect(0, 167, '\P{othersymbol}', "");
Expect(1, 167, '\P{^othersymbol}', "");
Expect(0, 165, '\p{othersymbol}', "");
Expect(1, 165, '\p{^othersymbol}', "");
Expect(1, 165, '\P{othersymbol}', "");
Expect(0, 165, '\P{^othersymbol}', "");
Expect(1, 167, '\p{__OtherSYMBOL}', "");
Expect(0, 167, '\p{^__OtherSYMBOL}', "");
Expect(0, 167, '\P{__OtherSYMBOL}', "");
Expect(1, 167, '\P{^__OtherSYMBOL}', "");
Expect(0, 165, '\p{__OtherSYMBOL}', "");
Expect(1, 165, '\p{^__OtherSYMBOL}', "");
Expect(1, 165, '\P{__OtherSYMBOL}', "");
Expect(0, 165, '\P{^__OtherSYMBOL}', "");
Error('\p{is/a/other	SYMBOL}');
Error('\P{is/a/other	SYMBOL}');
Expect(1, 167, '\p{isothersymbol}', "");
Expect(0, 167, '\p{^isothersymbol}', "");
Expect(0, 167, '\P{isothersymbol}', "");
Expect(1, 167, '\P{^isothersymbol}', "");
Expect(0, 165, '\p{isothersymbol}', "");
Expect(1, 165, '\p{^isothersymbol}', "");
Expect(1, 165, '\P{isothersymbol}', "");
Expect(0, 165, '\P{^isothersymbol}', "");
Expect(1, 167, '\p{-is_OTHER	Symbol}', "");
Expect(0, 167, '\p{^-is_OTHER	Symbol}', "");
Expect(0, 167, '\P{-is_OTHER	Symbol}', "");
Expect(1, 167, '\P{^-is_OTHER	Symbol}', "");
Expect(0, 165, '\p{-is_OTHER	Symbol}', "");
Expect(1, 165, '\p{^-is_OTHER	Symbol}', "");
Expect(1, 165, '\P{-is_OTHER	Symbol}', "");
Expect(0, 165, '\P{^-is_OTHER	Symbol}', "");
Error('\p{ SO:=}');
Error('\P{ SO:=}');
Expect(1, 167, '\p{so}', "");
Expect(0, 167, '\p{^so}', "");
Expect(0, 167, '\P{so}', "");
Expect(1, 167, '\P{^so}', "");
Expect(0, 165, '\p{so}', "");
Expect(1, 165, '\p{^so}', "");
Expect(1, 165, '\P{so}', "");
Expect(0, 165, '\P{^so}', "");
Expect(1, 167, '\p{So}', "");
Expect(0, 167, '\p{^So}', "");
Expect(0, 167, '\P{So}', "");
Expect(1, 167, '\P{^So}', "");
Expect(0, 165, '\p{So}', "");
Expect(1, 165, '\p{^So}', "");
Expect(1, 165, '\P{So}', "");
Expect(0, 165, '\P{^So}', "");
Error('\p{:=	_is-So}');
Error('\P{:=	_is-So}');
Expect(1, 167, '\p{isso}', "");
Expect(0, 167, '\p{^isso}', "");
Expect(0, 167, '\P{isso}', "");
Expect(1, 167, '\P{^isso}', "");
Expect(0, 165, '\p{isso}', "");
Expect(1, 165, '\p{^isso}', "");
Expect(1, 165, '\P{isso}', "");
Expect(0, 165, '\P{^isso}', "");
Expect(1, 167, '\p{_ IsSo}', "");
Expect(0, 167, '\p{^_ IsSo}', "");
Expect(0, 167, '\P{_ IsSo}', "");
Expect(1, 167, '\P{^_ IsSo}', "");
Expect(0, 165, '\p{_ IsSo}', "");
Expect(1, 165, '\p{^_ IsSo}', "");
Expect(1, 165, '\P{_ IsSo}', "");
Expect(0, 165, '\P{^_ IsSo}', "");
Error('\p{:=		any}');
Error('\P{:=		any}');
Expect(1, 1, '\p{any}', "");
Expect(0, 1, '\p{^any}', "");
Expect(0, 1, '\P{any}', "");
Expect(1, 1, '\P{^any}', "");
Expect(1, 1, '\p{	 Any}', "");
Expect(0, 1, '\p{^	 Any}', "");
Expect(0, 1, '\P{	 Any}', "");
Expect(1, 1, '\P{^	 Any}', "");
Error('\p{_/a/ALL}');
Error('\P{_/a/ALL}');
Expect(1, 1, '\p{all}', "");
Expect(0, 1, '\p{^all}', "");
Expect(0, 1, '\P{all}', "");
Expect(1, 1, '\P{^all}', "");
Expect(1, 1, '\p{-ALL}', "");
Expect(0, 1, '\p{^-ALL}', "");
Expect(0, 1, '\P{-ALL}', "");
Expect(1, 1, '\P{^-ALL}', "");
Error('\p{  Is	ANY/a/}');
Error('\P{  Is	ANY/a/}');
Expect(1, 1, '\p{isany}', "");
Expect(0, 1, '\p{^isany}', "");
Expect(0, 1, '\P{isany}', "");
Expect(1, 1, '\P{^isany}', "");
Expect(1, 1, '\p{Is_Any}', "");
Expect(0, 1, '\p{^Is_Any}', "");
Expect(0, 1, '\P{Is_Any}', "");
Expect(1, 1, '\P{^Is_Any}', "");
Error('\p{/a/IS all}');
Error('\P{/a/IS all}');
Expect(1, 1, '\p{isall}', "");
Expect(0, 1, '\p{^isall}', "");
Expect(0, 1, '\P{isall}', "");
Expect(1, 1, '\P{^isall}', "");
Expect(1, 1, '\p{	_IS_all}', "");
Expect(0, 1, '\p{^	_IS_all}', "");
Expect(0, 1, '\P{	_IS_all}', "");
Expect(1, 1, '\P{^	_IS_all}', "");
Error('\p{	Other:=Letter}');
Error('\P{	Other:=Letter}');
Expect(1, 443, '\p{otherletter}', "");
Expect(0, 443, '\p{^otherletter}', "");
Expect(0, 443, '\P{otherletter}', "");
Expect(1, 443, '\P{^otherletter}', "");
Expect(0, 442, '\p{otherletter}', "");
Expect(1, 442, '\p{^otherletter}', "");
Expect(1, 442, '\P{otherletter}', "");
Expect(0, 442, '\P{^otherletter}', "");
Expect(1, 443, '\p{_Other_letter}', "");
Expect(0, 443, '\p{^_Other_letter}', "");
Expect(0, 443, '\P{_Other_letter}', "");
Expect(1, 443, '\P{^_Other_letter}', "");
Expect(0, 442, '\p{_Other_letter}', "");
Expect(1, 442, '\p{^_Other_letter}', "");
Expect(1, 442, '\P{_Other_letter}', "");
Expect(0, 442, '\P{^_Other_letter}', "");
Error('\p{	Is-OTHER/a/LETTER}');
Error('\P{	Is-OTHER/a/LETTER}');
Expect(1, 443, '\p{isotherletter}', "");
Expect(0, 443, '\p{^isotherletter}', "");
Expect(0, 443, '\P{isotherletter}', "");
Expect(1, 443, '\P{^isotherletter}', "");
Expect(0, 442, '\p{isotherletter}', "");
Expect(1, 442, '\p{^isotherletter}', "");
Expect(1, 442, '\P{isotherletter}', "");
Expect(0, 442, '\P{^isotherletter}', "");
Expect(1, 443, '\p{_IS_other_Letter}', "");
Expect(0, 443, '\p{^_IS_other_Letter}', "");
Expect(0, 443, '\P{_IS_other_Letter}', "");
Expect(1, 443, '\P{^_IS_other_Letter}', "");
Expect(0, 442, '\p{_IS_other_Letter}', "");
Expect(1, 442, '\p{^_IS_other_Letter}', "");
Expect(1, 442, '\P{_IS_other_Letter}', "");
Expect(0, 442, '\P{^_IS_other_Letter}', "");
Error('\p{:=- LO}');
Error('\P{:=- LO}');
Expect(1, 443, '\p{lo}', "");
Expect(0, 443, '\p{^lo}', "");
Expect(0, 443, '\P{lo}', "");
Expect(1, 443, '\P{^lo}', "");
Expect(0, 442, '\p{lo}', "");
Expect(1, 442, '\p{^lo}', "");
Expect(1, 442, '\P{lo}', "");
Expect(0, 442, '\P{^lo}', "");
Expect(1, 443, '\p{- Lo}', "");
Expect(0, 443, '\p{^- Lo}', "");
Expect(0, 443, '\P{- Lo}', "");
Expect(1, 443, '\P{^- Lo}', "");
Expect(0, 442, '\p{- Lo}', "");
Expect(1, 442, '\p{^- Lo}', "");
Expect(1, 442, '\P{- Lo}', "");
Expect(0, 442, '\P{^- Lo}', "");
Error('\p{--is/a/Lo}');
Error('\P{--is/a/Lo}');
Expect(1, 443, '\p{islo}', "");
Expect(0, 443, '\p{^islo}', "");
Expect(0, 443, '\P{islo}', "");
Expect(1, 443, '\P{^islo}', "");
Expect(0, 442, '\p{islo}', "");
Expect(1, 442, '\p{^islo}', "");
Expect(1, 442, '\P{islo}', "");
Expect(0, 442, '\P{^islo}', "");
Expect(1, 443, '\p{-Is LO}', "");
Expect(0, 443, '\p{^-Is LO}', "");
Expect(0, 443, '\P{-Is LO}', "");
Expect(1, 443, '\P{^-Is LO}', "");
Expect(0, 442, '\p{-Is LO}', "");
Expect(1, 442, '\p{^-Is LO}', "");
Expect(1, 442, '\P{-Is LO}', "");
Expect(0, 442, '\P{^-Is LO}', "");
Error('\p{/a/OTHER	DEFAULTIgnorable	Code-Point}');
Error('\P{/a/OTHER	DEFAULTIgnorable	Code-Point}');
Expect(1, 847, '\p{otherdefaultignorablecodepoint}', 'deprecated');
Expect(0, 847, '\p{^otherdefaultignorablecodepoint}', 'deprecated');
Expect(0, 847, '\P{otherdefaultignorablecodepoint}', 'deprecated');
Expect(1, 847, '\P{^otherdefaultignorablecodepoint}', 'deprecated');
Expect(0, 846, '\p{otherdefaultignorablecodepoint}', 'deprecated');
Expect(1, 846, '\p{^otherdefaultignorablecodepoint}', 'deprecated');
Expect(1, 846, '\P{otherdefaultignorablecodepoint}', 'deprecated');
Expect(0, 846, '\P{^otherdefaultignorablecodepoint}', 'deprecated');
Expect(1, 847, '\p{-_Other-default	Ignorable-Codepoint}', 'deprecated');
Expect(0, 847, '\p{^-_Other-default	Ignorable-Codepoint}', 'deprecated');
Expect(0, 847, '\P{-_Other-default	Ignorable-Codepoint}', 'deprecated');
Expect(1, 847, '\P{^-_Other-default	Ignorable-Codepoint}', 'deprecated');
Expect(0, 846, '\p{-_Other-default	Ignorable-Codepoint}', 'deprecated');
Expect(1, 846, '\p{^-_Other-default	Ignorable-Codepoint}', 'deprecated');
Expect(1, 846, '\P{-_Other-default	Ignorable-Codepoint}', 'deprecated');
Expect(0, 846, '\P{^-_Other-default	Ignorable-Codepoint}', 'deprecated');
Error('\p{-:=Is Other	DEFAULT	IGNORABLE-CODE point}');
Error('\P{-:=Is Other	DEFAULT	IGNORABLE-CODE point}');
Expect(1, 847, '\p{isotherdefaultignorablecodepoint}', 'deprecated');
Expect(0, 847, '\p{^isotherdefaultignorablecodepoint}', 'deprecated');
Expect(0, 847, '\P{isotherdefaultignorablecodepoint}', 'deprecated');
Expect(1, 847, '\P{^isotherdefaultignorablecodepoint}', 'deprecated');
Expect(0, 846, '\p{isotherdefaultignorablecodepoint}', 'deprecated');
Expect(1, 846, '\p{^isotherdefaultignorablecodepoint}', 'deprecated');
Expect(1, 846, '\P{isotherdefaultignorablecodepoint}', 'deprecated');
Expect(0, 846, '\P{^isotherdefaultignorablecodepoint}', 'deprecated');
Expect(1, 847, '\p{ _Is-Other	Default	ignorable_CODE point}', 'deprecated');
Expect(0, 847, '\p{^ _Is-Other	Default	ignorable_CODE point}', 'deprecated');
Expect(0, 847, '\P{ _Is-Other	Default	ignorable_CODE point}', 'deprecated');
Expect(1, 847, '\P{^ _Is-Other	Default	ignorable_CODE point}', 'deprecated');
Expect(0, 846, '\p{ _Is-Other	Default	ignorable_CODE point}', 'deprecated');
Expect(1, 846, '\p{^ _Is-Other	Default	ignorable_CODE point}', 'deprecated');
Expect(1, 846, '\P{ _Is-Other	Default	ignorable_CODE point}', 'deprecated');
Expect(0, 846, '\P{^ _Is-Other	Default	ignorable_CODE point}', 'deprecated');
Error('\p{:=_ODI}');
Error('\P{:=_ODI}');
Expect(1, 847, '\p{odi}', 'deprecated');
Expect(0, 847, '\p{^odi}', 'deprecated');
Expect(0, 847, '\P{odi}', 'deprecated');
Expect(1, 847, '\P{^odi}', 'deprecated');
Expect(0, 846, '\p{odi}', 'deprecated');
Expect(1, 846, '\p{^odi}', 'deprecated');
Expect(1, 846, '\P{odi}', 'deprecated');
Expect(0, 846, '\P{^odi}', 'deprecated');
Expect(1, 847, '\p{_	ODI}', 'deprecated');
Expect(0, 847, '\p{^_	ODI}', 'deprecated');
Expect(0, 847, '\P{_	ODI}', 'deprecated');
Expect(1, 847, '\P{^_	ODI}', 'deprecated');
Expect(0, 846, '\p{_	ODI}', 'deprecated');
Expect(1, 846, '\p{^_	ODI}', 'deprecated');
Expect(1, 846, '\P{_	ODI}', 'deprecated');
Expect(0, 846, '\P{^_	ODI}', 'deprecated');
Error('\p{:=-	Is ODI}');
Error('\P{:=-	Is ODI}');
Expect(1, 847, '\p{isodi}', 'deprecated');
Expect(0, 847, '\p{^isodi}', 'deprecated');
Expect(0, 847, '\P{isodi}', 'deprecated');
Expect(1, 847, '\P{^isodi}', 'deprecated');
Expect(0, 846, '\p{isodi}', 'deprecated');
Expect(1, 846, '\p{^isodi}', 'deprecated');
Expect(1, 846, '\P{isodi}', 'deprecated');
Expect(0, 846, '\P{^isodi}', 'deprecated');
Expect(1, 847, '\p{_	IS-ODI}', 'deprecated');
Expect(0, 847, '\p{^_	IS-ODI}', 'deprecated');
Expect(0, 847, '\P{_	IS-ODI}', 'deprecated');
Expect(1, 847, '\P{^_	IS-ODI}', 'deprecated');
Expect(0, 846, '\p{_	IS-ODI}', 'deprecated');
Expect(1, 846, '\p{^_	IS-ODI}', 'deprecated');
Expect(1, 846, '\P{_	IS-ODI}', 'deprecated');
Expect(0, 846, '\P{^_	IS-ODI}', 'deprecated');
Error('\p{- sundanese:=}');
Error('\P{- sundanese:=}');
Expect(1, 7082, '\p{sundanese}', "");
Expect(0, 7082, '\p{^sundanese}', "");
Expect(0, 7082, '\P{sundanese}', "");
Expect(1, 7082, '\P{^sundanese}', "");
Expect(0, 7039, '\p{sundanese}', "");
Expect(1, 7039, '\p{^sundanese}', "");
Expect(1, 7039, '\P{sundanese}', "");
Expect(0, 7039, '\P{^sundanese}', "");
Expect(1, 7082, '\p{_	Sundanese}', "");
Expect(0, 7082, '\p{^_	Sundanese}', "");
Expect(0, 7082, '\P{_	Sundanese}', "");
Expect(1, 7082, '\P{^_	Sundanese}', "");
Expect(0, 7039, '\p{_	Sundanese}', "");
Expect(1, 7039, '\p{^_	Sundanese}', "");
Expect(1, 7039, '\P{_	Sundanese}', "");
Expect(0, 7039, '\P{^_	Sundanese}', "");
Error('\p{	/a/IS-SUNDANESE}');
Error('\P{	/a/IS-SUNDANESE}');
Expect(1, 7082, '\p{issundanese}', "");
Expect(0, 7082, '\p{^issundanese}', "");
Expect(0, 7082, '\P{issundanese}', "");
Expect(1, 7082, '\P{^issundanese}', "");
Expect(0, 7039, '\p{issundanese}', "");
Expect(1, 7039, '\p{^issundanese}', "");
Expect(1, 7039, '\P{issundanese}', "");
Expect(0, 7039, '\P{^issundanese}', "");
Expect(1, 7082, '\p{ is-Sundanese}', "");
Expect(0, 7082, '\p{^ is-Sundanese}', "");
Expect(0, 7082, '\P{ is-Sundanese}', "");
Expect(1, 7082, '\P{^ is-Sundanese}', "");
Expect(0, 7039, '\p{ is-Sundanese}', "");
Expect(1, 7039, '\p{^ is-Sundanese}', "");
Expect(1, 7039, '\P{ is-Sundanese}', "");
Expect(0, 7039, '\P{^ is-Sundanese}', "");
Error('\p{_:=Sund}');
Error('\P{_:=Sund}');
Expect(1, 7082, '\p{sund}', "");
Expect(0, 7082, '\p{^sund}', "");
Expect(0, 7082, '\P{sund}', "");
Expect(1, 7082, '\P{^sund}', "");
Expect(0, 7039, '\p{sund}', "");
Expect(1, 7039, '\p{^sund}', "");
Expect(1, 7039, '\P{sund}', "");
Expect(0, 7039, '\P{^sund}', "");
Expect(1, 7082, '\p{_SUND}', "");
Expect(0, 7082, '\p{^_SUND}', "");
Expect(0, 7082, '\P{_SUND}', "");
Expect(1, 7082, '\P{^_SUND}', "");
Expect(0, 7039, '\p{_SUND}', "");
Expect(1, 7039, '\p{^_SUND}', "");
Expect(1, 7039, '\P{_SUND}', "");
Expect(0, 7039, '\P{^_SUND}', "");
Error('\p{ is/a/SUND}');
Error('\P{ is/a/SUND}');
Expect(1, 7082, '\p{issund}', "");
Expect(0, 7082, '\p{^issund}', "");
Expect(0, 7082, '\P{issund}', "");
Expect(1, 7082, '\P{^issund}', "");
Expect(0, 7039, '\p{issund}', "");
Expect(1, 7039, '\p{^issund}', "");
Expect(1, 7039, '\P{issund}', "");
Expect(0, 7039, '\P{^issund}', "");
Expect(1, 7082, '\p{__Is_sund}', "");
Expect(0, 7082, '\p{^__Is_sund}', "");
Expect(0, 7082, '\P{__Is_sund}', "");
Expect(1, 7082, '\P{^__Is_sund}', "");
Expect(0, 7039, '\p{__Is_sund}', "");
Expect(1, 7039, '\p{^__Is_sund}', "");
Expect(1, 7039, '\P{__Is_sund}', "");
Expect(0, 7039, '\P{^__Is_sund}', "");
Error('\p{:=_-Carian}');
Error('\P{:=_-Carian}');
Expect(1, 66256, '\p{carian}', "");
Expect(0, 66256, '\p{^carian}', "");
Expect(0, 66256, '\P{carian}', "");
Expect(1, 66256, '\P{^carian}', "");
Expect(0, 66207, '\p{carian}', "");
Expect(1, 66207, '\p{^carian}', "");
Expect(1, 66207, '\P{carian}', "");
Expect(0, 66207, '\P{^carian}', "");
Expect(1, 66256, '\p{	Carian}', "");
Expect(0, 66256, '\p{^	Carian}', "");
Expect(0, 66256, '\P{	Carian}', "");
Expect(1, 66256, '\P{^	Carian}', "");
Expect(0, 66207, '\p{	Carian}', "");
Expect(1, 66207, '\p{^	Carian}', "");
Expect(1, 66207, '\P{	Carian}', "");
Expect(0, 66207, '\P{^	Carian}', "");
Error('\p{is_Carian/a/}');
Error('\P{is_Carian/a/}');
Expect(1, 66256, '\p{iscarian}', "");
Expect(0, 66256, '\p{^iscarian}', "");
Expect(0, 66256, '\P{iscarian}', "");
Expect(1, 66256, '\P{^iscarian}', "");
Expect(0, 66207, '\p{iscarian}', "");
Expect(1, 66207, '\p{^iscarian}', "");
Expect(1, 66207, '\P{iscarian}', "");
Expect(0, 66207, '\P{^iscarian}', "");
Expect(1, 66256, '\p{IsCarian}', "");
Expect(0, 66256, '\p{^IsCarian}', "");
Expect(0, 66256, '\P{IsCarian}', "");
Expect(1, 66256, '\P{^IsCarian}', "");
Expect(0, 66207, '\p{IsCarian}', "");
Expect(1, 66207, '\p{^IsCarian}', "");
Expect(1, 66207, '\P{IsCarian}', "");
Expect(0, 66207, '\P{^IsCarian}', "");
Error('\p{_	Cari/a/}');
Error('\P{_	Cari/a/}');
Expect(1, 66256, '\p{cari}', "");
Expect(0, 66256, '\p{^cari}', "");
Expect(0, 66256, '\P{cari}', "");
Expect(1, 66256, '\P{^cari}', "");
Expect(0, 66207, '\p{cari}', "");
Expect(1, 66207, '\p{^cari}', "");
Expect(1, 66207, '\P{cari}', "");
Expect(0, 66207, '\P{^cari}', "");
Expect(1, 66256, '\p{		CARI}', "");
Expect(0, 66256, '\p{^		CARI}', "");
Expect(0, 66256, '\P{		CARI}', "");
Expect(1, 66256, '\P{^		CARI}', "");
Expect(0, 66207, '\p{		CARI}', "");
Expect(1, 66207, '\p{^		CARI}', "");
Expect(1, 66207, '\P{		CARI}', "");
Expect(0, 66207, '\P{^		CARI}', "");
Error('\p{_	Is	Cari/a/}');
Error('\P{_	Is	Cari/a/}');
Expect(1, 66256, '\p{iscari}', "");
Expect(0, 66256, '\p{^iscari}', "");
Expect(0, 66256, '\P{iscari}', "");
Expect(1, 66256, '\P{^iscari}', "");
Expect(0, 66207, '\p{iscari}', "");
Expect(1, 66207, '\p{^iscari}', "");
Expect(1, 66207, '\P{iscari}', "");
Expect(0, 66207, '\P{^iscari}', "");
Expect(1, 66256, '\p{- Is_Cari}', "");
Expect(0, 66256, '\p{^- Is_Cari}', "");
Expect(0, 66256, '\P{- Is_Cari}', "");
Expect(1, 66256, '\P{^- Is_Cari}', "");
Expect(0, 66207, '\p{- Is_Cari}', "");
Expect(1, 66207, '\p{^- Is_Cari}', "");
Expect(1, 66207, '\P{- Is_Cari}', "");
Expect(0, 66207, '\P{^- Is_Cari}', "");
Error('\p{/a/  old_italic}');
Error('\P{/a/  old_italic}');
Expect(1, 66334, '\p{olditalic}', "");
Expect(0, 66334, '\p{^olditalic}', "");
Expect(0, 66334, '\P{olditalic}', "");
Expect(1, 66334, '\P{^olditalic}', "");
Expect(0, 66303, '\p{olditalic}', "");
Expect(1, 66303, '\p{^olditalic}', "");
Expect(1, 66303, '\P{olditalic}', "");
Expect(0, 66303, '\P{^olditalic}', "");
Expect(1, 66334, '\p{ -Old Italic}', "");
Expect(0, 66334, '\p{^ -Old Italic}', "");
Expect(0, 66334, '\P{ -Old Italic}', "");
Expect(1, 66334, '\P{^ -Old Italic}', "");
Expect(0, 66303, '\p{ -Old Italic}', "");
Expect(1, 66303, '\p{^ -Old Italic}', "");
Expect(1, 66303, '\P{ -Old Italic}', "");
Expect(0, 66303, '\P{^ -Old Italic}', "");
Error('\p{	:=Is_oldItalic}');
Error('\P{	:=Is_oldItalic}');
Expect(1, 66334, '\p{isolditalic}', "");
Expect(0, 66334, '\p{^isolditalic}', "");
Expect(0, 66334, '\P{isolditalic}', "");
Expect(1, 66334, '\P{^isolditalic}', "");
Expect(0, 66303, '\p{isolditalic}', "");
Expect(1, 66303, '\p{^isolditalic}', "");
Expect(1, 66303, '\P{isolditalic}', "");
Expect(0, 66303, '\P{^isolditalic}', "");
Expect(1, 66334, '\p{-is	OLD_Italic}', "");
Expect(0, 66334, '\p{^-is	OLD_Italic}', "");
Expect(0, 66334, '\P{-is	OLD_Italic}', "");
Expect(1, 66334, '\P{^-is	OLD_Italic}', "");
Expect(0, 66303, '\p{-is	OLD_Italic}', "");
Expect(1, 66303, '\p{^-is	OLD_Italic}', "");
Expect(1, 66303, '\P{-is	OLD_Italic}', "");
Expect(0, 66303, '\P{^-is	OLD_Italic}', "");
Error('\p{:= 	ITAL}');
Error('\P{:= 	ITAL}');
Expect(1, 66334, '\p{ital}', "");
Expect(0, 66334, '\p{^ital}', "");
Expect(0, 66334, '\P{ital}', "");
Expect(1, 66334, '\P{^ital}', "");
Expect(0, 66303, '\p{ital}', "");
Expect(1, 66303, '\p{^ital}', "");
Expect(1, 66303, '\P{ital}', "");
Expect(0, 66303, '\P{^ital}', "");
Expect(1, 66334, '\p{	 ital}', "");
Expect(0, 66334, '\p{^	 ital}', "");
Expect(0, 66334, '\P{	 ital}', "");
Expect(1, 66334, '\P{^	 ital}', "");
Expect(0, 66303, '\p{	 ital}', "");
Expect(1, 66303, '\p{^	 ital}', "");
Expect(1, 66303, '\P{	 ital}', "");
Expect(0, 66303, '\P{^	 ital}', "");
Error('\p{/a/__is	Ital}');
Error('\P{/a/__is	Ital}');
Expect(1, 66334, '\p{isital}', "");
Expect(0, 66334, '\p{^isital}', "");
Expect(0, 66334, '\P{isital}', "");
Expect(1, 66334, '\P{^isital}', "");
Expect(0, 66303, '\p{isital}', "");
Expect(1, 66303, '\p{^isital}', "");
Expect(1, 66303, '\P{isital}', "");
Expect(0, 66303, '\P{^isital}', "");
Expect(1, 66334, '\p{_is_Ital}', "");
Expect(0, 66334, '\p{^_is_Ital}', "");
Expect(0, 66334, '\P{_is_Ital}', "");
Expect(1, 66334, '\P{^_is_Ital}', "");
Expect(0, 66303, '\p{_is_Ital}', "");
Expect(1, 66303, '\p{^_is_Ital}', "");
Expect(1, 66303, '\P{_is_Ital}', "");
Expect(0, 66303, '\P{^_is_Ital}', "");
Error('\p{	-xdigit:=}');
Error('\P{	-xdigit:=}');
Expect(1, 57, '\p{xdigit}', "");
Expect(0, 57, '\p{^xdigit}', "");
Expect(0, 57, '\P{xdigit}', "");
Expect(1, 57, '\P{^xdigit}', "");
Expect(0, 47, '\p{xdigit}', "");
Expect(1, 47, '\p{^xdigit}', "");
Expect(1, 47, '\P{xdigit}', "");
Expect(0, 47, '\P{^xdigit}', "");
Expect(1, 57, '\p{	 XDIGIT}', "");
Expect(0, 57, '\p{^	 XDIGIT}', "");
Expect(0, 57, '\P{	 XDIGIT}', "");
Expect(1, 57, '\P{^	 XDIGIT}', "");
Expect(0, 47, '\p{	 XDIGIT}', "");
Expect(1, 47, '\p{^	 XDIGIT}', "");
Expect(1, 47, '\P{	 XDIGIT}', "");
Expect(0, 47, '\P{^	 XDIGIT}', "");
Error('\p{ :=Is	XDigit}');
Error('\P{ :=Is	XDigit}');
Expect(1, 57, '\p{isxdigit}', "");
Expect(0, 57, '\p{^isxdigit}', "");
Expect(0, 57, '\P{isxdigit}', "");
Expect(1, 57, '\P{^isxdigit}', "");
Expect(0, 47, '\p{isxdigit}', "");
Expect(1, 47, '\p{^isxdigit}', "");
Expect(1, 47, '\P{isxdigit}', "");
Expect(0, 47, '\P{^isxdigit}', "");
Expect(1, 57, '\p{	_Is xdigit}', "");
Expect(0, 57, '\p{^	_Is xdigit}', "");
Expect(0, 57, '\P{	_Is xdigit}', "");
Expect(1, 57, '\P{^	_Is xdigit}', "");
Expect(0, 47, '\p{	_Is xdigit}', "");
Expect(1, 47, '\p{^	_Is xdigit}', "");
Expect(1, 47, '\P{	_Is xdigit}', "");
Expect(0, 47, '\P{^	_Is xdigit}', "");
Error('\p{:=-	Hex Digit}');
Error('\P{:=-	Hex Digit}');
Expect(1, 57, '\p{hexdigit}', "");
Expect(0, 57, '\p{^hexdigit}', "");
Expect(0, 57, '\P{hexdigit}', "");
Expect(1, 57, '\P{^hexdigit}', "");
Expect(0, 47, '\p{hexdigit}', "");
Expect(1, 47, '\p{^hexdigit}', "");
Expect(1, 47, '\P{hexdigit}', "");
Expect(0, 47, '\P{^hexdigit}', "");
Expect(1, 57, '\p{	HEX-digit}', "");
Expect(0, 57, '\p{^	HEX-digit}', "");
Expect(0, 57, '\P{	HEX-digit}', "");
Expect(1, 57, '\P{^	HEX-digit}', "");
Expect(0, 47, '\p{	HEX-digit}', "");
Expect(1, 47, '\p{^	HEX-digit}', "");
Expect(1, 47, '\P{	HEX-digit}', "");
Expect(0, 47, '\P{^	HEX-digit}', "");
Error('\p{/a/ISHEXDigit}');
Error('\P{/a/ISHEXDigit}');
Expect(1, 57, '\p{ishexdigit}', "");
Expect(0, 57, '\p{^ishexdigit}', "");
Expect(0, 57, '\P{ishexdigit}', "");
Expect(1, 57, '\P{^ishexdigit}', "");
Expect(0, 47, '\p{ishexdigit}', "");
Expect(1, 47, '\p{^ishexdigit}', "");
Expect(1, 47, '\P{ishexdigit}', "");
Expect(0, 47, '\P{^ishexdigit}', "");
Expect(1, 57, '\p{	 is	Hex-digit}', "");
Expect(0, 57, '\p{^	 is	Hex-digit}', "");
Expect(0, 57, '\P{	 is	Hex-digit}', "");
Expect(1, 57, '\P{^	 is	Hex-digit}', "");
Expect(0, 47, '\p{	 is	Hex-digit}', "");
Expect(1, 47, '\p{^	 is	Hex-digit}', "");
Expect(1, 47, '\P{	 is	Hex-digit}', "");
Expect(0, 47, '\P{^	 is	Hex-digit}', "");
Error('\p{:=_-HEX}');
Error('\P{:=_-HEX}');
Expect(1, 57, '\p{hex}', "");
Expect(0, 57, '\p{^hex}', "");
Expect(0, 57, '\P{hex}', "");
Expect(1, 57, '\P{^hex}', "");
Expect(0, 47, '\p{hex}', "");
Expect(1, 47, '\p{^hex}', "");
Expect(1, 47, '\P{hex}', "");
Expect(0, 47, '\P{^hex}', "");
Expect(1, 57, '\p{-Hex}', "");
Expect(0, 57, '\p{^-Hex}', "");
Expect(0, 57, '\P{-Hex}', "");
Expect(1, 57, '\P{^-Hex}', "");
Expect(0, 47, '\p{-Hex}', "");
Expect(1, 47, '\p{^-Hex}', "");
Expect(1, 47, '\P{-Hex}', "");
Expect(0, 47, '\P{^-Hex}', "");
Error('\p{:=- Is_Hex}');
Error('\P{:=- Is_Hex}');
Expect(1, 57, '\p{ishex}', "");
Expect(0, 57, '\p{^ishex}', "");
Expect(0, 57, '\P{ishex}', "");
Expect(1, 57, '\P{^ishex}', "");
Expect(0, 47, '\p{ishex}', "");
Expect(1, 47, '\p{^ishex}', "");
Expect(1, 47, '\P{ishex}', "");
Expect(0, 47, '\P{^ishex}', "");
Expect(1, 57, '\p{Is-Hex}', "");
Expect(0, 57, '\p{^Is-Hex}', "");
Expect(0, 57, '\P{Is-Hex}', "");
Expect(1, 57, '\P{^Is-Hex}', "");
Expect(0, 47, '\p{Is-Hex}', "");
Expect(1, 47, '\p{^Is-Hex}', "");
Expect(1, 47, '\P{Is-Hex}', "");
Expect(0, 47, '\P{^Is-Hex}', "");
Error('\p{_-Title:=}');
Error('\P{_-Title:=}');
Expect(1, 453, '\p{title}', "");
Expect(0, 453, '\p{^title}', "");
Expect(0, 453, '\P{title}', "");
Expect(1, 453, '\P{^title}', "");
Expect(0, 452, '\p{title}', "");
Expect(1, 452, '\p{^title}', "");
Expect(1, 452, '\P{title}', "");
Expect(0, 452, '\P{^title}', "");
Expect(1, 453, '\p{  TITLE}', "");
Expect(0, 453, '\p{^  TITLE}', "");
Expect(0, 453, '\P{  TITLE}', "");
Expect(1, 453, '\P{^  TITLE}', "");
Expect(0, 452, '\p{  TITLE}', "");
Expect(1, 452, '\p{^  TITLE}', "");
Expect(1, 452, '\P{  TITLE}', "");
Expect(0, 452, '\P{^  TITLE}', "");
Error('\p{-IS_Title:=}');
Error('\P{-IS_Title:=}');
Expect(1, 453, '\p{istitle}', "");
Expect(0, 453, '\p{^istitle}', "");
Expect(0, 453, '\P{istitle}', "");
Expect(1, 453, '\P{^istitle}', "");
Expect(0, 452, '\p{istitle}', "");
Expect(1, 452, '\p{^istitle}', "");
Expect(1, 452, '\P{istitle}', "");
Expect(0, 452, '\P{^istitle}', "");
Expect(1, 453, '\p{is-Title}', "");
Expect(0, 453, '\p{^is-Title}', "");
Expect(0, 453, '\P{is-Title}', "");
Expect(1, 453, '\P{^is-Title}', "");
Expect(0, 452, '\p{is-Title}', "");
Expect(1, 452, '\p{^is-Title}', "");
Expect(1, 452, '\P{is-Title}', "");
Expect(0, 452, '\P{^is-Title}', "");
Error('\p{	TITLECASE:=letter}');
Error('\P{	TITLECASE:=letter}');
Expect(1, 453, '\p{titlecaseletter}', "");
Expect(0, 453, '\p{^titlecaseletter}', "");
Expect(0, 453, '\P{titlecaseletter}', "");
Expect(1, 453, '\P{^titlecaseletter}', "");
Expect(0, 452, '\p{titlecaseletter}', "");
Expect(1, 452, '\p{^titlecaseletter}', "");
Expect(1, 452, '\P{titlecaseletter}', "");
Expect(0, 452, '\P{^titlecaseletter}', "");
Expect(1, 453, '\p{-TITLECASE_letter}', "");
Expect(0, 453, '\p{^-TITLECASE_letter}', "");
Expect(0, 453, '\P{-TITLECASE_letter}', "");
Expect(1, 453, '\P{^-TITLECASE_letter}', "");
Expect(0, 452, '\p{-TITLECASE_letter}', "");
Expect(1, 452, '\p{^-TITLECASE_letter}', "");
Expect(1, 452, '\P{-TITLECASE_letter}', "");
Expect(0, 452, '\P{^-TITLECASE_letter}', "");
Error('\p{ :=Is TITLECASELetter}');
Error('\P{ :=Is TITLECASELetter}');
Expect(1, 453, '\p{istitlecaseletter}', "");
Expect(0, 453, '\p{^istitlecaseletter}', "");
Expect(0, 453, '\P{istitlecaseletter}', "");
Expect(1, 453, '\P{^istitlecaseletter}', "");
Expect(0, 452, '\p{istitlecaseletter}', "");
Expect(1, 452, '\p{^istitlecaseletter}', "");
Expect(1, 452, '\P{istitlecaseletter}', "");
Expect(0, 452, '\P{^istitlecaseletter}', "");
Expect(1, 453, '\p{_Is	TITLECASE-Letter}', "");
Expect(0, 453, '\p{^_Is	TITLECASE-Letter}', "");
Expect(0, 453, '\P{_Is	TITLECASE-Letter}', "");
Expect(1, 453, '\P{^_Is	TITLECASE-Letter}', "");
Expect(0, 452, '\p{_Is	TITLECASE-Letter}', "");
Expect(1, 452, '\p{^_Is	TITLECASE-Letter}', "");
Expect(1, 452, '\P{_Is	TITLECASE-Letter}', "");
Expect(0, 452, '\P{^_Is	TITLECASE-Letter}', "");
Error('\p{/a/lt}');
Error('\P{/a/lt}');
Expect(1, 453, '\p{lt}', "");
Expect(0, 453, '\p{^lt}', "");
Expect(0, 453, '\P{lt}', "");
Expect(1, 453, '\P{^lt}', "");
Expect(0, 452, '\p{lt}', "");
Expect(1, 452, '\p{^lt}', "");
Expect(1, 452, '\P{lt}', "");
Expect(0, 452, '\P{^lt}', "");
Expect(1, 453, '\p{- LT}', "");
Expect(0, 453, '\p{^- LT}', "");
Expect(0, 453, '\P{- LT}', "");
Expect(1, 453, '\P{^- LT}', "");
Expect(0, 452, '\p{- LT}', "");
Expect(1, 452, '\p{^- LT}', "");
Expect(1, 452, '\P{- LT}', "");
Expect(0, 452, '\P{^- LT}', "");
Error('\p{-	ISLt:=}');
Error('\P{-	ISLt:=}');
Expect(1, 453, '\p{islt}', "");
Expect(0, 453, '\p{^islt}', "");
Expect(0, 453, '\P{islt}', "");
Expect(1, 453, '\P{^islt}', "");
Expect(0, 452, '\p{islt}', "");
Expect(1, 452, '\p{^islt}', "");
Expect(1, 452, '\P{islt}', "");
Expect(0, 452, '\P{^islt}', "");
Expect(1, 453, '\p{--IS_Lt}', "");
Expect(0, 453, '\p{^--IS_Lt}', "");
Expect(0, 453, '\P{--IS_Lt}', "");
Expect(1, 453, '\P{^--IS_Lt}', "");
Expect(0, 452, '\p{--IS_Lt}', "");
Expect(1, 452, '\p{^--IS_Lt}', "");
Expect(1, 452, '\P{--IS_Lt}', "");
Expect(0, 452, '\P{^--IS_Lt}', "");
Error('\p{		Spacing/a/Modifier Letters}');
Error('\P{		Spacing/a/Modifier Letters}');
Expect(1, 767, '\p{spacingmodifierletters}', "");
Expect(0, 767, '\p{^spacingmodifierletters}', "");
Expect(0, 767, '\P{spacingmodifierletters}', "");
Expect(1, 767, '\P{^spacingmodifierletters}', "");
Expect(0, 687, '\p{spacingmodifierletters}', "");
Expect(1, 687, '\p{^spacingmodifierletters}', "");
Expect(1, 687, '\P{spacingmodifierletters}', "");
Expect(0, 687, '\P{^spacingmodifierletters}', "");
Expect(1, 767, '\p{-Spacing	ModifierLetters}', "");
Expect(0, 767, '\p{^-Spacing	ModifierLetters}', "");
Expect(0, 767, '\P{-Spacing	ModifierLetters}', "");
Expect(1, 767, '\P{^-Spacing	ModifierLetters}', "");
Expect(0, 687, '\p{-Spacing	ModifierLetters}', "");
Expect(1, 687, '\p{^-Spacing	ModifierLetters}', "");
Expect(1, 687, '\P{-Spacing	ModifierLetters}', "");
Expect(0, 687, '\P{^-Spacing	ModifierLetters}', "");
Error('\p{-_is-Spacing/a/modifier	letters}');
Error('\P{-_is-Spacing/a/modifier	letters}');
Expect(1, 767, '\p{isspacingmodifierletters}', "");
Expect(0, 767, '\p{^isspacingmodifierletters}', "");
Expect(0, 767, '\P{isspacingmodifierletters}', "");
Expect(1, 767, '\P{^isspacingmodifierletters}', "");
Expect(0, 687, '\p{isspacingmodifierletters}', "");
Expect(1, 687, '\p{^isspacingmodifierletters}', "");
Expect(1, 687, '\P{isspacingmodifierletters}', "");
Expect(0, 687, '\P{^isspacingmodifierletters}', "");
Expect(1, 767, '\p{__Is	SPACING	Modifier-letters}', "");
Expect(0, 767, '\p{^__Is	SPACING	Modifier-letters}', "");
Expect(0, 767, '\P{__Is	SPACING	Modifier-letters}', "");
Expect(1, 767, '\P{^__Is	SPACING	Modifier-letters}', "");
Expect(0, 687, '\p{__Is	SPACING	Modifier-letters}', "");
Expect(1, 687, '\p{^__Is	SPACING	Modifier-letters}', "");
Expect(1, 687, '\P{__Is	SPACING	Modifier-letters}', "");
Expect(0, 687, '\P{^__Is	SPACING	Modifier-letters}', "");
Error('\p{_:=In_Spacing-Modifier-Letters}');
Error('\P{_:=In_Spacing-Modifier-Letters}');
Expect(1, 767, '\p{inspacingmodifierletters}', "");
Expect(0, 767, '\p{^inspacingmodifierletters}', "");
Expect(0, 767, '\P{inspacingmodifierletters}', "");
Expect(1, 767, '\P{^inspacingmodifierletters}', "");
Expect(0, 687, '\p{inspacingmodifierletters}', "");
Expect(1, 687, '\p{^inspacingmodifierletters}', "");
Expect(1, 687, '\P{inspacingmodifierletters}', "");
Expect(0, 687, '\P{^inspacingmodifierletters}', "");
Expect(1, 767, '\p{_	In Spacing_Modifier letters}', "");
Expect(0, 767, '\p{^_	In Spacing_Modifier letters}', "");
Expect(0, 767, '\P{_	In Spacing_Modifier letters}', "");
Expect(1, 767, '\P{^_	In Spacing_Modifier letters}', "");
Expect(0, 687, '\p{_	In Spacing_Modifier letters}', "");
Expect(1, 687, '\p{^_	In Spacing_Modifier letters}', "");
Expect(1, 687, '\P{_	In Spacing_Modifier letters}', "");
Expect(0, 687, '\P{^_	In Spacing_Modifier letters}', "");
Error('\p{Grapheme_Link}');
Error('\P{Grapheme_Link}');
Error('\p{Is_Grapheme_Link}');
Error('\P{Is_Grapheme_Link}');
Error('\p{Gr_Link}');
Error('\P{Gr_Link}');
Error('\p{Is_Gr_Link}');
Error('\P{Is_Gr_Link}');
Error('\p{:=- OtherLowercase}');
Error('\P{:=- OtherLowercase}');
Expect(1, 696, '\p{otherlowercase}', 'deprecated');
Expect(0, 696, '\p{^otherlowercase}', 'deprecated');
Expect(0, 696, '\P{otherlowercase}', 'deprecated');
Expect(1, 696, '\P{^otherlowercase}', 'deprecated');
Expect(0, 687, '\p{otherlowercase}', 'deprecated');
Expect(1, 687, '\p{^otherlowercase}', 'deprecated');
Expect(1, 687, '\P{otherlowercase}', 'deprecated');
Expect(0, 687, '\P{^otherlowercase}', 'deprecated');
Expect(1, 696, '\p{other_lowercase}', 'deprecated');
Expect(0, 696, '\p{^other_lowercase}', 'deprecated');
Expect(0, 696, '\P{other_lowercase}', 'deprecated');
Expect(1, 696, '\P{^other_lowercase}', 'deprecated');
Expect(0, 687, '\p{other_lowercase}', 'deprecated');
Expect(1, 687, '\p{^other_lowercase}', 'deprecated');
Expect(1, 687, '\P{other_lowercase}', 'deprecated');
Expect(0, 687, '\P{^other_lowercase}', 'deprecated');
Error('\p{/a/ISOther	Lowercase}');
Error('\P{/a/ISOther	Lowercase}');
Expect(1, 696, '\p{isotherlowercase}', 'deprecated');
Expect(0, 696, '\p{^isotherlowercase}', 'deprecated');
Expect(0, 696, '\P{isotherlowercase}', 'deprecated');
Expect(1, 696, '\P{^isotherlowercase}', 'deprecated');
Expect(0, 687, '\p{isotherlowercase}', 'deprecated');
Expect(1, 687, '\p{^isotherlowercase}', 'deprecated');
Expect(1, 687, '\P{isotherlowercase}', 'deprecated');
Expect(0, 687, '\P{^isotherlowercase}', 'deprecated');
Expect(1, 696, '\p{ Is OTHERLOWERCASE}', 'deprecated');
Expect(0, 696, '\p{^ Is OTHERLOWERCASE}', 'deprecated');
Expect(0, 696, '\P{ Is OTHERLOWERCASE}', 'deprecated');
Expect(1, 696, '\P{^ Is OTHERLOWERCASE}', 'deprecated');
Expect(0, 687, '\p{ Is OTHERLOWERCASE}', 'deprecated');
Expect(1, 687, '\p{^ Is OTHERLOWERCASE}', 'deprecated');
Expect(1, 687, '\P{ Is OTHERLOWERCASE}', 'deprecated');
Expect(0, 687, '\P{^ Is OTHERLOWERCASE}', 'deprecated');
Error('\p{	OLower/a/}');
Error('\P{	OLower/a/}');
Expect(1, 696, '\p{olower}', 'deprecated');
Expect(0, 696, '\p{^olower}', 'deprecated');
Expect(0, 696, '\P{olower}', 'deprecated');
Expect(1, 696, '\P{^olower}', 'deprecated');
Expect(0, 687, '\p{olower}', 'deprecated');
Expect(1, 687, '\p{^olower}', 'deprecated');
Expect(1, 687, '\P{olower}', 'deprecated');
Expect(0, 687, '\P{^olower}', 'deprecated');
Expect(1, 696, '\p{ OLower}', 'deprecated');
Expect(0, 696, '\p{^ OLower}', 'deprecated');
Expect(0, 696, '\P{ OLower}', 'deprecated');
Expect(1, 696, '\P{^ OLower}', 'deprecated');
Expect(0, 687, '\p{ OLower}', 'deprecated');
Expect(1, 687, '\p{^ OLower}', 'deprecated');
Expect(1, 687, '\P{ OLower}', 'deprecated');
Expect(0, 687, '\P{^ OLower}', 'deprecated');
Error('\p{ is:=OLOWER}');
Error('\P{ is:=OLOWER}');
Expect(1, 696, '\p{isolower}', 'deprecated');
Expect(0, 696, '\p{^isolower}', 'deprecated');
Expect(0, 696, '\P{isolower}', 'deprecated');
Expect(1, 696, '\P{^isolower}', 'deprecated');
Expect(0, 687, '\p{isolower}', 'deprecated');
Expect(1, 687, '\p{^isolower}', 'deprecated');
Expect(1, 687, '\P{isolower}', 'deprecated');
Expect(0, 687, '\P{^isolower}', 'deprecated');
Expect(1, 696, '\p{-_Is-olower}', 'deprecated');
Expect(0, 696, '\p{^-_Is-olower}', 'deprecated');
Expect(0, 696, '\P{-_Is-olower}', 'deprecated');
Expect(1, 696, '\P{^-_Is-olower}', 'deprecated');
Expect(0, 687, '\p{-_Is-olower}', 'deprecated');
Expect(1, 687, '\p{^-_Is-olower}', 'deprecated');
Expect(1, 687, '\P{-_Is-olower}', 'deprecated');
Expect(0, 687, '\P{^-_Is-olower}', 'deprecated');
Error('\p{	/a/arabic}');
Error('\P{	/a/arabic}');
Expect(1, 1547, '\p{arabic}', "");
Expect(0, 1547, '\p{^arabic}', "");
Expect(0, 1547, '\P{arabic}', "");
Expect(1, 1547, '\P{^arabic}', "");
Expect(0, 1541, '\p{arabic}', "");
Expect(1, 1541, '\p{^arabic}', "");
Expect(1, 1541, '\P{arabic}', "");
Expect(0, 1541, '\P{^arabic}', "");
Expect(1, 1547, '\p{  arabic}', "");
Expect(0, 1547, '\p{^  arabic}', "");
Expect(0, 1547, '\P{  arabic}', "");
Expect(1, 1547, '\P{^  arabic}', "");
Expect(0, 1541, '\p{  arabic}', "");
Expect(1, 1541, '\p{^  arabic}', "");
Expect(1, 1541, '\P{  arabic}', "");
Expect(0, 1541, '\P{^  arabic}', "");
Error('\p{-:=is_Arabic}');
Error('\P{-:=is_Arabic}');
Expect(1, 1547, '\p{isarabic}', "");
Expect(0, 1547, '\p{^isarabic}', "");
Expect(0, 1547, '\P{isarabic}', "");
Expect(1, 1547, '\P{^isarabic}', "");
Expect(0, 1541, '\p{isarabic}', "");
Expect(1, 1541, '\p{^isarabic}', "");
Expect(1, 1541, '\P{isarabic}', "");
Expect(0, 1541, '\P{^isarabic}', "");
Expect(1, 1547, '\p{ _IsArabic}', "");
Expect(0, 1547, '\p{^ _IsArabic}', "");
Expect(0, 1547, '\P{ _IsArabic}', "");
Expect(1, 1547, '\P{^ _IsArabic}', "");
Expect(0, 1541, '\p{ _IsArabic}', "");
Expect(1, 1541, '\p{^ _IsArabic}', "");
Expect(1, 1541, '\P{ _IsArabic}', "");
Expect(0, 1541, '\P{^ _IsArabic}', "");
Error('\p{:=	_Arab}');
Error('\P{:=	_Arab}');
Expect(1, 1547, '\p{arab}', "");
Expect(0, 1547, '\p{^arab}', "");
Expect(0, 1547, '\P{arab}', "");
Expect(1, 1547, '\P{^arab}', "");
Expect(0, 1541, '\p{arab}', "");
Expect(1, 1541, '\p{^arab}', "");
Expect(1, 1541, '\P{arab}', "");
Expect(0, 1541, '\P{^arab}', "");
Expect(1, 1547, '\p{	ARAB}', "");
Expect(0, 1547, '\p{^	ARAB}', "");
Expect(0, 1547, '\P{	ARAB}', "");
Expect(1, 1547, '\P{^	ARAB}', "");
Expect(0, 1541, '\p{	ARAB}', "");
Expect(1, 1541, '\p{^	ARAB}', "");
Expect(1, 1541, '\P{	ARAB}', "");
Expect(0, 1541, '\P{^	ARAB}', "");
Error('\p{_/a/Is Arab}');
Error('\P{_/a/Is Arab}');
Expect(1, 1547, '\p{isarab}', "");
Expect(0, 1547, '\p{^isarab}', "");
Expect(0, 1547, '\P{isarab}', "");
Expect(1, 1547, '\P{^isarab}', "");
Expect(0, 1541, '\p{isarab}', "");
Expect(1, 1541, '\p{^isarab}', "");
Expect(1, 1541, '\P{isarab}', "");
Expect(0, 1541, '\P{^isarab}', "");
Expect(1, 1547, '\p{	Is Arab}', "");
Expect(0, 1547, '\p{^	Is Arab}', "");
Expect(0, 1547, '\P{	Is Arab}', "");
Expect(1, 1547, '\P{^	Is Arab}', "");
Expect(0, 1541, '\p{	Is Arab}', "");
Expect(1, 1541, '\p{^	Is Arab}', "");
Expect(1, 1541, '\P{	Is Arab}', "");
Expect(0, 1541, '\P{^	Is Arab}', "");
Error('\p{-	deseret:=}');
Error('\P{-	deseret:=}');
Expect(1, 66639, '\p{deseret}', "");
Expect(0, 66639, '\p{^deseret}', "");
Expect(0, 66639, '\P{deseret}', "");
Expect(1, 66639, '\P{^deseret}', "");
Expect(0, 66559, '\p{deseret}', "");
Expect(1, 66559, '\p{^deseret}', "");
Expect(1, 66559, '\P{deseret}', "");
Expect(0, 66559, '\P{^deseret}', "");
Expect(1, 66639, '\p{ -DESERET}', "");
Expect(0, 66639, '\p{^ -DESERET}', "");
Expect(0, 66639, '\P{ -DESERET}', "");
Expect(1, 66639, '\P{^ -DESERET}', "");
Expect(0, 66559, '\p{ -DESERET}', "");
Expect(1, 66559, '\p{^ -DESERET}', "");
Expect(1, 66559, '\P{ -DESERET}', "");
Expect(0, 66559, '\P{^ -DESERET}', "");
Error('\p{_is_deseret/a/}');
Error('\P{_is_deseret/a/}');
Expect(1, 66639, '\p{isdeseret}', "");
Expect(0, 66639, '\p{^isdeseret}', "");
Expect(0, 66639, '\P{isdeseret}', "");
Expect(1, 66639, '\P{^isdeseret}', "");
Expect(0, 66559, '\p{isdeseret}', "");
Expect(1, 66559, '\p{^isdeseret}', "");
Expect(1, 66559, '\P{isdeseret}', "");
Expect(0, 66559, '\P{^isdeseret}', "");
Expect(1, 66639, '\p{--Is	Deseret}', "");
Expect(0, 66639, '\p{^--Is	Deseret}', "");
Expect(0, 66639, '\P{--Is	Deseret}', "");
Expect(1, 66639, '\P{^--Is	Deseret}', "");
Expect(0, 66559, '\p{--Is	Deseret}', "");
Expect(1, 66559, '\p{^--Is	Deseret}', "");
Expect(1, 66559, '\P{--Is	Deseret}', "");
Expect(0, 66559, '\P{^--Is	Deseret}', "");
Error('\p{/a/ _DSRT}');
Error('\P{/a/ _DSRT}');
Expect(1, 66639, '\p{dsrt}', "");
Expect(0, 66639, '\p{^dsrt}', "");
Expect(0, 66639, '\P{dsrt}', "");
Expect(1, 66639, '\P{^dsrt}', "");
Expect(0, 66559, '\p{dsrt}', "");
Expect(1, 66559, '\p{^dsrt}', "");
Expect(1, 66559, '\P{dsrt}', "");
Expect(0, 66559, '\P{^dsrt}', "");
Expect(1, 66639, '\p{	Dsrt}', "");
Expect(0, 66639, '\p{^	Dsrt}', "");
Expect(0, 66639, '\P{	Dsrt}', "");
Expect(1, 66639, '\P{^	Dsrt}', "");
Expect(0, 66559, '\p{	Dsrt}', "");
Expect(1, 66559, '\p{^	Dsrt}', "");
Expect(1, 66559, '\P{	Dsrt}', "");
Expect(0, 66559, '\P{^	Dsrt}', "");
Error('\p{ 	Is	dsrt/a/}');
Error('\P{ 	Is	dsrt/a/}');
Expect(1, 66639, '\p{isdsrt}', "");
Expect(0, 66639, '\p{^isdsrt}', "");
Expect(0, 66639, '\P{isdsrt}', "");
Expect(1, 66639, '\P{^isdsrt}', "");
Expect(0, 66559, '\p{isdsrt}', "");
Expect(1, 66559, '\p{^isdsrt}', "");
Expect(1, 66559, '\P{isdsrt}', "");
Expect(0, 66559, '\P{^isdsrt}', "");
Expect(1, 66639, '\p{Is Dsrt}', "");
Expect(0, 66639, '\p{^Is Dsrt}', "");
Expect(0, 66639, '\P{Is Dsrt}', "");
Expect(1, 66639, '\P{^Is Dsrt}', "");
Expect(0, 66559, '\p{Is Dsrt}', "");
Expect(1, 66559, '\p{^Is Dsrt}', "");
Expect(1, 66559, '\P{Is Dsrt}', "");
Expect(0, 66559, '\P{^Is Dsrt}', "");
Error('\p{/a/-	CASED_LETTER}');
Error('\P{/a/-	CASED_LETTER}');
Expect(1, 90, '\p{casedletter}', "");
Expect(0, 90, '\p{^casedletter}', "");
Expect(0, 90, '\P{casedletter}', "");
Expect(1, 90, '\P{^casedletter}', "");
Expect(0, 64, '\p{casedletter}', "");
Expect(1, 64, '\p{^casedletter}', "");
Expect(1, 64, '\P{casedletter}', "");
Expect(0, 64, '\P{^casedletter}', "");
Expect(1, 90, '\p{-CASED_LETTER}', "");
Expect(0, 90, '\p{^-CASED_LETTER}', "");
Expect(0, 90, '\P{-CASED_LETTER}', "");
Expect(1, 90, '\P{^-CASED_LETTER}', "");
Expect(0, 64, '\p{-CASED_LETTER}', "");
Expect(1, 64, '\p{^-CASED_LETTER}', "");
Expect(1, 64, '\P{-CASED_LETTER}', "");
Expect(0, 64, '\P{^-CASED_LETTER}', "");
Error('\p{ /a/Is_cased letter}');
Error('\P{ /a/Is_cased letter}');
Expect(1, 90, '\p{iscasedletter}', "");
Expect(0, 90, '\p{^iscasedletter}', "");
Expect(0, 90, '\P{iscasedletter}', "");
Expect(1, 90, '\P{^iscasedletter}', "");
Expect(0, 64, '\p{iscasedletter}', "");
Expect(1, 64, '\p{^iscasedletter}', "");
Expect(1, 64, '\P{iscasedletter}', "");
Expect(0, 64, '\P{^iscasedletter}', "");
Expect(1, 90, '\p{	IS CasedLetter}', "");
Expect(0, 90, '\p{^	IS CasedLetter}', "");
Expect(0, 90, '\P{	IS CasedLetter}', "");
Expect(1, 90, '\P{^	IS CasedLetter}', "");
Expect(0, 64, '\p{	IS CasedLetter}', "");
Expect(1, 64, '\p{^	IS CasedLetter}', "");
Expect(1, 64, '\P{	IS CasedLetter}', "");
Expect(0, 64, '\P{^	IS CasedLetter}', "");
Error('\p{	:=LC}');
Error('\P{	:=LC}');
Expect(1, 90, '\p{lc}', "");
Expect(0, 90, '\p{^lc}', "");
Expect(0, 90, '\P{lc}', "");
Expect(1, 90, '\P{^lc}', "");
Expect(0, 64, '\p{lc}', "");
Expect(1, 64, '\p{^lc}', "");
Expect(1, 64, '\P{lc}', "");
Expect(0, 64, '\P{^lc}', "");
Expect(1, 90, '\p{-	lc}', "");
Expect(0, 90, '\p{^-	lc}', "");
Expect(0, 90, '\P{-	lc}', "");
Expect(1, 90, '\P{^-	lc}', "");
Expect(0, 64, '\p{-	lc}', "");
Expect(1, 64, '\p{^-	lc}', "");
Expect(1, 64, '\P{-	lc}', "");
Expect(0, 64, '\P{^-	lc}', "");
Error('\p{	is:=lc}');
Error('\P{	is:=lc}');
Expect(1, 90, '\p{islc}', "");
Expect(0, 90, '\p{^islc}', "");
Expect(0, 90, '\P{islc}', "");
Expect(1, 90, '\P{^islc}', "");
Expect(0, 64, '\p{islc}', "");
Expect(1, 64, '\p{^islc}', "");
Expect(1, 64, '\P{islc}', "");
Expect(0, 64, '\P{^islc}', "");
Expect(1, 90, '\p{__Is	lc}', "");
Expect(0, 90, '\p{^__Is	lc}', "");
Expect(0, 90, '\P{__Is	lc}', "");
Expect(1, 90, '\P{^__Is	lc}', "");
Expect(0, 64, '\p{__Is	lc}', "");
Expect(1, 64, '\p{^__Is	lc}', "");
Expect(1, 64, '\P{__Is	lc}', "");
Expect(0, 64, '\P{^__Is	lc}', "");
Error('\p{/a/--L}');
Error('\P{/a/--L}');
Expect(1, 90, '\p{l_}', "");
Expect(0, 90, '\p{^l_}', "");
Expect(0, 90, '\P{l_}', "");
Expect(1, 90, '\P{^l_}', "");
Expect(0, 64, '\p{l_}', "");
Expect(1, 64, '\p{^l_}', "");
Expect(1, 64, '\P{l_}', "");
Expect(0, 64, '\P{^l_}', "");
Expect(1, 90, '\p{ L}', "");
Expect(0, 90, '\p{^ L}', "");
Expect(0, 90, '\P{ L}', "");
Expect(1, 90, '\P{^ L}', "");
Expect(0, 64, '\p{ L}', "");
Expect(1, 64, '\p{^ L}', "");
Expect(1, 64, '\P{ L}', "");
Expect(0, 64, '\P{^ L}', "");
Error('\p{	 Is_L:=}');
Error('\P{	 Is_L:=}');
Expect(1, 90, '\p{isl_}', "");
Expect(0, 90, '\p{^isl_}', "");
Expect(0, 90, '\P{isl_}', "");
Expect(1, 90, '\P{^isl_}', "");
Expect(0, 64, '\p{isl_}', "");
Expect(1, 64, '\p{^isl_}', "");
Expect(1, 64, '\P{isl_}', "");
Expect(0, 64, '\P{^isl_}', "");
Expect(1, 90, '\p{-Is-L}', "");
Expect(0, 90, '\p{^-Is-L}', "");
Expect(0, 90, '\P{-Is-L}', "");
Expect(1, 90, '\P{^-Is-L}', "");
Expect(0, 64, '\p{-Is-L}', "");
Expect(1, 64, '\p{^-Is-L}', "");
Expect(1, 64, '\P{-Is-L}', "");
Expect(0, 64, '\P{^-Is-L}', "");
Error('\p{:=	L&}');
Error('\P{:=	L&}');
Expect(1, 90, '\p{l&}', "");
Expect(0, 90, '\p{^l&}', "");
Expect(0, 90, '\P{l&}', "");
Expect(1, 90, '\P{^l&}', "");
Expect(0, 64, '\p{l&}', "");
Expect(1, 64, '\p{^l&}', "");
Expect(1, 64, '\P{l&}', "");
Expect(0, 64, '\P{^l&}', "");
Expect(1, 90, '\p{_-L&}', "");
Expect(0, 90, '\p{^_-L&}', "");
Expect(0, 90, '\P{_-L&}', "");
Expect(1, 90, '\P{^_-L&}', "");
Expect(0, 64, '\p{_-L&}', "");
Expect(1, 64, '\p{^_-L&}', "");
Expect(1, 64, '\P{_-L&}', "");
Expect(0, 64, '\P{^_-L&}', "");
Error('\p{		IS_L&/a/}');
Error('\P{		IS_L&/a/}');
Expect(1, 90, '\p{isl&}', "");
Expect(0, 90, '\p{^isl&}', "");
Expect(0, 90, '\P{isl&}', "");
Expect(1, 90, '\P{^isl&}', "");
Expect(0, 64, '\p{isl&}', "");
Expect(1, 64, '\p{^isl&}', "");
Expect(1, 64, '\P{isl&}', "");
Expect(0, 64, '\P{^isl&}', "");
Expect(1, 90, '\p{	 is L&}', "");
Expect(0, 90, '\p{^	 is L&}', "");
Expect(0, 90, '\P{	 is L&}', "");
Expect(1, 90, '\P{^	 is L&}', "");
Expect(0, 64, '\p{	 is L&}', "");
Expect(1, 64, '\p{^	 is L&}', "");
Expect(1, 64, '\P{	 is L&}', "");
Expect(0, 64, '\P{^	 is L&}', "");
Error('\p{/a/  Symbol}');
Error('\P{/a/  Symbol}');
Expect(1, 36, '\p{symbol}', "");
Expect(0, 36, '\p{^symbol}', "");
Expect(0, 36, '\P{symbol}', "");
Expect(1, 36, '\P{^symbol}', "");
Expect(0, 35, '\p{symbol}', "");
Expect(1, 35, '\p{^symbol}', "");
Expect(1, 35, '\P{symbol}', "");
Expect(0, 35, '\P{^symbol}', "");
Expect(1, 36, '\p{  Symbol}', "");
Expect(0, 36, '\p{^  Symbol}', "");
Expect(0, 36, '\P{  Symbol}', "");
Expect(1, 36, '\P{^  Symbol}', "");
Expect(0, 35, '\p{  Symbol}', "");
Expect(1, 35, '\p{^  Symbol}', "");
Expect(1, 35, '\P{  Symbol}', "");
Expect(0, 35, '\P{^  Symbol}', "");
Error('\p{_ ISsymbol/a/}');
Error('\P{_ ISsymbol/a/}');
Expect(1, 36, '\p{issymbol}', "");
Expect(0, 36, '\p{^issymbol}', "");
Expect(0, 36, '\P{issymbol}', "");
Expect(1, 36, '\P{^issymbol}', "");
Expect(0, 35, '\p{issymbol}', "");
Expect(1, 35, '\p{^issymbol}', "");
Expect(1, 35, '\P{issymbol}', "");
Expect(0, 35, '\P{^issymbol}', "");
Expect(1, 36, '\p{-Is-symbol}', "");
Expect(0, 36, '\p{^-Is-symbol}', "");
Expect(0, 36, '\P{-Is-symbol}', "");
Expect(1, 36, '\P{^-Is-symbol}', "");
Expect(0, 35, '\p{-Is-symbol}', "");
Expect(1, 35, '\p{^-Is-symbol}', "");
Expect(1, 35, '\P{-Is-symbol}', "");
Expect(0, 35, '\P{^-Is-symbol}', "");
Error('\p{__S/a/}');
Error('\P{__S/a/}');
Expect(1, 36, '\p{s}', "");
Expect(0, 36, '\p{^s}', "");
Expect(0, 36, '\P{s}', "");
Expect(1, 36, '\P{^s}', "");
Expect(0, 35, '\p{s}', "");
Expect(1, 35, '\p{^s}', "");
Expect(1, 35, '\P{s}', "");
Expect(0, 35, '\P{^s}', "");
Expect(1, 36, '\p{_s}', "");
Expect(0, 36, '\p{^_s}', "");
Expect(0, 36, '\P{_s}', "");
Expect(1, 36, '\P{^_s}', "");
Expect(0, 35, '\p{_s}', "");
Expect(1, 35, '\p{^_s}', "");
Expect(1, 35, '\P{_s}', "");
Expect(0, 35, '\P{^_s}', "");
Error('\p{	_IsS/a/}');
Error('\P{	_IsS/a/}');
Expect(1, 36, '\p{iss}', "");
Expect(0, 36, '\p{^iss}', "");
Expect(0, 36, '\P{iss}', "");
Expect(1, 36, '\P{^iss}', "");
Expect(0, 35, '\p{iss}', "");
Expect(1, 35, '\p{^iss}', "");
Expect(1, 35, '\P{iss}', "");
Expect(0, 35, '\P{^iss}', "");
Expect(1, 36, '\p{ is-s}', "");
Expect(0, 36, '\p{^ is-s}', "");
Expect(0, 36, '\P{ is-s}', "");
Expect(1, 36, '\P{^ is-s}', "");
Expect(0, 35, '\p{ is-s}', "");
Expect(1, 35, '\p{^ is-s}', "");
Expect(1, 35, '\P{ is-s}', "");
Expect(0, 35, '\P{^ is-s}', "");
Error('\p{		yijing:=hexagram Symbols}');
Error('\P{		yijing:=hexagram Symbols}');
Expect(1, 19967, '\p{yijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^yijinghexagramsymbols}', "");
Expect(0, 19967, '\P{yijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^yijinghexagramsymbols}', "");
Expect(0, 19903, '\p{yijinghexagramsymbols}', "");
Expect(1, 19903, '\p{^yijinghexagramsymbols}', "");
Expect(1, 19903, '\P{yijinghexagramsymbols}', "");
Expect(0, 19903, '\P{^yijinghexagramsymbols}', "");
Expect(1, 19967, '\p{ Yijing	Hexagram symbols}', "");
Expect(0, 19967, '\p{^ Yijing	Hexagram symbols}', "");
Expect(0, 19967, '\P{ Yijing	Hexagram symbols}', "");
Expect(1, 19967, '\P{^ Yijing	Hexagram symbols}', "");
Expect(0, 19903, '\p{ Yijing	Hexagram symbols}', "");
Expect(1, 19903, '\p{^ Yijing	Hexagram symbols}', "");
Expect(1, 19903, '\P{ Yijing	Hexagram symbols}', "");
Expect(0, 19903, '\P{^ Yijing	Hexagram symbols}', "");
Error('\p{__Is_YijingHEXAGRAM/a/SYMBOLS}');
Error('\P{__Is_YijingHEXAGRAM/a/SYMBOLS}');
Expect(1, 19967, '\p{isyijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^isyijinghexagramsymbols}', "");
Expect(0, 19967, '\P{isyijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^isyijinghexagramsymbols}', "");
Expect(0, 19903, '\p{isyijinghexagramsymbols}', "");
Expect(1, 19903, '\p{^isyijinghexagramsymbols}', "");
Expect(1, 19903, '\P{isyijinghexagramsymbols}', "");
Expect(0, 19903, '\P{^isyijinghexagramsymbols}', "");
Expect(1, 19967, '\p{-IS	yijing Hexagram-SYMBOLS}', "");
Expect(0, 19967, '\p{^-IS	yijing Hexagram-SYMBOLS}', "");
Expect(0, 19967, '\P{-IS	yijing Hexagram-SYMBOLS}', "");
Expect(1, 19967, '\P{^-IS	yijing Hexagram-SYMBOLS}', "");
Expect(0, 19903, '\p{-IS	yijing Hexagram-SYMBOLS}', "");
Expect(1, 19903, '\p{^-IS	yijing Hexagram-SYMBOLS}', "");
Expect(1, 19903, '\P{-IS	yijing Hexagram-SYMBOLS}', "");
Expect(0, 19903, '\P{^-IS	yijing Hexagram-SYMBOLS}', "");
Error('\p{-:=In	yijing	hexagram	Symbols}');
Error('\P{-:=In	yijing	hexagram	Symbols}');
Expect(1, 19967, '\p{inyijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^inyijinghexagramsymbols}', "");
Expect(0, 19967, '\P{inyijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^inyijinghexagramsymbols}', "");
Expect(0, 19903, '\p{inyijinghexagramsymbols}', "");
Expect(1, 19903, '\p{^inyijinghexagramsymbols}', "");
Expect(1, 19903, '\P{inyijinghexagramsymbols}', "");
Expect(0, 19903, '\P{^inyijinghexagramsymbols}', "");
Expect(1, 19967, '\p{	-Inyijing	hexagram	Symbols}', "");
Expect(0, 19967, '\p{^	-Inyijing	hexagram	Symbols}', "");
Expect(0, 19967, '\P{	-Inyijing	hexagram	Symbols}', "");
Expect(1, 19967, '\P{^	-Inyijing	hexagram	Symbols}', "");
Expect(0, 19903, '\p{	-Inyijing	hexagram	Symbols}', "");
Expect(1, 19903, '\p{^	-Inyijing	hexagram	Symbols}', "");
Expect(1, 19903, '\P{	-Inyijing	hexagram	Symbols}', "");
Expect(0, 19903, '\P{^	-Inyijing	hexagram	Symbols}', "");
Error('\p{:=_ posixspace}');
Error('\P{:=_ posixspace}');
Expect(1, 13, '\p{posixspace}', "");
Expect(0, 13, '\p{^posixspace}', "");
Expect(0, 13, '\P{posixspace}', "");
Expect(1, 13, '\P{^posixspace}', "");
Expect(0, 8, '\p{posixspace}', "");
Expect(1, 8, '\p{^posixspace}', "");
Expect(1, 8, '\P{posixspace}', "");
Expect(0, 8, '\P{^posixspace}', "");
Expect(1, 13, '\p{  posixspace}', "");
Expect(0, 13, '\p{^  posixspace}', "");
Expect(0, 13, '\P{  posixspace}', "");
Expect(1, 13, '\P{^  posixspace}', "");
Expect(0, 8, '\p{  posixspace}', "");
Expect(1, 8, '\p{^  posixspace}', "");
Expect(1, 8, '\P{  posixspace}', "");
Expect(0, 8, '\P{^  posixspace}', "");
Error('\p{	:=is	PosixSpace}');
Error('\P{	:=is	PosixSpace}');
Expect(1, 13, '\p{isposixspace}', "");
Expect(0, 13, '\p{^isposixspace}', "");
Expect(0, 13, '\P{isposixspace}', "");
Expect(1, 13, '\P{^isposixspace}', "");
Expect(0, 8, '\p{isposixspace}', "");
Expect(1, 8, '\p{^isposixspace}', "");
Expect(1, 8, '\P{isposixspace}', "");
Expect(0, 8, '\P{^isposixspace}', "");
Expect(1, 13, '\p{_-IS	posixspace}', "");
Expect(0, 13, '\p{^_-IS	posixspace}', "");
Expect(0, 13, '\P{_-IS	posixspace}', "");
Expect(1, 13, '\P{^_-IS	posixspace}', "");
Expect(0, 8, '\p{_-IS	posixspace}', "");
Expect(1, 8, '\p{^_-IS	posixspace}', "");
Expect(1, 8, '\P{_-IS	posixspace}', "");
Expect(0, 8, '\P{^_-IS	posixspace}', "");
Error('\p{-:=CURRENCY	Symbols}');
Error('\P{-:=CURRENCY	Symbols}');
Expect(1, 8399, '\p{currencysymbols}', "");
Expect(0, 8399, '\p{^currencysymbols}', "");
Expect(0, 8399, '\P{currencysymbols}', "");
Expect(1, 8399, '\P{^currencysymbols}', "");
Expect(0, 8351, '\p{currencysymbols}', "");
Expect(1, 8351, '\p{^currencysymbols}', "");
Expect(1, 8351, '\P{currencysymbols}', "");
Expect(0, 8351, '\P{^currencysymbols}', "");
Expect(1, 8399, '\p{- currencysymbols}', "");
Expect(0, 8399, '\p{^- currencysymbols}', "");
Expect(0, 8399, '\P{- currencysymbols}', "");
Expect(1, 8399, '\P{^- currencysymbols}', "");
Expect(0, 8351, '\p{- currencysymbols}', "");
Expect(1, 8351, '\p{^- currencysymbols}', "");
Expect(1, 8351, '\P{- currencysymbols}', "");
Expect(0, 8351, '\P{^- currencysymbols}', "");
Error('\p{	_isCURRENCY_Symbols:=}');
Error('\P{	_isCURRENCY_Symbols:=}');
Expect(1, 8399, '\p{iscurrencysymbols}', "");
Expect(0, 8399, '\p{^iscurrencysymbols}', "");
Expect(0, 8399, '\P{iscurrencysymbols}', "");
Expect(1, 8399, '\P{^iscurrencysymbols}', "");
Expect(0, 8351, '\p{iscurrencysymbols}', "");
Expect(1, 8351, '\p{^iscurrencysymbols}', "");
Expect(1, 8351, '\P{iscurrencysymbols}', "");
Expect(0, 8351, '\P{^iscurrencysymbols}', "");
Expect(1, 8399, '\p{-is-Currency symbols}', "");
Expect(0, 8399, '\p{^-is-Currency symbols}', "");
Expect(0, 8399, '\P{-is-Currency symbols}', "");
Expect(1, 8399, '\P{^-is-Currency symbols}', "");
Expect(0, 8351, '\p{-is-Currency symbols}', "");
Expect(1, 8351, '\p{^-is-Currency symbols}', "");
Expect(1, 8351, '\P{-is-Currency symbols}', "");
Expect(0, 8351, '\P{^-is-Currency symbols}', "");
Error('\p{		in	currency_SYMBOLS/a/}');
Error('\P{		in	currency_SYMBOLS/a/}');
Expect(1, 8399, '\p{incurrencysymbols}', "");
Expect(0, 8399, '\p{^incurrencysymbols}', "");
Expect(0, 8399, '\P{incurrencysymbols}', "");
Expect(1, 8399, '\P{^incurrencysymbols}', "");
Expect(0, 8351, '\p{incurrencysymbols}', "");
Expect(1, 8351, '\p{^incurrencysymbols}', "");
Expect(1, 8351, '\P{incurrencysymbols}', "");
Expect(0, 8351, '\P{^incurrencysymbols}', "");
Expect(1, 8399, '\p{-In	currency_Symbols}', "");
Expect(0, 8399, '\p{^-In	currency_Symbols}', "");
Expect(0, 8399, '\P{-In	currency_Symbols}', "");
Expect(1, 8399, '\P{^-In	currency_Symbols}', "");
Expect(0, 8351, '\p{-In	currency_Symbols}', "");
Expect(1, 8351, '\p{^-In	currency_Symbols}', "");
Expect(1, 8351, '\P{-In	currency_Symbols}', "");
Expect(0, 8351, '\P{^-In	currency_Symbols}', "");
Error('\p{	_CURRENCY/a/Symbol}');
Error('\P{	_CURRENCY/a/Symbol}');
Expect(1, 36, '\p{currencysymbol}', "");
Expect(0, 36, '\p{^currencysymbol}', "");
Expect(0, 36, '\P{currencysymbol}', "");
Expect(1, 36, '\P{^currencysymbol}', "");
Expect(0, 35, '\p{currencysymbol}', "");
Expect(1, 35, '\p{^currencysymbol}', "");
Expect(1, 35, '\P{currencysymbol}', "");
Expect(0, 35, '\P{^currencysymbol}', "");
Expect(1, 36, '\p{--Currency symbol}', "");
Expect(0, 36, '\p{^--Currency symbol}', "");
Expect(0, 36, '\P{--Currency symbol}', "");
Expect(1, 36, '\P{^--Currency symbol}', "");
Expect(0, 35, '\p{--Currency symbol}', "");
Expect(1, 35, '\p{^--Currency symbol}', "");
Expect(1, 35, '\P{--Currency symbol}', "");
Expect(0, 35, '\P{^--Currency symbol}', "");
Error('\p{_	IS_currency/a/symbol}');
Error('\P{_	IS_currency/a/symbol}');
Expect(1, 36, '\p{iscurrencysymbol}', "");
Expect(0, 36, '\p{^iscurrencysymbol}', "");
Expect(0, 36, '\P{iscurrencysymbol}', "");
Expect(1, 36, '\P{^iscurrencysymbol}', "");
Expect(0, 35, '\p{iscurrencysymbol}', "");
Expect(1, 35, '\p{^iscurrencysymbol}', "");
Expect(1, 35, '\P{iscurrencysymbol}', "");
Expect(0, 35, '\P{^iscurrencysymbol}', "");
Expect(1, 36, '\p{	is	currencysymbol}', "");
Expect(0, 36, '\p{^	is	currencysymbol}', "");
Expect(0, 36, '\P{	is	currencysymbol}', "");
Expect(1, 36, '\P{^	is	currencysymbol}', "");
Expect(0, 35, '\p{	is	currencysymbol}', "");
Expect(1, 35, '\p{^	is	currencysymbol}', "");
Expect(1, 35, '\P{	is	currencysymbol}', "");
Expect(0, 35, '\P{^	is	currencysymbol}', "");
Error('\p{ :=Sc}');
Error('\P{ :=Sc}');
Expect(1, 36, '\p{sc}', "");
Expect(0, 36, '\p{^sc}', "");
Expect(0, 36, '\P{sc}', "");
Expect(1, 36, '\P{^sc}', "");
Expect(0, 35, '\p{sc}', "");
Expect(1, 35, '\p{^sc}', "");
Expect(1, 35, '\P{sc}', "");
Expect(0, 35, '\P{^sc}', "");
Expect(1, 36, '\p{-	Sc}', "");
Expect(0, 36, '\p{^-	Sc}', "");
Expect(0, 36, '\P{-	Sc}', "");
Expect(1, 36, '\P{^-	Sc}', "");
Expect(0, 35, '\p{-	Sc}', "");
Expect(1, 35, '\p{^-	Sc}', "");
Expect(1, 35, '\P{-	Sc}', "");
Expect(0, 35, '\P{^-	Sc}', "");
Error('\p{/a/ is	Sc}');
Error('\P{/a/ is	Sc}');
Expect(1, 36, '\p{issc}', "");
Expect(0, 36, '\p{^issc}', "");
Expect(0, 36, '\P{issc}', "");
Expect(1, 36, '\P{^issc}', "");
Expect(0, 35, '\p{issc}', "");
Expect(1, 35, '\p{^issc}', "");
Expect(1, 35, '\P{issc}', "");
Expect(0, 35, '\P{^issc}', "");
Expect(1, 36, '\p{	-IS_sc}', "");
Expect(0, 36, '\p{^	-IS_sc}', "");
Expect(0, 36, '\P{	-IS_sc}', "");
Expect(1, 36, '\P{^	-IS_sc}', "");
Expect(0, 35, '\p{	-IS_sc}', "");
Expect(1, 35, '\p{^	-IS_sc}', "");
Expect(1, 35, '\P{	-IS_sc}', "");
Expect(0, 35, '\P{^	-IS_sc}', "");
Error('\p{_high	Surrogates:=}');
Error('\P{_high	Surrogates:=}');
Expect(0, 55295, '\p{highsurrogates}', "");
Expect(1, 55295, '\p{^highsurrogates}', "");
Expect(1, 55295, '\P{highsurrogates}', "");
Expect(0, 55295, '\P{^highsurrogates}', "");
Expect(0, 55295, '\p{-High_Surrogates}', "");
Expect(1, 55295, '\p{^-High_Surrogates}', "");
Expect(1, 55295, '\P{-High_Surrogates}', "");
Expect(0, 55295, '\P{^-High_Surrogates}', "");
Error('\p{	 ISHIGH-SURROGATES/a/}');
Error('\P{	 ISHIGH-SURROGATES/a/}');
Expect(0, 55295, '\p{ishighsurrogates}', "");
Expect(1, 55295, '\p{^ishighsurrogates}', "");
Expect(1, 55295, '\P{ishighsurrogates}', "");
Expect(0, 55295, '\P{^ishighsurrogates}', "");
Expect(0, 55295, '\p{ 	Is High_Surrogates}', "");
Expect(1, 55295, '\p{^ 	Is High_Surrogates}', "");
Expect(1, 55295, '\P{ 	Is High_Surrogates}', "");
Expect(0, 55295, '\P{^ 	Is High_Surrogates}', "");
Error('\p{__In/a/High_Surrogates}');
Error('\P{__In/a/High_Surrogates}');
Expect(0, 55295, '\p{inhighsurrogates}', "");
Expect(1, 55295, '\p{^inhighsurrogates}', "");
Expect(1, 55295, '\P{inhighsurrogates}', "");
Expect(0, 55295, '\P{^inhighsurrogates}', "");
Expect(0, 55295, '\p{ -In	High Surrogates}', "");
Expect(1, 55295, '\p{^ -In	High Surrogates}', "");
Expect(1, 55295, '\P{ -In	High Surrogates}', "");
Expect(0, 55295, '\P{^ -In	High Surrogates}', "");
Error('\p{:=--InDESERET}');
Error('\P{:=--InDESERET}');
Expect(1, 66639, '\p{indeseret}', "");
Expect(0, 66639, '\p{^indeseret}', "");
Expect(0, 66639, '\P{indeseret}', "");
Expect(1, 66639, '\P{^indeseret}', "");
Expect(0, 66559, '\p{indeseret}', "");
Expect(1, 66559, '\p{^indeseret}', "");
Expect(1, 66559, '\P{indeseret}', "");
Expect(0, 66559, '\P{^indeseret}', "");
Expect(1, 66639, '\p{	-IN DESERET}', "");
Expect(0, 66639, '\p{^	-IN DESERET}', "");
Expect(0, 66639, '\P{	-IN DESERET}', "");
Expect(1, 66639, '\P{^	-IN DESERET}', "");
Expect(0, 66559, '\p{	-IN DESERET}', "");
Expect(1, 66559, '\p{^	-IN DESERET}', "");
Expect(1, 66559, '\P{	-IN DESERET}', "");
Expect(0, 66559, '\P{^	-IN DESERET}', "");
Error('\p{:=	 other	Alphabetic}');
Error('\P{:=	 other	Alphabetic}');
Expect(1, 837, '\p{otheralphabetic}', 'deprecated');
Expect(0, 837, '\p{^otheralphabetic}', 'deprecated');
Expect(0, 837, '\P{otheralphabetic}', 'deprecated');
Expect(1, 837, '\P{^otheralphabetic}', 'deprecated');
Expect(0, 836, '\p{otheralphabetic}', 'deprecated');
Expect(1, 836, '\p{^otheralphabetic}', 'deprecated');
Expect(1, 836, '\P{otheralphabetic}', 'deprecated');
Expect(0, 836, '\P{^otheralphabetic}', 'deprecated');
Expect(1, 837, '\p{-Other-Alphabetic}', 'deprecated');
Expect(0, 837, '\p{^-Other-Alphabetic}', 'deprecated');
Expect(0, 837, '\P{-Other-Alphabetic}', 'deprecated');
Expect(1, 837, '\P{^-Other-Alphabetic}', 'deprecated');
Expect(0, 836, '\p{-Other-Alphabetic}', 'deprecated');
Expect(1, 836, '\p{^-Other-Alphabetic}', 'deprecated');
Expect(1, 836, '\P{-Other-Alphabetic}', 'deprecated');
Expect(0, 836, '\P{^-Other-Alphabetic}', 'deprecated');
Error('\p{:=-IS-OTHER	Alphabetic}');
Error('\P{:=-IS-OTHER	Alphabetic}');
Expect(1, 837, '\p{isotheralphabetic}', 'deprecated');
Expect(0, 837, '\p{^isotheralphabetic}', 'deprecated');
Expect(0, 837, '\P{isotheralphabetic}', 'deprecated');
Expect(1, 837, '\P{^isotheralphabetic}', 'deprecated');
Expect(0, 836, '\p{isotheralphabetic}', 'deprecated');
Expect(1, 836, '\p{^isotheralphabetic}', 'deprecated');
Expect(1, 836, '\P{isotheralphabetic}', 'deprecated');
Expect(0, 836, '\P{^isotheralphabetic}', 'deprecated');
Expect(1, 837, '\p{ 	Is_OtherAlphabetic}', 'deprecated');
Expect(0, 837, '\p{^ 	Is_OtherAlphabetic}', 'deprecated');
Expect(0, 837, '\P{ 	Is_OtherAlphabetic}', 'deprecated');
Expect(1, 837, '\P{^ 	Is_OtherAlphabetic}', 'deprecated');
Expect(0, 836, '\p{ 	Is_OtherAlphabetic}', 'deprecated');
Expect(1, 836, '\p{^ 	Is_OtherAlphabetic}', 'deprecated');
Expect(1, 836, '\P{ 	Is_OtherAlphabetic}', 'deprecated');
Expect(0, 836, '\P{^ 	Is_OtherAlphabetic}', 'deprecated');
Error('\p{:=		OAlpha}');
Error('\P{:=		OAlpha}');
Expect(1, 837, '\p{oalpha}', 'deprecated');
Expect(0, 837, '\p{^oalpha}', 'deprecated');
Expect(0, 837, '\P{oalpha}', 'deprecated');
Expect(1, 837, '\P{^oalpha}', 'deprecated');
Expect(0, 836, '\p{oalpha}', 'deprecated');
Expect(1, 836, '\p{^oalpha}', 'deprecated');
Expect(1, 836, '\P{oalpha}', 'deprecated');
Expect(0, 836, '\P{^oalpha}', 'deprecated');
Expect(1, 837, '\p{  OAlpha}', 'deprecated');
Expect(0, 837, '\p{^  OAlpha}', 'deprecated');
Expect(0, 837, '\P{  OAlpha}', 'deprecated');
Expect(1, 837, '\P{^  OAlpha}', 'deprecated');
Expect(0, 836, '\p{  OAlpha}', 'deprecated');
Expect(1, 836, '\p{^  OAlpha}', 'deprecated');
Expect(1, 836, '\P{  OAlpha}', 'deprecated');
Expect(0, 836, '\P{^  OAlpha}', 'deprecated');
Error('\p{ Is oalpha:=}');
Error('\P{ Is oalpha:=}');
Expect(1, 837, '\p{isoalpha}', 'deprecated');
Expect(0, 837, '\p{^isoalpha}', 'deprecated');
Expect(0, 837, '\P{isoalpha}', 'deprecated');
Expect(1, 837, '\P{^isoalpha}', 'deprecated');
Expect(0, 836, '\p{isoalpha}', 'deprecated');
Expect(1, 836, '\p{^isoalpha}', 'deprecated');
Expect(1, 836, '\P{isoalpha}', 'deprecated');
Expect(0, 836, '\P{^isoalpha}', 'deprecated');
Expect(1, 837, '\p{-	is	oalpha}', 'deprecated');
Expect(0, 837, '\p{^-	is	oalpha}', 'deprecated');
Expect(0, 837, '\P{-	is	oalpha}', 'deprecated');
Expect(1, 837, '\P{^-	is	oalpha}', 'deprecated');
Expect(0, 836, '\p{-	is	oalpha}', 'deprecated');
Expect(1, 836, '\p{^-	is	oalpha}', 'deprecated');
Expect(1, 836, '\P{-	is	oalpha}', 'deprecated');
Expect(0, 836, '\P{^-	is	oalpha}', 'deprecated');
Error('\p{ :=Supplementary_private Use Area A}');
Error('\P{ :=Supplementary_private Use Area A}');
Expect(1, 983040, '\p{supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^supplementaryprivateuseareaa}', "");
Expect(0, 1, '\p{supplementaryprivateuseareaa}', "");
Expect(1, 1, '\p{^supplementaryprivateuseareaa}', "");
Expect(1, 1, '\P{supplementaryprivateuseareaa}', "");
Expect(0, 1, '\P{^supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{_ Supplementary_Private use-Area a}', "");
Expect(0, 983040, '\p{^_ Supplementary_Private use-Area a}', "");
Expect(0, 983040, '\P{_ Supplementary_Private use-Area a}', "");
Expect(1, 983040, '\P{^_ Supplementary_Private use-Area a}', "");
Expect(0, 1, '\p{_ Supplementary_Private use-Area a}', "");
Expect(1, 1, '\p{^_ Supplementary_Private use-Area a}', "");
Expect(1, 1, '\P{_ Supplementary_Private use-Area a}', "");
Expect(0, 1, '\P{^_ Supplementary_Private use-Area a}', "");
Error('\p{ _IsSupplementary_private use Area:=A}');
Error('\P{ _IsSupplementary_private use Area:=A}');
Expect(1, 983040, '\p{issupplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^issupplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{issupplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^issupplementaryprivateuseareaa}', "");
Expect(0, 1, '\p{issupplementaryprivateuseareaa}', "");
Expect(1, 1, '\p{^issupplementaryprivateuseareaa}', "");
Expect(1, 1, '\P{issupplementaryprivateuseareaa}', "");
Expect(0, 1, '\P{^issupplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{_	Is supplementary_privateusearea A}', "");
Expect(0, 983040, '\p{^_	Is supplementary_privateusearea A}', "");
Expect(0, 983040, '\P{_	Is supplementary_privateusearea A}', "");
Expect(1, 983040, '\P{^_	Is supplementary_privateusearea A}', "");
Expect(0, 1, '\p{_	Is supplementary_privateusearea A}', "");
Expect(1, 1, '\p{^_	Is supplementary_privateusearea A}', "");
Expect(1, 1, '\P{_	Is supplementary_privateusearea A}', "");
Expect(0, 1, '\P{^_	Is supplementary_privateusearea A}', "");
Error('\p{_:=IN-supplementary-Private_Use area_a}');
Error('\P{_:=IN-supplementary-Private_Use area_a}');
Expect(1, 983040, '\p{insupplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^insupplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{insupplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^insupplementaryprivateuseareaa}', "");
Expect(0, 1, '\p{insupplementaryprivateuseareaa}', "");
Expect(1, 1, '\p{^insupplementaryprivateuseareaa}', "");
Expect(1, 1, '\P{insupplementaryprivateuseareaa}', "");
Expect(0, 1, '\P{^insupplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{-In_SUPPLEMENTARY-Private Use Area_A}', "");
Expect(0, 983040, '\p{^-In_SUPPLEMENTARY-Private Use Area_A}', "");
Expect(0, 983040, '\P{-In_SUPPLEMENTARY-Private Use Area_A}', "");
Expect(1, 983040, '\P{^-In_SUPPLEMENTARY-Private Use Area_A}', "");
Expect(0, 1, '\p{-In_SUPPLEMENTARY-Private Use Area_A}', "");
Expect(1, 1, '\p{^-In_SUPPLEMENTARY-Private Use Area_A}', "");
Expect(1, 1, '\P{-In_SUPPLEMENTARY-Private Use Area_A}', "");
Expect(0, 1, '\P{^-In_SUPPLEMENTARY-Private Use Area_A}', "");
Error('\p{:= -Saurashtra}');
Error('\P{:= -Saurashtra}');
Expect(1, 43204, '\p{saurashtra}', "");
Expect(0, 43204, '\p{^saurashtra}', "");
Expect(0, 43204, '\P{saurashtra}', "");
Expect(1, 43204, '\P{^saurashtra}', "");
Expect(0, 43135, '\p{saurashtra}', "");
Expect(1, 43135, '\p{^saurashtra}', "");
Expect(1, 43135, '\P{saurashtra}', "");
Expect(0, 43135, '\P{^saurashtra}', "");
Expect(1, 43204, '\p{_	SAURASHTRA}', "");
Expect(0, 43204, '\p{^_	SAURASHTRA}', "");
Expect(0, 43204, '\P{_	SAURASHTRA}', "");
Expect(1, 43204, '\P{^_	SAURASHTRA}', "");
Expect(0, 43135, '\p{_	SAURASHTRA}', "");
Expect(1, 43135, '\p{^_	SAURASHTRA}', "");
Expect(1, 43135, '\P{_	SAURASHTRA}', "");
Expect(0, 43135, '\P{^_	SAURASHTRA}', "");
Error('\p{/a/ IsSaurashtra}');
Error('\P{/a/ IsSaurashtra}');
Expect(1, 43204, '\p{issaurashtra}', "");
Expect(0, 43204, '\p{^issaurashtra}', "");
Expect(0, 43204, '\P{issaurashtra}', "");
Expect(1, 43204, '\P{^issaurashtra}', "");
Expect(0, 43135, '\p{issaurashtra}', "");
Expect(1, 43135, '\p{^issaurashtra}', "");
Expect(1, 43135, '\P{issaurashtra}', "");
Expect(0, 43135, '\P{^issaurashtra}', "");
Expect(1, 43204, '\p{  Is Saurashtra}', "");
Expect(0, 43204, '\p{^  Is Saurashtra}', "");
Expect(0, 43204, '\P{  Is Saurashtra}', "");
Expect(1, 43204, '\P{^  Is Saurashtra}', "");
Expect(0, 43135, '\p{  Is Saurashtra}', "");
Expect(1, 43135, '\p{^  Is Saurashtra}', "");
Expect(1, 43135, '\P{  Is Saurashtra}', "");
Expect(0, 43135, '\P{^  Is Saurashtra}', "");
Error('\p{:=  saur}');
Error('\P{:=  saur}');
Expect(1, 43204, '\p{saur}', "");
Expect(0, 43204, '\p{^saur}', "");
Expect(0, 43204, '\P{saur}', "");
Expect(1, 43204, '\P{^saur}', "");
Expect(0, 43135, '\p{saur}', "");
Expect(1, 43135, '\p{^saur}', "");
Expect(1, 43135, '\P{saur}', "");
Expect(0, 43135, '\P{^saur}', "");
Expect(1, 43204, '\p{_ saur}', "");
Expect(0, 43204, '\p{^_ saur}', "");
Expect(0, 43204, '\P{_ saur}', "");
Expect(1, 43204, '\P{^_ saur}', "");
Expect(0, 43135, '\p{_ saur}', "");
Expect(1, 43135, '\p{^_ saur}', "");
Expect(1, 43135, '\P{_ saur}', "");
Expect(0, 43135, '\P{^_ saur}', "");
Error('\p{	:=is_saur}');
Error('\P{	:=is_saur}');
Expect(1, 43204, '\p{issaur}', "");
Expect(0, 43204, '\p{^issaur}', "");
Expect(0, 43204, '\P{issaur}', "");
Expect(1, 43204, '\P{^issaur}', "");
Expect(0, 43135, '\p{issaur}', "");
Expect(1, 43135, '\p{^issaur}', "");
Expect(1, 43135, '\P{issaur}', "");
Expect(0, 43135, '\P{^issaur}', "");
Expect(1, 43204, '\p{	IS_Saur}', "");
Expect(0, 43204, '\p{^	IS_Saur}', "");
Expect(0, 43204, '\P{	IS_Saur}', "");
Expect(1, 43204, '\P{^	IS_Saur}', "");
Expect(0, 43135, '\p{	IS_Saur}', "");
Expect(1, 43135, '\p{^	IS_Saur}', "");
Expect(1, 43135, '\P{	IS_Saur}', "");
Expect(0, 43135, '\P{^	IS_Saur}', "");
Error('\p{:=-xExtend}');
Error('\P{:=-xExtend}');
Expect(1, 879, '\p{_X_extend}', "");
Expect(0, 879, '\p{^_X_extend}', "");
Expect(0, 879, '\P{_X_extend}', "");
Expect(1, 879, '\P{^_X_extend}', "");
Expect(0, 767, '\p{_X_extend}', "");
Expect(1, 767, '\p{^_X_extend}', "");
Expect(1, 767, '\P{_X_extend}', "");
Expect(0, 767, '\P{^_X_extend}', "");
Error('\p{:=_	TAGBANWA}');
Error('\P{:=_	TAGBANWA}');
Expect(1, 5996, '\p{tagbanwa}', "");
Expect(0, 5996, '\p{^tagbanwa}', "");
Expect(0, 5996, '\P{tagbanwa}', "");
Expect(1, 5996, '\P{^tagbanwa}', "");
Expect(0, 5983, '\p{tagbanwa}', "");
Expect(1, 5983, '\p{^tagbanwa}', "");
Expect(1, 5983, '\P{tagbanwa}', "");
Expect(0, 5983, '\P{^tagbanwa}', "");
Expect(1, 5996, '\p{Tagbanwa}', "");
Expect(0, 5996, '\p{^Tagbanwa}', "");
Expect(0, 5996, '\P{Tagbanwa}', "");
Expect(1, 5996, '\P{^Tagbanwa}', "");
Expect(0, 5983, '\p{Tagbanwa}', "");
Expect(1, 5983, '\p{^Tagbanwa}', "");
Expect(1, 5983, '\P{Tagbanwa}', "");
Expect(0, 5983, '\P{^Tagbanwa}', "");
Error('\p{/a/	-Is_Tagbanwa}');
Error('\P{/a/	-Is_Tagbanwa}');
Expect(1, 5996, '\p{istagbanwa}', "");
Expect(0, 5996, '\p{^istagbanwa}', "");
Expect(0, 5996, '\P{istagbanwa}', "");
Expect(1, 5996, '\P{^istagbanwa}', "");
Expect(0, 5983, '\p{istagbanwa}', "");
Expect(1, 5983, '\p{^istagbanwa}', "");
Expect(1, 5983, '\P{istagbanwa}', "");
Expect(0, 5983, '\P{^istagbanwa}', "");
Expect(1, 5996, '\p{ Is	Tagbanwa}', "");
Expect(0, 5996, '\p{^ Is	Tagbanwa}', "");
Expect(0, 5996, '\P{ Is	Tagbanwa}', "");
Expect(1, 5996, '\P{^ Is	Tagbanwa}', "");
Expect(0, 5983, '\p{ Is	Tagbanwa}', "");
Expect(1, 5983, '\p{^ Is	Tagbanwa}', "");
Expect(1, 5983, '\P{ Is	Tagbanwa}', "");
Expect(0, 5983, '\P{^ Is	Tagbanwa}', "");
Error('\p{		Tagb/a/}');
Error('\P{		Tagb/a/}');
Expect(1, 5996, '\p{tagb}', "");
Expect(0, 5996, '\p{^tagb}', "");
Expect(0, 5996, '\P{tagb}', "");
Expect(1, 5996, '\P{^tagb}', "");
Expect(0, 5983, '\p{tagb}', "");
Expect(1, 5983, '\p{^tagb}', "");
Expect(1, 5983, '\P{tagb}', "");
Expect(0, 5983, '\P{^tagb}', "");
Expect(1, 5996, '\p{	_tagb}', "");
Expect(0, 5996, '\p{^	_tagb}', "");
Expect(0, 5996, '\P{	_tagb}', "");
Expect(1, 5996, '\P{^	_tagb}', "");
Expect(0, 5983, '\p{	_tagb}', "");
Expect(1, 5983, '\p{^	_tagb}', "");
Expect(1, 5983, '\P{	_tagb}', "");
Expect(0, 5983, '\P{^	_tagb}', "");
Error('\p{_-Is/a/tagb}');
Error('\P{_-Is/a/tagb}');
Expect(1, 5996, '\p{istagb}', "");
Expect(0, 5996, '\p{^istagb}', "");
Expect(0, 5996, '\P{istagb}', "");
Expect(1, 5996, '\P{^istagb}', "");
Expect(0, 5983, '\p{istagb}', "");
Expect(1, 5983, '\p{^istagb}', "");
Expect(1, 5983, '\P{istagb}', "");
Expect(0, 5983, '\P{^istagb}', "");
Expect(1, 5996, '\p{--is_Tagb}', "");
Expect(0, 5996, '\p{^--is_Tagb}', "");
Expect(0, 5996, '\P{--is_Tagb}', "");
Expect(1, 5996, '\P{^--is_Tagb}', "");
Expect(0, 5983, '\p{--is_Tagb}', "");
Expect(1, 5983, '\p{^--is_Tagb}', "");
Expect(1, 5983, '\P{--is_Tagb}', "");
Expect(0, 5983, '\P{^--is_Tagb}', "");
Error('\p{	:=khmer symbols}');
Error('\P{	:=khmer symbols}');
Expect(1, 6655, '\p{khmersymbols}', "");
Expect(0, 6655, '\p{^khmersymbols}', "");
Expect(0, 6655, '\P{khmersymbols}', "");
Expect(1, 6655, '\P{^khmersymbols}', "");
Expect(0, 6623, '\p{khmersymbols}', "");
Expect(1, 6623, '\p{^khmersymbols}', "");
Expect(1, 6623, '\P{khmersymbols}', "");
Expect(0, 6623, '\P{^khmersymbols}', "");
Expect(1, 6655, '\p{-	KHMER_SYMBOLS}', "");
Expect(0, 6655, '\p{^-	KHMER_SYMBOLS}', "");
Expect(0, 6655, '\P{-	KHMER_SYMBOLS}', "");
Expect(1, 6655, '\P{^-	KHMER_SYMBOLS}', "");
Expect(0, 6623, '\p{-	KHMER_SYMBOLS}', "");
Expect(1, 6623, '\p{^-	KHMER_SYMBOLS}', "");
Expect(1, 6623, '\P{-	KHMER_SYMBOLS}', "");
Expect(0, 6623, '\P{^-	KHMER_SYMBOLS}', "");
Error('\p{-Is/a/KHMER	symbols}');
Error('\P{-Is/a/KHMER	symbols}');
Expect(1, 6655, '\p{iskhmersymbols}', "");
Expect(0, 6655, '\p{^iskhmersymbols}', "");
Expect(0, 6655, '\P{iskhmersymbols}', "");
Expect(1, 6655, '\P{^iskhmersymbols}', "");
Expect(0, 6623, '\p{iskhmersymbols}', "");
Expect(1, 6623, '\p{^iskhmersymbols}', "");
Expect(1, 6623, '\P{iskhmersymbols}', "");
Expect(0, 6623, '\P{^iskhmersymbols}', "");
Expect(1, 6655, '\p{_-IS	khmer-symbols}', "");
Expect(0, 6655, '\p{^_-IS	khmer-symbols}', "");
Expect(0, 6655, '\P{_-IS	khmer-symbols}', "");
Expect(1, 6655, '\P{^_-IS	khmer-symbols}', "");
Expect(0, 6623, '\p{_-IS	khmer-symbols}', "");
Expect(1, 6623, '\p{^_-IS	khmer-symbols}', "");
Expect(1, 6623, '\P{_-IS	khmer-symbols}', "");
Expect(0, 6623, '\P{^_-IS	khmer-symbols}', "");
Error('\p{	_InKhmer_SYMBOLS:=}');
Error('\P{	_InKhmer_SYMBOLS:=}');
Expect(1, 6655, '\p{inkhmersymbols}', "");
Expect(0, 6655, '\p{^inkhmersymbols}', "");
Expect(0, 6655, '\P{inkhmersymbols}', "");
Expect(1, 6655, '\P{^inkhmersymbols}', "");
Expect(0, 6623, '\p{inkhmersymbols}', "");
Expect(1, 6623, '\p{^inkhmersymbols}', "");
Expect(1, 6623, '\P{inkhmersymbols}', "");
Expect(0, 6623, '\P{^inkhmersymbols}', "");
Expect(1, 6655, '\p{	_In	khmerSymbols}', "");
Expect(0, 6655, '\p{^	_In	khmerSymbols}', "");
Expect(0, 6655, '\P{	_In	khmerSymbols}', "");
Expect(1, 6655, '\P{^	_In	khmerSymbols}', "");
Expect(0, 6623, '\p{	_In	khmerSymbols}', "");
Expect(1, 6623, '\p{^	_In	khmerSymbols}', "");
Expect(1, 6623, '\P{	_In	khmerSymbols}', "");
Expect(0, 6623, '\P{^	_In	khmerSymbols}', "");
Error('\p{:=Math}');
Error('\P{:=Math}');
Expect(1, 43, '\p{math}', "");
Expect(0, 43, '\p{^math}', "");
Expect(0, 43, '\P{math}', "");
Expect(1, 43, '\P{^math}', "");
Expect(0, 42, '\p{math}', "");
Expect(1, 42, '\p{^math}', "");
Expect(1, 42, '\P{math}', "");
Expect(0, 42, '\P{^math}', "");
Expect(1, 43, '\p{_MATH}', "");
Expect(0, 43, '\p{^_MATH}', "");
Expect(0, 43, '\P{_MATH}', "");
Expect(1, 43, '\P{^_MATH}', "");
Expect(0, 42, '\p{_MATH}', "");
Expect(1, 42, '\p{^_MATH}', "");
Expect(1, 42, '\P{_MATH}', "");
Expect(0, 42, '\P{^_MATH}', "");
Error('\p{	/a/IS Math}');
Error('\P{	/a/IS Math}');
Expect(1, 43, '\p{ismath}', "");
Expect(0, 43, '\p{^ismath}', "");
Expect(0, 43, '\P{ismath}', "");
Expect(1, 43, '\P{^ismath}', "");
Expect(0, 42, '\p{ismath}', "");
Expect(1, 42, '\p{^ismath}', "");
Expect(1, 42, '\P{ismath}', "");
Expect(0, 42, '\P{^ismath}', "");
Expect(1, 43, '\p{--Is	MATH}', "");
Expect(0, 43, '\p{^--Is	MATH}', "");
Expect(0, 43, '\P{--Is	MATH}', "");
Expect(1, 43, '\P{^--Is	MATH}', "");
Expect(0, 42, '\p{--Is	MATH}', "");
Expect(1, 42, '\p{^--Is	MATH}', "");
Expect(1, 42, '\P{--Is	MATH}', "");
Expect(0, 42, '\P{^--Is	MATH}', "");
Error('\p{/a/-buhid}');
Error('\P{/a/-buhid}');
Expect(1, 5971, '\p{buhid}', "");
Expect(0, 5971, '\p{^buhid}', "");
Expect(0, 5971, '\P{buhid}', "");
Expect(1, 5971, '\P{^buhid}', "");
Expect(0, 5951, '\p{buhid}', "");
Expect(1, 5951, '\p{^buhid}', "");
Expect(1, 5951, '\P{buhid}', "");
Expect(0, 5951, '\P{^buhid}', "");
Expect(1, 5971, '\p{		Buhid}', "");
Expect(0, 5971, '\p{^		Buhid}', "");
Expect(0, 5971, '\P{		Buhid}', "");
Expect(1, 5971, '\P{^		Buhid}', "");
Expect(0, 5951, '\p{		Buhid}', "");
Expect(1, 5951, '\p{^		Buhid}', "");
Expect(1, 5951, '\P{		Buhid}', "");
Expect(0, 5951, '\P{^		Buhid}', "");
Error('\p{ :=is_Buhid}');
Error('\P{ :=is_Buhid}');
Expect(1, 5971, '\p{isbuhid}', "");
Expect(0, 5971, '\p{^isbuhid}', "");
Expect(0, 5971, '\P{isbuhid}', "");
Expect(1, 5971, '\P{^isbuhid}', "");
Expect(0, 5951, '\p{isbuhid}', "");
Expect(1, 5951, '\p{^isbuhid}', "");
Expect(1, 5951, '\P{isbuhid}', "");
Expect(0, 5951, '\P{^isbuhid}', "");
Expect(1, 5971, '\p{- IS buhid}', "");
Expect(0, 5971, '\p{^- IS buhid}', "");
Expect(0, 5971, '\P{- IS buhid}', "");
Expect(1, 5971, '\P{^- IS buhid}', "");
Expect(0, 5951, '\p{- IS buhid}', "");
Expect(1, 5951, '\p{^- IS buhid}', "");
Expect(1, 5951, '\P{- IS buhid}', "");
Expect(0, 5951, '\P{^- IS buhid}', "");
Error('\p{:=_ buhd}');
Error('\P{:=_ buhd}');
Expect(1, 5971, '\p{buhd}', "");
Expect(0, 5971, '\p{^buhd}', "");
Expect(0, 5971, '\P{buhd}', "");
Expect(1, 5971, '\P{^buhd}', "");
Expect(0, 5951, '\p{buhd}', "");
Expect(1, 5951, '\p{^buhd}', "");
Expect(1, 5951, '\P{buhd}', "");
Expect(0, 5951, '\P{^buhd}', "");
Expect(1, 5971, '\p{	_Buhd}', "");
Expect(0, 5971, '\p{^	_Buhd}', "");
Expect(0, 5971, '\P{	_Buhd}', "");
Expect(1, 5971, '\P{^	_Buhd}', "");
Expect(0, 5951, '\p{	_Buhd}', "");
Expect(1, 5951, '\p{^	_Buhd}', "");
Expect(1, 5951, '\P{	_Buhd}', "");
Expect(0, 5951, '\P{^	_Buhd}', "");
Error('\p{ is:=Buhd}');
Error('\P{ is:=Buhd}');
Expect(1, 5971, '\p{isbuhd}', "");
Expect(0, 5971, '\p{^isbuhd}', "");
Expect(0, 5971, '\P{isbuhd}', "");
Expect(1, 5971, '\P{^isbuhd}', "");
Expect(0, 5951, '\p{isbuhd}', "");
Expect(1, 5951, '\p{^isbuhd}', "");
Expect(1, 5951, '\P{isbuhd}', "");
Expect(0, 5951, '\P{^isbuhd}', "");
Expect(1, 5971, '\p{_ IS	BUHD}', "");
Expect(0, 5971, '\p{^_ IS	BUHD}', "");
Expect(0, 5971, '\P{_ IS	BUHD}', "");
Expect(1, 5971, '\P{^_ IS	BUHD}', "");
Expect(0, 5951, '\p{_ IS	BUHD}', "");
Expect(1, 5951, '\p{^_ IS	BUHD}', "");
Expect(1, 5951, '\P{_ IS	BUHD}', "");
Expect(0, 5951, '\P{^_ IS	BUHD}', "");
Error('\p{_-Greek_and:=coptic}');
Error('\P{_-Greek_and:=coptic}');
Expect(1, 1023, '\p{greekandcoptic}', "");
Expect(0, 1023, '\p{^greekandcoptic}', "");
Expect(0, 1023, '\P{greekandcoptic}', "");
Expect(1, 1023, '\P{^greekandcoptic}', "");
Expect(0, 879, '\p{greekandcoptic}', "");
Expect(1, 879, '\p{^greekandcoptic}', "");
Expect(1, 879, '\P{greekandcoptic}', "");
Expect(0, 879, '\P{^greekandcoptic}', "");
Expect(1, 1023, '\p{ -greek_ANDCoptic}', "");
Expect(0, 1023, '\p{^ -greek_ANDCoptic}', "");
Expect(0, 1023, '\P{ -greek_ANDCoptic}', "");
Expect(1, 1023, '\P{^ -greek_ANDCoptic}', "");
Expect(0, 879, '\p{ -greek_ANDCoptic}', "");
Expect(1, 879, '\p{^ -greek_ANDCoptic}', "");
Expect(1, 879, '\P{ -greek_ANDCoptic}', "");
Expect(0, 879, '\P{^ -greek_ANDCoptic}', "");
Error('\p{	:=is	Greek And_Coptic}');
Error('\P{	:=is	Greek And_Coptic}');
Expect(1, 1023, '\p{isgreekandcoptic}', "");
Expect(0, 1023, '\p{^isgreekandcoptic}', "");
Expect(0, 1023, '\P{isgreekandcoptic}', "");
Expect(1, 1023, '\P{^isgreekandcoptic}', "");
Expect(0, 879, '\p{isgreekandcoptic}', "");
Expect(1, 879, '\p{^isgreekandcoptic}', "");
Expect(1, 879, '\P{isgreekandcoptic}', "");
Expect(0, 879, '\P{^isgreekandcoptic}', "");
Expect(1, 1023, '\p{- IS-Greekand Coptic}', "");
Expect(0, 1023, '\p{^- IS-Greekand Coptic}', "");
Expect(0, 1023, '\P{- IS-Greekand Coptic}', "");
Expect(1, 1023, '\P{^- IS-Greekand Coptic}', "");
Expect(0, 879, '\p{- IS-Greekand Coptic}', "");
Expect(1, 879, '\p{^- IS-Greekand Coptic}', "");
Expect(1, 879, '\P{- IS-Greekand Coptic}', "");
Expect(0, 879, '\P{^- IS-Greekand Coptic}', "");
Error('\p{ -In	GreekAnd_coptic/a/}');
Error('\P{ -In	GreekAnd_coptic/a/}');
Expect(1, 1023, '\p{ingreekandcoptic}', "");
Expect(0, 1023, '\p{^ingreekandcoptic}', "");
Expect(0, 1023, '\P{ingreekandcoptic}', "");
Expect(1, 1023, '\P{^ingreekandcoptic}', "");
Expect(0, 879, '\p{ingreekandcoptic}', "");
Expect(1, 879, '\p{^ingreekandcoptic}', "");
Expect(1, 879, '\P{ingreekandcoptic}', "");
Expect(0, 879, '\P{^ingreekandcoptic}', "");
Expect(1, 1023, '\p{-	In_Greek_and coptic}', "");
Expect(0, 1023, '\p{^-	In_Greek_and coptic}', "");
Expect(0, 1023, '\P{-	In_Greek_and coptic}', "");
Expect(1, 1023, '\P{^-	In_Greek_and coptic}', "");
Expect(0, 879, '\p{-	In_Greek_and coptic}', "");
Expect(1, 879, '\p{^-	In_Greek_and coptic}', "");
Expect(1, 879, '\P{-	In_Greek_and coptic}', "");
Expect(0, 879, '\P{^-	In_Greek_and coptic}', "");
Error('\p{/a/In GREEK}');
Error('\P{/a/In GREEK}');
Expect(1, 1023, '\p{ingreek}', "");
Expect(0, 1023, '\p{^ingreek}', "");
Expect(0, 1023, '\P{ingreek}', "");
Expect(1, 1023, '\P{^ingreek}', "");
Expect(0, 879, '\p{ingreek}', "");
Expect(1, 879, '\p{^ingreek}', "");
Expect(1, 879, '\P{ingreek}', "");
Expect(0, 879, '\P{^ingreek}', "");
Expect(1, 1023, '\p{-_in-Greek}', "");
Expect(0, 1023, '\p{^-_in-Greek}', "");
Expect(0, 1023, '\P{-_in-Greek}', "");
Expect(1, 1023, '\P{^-_in-Greek}', "");
Expect(0, 879, '\p{-_in-Greek}', "");
Expect(1, 879, '\p{^-_in-Greek}', "");
Expect(1, 879, '\P{-_in-Greek}', "");
Expect(0, 879, '\P{^-_in-Greek}', "");
Error('\p{--WHITE_Space/a/}');
Error('\P{--WHITE_Space/a/}');
Expect(1, 13, '\p{whitespace}', "");
Expect(0, 13, '\p{^whitespace}', "");
Expect(0, 13, '\P{whitespace}', "");
Expect(1, 13, '\P{^whitespace}', "");
Expect(0, 8, '\p{whitespace}', "");
Expect(1, 8, '\p{^whitespace}', "");
Expect(1, 8, '\P{whitespace}', "");
Expect(0, 8, '\P{^whitespace}', "");
Expect(1, 13, '\p{_WHITEspace}', "");
Expect(0, 13, '\p{^_WHITEspace}', "");
Expect(0, 13, '\P{_WHITEspace}', "");
Expect(1, 13, '\P{^_WHITEspace}', "");
Expect(0, 8, '\p{_WHITEspace}', "");
Expect(1, 8, '\p{^_WHITEspace}', "");
Expect(1, 8, '\P{_WHITEspace}', "");
Expect(0, 8, '\P{^_WHITEspace}', "");
Error('\p{_	Is-White/a/Space}');
Error('\P{_	Is-White/a/Space}');
Expect(1, 13, '\p{iswhitespace}', "");
Expect(0, 13, '\p{^iswhitespace}', "");
Expect(0, 13, '\P{iswhitespace}', "");
Expect(1, 13, '\P{^iswhitespace}', "");
Expect(0, 8, '\p{iswhitespace}', "");
Expect(1, 8, '\p{^iswhitespace}', "");
Expect(1, 8, '\P{iswhitespace}', "");
Expect(0, 8, '\P{^iswhitespace}', "");
Expect(1, 13, '\p{	-IsWHITE	space}', "");
Expect(0, 13, '\p{^	-IsWHITE	space}', "");
Expect(0, 13, '\P{	-IsWHITE	space}', "");
Expect(1, 13, '\P{^	-IsWHITE	space}', "");
Expect(0, 8, '\p{	-IsWHITE	space}', "");
Expect(1, 8, '\p{^	-IsWHITE	space}', "");
Expect(1, 8, '\P{	-IsWHITE	space}', "");
Expect(0, 8, '\P{^	-IsWHITE	space}', "");
Error('\p{ :=WSpace}');
Error('\P{ :=WSpace}');
Expect(1, 13, '\p{wspace}', "");
Expect(0, 13, '\p{^wspace}', "");
Expect(0, 13, '\P{wspace}', "");
Expect(1, 13, '\P{^wspace}', "");
Expect(0, 8, '\p{wspace}', "");
Expect(1, 8, '\p{^wspace}', "");
Expect(1, 8, '\P{wspace}', "");
Expect(0, 8, '\P{^wspace}', "");
Expect(1, 13, '\p{_-WSpace}', "");
Expect(0, 13, '\p{^_-WSpace}', "");
Expect(0, 13, '\P{_-WSpace}', "");
Expect(1, 13, '\P{^_-WSpace}', "");
Expect(0, 8, '\p{_-WSpace}', "");
Expect(1, 8, '\p{^_-WSpace}', "");
Expect(1, 8, '\P{_-WSpace}', "");
Expect(0, 8, '\P{^_-WSpace}', "");
Error('\p{--Is	WSpace:=}');
Error('\P{--Is	WSpace:=}');
Expect(1, 13, '\p{iswspace}', "");
Expect(0, 13, '\p{^iswspace}', "");
Expect(0, 13, '\P{iswspace}', "");
Expect(1, 13, '\P{^iswspace}', "");
Expect(0, 8, '\p{iswspace}', "");
Expect(1, 8, '\p{^iswspace}', "");
Expect(1, 8, '\P{iswspace}', "");
Expect(0, 8, '\P{^iswspace}', "");
Expect(1, 13, '\p{	IS-wspace}', "");
Expect(0, 13, '\p{^	IS-wspace}', "");
Expect(0, 13, '\P{	IS-wspace}', "");
Expect(1, 13, '\P{^	IS-wspace}', "");
Expect(0, 8, '\p{	IS-wspace}', "");
Expect(1, 8, '\p{^	IS-wspace}', "");
Expect(1, 8, '\P{	IS-wspace}', "");
Expect(0, 8, '\P{^	IS-wspace}', "");
Error('\p{/a/supplementary	Private-Use-Area	b}');
Error('\P{/a/supplementary	Private-Use-Area	b}');
Expect(1, 1048576, '\p{supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^supplementaryprivateuseareab}', "");
Expect(0, 1, '\p{supplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^supplementaryprivateuseareab}', "");
Expect(1, 1, '\P{supplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{_-SUPPLEMENTARYPrivate_use_Area-b}', "");
Expect(0, 1048576, '\p{^_-SUPPLEMENTARYPrivate_use_Area-b}', "");
Expect(0, 1048576, '\P{_-SUPPLEMENTARYPrivate_use_Area-b}', "");
Expect(1, 1048576, '\P{^_-SUPPLEMENTARYPrivate_use_Area-b}', "");
Expect(0, 1, '\p{_-SUPPLEMENTARYPrivate_use_Area-b}', "");
Expect(1, 1, '\p{^_-SUPPLEMENTARYPrivate_use_Area-b}', "");
Expect(1, 1, '\P{_-SUPPLEMENTARYPrivate_use_Area-b}', "");
Expect(0, 1, '\P{^_-SUPPLEMENTARYPrivate_use_Area-b}', "");
Error('\p{ is-SUPPLEMENTARY private:=Use-AREA	B}');
Error('\P{ is-SUPPLEMENTARY private:=Use-AREA	B}');
Expect(1, 1048576, '\p{issupplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^issupplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{issupplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^issupplementaryprivateuseareab}', "");
Expect(0, 1, '\p{issupplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^issupplementaryprivateuseareab}', "");
Expect(1, 1, '\P{issupplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^issupplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{__IS	Supplementary	Private useArea_B}', "");
Expect(0, 1048576, '\p{^__IS	Supplementary	Private useArea_B}', "");
Expect(0, 1048576, '\P{__IS	Supplementary	Private useArea_B}', "");
Expect(1, 1048576, '\P{^__IS	Supplementary	Private useArea_B}', "");
Expect(0, 1, '\p{__IS	Supplementary	Private useArea_B}', "");
Expect(1, 1, '\p{^__IS	Supplementary	Private useArea_B}', "");
Expect(1, 1, '\P{__IS	Supplementary	Private useArea_B}', "");
Expect(0, 1, '\P{^__IS	Supplementary	Private useArea_B}', "");
Error('\p{_-In_Supplementary	PRIVATE-USE/a/Area_B}');
Error('\P{_-In_Supplementary	PRIVATE-USE/a/Area_B}');
Expect(1, 1048576, '\p{insupplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^insupplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{insupplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^insupplementaryprivateuseareab}', "");
Expect(0, 1, '\p{insupplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^insupplementaryprivateuseareab}', "");
Expect(1, 1, '\P{insupplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^insupplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{-_in	Supplementary	private	Use-Areab}', "");
Expect(0, 1048576, '\p{^-_in	Supplementary	private	Use-Areab}', "");
Expect(0, 1048576, '\P{-_in	Supplementary	private	Use-Areab}', "");
Expect(1, 1048576, '\P{^-_in	Supplementary	private	Use-Areab}', "");
Expect(0, 1, '\p{-_in	Supplementary	private	Use-Areab}', "");
Expect(1, 1, '\p{^-_in	Supplementary	private	Use-Areab}', "");
Expect(1, 1, '\P{-_in	Supplementary	private	Use-Areab}', "");
Expect(0, 1, '\P{^-_in	Supplementary	private	Use-Areab}', "");
Error('\p{--IN:=Cuneiform}');
Error('\P{--IN:=Cuneiform}');
Expect(1, 74751, '\p{incuneiform}', "");
Expect(0, 74751, '\p{^incuneiform}', "");
Expect(0, 74751, '\P{incuneiform}', "");
Expect(1, 74751, '\P{^incuneiform}', "");
Expect(0, 73727, '\p{incuneiform}', "");
Expect(1, 73727, '\p{^incuneiform}', "");
Expect(1, 73727, '\P{incuneiform}', "");
Expect(0, 73727, '\P{^incuneiform}', "");
Expect(1, 74751, '\p{_	InCUNEIFORM}', "");
Expect(0, 74751, '\p{^_	InCUNEIFORM}', "");
Expect(0, 74751, '\P{_	InCUNEIFORM}', "");
Expect(1, 74751, '\P{^_	InCUNEIFORM}', "");
Expect(0, 73727, '\p{_	InCUNEIFORM}', "");
Expect(1, 73727, '\p{^_	InCUNEIFORM}', "");
Expect(1, 73727, '\P{_	InCUNEIFORM}', "");
Expect(0, 73727, '\P{^_	InCUNEIFORM}', "");
Error('\p{  cjk symbols AND/a/Punctuation}');
Error('\P{  cjk symbols AND/a/Punctuation}');
Expect(1, 12351, '\p{cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^cjksymbolsandpunctuation}', "");
Expect(0, 12287, '\p{cjksymbolsandpunctuation}', "");
Expect(1, 12287, '\p{^cjksymbolsandpunctuation}', "");
Expect(1, 12287, '\P{cjksymbolsandpunctuation}', "");
Expect(0, 12287, '\P{^cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{- CJK	SymbolsAND punctuation}', "");
Expect(0, 12351, '\p{^- CJK	SymbolsAND punctuation}', "");
Expect(0, 12351, '\P{- CJK	SymbolsAND punctuation}', "");
Expect(1, 12351, '\P{^- CJK	SymbolsAND punctuation}', "");
Expect(0, 12287, '\p{- CJK	SymbolsAND punctuation}', "");
Expect(1, 12287, '\p{^- CJK	SymbolsAND punctuation}', "");
Expect(1, 12287, '\P{- CJK	SymbolsAND punctuation}', "");
Expect(0, 12287, '\P{^- CJK	SymbolsAND punctuation}', "");
Error('\p{--IS/a/CJK-Symbols-AND-punctuation}');
Error('\P{--IS/a/CJK-Symbols-AND-punctuation}');
Expect(1, 12351, '\p{iscjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^iscjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{iscjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^iscjksymbolsandpunctuation}', "");
Expect(0, 12287, '\p{iscjksymbolsandpunctuation}', "");
Expect(1, 12287, '\p{^iscjksymbolsandpunctuation}', "");
Expect(1, 12287, '\P{iscjksymbolsandpunctuation}', "");
Expect(0, 12287, '\P{^iscjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{_	Is-CJKSymbols	AND	PUNCTUATION}', "");
Expect(0, 12351, '\p{^_	Is-CJKSymbols	AND	PUNCTUATION}', "");
Expect(0, 12351, '\P{_	Is-CJKSymbols	AND	PUNCTUATION}', "");
Expect(1, 12351, '\P{^_	Is-CJKSymbols	AND	PUNCTUATION}', "");
Expect(0, 12287, '\p{_	Is-CJKSymbols	AND	PUNCTUATION}', "");
Expect(1, 12287, '\p{^_	Is-CJKSymbols	AND	PUNCTUATION}', "");
Expect(1, 12287, '\P{_	Is-CJKSymbols	AND	PUNCTUATION}', "");
Expect(0, 12287, '\P{^_	Is-CJKSymbols	AND	PUNCTUATION}', "");
Error('\p{__In/a/CJK-SymbolsAnd PUNCTUATION}');
Error('\P{__In/a/CJK-SymbolsAnd PUNCTUATION}');
Expect(1, 12351, '\p{incjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^incjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{incjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^incjksymbolsandpunctuation}', "");
Expect(0, 12287, '\p{incjksymbolsandpunctuation}', "");
Expect(1, 12287, '\p{^incjksymbolsandpunctuation}', "");
Expect(1, 12287, '\P{incjksymbolsandpunctuation}', "");
Expect(0, 12287, '\P{^incjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{ -Incjk_Symbols_andPUNCTUATION}', "");
Expect(0, 12351, '\p{^ -Incjk_Symbols_andPUNCTUATION}', "");
Expect(0, 12351, '\P{ -Incjk_Symbols_andPUNCTUATION}', "");
Expect(1, 12351, '\P{^ -Incjk_Symbols_andPUNCTUATION}', "");
Expect(0, 12287, '\p{ -Incjk_Symbols_andPUNCTUATION}', "");
Expect(1, 12287, '\p{^ -Incjk_Symbols_andPUNCTUATION}', "");
Expect(1, 12287, '\P{ -Incjk_Symbols_andPUNCTUATION}', "");
Expect(0, 12287, '\P{^ -Incjk_Symbols_andPUNCTUATION}', "");
Error('\p{/a/ 	surrogate}');
Error('\P{/a/ 	surrogate}');
Expect(0, 55295, '\p{surrogate}', "");
Expect(1, 55295, '\p{^surrogate}', "");
Expect(1, 55295, '\P{surrogate}', "");
Expect(0, 55295, '\P{^surrogate}', "");
Error('\p{ IS:=Surrogate}');
Error('\P{ IS:=Surrogate}');
Expect(0, 55295, '\p{issurrogate}', "");
Expect(1, 55295, '\p{^issurrogate}', "");
Expect(1, 55295, '\P{issurrogate}', "");
Expect(0, 55295, '\P{^issurrogate}', "");
Expect(0, 55295, '\p{	Is	surrogate}', "");
Expect(1, 55295, '\p{^	Is	surrogate}', "");
Expect(1, 55295, '\P{	Is	surrogate}', "");
Expect(0, 55295, '\P{^	Is	surrogate}', "");
Error('\p{ 	cs/a/}');
Error('\P{ 	cs/a/}');
Expect(0, 55295, '\p{cs}', "");
Expect(1, 55295, '\p{^cs}', "");
Expect(1, 55295, '\P{cs}', "");
Expect(0, 55295, '\P{^cs}', "");
Expect(0, 55295, '\p{_	cs}', "");
Expect(1, 55295, '\p{^_	cs}', "");
Expect(1, 55295, '\P{_	cs}', "");
Expect(0, 55295, '\P{^_	cs}', "");
Error('\p{/a/__Is	Cs}');
Error('\P{/a/__Is	Cs}');
Expect(0, 55295, '\p{iscs}', "");
Expect(1, 55295, '\p{^iscs}', "");
Expect(1, 55295, '\P{iscs}', "");
Expect(0, 55295, '\P{^iscs}', "");
Expect(0, 55295, '\p{-	Is	CS}', "");
Expect(1, 55295, '\p{^-	Is	CS}', "");
Expect(1, 55295, '\P{-	Is	CS}', "");
Expect(0, 55295, '\P{^-	Is	CS}', "");
Error('\p{_ InCoptic:=}');
Error('\P{_ InCoptic:=}');
Expect(1, 11519, '\p{incoptic}', "");
Expect(0, 11519, '\p{^incoptic}', "");
Expect(0, 11519, '\P{incoptic}', "");
Expect(1, 11519, '\P{^incoptic}', "");
Expect(0, 11391, '\p{incoptic}', "");
Expect(1, 11391, '\p{^incoptic}', "");
Expect(1, 11391, '\P{incoptic}', "");
Expect(0, 11391, '\P{^incoptic}', "");
Expect(1, 11519, '\p{_In coptic}', "");
Expect(0, 11519, '\p{^_In coptic}', "");
Expect(0, 11519, '\P{_In coptic}', "");
Expect(1, 11519, '\P{^_In coptic}', "");
Expect(0, 11391, '\p{_In coptic}', "");
Expect(1, 11391, '\p{^_In coptic}', "");
Expect(1, 11391, '\P{_In coptic}', "");
Expect(0, 11391, '\P{^_In coptic}', "");
Error('\p{_ Khmer/a/}');
Error('\P{_ Khmer/a/}');
Expect(1, 6109, '\p{khmer}', "");
Expect(0, 6109, '\p{^khmer}', "");
Expect(0, 6109, '\P{khmer}', "");
Expect(1, 6109, '\P{^khmer}', "");
Expect(0, 6015, '\p{khmer}', "");
Expect(1, 6015, '\p{^khmer}', "");
Expect(1, 6015, '\P{khmer}', "");
Expect(0, 6015, '\P{^khmer}', "");
Expect(1, 6109, '\p{  KHMER}', "");
Expect(0, 6109, '\p{^  KHMER}', "");
Expect(0, 6109, '\P{  KHMER}', "");
Expect(1, 6109, '\P{^  KHMER}', "");
Expect(0, 6015, '\p{  KHMER}', "");
Expect(1, 6015, '\p{^  KHMER}', "");
Expect(1, 6015, '\P{  KHMER}', "");
Expect(0, 6015, '\P{^  KHMER}', "");
Error('\p{_	Is_khmer/a/}');
Error('\P{_	Is_khmer/a/}');
Expect(1, 6109, '\p{iskhmer}', "");
Expect(0, 6109, '\p{^iskhmer}', "");
Expect(0, 6109, '\P{iskhmer}', "");
Expect(1, 6109, '\P{^iskhmer}', "");
Expect(0, 6015, '\p{iskhmer}', "");
Expect(1, 6015, '\p{^iskhmer}', "");
Expect(1, 6015, '\P{iskhmer}', "");
Expect(0, 6015, '\P{^iskhmer}', "");
Expect(1, 6109, '\p{--IS_Khmer}', "");
Expect(0, 6109, '\p{^--IS_Khmer}', "");
Expect(0, 6109, '\P{--IS_Khmer}', "");
Expect(1, 6109, '\P{^--IS_Khmer}', "");
Expect(0, 6015, '\p{--IS_Khmer}', "");
Expect(1, 6015, '\p{^--IS_Khmer}', "");
Expect(1, 6015, '\P{--IS_Khmer}', "");
Expect(0, 6015, '\P{^--IS_Khmer}', "");
Error('\p{/a/		khmr}');
Error('\P{/a/		khmr}');
Expect(1, 6109, '\p{khmr}', "");
Expect(0, 6109, '\p{^khmr}', "");
Expect(0, 6109, '\P{khmr}', "");
Expect(1, 6109, '\P{^khmr}', "");
Expect(0, 6015, '\p{khmr}', "");
Expect(1, 6015, '\p{^khmr}', "");
Expect(1, 6015, '\P{khmr}', "");
Expect(0, 6015, '\P{^khmr}', "");
Expect(1, 6109, '\p{-Khmr}', "");
Expect(0, 6109, '\p{^-Khmr}', "");
Expect(0, 6109, '\P{-Khmr}', "");
Expect(1, 6109, '\P{^-Khmr}', "");
Expect(0, 6015, '\p{-Khmr}', "");
Expect(1, 6015, '\p{^-Khmr}', "");
Expect(1, 6015, '\P{-Khmr}', "");
Expect(0, 6015, '\P{^-Khmr}', "");
Error('\p{ IS/a/Khmr}');
Error('\P{ IS/a/Khmr}');
Expect(1, 6109, '\p{iskhmr}', "");
Expect(0, 6109, '\p{^iskhmr}', "");
Expect(0, 6109, '\P{iskhmr}', "");
Expect(1, 6109, '\P{^iskhmr}', "");
Expect(0, 6015, '\p{iskhmr}', "");
Expect(1, 6015, '\p{^iskhmr}', "");
Expect(1, 6015, '\P{iskhmr}', "");
Expect(0, 6015, '\P{^iskhmr}', "");
Expect(1, 6109, '\p{	 ISKhmr}', "");
Expect(0, 6109, '\p{^	 ISKhmr}', "");
Expect(0, 6109, '\P{	 ISKhmr}', "");
Expect(1, 6109, '\P{^	 ISKhmr}', "");
Expect(0, 6015, '\p{	 ISKhmr}', "");
Expect(1, 6015, '\p{^	 ISKhmr}', "");
Expect(1, 6015, '\P{	 ISKhmr}', "");
Expect(0, 6015, '\P{^	 ISKhmr}', "");
Error('\p{	_in-nko/a/}');
Error('\P{	_in-nko/a/}');
Expect(1, 2047, '\p{innko}', "");
Expect(0, 2047, '\p{^innko}', "");
Expect(0, 2047, '\P{innko}', "");
Expect(1, 2047, '\P{^innko}', "");
Expect(0, 1983, '\p{innko}', "");
Expect(1, 1983, '\p{^innko}', "");
Expect(1, 1983, '\P{innko}', "");
Expect(0, 1983, '\P{^innko}', "");
Expect(1, 2047, '\p{		In-NKo}', "");
Expect(0, 2047, '\p{^		In-NKo}', "");
Expect(0, 2047, '\P{		In-NKo}', "");
Expect(1, 2047, '\P{^		In-NKo}', "");
Expect(0, 1983, '\p{		In-NKo}', "");
Expect(1, 1983, '\p{^		In-NKo}', "");
Expect(1, 1983, '\P{		In-NKo}', "");
Expect(0, 1983, '\P{^		In-NKo}', "");
Error('\p{ -Linear_B/a/Syllabary}');
Error('\P{ -Linear_B/a/Syllabary}');
Expect(1, 65663, '\p{linearbsyllabary}', "");
Expect(0, 65663, '\p{^linearbsyllabary}', "");
Expect(0, 65663, '\P{linearbsyllabary}', "");
Expect(1, 65663, '\P{^linearbsyllabary}', "");
Expect(0, 1, '\p{linearbsyllabary}', "");
Expect(1, 1, '\p{^linearbsyllabary}', "");
Expect(1, 1, '\P{linearbsyllabary}', "");
Expect(0, 1, '\P{^linearbsyllabary}', "");
Expect(1, 65663, '\p{ Linear-B SYLLABARY}', "");
Expect(0, 65663, '\p{^ Linear-B SYLLABARY}', "");
Expect(0, 65663, '\P{ Linear-B SYLLABARY}', "");
Expect(1, 65663, '\P{^ Linear-B SYLLABARY}', "");
Expect(0, 1, '\p{ Linear-B SYLLABARY}', "");
Expect(1, 1, '\p{^ Linear-B SYLLABARY}', "");
Expect(1, 1, '\P{ Linear-B SYLLABARY}', "");
Expect(0, 1, '\P{^ Linear-B SYLLABARY}', "");
Error('\p{ _Is	LINEAR:=B	syllabary}');
Error('\P{ _Is	LINEAR:=B	syllabary}');
Expect(1, 65663, '\p{islinearbsyllabary}', "");
Expect(0, 65663, '\p{^islinearbsyllabary}', "");
Expect(0, 65663, '\P{islinearbsyllabary}', "");
Expect(1, 65663, '\P{^islinearbsyllabary}', "");
Expect(0, 1, '\p{islinearbsyllabary}', "");
Expect(1, 1, '\p{^islinearbsyllabary}', "");
Expect(1, 1, '\P{islinearbsyllabary}', "");
Expect(0, 1, '\P{^islinearbsyllabary}', "");
Expect(1, 65663, '\p{-IS-Linear-bSyllabary}', "");
Expect(0, 65663, '\p{^-IS-Linear-bSyllabary}', "");
Expect(0, 65663, '\P{-IS-Linear-bSyllabary}', "");
Expect(1, 65663, '\P{^-IS-Linear-bSyllabary}', "");
Expect(0, 1, '\p{-IS-Linear-bSyllabary}', "");
Expect(1, 1, '\p{^-IS-Linear-bSyllabary}', "");
Expect(1, 1, '\P{-IS-Linear-bSyllabary}', "");
Expect(0, 1, '\P{^-IS-Linear-bSyllabary}', "");
Error('\p{-In:=LINEAR-Bsyllabary}');
Error('\P{-In:=LINEAR-Bsyllabary}');
Expect(1, 65663, '\p{inlinearbsyllabary}', "");
Expect(0, 65663, '\p{^inlinearbsyllabary}', "");
Expect(0, 65663, '\P{inlinearbsyllabary}', "");
Expect(1, 65663, '\P{^inlinearbsyllabary}', "");
Expect(0, 1, '\p{inlinearbsyllabary}', "");
Expect(1, 1, '\p{^inlinearbsyllabary}', "");
Expect(1, 1, '\P{inlinearbsyllabary}', "");
Expect(0, 1, '\P{^inlinearbsyllabary}', "");
Expect(1, 65663, '\p{_ In Linear-B-Syllabary}', "");
Expect(0, 65663, '\p{^_ In Linear-B-Syllabary}', "");
Expect(0, 65663, '\P{_ In Linear-B-Syllabary}', "");
Expect(1, 65663, '\P{^_ In Linear-B-Syllabary}', "");
Expect(0, 1, '\p{_ In Linear-B-Syllabary}', "");
Expect(1, 1, '\p{^_ In Linear-B-Syllabary}', "");
Expect(1, 1, '\P{_ In Linear-B-Syllabary}', "");
Expect(0, 1, '\P{^_ In Linear-B-Syllabary}', "");
Error('\p{-_hangul	jamo:=Extended_b}');
Error('\P{-_hangul	jamo:=Extended_b}');
Expect(1, 55295, '\p{hanguljamoextendedb}', "");
Expect(0, 55295, '\p{^hanguljamoextendedb}', "");
Expect(0, 55295, '\P{hanguljamoextendedb}', "");
Expect(1, 55295, '\P{^hanguljamoextendedb}', "");
Expect(0, 55215, '\p{hanguljamoextendedb}', "");
Expect(1, 55215, '\p{^hanguljamoextendedb}', "");
Expect(1, 55215, '\P{hanguljamoextendedb}', "");
Expect(0, 55215, '\P{^hanguljamoextendedb}', "");
Expect(1, 55295, '\p{-hangulJamo	Extended-b}', "");
Expect(0, 55295, '\p{^-hangulJamo	Extended-b}', "");
Expect(0, 55295, '\P{-hangulJamo	Extended-b}', "");
Expect(1, 55295, '\P{^-hangulJamo	Extended-b}', "");
Expect(0, 55215, '\p{-hangulJamo	Extended-b}', "");
Expect(1, 55215, '\p{^-hangulJamo	Extended-b}', "");
Expect(1, 55215, '\P{-hangulJamo	Extended-b}', "");
Expect(0, 55215, '\P{^-hangulJamo	Extended-b}', "");
Error('\p{  Is/a/Hangul	JAMO extended b}');
Error('\P{  Is/a/Hangul	JAMO extended b}');
Expect(1, 55295, '\p{ishanguljamoextendedb}', "");
Expect(0, 55295, '\p{^ishanguljamoextendedb}', "");
Expect(0, 55295, '\P{ishanguljamoextendedb}', "");
Expect(1, 55295, '\P{^ishanguljamoextendedb}', "");
Expect(0, 55215, '\p{ishanguljamoextendedb}', "");
Expect(1, 55215, '\p{^ishanguljamoextendedb}', "");
Expect(1, 55215, '\P{ishanguljamoextendedb}', "");
Expect(0, 55215, '\P{^ishanguljamoextendedb}', "");
Expect(1, 55295, '\p{_Is Hangul	jamoEXTENDED-B}', "");
Expect(0, 55295, '\p{^_Is Hangul	jamoEXTENDED-B}', "");
Expect(0, 55295, '\P{_Is Hangul	jamoEXTENDED-B}', "");
Expect(1, 55295, '\P{^_Is Hangul	jamoEXTENDED-B}', "");
Expect(0, 55215, '\p{_Is Hangul	jamoEXTENDED-B}', "");
Expect(1, 55215, '\p{^_Is Hangul	jamoEXTENDED-B}', "");
Expect(1, 55215, '\P{_Is Hangul	jamoEXTENDED-B}', "");
Expect(0, 55215, '\P{^_Is Hangul	jamoEXTENDED-B}', "");
Error('\p{_IN/a/hangul-jamo extended b}');
Error('\P{_IN/a/hangul-jamo extended b}');
Expect(1, 55295, '\p{inhanguljamoextendedb}', "");
Expect(0, 55295, '\p{^inhanguljamoextendedb}', "");
Expect(0, 55295, '\P{inhanguljamoextendedb}', "");
Expect(1, 55295, '\P{^inhanguljamoextendedb}', "");
Expect(0, 55215, '\p{inhanguljamoextendedb}', "");
Expect(1, 55215, '\p{^inhanguljamoextendedb}', "");
Expect(1, 55215, '\P{inhanguljamoextendedb}', "");
Expect(0, 55215, '\P{^inhanguljamoextendedb}', "");
Expect(1, 55295, '\p{-inhangul Jamo Extended	b}', "");
Expect(0, 55295, '\p{^-inhangul Jamo Extended	b}', "");
Expect(0, 55295, '\P{-inhangul Jamo Extended	b}', "");
Expect(1, 55295, '\P{^-inhangul Jamo Extended	b}', "");
Expect(0, 55215, '\p{-inhangul Jamo Extended	b}', "");
Expect(1, 55215, '\p{^-inhangul Jamo Extended	b}', "");
Expect(1, 55215, '\P{-inhangul Jamo Extended	b}', "");
Expect(0, 55215, '\P{^-inhangul Jamo Extended	b}', "");
Error('\p{-:=InBUGINESE}');
Error('\P{-:=InBUGINESE}');
Expect(1, 6687, '\p{inbuginese}', "");
Expect(0, 6687, '\p{^inbuginese}', "");
Expect(0, 6687, '\P{inbuginese}', "");
Expect(1, 6687, '\P{^inbuginese}', "");
Expect(0, 6655, '\p{inbuginese}', "");
Expect(1, 6655, '\p{^inbuginese}', "");
Expect(1, 6655, '\P{inbuginese}', "");
Expect(0, 6655, '\P{^inbuginese}', "");
Expect(1, 6687, '\p{	IN Buginese}', "");
Expect(0, 6687, '\p{^	IN Buginese}', "");
Expect(0, 6687, '\P{	IN Buginese}', "");
Expect(1, 6687, '\P{^	IN Buginese}', "");
Expect(0, 6655, '\p{	IN Buginese}', "");
Expect(1, 6655, '\p{^	IN Buginese}', "");
Expect(1, 6655, '\P{	IN Buginese}', "");
Expect(0, 6655, '\P{^	IN Buginese}', "");
Error('\p{-/a/in_TAGBANWA}');
Error('\P{-/a/in_TAGBANWA}');
Expect(1, 6015, '\p{intagbanwa}', "");
Expect(0, 6015, '\p{^intagbanwa}', "");
Expect(0, 6015, '\P{intagbanwa}', "");
Expect(1, 6015, '\P{^intagbanwa}', "");
Expect(0, 5983, '\p{intagbanwa}', "");
Expect(1, 5983, '\p{^intagbanwa}', "");
Expect(1, 5983, '\P{intagbanwa}', "");
Expect(0, 5983, '\P{^intagbanwa}', "");
Expect(1, 6015, '\p{  IN Tagbanwa}', "");
Expect(0, 6015, '\p{^  IN Tagbanwa}', "");
Expect(0, 6015, '\P{  IN Tagbanwa}', "");
Expect(1, 6015, '\P{^  IN Tagbanwa}', "");
Expect(0, 5983, '\p{  IN Tagbanwa}', "");
Expect(1, 5983, '\p{^  IN Tagbanwa}', "");
Expect(1, 5983, '\P{  IN Tagbanwa}', "");
Expect(0, 5983, '\P{^  IN Tagbanwa}', "");
Error('\p{ _XID-Start:=}');
Error('\P{ _XID-Start:=}');
Expect(1, 90, '\p{xidstart}', "");
Expect(0, 90, '\p{^xidstart}', "");
Expect(0, 90, '\P{xidstart}', "");
Expect(1, 90, '\P{^xidstart}', "");
Expect(0, 64, '\p{xidstart}', "");
Expect(1, 64, '\p{^xidstart}', "");
Expect(1, 64, '\P{xidstart}', "");
Expect(0, 64, '\P{^xidstart}', "");
Expect(1, 90, '\p{_	XID_Start}', "");
Expect(0, 90, '\p{^_	XID_Start}', "");
Expect(0, 90, '\P{_	XID_Start}', "");
Expect(1, 90, '\P{^_	XID_Start}', "");
Expect(0, 64, '\p{_	XID_Start}', "");
Expect(1, 64, '\p{^_	XID_Start}', "");
Expect(1, 64, '\P{_	XID_Start}', "");
Expect(0, 64, '\P{^_	XID_Start}', "");
Error('\p{--IS:=XID-START}');
Error('\P{--IS:=XID-START}');
Expect(1, 90, '\p{isxidstart}', "");
Expect(0, 90, '\p{^isxidstart}', "");
Expect(0, 90, '\P{isxidstart}', "");
Expect(1, 90, '\P{^isxidstart}', "");
Expect(0, 64, '\p{isxidstart}', "");
Expect(1, 64, '\p{^isxidstart}', "");
Expect(1, 64, '\P{isxidstart}', "");
Expect(0, 64, '\P{^isxidstart}', "");
Expect(1, 90, '\p{IS	XID_start}', "");
Expect(0, 90, '\p{^IS	XID_start}', "");
Expect(0, 90, '\P{IS	XID_start}', "");
Expect(1, 90, '\P{^IS	XID_start}', "");
Expect(0, 64, '\p{IS	XID_start}', "");
Expect(1, 64, '\p{^IS	XID_start}', "");
Expect(1, 64, '\P{IS	XID_start}', "");
Expect(0, 64, '\P{^IS	XID_start}', "");
Error('\p{/a/ -XIDS}');
Error('\P{/a/ -XIDS}');
Expect(1, 90, '\p{xids}', "");
Expect(0, 90, '\p{^xids}', "");
Expect(0, 90, '\P{xids}', "");
Expect(1, 90, '\P{^xids}', "");
Expect(0, 64, '\p{xids}', "");
Expect(1, 64, '\p{^xids}', "");
Expect(1, 64, '\P{xids}', "");
Expect(0, 64, '\P{^xids}', "");
Expect(1, 90, '\p{	xids}', "");
Expect(0, 90, '\p{^	xids}', "");
Expect(0, 90, '\P{	xids}', "");
Expect(1, 90, '\P{^	xids}', "");
Expect(0, 64, '\p{	xids}', "");
Expect(1, 64, '\p{^	xids}', "");
Expect(1, 64, '\P{	xids}', "");
Expect(0, 64, '\P{^	xids}', "");
Error('\p{ /a/Is-XIDS}');
Error('\P{ /a/Is-XIDS}');
Expect(1, 90, '\p{isxids}', "");
Expect(0, 90, '\p{^isxids}', "");
Expect(0, 90, '\P{isxids}', "");
Expect(1, 90, '\P{^isxids}', "");
Expect(0, 64, '\p{isxids}', "");
Expect(1, 64, '\p{^isxids}', "");
Expect(1, 64, '\P{isxids}', "");
Expect(0, 64, '\P{^isxids}', "");
Expect(1, 90, '\p{ 	Is	XIDS}', "");
Expect(0, 90, '\p{^ 	Is	XIDS}', "");
Expect(0, 90, '\P{ 	Is	XIDS}', "");
Expect(1, 90, '\P{^ 	Is	XIDS}', "");
Expect(0, 64, '\p{ 	Is	XIDS}', "");
Expect(1, 64, '\p{^ 	Is	XIDS}', "");
Expect(1, 64, '\P{ 	Is	XIDS}', "");
Expect(0, 64, '\P{^ 	Is	XIDS}', "");
Error('\p{:=		Graph}');
Error('\P{:=		Graph}');
Expect(1, 126, '\p{graph}', "");
Expect(0, 126, '\p{^graph}', "");
Expect(0, 126, '\P{graph}', "");
Expect(1, 126, '\P{^graph}', "");
Expect(0, 32, '\p{graph}', "");
Expect(1, 32, '\p{^graph}', "");
Expect(1, 32, '\P{graph}', "");
Expect(0, 32, '\P{^graph}', "");
Expect(1, 126, '\p{_ Graph}', "");
Expect(0, 126, '\p{^_ Graph}', "");
Expect(0, 126, '\P{_ Graph}', "");
Expect(1, 126, '\P{^_ Graph}', "");
Expect(0, 32, '\p{_ Graph}', "");
Expect(1, 32, '\p{^_ Graph}', "");
Expect(1, 32, '\P{_ Graph}', "");
Expect(0, 32, '\P{^_ Graph}', "");
Error('\p{-	IsGraph/a/}');
Error('\P{-	IsGraph/a/}');
Expect(1, 126, '\p{isgraph}', "");
Expect(0, 126, '\p{^isgraph}', "");
Expect(0, 126, '\P{isgraph}', "");
Expect(1, 126, '\P{^isgraph}', "");
Expect(0, 32, '\p{isgraph}', "");
Expect(1, 32, '\p{^isgraph}', "");
Expect(1, 32, '\P{isgraph}', "");
Expect(0, 32, '\P{^isgraph}', "");
Expect(1, 126, '\p{-_isGraph}', "");
Expect(0, 126, '\p{^-_isGraph}', "");
Expect(0, 126, '\P{-_isGraph}', "");
Expect(1, 126, '\P{^-_isGraph}', "");
Expect(0, 32, '\p{-_isGraph}', "");
Expect(1, 32, '\p{^-_isGraph}', "");
Expect(1, 32, '\P{-_isGraph}', "");
Expect(0, 32, '\P{^-_isGraph}', "");
Error('\p{--Phonetic-extensions	Supplement/a/}');
Error('\P{--Phonetic-extensions	Supplement/a/}');
Expect(1, 7615, '\p{phoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^phoneticextensionssupplement}', "");
Expect(0, 7615, '\P{phoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^phoneticextensionssupplement}', "");
Expect(0, 7551, '\p{phoneticextensionssupplement}', "");
Expect(1, 7551, '\p{^phoneticextensionssupplement}', "");
Expect(1, 7551, '\P{phoneticextensionssupplement}', "");
Expect(0, 7551, '\P{^phoneticextensionssupplement}', "");
Expect(1, 7615, '\p{-_Phonetic_EXTENSIONS_supplement}', "");
Expect(0, 7615, '\p{^-_Phonetic_EXTENSIONS_supplement}', "");
Expect(0, 7615, '\P{-_Phonetic_EXTENSIONS_supplement}', "");
Expect(1, 7615, '\P{^-_Phonetic_EXTENSIONS_supplement}', "");
Expect(0, 7551, '\p{-_Phonetic_EXTENSIONS_supplement}', "");
Expect(1, 7551, '\p{^-_Phonetic_EXTENSIONS_supplement}', "");
Expect(1, 7551, '\P{-_Phonetic_EXTENSIONS_supplement}', "");
Expect(0, 7551, '\P{^-_Phonetic_EXTENSIONS_supplement}', "");
Error('\p{ 	Is-phonetic/a/Extensions supplement}');
Error('\P{ 	Is-phonetic/a/Extensions supplement}');
Expect(1, 7615, '\p{isphoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^isphoneticextensionssupplement}', "");
Expect(0, 7615, '\P{isphoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^isphoneticextensionssupplement}', "");
Expect(0, 7551, '\p{isphoneticextensionssupplement}', "");
Expect(1, 7551, '\p{^isphoneticextensionssupplement}', "");
Expect(1, 7551, '\P{isphoneticextensionssupplement}', "");
Expect(0, 7551, '\P{^isphoneticextensionssupplement}', "");
Expect(1, 7615, '\p{ Is	Phonetic	Extensions	Supplement}', "");
Expect(0, 7615, '\p{^ Is	Phonetic	Extensions	Supplement}', "");
Expect(0, 7615, '\P{ Is	Phonetic	Extensions	Supplement}', "");
Expect(1, 7615, '\P{^ Is	Phonetic	Extensions	Supplement}', "");
Expect(0, 7551, '\p{ Is	Phonetic	Extensions	Supplement}', "");
Expect(1, 7551, '\p{^ Is	Phonetic	Extensions	Supplement}', "");
Expect(1, 7551, '\P{ Is	Phonetic	Extensions	Supplement}', "");
Expect(0, 7551, '\P{^ Is	Phonetic	Extensions	Supplement}', "");
Error('\p{-in	Phonetic_extensions_SUPPLEMENT/a/}');
Error('\P{-in	Phonetic_extensions_SUPPLEMENT/a/}');
Expect(1, 7615, '\p{inphoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^inphoneticextensionssupplement}', "");
Expect(0, 7615, '\P{inphoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^inphoneticextensionssupplement}', "");
Expect(0, 7551, '\p{inphoneticextensionssupplement}', "");
Expect(1, 7551, '\p{^inphoneticextensionssupplement}', "");
Expect(1, 7551, '\P{inphoneticextensionssupplement}', "");
Expect(0, 7551, '\P{^inphoneticextensionssupplement}', "");
Expect(1, 7615, '\p{ 	IN-PHONETIC_Extensions_Supplement}', "");
Expect(0, 7615, '\p{^ 	IN-PHONETIC_Extensions_Supplement}', "");
Expect(0, 7615, '\P{ 	IN-PHONETIC_Extensions_Supplement}', "");
Expect(1, 7615, '\P{^ 	IN-PHONETIC_Extensions_Supplement}', "");
Expect(0, 7551, '\p{ 	IN-PHONETIC_Extensions_Supplement}', "");
Expect(1, 7551, '\p{^ 	IN-PHONETIC_Extensions_Supplement}', "");
Expect(1, 7551, '\P{ 	IN-PHONETIC_Extensions_Supplement}', "");
Expect(0, 7551, '\P{^ 	IN-PHONETIC_Extensions_Supplement}', "");
Error('\p{	MODIFIER:=ToneLetters}');
Error('\P{	MODIFIER:=ToneLetters}');
Expect(1, 42783, '\p{modifiertoneletters}', "");
Expect(0, 42783, '\p{^modifiertoneletters}', "");
Expect(0, 42783, '\P{modifiertoneletters}', "");
Expect(1, 42783, '\P{^modifiertoneletters}', "");
Expect(0, 42751, '\p{modifiertoneletters}', "");
Expect(1, 42751, '\p{^modifiertoneletters}', "");
Expect(1, 42751, '\P{modifiertoneletters}', "");
Expect(0, 42751, '\P{^modifiertoneletters}', "");
Expect(1, 42783, '\p{	Modifier	Tone	LETTERS}', "");
Expect(0, 42783, '\p{^	Modifier	Tone	LETTERS}', "");
Expect(0, 42783, '\P{	Modifier	Tone	LETTERS}', "");
Expect(1, 42783, '\P{^	Modifier	Tone	LETTERS}', "");
Expect(0, 42751, '\p{	Modifier	Tone	LETTERS}', "");
Expect(1, 42751, '\p{^	Modifier	Tone	LETTERS}', "");
Expect(1, 42751, '\P{	Modifier	Tone	LETTERS}', "");
Expect(0, 42751, '\P{^	Modifier	Tone	LETTERS}', "");
Error('\p{_-IS:=Modifier	TONE	Letters}');
Error('\P{_-IS:=Modifier	TONE	Letters}');
Expect(1, 42783, '\p{ismodifiertoneletters}', "");
Expect(0, 42783, '\p{^ismodifiertoneletters}', "");
Expect(0, 42783, '\P{ismodifiertoneletters}', "");
Expect(1, 42783, '\P{^ismodifiertoneletters}', "");
Expect(0, 42751, '\p{ismodifiertoneletters}', "");
Expect(1, 42751, '\p{^ismodifiertoneletters}', "");
Expect(1, 42751, '\P{ismodifiertoneletters}', "");
Expect(0, 42751, '\P{^ismodifiertoneletters}', "");
Expect(1, 42783, '\p{_	is_MODIFIERTone	Letters}', "");
Expect(0, 42783, '\p{^_	is_MODIFIERTone	Letters}', "");
Expect(0, 42783, '\P{_	is_MODIFIERTone	Letters}', "");
Expect(1, 42783, '\P{^_	is_MODIFIERTone	Letters}', "");
Expect(0, 42751, '\p{_	is_MODIFIERTone	Letters}', "");
Expect(1, 42751, '\p{^_	is_MODIFIERTone	Letters}', "");
Expect(1, 42751, '\P{_	is_MODIFIERTone	Letters}', "");
Expect(0, 42751, '\P{^_	is_MODIFIERTone	Letters}', "");
Error('\p{_:=in-modifier	Tone-LETTERS}');
Error('\P{_:=in-modifier	Tone-LETTERS}');
Expect(1, 42783, '\p{inmodifiertoneletters}', "");
Expect(0, 42783, '\p{^inmodifiertoneletters}', "");
Expect(0, 42783, '\P{inmodifiertoneletters}', "");
Expect(1, 42783, '\P{^inmodifiertoneletters}', "");
Expect(0, 42751, '\p{inmodifiertoneletters}', "");
Expect(1, 42751, '\p{^inmodifiertoneletters}', "");
Expect(1, 42751, '\P{inmodifiertoneletters}', "");
Expect(0, 42751, '\P{^inmodifiertoneletters}', "");
Expect(1, 42783, '\p{--in ModifierTone-LETTERS}', "");
Expect(0, 42783, '\p{^--in ModifierTone-LETTERS}', "");
Expect(0, 42783, '\P{--in ModifierTone-LETTERS}', "");
Expect(1, 42783, '\P{^--in ModifierTone-LETTERS}', "");
Expect(0, 42751, '\p{--in ModifierTone-LETTERS}', "");
Expect(1, 42751, '\p{^--in ModifierTone-LETTERS}', "");
Expect(1, 42751, '\P{--in ModifierTone-LETTERS}', "");
Expect(0, 42751, '\P{^--in ModifierTone-LETTERS}', "");
Error('\p{:=Changes-when-CASEFOLDED}');
Error('\P{:=Changes-when-CASEFOLDED}');
Expect(1, 90, '\p{changeswhencasefolded}', "");
Expect(0, 90, '\p{^changeswhencasefolded}', "");
Expect(0, 90, '\P{changeswhencasefolded}', "");
Expect(1, 90, '\P{^changeswhencasefolded}', "");
Expect(0, 64, '\p{changeswhencasefolded}', "");
Expect(1, 64, '\p{^changeswhencasefolded}', "");
Expect(1, 64, '\P{changeswhencasefolded}', "");
Expect(0, 64, '\P{^changeswhencasefolded}', "");
Expect(1, 90, '\p{-_Changeswhen-Casefolded}', "");
Expect(0, 90, '\p{^-_Changeswhen-Casefolded}', "");
Expect(0, 90, '\P{-_Changeswhen-Casefolded}', "");
Expect(1, 90, '\P{^-_Changeswhen-Casefolded}', "");
Expect(0, 64, '\p{-_Changeswhen-Casefolded}', "");
Expect(1, 64, '\p{^-_Changeswhen-Casefolded}', "");
Expect(1, 64, '\P{-_Changeswhen-Casefolded}', "");
Expect(0, 64, '\P{^-_Changeswhen-Casefolded}', "");
Error('\p{__Is:=Changes_WHEN-Casefolded}');
Error('\P{__Is:=Changes_WHEN-Casefolded}');
Expect(1, 90, '\p{ischangeswhencasefolded}', "");
Expect(0, 90, '\p{^ischangeswhencasefolded}', "");
Expect(0, 90, '\P{ischangeswhencasefolded}', "");
Expect(1, 90, '\P{^ischangeswhencasefolded}', "");
Expect(0, 64, '\p{ischangeswhencasefolded}', "");
Expect(1, 64, '\p{^ischangeswhencasefolded}', "");
Expect(1, 64, '\P{ischangeswhencasefolded}', "");
Expect(0, 64, '\P{^ischangeswhencasefolded}', "");
Expect(1, 90, '\p{- Is	Changes-when	CASEFOLDED}', "");
Expect(0, 90, '\p{^- Is	Changes-when	CASEFOLDED}', "");
Expect(0, 90, '\P{- Is	Changes-when	CASEFOLDED}', "");
Expect(1, 90, '\P{^- Is	Changes-when	CASEFOLDED}', "");
Expect(0, 64, '\p{- Is	Changes-when	CASEFOLDED}', "");
Expect(1, 64, '\p{^- Is	Changes-when	CASEFOLDED}', "");
Expect(1, 64, '\P{- Is	Changes-when	CASEFOLDED}', "");
Expect(0, 64, '\P{^- Is	Changes-when	CASEFOLDED}', "");
Error('\p{:=CWCF}');
Error('\P{:=CWCF}');
Expect(1, 90, '\p{cwcf}', "");
Expect(0, 90, '\p{^cwcf}', "");
Expect(0, 90, '\P{cwcf}', "");
Expect(1, 90, '\P{^cwcf}', "");
Expect(0, 64, '\p{cwcf}', "");
Expect(1, 64, '\p{^cwcf}', "");
Expect(1, 64, '\P{cwcf}', "");
Expect(0, 64, '\P{^cwcf}', "");
Expect(1, 90, '\p{	CWCF}', "");
Expect(0, 90, '\p{^	CWCF}', "");
Expect(0, 90, '\P{	CWCF}', "");
Expect(1, 90, '\P{^	CWCF}', "");
Expect(0, 64, '\p{	CWCF}', "");
Expect(1, 64, '\p{^	CWCF}', "");
Expect(1, 64, '\P{	CWCF}', "");
Expect(0, 64, '\P{^	CWCF}', "");
Error('\p{/a/ _Is_CWCF}');
Error('\P{/a/ _Is_CWCF}');
Expect(1, 90, '\p{iscwcf}', "");
Expect(0, 90, '\p{^iscwcf}', "");
Expect(0, 90, '\P{iscwcf}', "");
Expect(1, 90, '\P{^iscwcf}', "");
Expect(0, 64, '\p{iscwcf}', "");
Expect(1, 64, '\p{^iscwcf}', "");
Expect(1, 64, '\P{iscwcf}', "");
Expect(0, 64, '\P{^iscwcf}', "");
Expect(1, 90, '\p{	 IS-CWCF}', "");
Expect(0, 90, '\p{^	 IS-CWCF}', "");
Expect(0, 90, '\P{	 IS-CWCF}', "");
Expect(1, 90, '\P{^	 IS-CWCF}', "");
Expect(0, 64, '\p{	 IS-CWCF}', "");
Expect(1, 64, '\p{^	 IS-CWCF}', "");
Expect(1, 64, '\P{	 IS-CWCF}', "");
Expect(0, 64, '\P{^	 IS-CWCF}', "");
Error('\p{	/a/PrivateUSE_area}');
Error('\P{	/a/PrivateUSE_area}');
Expect(1, 63743, '\p{privateusearea}', "");
Expect(0, 63743, '\p{^privateusearea}', "");
Expect(0, 63743, '\P{privateusearea}', "");
Expect(1, 63743, '\P{^privateusearea}', "");
Expect(0, 1, '\p{privateusearea}', "");
Expect(1, 1, '\p{^privateusearea}', "");
Expect(1, 1, '\P{privateusearea}', "");
Expect(0, 1, '\P{^privateusearea}', "");
Expect(1, 63743, '\p{-_Private	Use AREA}', "");
Expect(0, 63743, '\p{^-_Private	Use AREA}', "");
Expect(0, 63743, '\P{-_Private	Use AREA}', "");
Expect(1, 63743, '\P{^-_Private	Use AREA}', "");
Expect(0, 1, '\p{-_Private	Use AREA}', "");
Expect(1, 1, '\p{^-_Private	Use AREA}', "");
Expect(1, 1, '\P{-_Private	Use AREA}', "");
Expect(0, 1, '\P{^-_Private	Use AREA}', "");
Error('\p{_IS/a/Private-Use-Area}');
Error('\P{_IS/a/Private-Use-Area}');
Expect(1, 63743, '\p{isprivateusearea}', "");
Expect(0, 63743, '\p{^isprivateusearea}', "");
Expect(0, 63743, '\P{isprivateusearea}', "");
Expect(1, 63743, '\P{^isprivateusearea}', "");
Expect(0, 1, '\p{isprivateusearea}', "");
Expect(1, 1, '\p{^isprivateusearea}', "");
Expect(1, 1, '\P{isprivateusearea}', "");
Expect(0, 1, '\P{^isprivateusearea}', "");
Expect(1, 63743, '\p{	Is_Private-use	area}', "");
Expect(0, 63743, '\p{^	Is_Private-use	area}', "");
Expect(0, 63743, '\P{	Is_Private-use	area}', "");
Expect(1, 63743, '\P{^	Is_Private-use	area}', "");
Expect(0, 1, '\p{	Is_Private-use	area}', "");
Expect(1, 1, '\p{^	Is_Private-use	area}', "");
Expect(1, 1, '\P{	Is_Private-use	area}', "");
Expect(0, 1, '\P{^	Is_Private-use	area}', "");
Error('\p{/a/ -IN_Private	UseArea}');
Error('\P{/a/ -IN_Private	UseArea}');
Expect(1, 63743, '\p{inprivateusearea}', "");
Expect(0, 63743, '\p{^inprivateusearea}', "");
Expect(0, 63743, '\P{inprivateusearea}', "");
Expect(1, 63743, '\P{^inprivateusearea}', "");
Expect(0, 1, '\p{inprivateusearea}', "");
Expect(1, 1, '\p{^inprivateusearea}', "");
Expect(1, 1, '\P{inprivateusearea}', "");
Expect(0, 1, '\P{^inprivateusearea}', "");
Expect(1, 63743, '\p{_INPrivate USEArea}', "");
Expect(0, 63743, '\p{^_INPrivate USEArea}', "");
Expect(0, 63743, '\P{_INPrivate USEArea}', "");
Expect(1, 63743, '\P{^_INPrivate USEArea}', "");
Expect(0, 1, '\p{_INPrivate USEArea}', "");
Expect(1, 1, '\p{^_INPrivate USEArea}', "");
Expect(1, 1, '\P{_INPrivate USEArea}', "");
Expect(0, 1, '\P{^_INPrivate USEArea}', "");
Error('\p{ /a/In_Private-Use}');
Error('\P{ /a/In_Private-Use}');
Expect(1, 63743, '\p{inprivateuse}', "");
Expect(0, 63743, '\p{^inprivateuse}', "");
Expect(0, 63743, '\P{inprivateuse}', "");
Expect(1, 63743, '\P{^inprivateuse}', "");
Expect(0, 1, '\p{inprivateuse}', "");
Expect(1, 1, '\p{^inprivateuse}', "");
Expect(1, 1, '\P{inprivateuse}', "");
Expect(0, 1, '\P{^inprivateuse}', "");
Expect(1, 63743, '\p{in_Privateuse}', "");
Expect(0, 63743, '\p{^in_Privateuse}', "");
Expect(0, 63743, '\P{in_Privateuse}', "");
Expect(1, 63743, '\P{^in_Privateuse}', "");
Expect(0, 1, '\p{in_Privateuse}', "");
Expect(1, 1, '\p{^in_Privateuse}', "");
Expect(1, 1, '\P{in_Privateuse}', "");
Expect(0, 1, '\P{^in_Privateuse}', "");
Error('\p{:=Lycian}');
Error('\P{:=Lycian}');
Expect(1, 66204, '\p{lycian}', "");
Expect(0, 66204, '\p{^lycian}', "");
Expect(0, 66204, '\P{lycian}', "");
Expect(1, 66204, '\P{^lycian}', "");
Expect(0, 66175, '\p{lycian}', "");
Expect(1, 66175, '\p{^lycian}', "");
Expect(1, 66175, '\P{lycian}', "");
Expect(0, 66175, '\P{^lycian}', "");
Expect(1, 66204, '\p{-lycian}', "");
Expect(0, 66204, '\p{^-lycian}', "");
Expect(0, 66204, '\P{-lycian}', "");
Expect(1, 66204, '\P{^-lycian}', "");
Expect(0, 66175, '\p{-lycian}', "");
Expect(1, 66175, '\p{^-lycian}', "");
Expect(1, 66175, '\P{-lycian}', "");
Expect(0, 66175, '\P{^-lycian}', "");
Error('\p{- Is:=lycian}');
Error('\P{- Is:=lycian}');
Expect(1, 66204, '\p{islycian}', "");
Expect(0, 66204, '\p{^islycian}', "");
Expect(0, 66204, '\P{islycian}', "");
Expect(1, 66204, '\P{^islycian}', "");
Expect(0, 66175, '\p{islycian}', "");
Expect(1, 66175, '\p{^islycian}', "");
Expect(1, 66175, '\P{islycian}', "");
Expect(0, 66175, '\P{^islycian}', "");
Expect(1, 66204, '\p{		Is-Lycian}', "");
Expect(0, 66204, '\p{^		Is-Lycian}', "");
Expect(0, 66204, '\P{		Is-Lycian}', "");
Expect(1, 66204, '\P{^		Is-Lycian}', "");
Expect(0, 66175, '\p{		Is-Lycian}', "");
Expect(1, 66175, '\p{^		Is-Lycian}', "");
Expect(1, 66175, '\P{		Is-Lycian}', "");
Expect(0, 66175, '\P{^		Is-Lycian}', "");
Error('\p{	-Lyci/a/}');
Error('\P{	-Lyci/a/}');
Expect(1, 66204, '\p{lyci}', "");
Expect(0, 66204, '\p{^lyci}', "");
Expect(0, 66204, '\P{lyci}', "");
Expect(1, 66204, '\P{^lyci}', "");
Expect(0, 66175, '\p{lyci}', "");
Expect(1, 66175, '\p{^lyci}', "");
Expect(1, 66175, '\P{lyci}', "");
Expect(0, 66175, '\P{^lyci}', "");
Expect(1, 66204, '\p{ 	Lyci}', "");
Expect(0, 66204, '\p{^ 	Lyci}', "");
Expect(0, 66204, '\P{ 	Lyci}', "");
Expect(1, 66204, '\P{^ 	Lyci}', "");
Expect(0, 66175, '\p{ 	Lyci}', "");
Expect(1, 66175, '\p{^ 	Lyci}', "");
Expect(1, 66175, '\P{ 	Lyci}', "");
Expect(0, 66175, '\P{^ 	Lyci}', "");
Error('\p{ _Is	LYCI/a/}');
Error('\P{ _Is	LYCI/a/}');
Expect(1, 66204, '\p{islyci}', "");
Expect(0, 66204, '\p{^islyci}', "");
Expect(0, 66204, '\P{islyci}', "");
Expect(1, 66204, '\P{^islyci}', "");
Expect(0, 66175, '\p{islyci}', "");
Expect(1, 66175, '\p{^islyci}', "");
Expect(1, 66175, '\P{islyci}', "");
Expect(0, 66175, '\P{^islyci}', "");
Expect(1, 66204, '\p{__IS Lyci}', "");
Expect(0, 66204, '\p{^__IS Lyci}', "");
Expect(0, 66204, '\P{__IS Lyci}', "");
Expect(1, 66204, '\P{^__IS Lyci}', "");
Expect(0, 66175, '\p{__IS Lyci}', "");
Expect(1, 66175, '\p{^__IS Lyci}', "");
Expect(1, 66175, '\P{__IS Lyci}', "");
Expect(0, 66175, '\P{^__IS Lyci}', "");
Error('\p{	:=Number}');
Error('\P{	:=Number}');
Expect(1, 57, '\p{number}', "");
Expect(0, 57, '\p{^number}', "");
Expect(0, 57, '\P{number}', "");
Expect(1, 57, '\P{^number}', "");
Expect(0, 47, '\p{number}', "");
Expect(1, 47, '\p{^number}', "");
Expect(1, 47, '\P{number}', "");
Expect(0, 47, '\P{^number}', "");
Expect(1, 57, '\p{-	Number}', "");
Expect(0, 57, '\p{^-	Number}', "");
Expect(0, 57, '\P{-	Number}', "");
Expect(1, 57, '\P{^-	Number}', "");
Expect(0, 47, '\p{-	Number}', "");
Expect(1, 47, '\p{^-	Number}', "");
Expect(1, 47, '\P{-	Number}', "");
Expect(0, 47, '\P{^-	Number}', "");
Error('\p{	:=IsNumber}');
Error('\P{	:=IsNumber}');
Expect(1, 57, '\p{isnumber}', "");
Expect(0, 57, '\p{^isnumber}', "");
Expect(0, 57, '\P{isnumber}', "");
Expect(1, 57, '\P{^isnumber}', "");
Expect(0, 47, '\p{isnumber}', "");
Expect(1, 47, '\p{^isnumber}', "");
Expect(1, 47, '\P{isnumber}', "");
Expect(0, 47, '\P{^isnumber}', "");
Expect(1, 57, '\p{ is Number}', "");
Expect(0, 57, '\p{^ is Number}', "");
Expect(0, 57, '\P{ is Number}', "");
Expect(1, 57, '\P{^ is Number}', "");
Expect(0, 47, '\p{ is Number}', "");
Expect(1, 47, '\p{^ is Number}', "");
Expect(1, 47, '\P{ is Number}', "");
Expect(0, 47, '\P{^ is Number}', "");
Error('\p{/a/	_N}');
Error('\P{/a/	_N}');
Expect(1, 57, '\p{n}', "");
Expect(0, 57, '\p{^n}', "");
Expect(0, 57, '\P{n}', "");
Expect(1, 57, '\P{^n}', "");
Expect(0, 47, '\p{n}', "");
Expect(1, 47, '\p{^n}', "");
Expect(1, 47, '\P{n}', "");
Expect(0, 47, '\P{^n}', "");
Expect(1, 57, '\p{		N}', "");
Expect(0, 57, '\p{^		N}', "");
Expect(0, 57, '\P{		N}', "");
Expect(1, 57, '\P{^		N}', "");
Expect(0, 47, '\p{		N}', "");
Expect(1, 47, '\p{^		N}', "");
Expect(1, 47, '\P{		N}', "");
Expect(0, 47, '\P{^		N}', "");
Error('\p{:= -IsN}');
Error('\P{:= -IsN}');
Expect(1, 57, '\p{isn}', "");
Expect(0, 57, '\p{^isn}', "");
Expect(0, 57, '\P{isn}', "");
Expect(1, 57, '\P{^isn}', "");
Expect(0, 47, '\p{isn}', "");
Expect(1, 47, '\p{^isn}', "");
Expect(1, 47, '\P{isn}', "");
Expect(0, 47, '\P{^isn}', "");
Expect(1, 57, '\p{__Isn}', "");
Expect(0, 57, '\p{^__Isn}', "");
Expect(0, 57, '\P{__Isn}', "");
Expect(1, 57, '\P{^__Isn}', "");
Expect(0, 47, '\p{__Isn}', "");
Expect(1, 47, '\p{^__Isn}', "");
Expect(1, 47, '\P{__Isn}', "");
Expect(0, 47, '\P{^__Isn}', "");
Error('\p{/a/	 PosixDigit}');
Error('\P{/a/	 PosixDigit}');
Expect(1, 57, '\p{posixdigit}', "");
Expect(0, 57, '\p{^posixdigit}', "");
Expect(0, 57, '\P{posixdigit}', "");
Expect(1, 57, '\P{^posixdigit}', "");
Expect(0, 47, '\p{posixdigit}', "");
Expect(1, 47, '\p{^posixdigit}', "");
Expect(1, 47, '\P{posixdigit}', "");
Expect(0, 47, '\P{^posixdigit}', "");
Expect(1, 57, '\p{ 	PosixDigit}', "");
Expect(0, 57, '\p{^ 	PosixDigit}', "");
Expect(0, 57, '\P{ 	PosixDigit}', "");
Expect(1, 57, '\P{^ 	PosixDigit}', "");
Expect(0, 47, '\p{ 	PosixDigit}', "");
Expect(1, 47, '\p{^ 	PosixDigit}', "");
Expect(1, 47, '\P{ 	PosixDigit}', "");
Expect(0, 47, '\P{^ 	PosixDigit}', "");
Error('\p{:=IS	PosixDigit}');
Error('\P{:=IS	PosixDigit}');
Expect(1, 57, '\p{isposixdigit}', "");
Expect(0, 57, '\p{^isposixdigit}', "");
Expect(0, 57, '\P{isposixdigit}', "");
Expect(1, 57, '\P{^isposixdigit}', "");
Expect(0, 47, '\p{isposixdigit}', "");
Expect(1, 47, '\p{^isposixdigit}', "");
Expect(1, 47, '\P{isposixdigit}', "");
Expect(0, 47, '\P{^isposixdigit}', "");
Expect(1, 57, '\p{_Is	PosixDigit}', "");
Expect(0, 57, '\p{^_Is	PosixDigit}', "");
Expect(0, 57, '\P{_Is	PosixDigit}', "");
Expect(1, 57, '\P{^_Is	PosixDigit}', "");
Expect(0, 47, '\p{_Is	PosixDigit}', "");
Expect(1, 47, '\p{^_Is	PosixDigit}', "");
Expect(1, 47, '\P{_Is	PosixDigit}', "");
Expect(0, 47, '\P{^_Is	PosixDigit}', "");
Error('\p{		georgian/a/}');
Error('\P{		georgian/a/}');
Expect(1, 4293, '\p{georgian}', "");
Expect(0, 4293, '\p{^georgian}', "");
Expect(0, 4293, '\P{georgian}', "");
Expect(1, 4293, '\P{^georgian}', "");
Expect(0, 4255, '\p{georgian}', "");
Expect(1, 4255, '\p{^georgian}', "");
Expect(1, 4255, '\P{georgian}', "");
Expect(0, 4255, '\P{^georgian}', "");
Expect(1, 4293, '\p{		GEORGIAN}', "");
Expect(0, 4293, '\p{^		GEORGIAN}', "");
Expect(0, 4293, '\P{		GEORGIAN}', "");
Expect(1, 4293, '\P{^		GEORGIAN}', "");
Expect(0, 4255, '\p{		GEORGIAN}', "");
Expect(1, 4255, '\p{^		GEORGIAN}', "");
Expect(1, 4255, '\P{		GEORGIAN}', "");
Expect(0, 4255, '\P{^		GEORGIAN}', "");
Error('\p{_:=IS_GEORGIAN}');
Error('\P{_:=IS_GEORGIAN}');
Expect(1, 4293, '\p{isgeorgian}', "");
Expect(0, 4293, '\p{^isgeorgian}', "");
Expect(0, 4293, '\P{isgeorgian}', "");
Expect(1, 4293, '\P{^isgeorgian}', "");
Expect(0, 4255, '\p{isgeorgian}', "");
Expect(1, 4255, '\p{^isgeorgian}', "");
Expect(1, 4255, '\P{isgeorgian}', "");
Expect(0, 4255, '\P{^isgeorgian}', "");
Expect(1, 4293, '\p{	Is_GEORGIAN}', "");
Expect(0, 4293, '\p{^	Is_GEORGIAN}', "");
Expect(0, 4293, '\P{	Is_GEORGIAN}', "");
Expect(1, 4293, '\P{^	Is_GEORGIAN}', "");
Expect(0, 4255, '\p{	Is_GEORGIAN}', "");
Expect(1, 4255, '\p{^	Is_GEORGIAN}', "");
Expect(1, 4255, '\P{	Is_GEORGIAN}', "");
Expect(0, 4255, '\P{^	Is_GEORGIAN}', "");
Error('\p{- Geor/a/}');
Error('\P{- Geor/a/}');
Expect(1, 4293, '\p{geor}', "");
Expect(0, 4293, '\p{^geor}', "");
Expect(0, 4293, '\P{geor}', "");
Expect(1, 4293, '\P{^geor}', "");
Expect(0, 4255, '\p{geor}', "");
Expect(1, 4255, '\p{^geor}', "");
Expect(1, 4255, '\P{geor}', "");
Expect(0, 4255, '\P{^geor}', "");
Expect(1, 4293, '\p{	-Geor}', "");
Expect(0, 4293, '\p{^	-Geor}', "");
Expect(0, 4293, '\P{	-Geor}', "");
Expect(1, 4293, '\P{^	-Geor}', "");
Expect(0, 4255, '\p{	-Geor}', "");
Expect(1, 4255, '\p{^	-Geor}', "");
Expect(1, 4255, '\P{	-Geor}', "");
Expect(0, 4255, '\P{^	-Geor}', "");
Error('\p{	/a/Is GEOR}');
Error('\P{	/a/Is GEOR}');
Expect(1, 4293, '\p{isgeor}', "");
Expect(0, 4293, '\p{^isgeor}', "");
Expect(0, 4293, '\P{isgeor}', "");
Expect(1, 4293, '\P{^isgeor}', "");
Expect(0, 4255, '\p{isgeor}', "");
Expect(1, 4255, '\p{^isgeor}', "");
Expect(1, 4255, '\P{isgeor}', "");
Expect(0, 4255, '\P{^isgeor}', "");
Expect(1, 4293, '\p{ _Is_geor}', "");
Expect(0, 4293, '\p{^ _Is_geor}', "");
Expect(0, 4293, '\P{ _Is_geor}', "");
Expect(1, 4293, '\P{^ _Is_geor}', "");
Expect(0, 4255, '\p{ _Is_geor}', "");
Expect(1, 4255, '\p{^ _Is_geor}', "");
Expect(1, 4255, '\P{ _Is_geor}', "");
Expect(0, 4255, '\P{^ _Is_geor}', "");
Error('\p{__No_block:=}');
Error('\P{__No_block:=}');
Expect(1, 2303, '\p{noblock}', "");
Expect(0, 2303, '\p{^noblock}', "");
Expect(0, 2303, '\P{noblock}', "");
Expect(1, 2303, '\P{^noblock}', "");
Expect(0, 2111, '\p{noblock}', "");
Expect(1, 2111, '\p{^noblock}', "");
Expect(1, 2111, '\P{noblock}', "");
Expect(0, 2111, '\P{^noblock}', "");
Expect(1, 2303, '\p{ _NO-block}', "");
Expect(0, 2303, '\p{^ _NO-block}', "");
Expect(0, 2303, '\P{ _NO-block}', "");
Expect(1, 2303, '\P{^ _NO-block}', "");
Expect(0, 2111, '\p{ _NO-block}', "");
Expect(1, 2111, '\p{^ _NO-block}', "");
Expect(1, 2111, '\P{ _NO-block}', "");
Expect(0, 2111, '\P{^ _NO-block}', "");
Error('\p{ 	IS/a/NoBlock}');
Error('\P{ 	IS/a/NoBlock}');
Expect(1, 2303, '\p{isnoblock}', "");
Expect(0, 2303, '\p{^isnoblock}', "");
Expect(0, 2303, '\P{isnoblock}', "");
Expect(1, 2303, '\P{^isnoblock}', "");
Expect(0, 2111, '\p{isnoblock}', "");
Expect(1, 2111, '\p{^isnoblock}', "");
Expect(1, 2111, '\P{isnoblock}', "");
Expect(0, 2111, '\P{^isnoblock}', "");
Expect(1, 2303, '\p{-	IS_NO block}', "");
Expect(0, 2303, '\p{^-	IS_NO block}', "");
Expect(0, 2303, '\P{-	IS_NO block}', "");
Expect(1, 2303, '\P{^-	IS_NO block}', "");
Expect(0, 2111, '\p{-	IS_NO block}', "");
Expect(1, 2111, '\p{^-	IS_NO block}', "");
Expect(1, 2111, '\P{-	IS_NO block}', "");
Expect(0, 2111, '\P{^-	IS_NO block}', "");
Error('\p{-In/a/No-Block}');
Error('\P{-In/a/No-Block}');
Expect(1, 2303, '\p{innoblock}', "");
Expect(0, 2303, '\p{^innoblock}', "");
Expect(0, 2303, '\P{innoblock}', "");
Expect(1, 2303, '\P{^innoblock}', "");
Expect(0, 2111, '\p{innoblock}', "");
Expect(1, 2111, '\p{^innoblock}', "");
Expect(1, 2111, '\P{innoblock}', "");
Expect(0, 2111, '\P{^innoblock}', "");
Expect(1, 2303, '\p{	 In_No	BLOCK}', "");
Expect(0, 2303, '\p{^	 In_No	BLOCK}', "");
Expect(0, 2303, '\P{	 In_No	BLOCK}', "");
Expect(1, 2303, '\P{^	 In_No	BLOCK}', "");
Expect(0, 2111, '\p{	 In_No	BLOCK}', "");
Expect(1, 2111, '\p{^	 In_No	BLOCK}', "");
Expect(1, 2111, '\P{	 In_No	BLOCK}', "");
Expect(0, 2111, '\P{^	 In_No	BLOCK}', "");
Error('\p{ assigned:=}');
Error('\P{ assigned:=}');
Expect(1, 887, '\p{assigned}', "");
Expect(0, 887, '\p{^assigned}', "");
Expect(0, 887, '\P{assigned}', "");
Expect(1, 887, '\P{^assigned}', "");
Expect(0, 889, '\p{assigned}', "");
Expect(1, 889, '\p{^assigned}', "");
Expect(1, 889, '\P{assigned}', "");
Expect(0, 889, '\P{^assigned}', "");
Expect(1, 887, '\p{	ASSIGNED}', "");
Expect(0, 887, '\p{^	ASSIGNED}', "");
Expect(0, 887, '\P{	ASSIGNED}', "");
Expect(1, 887, '\P{^	ASSIGNED}', "");
Expect(0, 889, '\p{	ASSIGNED}', "");
Expect(1, 889, '\p{^	ASSIGNED}', "");
Expect(1, 889, '\P{	ASSIGNED}', "");
Expect(0, 889, '\P{^	ASSIGNED}', "");
Error('\p{:=IS	assigned}');
Error('\P{:=IS	assigned}');
Expect(1, 887, '\p{isassigned}', "");
Expect(0, 887, '\p{^isassigned}', "");
Expect(0, 887, '\P{isassigned}', "");
Expect(1, 887, '\P{^isassigned}', "");
Expect(0, 889, '\p{isassigned}', "");
Expect(1, 889, '\p{^isassigned}', "");
Expect(1, 889, '\P{isassigned}', "");
Expect(0, 889, '\P{^isassigned}', "");
Expect(1, 887, '\p{-Is_ASSIGNED}', "");
Expect(0, 887, '\p{^-Is_ASSIGNED}', "");
Expect(0, 887, '\P{-Is_ASSIGNED}', "");
Expect(1, 887, '\P{^-Is_ASSIGNED}', "");
Expect(0, 889, '\p{-Is_ASSIGNED}', "");
Expect(1, 889, '\p{^-Is_ASSIGNED}', "");
Expect(1, 889, '\P{-Is_ASSIGNED}', "");
Expect(0, 889, '\P{^-Is_ASSIGNED}', "");
Error('\p{__Vertical_Forms:=}');
Error('\P{__Vertical_Forms:=}');
Expect(1, 65055, '\p{verticalforms}', "");
Expect(0, 65055, '\p{^verticalforms}', "");
Expect(0, 65055, '\P{verticalforms}', "");
Expect(1, 65055, '\P{^verticalforms}', "");
Expect(0, 65039, '\p{verticalforms}', "");
Expect(1, 65039, '\p{^verticalforms}', "");
Expect(1, 65039, '\P{verticalforms}', "");
Expect(0, 65039, '\P{^verticalforms}', "");
Expect(1, 65055, '\p{		Vertical forms}', "");
Expect(0, 65055, '\p{^		Vertical forms}', "");
Expect(0, 65055, '\P{		Vertical forms}', "");
Expect(1, 65055, '\P{^		Vertical forms}', "");
Expect(0, 65039, '\p{		Vertical forms}', "");
Expect(1, 65039, '\p{^		Vertical forms}', "");
Expect(1, 65039, '\P{		Vertical forms}', "");
Expect(0, 65039, '\P{^		Vertical forms}', "");
Error('\p{-is/a/VERTICAL_Forms}');
Error('\P{-is/a/VERTICAL_Forms}');
Expect(1, 65055, '\p{isverticalforms}', "");
Expect(0, 65055, '\p{^isverticalforms}', "");
Expect(0, 65055, '\P{isverticalforms}', "");
Expect(1, 65055, '\P{^isverticalforms}', "");
Expect(0, 65039, '\p{isverticalforms}', "");
Expect(1, 65039, '\p{^isverticalforms}', "");
Expect(1, 65039, '\P{isverticalforms}', "");
Expect(0, 65039, '\P{^isverticalforms}', "");
Expect(1, 65055, '\p{	 is_Vertical_Forms}', "");
Expect(0, 65055, '\p{^	 is_Vertical_Forms}', "");
Expect(0, 65055, '\P{	 is_Vertical_Forms}', "");
Expect(1, 65055, '\P{^	 is_Vertical_Forms}', "");
Expect(0, 65039, '\p{	 is_Vertical_Forms}', "");
Expect(1, 65039, '\p{^	 is_Vertical_Forms}', "");
Expect(1, 65039, '\P{	 is_Vertical_Forms}', "");
Expect(0, 65039, '\P{^	 is_Vertical_Forms}', "");
Error('\p{/a/_IN VerticalFORMS}');
Error('\P{/a/_IN VerticalFORMS}');
Expect(1, 65055, '\p{inverticalforms}', "");
Expect(0, 65055, '\p{^inverticalforms}', "");
Expect(0, 65055, '\P{inverticalforms}', "");
Expect(1, 65055, '\P{^inverticalforms}', "");
Expect(0, 65039, '\p{inverticalforms}', "");
Expect(1, 65039, '\p{^inverticalforms}', "");
Expect(1, 65039, '\P{inverticalforms}', "");
Expect(0, 65039, '\P{^inverticalforms}', "");
Expect(1, 65055, '\p{--in_vertical	forms}', "");
Expect(0, 65055, '\p{^--in_vertical	forms}', "");
Expect(0, 65055, '\P{--in_vertical	forms}', "");
Expect(1, 65055, '\P{^--in_vertical	forms}', "");
Expect(0, 65039, '\p{--in_vertical	forms}', "");
Expect(1, 65039, '\p{^--in_vertical	forms}', "");
Expect(1, 65039, '\P{--in_vertical	forms}', "");
Expect(0, 65039, '\P{^--in_vertical	forms}', "");
Error('\p{CJK/a/compatibility}');
Error('\P{CJK/a/compatibility}');
Expect(1, 13311, '\p{cjkcompatibility}', "");
Expect(0, 13311, '\p{^cjkcompatibility}', "");
Expect(0, 13311, '\P{cjkcompatibility}', "");
Expect(1, 13311, '\P{^cjkcompatibility}', "");
Expect(0, 13055, '\p{cjkcompatibility}', "");
Expect(1, 13055, '\p{^cjkcompatibility}', "");
Expect(1, 13055, '\P{cjkcompatibility}', "");
Expect(0, 13055, '\P{^cjkcompatibility}', "");
Expect(1, 13311, '\p{--CJK-Compatibility}', "");
Expect(0, 13311, '\p{^--CJK-Compatibility}', "");
Expect(0, 13311, '\P{--CJK-Compatibility}', "");
Expect(1, 13311, '\P{^--CJK-Compatibility}', "");
Expect(0, 13055, '\p{--CJK-Compatibility}', "");
Expect(1, 13055, '\p{^--CJK-Compatibility}', "");
Expect(1, 13055, '\P{--CJK-Compatibility}', "");
Expect(0, 13055, '\P{^--CJK-Compatibility}', "");
Error('\p{-_is_CJK:=COMPATIBILITY}');
Error('\P{-_is_CJK:=COMPATIBILITY}');
Expect(1, 13311, '\p{iscjkcompatibility}', "");
Expect(0, 13311, '\p{^iscjkcompatibility}', "");
Expect(0, 13311, '\P{iscjkcompatibility}', "");
Expect(1, 13311, '\P{^iscjkcompatibility}', "");
Expect(0, 13055, '\p{iscjkcompatibility}', "");
Expect(1, 13055, '\p{^iscjkcompatibility}', "");
Expect(1, 13055, '\P{iscjkcompatibility}', "");
Expect(0, 13055, '\P{^iscjkcompatibility}', "");
Expect(1, 13311, '\p{ is_CJK-Compatibility}', "");
Expect(0, 13311, '\p{^ is_CJK-Compatibility}', "");
Expect(0, 13311, '\P{ is_CJK-Compatibility}', "");
Expect(1, 13311, '\P{^ is_CJK-Compatibility}', "");
Expect(0, 13055, '\p{ is_CJK-Compatibility}', "");
Expect(1, 13055, '\p{^ is_CJK-Compatibility}', "");
Expect(1, 13055, '\P{ is_CJK-Compatibility}', "");
Expect(0, 13055, '\P{^ is_CJK-Compatibility}', "");
Error('\p{_ IN	CJK:=compatibility}');
Error('\P{_ IN	CJK:=compatibility}');
Expect(1, 13311, '\p{incjkcompatibility}', "");
Expect(0, 13311, '\p{^incjkcompatibility}', "");
Expect(0, 13311, '\P{incjkcompatibility}', "");
Expect(1, 13311, '\P{^incjkcompatibility}', "");
Expect(0, 13055, '\p{incjkcompatibility}', "");
Expect(1, 13055, '\p{^incjkcompatibility}', "");
Expect(1, 13055, '\P{incjkcompatibility}', "");
Expect(0, 13055, '\P{^incjkcompatibility}', "");
Expect(1, 13311, '\p{	-INCJK COMPATIBILITY}', "");
Expect(0, 13311, '\p{^	-INCJK COMPATIBILITY}', "");
Expect(0, 13311, '\P{	-INCJK COMPATIBILITY}', "");
Expect(1, 13311, '\P{^	-INCJK COMPATIBILITY}', "");
Expect(0, 13055, '\p{	-INCJK COMPATIBILITY}', "");
Expect(1, 13055, '\p{^	-INCJK COMPATIBILITY}', "");
Expect(1, 13055, '\P{	-INCJK COMPATIBILITY}', "");
Expect(0, 13055, '\P{^	-INCJK COMPATIBILITY}', "");
Error('\p{		CJK unified/a/IDEOGRAPHS-Extension A}');
Error('\P{		CJK unified/a/IDEOGRAPHS-Extension A}');
Expect(1, 19903, '\p{cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^cjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\p{cjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\p{^cjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\P{cjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\P{^cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{	cjk-UNIFIED Ideographs_extension A}', "");
Expect(0, 19903, '\p{^	cjk-UNIFIED Ideographs_extension A}', "");
Expect(0, 19903, '\P{	cjk-UNIFIED Ideographs_extension A}', "");
Expect(1, 19903, '\P{^	cjk-UNIFIED Ideographs_extension A}', "");
Expect(0, 13311, '\p{	cjk-UNIFIED Ideographs_extension A}', "");
Expect(1, 13311, '\p{^	cjk-UNIFIED Ideographs_extension A}', "");
Expect(1, 13311, '\P{	cjk-UNIFIED Ideographs_extension A}', "");
Expect(0, 13311, '\P{^	cjk-UNIFIED Ideographs_extension A}', "");
Error('\p{_-Is	CJK/a/UNIFIED	IDEOGRAPHS ExtensionA}');
Error('\P{_-Is	CJK/a/UNIFIED	IDEOGRAPHS ExtensionA}');
Expect(1, 19903, '\p{iscjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^iscjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{iscjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^iscjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\p{iscjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\p{^iscjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\P{iscjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\P{^iscjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{	is-CJKUnified ideographs_ExtensionA}', "");
Expect(0, 19903, '\p{^	is-CJKUnified ideographs_ExtensionA}', "");
Expect(0, 19903, '\P{	is-CJKUnified ideographs_ExtensionA}', "");
Expect(1, 19903, '\P{^	is-CJKUnified ideographs_ExtensionA}', "");
Expect(0, 13311, '\p{	is-CJKUnified ideographs_ExtensionA}', "");
Expect(1, 13311, '\p{^	is-CJKUnified ideographs_ExtensionA}', "");
Expect(1, 13311, '\P{	is-CJKUnified ideographs_ExtensionA}', "");
Expect(0, 13311, '\P{^	is-CJKUnified ideographs_ExtensionA}', "");
Error('\p{ -in_CJK_UnifiedIDEOGRAPHS/a/ExtensionA}');
Error('\P{ -in_CJK_UnifiedIDEOGRAPHS/a/ExtensionA}');
Expect(1, 19903, '\p{incjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^incjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{incjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^incjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\p{incjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\p{^incjkunifiedideographsextensiona}', "");
Expect(1, 13311, '\P{incjkunifiedideographsextensiona}', "");
Expect(0, 13311, '\P{^incjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{_	In	CJK-Unified_Ideographs	EXTENSION-a}', "");
Expect(0, 19903, '\p{^_	In	CJK-Unified_Ideographs	EXTENSION-a}', "");
Expect(0, 19903, '\P{_	In	CJK-Unified_Ideographs	EXTENSION-a}', "");
Expect(1, 19903, '\P{^_	In	CJK-Unified_Ideographs	EXTENSION-a}', "");
Expect(0, 13311, '\p{_	In	CJK-Unified_Ideographs	EXTENSION-a}', "");
Expect(1, 13311, '\p{^_	In	CJK-Unified_Ideographs	EXTENSION-a}', "");
Expect(1, 13311, '\P{_	In	CJK-Unified_Ideographs	EXTENSION-a}', "");
Expect(0, 13311, '\P{^_	In	CJK-Unified_Ideographs	EXTENSION-a}', "");
Error('\p{/a/-Kharoshthi}');
Error('\P{/a/-Kharoshthi}');
Expect(1, 68099, '\p{kharoshthi}', "");
Expect(0, 68099, '\p{^kharoshthi}', "");
Expect(0, 68099, '\P{kharoshthi}', "");
Expect(1, 68099, '\P{^kharoshthi}', "");
Expect(0, 68095, '\p{kharoshthi}', "");
Expect(1, 68095, '\p{^kharoshthi}', "");
Expect(1, 68095, '\P{kharoshthi}', "");
Expect(0, 68095, '\P{^kharoshthi}', "");
Expect(1, 68099, '\p{-kharoshthi}', "");
Expect(0, 68099, '\p{^-kharoshthi}', "");
Expect(0, 68099, '\P{-kharoshthi}', "");
Expect(1, 68099, '\P{^-kharoshthi}', "");
Expect(0, 68095, '\p{-kharoshthi}', "");
Expect(1, 68095, '\p{^-kharoshthi}', "");
Expect(1, 68095, '\P{-kharoshthi}', "");
Expect(0, 68095, '\P{^-kharoshthi}', "");
Error('\p{:= _IS KHAROSHTHI}');
Error('\P{:= _IS KHAROSHTHI}');
Expect(1, 68099, '\p{iskharoshthi}', "");
Expect(0, 68099, '\p{^iskharoshthi}', "");
Expect(0, 68099, '\P{iskharoshthi}', "");
Expect(1, 68099, '\P{^iskharoshthi}', "");
Expect(0, 68095, '\p{iskharoshthi}', "");
Expect(1, 68095, '\p{^iskharoshthi}', "");
Expect(1, 68095, '\P{iskharoshthi}', "");
Expect(0, 68095, '\P{^iskharoshthi}', "");
Expect(1, 68099, '\p{ _is kharoshthi}', "");
Expect(0, 68099, '\p{^ _is kharoshthi}', "");
Expect(0, 68099, '\P{ _is kharoshthi}', "");
Expect(1, 68099, '\P{^ _is kharoshthi}', "");
Expect(0, 68095, '\p{ _is kharoshthi}', "");
Expect(1, 68095, '\p{^ _is kharoshthi}', "");
Expect(1, 68095, '\P{ _is kharoshthi}', "");
Expect(0, 68095, '\P{^ _is kharoshthi}', "");
Error('\p{:=Khar}');
Error('\P{:=Khar}');
Expect(1, 68099, '\p{khar}', "");
Expect(0, 68099, '\p{^khar}', "");
Expect(0, 68099, '\P{khar}', "");
Expect(1, 68099, '\P{^khar}', "");
Expect(0, 68095, '\p{khar}', "");
Expect(1, 68095, '\p{^khar}', "");
Expect(1, 68095, '\P{khar}', "");
Expect(0, 68095, '\P{^khar}', "");
Expect(1, 68099, '\p{  khar}', "");
Expect(0, 68099, '\p{^  khar}', "");
Expect(0, 68099, '\P{  khar}', "");
Expect(1, 68099, '\P{^  khar}', "");
Expect(0, 68095, '\p{  khar}', "");
Expect(1, 68095, '\p{^  khar}', "");
Expect(1, 68095, '\P{  khar}', "");
Expect(0, 68095, '\P{^  khar}', "");
Error('\p{/a/IS	Khar}');
Error('\P{/a/IS	Khar}');
Expect(1, 68099, '\p{iskhar}', "");
Expect(0, 68099, '\p{^iskhar}', "");
Expect(0, 68099, '\P{iskhar}', "");
Expect(1, 68099, '\P{^iskhar}', "");
Expect(0, 68095, '\p{iskhar}', "");
Expect(1, 68095, '\p{^iskhar}', "");
Expect(1, 68095, '\P{iskhar}', "");
Expect(0, 68095, '\P{^iskhar}', "");
Expect(1, 68099, '\p{ 	Is_Khar}', "");
Expect(0, 68099, '\p{^ 	Is_Khar}', "");
Expect(0, 68099, '\P{ 	Is_Khar}', "");
Expect(1, 68099, '\P{^ 	Is_Khar}', "");
Expect(0, 68095, '\p{ 	Is_Khar}', "");
Expect(1, 68095, '\p{^ 	Is_Khar}', "");
Expect(1, 68095, '\P{ 	Is_Khar}', "");
Expect(0, 68095, '\P{^ 	Is_Khar}', "");
Error('\p{/a/Math-symbol}');
Error('\P{/a/Math-symbol}');
Expect(1, 43, '\p{mathsymbol}', "");
Expect(0, 43, '\p{^mathsymbol}', "");
Expect(0, 43, '\P{mathsymbol}', "");
Expect(1, 43, '\P{^mathsymbol}', "");
Expect(0, 42, '\p{mathsymbol}', "");
Expect(1, 42, '\p{^mathsymbol}', "");
Expect(1, 42, '\P{mathsymbol}', "");
Expect(0, 42, '\P{^mathsymbol}', "");
Expect(1, 43, '\p{__math-symbol}', "");
Expect(0, 43, '\p{^__math-symbol}', "");
Expect(0, 43, '\P{__math-symbol}', "");
Expect(1, 43, '\P{^__math-symbol}', "");
Expect(0, 42, '\p{__math-symbol}', "");
Expect(1, 42, '\p{^__math-symbol}', "");
Expect(1, 42, '\P{__math-symbol}', "");
Expect(0, 42, '\P{^__math-symbol}', "");
Error('\p{	/a/Is-MATHSymbol}');
Error('\P{	/a/Is-MATHSymbol}');
Expect(1, 43, '\p{ismathsymbol}', "");
Expect(0, 43, '\p{^ismathsymbol}', "");
Expect(0, 43, '\P{ismathsymbol}', "");
Expect(1, 43, '\P{^ismathsymbol}', "");
Expect(0, 42, '\p{ismathsymbol}', "");
Expect(1, 42, '\p{^ismathsymbol}', "");
Expect(1, 42, '\P{ismathsymbol}', "");
Expect(0, 42, '\P{^ismathsymbol}', "");
Expect(1, 43, '\p{_IS	Math-symbol}', "");
Expect(0, 43, '\p{^_IS	Math-symbol}', "");
Expect(0, 43, '\P{_IS	Math-symbol}', "");
Expect(1, 43, '\P{^_IS	Math-symbol}', "");
Expect(0, 42, '\p{_IS	Math-symbol}', "");
Expect(1, 42, '\p{^_IS	Math-symbol}', "");
Expect(1, 42, '\P{_IS	Math-symbol}', "");
Expect(0, 42, '\P{^_IS	Math-symbol}', "");
Error('\p{ -Sm:=}');
Error('\P{ -Sm:=}');
Expect(1, 43, '\p{sm}', "");
Expect(0, 43, '\p{^sm}', "");
Expect(0, 43, '\P{sm}', "");
Expect(1, 43, '\P{^sm}', "");
Expect(0, 42, '\p{sm}', "");
Expect(1, 42, '\p{^sm}', "");
Expect(1, 42, '\P{sm}', "");
Expect(0, 42, '\P{^sm}', "");
Expect(1, 43, '\p{	Sm}', "");
Expect(0, 43, '\p{^	Sm}', "");
Expect(0, 43, '\P{	Sm}', "");
Expect(1, 43, '\P{^	Sm}', "");
Expect(0, 42, '\p{	Sm}', "");
Expect(1, 42, '\p{^	Sm}', "");
Expect(1, 42, '\P{	Sm}', "");
Expect(0, 42, '\P{^	Sm}', "");
Error('\p{__is/a/sm}');
Error('\P{__is/a/sm}');
Expect(1, 43, '\p{issm}', "");
Expect(0, 43, '\p{^issm}', "");
Expect(0, 43, '\P{issm}', "");
Expect(1, 43, '\P{^issm}', "");
Expect(0, 42, '\p{issm}', "");
Expect(1, 42, '\p{^issm}', "");
Expect(1, 42, '\P{issm}', "");
Expect(0, 42, '\P{^issm}', "");
Expect(1, 43, '\p{-	Is-Sm}', "");
Expect(0, 43, '\p{^-	Is-Sm}', "");
Expect(0, 43, '\P{-	Is-Sm}', "");
Expect(1, 43, '\P{^-	Is-Sm}', "");
Expect(0, 42, '\p{-	Is-Sm}', "");
Expect(1, 42, '\p{^-	Is-Sm}', "");
Expect(1, 42, '\P{-	Is-Sm}', "");
Expect(0, 42, '\P{^-	Is-Sm}', "");
Error('\p{	/a/Tagalog}');
Error('\P{	/a/Tagalog}');
Expect(1, 5900, '\p{tagalog}', "");
Expect(0, 5900, '\p{^tagalog}', "");
Expect(0, 5900, '\P{tagalog}', "");
Expect(1, 5900, '\P{^tagalog}', "");
Expect(0, 5887, '\p{tagalog}', "");
Expect(1, 5887, '\p{^tagalog}', "");
Expect(1, 5887, '\P{tagalog}', "");
Expect(0, 5887, '\P{^tagalog}', "");
Expect(1, 5900, '\p{ 	TAGALOG}', "");
Expect(0, 5900, '\p{^ 	TAGALOG}', "");
Expect(0, 5900, '\P{ 	TAGALOG}', "");
Expect(1, 5900, '\P{^ 	TAGALOG}', "");
Expect(0, 5887, '\p{ 	TAGALOG}', "");
Expect(1, 5887, '\p{^ 	TAGALOG}', "");
Expect(1, 5887, '\P{ 	TAGALOG}', "");
Expect(0, 5887, '\P{^ 	TAGALOG}', "");
Error('\p{	:=Is TAGALOG}');
Error('\P{	:=Is TAGALOG}');
Expect(1, 5900, '\p{istagalog}', "");
Expect(0, 5900, '\p{^istagalog}', "");
Expect(0, 5900, '\P{istagalog}', "");
Expect(1, 5900, '\P{^istagalog}', "");
Expect(0, 5887, '\p{istagalog}', "");
Expect(1, 5887, '\p{^istagalog}', "");
Expect(1, 5887, '\P{istagalog}', "");
Expect(0, 5887, '\P{^istagalog}', "");
Expect(1, 5900, '\p{- Is_TAGALOG}', "");
Expect(0, 5900, '\p{^- Is_TAGALOG}', "");
Expect(0, 5900, '\P{- Is_TAGALOG}', "");
Expect(1, 5900, '\P{^- Is_TAGALOG}', "");
Expect(0, 5887, '\p{- Is_TAGALOG}', "");
Expect(1, 5887, '\p{^- Is_TAGALOG}', "");
Expect(1, 5887, '\P{- Is_TAGALOG}', "");
Expect(0, 5887, '\P{^- Is_TAGALOG}', "");
Error('\p{/a/ tglg}');
Error('\P{/a/ tglg}');
Expect(1, 5900, '\p{tglg}', "");
Expect(0, 5900, '\p{^tglg}', "");
Expect(0, 5900, '\P{tglg}', "");
Expect(1, 5900, '\P{^tglg}', "");
Expect(0, 5887, '\p{tglg}', "");
Expect(1, 5887, '\p{^tglg}', "");
Expect(1, 5887, '\P{tglg}', "");
Expect(0, 5887, '\P{^tglg}', "");
Expect(1, 5900, '\p{-Tglg}', "");
Expect(0, 5900, '\p{^-Tglg}', "");
Expect(0, 5900, '\P{-Tglg}', "");
Expect(1, 5900, '\P{^-Tglg}', "");
Expect(0, 5887, '\p{-Tglg}', "");
Expect(1, 5887, '\p{^-Tglg}', "");
Expect(1, 5887, '\P{-Tglg}', "");
Expect(0, 5887, '\P{^-Tglg}', "");
Error('\p{:=-isTglg}');
Error('\P{:=-isTglg}');
Expect(1, 5900, '\p{istglg}', "");
Expect(0, 5900, '\p{^istglg}', "");
Expect(0, 5900, '\P{istglg}', "");
Expect(1, 5900, '\P{^istglg}', "");
Expect(0, 5887, '\p{istglg}', "");
Expect(1, 5887, '\p{^istglg}', "");
Expect(1, 5887, '\P{istglg}', "");
Expect(0, 5887, '\P{^istglg}', "");
Expect(1, 5900, '\p{	-Is-Tglg}', "");
Expect(0, 5900, '\p{^	-Is-Tglg}', "");
Expect(0, 5900, '\P{	-Is-Tglg}', "");
Expect(1, 5900, '\P{^	-Is-Tglg}', "");
Expect(0, 5887, '\p{	-Is-Tglg}', "");
Expect(1, 5887, '\p{^	-Is-Tglg}', "");
Expect(1, 5887, '\P{	-Is-Tglg}', "");
Expect(0, 5887, '\P{^	-Is-Tglg}', "");
Error('\p{_/a/Syriac}');
Error('\P{_/a/Syriac}');
Expect(1, 1805, '\p{syriac}', "");
Expect(0, 1805, '\p{^syriac}', "");
Expect(0, 1805, '\P{syriac}', "");
Expect(1, 1805, '\P{^syriac}', "");
Expect(0, 1791, '\p{syriac}', "");
Expect(1, 1791, '\p{^syriac}', "");
Expect(1, 1791, '\P{syriac}', "");
Expect(0, 1791, '\P{^syriac}', "");
Expect(1, 1805, '\p{	-Syriac}', "");
Expect(0, 1805, '\p{^	-Syriac}', "");
Expect(0, 1805, '\P{	-Syriac}', "");
Expect(1, 1805, '\P{^	-Syriac}', "");
Expect(0, 1791, '\p{	-Syriac}', "");
Expect(1, 1791, '\p{^	-Syriac}', "");
Expect(1, 1791, '\P{	-Syriac}', "");
Expect(0, 1791, '\P{^	-Syriac}', "");
Error('\p{	-IS/a/Syriac}');
Error('\P{	-IS/a/Syriac}');
Expect(1, 1805, '\p{issyriac}', "");
Expect(0, 1805, '\p{^issyriac}', "");
Expect(0, 1805, '\P{issyriac}', "");
Expect(1, 1805, '\P{^issyriac}', "");
Expect(0, 1791, '\p{issyriac}', "");
Expect(1, 1791, '\p{^issyriac}', "");
Expect(1, 1791, '\P{issyriac}', "");
Expect(0, 1791, '\P{^issyriac}', "");
Expect(1, 1805, '\p{ is	Syriac}', "");
Expect(0, 1805, '\p{^ is	Syriac}', "");
Expect(0, 1805, '\P{ is	Syriac}', "");
Expect(1, 1805, '\P{^ is	Syriac}', "");
Expect(0, 1791, '\p{ is	Syriac}', "");
Expect(1, 1791, '\p{^ is	Syriac}', "");
Expect(1, 1791, '\P{ is	Syriac}', "");
Expect(0, 1791, '\P{^ is	Syriac}', "");
Error('\p{_:=Syrc}');
Error('\P{_:=Syrc}');
Expect(1, 1805, '\p{syrc}', "");
Expect(0, 1805, '\p{^syrc}', "");
Expect(0, 1805, '\P{syrc}', "");
Expect(1, 1805, '\P{^syrc}', "");
Expect(0, 1791, '\p{syrc}', "");
Expect(1, 1791, '\p{^syrc}', "");
Expect(1, 1791, '\P{syrc}', "");
Expect(0, 1791, '\P{^syrc}', "");
Expect(1, 1805, '\p{	syrc}', "");
Expect(0, 1805, '\p{^	syrc}', "");
Expect(0, 1805, '\P{	syrc}', "");
Expect(1, 1805, '\P{^	syrc}', "");
Expect(0, 1791, '\p{	syrc}', "");
Expect(1, 1791, '\p{^	syrc}', "");
Expect(1, 1791, '\P{	syrc}', "");
Expect(0, 1791, '\P{^	syrc}', "");
Error('\p{	is/a/Syrc}');
Error('\P{	is/a/Syrc}');
Expect(1, 1805, '\p{issyrc}', "");
Expect(0, 1805, '\p{^issyrc}', "");
Expect(0, 1805, '\P{issyrc}', "");
Expect(1, 1805, '\P{^issyrc}', "");
Expect(0, 1791, '\p{issyrc}', "");
Expect(1, 1791, '\p{^issyrc}', "");
Expect(1, 1791, '\P{issyrc}', "");
Expect(0, 1791, '\P{^issyrc}', "");
Expect(1, 1805, '\p{--Is-Syrc}', "");
Expect(0, 1805, '\p{^--Is-Syrc}', "");
Expect(0, 1805, '\P{--Is-Syrc}', "");
Expect(1, 1805, '\P{^--Is-Syrc}', "");
Expect(0, 1791, '\p{--Is-Syrc}', "");
Expect(1, 1791, '\p{^--Is-Syrc}', "");
Expect(1, 1791, '\P{--Is-Syrc}', "");
Expect(0, 1791, '\P{^--Is-Syrc}', "");
Error('\p{:=In-Phoenician}');
Error('\P{:=In-Phoenician}');
Expect(1, 67871, '\p{inphoenician}', "");
Expect(0, 67871, '\p{^inphoenician}', "");
Expect(0, 67871, '\P{inphoenician}', "");
Expect(1, 67871, '\P{^inphoenician}', "");
Expect(0, 67839, '\p{inphoenician}', "");
Expect(1, 67839, '\p{^inphoenician}', "");
Expect(1, 67839, '\P{inphoenician}', "");
Expect(0, 67839, '\P{^inphoenician}', "");
Expect(1, 67871, '\p{_ INPhoenician}', "");
Expect(0, 67871, '\p{^_ INPhoenician}', "");
Expect(0, 67871, '\P{_ INPhoenician}', "");
Expect(1, 67871, '\P{^_ INPhoenician}', "");
Expect(0, 67839, '\p{_ INPhoenician}', "");
Expect(1, 67839, '\p{^_ INPhoenician}', "");
Expect(1, 67839, '\P{_ INPhoenician}', "");
Expect(0, 67839, '\P{^_ INPhoenician}', "");
Error('\p{	PerlWord:=}');
Error('\P{	PerlWord:=}');
Expect(1, 57, '\p{perlword}', "");
Expect(0, 57, '\p{^perlword}', "");
Expect(0, 57, '\P{perlword}', "");
Expect(1, 57, '\P{^perlword}', "");
Expect(0, 47, '\p{perlword}', "");
Expect(1, 47, '\p{^perlword}', "");
Expect(1, 47, '\P{perlword}', "");
Expect(0, 47, '\P{^perlword}', "");
Expect(1, 57, '\p{ perlword}', "");
Expect(0, 57, '\p{^ perlword}', "");
Expect(0, 57, '\P{ perlword}', "");
Expect(1, 57, '\P{^ perlword}', "");
Expect(0, 47, '\p{ perlword}', "");
Expect(1, 47, '\p{^ perlword}', "");
Expect(1, 47, '\P{ perlword}', "");
Expect(0, 47, '\P{^ perlword}', "");
Error('\p{_/a/IS PerlWord}');
Error('\P{_/a/IS PerlWord}');
Expect(1, 57, '\p{isperlword}', "");
Expect(0, 57, '\p{^isperlword}', "");
Expect(0, 57, '\P{isperlword}', "");
Expect(1, 57, '\P{^isperlword}', "");
Expect(0, 47, '\p{isperlword}', "");
Expect(1, 47, '\p{^isperlword}', "");
Expect(1, 47, '\P{isperlword}', "");
Expect(0, 47, '\P{^isperlword}', "");
Expect(1, 57, '\p{ 	Is_PerlWord}', "");
Expect(0, 57, '\p{^ 	Is_PerlWord}', "");
Expect(0, 57, '\P{ 	Is_PerlWord}', "");
Expect(1, 57, '\P{^ 	Is_PerlWord}', "");
Expect(0, 47, '\p{ 	Is_PerlWord}', "");
Expect(1, 47, '\p{^ 	Is_PerlWord}', "");
Expect(1, 47, '\P{ 	Is_PerlWord}', "");
Expect(0, 47, '\P{^ 	Is_PerlWord}', "");
Error('\p{  halfwidth_and-FULLWIDTH	FORMS/a/}');
Error('\P{  halfwidth_and-FULLWIDTH	FORMS/a/}');
Expect(1, 65519, '\p{halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^halfwidthandfullwidthforms}', "");
Expect(0, 65279, '\p{halfwidthandfullwidthforms}', "");
Expect(1, 65279, '\p{^halfwidthandfullwidthforms}', "");
Expect(1, 65279, '\P{halfwidthandfullwidthforms}', "");
Expect(0, 65279, '\P{^halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{	HalfwidthAND fullwidthFORMS}', "");
Expect(0, 65519, '\p{^	HalfwidthAND fullwidthFORMS}', "");
Expect(0, 65519, '\P{	HalfwidthAND fullwidthFORMS}', "");
Expect(1, 65519, '\P{^	HalfwidthAND fullwidthFORMS}', "");
Expect(0, 65279, '\p{	HalfwidthAND fullwidthFORMS}', "");
Expect(1, 65279, '\p{^	HalfwidthAND fullwidthFORMS}', "");
Expect(1, 65279, '\P{	HalfwidthAND fullwidthFORMS}', "");
Expect(0, 65279, '\P{^	HalfwidthAND fullwidthFORMS}', "");
Error('\p{ -IsHALFWIDTH/a/And_FullwidthForms}');
Error('\P{ -IsHALFWIDTH/a/And_FullwidthForms}');
Expect(1, 65519, '\p{ishalfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^ishalfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{ishalfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^ishalfwidthandfullwidthforms}', "");
Expect(0, 65279, '\p{ishalfwidthandfullwidthforms}', "");
Expect(1, 65279, '\p{^ishalfwidthandfullwidthforms}', "");
Expect(1, 65279, '\P{ishalfwidthandfullwidthforms}', "");
Expect(0, 65279, '\P{^ishalfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{ -IsHalfwidth	AND-Fullwidth-FORMS}', "");
Expect(0, 65519, '\p{^ -IsHalfwidth	AND-Fullwidth-FORMS}', "");
Expect(0, 65519, '\P{ -IsHalfwidth	AND-Fullwidth-FORMS}', "");
Expect(1, 65519, '\P{^ -IsHalfwidth	AND-Fullwidth-FORMS}', "");
Expect(0, 65279, '\p{ -IsHalfwidth	AND-Fullwidth-FORMS}', "");
Expect(1, 65279, '\p{^ -IsHalfwidth	AND-Fullwidth-FORMS}', "");
Expect(1, 65279, '\P{ -IsHalfwidth	AND-Fullwidth-FORMS}', "");
Expect(0, 65279, '\P{^ -IsHalfwidth	AND-Fullwidth-FORMS}', "");
Error('\p{__in-HALFWIDTH-AndFullwidth	Forms/a/}');
Error('\P{__in-HALFWIDTH-AndFullwidth	Forms/a/}');
Expect(1, 65519, '\p{inhalfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^inhalfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{inhalfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^inhalfwidthandfullwidthforms}', "");
Expect(0, 65279, '\p{inhalfwidthandfullwidthforms}', "");
Expect(1, 65279, '\p{^inhalfwidthandfullwidthforms}', "");
Expect(1, 65279, '\P{inhalfwidthandfullwidthforms}', "");
Expect(0, 65279, '\P{^inhalfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{- In	HalfwidthAnd	Fullwidth forms}', "");
Expect(0, 65519, '\p{^- In	HalfwidthAnd	Fullwidth forms}', "");
Expect(0, 65519, '\P{- In	HalfwidthAnd	Fullwidth forms}', "");
Expect(1, 65519, '\P{^- In	HalfwidthAnd	Fullwidth forms}', "");
Expect(0, 65279, '\p{- In	HalfwidthAnd	Fullwidth forms}', "");
Expect(1, 65279, '\p{^- In	HalfwidthAnd	Fullwidth forms}', "");
Expect(1, 65279, '\P{- In	HalfwidthAnd	Fullwidth forms}', "");
Expect(0, 65279, '\P{^- In	HalfwidthAnd	Fullwidth forms}', "");
Error('\p{	-Ancient:=GREEK-numbers}');
Error('\P{	-Ancient:=GREEK-numbers}');
Expect(1, 65935, '\p{ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^ancientgreeknumbers}', "");
Expect(0, 65935, '\P{ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^ancientgreeknumbers}', "");
Expect(0, 65855, '\p{ancientgreeknumbers}', "");
Expect(1, 65855, '\p{^ancientgreeknumbers}', "");
Expect(1, 65855, '\P{ancientgreeknumbers}', "");
Expect(0, 65855, '\P{^ancientgreeknumbers}', "");
Expect(1, 65935, '\p{ Ancient_Greek-Numbers}', "");
Expect(0, 65935, '\p{^ Ancient_Greek-Numbers}', "");
Expect(0, 65935, '\P{ Ancient_Greek-Numbers}', "");
Expect(1, 65935, '\P{^ Ancient_Greek-Numbers}', "");
Expect(0, 65855, '\p{ Ancient_Greek-Numbers}', "");
Expect(1, 65855, '\p{^ Ancient_Greek-Numbers}', "");
Expect(1, 65855, '\P{ Ancient_Greek-Numbers}', "");
Expect(0, 65855, '\P{^ Ancient_Greek-Numbers}', "");
Error('\p{/a/	-ISAncientGreek_Numbers}');
Error('\P{/a/	-ISAncientGreek_Numbers}');
Expect(1, 65935, '\p{isancientgreeknumbers}', "");
Expect(0, 65935, '\p{^isancientgreeknumbers}', "");
Expect(0, 65935, '\P{isancientgreeknumbers}', "");
Expect(1, 65935, '\P{^isancientgreeknumbers}', "");
Expect(0, 65855, '\p{isancientgreeknumbers}', "");
Expect(1, 65855, '\p{^isancientgreeknumbers}', "");
Expect(1, 65855, '\P{isancientgreeknumbers}', "");
Expect(0, 65855, '\P{^isancientgreeknumbers}', "");
Expect(1, 65935, '\p{__IS ANCIENT	GreekNUMBERS}', "");
Expect(0, 65935, '\p{^__IS ANCIENT	GreekNUMBERS}', "");
Expect(0, 65935, '\P{__IS ANCIENT	GreekNUMBERS}', "");
Expect(1, 65935, '\P{^__IS ANCIENT	GreekNUMBERS}', "");
Expect(0, 65855, '\p{__IS ANCIENT	GreekNUMBERS}', "");
Expect(1, 65855, '\p{^__IS ANCIENT	GreekNUMBERS}', "");
Expect(1, 65855, '\P{__IS ANCIENT	GreekNUMBERS}', "");
Expect(0, 65855, '\P{^__IS ANCIENT	GreekNUMBERS}', "");
Error('\p{-_In/a/Ancient Greek-numbers}');
Error('\P{-_In/a/Ancient Greek-numbers}');
Expect(1, 65935, '\p{inancientgreeknumbers}', "");
Expect(0, 65935, '\p{^inancientgreeknumbers}', "");
Expect(0, 65935, '\P{inancientgreeknumbers}', "");
Expect(1, 65935, '\P{^inancientgreeknumbers}', "");
Expect(0, 65855, '\p{inancientgreeknumbers}', "");
Expect(1, 65855, '\p{^inancientgreeknumbers}', "");
Expect(1, 65855, '\P{inancientgreeknumbers}', "");
Expect(0, 65855, '\P{^inancientgreeknumbers}', "");
Expect(1, 65935, '\p{-_InAncient greek-NUMBERS}', "");
Expect(0, 65935, '\p{^-_InAncient greek-NUMBERS}', "");
Expect(0, 65935, '\P{-_InAncient greek-NUMBERS}', "");
Expect(1, 65935, '\P{^-_InAncient greek-NUMBERS}', "");
Expect(0, 65855, '\p{-_InAncient greek-NUMBERS}', "");
Expect(1, 65855, '\p{^-_InAncient greek-NUMBERS}', "");
Expect(1, 65855, '\P{-_InAncient greek-NUMBERS}', "");
Expect(0, 65855, '\P{^-_InAncient greek-NUMBERS}', "");
Error('\p{__Optical/a/Character_RECOGNITION}');
Error('\P{__Optical/a/Character_RECOGNITION}');
Expect(1, 9311, '\p{opticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^opticalcharacterrecognition}', "");
Expect(0, 9311, '\P{opticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^opticalcharacterrecognition}', "");
Expect(0, 9279, '\p{opticalcharacterrecognition}', "");
Expect(1, 9279, '\p{^opticalcharacterrecognition}', "");
Expect(1, 9279, '\P{opticalcharacterrecognition}', "");
Expect(0, 9279, '\P{^opticalcharacterrecognition}', "");
Expect(1, 9311, '\p{  Optical_Character	RECOGNITION}', "");
Expect(0, 9311, '\p{^  Optical_Character	RECOGNITION}', "");
Expect(0, 9311, '\P{  Optical_Character	RECOGNITION}', "");
Expect(1, 9311, '\P{^  Optical_Character	RECOGNITION}', "");
Expect(0, 9279, '\p{  Optical_Character	RECOGNITION}', "");
Expect(1, 9279, '\p{^  Optical_Character	RECOGNITION}', "");
Expect(1, 9279, '\P{  Optical_Character	RECOGNITION}', "");
Expect(0, 9279, '\P{^  Optical_Character	RECOGNITION}', "");
Error('\p{-/a/Is_optical_Character recognition}');
Error('\P{-/a/Is_optical_Character recognition}');
Expect(1, 9311, '\p{isopticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^isopticalcharacterrecognition}', "");
Expect(0, 9311, '\P{isopticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^isopticalcharacterrecognition}', "");
Expect(0, 9279, '\p{isopticalcharacterrecognition}', "");
Expect(1, 9279, '\p{^isopticalcharacterrecognition}', "");
Expect(1, 9279, '\P{isopticalcharacterrecognition}', "");
Expect(0, 9279, '\P{^isopticalcharacterrecognition}', "");
Expect(1, 9311, '\p{_Is-Optical_Character Recognition}', "");
Expect(0, 9311, '\p{^_Is-Optical_Character Recognition}', "");
Expect(0, 9311, '\P{_Is-Optical_Character Recognition}', "");
Expect(1, 9311, '\P{^_Is-Optical_Character Recognition}', "");
Expect(0, 9279, '\p{_Is-Optical_Character Recognition}', "");
Expect(1, 9279, '\p{^_Is-Optical_Character Recognition}', "");
Expect(1, 9279, '\P{_Is-Optical_Character Recognition}', "");
Expect(0, 9279, '\P{^_Is-Optical_Character Recognition}', "");
Error('\p{-/a/In-OpticalCharacter	Recognition}');
Error('\P{-/a/In-OpticalCharacter	Recognition}');
Expect(1, 9311, '\p{inopticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^inopticalcharacterrecognition}', "");
Expect(0, 9311, '\P{inopticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^inopticalcharacterrecognition}', "");
Expect(0, 9279, '\p{inopticalcharacterrecognition}', "");
Expect(1, 9279, '\p{^inopticalcharacterrecognition}', "");
Expect(1, 9279, '\P{inopticalcharacterrecognition}', "");
Expect(0, 9279, '\P{^inopticalcharacterrecognition}', "");
Expect(1, 9311, '\p{		inOptical	CHARACTERRECOGNITION}', "");
Expect(0, 9311, '\p{^		inOptical	CHARACTERRECOGNITION}', "");
Expect(0, 9311, '\P{		inOptical	CHARACTERRECOGNITION}', "");
Expect(1, 9311, '\P{^		inOptical	CHARACTERRECOGNITION}', "");
Expect(0, 9279, '\p{		inOptical	CHARACTERRECOGNITION}', "");
Expect(1, 9279, '\p{^		inOptical	CHARACTERRECOGNITION}', "");
Expect(1, 9279, '\P{		inOptical	CHARACTERRECOGNITION}', "");
Expect(0, 9279, '\P{^		inOptical	CHARACTERRECOGNITION}', "");
Error('\p{ _LIMBU/a/}');
Error('\P{ _LIMBU/a/}');
Expect(1, 6428, '\p{limbu}', "");
Expect(0, 6428, '\p{^limbu}', "");
Expect(0, 6428, '\P{limbu}', "");
Expect(1, 6428, '\P{^limbu}', "");
Expect(0, 6399, '\p{limbu}', "");
Expect(1, 6399, '\p{^limbu}', "");
Expect(1, 6399, '\P{limbu}', "");
Expect(0, 6399, '\P{^limbu}', "");
Expect(1, 6428, '\p{	-Limbu}', "");
Expect(0, 6428, '\p{^	-Limbu}', "");
Expect(0, 6428, '\P{	-Limbu}', "");
Expect(1, 6428, '\P{^	-Limbu}', "");
Expect(0, 6399, '\p{	-Limbu}', "");
Expect(1, 6399, '\p{^	-Limbu}', "");
Expect(1, 6399, '\P{	-Limbu}', "");
Expect(0, 6399, '\P{^	-Limbu}', "");
Error('\p{	IS_LIMBU:=}');
Error('\P{	IS_LIMBU:=}');
Expect(1, 6428, '\p{islimbu}', "");
Expect(0, 6428, '\p{^islimbu}', "");
Expect(0, 6428, '\P{islimbu}', "");
Expect(1, 6428, '\P{^islimbu}', "");
Expect(0, 6399, '\p{islimbu}', "");
Expect(1, 6399, '\p{^islimbu}', "");
Expect(1, 6399, '\P{islimbu}', "");
Expect(0, 6399, '\P{^islimbu}', "");
Expect(1, 6428, '\p{-is Limbu}', "");
Expect(0, 6428, '\p{^-is Limbu}', "");
Expect(0, 6428, '\P{-is Limbu}', "");
Expect(1, 6428, '\P{^-is Limbu}', "");
Expect(0, 6399, '\p{-is Limbu}', "");
Expect(1, 6399, '\p{^-is Limbu}', "");
Expect(1, 6399, '\P{-is Limbu}', "");
Expect(0, 6399, '\P{^-is Limbu}', "");
Error('\p{-	limb:=}');
Error('\P{-	limb:=}');
Expect(1, 6428, '\p{limb}', "");
Expect(0, 6428, '\p{^limb}', "");
Expect(0, 6428, '\P{limb}', "");
Expect(1, 6428, '\P{^limb}', "");
Expect(0, 6399, '\p{limb}', "");
Expect(1, 6399, '\p{^limb}', "");
Expect(1, 6399, '\P{limb}', "");
Expect(0, 6399, '\P{^limb}', "");
Expect(1, 6428, '\p{-LIMB}', "");
Expect(0, 6428, '\p{^-LIMB}', "");
Expect(0, 6428, '\P{-LIMB}', "");
Expect(1, 6428, '\P{^-LIMB}', "");
Expect(0, 6399, '\p{-LIMB}', "");
Expect(1, 6399, '\p{^-LIMB}', "");
Expect(1, 6399, '\P{-LIMB}', "");
Expect(0, 6399, '\P{^-LIMB}', "");
Error('\p{Is Limb:=}');
Error('\P{Is Limb:=}');
Expect(1, 6428, '\p{islimb}', "");
Expect(0, 6428, '\p{^islimb}', "");
Expect(0, 6428, '\P{islimb}', "");
Expect(1, 6428, '\P{^islimb}', "");
Expect(0, 6399, '\p{islimb}', "");
Expect(1, 6399, '\p{^islimb}', "");
Expect(1, 6399, '\P{islimb}', "");
Expect(0, 6399, '\P{^islimb}', "");
Expect(1, 6428, '\p{		Is limb}', "");
Expect(0, 6428, '\p{^		Is limb}', "");
Expect(0, 6428, '\P{		Is limb}', "");
Expect(1, 6428, '\P{^		Is limb}', "");
Expect(0, 6399, '\p{		Is limb}', "");
Expect(1, 6399, '\p{^		Is limb}', "");
Expect(1, 6399, '\P{		Is limb}', "");
Expect(0, 6399, '\P{^		Is limb}', "");
Error('\p{-_Terminal:=punctuation}');
Error('\P{-_Terminal:=punctuation}');
Expect(1, 33, '\p{terminalpunctuation}', "");
Expect(0, 33, '\p{^terminalpunctuation}', "");
Expect(0, 33, '\P{terminalpunctuation}', "");
Expect(1, 33, '\P{^terminalpunctuation}', "");
Expect(0, 32, '\p{terminalpunctuation}', "");
Expect(1, 32, '\p{^terminalpunctuation}', "");
Expect(1, 32, '\P{terminalpunctuation}', "");
Expect(0, 32, '\P{^terminalpunctuation}', "");
Expect(1, 33, '\p{_ Terminal-PUNCTUATION}', "");
Expect(0, 33, '\p{^_ Terminal-PUNCTUATION}', "");
Expect(0, 33, '\P{_ Terminal-PUNCTUATION}', "");
Expect(1, 33, '\P{^_ Terminal-PUNCTUATION}', "");
Expect(0, 32, '\p{_ Terminal-PUNCTUATION}', "");
Expect(1, 32, '\p{^_ Terminal-PUNCTUATION}', "");
Expect(1, 32, '\P{_ Terminal-PUNCTUATION}', "");
Expect(0, 32, '\P{^_ Terminal-PUNCTUATION}', "");
Error('\p{-Is	Terminal:=Punctuation}');
Error('\P{-Is	Terminal:=Punctuation}');
Expect(1, 33, '\p{isterminalpunctuation}', "");
Expect(0, 33, '\p{^isterminalpunctuation}', "");
Expect(0, 33, '\P{isterminalpunctuation}', "");
Expect(1, 33, '\P{^isterminalpunctuation}', "");
Expect(0, 32, '\p{isterminalpunctuation}', "");
Expect(1, 32, '\p{^isterminalpunctuation}', "");
Expect(1, 32, '\P{isterminalpunctuation}', "");
Expect(0, 32, '\P{^isterminalpunctuation}', "");
Expect(1, 33, '\p{-Is Terminal Punctuation}', "");
Expect(0, 33, '\p{^-Is Terminal Punctuation}', "");
Expect(0, 33, '\P{-Is Terminal Punctuation}', "");
Expect(1, 33, '\P{^-Is Terminal Punctuation}', "");
Expect(0, 32, '\p{-Is Terminal Punctuation}', "");
Expect(1, 32, '\p{^-Is Terminal Punctuation}', "");
Expect(1, 32, '\P{-Is Terminal Punctuation}', "");
Expect(0, 32, '\P{^-Is Terminal Punctuation}', "");
Error('\p{	-Term/a/}');
Error('\P{	-Term/a/}');
Expect(1, 33, '\p{term}', "");
Expect(0, 33, '\p{^term}', "");
Expect(0, 33, '\P{term}', "");
Expect(1, 33, '\P{^term}', "");
Expect(0, 32, '\p{term}', "");
Expect(1, 32, '\p{^term}', "");
Expect(1, 32, '\P{term}', "");
Expect(0, 32, '\P{^term}', "");
Expect(1, 33, '\p{_TERM}', "");
Expect(0, 33, '\p{^_TERM}', "");
Expect(0, 33, '\P{_TERM}', "");
Expect(1, 33, '\P{^_TERM}', "");
Expect(0, 32, '\p{_TERM}', "");
Expect(1, 32, '\p{^_TERM}', "");
Expect(1, 32, '\P{_TERM}', "");
Expect(0, 32, '\P{^_TERM}', "");
Error('\p{ _is:=term}');
Error('\P{ _is:=term}');
Expect(1, 33, '\p{isterm}', "");
Expect(0, 33, '\p{^isterm}', "");
Expect(0, 33, '\P{isterm}', "");
Expect(1, 33, '\P{^isterm}', "");
Expect(0, 32, '\p{isterm}', "");
Expect(1, 32, '\p{^isterm}', "");
Expect(1, 32, '\P{isterm}', "");
Expect(0, 32, '\P{^isterm}', "");
Expect(1, 33, '\p{_	is_TERM}', "");
Expect(0, 33, '\p{^_	is_TERM}', "");
Expect(0, 33, '\P{_	is_TERM}', "");
Expect(1, 33, '\P{^_	is_TERM}', "");
Expect(0, 32, '\p{_	is_TERM}', "");
Expect(1, 32, '\p{^_	is_TERM}', "");
Expect(1, 32, '\P{_	is_TERM}', "");
Expect(0, 32, '\P{^_	is_TERM}', "");
Error('\p{-_Other	Uppercase:=}');
Error('\P{-_Other	Uppercase:=}');
Expect(1, 8559, '\p{otheruppercase}', 'deprecated');
Expect(0, 8559, '\p{^otheruppercase}', 'deprecated');
Expect(0, 8559, '\P{otheruppercase}', 'deprecated');
Expect(1, 8559, '\P{^otheruppercase}', 'deprecated');
Expect(0, 8543, '\p{otheruppercase}', 'deprecated');
Expect(1, 8543, '\p{^otheruppercase}', 'deprecated');
Expect(1, 8543, '\P{otheruppercase}', 'deprecated');
Expect(0, 8543, '\P{^otheruppercase}', 'deprecated');
Expect(1, 8559, '\p{ 	Otheruppercase}', 'deprecated');
Expect(0, 8559, '\p{^ 	Otheruppercase}', 'deprecated');
Expect(0, 8559, '\P{ 	Otheruppercase}', 'deprecated');
Expect(1, 8559, '\P{^ 	Otheruppercase}', 'deprecated');
Expect(0, 8543, '\p{ 	Otheruppercase}', 'deprecated');
Expect(1, 8543, '\p{^ 	Otheruppercase}', 'deprecated');
Expect(1, 8543, '\P{ 	Otheruppercase}', 'deprecated');
Expect(0, 8543, '\P{^ 	Otheruppercase}', 'deprecated');
Error('\p{_	Is_Other/a/uppercase}');
Error('\P{_	Is_Other/a/uppercase}');
Expect(1, 8559, '\p{isotheruppercase}', 'deprecated');
Expect(0, 8559, '\p{^isotheruppercase}', 'deprecated');
Expect(0, 8559, '\P{isotheruppercase}', 'deprecated');
Expect(1, 8559, '\P{^isotheruppercase}', 'deprecated');
Expect(0, 8543, '\p{isotheruppercase}', 'deprecated');
Expect(1, 8543, '\p{^isotheruppercase}', 'deprecated');
Expect(1, 8543, '\P{isotheruppercase}', 'deprecated');
Expect(0, 8543, '\P{^isotheruppercase}', 'deprecated');
Expect(1, 8559, '\p{_Isother Uppercase}', 'deprecated');
Expect(0, 8559, '\p{^_Isother Uppercase}', 'deprecated');
Expect(0, 8559, '\P{_Isother Uppercase}', 'deprecated');
Expect(1, 8559, '\P{^_Isother Uppercase}', 'deprecated');
Expect(0, 8543, '\p{_Isother Uppercase}', 'deprecated');
Expect(1, 8543, '\p{^_Isother Uppercase}', 'deprecated');
Expect(1, 8543, '\P{_Isother Uppercase}', 'deprecated');
Expect(0, 8543, '\P{^_Isother Uppercase}', 'deprecated');
Error('\p{_OUPPER/a/}');
Error('\P{_OUPPER/a/}');
Expect(1, 8559, '\p{oupper}', 'deprecated');
Expect(0, 8559, '\p{^oupper}', 'deprecated');
Expect(0, 8559, '\P{oupper}', 'deprecated');
Expect(1, 8559, '\P{^oupper}', 'deprecated');
Expect(0, 8543, '\p{oupper}', 'deprecated');
Expect(1, 8543, '\p{^oupper}', 'deprecated');
Expect(1, 8543, '\P{oupper}', 'deprecated');
Expect(0, 8543, '\P{^oupper}', 'deprecated');
Expect(1, 8559, '\p{_OUpper}', 'deprecated');
Expect(0, 8559, '\p{^_OUpper}', 'deprecated');
Expect(0, 8559, '\P{_OUpper}', 'deprecated');
Expect(1, 8559, '\P{^_OUpper}', 'deprecated');
Expect(0, 8543, '\p{_OUpper}', 'deprecated');
Expect(1, 8543, '\p{^_OUpper}', 'deprecated');
Expect(1, 8543, '\P{_OUpper}', 'deprecated');
Expect(0, 8543, '\P{^_OUpper}', 'deprecated');
Error('\p{ _Is/a/OUPPER}');
Error('\P{ _Is/a/OUPPER}');
Expect(1, 8559, '\p{isoupper}', 'deprecated');
Expect(0, 8559, '\p{^isoupper}', 'deprecated');
Expect(0, 8559, '\P{isoupper}', 'deprecated');
Expect(1, 8559, '\P{^isoupper}', 'deprecated');
Expect(0, 8543, '\p{isoupper}', 'deprecated');
Expect(1, 8543, '\p{^isoupper}', 'deprecated');
Expect(1, 8543, '\P{isoupper}', 'deprecated');
Expect(0, 8543, '\P{^isoupper}', 'deprecated');
Expect(1, 8559, '\p{	-IsOUpper}', 'deprecated');
Expect(0, 8559, '\p{^	-IsOUpper}', 'deprecated');
Expect(0, 8559, '\P{	-IsOUpper}', 'deprecated');
Expect(1, 8559, '\P{^	-IsOUpper}', 'deprecated');
Expect(0, 8543, '\p{	-IsOUpper}', 'deprecated');
Expect(1, 8543, '\p{^	-IsOUpper}', 'deprecated');
Expect(1, 8543, '\P{	-IsOUpper}', 'deprecated');
Expect(0, 8543, '\P{^	-IsOUpper}', 'deprecated');
Error('\p{-/a/POSIXPUNCT}');
Error('\P{-/a/POSIXPUNCT}');
Expect(1, 47, '\p{posixpunct}', "");
Expect(0, 47, '\p{^posixpunct}', "");
Expect(0, 47, '\P{posixpunct}', "");
Expect(1, 47, '\P{^posixpunct}', "");
Expect(0, 32, '\p{posixpunct}', "");
Expect(1, 32, '\p{^posixpunct}', "");
Expect(1, 32, '\P{posixpunct}', "");
Expect(0, 32, '\P{^posixpunct}', "");
Expect(1, 47, '\p{		PosixPunct}', "");
Expect(0, 47, '\p{^		PosixPunct}', "");
Expect(0, 47, '\P{		PosixPunct}', "");
Expect(1, 47, '\P{^		PosixPunct}', "");
Expect(0, 32, '\p{		PosixPunct}', "");
Expect(1, 32, '\p{^		PosixPunct}', "");
Expect(1, 32, '\P{		PosixPunct}', "");
Expect(0, 32, '\P{^		PosixPunct}', "");
Error('\p{:=Is-POSIXPUNCT}');
Error('\P{:=Is-POSIXPUNCT}');
Expect(1, 47, '\p{isposixpunct}', "");
Expect(0, 47, '\p{^isposixpunct}', "");
Expect(0, 47, '\P{isposixpunct}', "");
Expect(1, 47, '\P{^isposixpunct}', "");
Expect(0, 32, '\p{isposixpunct}', "");
Expect(1, 32, '\p{^isposixpunct}', "");
Expect(1, 32, '\P{isposixpunct}', "");
Expect(0, 32, '\P{^isposixpunct}', "");
Expect(1, 47, '\p{--is_PosixPunct}', "");
Expect(0, 47, '\p{^--is_PosixPunct}', "");
Expect(0, 47, '\P{--is_PosixPunct}', "");
Expect(1, 47, '\P{^--is_PosixPunct}', "");
Expect(0, 32, '\p{--is_PosixPunct}', "");
Expect(1, 32, '\p{^--is_PosixPunct}', "");
Expect(1, 32, '\P{--is_PosixPunct}', "");
Expect(0, 32, '\P{^--is_PosixPunct}', "");
Error('\p{/a/_ Block-Elements}');
Error('\P{/a/_ Block-Elements}');
Expect(1, 9631, '\p{blockelements}', "");
Expect(0, 9631, '\p{^blockelements}', "");
Expect(0, 9631, '\P{blockelements}', "");
Expect(1, 9631, '\P{^blockelements}', "");
Expect(0, 9599, '\p{blockelements}', "");
Expect(1, 9599, '\p{^blockelements}', "");
Expect(1, 9599, '\P{blockelements}', "");
Expect(0, 9599, '\P{^blockelements}', "");
Expect(1, 9631, '\p{		block_Elements}', "");
Expect(0, 9631, '\p{^		block_Elements}', "");
Expect(0, 9631, '\P{		block_Elements}', "");
Expect(1, 9631, '\P{^		block_Elements}', "");
Expect(0, 9599, '\p{		block_Elements}', "");
Expect(1, 9599, '\p{^		block_Elements}', "");
Expect(1, 9599, '\P{		block_Elements}', "");
Expect(0, 9599, '\P{^		block_Elements}', "");
Error('\p{_-is-Block	Elements/a/}');
Error('\P{_-is-Block	Elements/a/}');
Expect(1, 9631, '\p{isblockelements}', "");
Expect(0, 9631, '\p{^isblockelements}', "");
Expect(0, 9631, '\P{isblockelements}', "");
Expect(1, 9631, '\P{^isblockelements}', "");
Expect(0, 9599, '\p{isblockelements}', "");
Expect(1, 9599, '\p{^isblockelements}', "");
Expect(1, 9599, '\P{isblockelements}', "");
Expect(0, 9599, '\P{^isblockelements}', "");
Expect(1, 9631, '\p{	 is	block_Elements}', "");
Expect(0, 9631, '\p{^	 is	block_Elements}', "");
Expect(0, 9631, '\P{	 is	block_Elements}', "");
Expect(1, 9631, '\P{^	 is	block_Elements}', "");
Expect(0, 9599, '\p{	 is	block_Elements}', "");
Expect(1, 9599, '\p{^	 is	block_Elements}', "");
Expect(1, 9599, '\P{	 is	block_Elements}', "");
Expect(0, 9599, '\P{^	 is	block_Elements}', "");
Error('\p{- IN block/a/elements}');
Error('\P{- IN block/a/elements}');
Expect(1, 9631, '\p{inblockelements}', "");
Expect(0, 9631, '\p{^inblockelements}', "");
Expect(0, 9631, '\P{inblockelements}', "");
Expect(1, 9631, '\P{^inblockelements}', "");
Expect(0, 9599, '\p{inblockelements}', "");
Expect(1, 9599, '\p{^inblockelements}', "");
Expect(1, 9599, '\P{inblockelements}', "");
Expect(0, 9599, '\P{^inblockelements}', "");
Expect(1, 9631, '\p{	_INblock	ELEMENTS}', "");
Expect(0, 9631, '\p{^	_INblock	ELEMENTS}', "");
Expect(0, 9631, '\P{	_INblock	ELEMENTS}', "");
Expect(1, 9631, '\P{^	_INblock	ELEMENTS}', "");
Expect(0, 9599, '\p{	_INblock	ELEMENTS}', "");
Expect(1, 9599, '\p{^	_INblock	ELEMENTS}', "");
Expect(1, 9599, '\P{	_INblock	ELEMENTS}', "");
Expect(0, 9599, '\P{^	_INblock	ELEMENTS}', "");
Error('\p{ INkaithi:=}');
Error('\P{ INkaithi:=}');
Expect(1, 69839, '\p{inkaithi}', "");
Expect(0, 69839, '\p{^inkaithi}', "");
Expect(0, 69839, '\P{inkaithi}', "");
Expect(1, 69839, '\P{^inkaithi}', "");
Expect(0, 69759, '\p{inkaithi}', "");
Expect(1, 69759, '\p{^inkaithi}', "");
Expect(1, 69759, '\P{inkaithi}', "");
Expect(0, 69759, '\P{^inkaithi}', "");
Expect(1, 69839, '\p{_ In	kaithi}', "");
Expect(0, 69839, '\p{^_ In	kaithi}', "");
Expect(0, 69839, '\P{_ In	kaithi}', "");
Expect(1, 69839, '\P{^_ In	kaithi}', "");
Expect(0, 69759, '\p{_ In	kaithi}', "");
Expect(1, 69759, '\p{^_ In	kaithi}', "");
Expect(1, 69759, '\P{_ In	kaithi}', "");
Expect(0, 69759, '\P{^_ In	kaithi}', "");
Error('\p{_HAN:=}');
Error('\P{_HAN:=}');
Expect(1, 11929, '\p{han}', "");
Expect(0, 11929, '\p{^han}', "");
Expect(0, 11929, '\P{han}', "");
Expect(1, 11929, '\P{^han}', "");
Expect(0, 11903, '\p{han}', "");
Expect(1, 11903, '\p{^han}', "");
Expect(1, 11903, '\P{han}', "");
Expect(0, 11903, '\P{^han}', "");
Expect(1, 11929, '\p{	Han}', "");
Expect(0, 11929, '\p{^	Han}', "");
Expect(0, 11929, '\P{	Han}', "");
Expect(1, 11929, '\P{^	Han}', "");
Expect(0, 11903, '\p{	Han}', "");
Expect(1, 11903, '\p{^	Han}', "");
Expect(1, 11903, '\P{	Han}', "");
Expect(0, 11903, '\P{^	Han}', "");
Error('\p{:=	ISHAN}');
Error('\P{:=	ISHAN}');
Expect(1, 11929, '\p{ishan}', "");
Expect(0, 11929, '\p{^ishan}', "");
Expect(0, 11929, '\P{ishan}', "");
Expect(1, 11929, '\P{^ishan}', "");
Expect(0, 11903, '\p{ishan}', "");
Expect(1, 11903, '\p{^ishan}', "");
Expect(1, 11903, '\P{ishan}', "");
Expect(0, 11903, '\P{^ishan}', "");
Expect(1, 11929, '\p{ -is_Han}', "");
Expect(0, 11929, '\p{^ -is_Han}', "");
Expect(0, 11929, '\P{ -is_Han}', "");
Expect(1, 11929, '\P{^ -is_Han}', "");
Expect(0, 11903, '\p{ -is_Han}', "");
Expect(1, 11903, '\p{^ -is_Han}', "");
Expect(1, 11903, '\P{ -is_Han}', "");
Expect(0, 11903, '\P{^ -is_Han}', "");
Error('\p{--Hani/a/}');
Error('\P{--Hani/a/}');
Expect(1, 11929, '\p{hani}', "");
Expect(0, 11929, '\p{^hani}', "");
Expect(0, 11929, '\P{hani}', "");
Expect(1, 11929, '\P{^hani}', "");
Expect(0, 11903, '\p{hani}', "");
Expect(1, 11903, '\p{^hani}', "");
Expect(1, 11903, '\P{hani}', "");
Expect(0, 11903, '\P{^hani}', "");
Expect(1, 11929, '\p{-HANI}', "");
Expect(0, 11929, '\p{^-HANI}', "");
Expect(0, 11929, '\P{-HANI}', "");
Expect(1, 11929, '\P{^-HANI}', "");
Expect(0, 11903, '\p{-HANI}', "");
Expect(1, 11903, '\p{^-HANI}', "");
Expect(1, 11903, '\P{-HANI}', "");
Expect(0, 11903, '\P{^-HANI}', "");
Error('\p{_:=IS Hani}');
Error('\P{_:=IS Hani}');
Expect(1, 11929, '\p{ishani}', "");
Expect(0, 11929, '\p{^ishani}', "");
Expect(0, 11929, '\P{ishani}', "");
Expect(1, 11929, '\P{^ishani}', "");
Expect(0, 11903, '\p{ishani}', "");
Expect(1, 11903, '\p{^ishani}', "");
Expect(1, 11903, '\P{ishani}', "");
Expect(0, 11903, '\P{^ishani}', "");
Expect(1, 11929, '\p{--IS-Hani}', "");
Expect(0, 11929, '\p{^--IS-Hani}', "");
Expect(0, 11929, '\P{--IS-Hani}', "");
Expect(1, 11929, '\P{^--IS-Hani}', "");
Expect(0, 11903, '\p{--IS-Hani}', "");
Expect(1, 11903, '\p{^--IS-Hani}', "");
Expect(1, 11903, '\P{--IS-Hani}', "");
Expect(0, 11903, '\P{^--IS-Hani}', "");
Error('\p{  Hanunoo/a/}');
Error('\P{  Hanunoo/a/}');
Expect(1, 5940, '\p{hanunoo}', "");
Expect(0, 5940, '\p{^hanunoo}', "");
Expect(0, 5940, '\P{hanunoo}', "");
Expect(1, 5940, '\P{^hanunoo}', "");
Expect(0, 5919, '\p{hanunoo}', "");
Expect(1, 5919, '\p{^hanunoo}', "");
Expect(1, 5919, '\P{hanunoo}', "");
Expect(0, 5919, '\P{^hanunoo}', "");
Expect(1, 5940, '\p{-_HANUNOO}', "");
Expect(0, 5940, '\p{^-_HANUNOO}', "");
Expect(0, 5940, '\P{-_HANUNOO}', "");
Expect(1, 5940, '\P{^-_HANUNOO}', "");
Expect(0, 5919, '\p{-_HANUNOO}', "");
Expect(1, 5919, '\p{^-_HANUNOO}', "");
Expect(1, 5919, '\P{-_HANUNOO}', "");
Expect(0, 5919, '\P{^-_HANUNOO}', "");
Error('\p{_:=Is-hanunoo}');
Error('\P{_:=Is-hanunoo}');
Expect(1, 5940, '\p{ishanunoo}', "");
Expect(0, 5940, '\p{^ishanunoo}', "");
Expect(0, 5940, '\P{ishanunoo}', "");
Expect(1, 5940, '\P{^ishanunoo}', "");
Expect(0, 5919, '\p{ishanunoo}', "");
Expect(1, 5919, '\p{^ishanunoo}', "");
Expect(1, 5919, '\P{ishanunoo}', "");
Expect(0, 5919, '\P{^ishanunoo}', "");
Expect(1, 5940, '\p{ _Is-Hanunoo}', "");
Expect(0, 5940, '\p{^ _Is-Hanunoo}', "");
Expect(0, 5940, '\P{ _Is-Hanunoo}', "");
Expect(1, 5940, '\P{^ _Is-Hanunoo}', "");
Expect(0, 5919, '\p{ _Is-Hanunoo}', "");
Expect(1, 5919, '\p{^ _Is-Hanunoo}', "");
Expect(1, 5919, '\P{ _Is-Hanunoo}', "");
Expect(0, 5919, '\P{^ _Is-Hanunoo}', "");
Error('\p{-/a/hano}');
Error('\P{-/a/hano}');
Expect(1, 5940, '\p{hano}', "");
Expect(0, 5940, '\p{^hano}', "");
Expect(0, 5940, '\P{hano}', "");
Expect(1, 5940, '\P{^hano}', "");
Expect(0, 5919, '\p{hano}', "");
Expect(1, 5919, '\p{^hano}', "");
Expect(1, 5919, '\P{hano}', "");
Expect(0, 5919, '\P{^hano}', "");
Expect(1, 5940, '\p{	hano}', "");
Expect(0, 5940, '\p{^	hano}', "");
Expect(0, 5940, '\P{	hano}', "");
Expect(1, 5940, '\P{^	hano}', "");
Expect(0, 5919, '\p{	hano}', "");
Expect(1, 5919, '\p{^	hano}', "");
Expect(1, 5919, '\P{	hano}', "");
Expect(0, 5919, '\P{^	hano}', "");
Error('\p{		IS-HANO/a/}');
Error('\P{		IS-HANO/a/}');
Expect(1, 5940, '\p{ishano}', "");
Expect(0, 5940, '\p{^ishano}', "");
Expect(0, 5940, '\P{ishano}', "");
Expect(1, 5940, '\P{^ishano}', "");
Expect(0, 5919, '\p{ishano}', "");
Expect(1, 5919, '\p{^ishano}', "");
Expect(1, 5919, '\P{ishano}', "");
Expect(0, 5919, '\P{^ishano}', "");
Expect(1, 5940, '\p{	IsHANO}', "");
Expect(0, 5940, '\p{^	IsHANO}', "");
Expect(0, 5940, '\P{	IsHANO}', "");
Expect(1, 5940, '\P{^	IsHANO}', "");
Expect(0, 5919, '\p{	IsHANO}', "");
Expect(1, 5919, '\p{^	IsHANO}', "");
Expect(1, 5919, '\P{	IsHANO}', "");
Expect(0, 5919, '\P{^	IsHANO}', "");
Error('\p{in Meeteimayek/a/}');
Error('\P{in Meeteimayek/a/}');
Expect(1, 44031, '\p{inmeeteimayek}', "");
Expect(0, 44031, '\p{^inmeeteimayek}', "");
Expect(0, 44031, '\P{inmeeteimayek}', "");
Expect(1, 44031, '\P{^inmeeteimayek}', "");
Expect(0, 43967, '\p{inmeeteimayek}', "");
Expect(1, 43967, '\p{^inmeeteimayek}', "");
Expect(1, 43967, '\P{inmeeteimayek}', "");
Expect(0, 43967, '\P{^inmeeteimayek}', "");
Expect(1, 44031, '\p{  InMeetei mayek}', "");
Expect(0, 44031, '\p{^  InMeetei mayek}', "");
Expect(0, 44031, '\P{  InMeetei mayek}', "");
Expect(1, 44031, '\P{^  InMeetei mayek}', "");
Expect(0, 43967, '\p{  InMeetei mayek}', "");
Expect(1, 43967, '\p{^  InMeetei mayek}', "");
Expect(1, 43967, '\P{  InMeetei mayek}', "");
Expect(0, 43967, '\P{^  InMeetei mayek}', "");
Error('\p{  VertSpace:=}');
Error('\P{  VertSpace:=}');
Expect(1, 13, '\p{vertspace}', "");
Expect(0, 13, '\p{^vertspace}', "");
Expect(0, 13, '\P{vertspace}', "");
Expect(1, 13, '\P{^vertspace}', "");
Expect(0, 9, '\p{vertspace}', "");
Expect(1, 9, '\p{^vertspace}', "");
Expect(1, 9, '\P{vertspace}', "");
Expect(0, 9, '\P{^vertspace}', "");
Expect(1, 13, '\p{-	VertSpace}', "");
Expect(0, 13, '\p{^-	VertSpace}', "");
Expect(0, 13, '\P{-	VertSpace}', "");
Expect(1, 13, '\P{^-	VertSpace}', "");
Expect(0, 9, '\p{-	VertSpace}', "");
Expect(1, 9, '\p{^-	VertSpace}', "");
Expect(1, 9, '\P{-	VertSpace}', "");
Expect(0, 9, '\P{^-	VertSpace}', "");
Error('\p{ /a/is VERTSPACE}');
Error('\P{ /a/is VERTSPACE}');
Expect(1, 13, '\p{isvertspace}', "");
Expect(0, 13, '\p{^isvertspace}', "");
Expect(0, 13, '\P{isvertspace}', "");
Expect(1, 13, '\P{^isvertspace}', "");
Expect(0, 9, '\p{isvertspace}', "");
Expect(1, 9, '\p{^isvertspace}', "");
Expect(1, 9, '\P{isvertspace}', "");
Expect(0, 9, '\P{^isvertspace}', "");
Expect(1, 13, '\p{_Is_VERTSPACE}', "");
Expect(0, 13, '\p{^_Is_VERTSPACE}', "");
Expect(0, 13, '\P{_Is_VERTSPACE}', "");
Expect(1, 13, '\P{^_Is_VERTSPACE}', "");
Expect(0, 9, '\p{_Is_VERTSPACE}', "");
Expect(1, 9, '\p{^_Is_VERTSPACE}', "");
Expect(1, 9, '\P{_Is_VERTSPACE}', "");
Expect(0, 9, '\P{^_Is_VERTSPACE}', "");
Error('\p{ 	LETTERLIKE_symbols:=}');
Error('\P{ 	LETTERLIKE_symbols:=}');
Expect(1, 8527, '\p{letterlikesymbols}', "");
Expect(0, 8527, '\p{^letterlikesymbols}', "");
Expect(0, 8527, '\P{letterlikesymbols}', "");
Expect(1, 8527, '\P{^letterlikesymbols}', "");
Expect(0, 8447, '\p{letterlikesymbols}', "");
Expect(1, 8447, '\p{^letterlikesymbols}', "");
Expect(1, 8447, '\P{letterlikesymbols}', "");
Expect(0, 8447, '\P{^letterlikesymbols}', "");
Expect(1, 8527, '\p{ Letterlike-Symbols}', "");
Expect(0, 8527, '\p{^ Letterlike-Symbols}', "");
Expect(0, 8527, '\P{ Letterlike-Symbols}', "");
Expect(1, 8527, '\P{^ Letterlike-Symbols}', "");
Expect(0, 8447, '\p{ Letterlike-Symbols}', "");
Expect(1, 8447, '\p{^ Letterlike-Symbols}', "");
Expect(1, 8447, '\P{ Letterlike-Symbols}', "");
Expect(0, 8447, '\P{^ Letterlike-Symbols}', "");
Error('\p{	-is-Letterlike_Symbols/a/}');
Error('\P{	-is-Letterlike_Symbols/a/}');
Expect(1, 8527, '\p{isletterlikesymbols}', "");
Expect(0, 8527, '\p{^isletterlikesymbols}', "");
Expect(0, 8527, '\P{isletterlikesymbols}', "");
Expect(1, 8527, '\P{^isletterlikesymbols}', "");
Expect(0, 8447, '\p{isletterlikesymbols}', "");
Expect(1, 8447, '\p{^isletterlikesymbols}', "");
Expect(1, 8447, '\P{isletterlikesymbols}', "");
Expect(0, 8447, '\P{^isletterlikesymbols}', "");
Expect(1, 8527, '\p{		is-Letterlike_Symbols}', "");
Expect(0, 8527, '\p{^		is-Letterlike_Symbols}', "");
Expect(0, 8527, '\P{		is-Letterlike_Symbols}', "");
Expect(1, 8527, '\P{^		is-Letterlike_Symbols}', "");
Expect(0, 8447, '\p{		is-Letterlike_Symbols}', "");
Expect(1, 8447, '\p{^		is-Letterlike_Symbols}', "");
Expect(1, 8447, '\P{		is-Letterlike_Symbols}', "");
Expect(0, 8447, '\P{^		is-Letterlike_Symbols}', "");
Error('\p{	:=in Letterlike-symbols}');
Error('\P{	:=in Letterlike-symbols}');
Expect(1, 8527, '\p{inletterlikesymbols}', "");
Expect(0, 8527, '\p{^inletterlikesymbols}', "");
Expect(0, 8527, '\P{inletterlikesymbols}', "");
Expect(1, 8527, '\P{^inletterlikesymbols}', "");
Expect(0, 8447, '\p{inletterlikesymbols}', "");
Expect(1, 8447, '\p{^inletterlikesymbols}', "");
Expect(1, 8447, '\P{inletterlikesymbols}', "");
Expect(0, 8447, '\P{^inletterlikesymbols}', "");
Expect(1, 8527, '\p{__IN	letterlike SYMBOLS}', "");
Expect(0, 8527, '\p{^__IN	letterlike SYMBOLS}', "");
Expect(0, 8527, '\P{__IN	letterlike SYMBOLS}', "");
Expect(1, 8527, '\P{^__IN	letterlike SYMBOLS}', "");
Expect(0, 8447, '\p{__IN	letterlike SYMBOLS}', "");
Expect(1, 8447, '\p{^__IN	letterlike SYMBOLS}', "");
Expect(1, 8447, '\P{__IN	letterlike SYMBOLS}', "");
Expect(0, 8447, '\P{^__IN	letterlike SYMBOLS}', "");
Error('\p{-_IN-Mongolian:=}');
Error('\P{-_IN-Mongolian:=}');
Expect(1, 6319, '\p{inmongolian}', "");
Expect(0, 6319, '\p{^inmongolian}', "");
Expect(0, 6319, '\P{inmongolian}', "");
Expect(1, 6319, '\P{^inmongolian}', "");
Expect(0, 6143, '\p{inmongolian}', "");
Expect(1, 6143, '\p{^inmongolian}', "");
Expect(1, 6143, '\P{inmongolian}', "");
Expect(0, 6143, '\P{^inmongolian}', "");
Expect(1, 6319, '\p{	 INMongolian}', "");
Expect(0, 6319, '\p{^	 INMongolian}', "");
Expect(0, 6319, '\P{	 INMongolian}', "");
Expect(1, 6319, '\P{^	 INMongolian}', "");
Expect(0, 6143, '\p{	 INMongolian}', "");
Expect(1, 6143, '\p{^	 INMongolian}', "");
Expect(1, 6143, '\P{	 INMongolian}', "");
Expect(0, 6143, '\P{^	 INMongolian}', "");
Error('\p{/a/ _Ideographic}');
Error('\P{/a/ _Ideographic}');
Expect(1, 12295, '\p{ideographic}', "");
Expect(0, 12295, '\p{^ideographic}', "");
Expect(0, 12295, '\P{ideographic}', "");
Expect(1, 12295, '\P{^ideographic}', "");
Expect(0, 12293, '\p{ideographic}', "");
Expect(1, 12293, '\p{^ideographic}', "");
Expect(1, 12293, '\P{ideographic}', "");
Expect(0, 12293, '\P{^ideographic}', "");
Expect(1, 12295, '\p{_Ideographic}', "");
Expect(0, 12295, '\p{^_Ideographic}', "");
Expect(0, 12295, '\P{_Ideographic}', "");
Expect(1, 12295, '\P{^_Ideographic}', "");
Expect(0, 12293, '\p{_Ideographic}', "");
Expect(1, 12293, '\p{^_Ideographic}', "");
Expect(1, 12293, '\P{_Ideographic}', "");
Expect(0, 12293, '\P{^_Ideographic}', "");
Error('\p{ 	Is_ideographic/a/}');
Error('\P{ 	Is_ideographic/a/}');
Expect(1, 12295, '\p{isideographic}', "");
Expect(0, 12295, '\p{^isideographic}', "");
Expect(0, 12295, '\P{isideographic}', "");
Expect(1, 12295, '\P{^isideographic}', "");
Expect(0, 12293, '\p{isideographic}', "");
Expect(1, 12293, '\p{^isideographic}', "");
Expect(1, 12293, '\P{isideographic}', "");
Expect(0, 12293, '\P{^isideographic}', "");
Expect(1, 12295, '\p{-is ideographic}', "");
Expect(0, 12295, '\p{^-is ideographic}', "");
Expect(0, 12295, '\P{-is ideographic}', "");
Expect(1, 12295, '\P{^-is ideographic}', "");
Expect(0, 12293, '\p{-is ideographic}', "");
Expect(1, 12293, '\p{^-is ideographic}', "");
Expect(1, 12293, '\P{-is ideographic}', "");
Expect(0, 12293, '\P{^-is ideographic}', "");
Error('\p{ Ideo/a/}');
Error('\P{ Ideo/a/}');
Expect(1, 12295, '\p{ideo}', "");
Expect(0, 12295, '\p{^ideo}', "");
Expect(0, 12295, '\P{ideo}', "");
Expect(1, 12295, '\P{^ideo}', "");
Expect(0, 12293, '\p{ideo}', "");
Expect(1, 12293, '\p{^ideo}', "");
Expect(1, 12293, '\P{ideo}', "");
Expect(0, 12293, '\P{^ideo}', "");
Expect(1, 12295, '\p{	 ideo}', "");
Expect(0, 12295, '\p{^	 ideo}', "");
Expect(0, 12295, '\P{	 ideo}', "");
Expect(1, 12295, '\P{^	 ideo}', "");
Expect(0, 12293, '\p{	 ideo}', "");
Expect(1, 12293, '\p{^	 ideo}', "");
Expect(1, 12293, '\P{	 ideo}', "");
Expect(0, 12293, '\P{^	 ideo}', "");
Error('\p{ :=IS_Ideo}');
Error('\P{ :=IS_Ideo}');
Expect(1, 12295, '\p{isideo}', "");
Expect(0, 12295, '\p{^isideo}', "");
Expect(0, 12295, '\P{isideo}', "");
Expect(1, 12295, '\P{^isideo}', "");
Expect(0, 12293, '\p{isideo}', "");
Expect(1, 12293, '\p{^isideo}', "");
Expect(1, 12293, '\P{isideo}', "");
Expect(0, 12293, '\P{^isideo}', "");
Expect(1, 12295, '\p{ Is Ideo}', "");
Expect(0, 12295, '\p{^ Is Ideo}', "");
Expect(0, 12295, '\P{ Is Ideo}', "");
Expect(1, 12295, '\P{^ Is Ideo}', "");
Expect(0, 12293, '\p{ Is Ideo}', "");
Expect(1, 12293, '\p{^ Is Ideo}', "");
Expect(1, 12293, '\P{ Is Ideo}', "");
Expect(0, 12293, '\P{^ Is Ideo}', "");
Error('\p{/a/	Variation-Selectors-Supplement}');
Error('\P{/a/	Variation-Selectors-Supplement}');
Expect(1, 917999, '\p{variationselectorssupplement}', "");
Expect(0, 917999, '\p{^variationselectorssupplement}', "");
Expect(0, 917999, '\P{variationselectorssupplement}', "");
Expect(1, 917999, '\P{^variationselectorssupplement}', "");
Expect(0, 917759, '\p{variationselectorssupplement}', "");
Expect(1, 917759, '\p{^variationselectorssupplement}', "");
Expect(1, 917759, '\P{variationselectorssupplement}', "");
Expect(0, 917759, '\P{^variationselectorssupplement}', "");
Expect(1, 917999, '\p{ VARIATION	SELECTORS-Supplement}', "");
Expect(0, 917999, '\p{^ VARIATION	SELECTORS-Supplement}', "");
Expect(0, 917999, '\P{ VARIATION	SELECTORS-Supplement}', "");
Expect(1, 917999, '\P{^ VARIATION	SELECTORS-Supplement}', "");
Expect(0, 917759, '\p{ VARIATION	SELECTORS-Supplement}', "");
Expect(1, 917759, '\p{^ VARIATION	SELECTORS-Supplement}', "");
Expect(1, 917759, '\P{ VARIATION	SELECTORS-Supplement}', "");
Expect(0, 917759, '\P{^ VARIATION	SELECTORS-Supplement}', "");
Error('\p{/a/	Is	VARIATION_Selectors SUPPLEMENT}');
Error('\P{/a/	Is	VARIATION_Selectors SUPPLEMENT}');
Expect(1, 917999, '\p{isvariationselectorssupplement}', "");
Expect(0, 917999, '\p{^isvariationselectorssupplement}', "");
Expect(0, 917999, '\P{isvariationselectorssupplement}', "");
Expect(1, 917999, '\P{^isvariationselectorssupplement}', "");
Expect(0, 917759, '\p{isvariationselectorssupplement}', "");
Expect(1, 917759, '\p{^isvariationselectorssupplement}', "");
Expect(1, 917759, '\P{isvariationselectorssupplement}', "");
Expect(0, 917759, '\P{^isvariationselectorssupplement}', "");
Expect(1, 917999, '\p{- IS	variationselectors-supplement}', "");
Expect(0, 917999, '\p{^- IS	variationselectors-supplement}', "");
Expect(0, 917999, '\P{- IS	variationselectors-supplement}', "");
Expect(1, 917999, '\P{^- IS	variationselectors-supplement}', "");
Expect(0, 917759, '\p{- IS	variationselectors-supplement}', "");
Expect(1, 917759, '\p{^- IS	variationselectors-supplement}', "");
Expect(1, 917759, '\P{- IS	variationselectors-supplement}', "");
Expect(0, 917759, '\P{^- IS	variationselectors-supplement}', "");
Error('\p{/a/	_IN-VariationSelectors Supplement}');
Error('\P{/a/	_IN-VariationSelectors Supplement}');
Expect(1, 917999, '\p{invariationselectorssupplement}', "");
Expect(0, 917999, '\p{^invariationselectorssupplement}', "");
Expect(0, 917999, '\P{invariationselectorssupplement}', "");
Expect(1, 917999, '\P{^invariationselectorssupplement}', "");
Expect(0, 917759, '\p{invariationselectorssupplement}', "");
Expect(1, 917759, '\p{^invariationselectorssupplement}', "");
Expect(1, 917759, '\P{invariationselectorssupplement}', "");
Expect(0, 917759, '\P{^invariationselectorssupplement}', "");
Expect(1, 917999, '\p{-inVariation_Selectors-Supplement}', "");
Expect(0, 917999, '\p{^-inVariation_Selectors-Supplement}', "");
Expect(0, 917999, '\P{-inVariation_Selectors-Supplement}', "");
Expect(1, 917999, '\P{^-inVariation_Selectors-Supplement}', "");
Expect(0, 917759, '\p{-inVariation_Selectors-Supplement}', "");
Expect(1, 917759, '\p{^-inVariation_Selectors-Supplement}', "");
Expect(1, 917759, '\P{-inVariation_Selectors-Supplement}', "");
Expect(0, 917759, '\P{^-inVariation_Selectors-Supplement}', "");
Error('\p{	:=In Thaana}');
Error('\P{	:=In Thaana}');
Expect(1, 1983, '\p{inthaana}', "");
Expect(0, 1983, '\p{^inthaana}', "");
Expect(0, 1983, '\P{inthaana}', "");
Expect(1, 1983, '\P{^inthaana}', "");
Expect(0, 1919, '\p{inthaana}', "");
Expect(1, 1919, '\p{^inthaana}', "");
Expect(1, 1919, '\P{inthaana}', "");
Expect(0, 1919, '\P{^inthaana}', "");
Expect(1, 1983, '\p{	-In_thaana}', "");
Expect(0, 1983, '\p{^	-In_thaana}', "");
Expect(0, 1983, '\P{	-In_thaana}', "");
Expect(1, 1983, '\P{^	-In_thaana}', "");
Expect(0, 1919, '\p{	-In_thaana}', "");
Expect(1, 1919, '\p{^	-In_thaana}', "");
Expect(1, 1919, '\P{	-In_thaana}', "");
Expect(0, 1919, '\P{^	-In_thaana}', "");
Error('\p{_	SUPPLEMENTAL/a/Arrows_A}');
Error('\P{_	SUPPLEMENTAL/a/Arrows_A}');
Expect(1, 10239, '\p{supplementalarrowsa}', "");
Expect(0, 10239, '\p{^supplementalarrowsa}', "");
Expect(0, 10239, '\P{supplementalarrowsa}', "");
Expect(1, 10239, '\P{^supplementalarrowsa}', "");
Expect(0, 10223, '\p{supplementalarrowsa}', "");
Expect(1, 10223, '\p{^supplementalarrowsa}', "");
Expect(1, 10223, '\P{supplementalarrowsa}', "");
Expect(0, 10223, '\P{^supplementalarrowsa}', "");
Expect(1, 10239, '\p{- Supplemental ArrowsA}', "");
Expect(0, 10239, '\p{^- Supplemental ArrowsA}', "");
Expect(0, 10239, '\P{- Supplemental ArrowsA}', "");
Expect(1, 10239, '\P{^- Supplemental ArrowsA}', "");
Expect(0, 10223, '\p{- Supplemental ArrowsA}', "");
Expect(1, 10223, '\p{^- Supplemental ArrowsA}', "");
Expect(1, 10223, '\P{- Supplemental ArrowsA}', "");
Expect(0, 10223, '\P{^- Supplemental ArrowsA}', "");
Error('\p{_:=Is	Supplemental Arrows A}');
Error('\P{_:=Is	Supplemental Arrows A}');
Expect(1, 10239, '\p{issupplementalarrowsa}', "");
Expect(0, 10239, '\p{^issupplementalarrowsa}', "");
Expect(0, 10239, '\P{issupplementalarrowsa}', "");
Expect(1, 10239, '\P{^issupplementalarrowsa}', "");
Expect(0, 10223, '\p{issupplementalarrowsa}', "");
Expect(1, 10223, '\p{^issupplementalarrowsa}', "");
Expect(1, 10223, '\P{issupplementalarrowsa}', "");
Expect(0, 10223, '\P{^issupplementalarrowsa}', "");
Expect(1, 10239, '\p{ -is Supplemental ArrowsA}', "");
Expect(0, 10239, '\p{^ -is Supplemental ArrowsA}', "");
Expect(0, 10239, '\P{ -is Supplemental ArrowsA}', "");
Expect(1, 10239, '\P{^ -is Supplemental ArrowsA}', "");
Expect(0, 10223, '\p{ -is Supplemental ArrowsA}', "");
Expect(1, 10223, '\p{^ -is Supplemental ArrowsA}', "");
Expect(1, 10223, '\P{ -is Supplemental ArrowsA}', "");
Expect(0, 10223, '\P{^ -is Supplemental ArrowsA}', "");
Error('\p{_In:=SUPPLEMENTALARROWS A}');
Error('\P{_In:=SUPPLEMENTALARROWS A}');
Expect(1, 10239, '\p{insupplementalarrowsa}', "");
Expect(0, 10239, '\p{^insupplementalarrowsa}', "");
Expect(0, 10239, '\P{insupplementalarrowsa}', "");
Expect(1, 10239, '\P{^insupplementalarrowsa}', "");
Expect(0, 10223, '\p{insupplementalarrowsa}', "");
Expect(1, 10223, '\p{^insupplementalarrowsa}', "");
Expect(1, 10223, '\P{insupplementalarrowsa}', "");
Expect(0, 10223, '\P{^insupplementalarrowsa}', "");
Expect(1, 10239, '\p{ 	InSupplementalARROWSA}', "");
Expect(0, 10239, '\p{^ 	InSupplementalARROWSA}', "");
Expect(0, 10239, '\P{ 	InSupplementalARROWSA}', "");
Expect(1, 10239, '\P{^ 	InSupplementalARROWSA}', "");
Expect(0, 10223, '\p{ 	InSupplementalARROWSA}', "");
Expect(1, 10223, '\p{^ 	InSupplementalARROWSA}', "");
Expect(1, 10223, '\P{ 	InSupplementalARROWSA}', "");
Expect(0, 10223, '\P{^ 	InSupplementalARROWSA}', "");
Error('\p{:=Changes-when	Uppercased}');
Error('\P{:=Changes-when	Uppercased}');
Expect(1, 122, '\p{changeswhenuppercased}', "");
Expect(0, 122, '\p{^changeswhenuppercased}', "");
Expect(0, 122, '\P{changeswhenuppercased}', "");
Expect(1, 122, '\P{^changeswhenuppercased}', "");
Expect(0, 96, '\p{changeswhenuppercased}', "");
Expect(1, 96, '\p{^changeswhenuppercased}', "");
Expect(1, 96, '\P{changeswhenuppercased}', "");
Expect(0, 96, '\P{^changeswhenuppercased}', "");
Expect(1, 122, '\p{-_ChangesWhen-uppercased}', "");
Expect(0, 122, '\p{^-_ChangesWhen-uppercased}', "");
Expect(0, 122, '\P{-_ChangesWhen-uppercased}', "");
Expect(1, 122, '\P{^-_ChangesWhen-uppercased}', "");
Expect(0, 96, '\p{-_ChangesWhen-uppercased}', "");
Expect(1, 96, '\p{^-_ChangesWhen-uppercased}', "");
Expect(1, 96, '\P{-_ChangesWhen-uppercased}', "");
Expect(0, 96, '\P{^-_ChangesWhen-uppercased}', "");
Error('\p{	 is Changes when:=uppercased}');
Error('\P{	 is Changes when:=uppercased}');
Expect(1, 122, '\p{ischangeswhenuppercased}', "");
Expect(0, 122, '\p{^ischangeswhenuppercased}', "");
Expect(0, 122, '\P{ischangeswhenuppercased}', "");
Expect(1, 122, '\P{^ischangeswhenuppercased}', "");
Expect(0, 96, '\p{ischangeswhenuppercased}', "");
Expect(1, 96, '\p{^ischangeswhenuppercased}', "");
Expect(1, 96, '\P{ischangeswhenuppercased}', "");
Expect(0, 96, '\P{^ischangeswhenuppercased}', "");
Expect(1, 122, '\p{ Is_Changes	when uppercased}', "");
Expect(0, 122, '\p{^ Is_Changes	when uppercased}', "");
Expect(0, 122, '\P{ Is_Changes	when uppercased}', "");
Expect(1, 122, '\P{^ Is_Changes	when uppercased}', "");
Expect(0, 96, '\p{ Is_Changes	when uppercased}', "");
Expect(1, 96, '\p{^ Is_Changes	when uppercased}', "");
Expect(1, 96, '\P{ Is_Changes	when uppercased}', "");
Expect(0, 96, '\P{^ Is_Changes	when uppercased}', "");
Error('\p{/a/ CWU}');
Error('\P{/a/ CWU}');
Expect(1, 122, '\p{cwu}', "");
Expect(0, 122, '\p{^cwu}', "");
Expect(0, 122, '\P{cwu}', "");
Expect(1, 122, '\P{^cwu}', "");
Expect(0, 96, '\p{cwu}', "");
Expect(1, 96, '\p{^cwu}', "");
Expect(1, 96, '\P{cwu}', "");
Expect(0, 96, '\P{^cwu}', "");
Expect(1, 122, '\p{	 cwu}', "");
Expect(0, 122, '\p{^	 cwu}', "");
Expect(0, 122, '\P{	 cwu}', "");
Expect(1, 122, '\P{^	 cwu}', "");
Expect(0, 96, '\p{	 cwu}', "");
Expect(1, 96, '\p{^	 cwu}', "");
Expect(1, 96, '\P{	 cwu}', "");
Expect(0, 96, '\P{^	 cwu}', "");
Error('\p{/a/is	CWU}');
Error('\P{/a/is	CWU}');
Expect(1, 122, '\p{iscwu}', "");
Expect(0, 122, '\p{^iscwu}', "");
Expect(0, 122, '\P{iscwu}', "");
Expect(1, 122, '\P{^iscwu}', "");
Expect(0, 96, '\p{iscwu}', "");
Expect(1, 96, '\p{^iscwu}', "");
Expect(1, 96, '\P{iscwu}', "");
Expect(0, 96, '\P{^iscwu}', "");
Expect(1, 122, '\p{ _isCWU}', "");
Expect(0, 122, '\p{^ _isCWU}', "");
Expect(0, 122, '\P{ _isCWU}', "");
Expect(1, 122, '\P{^ _isCWU}', "");
Expect(0, 96, '\p{ _isCWU}', "");
Expect(1, 96, '\p{^ _isCWU}', "");
Expect(1, 96, '\P{ _isCWU}', "");
Expect(0, 96, '\P{^ _isCWU}', "");
Error('\p{  IN	syriac/a/}');
Error('\P{  IN	syriac/a/}');
Expect(1, 1871, '\p{insyriac}', "");
Expect(0, 1871, '\p{^insyriac}', "");
Expect(0, 1871, '\P{insyriac}', "");
Expect(1, 1871, '\P{^insyriac}', "");
Expect(0, 1791, '\p{insyriac}', "");
Expect(1, 1791, '\p{^insyriac}', "");
Expect(1, 1791, '\P{insyriac}', "");
Expect(0, 1791, '\P{^insyriac}', "");
Expect(1, 1871, '\p{	-In	Syriac}', "");
Expect(0, 1871, '\p{^	-In	Syriac}', "");
Expect(0, 1871, '\P{	-In	Syriac}', "");
Expect(1, 1871, '\P{^	-In	Syriac}', "");
Expect(0, 1791, '\p{	-In	Syriac}', "");
Expect(1, 1791, '\p{^	-In	Syriac}', "");
Expect(1, 1791, '\P{	-In	Syriac}', "");
Expect(0, 1791, '\P{^	-In	Syriac}', "");
Error('\p{:=ethiopic-Extended}');
Error('\P{:=ethiopic-Extended}');
Expect(1, 11743, '\p{ethiopicextended}', "");
Expect(0, 11743, '\p{^ethiopicextended}', "");
Expect(0, 11743, '\P{ethiopicextended}', "");
Expect(1, 11743, '\P{^ethiopicextended}', "");
Expect(0, 11647, '\p{ethiopicextended}', "");
Expect(1, 11647, '\p{^ethiopicextended}', "");
Expect(1, 11647, '\P{ethiopicextended}', "");
Expect(0, 11647, '\P{^ethiopicextended}', "");
Expect(1, 11743, '\p{  ethiopic_EXTENDED}', "");
Expect(0, 11743, '\p{^  ethiopic_EXTENDED}', "");
Expect(0, 11743, '\P{  ethiopic_EXTENDED}', "");
Expect(1, 11743, '\P{^  ethiopic_EXTENDED}', "");
Expect(0, 11647, '\p{  ethiopic_EXTENDED}', "");
Expect(1, 11647, '\p{^  ethiopic_EXTENDED}', "");
Expect(1, 11647, '\P{  ethiopic_EXTENDED}', "");
Expect(0, 11647, '\P{^  ethiopic_EXTENDED}', "");
Error('\p{__Is-Ethiopic:=extended}');
Error('\P{__Is-Ethiopic:=extended}');
Expect(1, 11743, '\p{isethiopicextended}', "");
Expect(0, 11743, '\p{^isethiopicextended}', "");
Expect(0, 11743, '\P{isethiopicextended}', "");
Expect(1, 11743, '\P{^isethiopicextended}', "");
Expect(0, 11647, '\p{isethiopicextended}', "");
Expect(1, 11647, '\p{^isethiopicextended}', "");
Expect(1, 11647, '\P{isethiopicextended}', "");
Expect(0, 11647, '\P{^isethiopicextended}', "");
Expect(1, 11743, '\p{-	Is	Ethiopic-Extended}', "");
Expect(0, 11743, '\p{^-	Is	Ethiopic-Extended}', "");
Expect(0, 11743, '\P{-	Is	Ethiopic-Extended}', "");
Expect(1, 11743, '\P{^-	Is	Ethiopic-Extended}', "");
Expect(0, 11647, '\p{-	Is	Ethiopic-Extended}', "");
Expect(1, 11647, '\p{^-	Is	Ethiopic-Extended}', "");
Expect(1, 11647, '\P{-	Is	Ethiopic-Extended}', "");
Expect(0, 11647, '\P{^-	Is	Ethiopic-Extended}', "");
Error('\p{	:=in Ethiopic-Extended}');
Error('\P{	:=in Ethiopic-Extended}');
Expect(1, 11743, '\p{inethiopicextended}', "");
Expect(0, 11743, '\p{^inethiopicextended}', "");
Expect(0, 11743, '\P{inethiopicextended}', "");
Expect(1, 11743, '\P{^inethiopicextended}', "");
Expect(0, 11647, '\p{inethiopicextended}', "");
Expect(1, 11647, '\p{^inethiopicextended}', "");
Expect(1, 11647, '\P{inethiopicextended}', "");
Expect(0, 11647, '\P{^inethiopicextended}', "");
Expect(1, 11743, '\p{-_in ethiopic_Extended}', "");
Expect(0, 11743, '\p{^-_in ethiopic_Extended}', "");
Expect(0, 11743, '\P{-_in ethiopic_Extended}', "");
Expect(1, 11743, '\P{^-_in ethiopic_Extended}', "");
Expect(0, 11647, '\p{-_in ethiopic_Extended}', "");
Expect(1, 11647, '\p{^-_in ethiopic_Extended}', "");
Expect(1, 11647, '\P{-_in ethiopic_Extended}', "");
Expect(0, 11647, '\P{^-_in ethiopic_Extended}', "");
Error('\p{		Phoenician/a/}');
Error('\P{		Phoenician/a/}');
Expect(1, 67867, '\p{phoenician}', "");
Expect(0, 67867, '\p{^phoenician}', "");
Expect(0, 67867, '\P{phoenician}', "");
Expect(1, 67867, '\P{^phoenician}', "");
Expect(0, 67839, '\p{phoenician}', "");
Expect(1, 67839, '\p{^phoenician}', "");
Expect(1, 67839, '\P{phoenician}', "");
Expect(0, 67839, '\P{^phoenician}', "");
Expect(1, 67867, '\p{_	phoenician}', "");
Expect(0, 67867, '\p{^_	phoenician}', "");
Expect(0, 67867, '\P{_	phoenician}', "");
Expect(1, 67867, '\P{^_	phoenician}', "");
Expect(0, 67839, '\p{_	phoenician}', "");
Expect(1, 67839, '\p{^_	phoenician}', "");
Expect(1, 67839, '\P{_	phoenician}', "");
Expect(0, 67839, '\P{^_	phoenician}', "");
Error('\p{		Is:=Phoenician}');
Error('\P{		Is:=Phoenician}');
Expect(1, 67867, '\p{isphoenician}', "");
Expect(0, 67867, '\p{^isphoenician}', "");
Expect(0, 67867, '\P{isphoenician}', "");
Expect(1, 67867, '\P{^isphoenician}', "");
Expect(0, 67839, '\p{isphoenician}', "");
Expect(1, 67839, '\p{^isphoenician}', "");
Expect(1, 67839, '\P{isphoenician}', "");
Expect(0, 67839, '\P{^isphoenician}', "");
Expect(1, 67867, '\p{	 IsPHOENICIAN}', "");
Expect(0, 67867, '\p{^	 IsPHOENICIAN}', "");
Expect(0, 67867, '\P{	 IsPHOENICIAN}', "");
Expect(1, 67867, '\P{^	 IsPHOENICIAN}', "");
Expect(0, 67839, '\p{	 IsPHOENICIAN}', "");
Expect(1, 67839, '\p{^	 IsPHOENICIAN}', "");
Expect(1, 67839, '\P{	 IsPHOENICIAN}', "");
Expect(0, 67839, '\P{^	 IsPHOENICIAN}', "");
Error('\p{:= _Phnx}');
Error('\P{:= _Phnx}');
Expect(1, 67867, '\p{phnx}', "");
Expect(0, 67867, '\p{^phnx}', "");
Expect(0, 67867, '\P{phnx}', "");
Expect(1, 67867, '\P{^phnx}', "");
Expect(0, 67839, '\p{phnx}', "");
Expect(1, 67839, '\p{^phnx}', "");
Expect(1, 67839, '\P{phnx}', "");
Expect(0, 67839, '\P{^phnx}', "");
Expect(1, 67867, '\p{ 	PHNX}', "");
Expect(0, 67867, '\p{^ 	PHNX}', "");
Expect(0, 67867, '\P{ 	PHNX}', "");
Expect(1, 67867, '\P{^ 	PHNX}', "");
Expect(0, 67839, '\p{ 	PHNX}', "");
Expect(1, 67839, '\p{^ 	PHNX}', "");
Expect(1, 67839, '\P{ 	PHNX}', "");
Expect(0, 67839, '\P{^ 	PHNX}', "");
Error('\p{-:=Is-PHNX}');
Error('\P{-:=Is-PHNX}');
Expect(1, 67867, '\p{isphnx}', "");
Expect(0, 67867, '\p{^isphnx}', "");
Expect(0, 67867, '\P{isphnx}', "");
Expect(1, 67867, '\P{^isphnx}', "");
Expect(0, 67839, '\p{isphnx}', "");
Expect(1, 67839, '\p{^isphnx}', "");
Expect(1, 67839, '\P{isphnx}', "");
Expect(0, 67839, '\P{^isphnx}', "");
Expect(1, 67867, '\p{-IS_phnx}', "");
Expect(0, 67867, '\p{^-IS_phnx}', "");
Expect(0, 67867, '\P{-IS_phnx}', "");
Expect(1, 67867, '\P{^-IS_phnx}', "");
Expect(0, 67839, '\p{-IS_phnx}', "");
Expect(1, 67839, '\p{^-IS_phnx}', "");
Expect(1, 67839, '\P{-IS_phnx}', "");
Expect(0, 67839, '\P{^-IS_phnx}', "");
Error('\p{	/a/Myanmar extended a}');
Error('\P{	/a/Myanmar extended a}');
Expect(1, 43647, '\p{myanmarextendeda}', "");
Expect(0, 43647, '\p{^myanmarextendeda}', "");
Expect(0, 43647, '\P{myanmarextendeda}', "");
Expect(1, 43647, '\P{^myanmarextendeda}', "");
Expect(0, 43615, '\p{myanmarextendeda}', "");
Expect(1, 43615, '\p{^myanmarextendeda}', "");
Expect(1, 43615, '\P{myanmarextendeda}', "");
Expect(0, 43615, '\P{^myanmarextendeda}', "");
Expect(1, 43647, '\p{-Myanmarextended	A}', "");
Expect(0, 43647, '\p{^-Myanmarextended	A}', "");
Expect(0, 43647, '\P{-Myanmarextended	A}', "");
Expect(1, 43647, '\P{^-Myanmarextended	A}', "");
Expect(0, 43615, '\p{-Myanmarextended	A}', "");
Expect(1, 43615, '\p{^-Myanmarextended	A}', "");
Expect(1, 43615, '\P{-Myanmarextended	A}', "");
Expect(0, 43615, '\P{^-Myanmarextended	A}', "");
Error('\p{ Is/a/MYANMAR Extended-A}');
Error('\P{ Is/a/MYANMAR Extended-A}');
Expect(1, 43647, '\p{ismyanmarextendeda}', "");
Expect(0, 43647, '\p{^ismyanmarextendeda}', "");
Expect(0, 43647, '\P{ismyanmarextendeda}', "");
Expect(1, 43647, '\P{^ismyanmarextendeda}', "");
Expect(0, 43615, '\p{ismyanmarextendeda}', "");
Expect(1, 43615, '\p{^ismyanmarextendeda}', "");
Expect(1, 43615, '\P{ismyanmarextendeda}', "");
Expect(0, 43615, '\P{^ismyanmarextendeda}', "");
Expect(1, 43647, '\p{		Is-MyanmarExtended_A}', "");
Expect(0, 43647, '\p{^		Is-MyanmarExtended_A}', "");
Expect(0, 43647, '\P{		Is-MyanmarExtended_A}', "");
Expect(1, 43647, '\P{^		Is-MyanmarExtended_A}', "");
Expect(0, 43615, '\p{		Is-MyanmarExtended_A}', "");
Expect(1, 43615, '\p{^		Is-MyanmarExtended_A}', "");
Expect(1, 43615, '\P{		Is-MyanmarExtended_A}', "");
Expect(0, 43615, '\P{^		Is-MyanmarExtended_A}', "");
Error('\p{  IN/a/MYANMARextendeda}');
Error('\P{  IN/a/MYANMARextendeda}');
Expect(1, 43647, '\p{inmyanmarextendeda}', "");
Expect(0, 43647, '\p{^inmyanmarextendeda}', "");
Expect(0, 43647, '\P{inmyanmarextendeda}', "");
Expect(1, 43647, '\P{^inmyanmarextendeda}', "");
Expect(0, 43615, '\p{inmyanmarextendeda}', "");
Expect(1, 43615, '\p{^inmyanmarextendeda}', "");
Expect(1, 43615, '\P{inmyanmarextendeda}', "");
Expect(0, 43615, '\P{^inmyanmarextendeda}', "");
Expect(1, 43647, '\p{		in myanmar_Extended-A}', "");
Expect(0, 43647, '\p{^		in myanmar_Extended-A}', "");
Expect(0, 43647, '\P{		in myanmar_Extended-A}', "");
Expect(1, 43647, '\P{^		in myanmar_Extended-A}', "");
Expect(0, 43615, '\p{		in myanmar_Extended-A}', "");
Expect(1, 43615, '\p{^		in myanmar_Extended-A}', "");
Expect(1, 43615, '\P{		in myanmar_Extended-A}', "");
Expect(0, 43615, '\P{^		in myanmar_Extended-A}', "");
Error('\p{/a/runic}');
Error('\P{/a/runic}');
Expect(1, 5866, '\p{runic}', "");
Expect(0, 5866, '\p{^runic}', "");
Expect(0, 5866, '\P{runic}', "");
Expect(1, 5866, '\P{^runic}', "");
Expect(0, 5791, '\p{runic}', "");
Expect(1, 5791, '\p{^runic}', "");
Expect(1, 5791, '\P{runic}', "");
Expect(0, 5791, '\P{^runic}', "");
Expect(1, 5866, '\p{_	RUNIC}', "");
Expect(0, 5866, '\p{^_	RUNIC}', "");
Expect(0, 5866, '\P{_	RUNIC}', "");
Expect(1, 5866, '\P{^_	RUNIC}', "");
Expect(0, 5791, '\p{_	RUNIC}', "");
Expect(1, 5791, '\p{^_	RUNIC}', "");
Expect(1, 5791, '\P{_	RUNIC}', "");
Expect(0, 5791, '\P{^_	RUNIC}', "");
Error('\p{ :=ISRunic}');
Error('\P{ :=ISRunic}');
Expect(1, 5866, '\p{isrunic}', "");
Expect(0, 5866, '\p{^isrunic}', "");
Expect(0, 5866, '\P{isrunic}', "");
Expect(1, 5866, '\P{^isrunic}', "");
Expect(0, 5791, '\p{isrunic}', "");
Expect(1, 5791, '\p{^isrunic}', "");
Expect(1, 5791, '\P{isrunic}', "");
Expect(0, 5791, '\P{^isrunic}', "");
Expect(1, 5866, '\p{- is_Runic}', "");
Expect(0, 5866, '\p{^- is_Runic}', "");
Expect(0, 5866, '\P{- is_Runic}', "");
Expect(1, 5866, '\P{^- is_Runic}', "");
Expect(0, 5791, '\p{- is_Runic}', "");
Expect(1, 5791, '\p{^- is_Runic}', "");
Expect(1, 5791, '\P{- is_Runic}', "");
Expect(0, 5791, '\P{^- is_Runic}', "");
Error('\p{_-runr:=}');
Error('\P{_-runr:=}');
Expect(1, 5866, '\p{runr}', "");
Expect(0, 5866, '\p{^runr}', "");
Expect(0, 5866, '\P{runr}', "");
Expect(1, 5866, '\P{^runr}', "");
Expect(0, 5791, '\p{runr}', "");
Expect(1, 5791, '\p{^runr}', "");
Expect(1, 5791, '\P{runr}', "");
Expect(0, 5791, '\P{^runr}', "");
Expect(1, 5866, '\p{ RUNR}', "");
Expect(0, 5866, '\p{^ RUNR}', "");
Expect(0, 5866, '\P{ RUNR}', "");
Expect(1, 5866, '\P{^ RUNR}', "");
Expect(0, 5791, '\p{ RUNR}', "");
Expect(1, 5791, '\p{^ RUNR}', "");
Expect(1, 5791, '\P{ RUNR}', "");
Expect(0, 5791, '\P{^ RUNR}', "");
Error('\p{_:=Is-Runr}');
Error('\P{_:=Is-Runr}');
Expect(1, 5866, '\p{isrunr}', "");
Expect(0, 5866, '\p{^isrunr}', "");
Expect(0, 5866, '\P{isrunr}', "");
Expect(1, 5866, '\P{^isrunr}', "");
Expect(0, 5791, '\p{isrunr}', "");
Expect(1, 5791, '\p{^isrunr}', "");
Expect(1, 5791, '\P{isrunr}', "");
Expect(0, 5791, '\P{^isrunr}', "");
Expect(1, 5866, '\p{  is_Runr}', "");
Expect(0, 5866, '\p{^  is_Runr}', "");
Expect(0, 5866, '\P{  is_Runr}', "");
Expect(1, 5866, '\P{^  is_Runr}', "");
Expect(0, 5791, '\p{  is_Runr}', "");
Expect(1, 5791, '\p{^  is_Runr}', "");
Expect(1, 5791, '\P{  is_Runr}', "");
Expect(0, 5791, '\P{^  is_Runr}', "");
Error('\p{	_high Private UseSurrogates/a/}');
Error('\P{	_high Private UseSurrogates/a/}');
Expect(0, 1, '\p{highprivateusesurrogates}', "");
Expect(1, 1, '\p{^highprivateusesurrogates}', "");
Expect(1, 1, '\P{highprivateusesurrogates}', "");
Expect(0, 1, '\P{^highprivateusesurrogates}', "");
Expect(0, 1, '\p{-HighPRIVATE use_Surrogates}', "");
Expect(1, 1, '\p{^-HighPRIVATE use_Surrogates}', "");
Expect(1, 1, '\P{-HighPRIVATE use_Surrogates}', "");
Expect(0, 1, '\P{^-HighPRIVATE use_Surrogates}', "");
Error('\p{--is	high PrivateUseSurrogates:=}');
Error('\P{--is	high PrivateUseSurrogates:=}');
Expect(0, 1, '\p{ishighprivateusesurrogates}', "");
Expect(1, 1, '\p{^ishighprivateusesurrogates}', "");
Expect(1, 1, '\P{ishighprivateusesurrogates}', "");
Expect(0, 1, '\P{^ishighprivateusesurrogates}', "");
Expect(0, 1, '\p{	Is_Highprivate_Use-SURROGATES}', "");
Expect(1, 1, '\p{^	Is_Highprivate_Use-SURROGATES}', "");
Expect(1, 1, '\P{	Is_Highprivate_Use-SURROGATES}', "");
Expect(0, 1, '\P{^	Is_Highprivate_Use-SURROGATES}', "");
Error('\p{ :=in-HIGH_Private_Use-Surrogates}');
Error('\P{ :=in-HIGH_Private_Use-Surrogates}');
Expect(0, 1, '\p{inhighprivateusesurrogates}', "");
Expect(1, 1, '\p{^inhighprivateusesurrogates}', "");
Expect(1, 1, '\P{inhighprivateusesurrogates}', "");
Expect(0, 1, '\P{^inhighprivateusesurrogates}', "");
Expect(0, 1, '\p{	INHIGH-private-UseSurrogates}', "");
Expect(1, 1, '\p{^	INHIGH-private-UseSurrogates}', "");
Expect(1, 1, '\P{	INHIGH-private-UseSurrogates}', "");
Expect(0, 1, '\P{^	INHIGH-private-UseSurrogates}', "");
Error('\p{ kayahli:=}');
Error('\P{ kayahli:=}');
Expect(1, 43311, '\p{kayahli}', "");
Expect(0, 43311, '\p{^kayahli}', "");
Expect(0, 43311, '\P{kayahli}', "");
Expect(1, 43311, '\P{^kayahli}', "");
Expect(0, 43263, '\p{kayahli}', "");
Expect(1, 43263, '\p{^kayahli}', "");
Expect(1, 43263, '\P{kayahli}', "");
Expect(0, 43263, '\P{^kayahli}', "");
Expect(1, 43311, '\p{	-KAYAHli}', "");
Expect(0, 43311, '\p{^	-KAYAHli}', "");
Expect(0, 43311, '\P{	-KAYAHli}', "");
Expect(1, 43311, '\P{^	-KAYAHli}', "");
Expect(0, 43263, '\p{	-KAYAHli}', "");
Expect(1, 43263, '\p{^	-KAYAHli}', "");
Expect(1, 43263, '\P{	-KAYAHli}', "");
Expect(0, 43263, '\P{^	-KAYAHli}', "");
Error('\p{:=-_Is Kayah_Li}');
Error('\P{:=-_Is Kayah_Li}');
Expect(1, 43311, '\p{iskayahli}', "");
Expect(0, 43311, '\p{^iskayahli}', "");
Expect(0, 43311, '\P{iskayahli}', "");
Expect(1, 43311, '\P{^iskayahli}', "");
Expect(0, 43263, '\p{iskayahli}', "");
Expect(1, 43263, '\p{^iskayahli}', "");
Expect(1, 43263, '\P{iskayahli}', "");
Expect(0, 43263, '\P{^iskayahli}', "");
Expect(1, 43311, '\p{--Is	Kayah	LI}', "");
Expect(0, 43311, '\p{^--Is	Kayah	LI}', "");
Expect(0, 43311, '\P{--Is	Kayah	LI}', "");
Expect(1, 43311, '\P{^--Is	Kayah	LI}', "");
Expect(0, 43263, '\p{--Is	Kayah	LI}', "");
Expect(1, 43263, '\p{^--Is	Kayah	LI}', "");
Expect(1, 43263, '\P{--Is	Kayah	LI}', "");
Expect(0, 43263, '\P{^--Is	Kayah	LI}', "");
Error('\p{:=Kali}');
Error('\P{:=Kali}');
Expect(1, 43311, '\p{kali}', "");
Expect(0, 43311, '\p{^kali}', "");
Expect(0, 43311, '\P{kali}', "");
Expect(1, 43311, '\P{^kali}', "");
Expect(0, 43263, '\p{kali}', "");
Expect(1, 43263, '\p{^kali}', "");
Expect(1, 43263, '\P{kali}', "");
Expect(0, 43263, '\P{^kali}', "");
Expect(1, 43311, '\p{ Kali}', "");
Expect(0, 43311, '\p{^ Kali}', "");
Expect(0, 43311, '\P{ Kali}', "");
Expect(1, 43311, '\P{^ Kali}', "");
Expect(0, 43263, '\p{ Kali}', "");
Expect(1, 43263, '\p{^ Kali}', "");
Expect(1, 43263, '\P{ Kali}', "");
Expect(0, 43263, '\P{^ Kali}', "");
Error('\p{-	IS:=Kali}');
Error('\P{-	IS:=Kali}');
Expect(1, 43311, '\p{iskali}', "");
Expect(0, 43311, '\p{^iskali}', "");
Expect(0, 43311, '\P{iskali}', "");
Expect(1, 43311, '\P{^iskali}', "");
Expect(0, 43263, '\p{iskali}', "");
Expect(1, 43263, '\p{^iskali}', "");
Expect(1, 43263, '\P{iskali}', "");
Expect(0, 43263, '\P{^iskali}', "");
Expect(1, 43311, '\p{-	IS Kali}', "");
Expect(0, 43311, '\p{^-	IS Kali}', "");
Expect(0, 43311, '\P{-	IS Kali}', "");
Expect(1, 43311, '\P{^-	IS Kali}', "");
Expect(0, 43263, '\p{-	IS Kali}', "");
Expect(1, 43263, '\p{^-	IS Kali}', "");
Expect(1, 43263, '\P{-	IS Kali}', "");
Expect(0, 43263, '\P{^-	IS Kali}', "");
Error('\p{ 	POSIXGRAPH:=}');
Error('\P{ 	POSIXGRAPH:=}');
Expect(1, 126, '\p{posixgraph}', "");
Expect(0, 126, '\p{^posixgraph}', "");
Expect(0, 126, '\P{posixgraph}', "");
Expect(1, 126, '\P{^posixgraph}', "");
Expect(0, 32, '\p{posixgraph}', "");
Expect(1, 32, '\p{^posixgraph}', "");
Expect(1, 32, '\P{posixgraph}', "");
Expect(0, 32, '\P{^posixgraph}', "");
Expect(1, 126, '\p{_-posixgraph}', "");
Expect(0, 126, '\p{^_-posixgraph}', "");
Expect(0, 126, '\P{_-posixgraph}', "");
Expect(1, 126, '\P{^_-posixgraph}', "");
Expect(0, 32, '\p{_-posixgraph}', "");
Expect(1, 32, '\p{^_-posixgraph}', "");
Expect(1, 32, '\P{_-posixgraph}', "");
Expect(0, 32, '\P{^_-posixgraph}', "");
Error('\p{	/a/Is-POSIXGRAPH}');
Error('\P{	/a/Is-POSIXGRAPH}');
Expect(1, 126, '\p{isposixgraph}', "");
Expect(0, 126, '\p{^isposixgraph}', "");
Expect(0, 126, '\P{isposixgraph}', "");
Expect(1, 126, '\P{^isposixgraph}', "");
Expect(0, 32, '\p{isposixgraph}', "");
Expect(1, 32, '\p{^isposixgraph}', "");
Expect(1, 32, '\P{isposixgraph}', "");
Expect(0, 32, '\P{^isposixgraph}', "");
Expect(1, 126, '\p{	ISposixgraph}', "");
Expect(0, 126, '\p{^	ISposixgraph}', "");
Expect(0, 126, '\P{	ISposixgraph}', "");
Expect(1, 126, '\P{^	ISposixgraph}', "");
Expect(0, 32, '\p{	ISposixgraph}', "");
Expect(1, 32, '\p{^	ISposixgraph}', "");
Expect(1, 32, '\P{	ISposixgraph}', "");
Expect(0, 32, '\P{^	ISposixgraph}', "");
Error('\p{	In/a/Old_Turkic}');
Error('\P{	In/a/Old_Turkic}');
Expect(1, 68687, '\p{inoldturkic}', "");
Expect(0, 68687, '\p{^inoldturkic}', "");
Expect(0, 68687, '\P{inoldturkic}', "");
Expect(1, 68687, '\P{^inoldturkic}', "");
Expect(0, 68607, '\p{inoldturkic}', "");
Expect(1, 68607, '\p{^inoldturkic}', "");
Expect(1, 68607, '\P{inoldturkic}', "");
Expect(0, 68607, '\P{^inoldturkic}', "");
Expect(1, 68687, '\p{-	In OLD Turkic}', "");
Expect(0, 68687, '\p{^-	In OLD Turkic}', "");
Expect(0, 68687, '\P{-	In OLD Turkic}', "");
Expect(1, 68687, '\P{^-	In OLD Turkic}', "");
Expect(0, 68607, '\p{-	In OLD Turkic}', "");
Expect(1, 68607, '\p{^-	In OLD Turkic}', "");
Expect(1, 68607, '\P{-	In OLD Turkic}', "");
Expect(0, 68607, '\P{^-	In OLD Turkic}', "");
Error('\p{--GRAPHEME_Base/a/}');
Error('\P{--GRAPHEME_Base/a/}');
Expect(1, 126, '\p{graphemebase}', "");
Expect(0, 126, '\p{^graphemebase}', "");
Expect(0, 126, '\P{graphemebase}', "");
Expect(1, 126, '\P{^graphemebase}', "");
Expect(0, 31, '\p{graphemebase}', "");
Expect(1, 31, '\p{^graphemebase}', "");
Expect(1, 31, '\P{graphemebase}', "");
Expect(0, 31, '\P{^graphemebase}', "");
Expect(1, 126, '\p{	_GRAPHEME base}', "");
Expect(0, 126, '\p{^	_GRAPHEME base}', "");
Expect(0, 126, '\P{	_GRAPHEME base}', "");
Expect(1, 126, '\P{^	_GRAPHEME base}', "");
Expect(0, 31, '\p{	_GRAPHEME base}', "");
Expect(1, 31, '\p{^	_GRAPHEME base}', "");
Expect(1, 31, '\P{	_GRAPHEME base}', "");
Expect(0, 31, '\P{^	_GRAPHEME base}', "");
Error('\p{-_Is:=GRAPHEME base}');
Error('\P{-_Is:=GRAPHEME base}');
Expect(1, 126, '\p{isgraphemebase}', "");
Expect(0, 126, '\p{^isgraphemebase}', "");
Expect(0, 126, '\P{isgraphemebase}', "");
Expect(1, 126, '\P{^isgraphemebase}', "");
Expect(0, 31, '\p{isgraphemebase}', "");
Expect(1, 31, '\p{^isgraphemebase}', "");
Expect(1, 31, '\P{isgraphemebase}', "");
Expect(0, 31, '\P{^isgraphemebase}', "");
Expect(1, 126, '\p{ 	IS-Graphemebase}', "");
Expect(0, 126, '\p{^ 	IS-Graphemebase}', "");
Expect(0, 126, '\P{ 	IS-Graphemebase}', "");
Expect(1, 126, '\P{^ 	IS-Graphemebase}', "");
Expect(0, 31, '\p{ 	IS-Graphemebase}', "");
Expect(1, 31, '\p{^ 	IS-Graphemebase}', "");
Expect(1, 31, '\P{ 	IS-Graphemebase}', "");
Expect(0, 31, '\P{^ 	IS-Graphemebase}', "");
Error('\p{/a/- GR-Base}');
Error('\P{/a/- GR-Base}');
Expect(1, 126, '\p{grbase}', "");
Expect(0, 126, '\p{^grbase}', "");
Expect(0, 126, '\P{grbase}', "");
Expect(1, 126, '\P{^grbase}', "");
Expect(0, 31, '\p{grbase}', "");
Expect(1, 31, '\p{^grbase}', "");
Expect(1, 31, '\P{grbase}', "");
Expect(0, 31, '\P{^grbase}', "");
Expect(1, 126, '\p{_-gr	Base}', "");
Expect(0, 126, '\p{^_-gr	Base}', "");
Expect(0, 126, '\P{_-gr	Base}', "");
Expect(1, 126, '\P{^_-gr	Base}', "");
Expect(0, 31, '\p{_-gr	Base}', "");
Expect(1, 31, '\p{^_-gr	Base}', "");
Expect(1, 31, '\P{_-gr	Base}', "");
Expect(0, 31, '\P{^_-gr	Base}', "");
Error('\p{ _Is	Gr BASE:=}');
Error('\P{ _Is	Gr BASE:=}');
Expect(1, 126, '\p{isgrbase}', "");
Expect(0, 126, '\p{^isgrbase}', "");
Expect(0, 126, '\P{isgrbase}', "");
Expect(1, 126, '\P{^isgrbase}', "");
Expect(0, 31, '\p{isgrbase}', "");
Expect(1, 31, '\p{^isgrbase}', "");
Expect(1, 31, '\P{isgrbase}', "");
Expect(0, 31, '\P{^isgrbase}', "");
Expect(1, 126, '\p{- Is	GR-BASE}', "");
Expect(0, 126, '\p{^- Is	GR-BASE}', "");
Expect(0, 126, '\P{- Is	GR-BASE}', "");
Expect(1, 126, '\P{^- Is	GR-BASE}', "");
Expect(0, 31, '\p{- Is	GR-BASE}', "");
Expect(1, 31, '\p{^- Is	GR-BASE}', "");
Expect(1, 31, '\P{- Is	GR-BASE}', "");
Expect(0, 31, '\P{^- Is	GR-BASE}', "");
Error('\p{	-In	Ugaritic:=}');
Error('\P{	-In	Ugaritic:=}');
Expect(1, 66463, '\p{inugaritic}', "");
Expect(0, 66463, '\p{^inugaritic}', "");
Expect(0, 66463, '\P{inugaritic}', "");
Expect(1, 66463, '\P{^inugaritic}', "");
Expect(0, 66431, '\p{inugaritic}', "");
Expect(1, 66431, '\p{^inugaritic}', "");
Expect(1, 66431, '\P{inugaritic}', "");
Expect(0, 66431, '\P{^inugaritic}', "");
Expect(1, 66463, '\p{	_IN_UGARITIC}', "");
Expect(0, 66463, '\p{^	_IN_UGARITIC}', "");
Expect(0, 66463, '\P{	_IN_UGARITIC}', "");
Expect(1, 66463, '\P{^	_IN_UGARITIC}', "");
Expect(0, 66431, '\p{	_IN_UGARITIC}', "");
Expect(1, 66431, '\p{^	_IN_UGARITIC}', "");
Expect(1, 66431, '\P{	_IN_UGARITIC}', "");
Expect(0, 66431, '\P{^	_IN_UGARITIC}', "");
Error('\p{ :=devanagari}');
Error('\P{ :=devanagari}');
Expect(1, 2361, '\p{devanagari}', "");
Expect(0, 2361, '\p{^devanagari}', "");
Expect(0, 2361, '\P{devanagari}', "");
Expect(1, 2361, '\P{^devanagari}', "");
Expect(0, 2303, '\p{devanagari}', "");
Expect(1, 2303, '\p{^devanagari}', "");
Expect(1, 2303, '\P{devanagari}', "");
Expect(0, 2303, '\P{^devanagari}', "");
Expect(1, 2361, '\p{  DEVANAGARI}', "");
Expect(0, 2361, '\p{^  DEVANAGARI}', "");
Expect(0, 2361, '\P{  DEVANAGARI}', "");
Expect(1, 2361, '\P{^  DEVANAGARI}', "");
Expect(0, 2303, '\p{  DEVANAGARI}', "");
Expect(1, 2303, '\p{^  DEVANAGARI}', "");
Expect(1, 2303, '\P{  DEVANAGARI}', "");
Expect(0, 2303, '\P{^  DEVANAGARI}', "");
Error('\p{ Is-Devanagari:=}');
Error('\P{ Is-Devanagari:=}');
Expect(1, 2361, '\p{isdevanagari}', "");
Expect(0, 2361, '\p{^isdevanagari}', "");
Expect(0, 2361, '\P{isdevanagari}', "");
Expect(1, 2361, '\P{^isdevanagari}', "");
Expect(0, 2303, '\p{isdevanagari}', "");
Expect(1, 2303, '\p{^isdevanagari}', "");
Expect(1, 2303, '\P{isdevanagari}', "");
Expect(0, 2303, '\P{^isdevanagari}', "");
Expect(1, 2361, '\p{_	ISDevanagari}', "");
Expect(0, 2361, '\p{^_	ISDevanagari}', "");
Expect(0, 2361, '\P{_	ISDevanagari}', "");
Expect(1, 2361, '\P{^_	ISDevanagari}', "");
Expect(0, 2303, '\p{_	ISDevanagari}', "");
Expect(1, 2303, '\p{^_	ISDevanagari}', "");
Expect(1, 2303, '\P{_	ISDevanagari}', "");
Expect(0, 2303, '\P{^_	ISDevanagari}', "");
Error('\p{:=_	DEVA}');
Error('\P{:=_	DEVA}');
Expect(1, 2361, '\p{deva}', "");
Expect(0, 2361, '\p{^deva}', "");
Expect(0, 2361, '\P{deva}', "");
Expect(1, 2361, '\P{^deva}', "");
Expect(0, 2303, '\p{deva}', "");
Expect(1, 2303, '\p{^deva}', "");
Expect(1, 2303, '\P{deva}', "");
Expect(0, 2303, '\P{^deva}', "");
Expect(1, 2361, '\p{_ DEVA}', "");
Expect(0, 2361, '\p{^_ DEVA}', "");
Expect(0, 2361, '\P{_ DEVA}', "");
Expect(1, 2361, '\P{^_ DEVA}', "");
Expect(0, 2303, '\p{_ DEVA}', "");
Expect(1, 2303, '\p{^_ DEVA}', "");
Expect(1, 2303, '\P{_ DEVA}', "");
Expect(0, 2303, '\P{^_ DEVA}', "");
Error('\p{		ISDeva:=}');
Error('\P{		ISDeva:=}');
Expect(1, 2361, '\p{isdeva}', "");
Expect(0, 2361, '\p{^isdeva}', "");
Expect(0, 2361, '\P{isdeva}', "");
Expect(1, 2361, '\P{^isdeva}', "");
Expect(0, 2303, '\p{isdeva}', "");
Expect(1, 2303, '\p{^isdeva}', "");
Expect(1, 2303, '\P{isdeva}', "");
Expect(0, 2303, '\P{^isdeva}', "");
Expect(1, 2361, '\p{-	Is Deva}', "");
Expect(0, 2361, '\p{^-	Is Deva}', "");
Expect(0, 2361, '\P{-	Is Deva}', "");
Expect(1, 2361, '\P{^-	Is Deva}', "");
Expect(0, 2303, '\p{-	Is Deva}', "");
Expect(1, 2303, '\p{^-	Is Deva}', "");
Expect(1, 2303, '\P{-	Is Deva}', "");
Expect(0, 2303, '\P{^-	Is Deva}', "");
Error('\p{_Final:=Punctuation}');
Error('\P{_Final:=Punctuation}');
Expect(1, 187, '\p{finalpunctuation}', "");
Expect(0, 187, '\p{^finalpunctuation}', "");
Expect(0, 187, '\P{finalpunctuation}', "");
Expect(1, 187, '\P{^finalpunctuation}', "");
Expect(0, 186, '\p{finalpunctuation}', "");
Expect(1, 186, '\p{^finalpunctuation}', "");
Expect(1, 186, '\P{finalpunctuation}', "");
Expect(0, 186, '\P{^finalpunctuation}', "");
Expect(1, 187, '\p{ FINAL Punctuation}', "");
Expect(0, 187, '\p{^ FINAL Punctuation}', "");
Expect(0, 187, '\P{ FINAL Punctuation}', "");
Expect(1, 187, '\P{^ FINAL Punctuation}', "");
Expect(0, 186, '\p{ FINAL Punctuation}', "");
Expect(1, 186, '\p{^ FINAL Punctuation}', "");
Expect(1, 186, '\P{ FINAL Punctuation}', "");
Expect(0, 186, '\P{^ FINAL Punctuation}', "");
Error('\p{_:=is_Final PUNCTUATION}');
Error('\P{_:=is_Final PUNCTUATION}');
Expect(1, 187, '\p{isfinalpunctuation}', "");
Expect(0, 187, '\p{^isfinalpunctuation}', "");
Expect(0, 187, '\P{isfinalpunctuation}', "");
Expect(1, 187, '\P{^isfinalpunctuation}', "");
Expect(0, 186, '\p{isfinalpunctuation}', "");
Expect(1, 186, '\p{^isfinalpunctuation}', "");
Expect(1, 186, '\P{isfinalpunctuation}', "");
Expect(0, 186, '\P{^isfinalpunctuation}', "");
Expect(1, 187, '\p{ -Is-Final_Punctuation}', "");
Expect(0, 187, '\p{^ -Is-Final_Punctuation}', "");
Expect(0, 187, '\P{ -Is-Final_Punctuation}', "");
Expect(1, 187, '\P{^ -Is-Final_Punctuation}', "");
Expect(0, 186, '\p{ -Is-Final_Punctuation}', "");
Expect(1, 186, '\p{^ -Is-Final_Punctuation}', "");
Expect(1, 186, '\P{ -Is-Final_Punctuation}', "");
Expect(0, 186, '\P{^ -Is-Final_Punctuation}', "");
Error('\p{ :=pf}');
Error('\P{ :=pf}');
Expect(1, 187, '\p{pf}', "");
Expect(0, 187, '\p{^pf}', "");
Expect(0, 187, '\P{pf}', "");
Expect(1, 187, '\P{^pf}', "");
Expect(0, 186, '\p{pf}', "");
Expect(1, 186, '\p{^pf}', "");
Expect(1, 186, '\P{pf}', "");
Expect(0, 186, '\P{^pf}', "");
Expect(1, 187, '\p{ Pf}', "");
Expect(0, 187, '\p{^ Pf}', "");
Expect(0, 187, '\P{ Pf}', "");
Expect(1, 187, '\P{^ Pf}', "");
Expect(0, 186, '\p{ Pf}', "");
Expect(1, 186, '\p{^ Pf}', "");
Expect(1, 186, '\P{ Pf}', "");
Expect(0, 186, '\P{^ Pf}', "");
Error('\p{_:=is-Pf}');
Error('\P{_:=is-Pf}');
Expect(1, 187, '\p{ispf}', "");
Expect(0, 187, '\p{^ispf}', "");
Expect(0, 187, '\P{ispf}', "");
Expect(1, 187, '\P{^ispf}', "");
Expect(0, 186, '\p{ispf}', "");
Expect(1, 186, '\p{^ispf}', "");
Expect(1, 186, '\P{ispf}', "");
Expect(0, 186, '\P{^ispf}', "");
Expect(1, 187, '\p{-_IS	Pf}', "");
Expect(0, 187, '\p{^-_IS	Pf}', "");
Expect(0, 187, '\P{-_IS	Pf}', "");
Expect(1, 187, '\P{^-_IS	Pf}', "");
Expect(0, 186, '\p{-_IS	Pf}', "");
Expect(1, 186, '\p{^-_IS	Pf}', "");
Expect(1, 186, '\P{-_IS	Pf}', "");
Expect(0, 186, '\P{^-_IS	Pf}', "");
Error('\p{  Modifier:=letter}');
Error('\P{  Modifier:=letter}');
Expect(1, 705, '\p{modifierletter}', "");
Expect(0, 705, '\p{^modifierletter}', "");
Expect(0, 705, '\P{modifierletter}', "");
Expect(1, 705, '\P{^modifierletter}', "");
Expect(0, 687, '\p{modifierletter}', "");
Expect(1, 687, '\p{^modifierletter}', "");
Expect(1, 687, '\P{modifierletter}', "");
Expect(0, 687, '\P{^modifierletter}', "");
Expect(1, 705, '\p{	modifier	letter}', "");
Expect(0, 705, '\p{^	modifier	letter}', "");
Expect(0, 705, '\P{	modifier	letter}', "");
Expect(1, 705, '\P{^	modifier	letter}', "");
Expect(0, 687, '\p{	modifier	letter}', "");
Expect(1, 687, '\p{^	modifier	letter}', "");
Expect(1, 687, '\P{	modifier	letter}', "");
Expect(0, 687, '\P{^	modifier	letter}', "");
Error('\p{ :=IS-modifier_letter}');
Error('\P{ :=IS-modifier_letter}');
Expect(1, 705, '\p{ismodifierletter}', "");
Expect(0, 705, '\p{^ismodifierletter}', "");
Expect(0, 705, '\P{ismodifierletter}', "");
Expect(1, 705, '\P{^ismodifierletter}', "");
Expect(0, 687, '\p{ismodifierletter}', "");
Expect(1, 687, '\p{^ismodifierletter}', "");
Expect(1, 687, '\P{ismodifierletter}', "");
Expect(0, 687, '\P{^ismodifierletter}', "");
Expect(1, 705, '\p{ -Ismodifier-Letter}', "");
Expect(0, 705, '\p{^ -Ismodifier-Letter}', "");
Expect(0, 705, '\P{ -Ismodifier-Letter}', "");
Expect(1, 705, '\P{^ -Ismodifier-Letter}', "");
Expect(0, 687, '\p{ -Ismodifier-Letter}', "");
Expect(1, 687, '\p{^ -Ismodifier-Letter}', "");
Expect(1, 687, '\P{ -Ismodifier-Letter}', "");
Expect(0, 687, '\P{^ -Ismodifier-Letter}', "");
Error('\p{/a/Lm}');
Error('\P{/a/Lm}');
Expect(1, 705, '\p{lm}', "");
Expect(0, 705, '\p{^lm}', "");
Expect(0, 705, '\P{lm}', "");
Expect(1, 705, '\P{^lm}', "");
Expect(0, 687, '\p{lm}', "");
Expect(1, 687, '\p{^lm}', "");
Expect(1, 687, '\P{lm}', "");
Expect(0, 687, '\P{^lm}', "");
Expect(1, 705, '\p{_-Lm}', "");
Expect(0, 705, '\p{^_-Lm}', "");
Expect(0, 705, '\P{_-Lm}', "");
Expect(1, 705, '\P{^_-Lm}', "");
Expect(0, 687, '\p{_-Lm}', "");
Expect(1, 687, '\p{^_-Lm}', "");
Expect(1, 687, '\P{_-Lm}', "");
Expect(0, 687, '\P{^_-Lm}', "");
Error('\p{	IsLm:=}');
Error('\P{	IsLm:=}');
Expect(1, 705, '\p{islm}', "");
Expect(0, 705, '\p{^islm}', "");
Expect(0, 705, '\P{islm}', "");
Expect(1, 705, '\P{^islm}', "");
Expect(0, 687, '\p{islm}', "");
Expect(1, 687, '\p{^islm}', "");
Expect(1, 687, '\P{islm}', "");
Expect(0, 687, '\P{^islm}', "");
Expect(1, 705, '\p{ -is	Lm}', "");
Expect(0, 705, '\p{^ -is	Lm}', "");
Expect(0, 705, '\P{ -is	Lm}', "");
Expect(1, 705, '\P{^ -is	Lm}', "");
Expect(0, 687, '\p{ -is	Lm}', "");
Expect(1, 687, '\p{^ -is	Lm}', "");
Expect(1, 687, '\P{ -is	Lm}', "");
Expect(0, 687, '\P{^ -is	Lm}', "");
Error('\p{ -Kanbun:=}');
Error('\P{ -Kanbun:=}');
Expect(1, 12703, '\p{kanbun}', "");
Expect(0, 12703, '\p{^kanbun}', "");
Expect(0, 12703, '\P{kanbun}', "");
Expect(1, 12703, '\P{^kanbun}', "");
Expect(0, 12687, '\p{kanbun}', "");
Expect(1, 12687, '\p{^kanbun}', "");
Expect(1, 12687, '\P{kanbun}', "");
Expect(0, 12687, '\P{^kanbun}', "");
Expect(1, 12703, '\p{ _KANBUN}', "");
Expect(0, 12703, '\p{^ _KANBUN}', "");
Expect(0, 12703, '\P{ _KANBUN}', "");
Expect(1, 12703, '\P{^ _KANBUN}', "");
Expect(0, 12687, '\p{ _KANBUN}', "");
Expect(1, 12687, '\p{^ _KANBUN}', "");
Expect(1, 12687, '\P{ _KANBUN}', "");
Expect(0, 12687, '\P{^ _KANBUN}', "");
Error('\p{ IS:=KANBUN}');
Error('\P{ IS:=KANBUN}');
Expect(1, 12703, '\p{iskanbun}', "");
Expect(0, 12703, '\p{^iskanbun}', "");
Expect(0, 12703, '\P{iskanbun}', "");
Expect(1, 12703, '\P{^iskanbun}', "");
Expect(0, 12687, '\p{iskanbun}', "");
Expect(1, 12687, '\p{^iskanbun}', "");
Expect(1, 12687, '\P{iskanbun}', "");
Expect(0, 12687, '\P{^iskanbun}', "");
Expect(1, 12703, '\p{	 Is-Kanbun}', "");
Expect(0, 12703, '\p{^	 Is-Kanbun}', "");
Expect(0, 12703, '\P{	 Is-Kanbun}', "");
Expect(1, 12703, '\P{^	 Is-Kanbun}', "");
Expect(0, 12687, '\p{	 Is-Kanbun}', "");
Expect(1, 12687, '\p{^	 Is-Kanbun}', "");
Expect(1, 12687, '\P{	 Is-Kanbun}', "");
Expect(0, 12687, '\P{^	 Is-Kanbun}', "");
Error('\p{	_In Kanbun/a/}');
Error('\P{	_In Kanbun/a/}');
Expect(1, 12703, '\p{inkanbun}', "");
Expect(0, 12703, '\p{^inkanbun}', "");
Expect(0, 12703, '\P{inkanbun}', "");
Expect(1, 12703, '\P{^inkanbun}', "");
Expect(0, 12687, '\p{inkanbun}', "");
Expect(1, 12687, '\p{^inkanbun}', "");
Expect(1, 12687, '\P{inkanbun}', "");
Expect(0, 12687, '\P{^inkanbun}', "");
Expect(1, 12703, '\p{- In_Kanbun}', "");
Expect(0, 12703, '\p{^- In_Kanbun}', "");
Expect(0, 12703, '\P{- In_Kanbun}', "");
Expect(1, 12703, '\P{^- In_Kanbun}', "");
Expect(0, 12687, '\p{- In_Kanbun}', "");
Expect(1, 12687, '\p{^- In_Kanbun}', "");
Expect(1, 12687, '\P{- In_Kanbun}', "");
Expect(0, 12687, '\P{^- In_Kanbun}', "");
Error('\p{miscellaneous/a/mathematical symbols A}');
Error('\P{miscellaneous/a/mathematical symbols A}');
Expect(1, 10223, '\p{miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\p{miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\p{^miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\P{miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\P{^miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{ miscellaneous-Mathematical	Symbols A}', "");
Expect(0, 10223, '\p{^ miscellaneous-Mathematical	Symbols A}', "");
Expect(0, 10223, '\P{ miscellaneous-Mathematical	Symbols A}', "");
Expect(1, 10223, '\P{^ miscellaneous-Mathematical	Symbols A}', "");
Expect(0, 10175, '\p{ miscellaneous-Mathematical	Symbols A}', "");
Expect(1, 10175, '\p{^ miscellaneous-Mathematical	Symbols A}', "");
Expect(1, 10175, '\P{ miscellaneous-Mathematical	Symbols A}', "");
Expect(0, 10175, '\P{^ miscellaneous-Mathematical	Symbols A}', "");
Error('\p{:=__is	miscellaneousMATHEMATICALsymbols-a}');
Error('\P{:=__is	miscellaneousMATHEMATICALsymbols-a}');
Expect(1, 10223, '\p{ismiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^ismiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{ismiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^ismiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\p{ismiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\p{^ismiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\P{ismiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\P{^ismiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{  Is-miscellaneous mathematical_symbolsa}', "");
Expect(0, 10223, '\p{^  Is-miscellaneous mathematical_symbolsa}', "");
Expect(0, 10223, '\P{  Is-miscellaneous mathematical_symbolsa}', "");
Expect(1, 10223, '\P{^  Is-miscellaneous mathematical_symbolsa}', "");
Expect(0, 10175, '\p{  Is-miscellaneous mathematical_symbolsa}', "");
Expect(1, 10175, '\p{^  Is-miscellaneous mathematical_symbolsa}', "");
Expect(1, 10175, '\P{  Is-miscellaneous mathematical_symbolsa}', "");
Expect(0, 10175, '\P{^  Is-miscellaneous mathematical_symbolsa}', "");
Error('\p{-/a/Inmiscellaneous	mathematical	symbolsA}');
Error('\P{-/a/Inmiscellaneous	mathematical	symbolsA}');
Expect(1, 10223, '\p{inmiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^inmiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{inmiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^inmiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\p{inmiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\p{^inmiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10175, '\P{inmiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10175, '\P{^inmiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{_In	miscellaneousMathematical-Symbols	a}', "");
Expect(0, 10223, '\p{^_In	miscellaneousMathematical-Symbols	a}', "");
Expect(0, 10223, '\P{_In	miscellaneousMathematical-Symbols	a}', "");
Expect(1, 10223, '\P{^_In	miscellaneousMathematical-Symbols	a}', "");
Expect(0, 10175, '\p{_In	miscellaneousMathematical-Symbols	a}', "");
Expect(1, 10175, '\p{^_In	miscellaneousMathematical-Symbols	a}', "");
Expect(1, 10175, '\P{_In	miscellaneousMathematical-Symbols	a}', "");
Expect(0, 10175, '\P{^_In	miscellaneousMathematical-Symbols	a}', "");
Error('\p{In	Devanagari:=}');
Error('\P{In	Devanagari:=}');
Expect(1, 2431, '\p{indevanagari}', "");
Expect(0, 2431, '\p{^indevanagari}', "");
Expect(0, 2431, '\P{indevanagari}', "");
Expect(1, 2431, '\P{^indevanagari}', "");
Expect(0, 2303, '\p{indevanagari}', "");
Expect(1, 2303, '\p{^indevanagari}', "");
Expect(1, 2303, '\P{indevanagari}', "");
Expect(0, 2303, '\P{^indevanagari}', "");
Expect(1, 2431, '\p{_ In Devanagari}', "");
Expect(0, 2431, '\p{^_ In Devanagari}', "");
Expect(0, 2431, '\P{_ In Devanagari}', "");
Expect(1, 2431, '\P{^_ In Devanagari}', "");
Expect(0, 2303, '\p{_ In Devanagari}', "");
Expect(1, 2303, '\p{^_ In Devanagari}', "");
Expect(1, 2303, '\P{_ In Devanagari}', "");
Expect(0, 2303, '\P{^_ In Devanagari}', "");
Error('\p{_/a/Tibetan}');
Error('\P{_/a/Tibetan}');
Expect(1, 3911, '\p{tibetan}', "");
Expect(0, 3911, '\p{^tibetan}', "");
Expect(0, 3911, '\P{tibetan}', "");
Expect(1, 3911, '\P{^tibetan}', "");
Expect(0, 3839, '\p{tibetan}', "");
Expect(1, 3839, '\p{^tibetan}', "");
Expect(1, 3839, '\P{tibetan}', "");
Expect(0, 3839, '\P{^tibetan}', "");
Expect(1, 3911, '\p{ _Tibetan}', "");
Expect(0, 3911, '\p{^ _Tibetan}', "");
Expect(0, 3911, '\P{ _Tibetan}', "");
Expect(1, 3911, '\P{^ _Tibetan}', "");
Expect(0, 3839, '\p{ _Tibetan}', "");
Expect(1, 3839, '\p{^ _Tibetan}', "");
Expect(1, 3839, '\P{ _Tibetan}', "");
Expect(0, 3839, '\P{^ _Tibetan}', "");
Error('\p{_	ISTibetan:=}');
Error('\P{_	ISTibetan:=}');
Expect(1, 3911, '\p{istibetan}', "");
Expect(0, 3911, '\p{^istibetan}', "");
Expect(0, 3911, '\P{istibetan}', "");
Expect(1, 3911, '\P{^istibetan}', "");
Expect(0, 3839, '\p{istibetan}', "");
Expect(1, 3839, '\p{^istibetan}', "");
Expect(1, 3839, '\P{istibetan}', "");
Expect(0, 3839, '\P{^istibetan}', "");
Expect(1, 3911, '\p{	 is	TIBETAN}', "");
Expect(0, 3911, '\p{^	 is	TIBETAN}', "");
Expect(0, 3911, '\P{	 is	TIBETAN}', "");
Expect(1, 3911, '\P{^	 is	TIBETAN}', "");
Expect(0, 3839, '\p{	 is	TIBETAN}', "");
Expect(1, 3839, '\p{^	 is	TIBETAN}', "");
Expect(1, 3839, '\P{	 is	TIBETAN}', "");
Expect(0, 3839, '\P{^	 is	TIBETAN}', "");
Error('\p{-/a/Tibt}');
Error('\P{-/a/Tibt}');
Expect(1, 3911, '\p{tibt}', "");
Expect(0, 3911, '\p{^tibt}', "");
Expect(0, 3911, '\P{tibt}', "");
Expect(1, 3911, '\P{^tibt}', "");
Expect(0, 3839, '\p{tibt}', "");
Expect(1, 3839, '\p{^tibt}', "");
Expect(1, 3839, '\P{tibt}', "");
Expect(0, 3839, '\P{^tibt}', "");
Expect(1, 3911, '\p{-	tibt}', "");
Expect(0, 3911, '\p{^-	tibt}', "");
Expect(0, 3911, '\P{-	tibt}', "");
Expect(1, 3911, '\P{^-	tibt}', "");
Expect(0, 3839, '\p{-	tibt}', "");
Expect(1, 3839, '\p{^-	tibt}', "");
Expect(1, 3839, '\P{-	tibt}', "");
Expect(0, 3839, '\P{^-	tibt}', "");
Error('\p{/a/IsTibt}');
Error('\P{/a/IsTibt}');
Expect(1, 3911, '\p{istibt}', "");
Expect(0, 3911, '\p{^istibt}', "");
Expect(0, 3911, '\P{istibt}', "");
Expect(1, 3911, '\P{^istibt}', "");
Expect(0, 3839, '\p{istibt}', "");
Expect(1, 3839, '\p{^istibt}', "");
Expect(1, 3839, '\P{istibt}', "");
Expect(0, 3839, '\P{^istibt}', "");
Expect(1, 3911, '\p{- is_TIBT}', "");
Expect(0, 3911, '\p{^- is_TIBT}', "");
Expect(0, 3911, '\P{- is_TIBT}', "");
Expect(1, 3911, '\P{^- is_TIBT}', "");
Expect(0, 3839, '\p{- is_TIBT}', "");
Expect(1, 3839, '\p{^- is_TIBT}', "");
Expect(1, 3839, '\P{- is_TIBT}', "");
Expect(0, 3839, '\P{^- is_TIBT}', "");
Error('\p{ Javanese/a/}');
Error('\P{ Javanese/a/}');
Expect(1, 43469, '\p{javanese}', "");
Expect(0, 43469, '\p{^javanese}', "");
Expect(0, 43469, '\P{javanese}', "");
Expect(1, 43469, '\P{^javanese}', "");
Expect(0, 43391, '\p{javanese}', "");
Expect(1, 43391, '\p{^javanese}', "");
Expect(1, 43391, '\P{javanese}', "");
Expect(0, 43391, '\P{^javanese}', "");
Expect(1, 43469, '\p{ -Javanese}', "");
Expect(0, 43469, '\p{^ -Javanese}', "");
Expect(0, 43469, '\P{ -Javanese}', "");
Expect(1, 43469, '\P{^ -Javanese}', "");
Expect(0, 43391, '\p{ -Javanese}', "");
Expect(1, 43391, '\p{^ -Javanese}', "");
Expect(1, 43391, '\P{ -Javanese}', "");
Expect(0, 43391, '\P{^ -Javanese}', "");
Error('\p{ IS/a/Javanese}');
Error('\P{ IS/a/Javanese}');
Expect(1, 43469, '\p{isjavanese}', "");
Expect(0, 43469, '\p{^isjavanese}', "");
Expect(0, 43469, '\P{isjavanese}', "");
Expect(1, 43469, '\P{^isjavanese}', "");
Expect(0, 43391, '\p{isjavanese}', "");
Expect(1, 43391, '\p{^isjavanese}', "");
Expect(1, 43391, '\P{isjavanese}', "");
Expect(0, 43391, '\P{^isjavanese}', "");
Expect(1, 43469, '\p{	_is	Javanese}', "");
Expect(0, 43469, '\p{^	_is	Javanese}', "");
Expect(0, 43469, '\P{	_is	Javanese}', "");
Expect(1, 43469, '\P{^	_is	Javanese}', "");
Expect(0, 43391, '\p{	_is	Javanese}', "");
Expect(1, 43391, '\p{^	_is	Javanese}', "");
Expect(1, 43391, '\P{	_is	Javanese}', "");
Expect(0, 43391, '\P{^	_is	Javanese}', "");
Error('\p{ Java/a/}');
Error('\P{ Java/a/}');
Expect(1, 43469, '\p{java}', "");
Expect(0, 43469, '\p{^java}', "");
Expect(0, 43469, '\P{java}', "");
Expect(1, 43469, '\P{^java}', "");
Expect(0, 43391, '\p{java}', "");
Expect(1, 43391, '\p{^java}', "");
Expect(1, 43391, '\P{java}', "");
Expect(0, 43391, '\P{^java}', "");
Expect(1, 43469, '\p{Java}', "");
Expect(0, 43469, '\p{^Java}', "");
Expect(0, 43469, '\P{Java}', "");
Expect(1, 43469, '\P{^Java}', "");
Expect(0, 43391, '\p{Java}', "");
Expect(1, 43391, '\p{^Java}', "");
Expect(1, 43391, '\P{Java}', "");
Expect(0, 43391, '\P{^Java}', "");
Error('\p{ /a/ISJAVA}');
Error('\P{ /a/ISJAVA}');
Expect(1, 43469, '\p{isjava}', "");
Expect(0, 43469, '\p{^isjava}', "");
Expect(0, 43469, '\P{isjava}', "");
Expect(1, 43469, '\P{^isjava}', "");
Expect(0, 43391, '\p{isjava}', "");
Expect(1, 43391, '\p{^isjava}', "");
Expect(1, 43391, '\P{isjava}', "");
Expect(0, 43391, '\P{^isjava}', "");
Expect(1, 43469, '\p{Is_java}', "");
Expect(0, 43469, '\p{^Is_java}', "");
Expect(0, 43469, '\P{Is_java}', "");
Expect(1, 43469, '\P{^Is_java}', "");
Expect(0, 43391, '\p{Is_java}', "");
Expect(1, 43391, '\p{^Is_java}', "");
Expect(1, 43391, '\P{Is_java}', "");
Expect(0, 43391, '\P{^Is_java}', "");
Error('\p{_ Telugu/a/}');
Error('\P{_ Telugu/a/}');
Expect(1, 3075, '\p{telugu}', "");
Expect(0, 3075, '\p{^telugu}', "");
Expect(0, 3075, '\P{telugu}', "");
Expect(1, 3075, '\P{^telugu}', "");
Expect(0, 3072, '\p{telugu}', "");
Expect(1, 3072, '\p{^telugu}', "");
Expect(1, 3072, '\P{telugu}', "");
Expect(0, 3072, '\P{^telugu}', "");
Expect(1, 3075, '\p{	-telugu}', "");
Expect(0, 3075, '\p{^	-telugu}', "");
Expect(0, 3075, '\P{	-telugu}', "");
Expect(1, 3075, '\P{^	-telugu}', "");
Expect(0, 3072, '\p{	-telugu}', "");
Expect(1, 3072, '\p{^	-telugu}', "");
Expect(1, 3072, '\P{	-telugu}', "");
Expect(0, 3072, '\P{^	-telugu}', "");
Error('\p{_ISTELUGU:=}');
Error('\P{_ISTELUGU:=}');
Expect(1, 3075, '\p{istelugu}', "");
Expect(0, 3075, '\p{^istelugu}', "");
Expect(0, 3075, '\P{istelugu}', "");
Expect(1, 3075, '\P{^istelugu}', "");
Expect(0, 3072, '\p{istelugu}', "");
Expect(1, 3072, '\p{^istelugu}', "");
Expect(1, 3072, '\P{istelugu}', "");
Expect(0, 3072, '\P{^istelugu}', "");
Expect(1, 3075, '\p{ 	IS_telugu}', "");
Expect(0, 3075, '\p{^ 	IS_telugu}', "");
Expect(0, 3075, '\P{ 	IS_telugu}', "");
Expect(1, 3075, '\P{^ 	IS_telugu}', "");
Expect(0, 3072, '\p{ 	IS_telugu}', "");
Expect(1, 3072, '\p{^ 	IS_telugu}', "");
Expect(1, 3072, '\P{ 	IS_telugu}', "");
Expect(0, 3072, '\P{^ 	IS_telugu}', "");
Error('\p{-:=telu}');
Error('\P{-:=telu}');
Expect(1, 3075, '\p{telu}', "");
Expect(0, 3075, '\p{^telu}', "");
Expect(0, 3075, '\P{telu}', "");
Expect(1, 3075, '\P{^telu}', "");
Expect(0, 3072, '\p{telu}', "");
Expect(1, 3072, '\p{^telu}', "");
Expect(1, 3072, '\P{telu}', "");
Expect(0, 3072, '\P{^telu}', "");
Error('\p{/a/_-ISTELU}');
Error('\P{/a/_-ISTELU}');
Expect(1, 3075, '\p{istelu}', "");
Expect(0, 3075, '\p{^istelu}', "");
Expect(0, 3075, '\P{istelu}', "");
Expect(1, 3075, '\P{^istelu}', "");
Expect(0, 3072, '\p{istelu}', "");
Expect(1, 3072, '\p{^istelu}', "");
Expect(1, 3072, '\P{istelu}', "");
Expect(0, 3072, '\P{^istelu}', "");
Expect(1, 3075, '\p{	-Is-telu}', "");
Expect(0, 3075, '\p{^	-Is-telu}', "");
Expect(0, 3075, '\P{	-Is-telu}', "");
Expect(1, 3075, '\P{^	-Is-telu}', "");
Expect(0, 3072, '\p{	-Is-telu}', "");
Expect(1, 3072, '\p{^	-Is-telu}', "");
Expect(1, 3072, '\P{	-Is-telu}', "");
Expect(0, 3072, '\P{^	-Is-telu}', "");
Error('\p{- Yiradicals:=}');
Error('\P{- Yiradicals:=}');
Expect(1, 42191, '\p{yiradicals}', "");
Expect(0, 42191, '\p{^yiradicals}', "");
Expect(0, 42191, '\P{yiradicals}', "");
Expect(1, 42191, '\P{^yiradicals}', "");
Expect(0, 42127, '\p{yiradicals}', "");
Expect(1, 42127, '\p{^yiradicals}', "");
Expect(1, 42127, '\P{yiradicals}', "");
Expect(0, 42127, '\P{^yiradicals}', "");
Expect(1, 42191, '\p{__YiRadicals}', "");
Expect(0, 42191, '\p{^__YiRadicals}', "");
Expect(0, 42191, '\P{__YiRadicals}', "");
Expect(1, 42191, '\P{^__YiRadicals}', "");
Expect(0, 42127, '\p{__YiRadicals}', "");
Expect(1, 42127, '\p{^__YiRadicals}', "");
Expect(1, 42127, '\P{__YiRadicals}', "");
Expect(0, 42127, '\P{^__YiRadicals}', "");
Error('\p{	 Is:=Yi_radicals}');
Error('\P{	 Is:=Yi_radicals}');
Expect(1, 42191, '\p{isyiradicals}', "");
Expect(0, 42191, '\p{^isyiradicals}', "");
Expect(0, 42191, '\P{isyiradicals}', "");
Expect(1, 42191, '\P{^isyiradicals}', "");
Expect(0, 42127, '\p{isyiradicals}', "");
Expect(1, 42127, '\p{^isyiradicals}', "");
Expect(1, 42127, '\P{isyiradicals}', "");
Expect(0, 42127, '\P{^isyiradicals}', "");
Expect(1, 42191, '\p{_	is_Yi Radicals}', "");
Expect(0, 42191, '\p{^_	is_Yi Radicals}', "");
Expect(0, 42191, '\P{_	is_Yi Radicals}', "");
Expect(1, 42191, '\P{^_	is_Yi Radicals}', "");
Expect(0, 42127, '\p{_	is_Yi Radicals}', "");
Expect(1, 42127, '\p{^_	is_Yi Radicals}', "");
Expect(1, 42127, '\P{_	is_Yi Radicals}', "");
Expect(0, 42127, '\P{^_	is_Yi Radicals}', "");
Error('\p{--IN Yi Radicals/a/}');
Error('\P{--IN Yi Radicals/a/}');
Expect(1, 42191, '\p{inyiradicals}', "");
Expect(0, 42191, '\p{^inyiradicals}', "");
Expect(0, 42191, '\P{inyiradicals}', "");
Expect(1, 42191, '\P{^inyiradicals}', "");
Expect(0, 42127, '\p{inyiradicals}', "");
Expect(1, 42127, '\p{^inyiradicals}', "");
Expect(1, 42127, '\P{inyiradicals}', "");
Expect(0, 42127, '\P{^inyiradicals}', "");
Expect(1, 42191, '\p{_IN_YI_radicals}', "");
Expect(0, 42191, '\p{^_IN_YI_radicals}', "");
Expect(0, 42191, '\P{_IN_YI_radicals}', "");
Expect(1, 42191, '\P{^_IN_YI_radicals}', "");
Expect(0, 42127, '\p{_IN_YI_radicals}', "");
Expect(1, 42127, '\p{^_IN_YI_radicals}', "");
Expect(1, 42127, '\P{_IN_YI_radicals}', "");
Expect(0, 42127, '\P{^_IN_YI_radicals}', "");
Error('\p{:= -InShavian}');
Error('\P{:= -InShavian}');
Expect(1, 66687, '\p{inshavian}', "");
Expect(0, 66687, '\p{^inshavian}', "");
Expect(0, 66687, '\P{inshavian}', "");
Expect(1, 66687, '\P{^inshavian}', "");
Expect(0, 66639, '\p{inshavian}', "");
Expect(1, 66639, '\p{^inshavian}', "");
Expect(1, 66639, '\P{inshavian}', "");
Expect(0, 66639, '\P{^inshavian}', "");
Expect(1, 66687, '\p{ -IN-Shavian}', "");
Expect(0, 66687, '\p{^ -IN-Shavian}', "");
Expect(0, 66687, '\P{ -IN-Shavian}', "");
Expect(1, 66687, '\P{^ -IN-Shavian}', "");
Expect(0, 66639, '\p{ -IN-Shavian}', "");
Expect(1, 66639, '\p{^ -IN-Shavian}', "");
Expect(1, 66639, '\P{ -IN-Shavian}', "");
Expect(0, 66639, '\P{^ -IN-Shavian}', "");
Error('\p{- ancient-SYMBOLS/a/}');
Error('\P{- ancient-SYMBOLS/a/}');
Expect(1, 65999, '\p{ancientsymbols}', "");
Expect(0, 65999, '\p{^ancientsymbols}', "");
Expect(0, 65999, '\P{ancientsymbols}', "");
Expect(1, 65999, '\P{^ancientsymbols}', "");
Expect(0, 65935, '\p{ancientsymbols}', "");
Expect(1, 65935, '\p{^ancientsymbols}', "");
Expect(1, 65935, '\P{ancientsymbols}', "");
Expect(0, 65935, '\P{^ancientsymbols}', "");
Expect(1, 65999, '\p{	_Ancient symbols}', "");
Expect(0, 65999, '\p{^	_Ancient symbols}', "");
Expect(0, 65999, '\P{	_Ancient symbols}', "");
Expect(1, 65999, '\P{^	_Ancient symbols}', "");
Expect(0, 65935, '\p{	_Ancient symbols}', "");
Expect(1, 65935, '\p{^	_Ancient symbols}', "");
Expect(1, 65935, '\P{	_Ancient symbols}', "");
Expect(0, 65935, '\P{^	_Ancient symbols}', "");
Error('\p{/a/-_IS_ancient symbols}');
Error('\P{/a/-_IS_ancient symbols}');
Expect(1, 65999, '\p{isancientsymbols}', "");
Expect(0, 65999, '\p{^isancientsymbols}', "");
Expect(0, 65999, '\P{isancientsymbols}', "");
Expect(1, 65999, '\P{^isancientsymbols}', "");
Expect(0, 65935, '\p{isancientsymbols}', "");
Expect(1, 65935, '\p{^isancientsymbols}', "");
Expect(1, 65935, '\P{isancientsymbols}', "");
Expect(0, 65935, '\P{^isancientsymbols}', "");
Expect(1, 65999, '\p{	_Is Ancient-symbols}', "");
Expect(0, 65999, '\p{^	_Is Ancient-symbols}', "");
Expect(0, 65999, '\P{	_Is Ancient-symbols}', "");
Expect(1, 65999, '\P{^	_Is Ancient-symbols}', "");
Expect(0, 65935, '\p{	_Is Ancient-symbols}', "");
Expect(1, 65935, '\p{^	_Is Ancient-symbols}', "");
Expect(1, 65935, '\P{	_Is Ancient-symbols}', "");
Expect(0, 65935, '\P{^	_Is Ancient-symbols}', "");
Error('\p{__in/a/ANCIENT-Symbols}');
Error('\P{__in/a/ANCIENT-Symbols}');
Expect(1, 65999, '\p{inancientsymbols}', "");
Expect(0, 65999, '\p{^inancientsymbols}', "");
Expect(0, 65999, '\P{inancientsymbols}', "");
Expect(1, 65999, '\P{^inancientsymbols}', "");
Expect(0, 65935, '\p{inancientsymbols}', "");
Expect(1, 65935, '\p{^inancientsymbols}', "");
Expect(1, 65935, '\P{inancientsymbols}', "");
Expect(0, 65935, '\P{^inancientsymbols}', "");
Expect(1, 65999, '\p{  In Ancient-symbols}', "");
Expect(0, 65999, '\p{^  In Ancient-symbols}', "");
Expect(0, 65999, '\P{  In Ancient-symbols}', "");
Expect(1, 65999, '\P{^  In Ancient-symbols}', "");
Expect(0, 65935, '\p{  In Ancient-symbols}', "");
Expect(1, 65935, '\p{^  In Ancient-symbols}', "");
Expect(1, 65935, '\P{  In Ancient-symbols}', "");
Expect(0, 65935, '\P{^  In Ancient-symbols}', "");
Error('\p{/a/ QUOTATION_mark}');
Error('\P{/a/ QUOTATION_mark}');
Expect(1, 34, '\p{quotationmark}', "");
Expect(0, 34, '\p{^quotationmark}', "");
Expect(0, 34, '\P{quotationmark}', "");
Expect(1, 34, '\P{^quotationmark}', "");
Expect(0, 33, '\p{quotationmark}', "");
Expect(1, 33, '\p{^quotationmark}', "");
Expect(1, 33, '\P{quotationmark}', "");
Expect(0, 33, '\P{^quotationmark}', "");
Expect(1, 34, '\p{Quotation_mark}', "");
Expect(0, 34, '\p{^Quotation_mark}', "");
Expect(0, 34, '\P{Quotation_mark}', "");
Expect(1, 34, '\P{^Quotation_mark}', "");
Expect(0, 33, '\p{Quotation_mark}', "");
Expect(1, 33, '\p{^Quotation_mark}', "");
Expect(1, 33, '\P{Quotation_mark}', "");
Expect(0, 33, '\P{^Quotation_mark}', "");
Error('\p{ IsQUOTATION:=Mark}');
Error('\P{ IsQUOTATION:=Mark}');
Expect(1, 34, '\p{isquotationmark}', "");
Expect(0, 34, '\p{^isquotationmark}', "");
Expect(0, 34, '\P{isquotationmark}', "");
Expect(1, 34, '\P{^isquotationmark}', "");
Expect(0, 33, '\p{isquotationmark}', "");
Expect(1, 33, '\p{^isquotationmark}', "");
Expect(1, 33, '\P{isquotationmark}', "");
Expect(0, 33, '\P{^isquotationmark}', "");
Expect(1, 34, '\p{-_Is	QUOTATIONmark}', "");
Expect(0, 34, '\p{^-_Is	QUOTATIONmark}', "");
Expect(0, 34, '\P{-_Is	QUOTATIONmark}', "");
Expect(1, 34, '\P{^-_Is	QUOTATIONmark}', "");
Expect(0, 33, '\p{-_Is	QUOTATIONmark}', "");
Expect(1, 33, '\p{^-_Is	QUOTATIONmark}', "");
Expect(1, 33, '\P{-_Is	QUOTATIONmark}', "");
Expect(0, 33, '\P{^-_Is	QUOTATIONmark}', "");
Error('\p{  QMARK:=}');
Error('\P{  QMARK:=}');
Expect(1, 34, '\p{qmark}', "");
Expect(0, 34, '\p{^qmark}', "");
Expect(0, 34, '\P{qmark}', "");
Expect(1, 34, '\P{^qmark}', "");
Expect(0, 33, '\p{qmark}', "");
Expect(1, 33, '\p{^qmark}', "");
Expect(1, 33, '\P{qmark}', "");
Expect(0, 33, '\P{^qmark}', "");
Expect(1, 34, '\p{ -qmark}', "");
Expect(0, 34, '\p{^ -qmark}', "");
Expect(0, 34, '\P{ -qmark}', "");
Expect(1, 34, '\P{^ -qmark}', "");
Expect(0, 33, '\p{ -qmark}', "");
Expect(1, 33, '\p{^ -qmark}', "");
Expect(1, 33, '\P{ -qmark}', "");
Expect(0, 33, '\P{^ -qmark}', "");
Error('\p{	/a/Is_QMark}');
Error('\P{	/a/Is_QMark}');
Expect(1, 34, '\p{isqmark}', "");
Expect(0, 34, '\p{^isqmark}', "");
Expect(0, 34, '\P{isqmark}', "");
Expect(1, 34, '\P{^isqmark}', "");
Expect(0, 33, '\p{isqmark}', "");
Expect(1, 33, '\p{^isqmark}', "");
Expect(1, 33, '\P{isqmark}', "");
Expect(0, 33, '\P{^isqmark}', "");
Expect(1, 34, '\p{		is_qmark}', "");
Expect(0, 34, '\p{^		is_qmark}', "");
Expect(0, 34, '\P{		is_qmark}', "");
Expect(1, 34, '\P{^		is_qmark}', "");
Expect(0, 33, '\p{		is_qmark}', "");
Expect(1, 33, '\p{^		is_qmark}', "");
Expect(1, 33, '\P{		is_qmark}', "");
Expect(0, 33, '\P{^		is_qmark}', "");
Error('\p{/a/ -in	Tibetan}');
Error('\P{/a/ -in	Tibetan}');
Expect(1, 4095, '\p{intibetan}', "");
Expect(0, 4095, '\p{^intibetan}', "");
Expect(0, 4095, '\P{intibetan}', "");
Expect(1, 4095, '\P{^intibetan}', "");
Expect(0, 3839, '\p{intibetan}', "");
Expect(1, 3839, '\p{^intibetan}', "");
Expect(1, 3839, '\P{intibetan}', "");
Expect(0, 3839, '\P{^intibetan}', "");
Expect(1, 4095, '\p{	-inTIBETAN}', "");
Expect(0, 4095, '\p{^	-inTIBETAN}', "");
Expect(0, 4095, '\P{	-inTIBETAN}', "");
Expect(1, 4095, '\P{^	-inTIBETAN}', "");
Expect(0, 3839, '\p{	-inTIBETAN}', "");
Expect(1, 3839, '\p{^	-inTIBETAN}', "");
Expect(1, 3839, '\P{	-inTIBETAN}', "");
Expect(0, 3839, '\P{^	-inTIBETAN}', "");
Error('\p{/a/ _Supplemental-Mathematical	OPERATORS}');
Error('\P{/a/ _Supplemental-Mathematical	OPERATORS}');
Expect(1, 11007, '\p{supplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^supplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{supplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^supplementalmathematicaloperators}', "");
Expect(0, 10751, '\p{supplementalmathematicaloperators}', "");
Expect(1, 10751, '\p{^supplementalmathematicaloperators}', "");
Expect(1, 10751, '\P{supplementalmathematicaloperators}', "");
Expect(0, 10751, '\P{^supplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{_-Supplementalmathematical-Operators}', "");
Expect(0, 11007, '\p{^_-Supplementalmathematical-Operators}', "");
Expect(0, 11007, '\P{_-Supplementalmathematical-Operators}', "");
Expect(1, 11007, '\P{^_-Supplementalmathematical-Operators}', "");
Expect(0, 10751, '\p{_-Supplementalmathematical-Operators}', "");
Expect(1, 10751, '\p{^_-Supplementalmathematical-Operators}', "");
Expect(1, 10751, '\P{_-Supplementalmathematical-Operators}', "");
Expect(0, 10751, '\P{^_-Supplementalmathematical-Operators}', "");
Error('\p{__is Supplemental:=MATHEMATICAL_Operators}');
Error('\P{__is Supplemental:=MATHEMATICAL_Operators}');
Expect(1, 11007, '\p{issupplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^issupplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{issupplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^issupplementalmathematicaloperators}', "");
Expect(0, 10751, '\p{issupplementalmathematicaloperators}', "");
Expect(1, 10751, '\p{^issupplementalmathematicaloperators}', "");
Expect(1, 10751, '\P{issupplementalmathematicaloperators}', "");
Expect(0, 10751, '\P{^issupplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{  Is Supplemental_Mathematical_OPERATORS}', "");
Expect(0, 11007, '\p{^  Is Supplemental_Mathematical_OPERATORS}', "");
Expect(0, 11007, '\P{  Is Supplemental_Mathematical_OPERATORS}', "");
Expect(1, 11007, '\P{^  Is Supplemental_Mathematical_OPERATORS}', "");
Expect(0, 10751, '\p{  Is Supplemental_Mathematical_OPERATORS}', "");
Expect(1, 10751, '\p{^  Is Supplemental_Mathematical_OPERATORS}', "");
Expect(1, 10751, '\P{  Is Supplemental_Mathematical_OPERATORS}', "");
Expect(0, 10751, '\P{^  Is Supplemental_Mathematical_OPERATORS}', "");
Error('\p{-_in-Supplemental:=mathematical	Operators}');
Error('\P{-_in-Supplemental:=mathematical	Operators}');
Expect(1, 11007, '\p{insupplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^insupplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{insupplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^insupplementalmathematicaloperators}', "");
Expect(0, 10751, '\p{insupplementalmathematicaloperators}', "");
Expect(1, 10751, '\p{^insupplementalmathematicaloperators}', "");
Expect(1, 10751, '\P{insupplementalmathematicaloperators}', "");
Expect(0, 10751, '\P{^insupplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{	-in_SUPPLEMENTAL Mathematical operators}', "");
Expect(0, 11007, '\p{^	-in_SUPPLEMENTAL Mathematical operators}', "");
Expect(0, 11007, '\P{	-in_SUPPLEMENTAL Mathematical operators}', "");
Expect(1, 11007, '\P{^	-in_SUPPLEMENTAL Mathematical operators}', "");
Expect(0, 10751, '\p{	-in_SUPPLEMENTAL Mathematical operators}', "");
Expect(1, 10751, '\p{^	-in_SUPPLEMENTAL Mathematical operators}', "");
Expect(1, 10751, '\P{	-in_SUPPLEMENTAL Mathematical operators}', "");
Expect(0, 10751, '\P{^	-in_SUPPLEMENTAL Mathematical operators}', "");
Error('\p{-In	CARIAN:=}');
Error('\P{-In	CARIAN:=}');
Expect(1, 66271, '\p{incarian}', "");
Expect(0, 66271, '\p{^incarian}', "");
Expect(0, 66271, '\P{incarian}', "");
Expect(1, 66271, '\P{^incarian}', "");
Expect(0, 66207, '\p{incarian}', "");
Expect(1, 66207, '\p{^incarian}', "");
Expect(1, 66207, '\P{incarian}', "");
Expect(0, 66207, '\P{^incarian}', "");
Expect(1, 66271, '\p{__In_CARIAN}', "");
Expect(0, 66271, '\p{^__In_CARIAN}', "");
Expect(0, 66271, '\P{__In_CARIAN}', "");
Expect(1, 66271, '\P{^__In_CARIAN}', "");
Expect(0, 66207, '\p{__In_CARIAN}', "");
Expect(1, 66207, '\p{^__In_CARIAN}', "");
Expect(1, 66207, '\P{__In_CARIAN}', "");
Expect(0, 66207, '\P{^__In_CARIAN}', "");
Error('\p{	:=IN	arabic}');
Error('\P{	:=IN	arabic}');
Expect(1, 1791, '\p{inarabic}', "");
Expect(0, 1791, '\p{^inarabic}', "");
Expect(0, 1791, '\P{inarabic}', "");
Expect(1, 1791, '\P{^inarabic}', "");
Expect(0, 1535, '\p{inarabic}', "");
Expect(1, 1535, '\p{^inarabic}', "");
Expect(1, 1535, '\P{inarabic}', "");
Expect(0, 1535, '\P{^inarabic}', "");
Expect(1, 1791, '\p{-_In ARABIC}', "");
Expect(0, 1791, '\p{^-_In ARABIC}', "");
Expect(0, 1791, '\P{-_In ARABIC}', "");
Expect(1, 1791, '\P{^-_In ARABIC}', "");
Expect(0, 1535, '\p{-_In ARABIC}', "");
Expect(1, 1535, '\p{^-_In ARABIC}', "");
Expect(1, 1535, '\P{-_In ARABIC}', "");
Expect(0, 1535, '\P{^-_In ARABIC}', "");
Error('\p{	/a/PosixCntrl}');
Error('\P{	/a/PosixCntrl}');
Expect(1, 31, '\p{posixcntrl}', "");
Expect(0, 31, '\p{^posixcntrl}', "");
Expect(0, 31, '\P{posixcntrl}', "");
Expect(1, 31, '\P{^posixcntrl}', "");
Expect(0, 126, '\p{posixcntrl}', "");
Expect(1, 126, '\p{^posixcntrl}', "");
Expect(1, 126, '\P{posixcntrl}', "");
Expect(0, 126, '\P{^posixcntrl}', "");
Expect(1, 31, '\p{		PosixCntrl}', "");
Expect(0, 31, '\p{^		PosixCntrl}', "");
Expect(0, 31, '\P{		PosixCntrl}', "");
Expect(1, 31, '\P{^		PosixCntrl}', "");
Expect(0, 126, '\p{		PosixCntrl}', "");
Expect(1, 126, '\p{^		PosixCntrl}', "");
Expect(1, 126, '\P{		PosixCntrl}', "");
Expect(0, 126, '\P{^		PosixCntrl}', "");
Error('\p{/a/-Is-posixcntrl}');
Error('\P{/a/-Is-posixcntrl}');
Expect(1, 31, '\p{isposixcntrl}', "");
Expect(0, 31, '\p{^isposixcntrl}', "");
Expect(0, 31, '\P{isposixcntrl}', "");
Expect(1, 31, '\P{^isposixcntrl}', "");
Expect(0, 126, '\p{isposixcntrl}', "");
Expect(1, 126, '\p{^isposixcntrl}', "");
Expect(1, 126, '\P{isposixcntrl}', "");
Expect(0, 126, '\P{^isposixcntrl}', "");
Expect(1, 31, '\p{_ISPOSIXCNTRL}', "");
Expect(0, 31, '\p{^_ISPOSIXCNTRL}', "");
Expect(0, 31, '\P{_ISPOSIXCNTRL}', "");
Expect(1, 31, '\P{^_ISPOSIXCNTRL}', "");
Expect(0, 126, '\p{_ISPOSIXCNTRL}', "");
Expect(1, 126, '\p{^_ISPOSIXCNTRL}', "");
Expect(1, 126, '\P{_ISPOSIXCNTRL}', "");
Expect(0, 126, '\P{^_ISPOSIXCNTRL}', "");
Error('\p{ inGothic/a/}');
Error('\P{ inGothic/a/}');
Expect(1, 66383, '\p{ingothic}', "");
Expect(0, 66383, '\p{^ingothic}', "");
Expect(0, 66383, '\P{ingothic}', "");
Expect(1, 66383, '\P{^ingothic}', "");
Expect(0, 66351, '\p{ingothic}', "");
Expect(1, 66351, '\p{^ingothic}', "");
Expect(1, 66351, '\P{ingothic}', "");
Expect(0, 66351, '\P{^ingothic}', "");
Expect(1, 66383, '\p{	-In-gothic}', "");
Expect(0, 66383, '\p{^	-In-gothic}', "");
Expect(0, 66383, '\P{	-In-gothic}', "");
Expect(1, 66383, '\P{^	-In-gothic}', "");
Expect(0, 66351, '\p{	-In-gothic}', "");
Expect(1, 66351, '\p{^	-In-gothic}', "");
Expect(1, 66351, '\P{	-In-gothic}', "");
Expect(0, 66351, '\P{^	-In-gothic}', "");
Error('\p{ :=mark}');
Error('\P{ :=mark}');
Expect(1, 879, '\p{mark}', "");
Expect(0, 879, '\p{^mark}', "");
Expect(0, 879, '\P{mark}', "");
Expect(1, 879, '\P{^mark}', "");
Expect(0, 767, '\p{mark}', "");
Expect(1, 767, '\p{^mark}', "");
Expect(1, 767, '\P{mark}', "");
Expect(0, 767, '\P{^mark}', "");
Expect(1, 879, '\p{	 MARK}', "");
Expect(0, 879, '\p{^	 MARK}', "");
Expect(0, 879, '\P{	 MARK}', "");
Expect(1, 879, '\P{^	 MARK}', "");
Expect(0, 767, '\p{	 MARK}', "");
Expect(1, 767, '\p{^	 MARK}', "");
Expect(1, 767, '\P{	 MARK}', "");
Expect(0, 767, '\P{^	 MARK}', "");
Error('\p{_ Is/a/mark}');
Error('\P{_ Is/a/mark}');
Expect(1, 879, '\p{ismark}', "");
Expect(0, 879, '\p{^ismark}', "");
Expect(0, 879, '\P{ismark}', "");
Expect(1, 879, '\P{^ismark}', "");
Expect(0, 767, '\p{ismark}', "");
Expect(1, 767, '\p{^ismark}', "");
Expect(1, 767, '\P{ismark}', "");
Expect(0, 767, '\P{^ismark}', "");
Expect(1, 879, '\p{_is	Mark}', "");
Expect(0, 879, '\p{^_is	Mark}', "");
Expect(0, 879, '\P{_is	Mark}', "");
Expect(1, 879, '\P{^_is	Mark}', "");
Expect(0, 767, '\p{_is	Mark}', "");
Expect(1, 767, '\p{^_is	Mark}', "");
Expect(1, 767, '\P{_is	Mark}', "");
Expect(0, 767, '\P{^_is	Mark}', "");
Error('\p{/a/-_M}');
Error('\P{/a/-_M}');
Expect(1, 879, '\p{m}', "");
Expect(0, 879, '\p{^m}', "");
Expect(0, 879, '\P{m}', "");
Expect(1, 879, '\P{^m}', "");
Expect(0, 767, '\p{m}', "");
Expect(1, 767, '\p{^m}', "");
Expect(1, 767, '\P{m}', "");
Expect(0, 767, '\P{^m}', "");
Expect(1, 879, '\p{_ M}', "");
Expect(0, 879, '\p{^_ M}', "");
Expect(0, 879, '\P{_ M}', "");
Expect(1, 879, '\P{^_ M}', "");
Expect(0, 767, '\p{_ M}', "");
Expect(1, 767, '\p{^_ M}', "");
Expect(1, 767, '\P{_ M}', "");
Expect(0, 767, '\P{^_ M}', "");
Error('\p{Is	M:=}');
Error('\P{Is	M:=}');
Expect(1, 879, '\p{ism}', "");
Expect(0, 879, '\p{^ism}', "");
Expect(0, 879, '\P{ism}', "");
Expect(1, 879, '\P{^ism}', "");
Expect(0, 767, '\p{ism}', "");
Expect(1, 767, '\p{^ism}', "");
Expect(1, 767, '\P{ism}', "");
Expect(0, 767, '\P{^ism}', "");
Expect(1, 879, '\p{_IS_M}', "");
Expect(0, 879, '\p{^_IS_M}', "");
Expect(0, 879, '\P{_IS_M}', "");
Expect(1, 879, '\P{^_IS_M}', "");
Expect(0, 767, '\p{_IS_M}', "");
Expect(1, 767, '\p{^_IS_M}', "");
Expect(1, 767, '\P{_IS_M}', "");
Expect(0, 767, '\P{^_IS_M}', "");
Error('\p{:= Hangul_Syllables}');
Error('\P{:= Hangul_Syllables}');
Expect(1, 55215, '\p{hangulsyllables}', "");
Expect(0, 55215, '\p{^hangulsyllables}', "");
Expect(0, 55215, '\P{hangulsyllables}', "");
Expect(1, 55215, '\P{^hangulsyllables}', "");
Expect(0, 44031, '\p{hangulsyllables}', "");
Expect(1, 44031, '\p{^hangulsyllables}', "");
Expect(1, 44031, '\P{hangulsyllables}', "");
Expect(0, 44031, '\P{^hangulsyllables}', "");
Expect(1, 55215, '\p{-	HANGUL-syllables}', "");
Expect(0, 55215, '\p{^-	HANGUL-syllables}', "");
Expect(0, 55215, '\P{-	HANGUL-syllables}', "");
Expect(1, 55215, '\P{^-	HANGUL-syllables}', "");
Expect(0, 44031, '\p{-	HANGUL-syllables}', "");
Expect(1, 44031, '\p{^-	HANGUL-syllables}', "");
Expect(1, 44031, '\P{-	HANGUL-syllables}', "");
Expect(0, 44031, '\P{^-	HANGUL-syllables}', "");
Error('\p{	:=is-HANGUL_syllables}');
Error('\P{	:=is-HANGUL_syllables}');
Expect(1, 55215, '\p{ishangulsyllables}', "");
Expect(0, 55215, '\p{^ishangulsyllables}', "");
Expect(0, 55215, '\P{ishangulsyllables}', "");
Expect(1, 55215, '\P{^ishangulsyllables}', "");
Expect(0, 44031, '\p{ishangulsyllables}', "");
Expect(1, 44031, '\p{^ishangulsyllables}', "");
Expect(1, 44031, '\P{ishangulsyllables}', "");
Expect(0, 44031, '\P{^ishangulsyllables}', "");
Expect(1, 55215, '\p{	Is-Hangul	Syllables}', "");
Expect(0, 55215, '\p{^	Is-Hangul	Syllables}', "");
Expect(0, 55215, '\P{	Is-Hangul	Syllables}', "");
Expect(1, 55215, '\P{^	Is-Hangul	Syllables}', "");
Expect(0, 44031, '\p{	Is-Hangul	Syllables}', "");
Expect(1, 44031, '\p{^	Is-Hangul	Syllables}', "");
Expect(1, 44031, '\P{	Is-Hangul	Syllables}', "");
Expect(0, 44031, '\P{^	Is-Hangul	Syllables}', "");
Error('\p{ _In/a/hangul SYLLABLES}');
Error('\P{ _In/a/hangul SYLLABLES}');
Expect(1, 55215, '\p{inhangulsyllables}', "");
Expect(0, 55215, '\p{^inhangulsyllables}', "");
Expect(0, 55215, '\P{inhangulsyllables}', "");
Expect(1, 55215, '\P{^inhangulsyllables}', "");
Expect(0, 44031, '\p{inhangulsyllables}', "");
Expect(1, 44031, '\p{^inhangulsyllables}', "");
Expect(1, 44031, '\P{inhangulsyllables}', "");
Expect(0, 44031, '\P{^inhangulsyllables}', "");
Expect(1, 55215, '\p{-_IN HANGUL syllables}', "");
Expect(0, 55215, '\p{^-_IN HANGUL syllables}', "");
Expect(0, 55215, '\P{-_IN HANGUL syllables}', "");
Expect(1, 55215, '\P{^-_IN HANGUL syllables}', "");
Expect(0, 44031, '\p{-_IN HANGUL syllables}', "");
Expect(1, 44031, '\p{^-_IN HANGUL syllables}', "");
Expect(1, 44031, '\P{-_IN HANGUL syllables}', "");
Expect(0, 44031, '\P{^-_IN HANGUL syllables}', "");
Error('\p{:=-Space}');
Error('\P{:=-Space}');
Expect(1, 13, '\p{space}', "");
Expect(0, 13, '\p{^space}', "");
Expect(0, 13, '\P{space}', "");
Expect(1, 13, '\P{^space}', "");
Expect(0, 8, '\p{space}', "");
Expect(1, 8, '\p{^space}', "");
Expect(1, 8, '\P{space}', "");
Expect(0, 8, '\P{^space}', "");
Expect(1, 13, '\p{_ Space}', "");
Expect(0, 13, '\p{^_ Space}', "");
Expect(0, 13, '\P{_ Space}', "");
Expect(1, 13, '\P{^_ Space}', "");
Expect(0, 8, '\p{_ Space}', "");
Expect(1, 8, '\p{^_ Space}', "");
Expect(1, 8, '\P{_ Space}', "");
Expect(0, 8, '\P{^_ Space}', "");
Error('\p{:=_-IsSpace}');
Error('\P{:=_-IsSpace}');
Expect(1, 13, '\p{isspace}', "");
Expect(0, 13, '\p{^isspace}', "");
Expect(0, 13, '\P{isspace}', "");
Expect(1, 13, '\P{^isspace}', "");
Expect(0, 8, '\p{isspace}', "");
Expect(1, 8, '\p{^isspace}', "");
Expect(1, 8, '\P{isspace}', "");
Expect(0, 8, '\P{^isspace}', "");
Expect(1, 13, '\p{_-Is_space}', "");
Expect(0, 13, '\p{^_-Is_space}', "");
Expect(0, 13, '\P{_-Is_space}', "");
Expect(1, 13, '\P{^_-Is_space}', "");
Expect(0, 8, '\p{_-Is_space}', "");
Expect(1, 8, '\p{^_-Is_space}', "");
Expect(1, 8, '\P{_-Is_space}', "");
Expect(0, 8, '\P{^_-Is_space}', "");
Error('\p{-	in-telugu:=}');
Error('\P{-	in-telugu:=}');
Expect(1, 3199, '\p{intelugu}', "");
Expect(0, 3199, '\p{^intelugu}', "");
Expect(0, 3199, '\P{intelugu}', "");
Expect(1, 3199, '\P{^intelugu}', "");
Expect(0, 3071, '\p{intelugu}', "");
Expect(1, 3071, '\p{^intelugu}', "");
Expect(1, 3071, '\P{intelugu}', "");
Expect(0, 3071, '\P{^intelugu}', "");
Expect(1, 3199, '\p{  In_Telugu}', "");
Expect(0, 3199, '\p{^  In_Telugu}', "");
Expect(0, 3199, '\P{  In_Telugu}', "");
Expect(1, 3199, '\P{^  In_Telugu}', "");
Expect(0, 3071, '\p{  In_Telugu}', "");
Expect(1, 3071, '\p{^  In_Telugu}', "");
Expect(1, 3071, '\P{  In_Telugu}', "");
Expect(0, 3071, '\P{^  In_Telugu}', "");
Error('\p{	/a/CJK	UNIFIED_ideographs-Extension_B}');
Error('\P{	/a/CJK	UNIFIED_ideographs-Extension_B}');
Expect(1, 173791, '\p{cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^cjkunifiedideographsextensionb}', "");
Expect(0, 1, '\p{cjkunifiedideographsextensionb}', "");
Expect(1, 1, '\p{^cjkunifiedideographsextensionb}', "");
Expect(1, 1, '\P{cjkunifiedideographsextensionb}', "");
Expect(0, 1, '\P{^cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{-CJK	Unified	IDEOGRAPHS_EXTENSION B}', "");
Expect(0, 173791, '\p{^-CJK	Unified	IDEOGRAPHS_EXTENSION B}', "");
Expect(0, 173791, '\P{-CJK	Unified	IDEOGRAPHS_EXTENSION B}', "");
Expect(1, 173791, '\P{^-CJK	Unified	IDEOGRAPHS_EXTENSION B}', "");
Expect(0, 1, '\p{-CJK	Unified	IDEOGRAPHS_EXTENSION B}', "");
Expect(1, 1, '\p{^-CJK	Unified	IDEOGRAPHS_EXTENSION B}', "");
Expect(1, 1, '\P{-CJK	Unified	IDEOGRAPHS_EXTENSION B}', "");
Expect(0, 1, '\P{^-CJK	Unified	IDEOGRAPHS_EXTENSION B}', "");
Error('\p{Is/a/CJK-Unified	Ideographs_ExtensionB}');
Error('\P{Is/a/CJK-Unified	Ideographs_ExtensionB}');
Expect(1, 173791, '\p{iscjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^iscjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{iscjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^iscjkunifiedideographsextensionb}', "");
Expect(0, 1, '\p{iscjkunifiedideographsextensionb}', "");
Expect(1, 1, '\p{^iscjkunifiedideographsextensionb}', "");
Expect(1, 1, '\P{iscjkunifiedideographsextensionb}', "");
Expect(0, 1, '\P{^iscjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{ -is-CJK	Unified	Ideographs-extensionB}', "");
Expect(0, 173791, '\p{^ -is-CJK	Unified	Ideographs-extensionB}', "");
Expect(0, 173791, '\P{ -is-CJK	Unified	Ideographs-extensionB}', "");
Expect(1, 173791, '\P{^ -is-CJK	Unified	Ideographs-extensionB}', "");
Expect(0, 1, '\p{ -is-CJK	Unified	Ideographs-extensionB}', "");
Expect(1, 1, '\p{^ -is-CJK	Unified	Ideographs-extensionB}', "");
Expect(1, 1, '\P{ -is-CJK	Unified	Ideographs-extensionB}', "");
Expect(0, 1, '\P{^ -is-CJK	Unified	Ideographs-extensionB}', "");
Error('\p{		IN-cjkUnified:=ideographs_Extension	b}');
Error('\P{		IN-cjkUnified:=ideographs_Extension	b}');
Expect(1, 173791, '\p{incjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^incjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{incjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^incjkunifiedideographsextensionb}', "");
Expect(0, 1, '\p{incjkunifiedideographsextensionb}', "");
Expect(1, 1, '\p{^incjkunifiedideographsextensionb}', "");
Expect(1, 1, '\P{incjkunifiedideographsextensionb}', "");
Expect(0, 1, '\P{^incjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{	-in	CJK-UNIFIED	IdeographsEXTENSION-B}', "");
Expect(0, 173791, '\p{^	-in	CJK-UNIFIED	IdeographsEXTENSION-B}', "");
Expect(0, 173791, '\P{	-in	CJK-UNIFIED	IdeographsEXTENSION-B}', "");
Expect(1, 173791, '\P{^	-in	CJK-UNIFIED	IdeographsEXTENSION-B}', "");
Expect(0, 1, '\p{	-in	CJK-UNIFIED	IdeographsEXTENSION-B}', "");
Expect(1, 1, '\p{^	-in	CJK-UNIFIED	IdeographsEXTENSION-B}', "");
Expect(1, 1, '\P{	-in	CJK-UNIFIED	IdeographsEXTENSION-B}', "");
Expect(0, 1, '\P{^	-in	CJK-UNIFIED	IdeographsEXTENSION-B}', "");
Error('\p{/a/ 	in_Tai	viet}');
Error('\P{/a/ 	in_Tai	viet}');
Expect(1, 43743, '\p{intaiviet}', "");
Expect(0, 43743, '\p{^intaiviet}', "");
Expect(0, 43743, '\P{intaiviet}', "");
Expect(1, 43743, '\P{^intaiviet}', "");
Expect(0, 43647, '\p{intaiviet}', "");
Expect(1, 43647, '\p{^intaiviet}', "");
Expect(1, 43647, '\P{intaiviet}', "");
Expect(0, 43647, '\P{^intaiviet}', "");
Expect(1, 43743, '\p{--INTai-Viet}', "");
Expect(0, 43743, '\p{^--INTai-Viet}', "");
Expect(0, 43743, '\P{--INTai-Viet}', "");
Expect(1, 43743, '\P{^--INTai-Viet}', "");
Expect(0, 43647, '\p{--INTai-Viet}', "");
Expect(1, 43647, '\p{^--INTai-Viet}', "");
Expect(1, 43647, '\P{--INTai-Viet}', "");
Expect(0, 43647, '\P{^--INTai-Viet}', "");
Error('\p{ 	InSyloti/a/Nagri}');
Error('\P{ 	InSyloti/a/Nagri}');
Expect(1, 43055, '\p{insylotinagri}', "");
Expect(0, 43055, '\p{^insylotinagri}', "");
Expect(0, 43055, '\P{insylotinagri}', "");
Expect(1, 43055, '\P{^insylotinagri}', "");
Expect(0, 43007, '\p{insylotinagri}', "");
Expect(1, 43007, '\p{^insylotinagri}', "");
Expect(1, 43007, '\P{insylotinagri}', "");
Expect(0, 43007, '\P{^insylotinagri}', "");
Expect(1, 43055, '\p{InSyloti-NAGRI}', "");
Expect(0, 43055, '\p{^InSyloti-NAGRI}', "");
Expect(0, 43055, '\P{InSyloti-NAGRI}', "");
Expect(1, 43055, '\P{^InSyloti-NAGRI}', "");
Expect(0, 43007, '\p{InSyloti-NAGRI}', "");
Expect(1, 43007, '\p{^InSyloti-NAGRI}', "");
Expect(1, 43007, '\P{InSyloti-NAGRI}', "");
Expect(0, 43007, '\P{^InSyloti-NAGRI}', "");
Error('\p{_	Cuneiform	NUMBERS_And:=Punctuation}');
Error('\P{_	Cuneiform	NUMBERS_And:=Punctuation}');
Expect(1, 74879, '\p{cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^cuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\p{cuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\p{^cuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\P{cuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\P{^cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{  CUNEIFORMNumbers AndPunctuation}', "");
Expect(0, 74879, '\p{^  CUNEIFORMNumbers AndPunctuation}', "");
Expect(0, 74879, '\P{  CUNEIFORMNumbers AndPunctuation}', "");
Expect(1, 74879, '\P{^  CUNEIFORMNumbers AndPunctuation}', "");
Expect(0, 74751, '\p{  CUNEIFORMNumbers AndPunctuation}', "");
Expect(1, 74751, '\p{^  CUNEIFORMNumbers AndPunctuation}', "");
Expect(1, 74751, '\P{  CUNEIFORMNumbers AndPunctuation}', "");
Expect(0, 74751, '\P{^  CUNEIFORMNumbers AndPunctuation}', "");
Error('\p{/a/Is CuneiformNumbers_And-PUNCTUATION}');
Error('\P{/a/Is CuneiformNumbers_And-PUNCTUATION}');
Expect(1, 74879, '\p{iscuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^iscuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{iscuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^iscuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\p{iscuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\p{^iscuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\P{iscuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\P{^iscuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{	IS	CUNEIFORM	Numbers	And	Punctuation}', "");
Expect(0, 74879, '\p{^	IS	CUNEIFORM	Numbers	And	Punctuation}', "");
Expect(0, 74879, '\P{	IS	CUNEIFORM	Numbers	And	Punctuation}', "");
Expect(1, 74879, '\P{^	IS	CUNEIFORM	Numbers	And	Punctuation}', "");
Expect(0, 74751, '\p{	IS	CUNEIFORM	Numbers	And	Punctuation}', "");
Expect(1, 74751, '\p{^	IS	CUNEIFORM	Numbers	And	Punctuation}', "");
Expect(1, 74751, '\P{	IS	CUNEIFORM	Numbers	And	Punctuation}', "");
Expect(0, 74751, '\P{^	IS	CUNEIFORM	Numbers	And	Punctuation}', "");
Error('\p{/a/IN	cuneiform_numbers AND Punctuation}');
Error('\P{/a/IN	cuneiform_numbers AND Punctuation}');
Expect(1, 74879, '\p{incuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^incuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{incuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^incuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\p{incuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\p{^incuneiformnumbersandpunctuation}', "");
Expect(1, 74751, '\P{incuneiformnumbersandpunctuation}', "");
Expect(0, 74751, '\P{^incuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{ In-CuneiformNumbers AndPunctuation}', "");
Expect(0, 74879, '\p{^ In-CuneiformNumbers AndPunctuation}', "");
Expect(0, 74879, '\P{ In-CuneiformNumbers AndPunctuation}', "");
Expect(1, 74879, '\P{^ In-CuneiformNumbers AndPunctuation}', "");
Expect(0, 74751, '\p{ In-CuneiformNumbers AndPunctuation}', "");
Expect(1, 74751, '\p{^ In-CuneiformNumbers AndPunctuation}', "");
Expect(1, 74751, '\P{ In-CuneiformNumbers AndPunctuation}', "");
Expect(0, 74751, '\P{^ In-CuneiformNumbers AndPunctuation}', "");
Error('\p{- Kaithi:=}');
Error('\P{- Kaithi:=}');
Expect(1, 69825, '\p{kaithi}', "");
Expect(0, 69825, '\p{^kaithi}', "");
Expect(0, 69825, '\P{kaithi}', "");
Expect(1, 69825, '\P{^kaithi}', "");
Expect(0, 69759, '\p{kaithi}', "");
Expect(1, 69759, '\p{^kaithi}', "");
Expect(1, 69759, '\P{kaithi}', "");
Expect(0, 69759, '\P{^kaithi}', "");
Expect(1, 69825, '\p{-kaithi}', "");
Expect(0, 69825, '\p{^-kaithi}', "");
Expect(0, 69825, '\P{-kaithi}', "");
Expect(1, 69825, '\P{^-kaithi}', "");
Expect(0, 69759, '\p{-kaithi}', "");
Expect(1, 69759, '\p{^-kaithi}', "");
Expect(1, 69759, '\P{-kaithi}', "");
Expect(0, 69759, '\P{^-kaithi}', "");
Error('\p{-_IS/a/KAITHI}');
Error('\P{-_IS/a/KAITHI}');
Expect(1, 69825, '\p{iskaithi}', "");
Expect(0, 69825, '\p{^iskaithi}', "");
Expect(0, 69825, '\P{iskaithi}', "");
Expect(1, 69825, '\P{^iskaithi}', "");
Expect(0, 69759, '\p{iskaithi}', "");
Expect(1, 69759, '\p{^iskaithi}', "");
Expect(1, 69759, '\P{iskaithi}', "");
Expect(0, 69759, '\P{^iskaithi}', "");
Expect(1, 69825, '\p{- Is kaithi}', "");
Expect(0, 69825, '\p{^- Is kaithi}', "");
Expect(0, 69825, '\P{- Is kaithi}', "");
Expect(1, 69825, '\P{^- Is kaithi}', "");
Expect(0, 69759, '\p{- Is kaithi}', "");
Expect(1, 69759, '\p{^- Is kaithi}', "");
Expect(1, 69759, '\P{- Is kaithi}', "");
Expect(0, 69759, '\P{^- Is kaithi}', "");
Error('\p{ /a/Kthi}');
Error('\P{ /a/Kthi}');
Expect(1, 69825, '\p{kthi}', "");
Expect(0, 69825, '\p{^kthi}', "");
Expect(0, 69825, '\P{kthi}', "");
Expect(1, 69825, '\P{^kthi}', "");
Expect(0, 69759, '\p{kthi}', "");
Expect(1, 69759, '\p{^kthi}', "");
Expect(1, 69759, '\P{kthi}', "");
Expect(0, 69759, '\P{^kthi}', "");
Expect(1, 69825, '\p{	_Kthi}', "");
Expect(0, 69825, '\p{^	_Kthi}', "");
Expect(0, 69825, '\P{	_Kthi}', "");
Expect(1, 69825, '\P{^	_Kthi}', "");
Expect(0, 69759, '\p{	_Kthi}', "");
Expect(1, 69759, '\p{^	_Kthi}', "");
Expect(1, 69759, '\P{	_Kthi}', "");
Expect(0, 69759, '\P{^	_Kthi}', "");
Error('\p{-	Is/a/Kthi}');
Error('\P{-	Is/a/Kthi}');
Expect(1, 69825, '\p{iskthi}', "");
Expect(0, 69825, '\p{^iskthi}', "");
Expect(0, 69825, '\P{iskthi}', "");
Expect(1, 69825, '\P{^iskthi}', "");
Expect(0, 69759, '\p{iskthi}', "");
Expect(1, 69759, '\p{^iskthi}', "");
Expect(1, 69759, '\P{iskthi}', "");
Expect(0, 69759, '\P{^iskthi}', "");
Expect(1, 69825, '\p{-Is-Kthi}', "");
Expect(0, 69825, '\p{^-Is-Kthi}', "");
Expect(0, 69825, '\P{-Is-Kthi}', "");
Expect(1, 69825, '\P{^-Is-Kthi}', "");
Expect(0, 69759, '\p{-Is-Kthi}', "");
Expect(1, 69759, '\p{^-Is-Kthi}', "");
Expect(1, 69759, '\P{-Is-Kthi}', "");
Expect(0, 69759, '\P{^-Is-Kthi}', "");
Error('\p{_-IN:=OLD_Italic}');
Error('\P{_-IN:=OLD_Italic}');
Expect(1, 66351, '\p{inolditalic}', "");
Expect(0, 66351, '\p{^inolditalic}', "");
Expect(0, 66351, '\P{inolditalic}', "");
Expect(1, 66351, '\P{^inolditalic}', "");
Expect(0, 66303, '\p{inolditalic}', "");
Expect(1, 66303, '\p{^inolditalic}', "");
Expect(1, 66303, '\P{inolditalic}', "");
Expect(0, 66303, '\P{^inolditalic}', "");
Expect(1, 66351, '\p{ in-Old-Italic}', "");
Expect(0, 66351, '\p{^ in-Old-Italic}', "");
Expect(0, 66351, '\P{ in-Old-Italic}', "");
Expect(1, 66351, '\P{^ in-Old-Italic}', "");
Expect(0, 66303, '\p{ in-Old-Italic}', "");
Expect(1, 66303, '\p{^ in-Old-Italic}', "");
Expect(1, 66303, '\P{ in-Old-Italic}', "");
Expect(0, 66303, '\P{^ in-Old-Italic}', "");
Error('\p{-	in/a/Avestan}');
Error('\P{-	in/a/Avestan}');
Expect(1, 68415, '\p{inavestan}', "");
Expect(0, 68415, '\p{^inavestan}', "");
Expect(0, 68415, '\P{inavestan}', "");
Expect(1, 68415, '\P{^inavestan}', "");
Expect(0, 68351, '\p{inavestan}', "");
Expect(1, 68351, '\p{^inavestan}', "");
Expect(1, 68351, '\P{inavestan}', "");
Expect(0, 68351, '\P{^inavestan}', "");
Expect(1, 68415, '\p{ _In AVESTAN}', "");
Expect(0, 68415, '\p{^ _In AVESTAN}', "");
Expect(0, 68415, '\P{ _In AVESTAN}', "");
Expect(1, 68415, '\P{^ _In AVESTAN}', "");
Expect(0, 68351, '\p{ _In AVESTAN}', "");
Expect(1, 68351, '\p{^ _In AVESTAN}', "");
Expect(1, 68351, '\P{ _In AVESTAN}', "");
Expect(0, 68351, '\P{^ _In AVESTAN}', "");
Error('\p{-/a/Miscellaneous	SYMBOLS}');
Error('\P{-/a/Miscellaneous	SYMBOLS}');
Expect(1, 9983, '\p{miscellaneoussymbols}', "");
Expect(0, 9983, '\p{^miscellaneoussymbols}', "");
Expect(0, 9983, '\P{miscellaneoussymbols}', "");
Expect(1, 9983, '\P{^miscellaneoussymbols}', "");
Expect(0, 9727, '\p{miscellaneoussymbols}', "");
Expect(1, 9727, '\p{^miscellaneoussymbols}', "");
Expect(1, 9727, '\P{miscellaneoussymbols}', "");
Expect(0, 9727, '\P{^miscellaneoussymbols}', "");
Expect(1, 9983, '\p{	miscellaneous-Symbols}', "");
Expect(0, 9983, '\p{^	miscellaneous-Symbols}', "");
Expect(0, 9983, '\P{	miscellaneous-Symbols}', "");
Expect(1, 9983, '\P{^	miscellaneous-Symbols}', "");
Expect(0, 9727, '\p{	miscellaneous-Symbols}', "");
Expect(1, 9727, '\p{^	miscellaneous-Symbols}', "");
Expect(1, 9727, '\P{	miscellaneous-Symbols}', "");
Expect(0, 9727, '\P{^	miscellaneous-Symbols}', "");
Error('\p{ IsMiscellaneous:=symbols}');
Error('\P{ IsMiscellaneous:=symbols}');
Expect(1, 9983, '\p{ismiscellaneoussymbols}', "");
Expect(0, 9983, '\p{^ismiscellaneoussymbols}', "");
Expect(0, 9983, '\P{ismiscellaneoussymbols}', "");
Expect(1, 9983, '\P{^ismiscellaneoussymbols}', "");
Expect(0, 9727, '\p{ismiscellaneoussymbols}', "");
Expect(1, 9727, '\p{^ismiscellaneoussymbols}', "");
Expect(1, 9727, '\P{ismiscellaneoussymbols}', "");
Expect(0, 9727, '\P{^ismiscellaneoussymbols}', "");
Expect(1, 9983, '\p{- is-MISCELLANEOUS-symbols}', "");
Expect(0, 9983, '\p{^- is-MISCELLANEOUS-symbols}', "");
Expect(0, 9983, '\P{- is-MISCELLANEOUS-symbols}', "");
Expect(1, 9983, '\P{^- is-MISCELLANEOUS-symbols}', "");
Expect(0, 9727, '\p{- is-MISCELLANEOUS-symbols}', "");
Expect(1, 9727, '\p{^- is-MISCELLANEOUS-symbols}', "");
Expect(1, 9727, '\P{- is-MISCELLANEOUS-symbols}', "");
Expect(0, 9727, '\P{^- is-MISCELLANEOUS-symbols}', "");
Error('\p{-/a/inmiscellaneoussymbols}');
Error('\P{-/a/inmiscellaneoussymbols}');
Expect(1, 9983, '\p{inmiscellaneoussymbols}', "");
Expect(0, 9983, '\p{^inmiscellaneoussymbols}', "");
Expect(0, 9983, '\P{inmiscellaneoussymbols}', "");
Expect(1, 9983, '\P{^inmiscellaneoussymbols}', "");
Expect(0, 9727, '\p{inmiscellaneoussymbols}', "");
Expect(1, 9727, '\p{^inmiscellaneoussymbols}', "");
Expect(1, 9727, '\P{inmiscellaneoussymbols}', "");
Expect(0, 9727, '\P{^inmiscellaneoussymbols}', "");
Expect(1, 9983, '\p{_	In-miscellaneous-symbols}', "");
Expect(0, 9983, '\p{^_	In-miscellaneous-symbols}', "");
Expect(0, 9983, '\P{_	In-miscellaneous-symbols}', "");
Expect(1, 9983, '\P{^_	In-miscellaneous-symbols}', "");
Expect(0, 9727, '\p{_	In-miscellaneous-symbols}', "");
Expect(1, 9727, '\p{^_	In-miscellaneous-symbols}', "");
Expect(1, 9727, '\P{_	In-miscellaneous-symbols}', "");
Expect(0, 9727, '\P{^_	In-miscellaneous-symbols}', "");
Error('\p{	/a/in Javanese}');
Error('\P{	/a/in Javanese}');
Expect(1, 43487, '\p{injavanese}', "");
Expect(0, 43487, '\p{^injavanese}', "");
Expect(0, 43487, '\P{injavanese}', "");
Expect(1, 43487, '\P{^injavanese}', "");
Expect(0, 43391, '\p{injavanese}', "");
Expect(1, 43391, '\p{^injavanese}', "");
Expect(1, 43391, '\P{injavanese}', "");
Expect(0, 43391, '\P{^injavanese}', "");
Expect(1, 43487, '\p{-IN JAVANESE}', "");
Expect(0, 43487, '\p{^-IN JAVANESE}', "");
Expect(0, 43487, '\P{-IN JAVANESE}', "");
Expect(1, 43487, '\P{^-IN JAVANESE}', "");
Expect(0, 43391, '\p{-IN JAVANESE}', "");
Expect(1, 43391, '\p{^-IN JAVANESE}', "");
Expect(1, 43391, '\P{-IN JAVANESE}', "");
Expect(0, 43391, '\P{^-IN JAVANESE}', "");
Error('\p{/a/ posixalnum}');
Error('\P{/a/ posixalnum}');
Expect(1, 57, '\p{posixalnum}', "");
Expect(0, 57, '\p{^posixalnum}', "");
Expect(0, 57, '\P{posixalnum}', "");
Expect(1, 57, '\P{^posixalnum}', "");
Expect(0, 47, '\p{posixalnum}', "");
Expect(1, 47, '\p{^posixalnum}', "");
Expect(1, 47, '\P{posixalnum}', "");
Expect(0, 47, '\P{^posixalnum}', "");
Expect(1, 57, '\p{_	PosixAlnum}', "");
Expect(0, 57, '\p{^_	PosixAlnum}', "");
Expect(0, 57, '\P{_	PosixAlnum}', "");
Expect(1, 57, '\P{^_	PosixAlnum}', "");
Expect(0, 47, '\p{_	PosixAlnum}', "");
Expect(1, 47, '\p{^_	PosixAlnum}', "");
Expect(1, 47, '\P{_	PosixAlnum}', "");
Expect(0, 47, '\P{^_	PosixAlnum}', "");
Error('\p{/a/_-isPosixAlnum}');
Error('\P{/a/_-isPosixAlnum}');
Expect(1, 57, '\p{isposixalnum}', "");
Expect(0, 57, '\p{^isposixalnum}', "");
Expect(0, 57, '\P{isposixalnum}', "");
Expect(1, 57, '\P{^isposixalnum}', "");
Expect(0, 47, '\p{isposixalnum}', "");
Expect(1, 47, '\p{^isposixalnum}', "");
Expect(1, 47, '\P{isposixalnum}', "");
Expect(0, 47, '\P{^isposixalnum}', "");
Expect(1, 57, '\p{		is PosixAlnum}', "");
Expect(0, 57, '\p{^		is PosixAlnum}', "");
Expect(0, 57, '\P{		is PosixAlnum}', "");
Expect(1, 57, '\P{^		is PosixAlnum}', "");
Expect(0, 47, '\p{		is PosixAlnum}', "");
Expect(1, 47, '\p{^		is PosixAlnum}', "");
Expect(1, 47, '\P{		is PosixAlnum}', "");
Expect(0, 47, '\P{^		is PosixAlnum}', "");
Error('\p{:= arabic	Supplement}');
Error('\P{:= arabic	Supplement}');
Expect(1, 1919, '\p{arabicsupplement}', "");
Expect(0, 1919, '\p{^arabicsupplement}', "");
Expect(0, 1919, '\P{arabicsupplement}', "");
Expect(1, 1919, '\P{^arabicsupplement}', "");
Expect(0, 1871, '\p{arabicsupplement}', "");
Expect(1, 1871, '\p{^arabicsupplement}', "");
Expect(1, 1871, '\P{arabicsupplement}', "");
Expect(0, 1871, '\P{^arabicsupplement}', "");
Expect(1, 1919, '\p{_	Arabic-Supplement}', "");
Expect(0, 1919, '\p{^_	Arabic-Supplement}', "");
Expect(0, 1919, '\P{_	Arabic-Supplement}', "");
Expect(1, 1919, '\P{^_	Arabic-Supplement}', "");
Expect(0, 1871, '\p{_	Arabic-Supplement}', "");
Expect(1, 1871, '\p{^_	Arabic-Supplement}', "");
Expect(1, 1871, '\P{_	Arabic-Supplement}', "");
Expect(0, 1871, '\P{^_	Arabic-Supplement}', "");
Error('\p{:=_	IS-ARABICSupplement}');
Error('\P{:=_	IS-ARABICSupplement}');
Expect(1, 1919, '\p{isarabicsupplement}', "");
Expect(0, 1919, '\p{^isarabicsupplement}', "");
Expect(0, 1919, '\P{isarabicsupplement}', "");
Expect(1, 1919, '\P{^isarabicsupplement}', "");
Expect(0, 1871, '\p{isarabicsupplement}', "");
Expect(1, 1871, '\p{^isarabicsupplement}', "");
Expect(1, 1871, '\P{isarabicsupplement}', "");
Expect(0, 1871, '\P{^isarabicsupplement}', "");
Expect(1, 1919, '\p{isarabic-SUPPLEMENT}', "");
Expect(0, 1919, '\p{^isarabic-SUPPLEMENT}', "");
Expect(0, 1919, '\P{isarabic-SUPPLEMENT}', "");
Expect(1, 1919, '\P{^isarabic-SUPPLEMENT}', "");
Expect(0, 1871, '\p{isarabic-SUPPLEMENT}', "");
Expect(1, 1871, '\p{^isarabic-SUPPLEMENT}', "");
Expect(1, 1871, '\P{isarabic-SUPPLEMENT}', "");
Expect(0, 1871, '\P{^isarabic-SUPPLEMENT}', "");
Error('\p{- INArabic:=Supplement}');
Error('\P{- INArabic:=Supplement}');
Expect(1, 1919, '\p{inarabicsupplement}', "");
Expect(0, 1919, '\p{^inarabicsupplement}', "");
Expect(0, 1919, '\P{inarabicsupplement}', "");
Expect(1, 1919, '\P{^inarabicsupplement}', "");
Expect(0, 1871, '\p{inarabicsupplement}', "");
Expect(1, 1871, '\p{^inarabicsupplement}', "");
Expect(1, 1871, '\P{inarabicsupplement}', "");
Expect(0, 1871, '\P{^inarabicsupplement}', "");
Expect(1, 1919, '\p{	 IN Arabic supplement}', "");
Expect(0, 1919, '\p{^	 IN Arabic supplement}', "");
Expect(0, 1919, '\P{	 IN Arabic supplement}', "");
Expect(1, 1919, '\P{^	 IN Arabic supplement}', "");
Expect(0, 1871, '\p{	 IN Arabic supplement}', "");
Expect(1, 1871, '\p{^	 IN Arabic supplement}', "");
Expect(1, 1871, '\P{	 IN Arabic supplement}', "");
Expect(0, 1871, '\P{^	 IN Arabic supplement}', "");
Error('\p{-CJK	Compatibility	Ideographs/a/supplement}');
Error('\P{-CJK	Compatibility	Ideographs/a/supplement}');
Expect(1, 195103, '\p{cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^cjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\p{cjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\p{^cjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\P{cjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\P{^cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{	CJK-COMPATIBILITY Ideographs_Supplement}', "");
Expect(0, 195103, '\p{^	CJK-COMPATIBILITY Ideographs_Supplement}', "");
Expect(0, 195103, '\P{	CJK-COMPATIBILITY Ideographs_Supplement}', "");
Expect(1, 195103, '\P{^	CJK-COMPATIBILITY Ideographs_Supplement}', "");
Expect(0, 194559, '\p{	CJK-COMPATIBILITY Ideographs_Supplement}', "");
Expect(1, 194559, '\p{^	CJK-COMPATIBILITY Ideographs_Supplement}', "");
Expect(1, 194559, '\P{	CJK-COMPATIBILITY Ideographs_Supplement}', "");
Expect(0, 194559, '\P{^	CJK-COMPATIBILITY Ideographs_Supplement}', "");
Error('\p{ -is CJK:=compatibilityIdeographs-Supplement}');
Error('\P{ -is CJK:=compatibilityIdeographs-Supplement}');
Expect(1, 195103, '\p{iscjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^iscjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{iscjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^iscjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\p{iscjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\p{^iscjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\P{iscjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\P{^iscjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{__IS	CJK	CompatibilityIDEOGRAPHSSupplement}', "");
Expect(0, 195103, '\p{^__IS	CJK	CompatibilityIDEOGRAPHSSupplement}', "");
Expect(0, 195103, '\P{__IS	CJK	CompatibilityIDEOGRAPHSSupplement}', "");
Expect(1, 195103, '\P{^__IS	CJK	CompatibilityIDEOGRAPHSSupplement}', "");
Expect(0, 194559, '\p{__IS	CJK	CompatibilityIDEOGRAPHSSupplement}', "");
Expect(1, 194559, '\p{^__IS	CJK	CompatibilityIDEOGRAPHSSupplement}', "");
Expect(1, 194559, '\P{__IS	CJK	CompatibilityIDEOGRAPHSSupplement}', "");
Expect(0, 194559, '\P{^__IS	CJK	CompatibilityIDEOGRAPHSSupplement}', "");
Error('\p{_in-CJK Compatibility-ideographsSupplement:=}');
Error('\P{_in-CJK Compatibility-ideographsSupplement:=}');
Expect(1, 195103, '\p{incjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^incjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{incjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^incjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\p{incjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\p{^incjkcompatibilityideographssupplement}', "");
Expect(1, 194559, '\P{incjkcompatibilityideographssupplement}', "");
Expect(0, 194559, '\P{^incjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{_	In_CJK-Compatibility-Ideographs_Supplement}', "");
Expect(0, 195103, '\p{^_	In_CJK-Compatibility-Ideographs_Supplement}', "");
Expect(0, 195103, '\P{_	In_CJK-Compatibility-Ideographs_Supplement}', "");
Expect(1, 195103, '\P{^_	In_CJK-Compatibility-Ideographs_Supplement}', "");
Expect(0, 194559, '\p{_	In_CJK-Compatibility-Ideographs_Supplement}', "");
Expect(1, 194559, '\p{^_	In_CJK-Compatibility-Ideographs_Supplement}', "");
Expect(1, 194559, '\P{_	In_CJK-Compatibility-Ideographs_Supplement}', "");
Expect(0, 194559, '\P{^_	In_CJK-Compatibility-Ideographs_Supplement}', "");
Error('\p{--IN:=GURMUKHI}');
Error('\P{--IN:=GURMUKHI}');
Expect(1, 2687, '\p{ingurmukhi}', "");
Expect(0, 2687, '\p{^ingurmukhi}', "");
Expect(0, 2687, '\P{ingurmukhi}', "");
Expect(1, 2687, '\P{^ingurmukhi}', "");
Expect(0, 2559, '\p{ingurmukhi}', "");
Expect(1, 2559, '\p{^ingurmukhi}', "");
Expect(1, 2559, '\P{ingurmukhi}', "");
Expect(0, 2559, '\P{^ingurmukhi}', "");
Expect(1, 2687, '\p{	_In_gurmukhi}', "");
Expect(0, 2687, '\p{^	_In_gurmukhi}', "");
Expect(0, 2687, '\P{	_In_gurmukhi}', "");
Expect(1, 2687, '\P{^	_In_gurmukhi}', "");
Expect(0, 2559, '\p{	_In_gurmukhi}', "");
Expect(1, 2559, '\p{^	_In_gurmukhi}', "");
Expect(1, 2559, '\P{	_In_gurmukhi}', "");
Expect(0, 2559, '\P{^	_In_gurmukhi}', "");
Error('\p{:=-	PHAISTOS	Disc}');
Error('\P{:=-	PHAISTOS	Disc}');
Expect(1, 66047, '\p{phaistosdisc}', "");
Expect(0, 66047, '\p{^phaistosdisc}', "");
Expect(0, 66047, '\P{phaistosdisc}', "");
Expect(1, 66047, '\P{^phaistosdisc}', "");
Expect(0, 65999, '\p{phaistosdisc}', "");
Expect(1, 65999, '\p{^phaistosdisc}', "");
Expect(1, 65999, '\P{phaistosdisc}', "");
Expect(0, 65999, '\P{^phaistosdisc}', "");
Expect(1, 66047, '\p{PhaistosDisc}', "");
Expect(0, 66047, '\p{^PhaistosDisc}', "");
Expect(0, 66047, '\P{PhaistosDisc}', "");
Expect(1, 66047, '\P{^PhaistosDisc}', "");
Expect(0, 65999, '\p{PhaistosDisc}', "");
Expect(1, 65999, '\p{^PhaistosDisc}', "");
Expect(1, 65999, '\P{PhaistosDisc}', "");
Expect(0, 65999, '\P{^PhaistosDisc}', "");
Error('\p{_/a/IS_PhaistosDisc}');
Error('\P{_/a/IS_PhaistosDisc}');
Expect(1, 66047, '\p{isphaistosdisc}', "");
Expect(0, 66047, '\p{^isphaistosdisc}', "");
Expect(0, 66047, '\P{isphaistosdisc}', "");
Expect(1, 66047, '\P{^isphaistosdisc}', "");
Expect(0, 65999, '\p{isphaistosdisc}', "");
Expect(1, 65999, '\p{^isphaistosdisc}', "");
Expect(1, 65999, '\P{isphaistosdisc}', "");
Expect(0, 65999, '\P{^isphaistosdisc}', "");
Expect(1, 66047, '\p{ Is_PhaistosDisc}', "");
Expect(0, 66047, '\p{^ Is_PhaistosDisc}', "");
Expect(0, 66047, '\P{ Is_PhaistosDisc}', "");
Expect(1, 66047, '\P{^ Is_PhaistosDisc}', "");
Expect(0, 65999, '\p{ Is_PhaistosDisc}', "");
Expect(1, 65999, '\p{^ Is_PhaistosDisc}', "");
Expect(1, 65999, '\P{ Is_PhaistosDisc}', "");
Expect(0, 65999, '\P{^ Is_PhaistosDisc}', "");
Error('\p{_/a/Inphaistos disc}');
Error('\P{_/a/Inphaistos disc}');
Expect(1, 66047, '\p{inphaistosdisc}', "");
Expect(0, 66047, '\p{^inphaistosdisc}', "");
Expect(0, 66047, '\P{inphaistosdisc}', "");
Expect(1, 66047, '\P{^inphaistosdisc}', "");
Expect(0, 65999, '\p{inphaistosdisc}', "");
Expect(1, 65999, '\p{^inphaistosdisc}', "");
Expect(1, 65999, '\P{inphaistosdisc}', "");
Expect(0, 65999, '\P{^inphaistosdisc}', "");
Expect(1, 66047, '\p{ 	in	PhaistosDisc}', "");
Expect(0, 66047, '\p{^ 	in	PhaistosDisc}', "");
Expect(0, 66047, '\P{ 	in	PhaistosDisc}', "");
Expect(1, 66047, '\P{^ 	in	PhaistosDisc}', "");
Expect(0, 65999, '\p{ 	in	PhaistosDisc}', "");
Expect(1, 65999, '\p{^ 	in	PhaistosDisc}', "");
Expect(1, 65999, '\P{ 	in	PhaistosDisc}', "");
Expect(0, 65999, '\P{^ 	in	PhaistosDisc}', "");
Error('\p{	 _combabove/a/}');
Error('\P{	 _combabove/a/}');
Expect(1, 788, '\p{_combabove}', "");
Expect(0, 788, '\p{^_combabove}', "");
Expect(0, 788, '\P{_combabove}', "");
Expect(1, 788, '\P{^_combabove}', "");
Expect(0, 767, '\p{_combabove}', "");
Expect(1, 767, '\p{^_combabove}', "");
Expect(1, 767, '\P{_combabove}', "");
Expect(0, 767, '\P{^_combabove}', "");
Error('\p{ Other_ID/a/continue}');
Error('\P{ Other_ID/a/continue}');
Expect(1, 183, '\p{otheridcontinue}', 'deprecated');
Expect(0, 183, '\p{^otheridcontinue}', 'deprecated');
Expect(0, 183, '\P{otheridcontinue}', 'deprecated');
Expect(1, 183, '\P{^otheridcontinue}', 'deprecated');
Expect(0, 182, '\p{otheridcontinue}', 'deprecated');
Expect(1, 182, '\p{^otheridcontinue}', 'deprecated');
Expect(1, 182, '\P{otheridcontinue}', 'deprecated');
Expect(0, 182, '\P{^otheridcontinue}', 'deprecated');
Expect(1, 183, '\p{	 Other-ID_CONTINUE}', 'deprecated');
Expect(0, 183, '\p{^	 Other-ID_CONTINUE}', 'deprecated');
Expect(0, 183, '\P{	 Other-ID_CONTINUE}', 'deprecated');
Expect(1, 183, '\P{^	 Other-ID_CONTINUE}', 'deprecated');
Expect(0, 182, '\p{	 Other-ID_CONTINUE}', 'deprecated');
Expect(1, 182, '\p{^	 Other-ID_CONTINUE}', 'deprecated');
Expect(1, 182, '\P{	 Other-ID_CONTINUE}', 'deprecated');
Expect(0, 182, '\P{^	 Other-ID_CONTINUE}', 'deprecated');
Error('\p{  IS-Other_ID continue:=}');
Error('\P{  IS-Other_ID continue:=}');
Expect(1, 183, '\p{isotheridcontinue}', 'deprecated');
Expect(0, 183, '\p{^isotheridcontinue}', 'deprecated');
Expect(0, 183, '\P{isotheridcontinue}', 'deprecated');
Expect(1, 183, '\P{^isotheridcontinue}', 'deprecated');
Expect(0, 182, '\p{isotheridcontinue}', 'deprecated');
Expect(1, 182, '\p{^isotheridcontinue}', 'deprecated');
Expect(1, 182, '\P{isotheridcontinue}', 'deprecated');
Expect(0, 182, '\P{^isotheridcontinue}', 'deprecated');
Expect(1, 183, '\p{-	is-other ID	Continue}', 'deprecated');
Expect(0, 183, '\p{^-	is-other ID	Continue}', 'deprecated');
Expect(0, 183, '\P{-	is-other ID	Continue}', 'deprecated');
Expect(1, 183, '\P{^-	is-other ID	Continue}', 'deprecated');
Expect(0, 182, '\p{-	is-other ID	Continue}', 'deprecated');
Expect(1, 182, '\p{^-	is-other ID	Continue}', 'deprecated');
Expect(1, 182, '\P{-	is-other ID	Continue}', 'deprecated');
Expect(0, 182, '\P{^-	is-other ID	Continue}', 'deprecated');
Error('\p{_/a/OIDC}');
Error('\P{_/a/OIDC}');
Expect(1, 183, '\p{oidc}', 'deprecated');
Expect(0, 183, '\p{^oidc}', 'deprecated');
Expect(0, 183, '\P{oidc}', 'deprecated');
Expect(1, 183, '\P{^oidc}', 'deprecated');
Expect(0, 182, '\p{oidc}', 'deprecated');
Expect(1, 182, '\p{^oidc}', 'deprecated');
Expect(1, 182, '\P{oidc}', 'deprecated');
Expect(0, 182, '\P{^oidc}', 'deprecated');
Expect(1, 183, '\p{	OIDC}', 'deprecated');
Expect(0, 183, '\p{^	OIDC}', 'deprecated');
Expect(0, 183, '\P{	OIDC}', 'deprecated');
Expect(1, 183, '\P{^	OIDC}', 'deprecated');
Expect(0, 182, '\p{	OIDC}', 'deprecated');
Expect(1, 182, '\p{^	OIDC}', 'deprecated');
Expect(1, 182, '\P{	OIDC}', 'deprecated');
Expect(0, 182, '\P{^	OIDC}', 'deprecated');
Error('\p{ :=is	OIDC}');
Error('\P{ :=is	OIDC}');
Expect(1, 183, '\p{isoidc}', 'deprecated');
Expect(0, 183, '\p{^isoidc}', 'deprecated');
Expect(0, 183, '\P{isoidc}', 'deprecated');
Expect(1, 183, '\P{^isoidc}', 'deprecated');
Expect(0, 182, '\p{isoidc}', 'deprecated');
Expect(1, 182, '\p{^isoidc}', 'deprecated');
Expect(1, 182, '\P{isoidc}', 'deprecated');
Expect(0, 182, '\P{^isoidc}', 'deprecated');
Expect(1, 183, '\p{_-Is oidc}', 'deprecated');
Expect(0, 183, '\p{^_-Is oidc}', 'deprecated');
Expect(0, 183, '\P{_-Is oidc}', 'deprecated');
Expect(1, 183, '\P{^_-Is oidc}', 'deprecated');
Expect(0, 182, '\p{_-Is oidc}', 'deprecated');
Expect(1, 182, '\p{^_-Is oidc}', 'deprecated');
Expect(1, 182, '\P{_-Is oidc}', 'deprecated');
Expect(0, 182, '\P{^_-Is oidc}', 'deprecated');
Error('\p{-/a/Bamum}');
Error('\P{-/a/Bamum}');
Expect(1, 42743, '\p{bamum}', "");
Expect(0, 42743, '\p{^bamum}', "");
Expect(0, 42743, '\P{bamum}', "");
Expect(1, 42743, '\P{^bamum}', "");
Expect(0, 42655, '\p{bamum}', "");
Expect(1, 42655, '\p{^bamum}', "");
Expect(1, 42655, '\P{bamum}', "");
Expect(0, 42655, '\P{^bamum}', "");
Expect(1, 42743, '\p{ _Bamum}', "");
Expect(0, 42743, '\p{^ _Bamum}', "");
Expect(0, 42743, '\P{ _Bamum}', "");
Expect(1, 42743, '\P{^ _Bamum}', "");
Expect(0, 42655, '\p{ _Bamum}', "");
Expect(1, 42655, '\p{^ _Bamum}', "");
Expect(1, 42655, '\P{ _Bamum}', "");
Expect(0, 42655, '\P{^ _Bamum}', "");
Error('\p{/a/-_IsBamum}');
Error('\P{/a/-_IsBamum}');
Expect(1, 42743, '\p{isbamum}', "");
Expect(0, 42743, '\p{^isbamum}', "");
Expect(0, 42743, '\P{isbamum}', "");
Expect(1, 42743, '\P{^isbamum}', "");
Expect(0, 42655, '\p{isbamum}', "");
Expect(1, 42655, '\p{^isbamum}', "");
Expect(1, 42655, '\P{isbamum}', "");
Expect(0, 42655, '\P{^isbamum}', "");
Expect(1, 42743, '\p{	-Is_Bamum}', "");
Expect(0, 42743, '\p{^	-Is_Bamum}', "");
Expect(0, 42743, '\P{	-Is_Bamum}', "");
Expect(1, 42743, '\P{^	-Is_Bamum}', "");
Expect(0, 42655, '\p{	-Is_Bamum}', "");
Expect(1, 42655, '\p{^	-Is_Bamum}', "");
Expect(1, 42655, '\P{	-Is_Bamum}', "");
Expect(0, 42655, '\P{^	-Is_Bamum}', "");
Error('\p{		bamu:=}');
Error('\P{		bamu:=}');
Expect(1, 42743, '\p{bamu}', "");
Expect(0, 42743, '\p{^bamu}', "");
Expect(0, 42743, '\P{bamu}', "");
Expect(1, 42743, '\P{^bamu}', "");
Expect(0, 42655, '\p{bamu}', "");
Expect(1, 42655, '\p{^bamu}', "");
Expect(1, 42655, '\P{bamu}', "");
Expect(0, 42655, '\P{^bamu}', "");
Expect(1, 42743, '\p{  bamu}', "");
Expect(0, 42743, '\p{^  bamu}', "");
Expect(0, 42743, '\P{  bamu}', "");
Expect(1, 42743, '\P{^  bamu}', "");
Expect(0, 42655, '\p{  bamu}', "");
Expect(1, 42655, '\p{^  bamu}', "");
Expect(1, 42655, '\P{  bamu}', "");
Expect(0, 42655, '\P{^  bamu}', "");
Error('\p{_-is_BAMU:=}');
Error('\P{_-is_BAMU:=}');
Expect(1, 42743, '\p{isbamu}', "");
Expect(0, 42743, '\p{^isbamu}', "");
Expect(0, 42743, '\P{isbamu}', "");
Expect(1, 42743, '\P{^isbamu}', "");
Expect(0, 42655, '\p{isbamu}', "");
Expect(1, 42655, '\p{^isbamu}', "");
Expect(1, 42655, '\P{isbamu}', "");
Expect(0, 42655, '\P{^isbamu}', "");
Expect(1, 42743, '\p{_	Is	Bamu}', "");
Expect(0, 42743, '\p{^_	Is	Bamu}', "");
Expect(0, 42743, '\P{_	Is	Bamu}', "");
Expect(1, 42743, '\P{^_	Is	Bamu}', "");
Expect(0, 42655, '\p{_	Is	Bamu}', "");
Expect(1, 42655, '\p{^_	Is	Bamu}', "");
Expect(1, 42655, '\P{_	Is	Bamu}', "");
Expect(0, 42655, '\P{^_	Is	Bamu}', "");
Error('\p{/a/		IN bengali}');
Error('\P{/a/		IN bengali}');
Expect(1, 2559, '\p{inbengali}', "");
Expect(0, 2559, '\p{^inbengali}', "");
Expect(0, 2559, '\P{inbengali}', "");
Expect(1, 2559, '\P{^inbengali}', "");
Expect(0, 2431, '\p{inbengali}', "");
Expect(1, 2431, '\p{^inbengali}', "");
Expect(1, 2431, '\P{inbengali}', "");
Expect(0, 2431, '\P{^inbengali}', "");
Expect(1, 2559, '\p{_In-bengali}', "");
Expect(0, 2559, '\p{^_In-bengali}', "");
Expect(0, 2559, '\P{_In-bengali}', "");
Expect(1, 2559, '\P{^_In-bengali}', "");
Expect(0, 2431, '\p{_In-bengali}', "");
Expect(1, 2431, '\p{^_In-bengali}', "");
Expect(1, 2431, '\P{_In-bengali}', "");
Expect(0, 2431, '\P{^_In-bengali}', "");
Error('\p{Cuneiform/a/}');
Error('\P{Cuneiform/a/}');
Expect(1, 74606, '\p{cuneiform}', "");
Expect(0, 74606, '\p{^cuneiform}', "");
Expect(0, 74606, '\P{cuneiform}', "");
Expect(1, 74606, '\P{^cuneiform}', "");
Expect(0, 73727, '\p{cuneiform}', "");
Expect(1, 73727, '\p{^cuneiform}', "");
Expect(1, 73727, '\P{cuneiform}', "");
Expect(0, 73727, '\P{^cuneiform}', "");
Expect(1, 74606, '\p{	_cuneiform}', "");
Expect(0, 74606, '\p{^	_cuneiform}', "");
Expect(0, 74606, '\P{	_cuneiform}', "");
Expect(1, 74606, '\P{^	_cuneiform}', "");
Expect(0, 73727, '\p{	_cuneiform}', "");
Expect(1, 73727, '\p{^	_cuneiform}', "");
Expect(1, 73727, '\P{	_cuneiform}', "");
Expect(0, 73727, '\P{^	_cuneiform}', "");
Error('\p{-is Cuneiform/a/}');
Error('\P{-is Cuneiform/a/}');
Expect(1, 74606, '\p{iscuneiform}', "");
Expect(0, 74606, '\p{^iscuneiform}', "");
Expect(0, 74606, '\P{iscuneiform}', "");
Expect(1, 74606, '\P{^iscuneiform}', "");
Expect(0, 73727, '\p{iscuneiform}', "");
Expect(1, 73727, '\p{^iscuneiform}', "");
Expect(1, 73727, '\P{iscuneiform}', "");
Expect(0, 73727, '\P{^iscuneiform}', "");
Expect(1, 74606, '\p{is cuneiform}', "");
Expect(0, 74606, '\p{^is cuneiform}', "");
Expect(0, 74606, '\P{is cuneiform}', "");
Expect(1, 74606, '\P{^is cuneiform}', "");
Expect(0, 73727, '\p{is cuneiform}', "");
Expect(1, 73727, '\p{^is cuneiform}', "");
Expect(1, 73727, '\P{is cuneiform}', "");
Expect(0, 73727, '\P{^is cuneiform}', "");
Error('\p{-_Xsux/a/}');
Error('\P{-_Xsux/a/}');
Expect(1, 74606, '\p{xsux}', "");
Expect(0, 74606, '\p{^xsux}', "");
Expect(0, 74606, '\P{xsux}', "");
Expect(1, 74606, '\P{^xsux}', "");
Expect(0, 73727, '\p{xsux}', "");
Expect(1, 73727, '\p{^xsux}', "");
Expect(1, 73727, '\P{xsux}', "");
Expect(0, 73727, '\P{^xsux}', "");
Expect(1, 74606, '\p{-_Xsux}', "");
Expect(0, 74606, '\p{^-_Xsux}', "");
Expect(0, 74606, '\P{-_Xsux}', "");
Expect(1, 74606, '\P{^-_Xsux}', "");
Expect(0, 73727, '\p{-_Xsux}', "");
Expect(1, 73727, '\p{^-_Xsux}', "");
Expect(1, 73727, '\P{-_Xsux}', "");
Expect(0, 73727, '\P{^-_Xsux}', "");
Error('\p{	-Is/a/Xsux}');
Error('\P{	-Is/a/Xsux}');
Expect(1, 74606, '\p{isxsux}', "");
Expect(0, 74606, '\p{^isxsux}', "");
Expect(0, 74606, '\P{isxsux}', "");
Expect(1, 74606, '\P{^isxsux}', "");
Expect(0, 73727, '\p{isxsux}', "");
Expect(1, 73727, '\p{^isxsux}', "");
Expect(1, 73727, '\P{isxsux}', "");
Expect(0, 73727, '\P{^isxsux}', "");
Expect(1, 74606, '\p{  isXsux}', "");
Expect(0, 74606, '\p{^  isXsux}', "");
Expect(0, 74606, '\P{  isXsux}', "");
Expect(1, 74606, '\P{^  isXsux}', "");
Expect(0, 73727, '\p{  isXsux}', "");
Expect(1, 73727, '\p{^  isXsux}', "");
Expect(1, 73727, '\P{  isXsux}', "");
Expect(0, 73727, '\P{^  isXsux}', "");
Error('\p{/a/	Hangul-JAMO	Extended-A}');
Error('\P{/a/	Hangul-JAMO	Extended-A}');
Expect(1, 43391, '\p{hanguljamoextendeda}', "");
Expect(0, 43391, '\p{^hanguljamoextendeda}', "");
Expect(0, 43391, '\P{hanguljamoextendeda}', "");
Expect(1, 43391, '\P{^hanguljamoextendeda}', "");
Expect(0, 43359, '\p{hanguljamoextendeda}', "");
Expect(1, 43359, '\p{^hanguljamoextendeda}', "");
Expect(1, 43359, '\P{hanguljamoextendeda}', "");
Expect(0, 43359, '\P{^hanguljamoextendeda}', "");
Expect(1, 43391, '\p{ hangul-JAMO	EXTENDEDA}', "");
Expect(0, 43391, '\p{^ hangul-JAMO	EXTENDEDA}', "");
Expect(0, 43391, '\P{ hangul-JAMO	EXTENDEDA}', "");
Expect(1, 43391, '\P{^ hangul-JAMO	EXTENDEDA}', "");
Expect(0, 43359, '\p{ hangul-JAMO	EXTENDEDA}', "");
Expect(1, 43359, '\p{^ hangul-JAMO	EXTENDEDA}', "");
Expect(1, 43359, '\P{ hangul-JAMO	EXTENDEDA}', "");
Expect(0, 43359, '\P{^ hangul-JAMO	EXTENDEDA}', "");
Error('\p{ Is-HANGUL/a/JAMOEXTENDED_a}');
Error('\P{ Is-HANGUL/a/JAMOEXTENDED_a}');
Expect(1, 43391, '\p{ishanguljamoextendeda}', "");
Expect(0, 43391, '\p{^ishanguljamoextendeda}', "");
Expect(0, 43391, '\P{ishanguljamoextendeda}', "");
Expect(1, 43391, '\P{^ishanguljamoextendeda}', "");
Expect(0, 43359, '\p{ishanguljamoextendeda}', "");
Expect(1, 43359, '\p{^ishanguljamoextendeda}', "");
Expect(1, 43359, '\P{ishanguljamoextendeda}', "");
Expect(0, 43359, '\P{^ishanguljamoextendeda}', "");
Expect(1, 43391, '\p{ 	ishangul_JAMOextended A}', "");
Expect(0, 43391, '\p{^ 	ishangul_JAMOextended A}', "");
Expect(0, 43391, '\P{ 	ishangul_JAMOextended A}', "");
Expect(1, 43391, '\P{^ 	ishangul_JAMOextended A}', "");
Expect(0, 43359, '\p{ 	ishangul_JAMOextended A}', "");
Expect(1, 43359, '\p{^ 	ishangul_JAMOextended A}', "");
Expect(1, 43359, '\P{ 	ishangul_JAMOextended A}', "");
Expect(0, 43359, '\P{^ 	ishangul_JAMOextended A}', "");
Error('\p{ 	IN HANGUL_jamo	EXTENDEDA/a/}');
Error('\P{ 	IN HANGUL_jamo	EXTENDEDA/a/}');
Expect(1, 43391, '\p{inhanguljamoextendeda}', "");
Expect(0, 43391, '\p{^inhanguljamoextendeda}', "");
Expect(0, 43391, '\P{inhanguljamoextendeda}', "");
Expect(1, 43391, '\P{^inhanguljamoextendeda}', "");
Expect(0, 43359, '\p{inhanguljamoextendeda}', "");
Expect(1, 43359, '\p{^inhanguljamoextendeda}', "");
Expect(1, 43359, '\P{inhanguljamoextendeda}', "");
Expect(0, 43359, '\P{^inhanguljamoextendeda}', "");
Expect(1, 43391, '\p{ _IN hangul_JamoExtended-a}', "");
Expect(0, 43391, '\p{^ _IN hangul_JamoExtended-a}', "");
Expect(0, 43391, '\P{ _IN hangul_JamoExtended-a}', "");
Expect(1, 43391, '\P{^ _IN hangul_JamoExtended-a}', "");
Expect(0, 43359, '\p{ _IN hangul_JamoExtended-a}', "");
Expect(1, 43359, '\p{^ _IN hangul_JamoExtended-a}', "");
Expect(1, 43359, '\P{ _IN hangul_JamoExtended-a}', "");
Expect(0, 43359, '\P{^ _IN hangul_JamoExtended-a}', "");
Error('\p{_cased/a/}');
Error('\P{_cased/a/}');
Expect(1, 90, '\p{cased}', "");
Expect(0, 90, '\p{^cased}', "");
Expect(0, 90, '\P{cased}', "");
Expect(1, 90, '\P{^cased}', "");
Expect(0, 64, '\p{cased}', "");
Expect(1, 64, '\p{^cased}', "");
Expect(1, 64, '\P{cased}', "");
Expect(0, 64, '\P{^cased}', "");
Expect(1, 90, '\p{	 CASED}', "");
Expect(0, 90, '\p{^	 CASED}', "");
Expect(0, 90, '\P{	 CASED}', "");
Expect(1, 90, '\P{^	 CASED}', "");
Expect(0, 64, '\p{	 CASED}', "");
Expect(1, 64, '\p{^	 CASED}', "");
Expect(1, 64, '\P{	 CASED}', "");
Expect(0, 64, '\P{^	 CASED}', "");
Error('\p{ isCased/a/}');
Error('\P{ isCased/a/}');
Expect(1, 90, '\p{iscased}', "");
Expect(0, 90, '\p{^iscased}', "");
Expect(0, 90, '\P{iscased}', "");
Expect(1, 90, '\P{^iscased}', "");
Expect(0, 64, '\p{iscased}', "");
Expect(1, 64, '\p{^iscased}', "");
Expect(1, 64, '\P{iscased}', "");
Expect(0, 64, '\P{^iscased}', "");
Expect(1, 90, '\p{-_IS-CASED}', "");
Expect(0, 90, '\p{^-_IS-CASED}', "");
Expect(0, 90, '\P{-_IS-CASED}', "");
Expect(1, 90, '\P{^-_IS-CASED}', "");
Expect(0, 64, '\p{-_IS-CASED}', "");
Expect(1, 64, '\p{^-_IS-CASED}', "");
Expect(1, 64, '\P{-_IS-CASED}', "");
Expect(0, 64, '\P{^-_IS-CASED}', "");
Error('\p{	In:=KATAKANA}');
Error('\P{	In:=KATAKANA}');
Expect(1, 12543, '\p{inkatakana}', "");
Expect(0, 12543, '\p{^inkatakana}', "");
Expect(0, 12543, '\P{inkatakana}', "");
Expect(1, 12543, '\P{^inkatakana}', "");
Expect(0, 12447, '\p{inkatakana}', "");
Expect(1, 12447, '\p{^inkatakana}', "");
Expect(1, 12447, '\P{inkatakana}', "");
Expect(0, 12447, '\P{^inkatakana}', "");
Expect(1, 12543, '\p{_ IN-katakana}', "");
Expect(0, 12543, '\p{^_ IN-katakana}', "");
Expect(0, 12543, '\P{_ IN-katakana}', "");
Expect(1, 12543, '\P{^_ IN-katakana}', "");
Expect(0, 12447, '\p{_ IN-katakana}', "");
Expect(1, 12447, '\p{^_ IN-katakana}', "");
Expect(1, 12447, '\P{_ IN-katakana}', "");
Expect(0, 12447, '\P{^_ IN-katakana}', "");
Error('\p{-_Arabic/a/Presentation	Forms_a}');
Error('\P{-_Arabic/a/Presentation	Forms_a}');
Expect(1, 65023, '\p{arabicpresentationformsa}', "");
Expect(0, 65023, '\p{^arabicpresentationformsa}', "");
Expect(0, 65023, '\P{arabicpresentationformsa}', "");
Expect(1, 65023, '\P{^arabicpresentationformsa}', "");
Expect(0, 64335, '\p{arabicpresentationformsa}', "");
Expect(1, 64335, '\p{^arabicpresentationformsa}', "");
Expect(1, 64335, '\P{arabicpresentationformsa}', "");
Expect(0, 64335, '\P{^arabicpresentationformsa}', "");
Expect(1, 65023, '\p{ 	arabic Presentation FORMS	A}', "");
Expect(0, 65023, '\p{^ 	arabic Presentation FORMS	A}', "");
Expect(0, 65023, '\P{ 	arabic Presentation FORMS	A}', "");
Expect(1, 65023, '\P{^ 	arabic Presentation FORMS	A}', "");
Expect(0, 64335, '\p{ 	arabic Presentation FORMS	A}', "");
Expect(1, 64335, '\p{^ 	arabic Presentation FORMS	A}', "");
Expect(1, 64335, '\P{ 	arabic Presentation FORMS	A}', "");
Expect(0, 64335, '\P{^ 	arabic Presentation FORMS	A}', "");
Error('\p{	-Is:=Arabic-Presentation-FORMS	A}');
Error('\P{	-Is:=Arabic-Presentation-FORMS	A}');
Expect(1, 65023, '\p{isarabicpresentationformsa}', "");
Expect(0, 65023, '\p{^isarabicpresentationformsa}', "");
Expect(0, 65023, '\P{isarabicpresentationformsa}', "");
Expect(1, 65023, '\P{^isarabicpresentationformsa}', "");
Expect(0, 64335, '\p{isarabicpresentationformsa}', "");
Expect(1, 64335, '\p{^isarabicpresentationformsa}', "");
Expect(1, 64335, '\P{isarabicpresentationformsa}', "");
Expect(0, 64335, '\P{^isarabicpresentationformsa}', "");
Expect(1, 65023, '\p{ IsArabic_Presentation_FORMSa}', "");
Expect(0, 65023, '\p{^ IsArabic_Presentation_FORMSa}', "");
Expect(0, 65023, '\P{ IsArabic_Presentation_FORMSa}', "");
Expect(1, 65023, '\P{^ IsArabic_Presentation_FORMSa}', "");
Expect(0, 64335, '\p{ IsArabic_Presentation_FORMSa}', "");
Expect(1, 64335, '\p{^ IsArabic_Presentation_FORMSa}', "");
Expect(1, 64335, '\P{ IsArabic_Presentation_FORMSa}', "");
Expect(0, 64335, '\P{^ IsArabic_Presentation_FORMSa}', "");
Error('\p{_ In-ARABIC:=PRESENTATION	FORMSa}');
Error('\P{_ In-ARABIC:=PRESENTATION	FORMSa}');
Expect(1, 65023, '\p{inarabicpresentationformsa}', "");
Expect(0, 65023, '\p{^inarabicpresentationformsa}', "");
Expect(0, 65023, '\P{inarabicpresentationformsa}', "");
Expect(1, 65023, '\P{^inarabicpresentationformsa}', "");
Expect(0, 64335, '\p{inarabicpresentationformsa}', "");
Expect(1, 64335, '\p{^inarabicpresentationformsa}', "");
Expect(1, 64335, '\P{inarabicpresentationformsa}', "");
Expect(0, 64335, '\P{^inarabicpresentationformsa}', "");
Expect(1, 65023, '\p{-In	ARABIC_Presentation-Forms_a}', "");
Expect(0, 65023, '\p{^-In	ARABIC_Presentation-Forms_a}', "");
Expect(0, 65023, '\P{-In	ARABIC_Presentation-Forms_a}', "");
Expect(1, 65023, '\P{^-In	ARABIC_Presentation-Forms_a}', "");
Expect(0, 64335, '\p{-In	ARABIC_Presentation-Forms_a}', "");
Expect(1, 64335, '\p{^-In	ARABIC_Presentation-Forms_a}', "");
Expect(1, 64335, '\P{-In	ARABIC_Presentation-Forms_a}', "");
Expect(0, 64335, '\P{^-In	ARABIC_Presentation-Forms_a}', "");
Error('\p{:=_InTai_THAM}');
Error('\P{:=_InTai_THAM}');
Expect(1, 6831, '\p{intaitham}', "");
Expect(0, 6831, '\p{^intaitham}', "");
Expect(0, 6831, '\P{intaitham}', "");
Expect(1, 6831, '\P{^intaitham}', "");
Expect(0, 6687, '\p{intaitham}', "");
Expect(1, 6687, '\p{^intaitham}', "");
Expect(1, 6687, '\P{intaitham}', "");
Expect(0, 6687, '\P{^intaitham}', "");
Expect(1, 6831, '\p{ -IN-TaiTHAM}', "");
Expect(0, 6831, '\p{^ -IN-TaiTHAM}', "");
Expect(0, 6831, '\P{ -IN-TaiTHAM}', "");
Expect(1, 6831, '\P{^ -IN-TaiTHAM}', "");
Expect(0, 6687, '\p{ -IN-TaiTHAM}', "");
Expect(1, 6687, '\p{^ -IN-TaiTHAM}', "");
Expect(1, 6687, '\P{ -IN-TaiTHAM}', "");
Expect(0, 6687, '\P{^ -IN-TaiTHAM}', "");
Error('\p{:=	 In TAGALOG}');
Error('\P{:=	 In TAGALOG}');
Expect(1, 5919, '\p{intagalog}', "");
Expect(0, 5919, '\p{^intagalog}', "");
Expect(0, 5919, '\P{intagalog}', "");
Expect(1, 5919, '\P{^intagalog}', "");
Expect(0, 5887, '\p{intagalog}', "");
Expect(1, 5887, '\p{^intagalog}', "");
Expect(1, 5887, '\P{intagalog}', "");
Expect(0, 5887, '\P{^intagalog}', "");
Expect(1, 5919, '\p{	_In-tagalog}', "");
Expect(0, 5919, '\p{^	_In-tagalog}', "");
Expect(0, 5919, '\P{	_In-tagalog}', "");
Expect(1, 5919, '\P{^	_In-tagalog}', "");
Expect(0, 5887, '\p{	_In-tagalog}', "");
Expect(1, 5887, '\p{^	_In-tagalog}', "");
Expect(1, 5887, '\P{	_In-tagalog}', "");
Expect(0, 5887, '\P{^	_In-tagalog}', "");
Error('\p{--Tai:=xuan	JING	SYMBOLS}');
Error('\P{--Tai:=xuan	JING	SYMBOLS}');
Expect(1, 119647, '\p{taixuanjingsymbols}', "");
Expect(0, 119647, '\p{^taixuanjingsymbols}', "");
Expect(0, 119647, '\P{taixuanjingsymbols}', "");
Expect(1, 119647, '\P{^taixuanjingsymbols}', "");
Expect(0, 119551, '\p{taixuanjingsymbols}', "");
Expect(1, 119551, '\p{^taixuanjingsymbols}', "");
Expect(1, 119551, '\P{taixuanjingsymbols}', "");
Expect(0, 119551, '\P{^taixuanjingsymbols}', "");
Expect(1, 119647, '\p{_TAIXUAN-Jing_Symbols}', "");
Expect(0, 119647, '\p{^_TAIXUAN-Jing_Symbols}', "");
Expect(0, 119647, '\P{_TAIXUAN-Jing_Symbols}', "");
Expect(1, 119647, '\P{^_TAIXUAN-Jing_Symbols}', "");
Expect(0, 119551, '\p{_TAIXUAN-Jing_Symbols}', "");
Expect(1, 119551, '\p{^_TAIXUAN-Jing_Symbols}', "");
Expect(1, 119551, '\P{_TAIXUAN-Jing_Symbols}', "");
Expect(0, 119551, '\P{^_TAIXUAN-Jing_Symbols}', "");
Error('\p{ -Is:=TAI_XUAN	Jingsymbols}');
Error('\P{ -Is:=TAI_XUAN	Jingsymbols}');
Expect(1, 119647, '\p{istaixuanjingsymbols}', "");
Expect(0, 119647, '\p{^istaixuanjingsymbols}', "");
Expect(0, 119647, '\P{istaixuanjingsymbols}', "");
Expect(1, 119647, '\P{^istaixuanjingsymbols}', "");
Expect(0, 119551, '\p{istaixuanjingsymbols}', "");
Expect(1, 119551, '\p{^istaixuanjingsymbols}', "");
Expect(1, 119551, '\P{istaixuanjingsymbols}', "");
Expect(0, 119551, '\P{^istaixuanjingsymbols}', "");
Expect(1, 119647, '\p{-_is_TAI	Xuan_Jing-Symbols}', "");
Expect(0, 119647, '\p{^-_is_TAI	Xuan_Jing-Symbols}', "");
Expect(0, 119647, '\P{-_is_TAI	Xuan_Jing-Symbols}', "");
Expect(1, 119647, '\P{^-_is_TAI	Xuan_Jing-Symbols}', "");
Expect(0, 119551, '\p{-_is_TAI	Xuan_Jing-Symbols}', "");
Expect(1, 119551, '\p{^-_is_TAI	Xuan_Jing-Symbols}', "");
Expect(1, 119551, '\P{-_is_TAI	Xuan_Jing-Symbols}', "");
Expect(0, 119551, '\P{^-_is_TAI	Xuan_Jing-Symbols}', "");
Error('\p{	-inTAI:=Xuan-jing	symbols}');
Error('\P{	-inTAI:=Xuan-jing	symbols}');
Expect(1, 119647, '\p{intaixuanjingsymbols}', "");
Expect(0, 119647, '\p{^intaixuanjingsymbols}', "");
Expect(0, 119647, '\P{intaixuanjingsymbols}', "");
Expect(1, 119647, '\P{^intaixuanjingsymbols}', "");
Expect(0, 119551, '\p{intaixuanjingsymbols}', "");
Expect(1, 119551, '\p{^intaixuanjingsymbols}', "");
Expect(1, 119551, '\P{intaixuanjingsymbols}', "");
Expect(0, 119551, '\P{^intaixuanjingsymbols}', "");
Expect(1, 119647, '\p{-_IN TaiXuanJingSYMBOLS}', "");
Expect(0, 119647, '\p{^-_IN TaiXuanJingSYMBOLS}', "");
Expect(0, 119647, '\P{-_IN TaiXuanJingSYMBOLS}', "");
Expect(1, 119647, '\P{^-_IN TaiXuanJingSYMBOLS}', "");
Expect(0, 119551, '\p{-_IN TaiXuanJingSYMBOLS}', "");
Expect(1, 119551, '\p{^-_IN TaiXuanJingSYMBOLS}', "");
Expect(1, 119551, '\P{-_IN TaiXuanJingSYMBOLS}', "");
Expect(0, 119551, '\P{^-_IN TaiXuanJingSYMBOLS}', "");
Error('\p{/a/_	In-LEPCHA}');
Error('\P{/a/_	In-LEPCHA}');
Expect(1, 7247, '\p{inlepcha}', "");
Expect(0, 7247, '\p{^inlepcha}', "");
Expect(0, 7247, '\P{inlepcha}', "");
Expect(1, 7247, '\P{^inlepcha}', "");
Expect(0, 7167, '\p{inlepcha}', "");
Expect(1, 7167, '\p{^inlepcha}', "");
Expect(1, 7167, '\P{inlepcha}', "");
Expect(0, 7167, '\P{^inlepcha}', "");
Expect(1, 7247, '\p{-In-LEPCHA}', "");
Expect(0, 7247, '\p{^-In-LEPCHA}', "");
Expect(0, 7247, '\P{-In-LEPCHA}', "");
Expect(1, 7247, '\P{^-In-LEPCHA}', "");
Expect(0, 7167, '\p{-In-LEPCHA}', "");
Expect(1, 7167, '\p{^-In-LEPCHA}', "");
Expect(1, 7167, '\P{-In-LEPCHA}', "");
Expect(0, 7167, '\P{^-In-LEPCHA}', "");
Error('\p{	/a/In cham}');
Error('\P{	/a/In cham}');
Expect(1, 43615, '\p{incham}', "");
Expect(0, 43615, '\p{^incham}', "");
Expect(0, 43615, '\P{incham}', "");
Expect(1, 43615, '\P{^incham}', "");
Expect(0, 43519, '\p{incham}', "");
Expect(1, 43519, '\p{^incham}', "");
Expect(1, 43519, '\P{incham}', "");
Expect(0, 43519, '\P{^incham}', "");
Expect(1, 43615, '\p{		IN-cham}', "");
Expect(0, 43615, '\p{^		IN-cham}', "");
Expect(0, 43615, '\P{		IN-cham}', "");
Expect(1, 43615, '\P{^		IN-cham}', "");
Expect(0, 43519, '\p{		IN-cham}', "");
Expect(1, 43519, '\p{^		IN-cham}', "");
Expect(1, 43519, '\P{		IN-cham}', "");
Expect(0, 43519, '\P{^		IN-cham}', "");
Error('\p{-:=InBopomofo}');
Error('\P{-:=InBopomofo}');
Expect(1, 12591, '\p{inbopomofo}', "");
Expect(0, 12591, '\p{^inbopomofo}', "");
Expect(0, 12591, '\P{inbopomofo}', "");
Expect(1, 12591, '\P{^inbopomofo}', "");
Expect(0, 12543, '\p{inbopomofo}', "");
Expect(1, 12543, '\p{^inbopomofo}', "");
Expect(1, 12543, '\P{inbopomofo}', "");
Expect(0, 12543, '\P{^inbopomofo}', "");
Expect(1, 12591, '\p{_ In-BOPOMOFO}', "");
Expect(0, 12591, '\p{^_ In-BOPOMOFO}', "");
Expect(0, 12591, '\P{_ In-BOPOMOFO}', "");
Expect(1, 12591, '\P{^_ In-BOPOMOFO}', "");
Expect(0, 12543, '\p{_ In-BOPOMOFO}', "");
Expect(1, 12543, '\p{^_ In-BOPOMOFO}', "");
Expect(1, 12543, '\P{_ In-BOPOMOFO}', "");
Expect(0, 12543, '\P{^_ In-BOPOMOFO}', "");
Error('\p{:=-	cjk compatibilityIdeographs}');
Error('\P{:=-	cjk compatibilityIdeographs}');
Expect(1, 64255, '\p{cjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^cjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{cjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^cjkcompatibilityideographs}', "");
Expect(0, 63743, '\p{cjkcompatibilityideographs}', "");
Expect(1, 63743, '\p{^cjkcompatibilityideographs}', "");
Expect(1, 63743, '\P{cjkcompatibilityideographs}', "");
Expect(0, 63743, '\P{^cjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{ cjk-compatibilityIDEOGRAPHS}', "");
Expect(0, 64255, '\p{^ cjk-compatibilityIDEOGRAPHS}', "");
Expect(0, 64255, '\P{ cjk-compatibilityIDEOGRAPHS}', "");
Expect(1, 64255, '\P{^ cjk-compatibilityIDEOGRAPHS}', "");
Expect(0, 63743, '\p{ cjk-compatibilityIDEOGRAPHS}', "");
Expect(1, 63743, '\p{^ cjk-compatibilityIDEOGRAPHS}', "");
Expect(1, 63743, '\P{ cjk-compatibilityIDEOGRAPHS}', "");
Expect(0, 63743, '\P{^ cjk-compatibilityIDEOGRAPHS}', "");
Error('\p{/a/--IS	CJK_CompatibilityIdeographs}');
Error('\P{/a/--IS	CJK_CompatibilityIdeographs}');
Expect(1, 64255, '\p{iscjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^iscjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{iscjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^iscjkcompatibilityideographs}', "");
Expect(0, 63743, '\p{iscjkcompatibilityideographs}', "");
Expect(1, 63743, '\p{^iscjkcompatibilityideographs}', "");
Expect(1, 63743, '\P{iscjkcompatibilityideographs}', "");
Expect(0, 63743, '\P{^iscjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{  Is_CJK Compatibility_IDEOGRAPHS}', "");
Expect(0, 64255, '\p{^  Is_CJK Compatibility_IDEOGRAPHS}', "");
Expect(0, 64255, '\P{  Is_CJK Compatibility_IDEOGRAPHS}', "");
Expect(1, 64255, '\P{^  Is_CJK Compatibility_IDEOGRAPHS}', "");
Expect(0, 63743, '\p{  Is_CJK Compatibility_IDEOGRAPHS}', "");
Expect(1, 63743, '\p{^  Is_CJK Compatibility_IDEOGRAPHS}', "");
Expect(1, 63743, '\P{  Is_CJK Compatibility_IDEOGRAPHS}', "");
Expect(0, 63743, '\P{^  Is_CJK Compatibility_IDEOGRAPHS}', "");
Error('\p{	 In_CJK Compatibility:=Ideographs}');
Error('\P{	 In_CJK Compatibility:=Ideographs}');
Expect(1, 64255, '\p{incjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^incjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{incjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^incjkcompatibilityideographs}', "");
Expect(0, 63743, '\p{incjkcompatibilityideographs}', "");
Expect(1, 63743, '\p{^incjkcompatibilityideographs}', "");
Expect(1, 63743, '\P{incjkcompatibilityideographs}', "");
Expect(0, 63743, '\P{^incjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{_	In_CJK Compatibilityideographs}', "");
Expect(0, 64255, '\p{^_	In_CJK Compatibilityideographs}', "");
Expect(0, 64255, '\P{_	In_CJK Compatibilityideographs}', "");
Expect(1, 64255, '\P{^_	In_CJK Compatibilityideographs}', "");
Expect(0, 63743, '\p{_	In_CJK Compatibilityideographs}', "");
Expect(1, 63743, '\p{^_	In_CJK Compatibilityideographs}', "");
Expect(1, 63743, '\P{_	In_CJK Compatibilityideographs}', "");
Expect(0, 63743, '\P{^_	In_CJK Compatibilityideographs}', "");
Error('\p{-/a/ARROWS}');
Error('\P{-/a/ARROWS}');
Expect(1, 8703, '\p{arrows}', "");
Expect(0, 8703, '\p{^arrows}', "");
Expect(0, 8703, '\P{arrows}', "");
Expect(1, 8703, '\P{^arrows}', "");
Expect(0, 8591, '\p{arrows}', "");
Expect(1, 8591, '\p{^arrows}', "");
Expect(1, 8591, '\P{arrows}', "");
Expect(0, 8591, '\P{^arrows}', "");
Expect(1, 8703, '\p{	-ARROWS}', "");
Expect(0, 8703, '\p{^	-ARROWS}', "");
Expect(0, 8703, '\P{	-ARROWS}', "");
Expect(1, 8703, '\P{^	-ARROWS}', "");
Expect(0, 8591, '\p{	-ARROWS}', "");
Expect(1, 8591, '\p{^	-ARROWS}', "");
Expect(1, 8591, '\P{	-ARROWS}', "");
Expect(0, 8591, '\P{^	-ARROWS}', "");
Error('\p{-:=Is_Arrows}');
Error('\P{-:=Is_Arrows}');
Expect(1, 8703, '\p{isarrows}', "");
Expect(0, 8703, '\p{^isarrows}', "");
Expect(0, 8703, '\P{isarrows}', "");
Expect(1, 8703, '\P{^isarrows}', "");
Expect(0, 8591, '\p{isarrows}', "");
Expect(1, 8591, '\p{^isarrows}', "");
Expect(1, 8591, '\P{isarrows}', "");
Expect(0, 8591, '\P{^isarrows}', "");
Expect(1, 8703, '\p{__IsARROWS}', "");
Expect(0, 8703, '\p{^__IsARROWS}', "");
Expect(0, 8703, '\P{__IsARROWS}', "");
Expect(1, 8703, '\P{^__IsARROWS}', "");
Expect(0, 8591, '\p{__IsARROWS}', "");
Expect(1, 8591, '\p{^__IsARROWS}', "");
Expect(1, 8591, '\P{__IsARROWS}', "");
Expect(0, 8591, '\P{^__IsARROWS}', "");
Error('\p{ 	in:=Arrows}');
Error('\P{ 	in:=Arrows}');
Expect(1, 8703, '\p{inarrows}', "");
Expect(0, 8703, '\p{^inarrows}', "");
Expect(0, 8703, '\P{inarrows}', "");
Expect(1, 8703, '\P{^inarrows}', "");
Expect(0, 8591, '\p{inarrows}', "");
Expect(1, 8591, '\p{^inarrows}', "");
Expect(1, 8591, '\P{inarrows}', "");
Expect(0, 8591, '\P{^inarrows}', "");
Expect(1, 8703, '\p{-In_arrows}', "");
Expect(0, 8703, '\p{^-In_arrows}', "");
Expect(0, 8703, '\P{-In_arrows}', "");
Expect(1, 8703, '\P{^-In_arrows}', "");
Expect(0, 8591, '\p{-In_arrows}', "");
Expect(1, 8591, '\p{^-In_arrows}', "");
Expect(1, 8591, '\P{-In_arrows}', "");
Expect(0, 8591, '\P{^-In_arrows}', "");
Error('\p{ _In/a/Lao}');
Error('\P{ _In/a/Lao}');
Expect(1, 3839, '\p{inlao}', "");
Expect(0, 3839, '\p{^inlao}', "");
Expect(0, 3839, '\P{inlao}', "");
Expect(1, 3839, '\P{^inlao}', "");
Expect(0, 3711, '\p{inlao}', "");
Expect(1, 3711, '\p{^inlao}', "");
Expect(1, 3711, '\P{inlao}', "");
Expect(0, 3711, '\P{^inlao}', "");
Expect(1, 3839, '\p{inLao}', "");
Expect(0, 3839, '\p{^inLao}', "");
Expect(0, 3839, '\P{inLao}', "");
Expect(1, 3839, '\P{^inLao}', "");
Expect(0, 3711, '\p{inLao}', "");
Expect(1, 3711, '\p{^inLao}', "");
Expect(1, 3711, '\P{inLao}', "");
Expect(0, 3711, '\P{^inLao}', "");
Error('\p{/a/- CONNECTORpunctuation}');
Error('\P{/a/- CONNECTORpunctuation}');
Expect(1, 95, '\p{connectorpunctuation}', "");
Expect(0, 95, '\p{^connectorpunctuation}', "");
Expect(0, 95, '\P{connectorpunctuation}', "");
Expect(1, 95, '\P{^connectorpunctuation}', "");
Expect(0, 94, '\p{connectorpunctuation}', "");
Expect(1, 94, '\p{^connectorpunctuation}', "");
Expect(1, 94, '\P{connectorpunctuation}', "");
Expect(0, 94, '\P{^connectorpunctuation}', "");
Expect(1, 95, '\p{_Connector-punctuation}', "");
Expect(0, 95, '\p{^_Connector-punctuation}', "");
Expect(0, 95, '\P{_Connector-punctuation}', "");
Expect(1, 95, '\P{^_Connector-punctuation}', "");
Expect(0, 94, '\p{_Connector-punctuation}', "");
Expect(1, 94, '\p{^_Connector-punctuation}', "");
Expect(1, 94, '\P{_Connector-punctuation}', "");
Expect(0, 94, '\P{^_Connector-punctuation}', "");
Error('\p{_Is Connector-Punctuation/a/}');
Error('\P{_Is Connector-Punctuation/a/}');
Expect(1, 95, '\p{isconnectorpunctuation}', "");
Expect(0, 95, '\p{^isconnectorpunctuation}', "");
Expect(0, 95, '\P{isconnectorpunctuation}', "");
Expect(1, 95, '\P{^isconnectorpunctuation}', "");
Expect(0, 94, '\p{isconnectorpunctuation}', "");
Expect(1, 94, '\p{^isconnectorpunctuation}', "");
Expect(1, 94, '\P{isconnectorpunctuation}', "");
Expect(0, 94, '\P{^isconnectorpunctuation}', "");
Expect(1, 95, '\p{ _IS	Connector	Punctuation}', "");
Expect(0, 95, '\p{^ _IS	Connector	Punctuation}', "");
Expect(0, 95, '\P{ _IS	Connector	Punctuation}', "");
Expect(1, 95, '\P{^ _IS	Connector	Punctuation}', "");
Expect(0, 94, '\p{ _IS	Connector	Punctuation}', "");
Expect(1, 94, '\p{^ _IS	Connector	Punctuation}', "");
Expect(1, 94, '\P{ _IS	Connector	Punctuation}', "");
Expect(0, 94, '\P{^ _IS	Connector	Punctuation}', "");
Error('\p{--PC/a/}');
Error('\P{--PC/a/}');
Expect(1, 95, '\p{pc}', "");
Expect(0, 95, '\p{^pc}', "");
Expect(0, 95, '\P{pc}', "");
Expect(1, 95, '\P{^pc}', "");
Expect(0, 94, '\p{pc}', "");
Expect(1, 94, '\p{^pc}', "");
Expect(1, 94, '\P{pc}', "");
Expect(0, 94, '\P{^pc}', "");
Expect(1, 95, '\p{	-PC}', "");
Expect(0, 95, '\p{^	-PC}', "");
Expect(0, 95, '\P{	-PC}', "");
Expect(1, 95, '\P{^	-PC}', "");
Expect(0, 94, '\p{	-PC}', "");
Expect(1, 94, '\p{^	-PC}', "");
Expect(1, 94, '\P{	-PC}', "");
Expect(0, 94, '\P{^	-PC}', "");
Error('\p{Is:=PC}');
Error('\P{Is:=PC}');
Expect(1, 95, '\p{ispc}', "");
Expect(0, 95, '\p{^ispc}', "");
Expect(0, 95, '\P{ispc}', "");
Expect(1, 95, '\P{^ispc}', "");
Expect(0, 94, '\p{ispc}', "");
Expect(1, 94, '\p{^ispc}', "");
Expect(1, 94, '\P{ispc}', "");
Expect(0, 94, '\P{^ispc}', "");
Expect(1, 95, '\p{		is	pc}', "");
Expect(0, 95, '\p{^		is	pc}', "");
Expect(0, 95, '\P{		is	pc}', "");
Expect(1, 95, '\P{^		is	pc}', "");
Expect(0, 94, '\p{		is	pc}', "");
Expect(1, 94, '\p{^		is	pc}', "");
Expect(1, 94, '\P{		is	pc}', "");
Expect(0, 94, '\P{^		is	pc}', "");
Error('\p{	In-Inscriptional-Pahlavi/a/}');
Error('\P{	In-Inscriptional-Pahlavi/a/}');
Expect(1, 68479, '\p{ininscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^ininscriptionalpahlavi}', "");
Expect(0, 68479, '\P{ininscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^ininscriptionalpahlavi}', "");
Expect(0, 68447, '\p{ininscriptionalpahlavi}', "");
Expect(1, 68447, '\p{^ininscriptionalpahlavi}', "");
Expect(1, 68447, '\P{ininscriptionalpahlavi}', "");
Expect(0, 68447, '\P{^ininscriptionalpahlavi}', "");
Expect(1, 68479, '\p{_-In-INSCRIPTIONAL Pahlavi}', "");
Expect(0, 68479, '\p{^_-In-INSCRIPTIONAL Pahlavi}', "");
Expect(0, 68479, '\P{_-In-INSCRIPTIONAL Pahlavi}', "");
Expect(1, 68479, '\P{^_-In-INSCRIPTIONAL Pahlavi}', "");
Expect(0, 68447, '\p{_-In-INSCRIPTIONAL Pahlavi}', "");
Expect(1, 68447, '\p{^_-In-INSCRIPTIONAL Pahlavi}', "");
Expect(1, 68447, '\P{_-In-INSCRIPTIONAL Pahlavi}', "");
Expect(0, 68447, '\P{^_-In-INSCRIPTIONAL Pahlavi}', "");
Error('\p{--variation SELECTORS/a/}');
Error('\P{--variation SELECTORS/a/}');
Expect(1, 65039, '\p{variationselectors}', "");
Expect(0, 65039, '\p{^variationselectors}', "");
Expect(0, 65039, '\P{variationselectors}', "");
Expect(1, 65039, '\P{^variationselectors}', "");
Expect(0, 65023, '\p{variationselectors}', "");
Expect(1, 65023, '\p{^variationselectors}', "");
Expect(1, 65023, '\P{variationselectors}', "");
Expect(0, 65023, '\P{^variationselectors}', "");
Expect(1, 65039, '\p{__Variationselectors}', "");
Expect(0, 65039, '\p{^__Variationselectors}', "");
Expect(0, 65039, '\P{__Variationselectors}', "");
Expect(1, 65039, '\P{^__Variationselectors}', "");
Expect(0, 65023, '\p{__Variationselectors}', "");
Expect(1, 65023, '\p{^__Variationselectors}', "");
Expect(1, 65023, '\P{__Variationselectors}', "");
Expect(0, 65023, '\P{^__Variationselectors}', "");
Error('\p{_is-VARIATIONSelectors/a/}');
Error('\P{_is-VARIATIONSelectors/a/}');
Expect(1, 65039, '\p{isvariationselectors}', "");
Expect(0, 65039, '\p{^isvariationselectors}', "");
Expect(0, 65039, '\P{isvariationselectors}', "");
Expect(1, 65039, '\P{^isvariationselectors}', "");
Expect(0, 65023, '\p{isvariationselectors}', "");
Expect(1, 65023, '\p{^isvariationselectors}', "");
Expect(1, 65023, '\P{isvariationselectors}', "");
Expect(0, 65023, '\P{^isvariationselectors}', "");
Expect(1, 65039, '\p{ is-Variation	SELECTORS}', "");
Expect(0, 65039, '\p{^ is-Variation	SELECTORS}', "");
Expect(0, 65039, '\P{ is-Variation	SELECTORS}', "");
Expect(1, 65039, '\P{^ is-Variation	SELECTORS}', "");
Expect(0, 65023, '\p{ is-Variation	SELECTORS}', "");
Expect(1, 65023, '\p{^ is-Variation	SELECTORS}', "");
Expect(1, 65023, '\P{ is-Variation	SELECTORS}', "");
Expect(0, 65023, '\P{^ is-Variation	SELECTORS}', "");
Error('\p{--in/a/Variation_selectors}');
Error('\P{--in/a/Variation_selectors}');
Expect(1, 65039, '\p{invariationselectors}', "");
Expect(0, 65039, '\p{^invariationselectors}', "");
Expect(0, 65039, '\P{invariationselectors}', "");
Expect(1, 65039, '\P{^invariationselectors}', "");
Expect(0, 65023, '\p{invariationselectors}', "");
Expect(1, 65023, '\p{^invariationselectors}', "");
Expect(1, 65023, '\P{invariationselectors}', "");
Expect(0, 65023, '\P{^invariationselectors}', "");
Expect(1, 65039, '\p{ In	Variation_SELECTORS}', "");
Expect(0, 65039, '\p{^ In	Variation_SELECTORS}', "");
Expect(0, 65039, '\P{ In	Variation_SELECTORS}', "");
Expect(1, 65039, '\P{^ In	Variation_SELECTORS}', "");
Expect(0, 65023, '\p{ In	Variation_SELECTORS}', "");
Expect(1, 65023, '\p{^ In	Variation_SELECTORS}', "");
Expect(1, 65023, '\P{ In	Variation_SELECTORS}', "");
Expect(0, 65023, '\P{^ In	Variation_SELECTORS}', "");
Error('\p{-x/a/LVLVT_V}');
Error('\P{-x/a/LVLVT_V}');
Expect(1, 4519, '\p{_X_LV_LVT_V}', "");
Expect(0, 4519, '\p{^_X_LV_LVT_V}', "");
Expect(0, 4519, '\P{_X_LV_LVT_V}', "");
Expect(1, 4519, '\P{^_X_LV_LVT_V}', "");
Expect(0, 4447, '\p{_X_LV_LVT_V}', "");
Expect(1, 4447, '\p{^_X_LV_LVT_V}', "");
Expect(1, 4447, '\P{_X_LV_LVT_V}', "");
Expect(0, 4447, '\P{^_X_LV_LVT_V}', "");
Error('\p{:=-	PrivateUSE}');
Error('\P{:=-	PrivateUSE}');
Expect(1, 63743, '\p{privateuse}', "");
Expect(0, 63743, '\p{^privateuse}', "");
Expect(0, 63743, '\P{privateuse}', "");
Expect(1, 63743, '\P{^privateuse}', "");
Expect(0, 1, '\p{privateuse}', "");
Expect(1, 1, '\p{^privateuse}', "");
Expect(1, 1, '\P{privateuse}', "");
Expect(0, 1, '\P{^privateuse}', "");
Expect(1, 63743, '\p{ PRIVATEUse}', "");
Expect(0, 63743, '\p{^ PRIVATEUse}', "");
Expect(0, 63743, '\P{ PRIVATEUse}', "");
Expect(1, 63743, '\P{^ PRIVATEUse}', "");
Expect(0, 1, '\p{ PRIVATEUse}', "");
Expect(1, 1, '\p{^ PRIVATEUse}', "");
Expect(1, 1, '\P{ PRIVATEUse}', "");
Expect(0, 1, '\P{^ PRIVATEUse}', "");
Error('\p{ 	is Private-USE/a/}');
Error('\P{ 	is Private-USE/a/}');
Expect(1, 63743, '\p{isprivateuse}', "");
Expect(0, 63743, '\p{^isprivateuse}', "");
Expect(0, 63743, '\P{isprivateuse}', "");
Expect(1, 63743, '\P{^isprivateuse}', "");
Expect(0, 1, '\p{isprivateuse}', "");
Expect(1, 1, '\p{^isprivateuse}', "");
Expect(1, 1, '\P{isprivateuse}', "");
Expect(0, 1, '\P{^isprivateuse}', "");
Expect(1, 63743, '\p{_Is PrivateUse}', "");
Expect(0, 63743, '\p{^_Is PrivateUse}', "");
Expect(0, 63743, '\P{_Is PrivateUse}', "");
Expect(1, 63743, '\P{^_Is PrivateUse}', "");
Expect(0, 1, '\p{_Is PrivateUse}', "");
Expect(1, 1, '\p{^_Is PrivateUse}', "");
Expect(1, 1, '\P{_Is PrivateUse}', "");
Expect(0, 1, '\P{^_Is PrivateUse}', "");
Error('\p{/a/Co}');
Error('\P{/a/Co}');
Expect(1, 63743, '\p{co}', "");
Expect(0, 63743, '\p{^co}', "");
Expect(0, 63743, '\P{co}', "");
Expect(1, 63743, '\P{^co}', "");
Expect(0, 1, '\p{co}', "");
Expect(1, 1, '\p{^co}', "");
Expect(1, 1, '\P{co}', "");
Expect(0, 1, '\P{^co}', "");
Expect(1, 63743, '\p{-	Co}', "");
Expect(0, 63743, '\p{^-	Co}', "");
Expect(0, 63743, '\P{-	Co}', "");
Expect(1, 63743, '\P{^-	Co}', "");
Expect(0, 1, '\p{-	Co}', "");
Expect(1, 1, '\p{^-	Co}', "");
Expect(1, 1, '\P{-	Co}', "");
Expect(0, 1, '\P{^-	Co}', "");
Error('\p{_/a/is_CO}');
Error('\P{_/a/is_CO}');
Expect(1, 63743, '\p{isco}', "");
Expect(0, 63743, '\p{^isco}', "");
Expect(0, 63743, '\P{isco}', "");
Expect(1, 63743, '\P{^isco}', "");
Expect(0, 1, '\p{isco}', "");
Expect(1, 1, '\p{^isco}', "");
Expect(1, 1, '\P{isco}', "");
Expect(0, 1, '\P{^isco}', "");
Expect(1, 63743, '\p{_	Is co}', "");
Expect(0, 63743, '\p{^_	Is co}', "");
Expect(0, 63743, '\P{_	Is co}', "");
Expect(1, 63743, '\P{^_	Is co}', "");
Expect(0, 1, '\p{_	Is co}', "");
Expect(1, 1, '\p{^_	Is co}', "");
Expect(1, 1, '\P{_	Is co}', "");
Expect(0, 1, '\P{^_	Is co}', "");
Error('\p{--IN/a/Lisu}');
Error('\P{--IN/a/Lisu}');
Expect(1, 42239, '\p{inlisu}', "");
Expect(0, 42239, '\p{^inlisu}', "");
Expect(0, 42239, '\P{inlisu}', "");
Expect(1, 42239, '\P{^inlisu}', "");
Expect(0, 42191, '\p{inlisu}', "");
Expect(1, 42191, '\p{^inlisu}', "");
Expect(1, 42191, '\P{inlisu}', "");
Expect(0, 42191, '\P{^inlisu}', "");
Expect(1, 42239, '\p{_	in-LISU}', "");
Expect(0, 42239, '\p{^_	in-LISU}', "");
Expect(0, 42239, '\P{_	in-LISU}', "");
Expect(1, 42239, '\P{^_	in-LISU}', "");
Expect(0, 42191, '\p{_	in-LISU}', "");
Expect(1, 42191, '\p{^_	in-LISU}', "");
Expect(1, 42191, '\P{_	in-LISU}', "");
Expect(0, 42191, '\P{^_	in-LISU}', "");
Error('\p{:=DashPUNCTUATION}');
Error('\P{:=DashPUNCTUATION}');
Expect(1, 45, '\p{dashpunctuation}', "");
Expect(0, 45, '\p{^dashpunctuation}', "");
Expect(0, 45, '\P{dashpunctuation}', "");
Expect(1, 45, '\P{^dashpunctuation}', "");
Expect(0, 44, '\p{dashpunctuation}', "");
Expect(1, 44, '\p{^dashpunctuation}', "");
Expect(1, 44, '\P{dashpunctuation}', "");
Expect(0, 44, '\P{^dashpunctuation}', "");
Expect(1, 45, '\p{		Dash punctuation}', "");
Expect(0, 45, '\p{^		Dash punctuation}', "");
Expect(0, 45, '\P{		Dash punctuation}', "");
Expect(1, 45, '\P{^		Dash punctuation}', "");
Expect(0, 44, '\p{		Dash punctuation}', "");
Expect(1, 44, '\p{^		Dash punctuation}', "");
Expect(1, 44, '\P{		Dash punctuation}', "");
Expect(0, 44, '\P{^		Dash punctuation}', "");
Error('\p{_Isdash-Punctuation:=}');
Error('\P{_Isdash-Punctuation:=}');
Expect(1, 45, '\p{isdashpunctuation}', "");
Expect(0, 45, '\p{^isdashpunctuation}', "");
Expect(0, 45, '\P{isdashpunctuation}', "");
Expect(1, 45, '\P{^isdashpunctuation}', "");
Expect(0, 44, '\p{isdashpunctuation}', "");
Expect(1, 44, '\p{^isdashpunctuation}', "");
Expect(1, 44, '\P{isdashpunctuation}', "");
Expect(0, 44, '\P{^isdashpunctuation}', "");
Expect(1, 45, '\p{	_IS_Dash	Punctuation}', "");
Expect(0, 45, '\p{^	_IS_Dash	Punctuation}', "");
Expect(0, 45, '\P{	_IS_Dash	Punctuation}', "");
Expect(1, 45, '\P{^	_IS_Dash	Punctuation}', "");
Expect(0, 44, '\p{	_IS_Dash	Punctuation}', "");
Expect(1, 44, '\p{^	_IS_Dash	Punctuation}', "");
Expect(1, 44, '\P{	_IS_Dash	Punctuation}', "");
Expect(0, 44, '\P{^	_IS_Dash	Punctuation}', "");
Error('\p{:=		PD}');
Error('\P{:=		PD}');
Expect(1, 45, '\p{pd}', "");
Expect(0, 45, '\p{^pd}', "");
Expect(0, 45, '\P{pd}', "");
Expect(1, 45, '\P{^pd}', "");
Expect(0, 44, '\p{pd}', "");
Expect(1, 44, '\p{^pd}', "");
Expect(1, 44, '\P{pd}', "");
Expect(0, 44, '\P{^pd}', "");
Expect(1, 45, '\p{  PD}', "");
Expect(0, 45, '\p{^  PD}', "");
Expect(0, 45, '\P{  PD}', "");
Expect(1, 45, '\P{^  PD}', "");
Expect(0, 44, '\p{  PD}', "");
Expect(1, 44, '\p{^  PD}', "");
Expect(1, 44, '\P{  PD}', "");
Expect(0, 44, '\P{^  PD}', "");
Error('\p{_	Is	Pd:=}');
Error('\P{_	Is	Pd:=}');
Expect(1, 45, '\p{ispd}', "");
Expect(0, 45, '\p{^ispd}', "");
Expect(0, 45, '\P{ispd}', "");
Expect(1, 45, '\P{^ispd}', "");
Expect(0, 44, '\p{ispd}', "");
Expect(1, 44, '\p{^ispd}', "");
Expect(1, 44, '\P{ispd}', "");
Expect(0, 44, '\P{^ispd}', "");
Expect(1, 45, '\p{-IS	Pd}', "");
Expect(0, 45, '\p{^-IS	Pd}', "");
Expect(0, 45, '\P{-IS	Pd}', "");
Expect(1, 45, '\P{^-IS	Pd}', "");
Expect(0, 44, '\p{-IS	Pd}', "");
Expect(1, 44, '\p{^-IS	Pd}', "");
Expect(1, 44, '\P{-IS	Pd}', "");
Expect(0, 44, '\P{^-IS	Pd}', "");
Error('\p{-/a/bopomofo_Extended}');
Error('\P{-/a/bopomofo_Extended}');
Expect(1, 12735, '\p{bopomofoextended}', "");
Expect(0, 12735, '\p{^bopomofoextended}', "");
Expect(0, 12735, '\P{bopomofoextended}', "");
Expect(1, 12735, '\P{^bopomofoextended}', "");
Expect(0, 12703, '\p{bopomofoextended}', "");
Expect(1, 12703, '\p{^bopomofoextended}', "");
Expect(1, 12703, '\P{bopomofoextended}', "");
Expect(0, 12703, '\P{^bopomofoextended}', "");
Expect(1, 12735, '\p{ bopomofo-Extended}', "");
Expect(0, 12735, '\p{^ bopomofo-Extended}', "");
Expect(0, 12735, '\P{ bopomofo-Extended}', "");
Expect(1, 12735, '\P{^ bopomofo-Extended}', "");
Expect(0, 12703, '\p{ bopomofo-Extended}', "");
Expect(1, 12703, '\p{^ bopomofo-Extended}', "");
Expect(1, 12703, '\P{ bopomofo-Extended}', "");
Expect(0, 12703, '\P{^ bopomofo-Extended}', "");
Error('\p{__IS:=Bopomofo	EXTENDED}');
Error('\P{__IS:=Bopomofo	EXTENDED}');
Expect(1, 12735, '\p{isbopomofoextended}', "");
Expect(0, 12735, '\p{^isbopomofoextended}', "");
Expect(0, 12735, '\P{isbopomofoextended}', "");
Expect(1, 12735, '\P{^isbopomofoextended}', "");
Expect(0, 12703, '\p{isbopomofoextended}', "");
Expect(1, 12703, '\p{^isbopomofoextended}', "");
Expect(1, 12703, '\P{isbopomofoextended}', "");
Expect(0, 12703, '\P{^isbopomofoextended}', "");
Expect(1, 12735, '\p{	Is-Bopomofo-EXTENDED}', "");
Expect(0, 12735, '\p{^	Is-Bopomofo-EXTENDED}', "");
Expect(0, 12735, '\P{	Is-Bopomofo-EXTENDED}', "");
Expect(1, 12735, '\P{^	Is-Bopomofo-EXTENDED}', "");
Expect(0, 12703, '\p{	Is-Bopomofo-EXTENDED}', "");
Expect(1, 12703, '\p{^	Is-Bopomofo-EXTENDED}', "");
Expect(1, 12703, '\P{	Is-Bopomofo-EXTENDED}', "");
Expect(0, 12703, '\P{^	Is-Bopomofo-EXTENDED}', "");
Error('\p{ /a/In BopomofoExtended}');
Error('\P{ /a/In BopomofoExtended}');
Expect(1, 12735, '\p{inbopomofoextended}', "");
Expect(0, 12735, '\p{^inbopomofoextended}', "");
Expect(0, 12735, '\P{inbopomofoextended}', "");
Expect(1, 12735, '\P{^inbopomofoextended}', "");
Expect(0, 12703, '\p{inbopomofoextended}', "");
Expect(1, 12703, '\p{^inbopomofoextended}', "");
Expect(1, 12703, '\P{inbopomofoextended}', "");
Expect(0, 12703, '\P{^inbopomofoextended}', "");
Expect(1, 12735, '\p{_ InBOPOMOFO	extended}', "");
Expect(0, 12735, '\p{^_ InBOPOMOFO	extended}', "");
Expect(0, 12735, '\P{_ InBOPOMOFO	extended}', "");
Expect(1, 12735, '\P{^_ InBOPOMOFO	extended}', "");
Expect(0, 12703, '\p{_ InBOPOMOFO	extended}', "");
Expect(1, 12703, '\p{^_ InBOPOMOFO	extended}', "");
Expect(1, 12703, '\P{_ InBOPOMOFO	extended}', "");
Expect(0, 12703, '\P{^_ InBOPOMOFO	extended}', "");
Error('\p{ /a/IN_khmer}');
Error('\P{ /a/IN_khmer}');
Expect(1, 6143, '\p{inkhmer}', "");
Expect(0, 6143, '\p{^inkhmer}', "");
Expect(0, 6143, '\P{inkhmer}', "");
Expect(1, 6143, '\P{^inkhmer}', "");
Expect(0, 6015, '\p{inkhmer}', "");
Expect(1, 6015, '\p{^inkhmer}', "");
Expect(1, 6015, '\P{inkhmer}', "");
Expect(0, 6015, '\P{^inkhmer}', "");
Expect(1, 6143, '\p{ INKhmer}', "");
Expect(0, 6143, '\p{^ INKhmer}', "");
Expect(0, 6143, '\P{ INKhmer}', "");
Expect(1, 6143, '\P{^ INKhmer}', "");
Expect(0, 6015, '\p{ INKhmer}', "");
Expect(1, 6015, '\p{^ INKhmer}', "");
Expect(1, 6015, '\P{ INKhmer}', "");
Expect(0, 6015, '\P{^ INKhmer}', "");
Error('\p{/a/--In	Samaritan}');
Error('\P{/a/--In	Samaritan}');
Expect(1, 2111, '\p{insamaritan}', "");
Expect(0, 2111, '\p{^insamaritan}', "");
Expect(0, 2111, '\P{insamaritan}', "");
Expect(1, 2111, '\P{^insamaritan}', "");
Expect(0, 2047, '\p{insamaritan}', "");
Expect(1, 2047, '\p{^insamaritan}', "");
Expect(1, 2047, '\P{insamaritan}', "");
Expect(0, 2047, '\P{^insamaritan}', "");
Expect(1, 2111, '\p{ InSAMARITAN}', "");
Expect(0, 2111, '\p{^ InSAMARITAN}', "");
Expect(0, 2111, '\P{ InSAMARITAN}', "");
Expect(1, 2111, '\P{^ InSAMARITAN}', "");
Expect(0, 2047, '\p{ InSAMARITAN}', "");
Expect(1, 2047, '\p{^ InSAMARITAN}', "");
Expect(1, 2047, '\P{ InSAMARITAN}', "");
Expect(0, 2047, '\P{^ InSAMARITAN}', "");
Error('\p{_-General_PUNCTUATION:=}');
Error('\P{_-General_PUNCTUATION:=}');
Expect(1, 8303, '\p{generalpunctuation}', "");
Expect(0, 8303, '\p{^generalpunctuation}', "");
Expect(0, 8303, '\P{generalpunctuation}', "");
Expect(1, 8303, '\P{^generalpunctuation}', "");
Expect(0, 8191, '\p{generalpunctuation}', "");
Expect(1, 8191, '\p{^generalpunctuation}', "");
Expect(1, 8191, '\P{generalpunctuation}', "");
Expect(0, 8191, '\P{^generalpunctuation}', "");
Expect(1, 8303, '\p{-General Punctuation}', "");
Expect(0, 8303, '\p{^-General Punctuation}', "");
Expect(0, 8303, '\P{-General Punctuation}', "");
Expect(1, 8303, '\P{^-General Punctuation}', "");
Expect(0, 8191, '\p{-General Punctuation}', "");
Expect(1, 8191, '\p{^-General Punctuation}', "");
Expect(1, 8191, '\P{-General Punctuation}', "");
Expect(0, 8191, '\P{^-General Punctuation}', "");
Error('\p{_-is_general:=punctuation}');
Error('\P{_-is_general:=punctuation}');
Expect(1, 8303, '\p{isgeneralpunctuation}', "");
Expect(0, 8303, '\p{^isgeneralpunctuation}', "");
Expect(0, 8303, '\P{isgeneralpunctuation}', "");
Expect(1, 8303, '\P{^isgeneralpunctuation}', "");
Expect(0, 8191, '\p{isgeneralpunctuation}', "");
Expect(1, 8191, '\p{^isgeneralpunctuation}', "");
Expect(1, 8191, '\P{isgeneralpunctuation}', "");
Expect(0, 8191, '\P{^isgeneralpunctuation}', "");
Expect(1, 8303, '\p{_IS	General_punctuation}', "");
Expect(0, 8303, '\p{^_IS	General_punctuation}', "");
Expect(0, 8303, '\P{_IS	General_punctuation}', "");
Expect(1, 8303, '\P{^_IS	General_punctuation}', "");
Expect(0, 8191, '\p{_IS	General_punctuation}', "");
Expect(1, 8191, '\p{^_IS	General_punctuation}', "");
Expect(1, 8191, '\P{_IS	General_punctuation}', "");
Expect(0, 8191, '\P{^_IS	General_punctuation}', "");
Error('\p{:=_IN	General_Punctuation}');
Error('\P{:=_IN	General_Punctuation}');
Expect(1, 8303, '\p{ingeneralpunctuation}', "");
Expect(0, 8303, '\p{^ingeneralpunctuation}', "");
Expect(0, 8303, '\P{ingeneralpunctuation}', "");
Expect(1, 8303, '\P{^ingeneralpunctuation}', "");
Expect(0, 8191, '\p{ingeneralpunctuation}', "");
Expect(1, 8191, '\p{^ingeneralpunctuation}', "");
Expect(1, 8191, '\P{ingeneralpunctuation}', "");
Expect(0, 8191, '\P{^ingeneralpunctuation}', "");
Expect(1, 8303, '\p{		in	General	punctuation}', "");
Expect(0, 8303, '\p{^		in	General	punctuation}', "");
Expect(0, 8303, '\P{		in	General	punctuation}', "");
Expect(1, 8303, '\P{^		in	General	punctuation}', "");
Expect(0, 8191, '\p{		in	General	punctuation}', "");
Expect(1, 8191, '\p{^		in	General	punctuation}', "");
Expect(1, 8191, '\P{		in	General	punctuation}', "");
Expect(0, 8191, '\P{^		in	General	punctuation}', "");
Error('\p{/a/In	GEORGIAN}');
Error('\P{/a/In	GEORGIAN}');
Expect(1, 4351, '\p{ingeorgian}', "");
Expect(0, 4351, '\p{^ingeorgian}', "");
Expect(0, 4351, '\P{ingeorgian}', "");
Expect(1, 4351, '\P{^ingeorgian}', "");
Expect(0, 4255, '\p{ingeorgian}', "");
Expect(1, 4255, '\p{^ingeorgian}', "");
Expect(1, 4255, '\P{ingeorgian}', "");
Expect(0, 4255, '\P{^ingeorgian}', "");
Expect(1, 4351, '\p{-INGEORGIAN}', "");
Expect(0, 4351, '\p{^-INGEORGIAN}', "");
Expect(0, 4351, '\P{-INGEORGIAN}', "");
Expect(1, 4351, '\P{^-INGEORGIAN}', "");
Expect(0, 4255, '\p{-INGEORGIAN}', "");
Expect(1, 4255, '\p{^-INGEORGIAN}', "");
Expect(1, 4255, '\P{-INGEORGIAN}', "");
Expect(0, 4255, '\P{^-INGEORGIAN}', "");
Error('\p{_	in:=LIMBU}');
Error('\P{_	in:=LIMBU}');
Expect(1, 6479, '\p{inlimbu}', "");
Expect(0, 6479, '\p{^inlimbu}', "");
Expect(0, 6479, '\P{inlimbu}', "");
Expect(1, 6479, '\P{^inlimbu}', "");
Expect(0, 6399, '\p{inlimbu}', "");
Expect(1, 6399, '\p{^inlimbu}', "");
Expect(1, 6399, '\P{inlimbu}', "");
Expect(0, 6399, '\P{^inlimbu}', "");
Expect(1, 6479, '\p{_In	Limbu}', "");
Expect(0, 6479, '\p{^_In	Limbu}', "");
Expect(0, 6479, '\P{_In	Limbu}', "");
Expect(1, 6479, '\P{^_In	Limbu}', "");
Expect(0, 6399, '\p{_In	Limbu}', "");
Expect(1, 6399, '\p{^_In	Limbu}', "");
Expect(1, 6399, '\P{_In	Limbu}', "");
Expect(0, 6399, '\P{^_In	Limbu}', "");
Error('\p{	 IN/a/LYDIAN}');
Error('\P{	 IN/a/LYDIAN}');
Expect(1, 67903, '\p{inlydian}', "");
Expect(0, 67903, '\p{^inlydian}', "");
Expect(0, 67903, '\P{inlydian}', "");
Expect(1, 67903, '\P{^inlydian}', "");
Expect(0, 67871, '\p{inlydian}', "");
Expect(1, 67871, '\p{^inlydian}', "");
Expect(1, 67871, '\P{inlydian}', "");
Expect(0, 67871, '\P{^inlydian}', "");
Expect(1, 67903, '\p{-_in	lydian}', "");
Expect(0, 67903, '\p{^-_in	lydian}', "");
Expect(0, 67903, '\P{-_in	lydian}', "");
Expect(1, 67903, '\P{^-_in	lydian}', "");
Expect(0, 67871, '\p{-_in	lydian}', "");
Expect(1, 67871, '\p{^-_in	lydian}', "");
Expect(1, 67871, '\P{-_in	lydian}', "");
Expect(0, 67871, '\P{^-_in	lydian}', "");
Error('\p{_	inOLD south-Arabian/a/}');
Error('\P{_	inOLD south-Arabian/a/}');
Expect(1, 68223, '\p{inoldsoutharabian}', "");
Expect(0, 68223, '\p{^inoldsoutharabian}', "");
Expect(0, 68223, '\P{inoldsoutharabian}', "");
Expect(1, 68223, '\P{^inoldsoutharabian}', "");
Expect(0, 68191, '\p{inoldsoutharabian}', "");
Expect(1, 68191, '\p{^inoldsoutharabian}', "");
Expect(1, 68191, '\P{inoldsoutharabian}', "");
Expect(0, 68191, '\P{^inoldsoutharabian}', "");
Expect(1, 68223, '\p{	-IN Old-South	arabian}', "");
Expect(0, 68223, '\p{^	-IN Old-South	arabian}', "");
Expect(0, 68223, '\P{	-IN Old-South	arabian}', "");
Expect(1, 68223, '\P{^	-IN Old-South	arabian}', "");
Expect(0, 68191, '\p{	-IN Old-South	arabian}', "");
Expect(1, 68191, '\p{^	-IN Old-South	arabian}', "");
Expect(1, 68191, '\P{	-IN Old-South	arabian}', "");
Expect(0, 68191, '\P{^	-IN Old-South	arabian}', "");
Error('\p{ :=IN	kharoshthi}');
Error('\P{ :=IN	kharoshthi}');
Expect(1, 68191, '\p{inkharoshthi}', "");
Expect(0, 68191, '\p{^inkharoshthi}', "");
Expect(0, 68191, '\P{inkharoshthi}', "");
Expect(1, 68191, '\P{^inkharoshthi}', "");
Expect(0, 68095, '\p{inkharoshthi}', "");
Expect(1, 68095, '\p{^inkharoshthi}', "");
Expect(1, 68095, '\P{inkharoshthi}', "");
Expect(0, 68095, '\P{^inkharoshthi}', "");
Expect(1, 68191, '\p{-_InKharoshthi}', "");
Expect(0, 68191, '\p{^-_InKharoshthi}', "");
Expect(0, 68191, '\P{-_InKharoshthi}', "");
Expect(1, 68191, '\P{^-_InKharoshthi}', "");
Expect(0, 68095, '\p{-_InKharoshthi}', "");
Expect(1, 68095, '\p{^-_InKharoshthi}', "");
Expect(1, 68095, '\P{-_InKharoshthi}', "");
Expect(0, 68095, '\P{^-_InKharoshthi}', "");
Error('\p{_/a/In	Bamum}');
Error('\P{_/a/In	Bamum}');
Expect(1, 42751, '\p{inbamum}', "");
Expect(0, 42751, '\p{^inbamum}', "");
Expect(0, 42751, '\P{inbamum}', "");
Expect(1, 42751, '\P{^inbamum}', "");
Expect(0, 42655, '\p{inbamum}', "");
Expect(1, 42655, '\p{^inbamum}', "");
Expect(1, 42655, '\P{inbamum}', "");
Expect(0, 42655, '\P{^inbamum}', "");
Expect(1, 42751, '\p{ in	Bamum}', "");
Expect(0, 42751, '\p{^ in	Bamum}', "");
Expect(0, 42751, '\P{ in	Bamum}', "");
Expect(1, 42751, '\P{^ in	Bamum}', "");
Expect(0, 42655, '\p{ in	Bamum}', "");
Expect(1, 42655, '\p{^ in	Bamum}', "");
Expect(1, 42655, '\P{ in	Bamum}', "");
Expect(0, 42655, '\P{^ in	Bamum}', "");
Error('\p{__changes/a/When Casemapped}');
Error('\P{__changes/a/When Casemapped}');
Expect(1, 90, '\p{changeswhencasemapped}', "");
Expect(0, 90, '\p{^changeswhencasemapped}', "");
Expect(0, 90, '\P{changeswhencasemapped}', "");
Expect(1, 90, '\P{^changeswhencasemapped}', "");
Expect(0, 64, '\p{changeswhencasemapped}', "");
Expect(1, 64, '\p{^changeswhencasemapped}', "");
Expect(1, 64, '\P{changeswhencasemapped}', "");
Expect(0, 64, '\P{^changeswhencasemapped}', "");
Expect(1, 90, '\p{_Changes-When-Casemapped}', "");
Expect(0, 90, '\p{^_Changes-When-Casemapped}', "");
Expect(0, 90, '\P{_Changes-When-Casemapped}', "");
Expect(1, 90, '\P{^_Changes-When-Casemapped}', "");
Expect(0, 64, '\p{_Changes-When-Casemapped}', "");
Expect(1, 64, '\p{^_Changes-When-Casemapped}', "");
Expect(1, 64, '\P{_Changes-When-Casemapped}', "");
Expect(0, 64, '\P{^_Changes-When-Casemapped}', "");
Error('\p{-	Is-changes WHEN/a/Casemapped}');
Error('\P{-	Is-changes WHEN/a/Casemapped}');
Expect(1, 90, '\p{ischangeswhencasemapped}', "");
Expect(0, 90, '\p{^ischangeswhencasemapped}', "");
Expect(0, 90, '\P{ischangeswhencasemapped}', "");
Expect(1, 90, '\P{^ischangeswhencasemapped}', "");
Expect(0, 64, '\p{ischangeswhencasemapped}', "");
Expect(1, 64, '\p{^ischangeswhencasemapped}', "");
Expect(1, 64, '\P{ischangeswhencasemapped}', "");
Expect(0, 64, '\P{^ischangeswhencasemapped}', "");
Expect(1, 90, '\p{ is_CHANGES WHEN_Casemapped}', "");
Expect(0, 90, '\p{^ is_CHANGES WHEN_Casemapped}', "");
Expect(0, 90, '\P{ is_CHANGES WHEN_Casemapped}', "");
Expect(1, 90, '\P{^ is_CHANGES WHEN_Casemapped}', "");
Expect(0, 64, '\p{ is_CHANGES WHEN_Casemapped}', "");
Expect(1, 64, '\p{^ is_CHANGES WHEN_Casemapped}', "");
Expect(1, 64, '\P{ is_CHANGES WHEN_Casemapped}', "");
Expect(0, 64, '\P{^ is_CHANGES WHEN_Casemapped}', "");
Error('\p{:= -CWCM}');
Error('\P{:= -CWCM}');
Expect(1, 90, '\p{cwcm}', "");
Expect(0, 90, '\p{^cwcm}', "");
Expect(0, 90, '\P{cwcm}', "");
Expect(1, 90, '\P{^cwcm}', "");
Expect(0, 64, '\p{cwcm}', "");
Expect(1, 64, '\p{^cwcm}', "");
Expect(1, 64, '\P{cwcm}', "");
Expect(0, 64, '\P{^cwcm}', "");
Expect(1, 90, '\p{_	CWCM}', "");
Expect(0, 90, '\p{^_	CWCM}', "");
Expect(0, 90, '\P{_	CWCM}', "");
Expect(1, 90, '\P{^_	CWCM}', "");
Expect(0, 64, '\p{_	CWCM}', "");
Expect(1, 64, '\p{^_	CWCM}', "");
Expect(1, 64, '\P{_	CWCM}', "");
Expect(0, 64, '\P{^_	CWCM}', "");
Error('\p{ Is/a/CWCM}');
Error('\P{ Is/a/CWCM}');
Expect(1, 90, '\p{iscwcm}', "");
Expect(0, 90, '\p{^iscwcm}', "");
Expect(0, 90, '\P{iscwcm}', "");
Expect(1, 90, '\P{^iscwcm}', "");
Expect(0, 64, '\p{iscwcm}', "");
Expect(1, 64, '\p{^iscwcm}', "");
Expect(1, 64, '\P{iscwcm}', "");
Expect(0, 64, '\P{^iscwcm}', "");
Expect(1, 90, '\p{-	Is	CWCM}', "");
Expect(0, 90, '\p{^-	Is	CWCM}', "");
Expect(0, 90, '\P{-	Is	CWCM}', "");
Expect(1, 90, '\P{^-	Is	CWCM}', "");
Expect(0, 64, '\p{-	Is	CWCM}', "");
Expect(1, 64, '\p{^-	Is	CWCM}', "");
Expect(1, 64, '\P{-	Is	CWCM}', "");
Expect(0, 64, '\P{^-	Is	CWCM}', "");
Error('\p{	/a/Dash}');
Error('\P{	/a/Dash}');
Expect(1, 45, '\p{dash}', "");
Expect(0, 45, '\p{^dash}', "");
Expect(0, 45, '\P{dash}', "");
Expect(1, 45, '\P{^dash}', "");
Expect(0, 44, '\p{dash}', "");
Expect(1, 44, '\p{^dash}', "");
Expect(1, 44, '\P{dash}', "");
Expect(0, 44, '\P{^dash}', "");
Expect(1, 45, '\p{__dash}', "");
Expect(0, 45, '\p{^__dash}', "");
Expect(0, 45, '\P{__dash}', "");
Expect(1, 45, '\P{^__dash}', "");
Expect(0, 44, '\p{__dash}', "");
Expect(1, 44, '\p{^__dash}', "");
Expect(1, 44, '\P{__dash}', "");
Expect(0, 44, '\P{^__dash}', "");
Error('\p{/a/-IS_DASH}');
Error('\P{/a/-IS_DASH}');
Expect(1, 45, '\p{isdash}', "");
Expect(0, 45, '\p{^isdash}', "");
Expect(0, 45, '\P{isdash}', "");
Expect(1, 45, '\P{^isdash}', "");
Expect(0, 44, '\p{isdash}', "");
Expect(1, 44, '\p{^isdash}', "");
Expect(1, 44, '\P{isdash}', "");
Expect(0, 44, '\P{^isdash}', "");
Expect(1, 45, '\p{_IS-dash}', "");
Expect(0, 45, '\p{^_IS-dash}', "");
Expect(0, 45, '\P{_IS-dash}', "");
Expect(1, 45, '\P{^_IS-dash}', "");
Expect(0, 44, '\p{_IS-dash}', "");
Expect(1, 44, '\p{^_IS-dash}', "");
Expect(1, 44, '\P{_IS-dash}', "");
Expect(0, 44, '\P{^_IS-dash}', "");
Error('\p{_-countingrod-Numerals:=}');
Error('\P{_-countingrod-Numerals:=}');
Expect(1, 119679, '\p{countingrodnumerals}', "");
Expect(0, 119679, '\p{^countingrodnumerals}', "");
Expect(0, 119679, '\P{countingrodnumerals}', "");
Expect(1, 119679, '\P{^countingrodnumerals}', "");
Expect(0, 119647, '\p{countingrodnumerals}', "");
Expect(1, 119647, '\p{^countingrodnumerals}', "");
Expect(1, 119647, '\P{countingrodnumerals}', "");
Expect(0, 119647, '\P{^countingrodnumerals}', "");
Expect(1, 119679, '\p{		Counting	RodNumerals}', "");
Expect(0, 119679, '\p{^		Counting	RodNumerals}', "");
Expect(0, 119679, '\P{		Counting	RodNumerals}', "");
Expect(1, 119679, '\P{^		Counting	RodNumerals}', "");
Expect(0, 119647, '\p{		Counting	RodNumerals}', "");
Expect(1, 119647, '\p{^		Counting	RodNumerals}', "");
Expect(1, 119647, '\P{		Counting	RodNumerals}', "");
Expect(0, 119647, '\P{^		Counting	RodNumerals}', "");
Error('\p{ IS/a/Counting_RODNUMERALS}');
Error('\P{ IS/a/Counting_RODNUMERALS}');
Expect(1, 119679, '\p{iscountingrodnumerals}', "");
Expect(0, 119679, '\p{^iscountingrodnumerals}', "");
Expect(0, 119679, '\P{iscountingrodnumerals}', "");
Expect(1, 119679, '\P{^iscountingrodnumerals}', "");
Expect(0, 119647, '\p{iscountingrodnumerals}', "");
Expect(1, 119647, '\p{^iscountingrodnumerals}', "");
Expect(1, 119647, '\P{iscountingrodnumerals}', "");
Expect(0, 119647, '\P{^iscountingrodnumerals}', "");
Expect(1, 119679, '\p{ -Is-COUNTING_RodNumerals}', "");
Expect(0, 119679, '\p{^ -Is-COUNTING_RodNumerals}', "");
Expect(0, 119679, '\P{ -Is-COUNTING_RodNumerals}', "");
Expect(1, 119679, '\P{^ -Is-COUNTING_RodNumerals}', "");
Expect(0, 119647, '\p{ -Is-COUNTING_RodNumerals}', "");
Expect(1, 119647, '\p{^ -Is-COUNTING_RodNumerals}', "");
Expect(1, 119647, '\P{ -Is-COUNTING_RodNumerals}', "");
Expect(0, 119647, '\P{^ -Is-COUNTING_RodNumerals}', "");
Error('\p{_In:=Counting	Rod_NUMERALS}');
Error('\P{_In:=Counting	Rod_NUMERALS}');
Expect(1, 119679, '\p{incountingrodnumerals}', "");
Expect(0, 119679, '\p{^incountingrodnumerals}', "");
Expect(0, 119679, '\P{incountingrodnumerals}', "");
Expect(1, 119679, '\P{^incountingrodnumerals}', "");
Expect(0, 119647, '\p{incountingrodnumerals}', "");
Expect(1, 119647, '\p{^incountingrodnumerals}', "");
Expect(1, 119647, '\P{incountingrodnumerals}', "");
Expect(0, 119647, '\P{^incountingrodnumerals}', "");
Expect(1, 119679, '\p{  In-COUNTINGRod_numerals}', "");
Expect(0, 119679, '\p{^  In-COUNTINGRod_numerals}', "");
Expect(0, 119679, '\P{  In-COUNTINGRod_numerals}', "");
Expect(1, 119679, '\P{^  In-COUNTINGRod_numerals}', "");
Expect(0, 119647, '\p{  In-COUNTINGRod_numerals}', "");
Expect(1, 119647, '\p{^  In-COUNTINGRod_numerals}', "");
Expect(1, 119647, '\P{  In-COUNTINGRod_numerals}', "");
Expect(0, 119647, '\P{^  In-COUNTINGRod_numerals}', "");
Error('\p{_/a/ENCLOSEDAlphanumeric	Supplement}');
Error('\P{_/a/ENCLOSEDAlphanumeric	Supplement}');
Expect(1, 127487, '\p{enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^enclosedalphanumericsupplement}', "");
Expect(0, 127231, '\p{enclosedalphanumericsupplement}', "");
Expect(1, 127231, '\p{^enclosedalphanumericsupplement}', "");
Expect(1, 127231, '\P{enclosedalphanumericsupplement}', "");
Expect(0, 127231, '\P{^enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{	enclosed_ALPHANUMERIC	supplement}', "");
Expect(0, 127487, '\p{^	enclosed_ALPHANUMERIC	supplement}', "");
Expect(0, 127487, '\P{	enclosed_ALPHANUMERIC	supplement}', "");
Expect(1, 127487, '\P{^	enclosed_ALPHANUMERIC	supplement}', "");
Expect(0, 127231, '\p{	enclosed_ALPHANUMERIC	supplement}', "");
Expect(1, 127231, '\p{^	enclosed_ALPHANUMERIC	supplement}', "");
Expect(1, 127231, '\P{	enclosed_ALPHANUMERIC	supplement}', "");
Expect(0, 127231, '\P{^	enclosed_ALPHANUMERIC	supplement}', "");
Error('\p{ _Is-ENCLOSEDALPHANUMERIC	supplement:=}');
Error('\P{ _Is-ENCLOSEDALPHANUMERIC	supplement:=}');
Expect(1, 127487, '\p{isenclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^isenclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{isenclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^isenclosedalphanumericsupplement}', "");
Expect(0, 127231, '\p{isenclosedalphanumericsupplement}', "");
Expect(1, 127231, '\p{^isenclosedalphanumericsupplement}', "");
Expect(1, 127231, '\P{isenclosedalphanumericsupplement}', "");
Expect(0, 127231, '\P{^isenclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{	IS-Enclosed_Alphanumeric	Supplement}', "");
Expect(0, 127487, '\p{^	IS-Enclosed_Alphanumeric	Supplement}', "");
Expect(0, 127487, '\P{	IS-Enclosed_Alphanumeric	Supplement}', "");
Expect(1, 127487, '\P{^	IS-Enclosed_Alphanumeric	Supplement}', "");
Expect(0, 127231, '\p{	IS-Enclosed_Alphanumeric	Supplement}', "");
Expect(1, 127231, '\p{^	IS-Enclosed_Alphanumeric	Supplement}', "");
Expect(1, 127231, '\P{	IS-Enclosed_Alphanumeric	Supplement}', "");
Expect(0, 127231, '\P{^	IS-Enclosed_Alphanumeric	Supplement}', "");
Error('\p{ /a/In-EnclosedALPHANUMERICSupplement}');
Error('\P{ /a/In-EnclosedALPHANUMERICSupplement}');
Expect(1, 127487, '\p{inenclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^inenclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{inenclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^inenclosedalphanumericsupplement}', "");
Expect(0, 127231, '\p{inenclosedalphanumericsupplement}', "");
Expect(1, 127231, '\p{^inenclosedalphanumericsupplement}', "");
Expect(1, 127231, '\P{inenclosedalphanumericsupplement}', "");
Expect(0, 127231, '\P{^inenclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{ In	Enclosedalphanumeric-SUPPLEMENT}', "");
Expect(0, 127487, '\p{^ In	Enclosedalphanumeric-SUPPLEMENT}', "");
Expect(0, 127487, '\P{ In	Enclosedalphanumeric-SUPPLEMENT}', "");
Expect(1, 127487, '\P{^ In	Enclosedalphanumeric-SUPPLEMENT}', "");
Expect(0, 127231, '\p{ In	Enclosedalphanumeric-SUPPLEMENT}', "");
Expect(1, 127231, '\p{^ In	Enclosedalphanumeric-SUPPLEMENT}', "");
Expect(1, 127231, '\P{ In	Enclosedalphanumeric-SUPPLEMENT}', "");
Expect(0, 127231, '\P{^ In	Enclosedalphanumeric-SUPPLEMENT}', "");
Error('\p{/a/in	tamil}');
Error('\P{/a/in	tamil}');
Expect(1, 3071, '\p{intamil}', "");
Expect(0, 3071, '\p{^intamil}', "");
Expect(0, 3071, '\P{intamil}', "");
Expect(1, 3071, '\P{^intamil}', "");
Expect(0, 2943, '\p{intamil}', "");
Expect(1, 2943, '\p{^intamil}', "");
Expect(1, 2943, '\P{intamil}', "");
Expect(0, 2943, '\P{^intamil}', "");
Expect(1, 3071, '\p{	_IN	Tamil}', "");
Expect(0, 3071, '\p{^	_IN	Tamil}', "");
Expect(0, 3071, '\P{	_IN	Tamil}', "");
Expect(1, 3071, '\P{^	_IN	Tamil}', "");
Expect(0, 2943, '\p{	_IN	Tamil}', "");
Expect(1, 2943, '\p{^	_IN	Tamil}', "");
Expect(1, 2943, '\P{	_IN	Tamil}', "");
Expect(0, 2943, '\P{^	_IN	Tamil}', "");
Error('\p{_	In:=Ethiopic}');
Error('\P{_	In:=Ethiopic}');
Expect(1, 4991, '\p{inethiopic}', "");
Expect(0, 4991, '\p{^inethiopic}', "");
Expect(0, 4991, '\P{inethiopic}', "");
Expect(1, 4991, '\P{^inethiopic}', "");
Expect(0, 4607, '\p{inethiopic}', "");
Expect(1, 4607, '\p{^inethiopic}', "");
Expect(1, 4607, '\P{inethiopic}', "");
Expect(0, 4607, '\P{^inethiopic}', "");
Expect(1, 4991, '\p{-_IN ethiopic}', "");
Expect(0, 4991, '\p{^-_IN ethiopic}', "");
Expect(0, 4991, '\P{-_IN ethiopic}', "");
Expect(1, 4991, '\P{^-_IN ethiopic}', "");
Expect(0, 4607, '\p{-_IN ethiopic}', "");
Expect(1, 4607, '\p{^-_IN ethiopic}', "");
Expect(1, 4607, '\P{-_IN ethiopic}', "");
Expect(0, 4607, '\P{^-_IN ethiopic}', "");
Error('\p{/a/ 	In-Tai Le}');
Error('\P{/a/ 	In-Tai Le}');
Expect(1, 6527, '\p{intaile}', "");
Expect(0, 6527, '\p{^intaile}', "");
Expect(0, 6527, '\P{intaile}', "");
Expect(1, 6527, '\P{^intaile}', "");
Expect(0, 6479, '\p{intaile}', "");
Expect(1, 6479, '\p{^intaile}', "");
Expect(1, 6479, '\P{intaile}', "");
Expect(0, 6479, '\P{^intaile}', "");
Expect(1, 6527, '\p{_in	Tai Le}', "");
Expect(0, 6527, '\p{^_in	Tai Le}', "");
Expect(0, 6527, '\P{_in	Tai Le}', "");
Expect(1, 6527, '\P{^_in	Tai Le}', "");
Expect(0, 6479, '\p{_in	Tai Le}', "");
Expect(1, 6479, '\p{^_in	Tai Le}', "");
Expect(1, 6479, '\P{_in	Tai Le}', "");
Expect(0, 6479, '\P{^_in	Tai Le}', "");
Error('\p{  Kangxi/a/Radicals}');
Error('\P{  Kangxi/a/Radicals}');
Expect(1, 12255, '\p{kangxiradicals}', "");
Expect(0, 12255, '\p{^kangxiradicals}', "");
Expect(0, 12255, '\P{kangxiradicals}', "");
Expect(1, 12255, '\P{^kangxiradicals}', "");
Expect(0, 12031, '\p{kangxiradicals}', "");
Expect(1, 12031, '\p{^kangxiradicals}', "");
Expect(1, 12031, '\P{kangxiradicals}', "");
Expect(0, 12031, '\P{^kangxiradicals}', "");
Expect(1, 12255, '\p{	 KANGXI-Radicals}', "");
Expect(0, 12255, '\p{^	 KANGXI-Radicals}', "");
Expect(0, 12255, '\P{	 KANGXI-Radicals}', "");
Expect(1, 12255, '\P{^	 KANGXI-Radicals}', "");
Expect(0, 12031, '\p{	 KANGXI-Radicals}', "");
Expect(1, 12031, '\p{^	 KANGXI-Radicals}', "");
Expect(1, 12031, '\P{	 KANGXI-Radicals}', "");
Expect(0, 12031, '\P{^	 KANGXI-Radicals}', "");
Error('\p{_/a/is_Kangxi Radicals}');
Error('\P{_/a/is_Kangxi Radicals}');
Expect(1, 12255, '\p{iskangxiradicals}', "");
Expect(0, 12255, '\p{^iskangxiradicals}', "");
Expect(0, 12255, '\P{iskangxiradicals}', "");
Expect(1, 12255, '\P{^iskangxiradicals}', "");
Expect(0, 12031, '\p{iskangxiradicals}', "");
Expect(1, 12031, '\p{^iskangxiradicals}', "");
Expect(1, 12031, '\P{iskangxiradicals}', "");
Expect(0, 12031, '\P{^iskangxiradicals}', "");
Expect(1, 12255, '\p{ 	ISKangxiradicals}', "");
Expect(0, 12255, '\p{^ 	ISKangxiradicals}', "");
Expect(0, 12255, '\P{ 	ISKangxiradicals}', "");
Expect(1, 12255, '\P{^ 	ISKangxiradicals}', "");
Expect(0, 12031, '\p{ 	ISKangxiradicals}', "");
Expect(1, 12031, '\p{^ 	ISKangxiradicals}', "");
Expect(1, 12031, '\P{ 	ISKangxiradicals}', "");
Expect(0, 12031, '\P{^ 	ISKangxiradicals}', "");
Error('\p{ inKangxiRadicals:=}');
Error('\P{ inKangxiRadicals:=}');
Expect(1, 12255, '\p{inkangxiradicals}', "");
Expect(0, 12255, '\p{^inkangxiradicals}', "");
Expect(0, 12255, '\P{inkangxiradicals}', "");
Expect(1, 12255, '\P{^inkangxiradicals}', "");
Expect(0, 12031, '\p{inkangxiradicals}', "");
Expect(1, 12031, '\p{^inkangxiradicals}', "");
Expect(1, 12031, '\P{inkangxiradicals}', "");
Expect(0, 12031, '\P{^inkangxiradicals}', "");
Expect(1, 12255, '\p{_ In_Kangxi_Radicals}', "");
Expect(0, 12255, '\p{^_ In_Kangxi_Radicals}', "");
Expect(0, 12255, '\P{_ In_Kangxi_Radicals}', "");
Expect(1, 12255, '\P{^_ In_Kangxi_Radicals}', "");
Expect(0, 12031, '\p{_ In_Kangxi_Radicals}', "");
Expect(1, 12031, '\p{^_ In_Kangxi_Radicals}', "");
Expect(1, 12031, '\P{_ In_Kangxi_Radicals}', "");
Expect(0, 12031, '\P{^_ In_Kangxi_Radicals}', "");
Error('\p{:=_-IN	HEBREW}');
Error('\P{:=_-IN	HEBREW}');
Expect(1, 1535, '\p{inhebrew}', "");
Expect(0, 1535, '\p{^inhebrew}', "");
Expect(0, 1535, '\P{inhebrew}', "");
Expect(1, 1535, '\P{^inhebrew}', "");
Expect(0, 1423, '\p{inhebrew}', "");
Expect(1, 1423, '\p{^inhebrew}', "");
Expect(1, 1423, '\P{inhebrew}', "");
Expect(0, 1423, '\P{^inhebrew}', "");
Expect(1, 1535, '\p{_-IN Hebrew}', "");
Expect(0, 1535, '\p{^_-IN Hebrew}', "");
Expect(0, 1535, '\P{_-IN Hebrew}', "");
Expect(1, 1535, '\P{^_-IN Hebrew}', "");
Expect(0, 1423, '\p{_-IN Hebrew}', "");
Expect(1, 1423, '\p{^_-IN Hebrew}', "");
Expect(1, 1423, '\P{_-IN Hebrew}', "");
Expect(0, 1423, '\P{^_-IN Hebrew}', "");
Error('\p{	/a/InInscriptional-parthian}');
Error('\P{	/a/InInscriptional-parthian}');
Expect(1, 68447, '\p{ininscriptionalparthian}', "");
Expect(0, 68447, '\p{^ininscriptionalparthian}', "");
Expect(0, 68447, '\P{ininscriptionalparthian}', "");
Expect(1, 68447, '\P{^ininscriptionalparthian}', "");
Expect(0, 68415, '\p{ininscriptionalparthian}', "");
Expect(1, 68415, '\p{^ininscriptionalparthian}', "");
Expect(1, 68415, '\P{ininscriptionalparthian}', "");
Expect(0, 68415, '\P{^ininscriptionalparthian}', "");
Expect(1, 68447, '\p{-	in-inscriptional	PARTHIAN}', "");
Expect(0, 68447, '\p{^-	in-inscriptional	PARTHIAN}', "");
Expect(0, 68447, '\P{-	in-inscriptional	PARTHIAN}', "");
Expect(1, 68447, '\P{^-	in-inscriptional	PARTHIAN}', "");
Expect(0, 68415, '\p{-	in-inscriptional	PARTHIAN}', "");
Expect(1, 68415, '\p{^-	in-inscriptional	PARTHIAN}', "");
Expect(1, 68415, '\P{-	in-inscriptional	PARTHIAN}', "");
Expect(0, 68415, '\P{^-	in-inscriptional	PARTHIAN}', "");
Error('\p{_-In:=New-TAIlue}');
Error('\P{_-In:=New-TAIlue}');
Expect(1, 6623, '\p{innewtailue}', "");
Expect(0, 6623, '\p{^innewtailue}', "");
Expect(0, 6623, '\P{innewtailue}', "");
Expect(1, 6623, '\P{^innewtailue}', "");
Expect(0, 6527, '\p{innewtailue}', "");
Expect(1, 6527, '\p{^innewtailue}', "");
Expect(1, 6527, '\P{innewtailue}', "");
Expect(0, 6527, '\P{^innewtailue}', "");
Expect(1, 6623, '\p{innew_Tai lue}', "");
Expect(0, 6623, '\p{^innew_Tai lue}', "");
Expect(0, 6623, '\P{innew_Tai lue}', "");
Expect(1, 6623, '\P{^innew_Tai lue}', "");
Expect(0, 6527, '\p{innew_Tai lue}', "");
Expect(1, 6527, '\p{^innew_Tai lue}', "");
Expect(1, 6527, '\P{innew_Tai lue}', "");
Expect(0, 6527, '\P{^innew_Tai lue}', "");
Error('\p{--In:=IMPERIAL-ARAMAIC}');
Error('\P{--In:=IMPERIAL-ARAMAIC}');
Expect(1, 67679, '\p{inimperialaramaic}', "");
Expect(0, 67679, '\p{^inimperialaramaic}', "");
Expect(0, 67679, '\P{inimperialaramaic}', "");
Expect(1, 67679, '\P{^inimperialaramaic}', "");
Expect(0, 67647, '\p{inimperialaramaic}', "");
Expect(1, 67647, '\p{^inimperialaramaic}', "");
Expect(1, 67647, '\P{inimperialaramaic}', "");
Expect(0, 67647, '\P{^inimperialaramaic}', "");
Expect(1, 67679, '\p{	-In_IMPERIAL-ARAMAIC}', "");
Expect(0, 67679, '\p{^	-In_IMPERIAL-ARAMAIC}', "");
Expect(0, 67679, '\P{	-In_IMPERIAL-ARAMAIC}', "");
Expect(1, 67679, '\P{^	-In_IMPERIAL-ARAMAIC}', "");
Expect(0, 67647, '\p{	-In_IMPERIAL-ARAMAIC}', "");
Expect(1, 67647, '\p{^	-In_IMPERIAL-ARAMAIC}', "");
Expect(1, 67647, '\P{	-In_IMPERIAL-ARAMAIC}', "");
Expect(0, 67647, '\P{^	-In_IMPERIAL-ARAMAIC}', "");
Error('\p{	CJK-COMPATIBILITY	forms:=}');
Error('\P{	CJK-COMPATIBILITY	forms:=}');
Expect(1, 65103, '\p{cjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^cjkcompatibilityforms}', "");
Expect(0, 65103, '\P{cjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^cjkcompatibilityforms}', "");
Expect(0, 65071, '\p{cjkcompatibilityforms}', "");
Expect(1, 65071, '\p{^cjkcompatibilityforms}', "");
Expect(1, 65071, '\P{cjkcompatibilityforms}', "");
Expect(0, 65071, '\P{^cjkcompatibilityforms}', "");
Expect(1, 65103, '\p{ 	CJKcompatibility_Forms}', "");
Expect(0, 65103, '\p{^ 	CJKcompatibility_Forms}', "");
Expect(0, 65103, '\P{ 	CJKcompatibility_Forms}', "");
Expect(1, 65103, '\P{^ 	CJKcompatibility_Forms}', "");
Expect(0, 65071, '\p{ 	CJKcompatibility_Forms}', "");
Expect(1, 65071, '\p{^ 	CJKcompatibility_Forms}', "");
Expect(1, 65071, '\P{ 	CJKcompatibility_Forms}', "");
Expect(0, 65071, '\P{^ 	CJKcompatibility_Forms}', "");
Error('\p{:=Is_CJK_Compatibility_Forms}');
Error('\P{:=Is_CJK_Compatibility_Forms}');
Expect(1, 65103, '\p{iscjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^iscjkcompatibilityforms}', "");
Expect(0, 65103, '\P{iscjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^iscjkcompatibilityforms}', "");
Expect(0, 65071, '\p{iscjkcompatibilityforms}', "");
Expect(1, 65071, '\p{^iscjkcompatibilityforms}', "");
Expect(1, 65071, '\P{iscjkcompatibilityforms}', "");
Expect(0, 65071, '\P{^iscjkcompatibilityforms}', "");
Expect(1, 65103, '\p{--Is	CJK_compatibility_Forms}', "");
Expect(0, 65103, '\p{^--Is	CJK_compatibility_Forms}', "");
Expect(0, 65103, '\P{--Is	CJK_compatibility_Forms}', "");
Expect(1, 65103, '\P{^--Is	CJK_compatibility_Forms}', "");
Expect(0, 65071, '\p{--Is	CJK_compatibility_Forms}', "");
Expect(1, 65071, '\p{^--Is	CJK_compatibility_Forms}', "");
Expect(1, 65071, '\P{--Is	CJK_compatibility_Forms}', "");
Expect(0, 65071, '\P{^--Is	CJK_compatibility_Forms}', "");
Error('\p{:=IN-CJKcompatibility-Forms}');
Error('\P{:=IN-CJKcompatibility-Forms}');
Expect(1, 65103, '\p{incjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^incjkcompatibilityforms}', "");
Expect(0, 65103, '\P{incjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^incjkcompatibilityforms}', "");
Expect(0, 65071, '\p{incjkcompatibilityforms}', "");
Expect(1, 65071, '\p{^incjkcompatibilityforms}', "");
Expect(1, 65071, '\P{incjkcompatibilityforms}', "");
Expect(0, 65071, '\P{^incjkcompatibilityforms}', "");
Expect(1, 65103, '\p{--in_CJK_CompatibilityFORMS}', "");
Expect(0, 65103, '\p{^--in_CJK_CompatibilityFORMS}', "");
Expect(0, 65103, '\P{--in_CJK_CompatibilityFORMS}', "");
Expect(1, 65103, '\P{^--in_CJK_CompatibilityFORMS}', "");
Expect(0, 65071, '\p{--in_CJK_CompatibilityFORMS}', "");
Expect(1, 65071, '\p{^--in_CJK_CompatibilityFORMS}', "");
Expect(1, 65071, '\P{--in_CJK_CompatibilityFORMS}', "");
Expect(0, 65071, '\P{^--in_CJK_CompatibilityFORMS}', "");
Error('\p{In-SAURASHTRA/a/}');
Error('\P{In-SAURASHTRA/a/}');
Expect(1, 43231, '\p{insaurashtra}', "");
Expect(0, 43231, '\p{^insaurashtra}', "");
Expect(0, 43231, '\P{insaurashtra}', "");
Expect(1, 43231, '\P{^insaurashtra}', "");
Expect(0, 43135, '\p{insaurashtra}', "");
Expect(1, 43135, '\p{^insaurashtra}', "");
Expect(1, 43135, '\P{insaurashtra}', "");
Expect(0, 43135, '\P{^insaurashtra}', "");
Expect(1, 43231, '\p{_In	SAURASHTRA}', "");
Expect(0, 43231, '\p{^_In	SAURASHTRA}', "");
Expect(0, 43231, '\P{_In	SAURASHTRA}', "");
Expect(1, 43231, '\P{^_In	SAURASHTRA}', "");
Expect(0, 43135, '\p{_In	SAURASHTRA}', "");
Expect(1, 43135, '\p{^_In	SAURASHTRA}', "");
Expect(1, 43135, '\P{_In	SAURASHTRA}', "");
Expect(0, 43135, '\P{^_In	SAURASHTRA}', "");
Error('\p{	:=InGujarati}');
Error('\P{	:=InGujarati}');
Expect(1, 2815, '\p{ingujarati}', "");
Expect(0, 2815, '\p{^ingujarati}', "");
Expect(0, 2815, '\P{ingujarati}', "");
Expect(1, 2815, '\P{^ingujarati}', "");
Expect(0, 2687, '\p{ingujarati}', "");
Expect(1, 2687, '\p{^ingujarati}', "");
Expect(1, 2687, '\P{ingujarati}', "");
Expect(0, 2687, '\P{^ingujarati}', "");
Expect(1, 2815, '\p{	In gujarati}', "");
Expect(0, 2815, '\p{^	In gujarati}', "");
Expect(0, 2815, '\P{	In gujarati}', "");
Expect(1, 2815, '\P{^	In gujarati}', "");
Expect(0, 2687, '\p{	In gujarati}', "");
Expect(1, 2687, '\p{^	In gujarati}', "");
Expect(1, 2687, '\P{	In gujarati}', "");
Expect(0, 2687, '\P{^	In gujarati}', "");
Error('\p{-	in_Osmanya/a/}');
Error('\P{-	in_Osmanya/a/}');
Expect(1, 66735, '\p{inosmanya}', "");
Expect(0, 66735, '\p{^inosmanya}', "");
Expect(0, 66735, '\P{inosmanya}', "");
Expect(1, 66735, '\P{^inosmanya}', "");
Expect(0, 66687, '\p{inosmanya}', "");
Expect(1, 66687, '\p{^inosmanya}', "");
Expect(1, 66687, '\P{inosmanya}', "");
Expect(0, 66687, '\P{^inosmanya}', "");
Expect(1, 66735, '\p{ 	IN-osmanya}', "");
Expect(0, 66735, '\p{^ 	IN-osmanya}', "");
Expect(0, 66735, '\P{ 	IN-osmanya}', "");
Expect(1, 66735, '\P{^ 	IN-osmanya}', "");
Expect(0, 66687, '\p{ 	IN-osmanya}', "");
Expect(1, 66687, '\p{^ 	IN-osmanya}', "");
Expect(1, 66687, '\P{ 	IN-osmanya}', "");
Expect(0, 66687, '\P{^ 	IN-osmanya}', "");
Error('\p{	 INtifinagh/a/}');
Error('\P{	 INtifinagh/a/}');
Expect(1, 11647, '\p{intifinagh}', "");
Expect(0, 11647, '\p{^intifinagh}', "");
Expect(0, 11647, '\P{intifinagh}', "");
Expect(1, 11647, '\P{^intifinagh}', "");
Expect(0, 11567, '\p{intifinagh}', "");
Expect(1, 11567, '\p{^intifinagh}', "");
Expect(1, 11567, '\P{intifinagh}', "");
Expect(0, 11567, '\P{^intifinagh}', "");
Expect(1, 11647, '\p{ 	In	Tifinagh}', "");
Expect(0, 11647, '\p{^ 	In	Tifinagh}', "");
Expect(0, 11647, '\P{ 	In	Tifinagh}', "");
Expect(1, 11647, '\P{^ 	In	Tifinagh}', "");
Expect(0, 11567, '\p{ 	In	Tifinagh}', "");
Expect(1, 11567, '\p{^ 	In	Tifinagh}', "");
Expect(1, 11567, '\P{ 	In	Tifinagh}', "");
Expect(0, 11567, '\P{^ 	In	Tifinagh}', "");
Error('\p{:=-	PosixPrint}');
Error('\P{:=-	PosixPrint}');
Expect(1, 126, '\p{posixprint}', "");
Expect(0, 126, '\p{^posixprint}', "");
Expect(0, 126, '\P{posixprint}', "");
Expect(1, 126, '\P{^posixprint}', "");
Expect(0, 31, '\p{posixprint}', "");
Expect(1, 31, '\p{^posixprint}', "");
Expect(1, 31, '\P{posixprint}', "");
Expect(0, 31, '\P{^posixprint}', "");
Error('\p{-/a/Is_PosixPrint}');
Error('\P{-/a/Is_PosixPrint}');
Expect(1, 126, '\p{isposixprint}', "");
Expect(0, 126, '\p{^isposixprint}', "");
Expect(0, 126, '\P{isposixprint}', "");
Expect(1, 126, '\P{^isposixprint}', "");
Expect(0, 31, '\p{isposixprint}', "");
Expect(1, 31, '\p{^isposixprint}', "");
Expect(1, 31, '\P{isposixprint}', "");
Expect(0, 31, '\P{^isposixprint}', "");
Expect(1, 126, '\p{ _Is-PosixPrint}', "");
Expect(0, 126, '\p{^ _Is-PosixPrint}', "");
Expect(0, 126, '\P{ _Is-PosixPrint}', "");
Expect(1, 126, '\P{^ _Is-PosixPrint}', "");
Expect(0, 31, '\p{ _Is-PosixPrint}', "");
Expect(1, 31, '\p{^ _Is-PosixPrint}', "");
Expect(1, 31, '\P{ _Is-PosixPrint}', "");
Expect(0, 31, '\P{^ _Is-PosixPrint}', "");
Error('\p{ in	HANUNOO/a/}');
Error('\P{ in	HANUNOO/a/}');
Expect(1, 5951, '\p{inhanunoo}', "");
Expect(0, 5951, '\p{^inhanunoo}', "");
Expect(0, 5951, '\P{inhanunoo}', "");
Expect(1, 5951, '\P{^inhanunoo}', "");
Expect(0, 5919, '\p{inhanunoo}', "");
Expect(1, 5919, '\p{^inhanunoo}', "");
Expect(1, 5919, '\P{inhanunoo}', "");
Expect(0, 5919, '\P{^inhanunoo}', "");
Expect(1, 5951, '\p{	-InHanunoo}', "");
Expect(0, 5951, '\p{^	-InHanunoo}', "");
Expect(0, 5951, '\P{	-InHanunoo}', "");
Expect(1, 5951, '\P{^	-InHanunoo}', "");
Expect(0, 5919, '\p{	-InHanunoo}', "");
Expect(1, 5919, '\p{^	-InHanunoo}', "");
Expect(1, 5919, '\P{	-InHanunoo}', "");
Expect(0, 5919, '\P{^	-InHanunoo}', "");
Error('\p{_IN:=cyrillic}');
Error('\P{_IN:=cyrillic}');
Expect(1, 1279, '\p{incyrillic}', "");
Expect(0, 1279, '\p{^incyrillic}', "");
Expect(0, 1279, '\P{incyrillic}', "");
Expect(1, 1279, '\P{^incyrillic}', "");
Expect(0, 1023, '\p{incyrillic}', "");
Expect(1, 1023, '\p{^incyrillic}', "");
Expect(1, 1023, '\P{incyrillic}', "");
Expect(0, 1023, '\P{^incyrillic}', "");
Expect(1, 1279, '\p{-in-cyrillic}', "");
Expect(0, 1279, '\p{^-in-cyrillic}', "");
Expect(0, 1279, '\P{-in-cyrillic}', "");
Expect(1, 1279, '\P{^-in-cyrillic}', "");
Expect(0, 1023, '\p{-in-cyrillic}', "");
Expect(1, 1023, '\p{^-in-cyrillic}', "");
Expect(1, 1023, '\P{-in-cyrillic}', "");
Expect(0, 1023, '\P{^-in-cyrillic}', "");
Error('\p{-	IN:=Buhid}');
Error('\P{-	IN:=Buhid}');
Expect(1, 5983, '\p{inbuhid}', "");
Expect(0, 5983, '\p{^inbuhid}', "");
Expect(0, 5983, '\P{inbuhid}', "");
Expect(1, 5983, '\P{^inbuhid}', "");
Expect(0, 5951, '\p{inbuhid}', "");
Expect(1, 5951, '\p{^inbuhid}', "");
Expect(1, 5951, '\P{inbuhid}', "");
Expect(0, 5951, '\P{^inbuhid}', "");
Expect(1, 5983, '\p{ 	in Buhid}', "");
Expect(0, 5983, '\p{^ 	in Buhid}', "");
Expect(0, 5983, '\P{ 	in Buhid}', "");
Expect(1, 5983, '\P{^ 	in Buhid}', "");
Expect(0, 5951, '\p{ 	in Buhid}', "");
Expect(1, 5951, '\p{^ 	in Buhid}', "");
Expect(1, 5951, '\P{ 	in Buhid}', "");
Expect(0, 5951, '\P{^ 	in Buhid}', "");
Error('\p{	/a/in-Runic}');
Error('\P{	/a/in-Runic}');
Expect(1, 5887, '\p{inrunic}', "");
Expect(0, 5887, '\p{^inrunic}', "");
Expect(0, 5887, '\P{inrunic}', "");
Expect(1, 5887, '\P{^inrunic}', "");
Expect(0, 5791, '\p{inrunic}', "");
Expect(1, 5791, '\p{^inrunic}', "");
Expect(1, 5791, '\P{inrunic}', "");
Expect(0, 5791, '\P{^inrunic}', "");
Expect(1, 5887, '\p{-	In_Runic}', "");
Expect(0, 5887, '\p{^-	In_Runic}', "");
Expect(0, 5887, '\P{-	In_Runic}', "");
Expect(1, 5887, '\P{^-	In_Runic}', "");
Expect(0, 5791, '\p{-	In_Runic}', "");
Expect(1, 5791, '\p{^-	In_Runic}', "");
Expect(1, 5791, '\P{-	In_Runic}', "");
Expect(0, 5791, '\P{^-	In_Runic}', "");
Error('\p{IDS_Binary_Operator=	/a/Yes}');
Error('\P{IDS_Binary_Operator=	/a/Yes}');
Expect(1, 12273, '\p{IDS_Binary_Operator=yes}', "");
Expect(0, 12273, '\p{^IDS_Binary_Operator=yes}', "");
Expect(0, 12273, '\P{IDS_Binary_Operator=yes}', "");
Expect(1, 12273, '\P{^IDS_Binary_Operator=yes}', "");
Expect(0, 12271, '\p{IDS_Binary_Operator=yes}', "");
Expect(1, 12271, '\p{^IDS_Binary_Operator=yes}', "");
Expect(1, 12271, '\P{IDS_Binary_Operator=yes}', "");
Expect(0, 12271, '\P{^IDS_Binary_Operator=yes}', "");
Expect(1, 12273, '\p{IDS_Binary_Operator= yes}', "");
Expect(0, 12273, '\p{^IDS_Binary_Operator= yes}', "");
Expect(0, 12273, '\P{IDS_Binary_Operator= yes}', "");
Expect(1, 12273, '\P{^IDS_Binary_Operator= yes}', "");
Expect(0, 12271, '\p{IDS_Binary_Operator= yes}', "");
Expect(1, 12271, '\p{^IDS_Binary_Operator= yes}', "");
Expect(1, 12271, '\P{IDS_Binary_Operator= yes}', "");
Expect(0, 12271, '\P{^IDS_Binary_Operator= yes}', "");
Error('\p{IDSB=_:=Y}');
Error('\P{IDSB=_:=Y}');
Expect(1, 12273, '\p{IDSB=y}', "");
Expect(0, 12273, '\p{^IDSB=y}', "");
Expect(0, 12273, '\P{IDSB=y}', "");
Expect(1, 12273, '\P{^IDSB=y}', "");
Expect(0, 12271, '\p{IDSB=y}', "");
Expect(1, 12271, '\p{^IDSB=y}', "");
Expect(1, 12271, '\P{IDSB=y}', "");
Expect(0, 12271, '\P{^IDSB=y}', "");
Expect(1, 12273, '\p{IDSB=_-Y}', "");
Expect(0, 12273, '\p{^IDSB=_-Y}', "");
Expect(0, 12273, '\P{IDSB=_-Y}', "");
Expect(1, 12273, '\P{^IDSB=_-Y}', "");
Expect(0, 12271, '\p{IDSB=_-Y}', "");
Expect(1, 12271, '\p{^IDSB=_-Y}', "");
Expect(1, 12271, '\P{IDSB=_-Y}', "");
Expect(0, 12271, '\P{^IDSB=_-Y}', "");
Error('\p{Is_IDS_Binary_Operator:	-:=t}');
Error('\P{Is_IDS_Binary_Operator:	-:=t}');
Expect(1, 12273, '\p{Is_IDS_Binary_Operator:   t}', "");
Expect(0, 12273, '\p{^Is_IDS_Binary_Operator:   t}', "");
Expect(0, 12273, '\P{Is_IDS_Binary_Operator:   t}', "");
Expect(1, 12273, '\P{^Is_IDS_Binary_Operator:   t}', "");
Expect(0, 12271, '\p{Is_IDS_Binary_Operator:   t}', "");
Expect(1, 12271, '\p{^Is_IDS_Binary_Operator:   t}', "");
Expect(1, 12271, '\P{Is_IDS_Binary_Operator:   t}', "");
Expect(0, 12271, '\P{^Is_IDS_Binary_Operator:   t}', "");
Expect(1, 12273, '\p{Is_IDS_Binary_Operator= T}', "");
Expect(0, 12273, '\p{^Is_IDS_Binary_Operator= T}', "");
Expect(0, 12273, '\P{Is_IDS_Binary_Operator= T}', "");
Expect(1, 12273, '\P{^Is_IDS_Binary_Operator= T}', "");
Expect(0, 12271, '\p{Is_IDS_Binary_Operator= T}', "");
Expect(1, 12271, '\p{^Is_IDS_Binary_Operator= T}', "");
Expect(1, 12271, '\P{Is_IDS_Binary_Operator= T}', "");
Expect(0, 12271, '\P{^Is_IDS_Binary_Operator= T}', "");
Error('\p{Is_IDSB=:=TRUE}');
Error('\P{Is_IDSB=:=TRUE}');
Expect(1, 12273, '\p{Is_IDSB=true}', "");
Expect(0, 12273, '\p{^Is_IDSB=true}', "");
Expect(0, 12273, '\P{Is_IDSB=true}', "");
Expect(1, 12273, '\P{^Is_IDSB=true}', "");
Expect(0, 12271, '\p{Is_IDSB=true}', "");
Expect(1, 12271, '\p{^Is_IDSB=true}', "");
Expect(1, 12271, '\P{Is_IDSB=true}', "");
Expect(0, 12271, '\P{^Is_IDSB=true}', "");
Expect(1, 12273, '\p{Is_IDSB=-true}', "");
Expect(0, 12273, '\p{^Is_IDSB=-true}', "");
Expect(0, 12273, '\P{Is_IDSB=-true}', "");
Expect(1, 12273, '\P{^Is_IDSB=-true}', "");
Expect(0, 12271, '\p{Is_IDSB=-true}', "");
Expect(1, 12271, '\p{^Is_IDSB=-true}', "");
Expect(1, 12271, '\P{Is_IDSB=-true}', "");
Expect(0, 12271, '\P{^Is_IDSB=-true}', "");
Error('\p{IDS_Binary_Operator=/a/NO}');
Error('\P{IDS_Binary_Operator=/a/NO}');
Expect(1, 12271, '\p{IDS_Binary_Operator=no}', "");
Expect(0, 12271, '\p{^IDS_Binary_Operator=no}', "");
Expect(0, 12271, '\P{IDS_Binary_Operator=no}', "");
Expect(1, 12271, '\P{^IDS_Binary_Operator=no}', "");
Expect(0, 12273, '\p{IDS_Binary_Operator=no}', "");
Expect(1, 12273, '\p{^IDS_Binary_Operator=no}', "");
Expect(1, 12273, '\P{IDS_Binary_Operator=no}', "");
Expect(0, 12273, '\P{^IDS_Binary_Operator=no}', "");
Expect(1, 12271, '\p{IDS_Binary_Operator=-_no}', "");
Expect(0, 12271, '\p{^IDS_Binary_Operator=-_no}', "");
Expect(0, 12271, '\P{IDS_Binary_Operator=-_no}', "");
Expect(1, 12271, '\P{^IDS_Binary_Operator=-_no}', "");
Expect(0, 12273, '\p{IDS_Binary_Operator=-_no}', "");
Expect(1, 12273, '\p{^IDS_Binary_Operator=-_no}', "");
Expect(1, 12273, '\P{IDS_Binary_Operator=-_no}', "");
Expect(0, 12273, '\P{^IDS_Binary_Operator=-_no}', "");
Error('\p{IDSB= :=N}');
Error('\P{IDSB= :=N}');
Expect(1, 12271, '\p{IDSB=n}', "");
Expect(0, 12271, '\p{^IDSB=n}', "");
Expect(0, 12271, '\P{IDSB=n}', "");
Expect(1, 12271, '\P{^IDSB=n}', "");
Expect(0, 12273, '\p{IDSB=n}', "");
Expect(1, 12273, '\p{^IDSB=n}', "");
Expect(1, 12273, '\P{IDSB=n}', "");
Expect(0, 12273, '\P{^IDSB=n}', "");
Expect(1, 12271, '\p{IDSB=--N}', "");
Expect(0, 12271, '\p{^IDSB=--N}', "");
Expect(0, 12271, '\P{IDSB=--N}', "");
Expect(1, 12271, '\P{^IDSB=--N}', "");
Expect(0, 12273, '\p{IDSB=--N}', "");
Expect(1, 12273, '\p{^IDSB=--N}', "");
Expect(1, 12273, '\P{IDSB=--N}', "");
Expect(0, 12273, '\P{^IDSB=--N}', "");
Error('\p{Is_IDS_Binary_Operator=	:=F}');
Error('\P{Is_IDS_Binary_Operator=	:=F}');
Expect(1, 12271, '\p{Is_IDS_Binary_Operator=f}', "");
Expect(0, 12271, '\p{^Is_IDS_Binary_Operator=f}', "");
Expect(0, 12271, '\P{Is_IDS_Binary_Operator=f}', "");
Expect(1, 12271, '\P{^Is_IDS_Binary_Operator=f}', "");
Expect(0, 12273, '\p{Is_IDS_Binary_Operator=f}', "");
Expect(1, 12273, '\p{^Is_IDS_Binary_Operator=f}', "");
Expect(1, 12273, '\P{Is_IDS_Binary_Operator=f}', "");
Expect(0, 12273, '\P{^Is_IDS_Binary_Operator=f}', "");
Expect(1, 12271, '\p{Is_IDS_Binary_Operator=	_F}', "");
Expect(0, 12271, '\p{^Is_IDS_Binary_Operator=	_F}', "");
Expect(0, 12271, '\P{Is_IDS_Binary_Operator=	_F}', "");
Expect(1, 12271, '\P{^Is_IDS_Binary_Operator=	_F}', "");
Expect(0, 12273, '\p{Is_IDS_Binary_Operator=	_F}', "");
Expect(1, 12273, '\p{^Is_IDS_Binary_Operator=	_F}', "");
Expect(1, 12273, '\P{Is_IDS_Binary_Operator=	_F}', "");
Expect(0, 12273, '\P{^Is_IDS_Binary_Operator=	_F}', "");
Error('\p{Is_IDSB=-:=false}');
Error('\P{Is_IDSB=-:=false}');
Expect(1, 12271, '\p{Is_IDSB=false}', "");
Expect(0, 12271, '\p{^Is_IDSB=false}', "");
Expect(0, 12271, '\P{Is_IDSB=false}', "");
Expect(1, 12271, '\P{^Is_IDSB=false}', "");
Expect(0, 12273, '\p{Is_IDSB=false}', "");
Expect(1, 12273, '\p{^Is_IDSB=false}', "");
Expect(1, 12273, '\P{Is_IDSB=false}', "");
Expect(0, 12273, '\P{^Is_IDSB=false}', "");
Expect(1, 12271, '\p{Is_IDSB=False}', "");
Expect(0, 12271, '\p{^Is_IDSB=False}', "");
Expect(0, 12271, '\P{Is_IDSB=False}', "");
Expect(1, 12271, '\P{^Is_IDSB=False}', "");
Expect(0, 12273, '\p{Is_IDSB=False}', "");
Expect(1, 12273, '\p{^Is_IDSB=False}', "");
Expect(1, 12273, '\P{Is_IDSB=False}', "");
Expect(0, 12273, '\P{^Is_IDSB=False}', "");
Error('\p{General_Category=	 Symbol/a/}');
Error('\P{General_Category=	 Symbol/a/}');
Expect(1, 36, '\p{General_Category=symbol}', "");
Expect(0, 36, '\p{^General_Category=symbol}', "");
Expect(0, 36, '\P{General_Category=symbol}', "");
Expect(1, 36, '\P{^General_Category=symbol}', "");
Expect(0, 35, '\p{General_Category=symbol}', "");
Expect(1, 35, '\p{^General_Category=symbol}', "");
Expect(1, 35, '\P{General_Category=symbol}', "");
Expect(0, 35, '\P{^General_Category=symbol}', "");
Expect(1, 36, '\p{General_Category=	SYMBOL}', "");
Expect(0, 36, '\p{^General_Category=	SYMBOL}', "");
Expect(0, 36, '\P{General_Category=	SYMBOL}', "");
Expect(1, 36, '\P{^General_Category=	SYMBOL}', "");
Expect(0, 35, '\p{General_Category=	SYMBOL}', "");
Expect(1, 35, '\p{^General_Category=	SYMBOL}', "");
Expect(1, 35, '\P{General_Category=	SYMBOL}', "");
Expect(0, 35, '\P{^General_Category=	SYMBOL}', "");
Error('\p{Gc:-/a/S}');
Error('\P{Gc:-/a/S}');
Expect(1, 36, '\p{Gc=s}', "");
Expect(0, 36, '\p{^Gc=s}', "");
Expect(0, 36, '\P{Gc=s}', "");
Expect(1, 36, '\P{^Gc=s}', "");
Expect(0, 35, '\p{Gc=s}', "");
Expect(1, 35, '\p{^Gc=s}', "");
Expect(1, 35, '\P{Gc=s}', "");
Expect(0, 35, '\P{^Gc=s}', "");
Expect(1, 36, '\p{Gc:	_ s}', "");
Expect(0, 36, '\p{^Gc:	_ s}', "");
Expect(0, 36, '\P{Gc:	_ s}', "");
Expect(1, 36, '\P{^Gc:	_ s}', "");
Expect(0, 35, '\p{Gc:	_ s}', "");
Expect(1, 35, '\p{^Gc:	_ s}', "");
Expect(1, 35, '\P{Gc:	_ s}', "");
Expect(0, 35, '\P{^Gc:	_ s}', "");
Error('\p{Category=-/a/symbol}');
Error('\P{Category=-/a/symbol}');
Expect(1, 36, '\p{Category=symbol}', "");
Expect(0, 36, '\p{^Category=symbol}', "");
Expect(0, 36, '\P{Category=symbol}', "");
Expect(1, 36, '\P{^Category=symbol}', "");
Expect(0, 35, '\p{Category=symbol}', "");
Expect(1, 35, '\p{^Category=symbol}', "");
Expect(1, 35, '\P{Category=symbol}', "");
Expect(0, 35, '\P{^Category=symbol}', "");
Expect(1, 36, '\p{Category=	 Symbol}', "");
Expect(0, 36, '\p{^Category=	 Symbol}', "");
Expect(0, 36, '\P{Category=	 Symbol}', "");
Expect(1, 36, '\P{^Category=	 Symbol}', "");
Expect(0, 35, '\p{Category=	 Symbol}', "");
Expect(1, 35, '\p{^Category=	 Symbol}', "");
Expect(1, 35, '\P{Category=	 Symbol}', "");
Expect(0, 35, '\P{^Category=	 Symbol}', "");
Error('\p{Is_General_Category=-:=S}');
Error('\P{Is_General_Category=-:=S}');
Expect(1, 36, '\p{Is_General_Category=s}', "");
Expect(0, 36, '\p{^Is_General_Category=s}', "");
Expect(0, 36, '\P{Is_General_Category=s}', "");
Expect(1, 36, '\P{^Is_General_Category=s}', "");
Expect(0, 35, '\p{Is_General_Category=s}', "");
Expect(1, 35, '\p{^Is_General_Category=s}', "");
Expect(1, 35, '\P{Is_General_Category=s}', "");
Expect(0, 35, '\P{^Is_General_Category=s}', "");
Expect(1, 36, '\p{Is_General_Category=_S}', "");
Expect(0, 36, '\p{^Is_General_Category=_S}', "");
Expect(0, 36, '\P{Is_General_Category=_S}', "");
Expect(1, 36, '\P{^Is_General_Category=_S}', "");
Expect(0, 35, '\p{Is_General_Category=_S}', "");
Expect(1, 35, '\p{^Is_General_Category=_S}', "");
Expect(1, 35, '\P{Is_General_Category=_S}', "");
Expect(0, 35, '\P{^Is_General_Category=_S}', "");
Error('\p{Is_Gc=:=	SYMBOL}');
Error('\P{Is_Gc=:=	SYMBOL}');
Expect(1, 36, '\p{Is_Gc=symbol}', "");
Expect(0, 36, '\p{^Is_Gc=symbol}', "");
Expect(0, 36, '\P{Is_Gc=symbol}', "");
Expect(1, 36, '\P{^Is_Gc=symbol}', "");
Expect(0, 35, '\p{Is_Gc=symbol}', "");
Expect(1, 35, '\p{^Is_Gc=symbol}', "");
Expect(1, 35, '\P{Is_Gc=symbol}', "");
Expect(0, 35, '\P{^Is_Gc=symbol}', "");
Error('\p{Is_Category=:=  S}');
Error('\P{Is_Category=:=  S}');
Expect(1, 36, '\p{Is_Category=s}', "");
Expect(0, 36, '\p{^Is_Category=s}', "");
Expect(0, 36, '\P{Is_Category=s}', "");
Expect(1, 36, '\P{^Is_Category=s}', "");
Expect(0, 35, '\p{Is_Category=s}', "");
Expect(1, 35, '\p{^Is_Category=s}', "");
Expect(1, 35, '\P{Is_Category=s}', "");
Expect(0, 35, '\P{^Is_Category=s}', "");
Expect(1, 36, '\p{Is_Category=_S}', "");
Expect(0, 36, '\p{^Is_Category=_S}', "");
Expect(0, 36, '\P{Is_Category=_S}', "");
Expect(1, 36, '\P{^Is_Category=_S}', "");
Expect(0, 35, '\p{Is_Category=_S}', "");
Expect(1, 35, '\p{^Is_Category=_S}', "");
Expect(1, 35, '\P{Is_Category=_S}', "");
Expect(0, 35, '\P{^Is_Category=_S}', "");
Error('\p{General_Category=-/a/spacing_MARK}');
Error('\P{General_Category=-/a/spacing_MARK}');
Expect(1, 2307, '\p{General_Category: spacingmark}', "");
Expect(0, 2307, '\p{^General_Category: spacingmark}', "");
Expect(0, 2307, '\P{General_Category: spacingmark}', "");
Expect(1, 2307, '\P{^General_Category: spacingmark}', "");
Expect(0, 2306, '\p{General_Category: spacingmark}', "");
Expect(1, 2306, '\p{^General_Category: spacingmark}', "");
Expect(1, 2306, '\P{General_Category: spacingmark}', "");
Expect(0, 2306, '\P{^General_Category: spacingmark}', "");
Expect(1, 2307, '\p{General_Category=-	SPACINGMark}', "");
Expect(0, 2307, '\p{^General_Category=-	SPACINGMark}', "");
Expect(0, 2307, '\P{General_Category=-	SPACINGMark}', "");
Expect(1, 2307, '\P{^General_Category=-	SPACINGMark}', "");
Expect(0, 2306, '\p{General_Category=-	SPACINGMark}', "");
Expect(1, 2306, '\p{^General_Category=-	SPACINGMark}', "");
Expect(1, 2306, '\P{General_Category=-	SPACINGMark}', "");
Expect(0, 2306, '\P{^General_Category=-	SPACINGMark}', "");
Error('\p{Gc=_ Mc/a/}');
Error('\P{Gc=_ Mc/a/}');
Expect(1, 2307, '\p{Gc=mc}', "");
Expect(0, 2307, '\p{^Gc=mc}', "");
Expect(0, 2307, '\P{Gc=mc}', "");
Expect(1, 2307, '\P{^Gc=mc}', "");
Expect(0, 2306, '\p{Gc=mc}', "");
Expect(1, 2306, '\p{^Gc=mc}', "");
Expect(1, 2306, '\P{Gc=mc}', "");
Expect(0, 2306, '\P{^Gc=mc}', "");
Expect(1, 2307, '\p{Gc=_-mc}', "");
Expect(0, 2307, '\p{^Gc=_-mc}', "");
Expect(0, 2307, '\P{Gc=_-mc}', "");
Expect(1, 2307, '\P{^Gc=_-mc}', "");
Expect(0, 2306, '\p{Gc=_-mc}', "");
Expect(1, 2306, '\p{^Gc=_-mc}', "");
Expect(1, 2306, '\P{Gc=_-mc}', "");
Expect(0, 2306, '\P{^Gc=_-mc}', "");
Error('\p{Category=:=  spacing	Mark}');
Error('\P{Category=:=  spacing	Mark}');
Expect(1, 2307, '\p{Category=spacingmark}', "");
Expect(0, 2307, '\p{^Category=spacingmark}', "");
Expect(0, 2307, '\P{Category=spacingmark}', "");
Expect(1, 2307, '\P{^Category=spacingmark}', "");
Expect(0, 2306, '\p{Category=spacingmark}', "");
Expect(1, 2306, '\p{^Category=spacingmark}', "");
Expect(1, 2306, '\P{Category=spacingmark}', "");
Expect(0, 2306, '\P{^Category=spacingmark}', "");
Expect(1, 2307, '\p{Category=_Spacing-Mark}', "");
Expect(0, 2307, '\p{^Category=_Spacing-Mark}', "");
Expect(0, 2307, '\P{Category=_Spacing-Mark}', "");
Expect(1, 2307, '\P{^Category=_Spacing-Mark}', "");
Expect(0, 2306, '\p{Category=_Spacing-Mark}', "");
Expect(1, 2306, '\p{^Category=_Spacing-Mark}', "");
Expect(1, 2306, '\P{Category=_Spacing-Mark}', "");
Expect(0, 2306, '\P{^Category=_Spacing-Mark}', "");
Error('\p{Is_General_Category=	/a/Mc}');
Error('\P{Is_General_Category=	/a/Mc}');
Expect(1, 2307, '\p{Is_General_Category=mc}', "");
Expect(0, 2307, '\p{^Is_General_Category=mc}', "");
Expect(0, 2307, '\P{Is_General_Category=mc}', "");
Expect(1, 2307, '\P{^Is_General_Category=mc}', "");
Expect(0, 2306, '\p{Is_General_Category=mc}', "");
Expect(1, 2306, '\p{^Is_General_Category=mc}', "");
Expect(1, 2306, '\P{Is_General_Category=mc}', "");
Expect(0, 2306, '\P{^Is_General_Category=mc}', "");
Expect(1, 2307, '\p{Is_General_Category=--Mc}', "");
Expect(0, 2307, '\p{^Is_General_Category=--Mc}', "");
Expect(0, 2307, '\P{Is_General_Category=--Mc}', "");
Expect(1, 2307, '\P{^Is_General_Category=--Mc}', "");
Expect(0, 2306, '\p{Is_General_Category=--Mc}', "");
Expect(1, 2306, '\p{^Is_General_Category=--Mc}', "");
Expect(1, 2306, '\P{Is_General_Category=--Mc}', "");
Expect(0, 2306, '\P{^Is_General_Category=--Mc}', "");
Error('\p{Is_Gc=--spacing-Mark/a/}');
Error('\P{Is_Gc=--spacing-Mark/a/}');
Expect(1, 2307, '\p{Is_Gc=spacingmark}', "");
Expect(0, 2307, '\p{^Is_Gc=spacingmark}', "");
Expect(0, 2307, '\P{Is_Gc=spacingmark}', "");
Expect(1, 2307, '\P{^Is_Gc=spacingmark}', "");
Expect(0, 2306, '\p{Is_Gc=spacingmark}', "");
Expect(1, 2306, '\p{^Is_Gc=spacingmark}', "");
Expect(1, 2306, '\P{Is_Gc=spacingmark}', "");
Expect(0, 2306, '\P{^Is_Gc=spacingmark}', "");
Expect(1, 2307, '\p{Is_Gc= Spacing	Mark}', "");
Expect(0, 2307, '\p{^Is_Gc= Spacing	Mark}', "");
Expect(0, 2307, '\P{Is_Gc= Spacing	Mark}', "");
Expect(1, 2307, '\P{^Is_Gc= Spacing	Mark}', "");
Expect(0, 2306, '\p{Is_Gc= Spacing	Mark}', "");
Expect(1, 2306, '\p{^Is_Gc= Spacing	Mark}', "");
Expect(1, 2306, '\P{Is_Gc= Spacing	Mark}', "");
Expect(0, 2306, '\P{^Is_Gc= Spacing	Mark}', "");
Error('\p{Is_Category=-Mc:=}');
Error('\P{Is_Category=-Mc:=}');
Expect(1, 2307, '\p{Is_Category=mc}', "");
Expect(0, 2307, '\p{^Is_Category=mc}', "");
Expect(0, 2307, '\P{Is_Category=mc}', "");
Expect(1, 2307, '\P{^Is_Category=mc}', "");
Expect(0, 2306, '\p{Is_Category=mc}', "");
Expect(1, 2306, '\p{^Is_Category=mc}', "");
Expect(1, 2306, '\P{Is_Category=mc}', "");
Expect(0, 2306, '\P{^Is_Category=mc}', "");
Expect(1, 2307, '\p{Is_Category=_ mc}', "");
Expect(0, 2307, '\p{^Is_Category=_ mc}', "");
Expect(0, 2307, '\P{Is_Category=_ mc}', "");
Expect(1, 2307, '\P{^Is_Category=_ mc}', "");
Expect(0, 2306, '\p{Is_Category=_ mc}', "");
Expect(1, 2306, '\p{^Is_Category=_ mc}', "");
Expect(1, 2306, '\P{Is_Category=_ mc}', "");
Expect(0, 2306, '\P{^Is_Category=_ mc}', "");
Error('\p{General_Category=:=CASED-Letter}');
Error('\P{General_Category=:=CASED-Letter}');
Expect(1, 90, '\p{General_Category=casedletter}', "");
Expect(0, 90, '\p{^General_Category=casedletter}', "");
Expect(0, 90, '\P{General_Category=casedletter}', "");
Expect(1, 90, '\P{^General_Category=casedletter}', "");
Expect(0, 64, '\p{General_Category=casedletter}', "");
Expect(1, 64, '\p{^General_Category=casedletter}', "");
Expect(1, 64, '\P{General_Category=casedletter}', "");
Expect(0, 64, '\P{^General_Category=casedletter}', "");
Expect(1, 90, '\p{General_Category= cased Letter}', "");
Expect(0, 90, '\p{^General_Category= cased Letter}', "");
Expect(0, 90, '\P{General_Category= cased Letter}', "");
Expect(1, 90, '\P{^General_Category= cased Letter}', "");
Expect(0, 64, '\p{General_Category= cased Letter}', "");
Expect(1, 64, '\p{^General_Category= cased Letter}', "");
Expect(1, 64, '\P{General_Category= cased Letter}', "");
Expect(0, 64, '\P{^General_Category= cased Letter}', "");
Error('\p{Gc:   _/a/LC}');
Error('\P{Gc:   _/a/LC}');
Expect(1, 90, '\p{Gc=lc}', "");
Expect(0, 90, '\p{^Gc=lc}', "");
Expect(0, 90, '\P{Gc=lc}', "");
Expect(1, 90, '\P{^Gc=lc}', "");
Expect(0, 64, '\p{Gc=lc}', "");
Expect(1, 64, '\p{^Gc=lc}', "");
Expect(1, 64, '\P{Gc=lc}', "");
Expect(0, 64, '\P{^Gc=lc}', "");
Expect(1, 90, '\p{Gc: -LC}', "");
Expect(0, 90, '\p{^Gc: -LC}', "");
Expect(0, 90, '\P{Gc: -LC}', "");
Expect(1, 90, '\P{^Gc: -LC}', "");
Expect(0, 64, '\p{Gc: -LC}', "");
Expect(1, 64, '\p{^Gc: -LC}', "");
Expect(1, 64, '\P{Gc: -LC}', "");
Expect(0, 64, '\P{^Gc: -LC}', "");
Error('\p{Category=_	l/a/}');
Error('\P{Category=_	l/a/}');
Expect(1, 90, '\p{Category=l_}', "");
Expect(0, 90, '\p{^Category=l_}', "");
Expect(0, 90, '\P{Category=l_}', "");
Expect(1, 90, '\P{^Category=l_}', "");
Expect(0, 64, '\p{Category=l_}', "");
Expect(1, 64, '\p{^Category=l_}', "");
Expect(1, 64, '\P{Category=l_}', "");
Expect(0, 64, '\P{^Category=l_}', "");
Expect(1, 90, '\p{Category=__L}', "");
Expect(0, 90, '\p{^Category=__L}', "");
Expect(0, 90, '\P{Category=__L}', "");
Expect(1, 90, '\P{^Category=__L}', "");
Expect(0, 64, '\p{Category=__L}', "");
Expect(1, 64, '\p{^Category=__L}', "");
Expect(1, 64, '\P{Category=__L}', "");
Expect(0, 64, '\P{^Category=__L}', "");
Error('\p{Is_General_Category:   /a/	L&}');
Error('\P{Is_General_Category:   /a/	L&}');
Expect(1, 90, '\p{Is_General_Category=l&}', "");
Expect(0, 90, '\p{^Is_General_Category=l&}', "");
Expect(0, 90, '\P{Is_General_Category=l&}', "");
Expect(1, 90, '\P{^Is_General_Category=l&}', "");
Expect(0, 64, '\p{Is_General_Category=l&}', "");
Expect(1, 64, '\p{^Is_General_Category=l&}', "");
Expect(1, 64, '\P{Is_General_Category=l&}', "");
Expect(0, 64, '\P{^Is_General_Category=l&}', "");
Expect(1, 90, '\p{Is_General_Category=	_L&}', "");
Expect(0, 90, '\p{^Is_General_Category=	_L&}', "");
Expect(0, 90, '\P{Is_General_Category=	_L&}', "");
Expect(1, 90, '\P{^Is_General_Category=	_L&}', "");
Expect(0, 64, '\p{Is_General_Category=	_L&}', "");
Expect(1, 64, '\p{^Is_General_Category=	_L&}', "");
Expect(1, 64, '\P{Is_General_Category=	_L&}', "");
Expect(0, 64, '\P{^Is_General_Category=	_L&}', "");
Error('\p{Is_Gc: /a/Cased	LETTER}');
Error('\P{Is_Gc: /a/Cased	LETTER}');
Expect(1, 90, '\p{Is_Gc=casedletter}', "");
Expect(0, 90, '\p{^Is_Gc=casedletter}', "");
Expect(0, 90, '\P{Is_Gc=casedletter}', "");
Expect(1, 90, '\P{^Is_Gc=casedletter}', "");
Expect(0, 64, '\p{Is_Gc=casedletter}', "");
Expect(1, 64, '\p{^Is_Gc=casedletter}', "");
Expect(1, 64, '\P{Is_Gc=casedletter}', "");
Expect(0, 64, '\P{^Is_Gc=casedletter}', "");
Expect(1, 90, '\p{Is_Gc=Cased_Letter}', "");
Expect(0, 90, '\p{^Is_Gc=Cased_Letter}', "");
Expect(0, 90, '\P{Is_Gc=Cased_Letter}', "");
Expect(1, 90, '\P{^Is_Gc=Cased_Letter}', "");
Expect(0, 64, '\p{Is_Gc=Cased_Letter}', "");
Expect(1, 64, '\p{^Is_Gc=Cased_Letter}', "");
Expect(1, 64, '\P{Is_Gc=Cased_Letter}', "");
Expect(0, 64, '\P{^Is_Gc=Cased_Letter}', "");
Error('\p{Is_Category=-lc/a/}');
Error('\P{Is_Category=-lc/a/}');
Expect(1, 90, '\p{Is_Category=lc}', "");
Expect(0, 90, '\p{^Is_Category=lc}', "");
Expect(0, 90, '\P{Is_Category=lc}', "");
Expect(1, 90, '\P{^Is_Category=lc}', "");
Expect(0, 64, '\p{Is_Category=lc}', "");
Expect(1, 64, '\p{^Is_Category=lc}', "");
Expect(1, 64, '\P{Is_Category=lc}', "");
Expect(0, 64, '\P{^Is_Category=lc}', "");
Expect(1, 90, '\p{Is_Category=  LC}', "");
Expect(0, 90, '\p{^Is_Category=  LC}', "");
Expect(0, 90, '\P{Is_Category=  LC}', "");
Expect(1, 90, '\P{^Is_Category=  LC}', "");
Expect(0, 64, '\p{Is_Category=  LC}', "");
Expect(1, 64, '\p{^Is_Category=  LC}', "");
Expect(1, 64, '\P{Is_Category=  LC}', "");
Expect(0, 64, '\P{^Is_Category=  LC}', "");
Error('\p{General_Category:   /a/--connector_punctuation}');
Error('\P{General_Category:   /a/--connector_punctuation}');
Expect(1, 95, '\p{General_Category=connectorpunctuation}', "");
Expect(0, 95, '\p{^General_Category=connectorpunctuation}', "");
Expect(0, 95, '\P{General_Category=connectorpunctuation}', "");
Expect(1, 95, '\P{^General_Category=connectorpunctuation}', "");
Expect(0, 94, '\p{General_Category=connectorpunctuation}', "");
Expect(1, 94, '\p{^General_Category=connectorpunctuation}', "");
Expect(1, 94, '\P{General_Category=connectorpunctuation}', "");
Expect(0, 94, '\P{^General_Category=connectorpunctuation}', "");
Expect(1, 95, '\p{General_Category=- CONNECTORpunctuation}', "");
Expect(0, 95, '\p{^General_Category=- CONNECTORpunctuation}', "");
Expect(0, 95, '\P{General_Category=- CONNECTORpunctuation}', "");
Expect(1, 95, '\P{^General_Category=- CONNECTORpunctuation}', "");
Expect(0, 94, '\p{General_Category=- CONNECTORpunctuation}', "");
Expect(1, 94, '\p{^General_Category=- CONNECTORpunctuation}', "");
Expect(1, 94, '\P{General_Category=- CONNECTORpunctuation}', "");
Expect(0, 94, '\P{^General_Category=- CONNECTORpunctuation}', "");
Error('\p{Gc= /a/PC}');
Error('\P{Gc= /a/PC}');
Expect(1, 95, '\p{Gc: pc}', "");
Expect(0, 95, '\p{^Gc: pc}', "");
Expect(0, 95, '\P{Gc: pc}', "");
Expect(1, 95, '\P{^Gc: pc}', "");
Expect(0, 94, '\p{Gc: pc}', "");
Expect(1, 94, '\p{^Gc: pc}', "");
Expect(1, 94, '\P{Gc: pc}', "");
Expect(0, 94, '\P{^Gc: pc}', "");
Expect(1, 95, '\p{Gc=_-PC}', "");
Expect(0, 95, '\p{^Gc=_-PC}', "");
Expect(0, 95, '\P{Gc=_-PC}', "");
Expect(1, 95, '\P{^Gc=_-PC}', "");
Expect(0, 94, '\p{Gc=_-PC}', "");
Expect(1, 94, '\p{^Gc=_-PC}', "");
Expect(1, 94, '\P{Gc=_-PC}', "");
Expect(0, 94, '\P{^Gc=_-PC}', "");
Error('\p{Category=--CONNECTOR	PUNCTUATION/a/}');
Error('\P{Category=--CONNECTOR	PUNCTUATION/a/}');
Expect(1, 95, '\p{Category=connectorpunctuation}', "");
Expect(0, 95, '\p{^Category=connectorpunctuation}', "");
Expect(0, 95, '\P{Category=connectorpunctuation}', "");
Expect(1, 95, '\P{^Category=connectorpunctuation}', "");
Expect(0, 94, '\p{Category=connectorpunctuation}', "");
Expect(1, 94, '\p{^Category=connectorpunctuation}', "");
Expect(1, 94, '\P{Category=connectorpunctuation}', "");
Expect(0, 94, '\P{^Category=connectorpunctuation}', "");
Expect(1, 95, '\p{Category=-_CONNECTORPunctuation}', "");
Expect(0, 95, '\p{^Category=-_CONNECTORPunctuation}', "");
Expect(0, 95, '\P{Category=-_CONNECTORPunctuation}', "");
Expect(1, 95, '\P{^Category=-_CONNECTORPunctuation}', "");
Expect(0, 94, '\p{Category=-_CONNECTORPunctuation}', "");
Expect(1, 94, '\p{^Category=-_CONNECTORPunctuation}', "");
Expect(1, 94, '\P{Category=-_CONNECTORPunctuation}', "");
Expect(0, 94, '\P{^Category=-_CONNECTORPunctuation}', "");
Error('\p{Is_General_Category: _-PC/a/}');
Error('\P{Is_General_Category: _-PC/a/}');
Expect(1, 95, '\p{Is_General_Category=pc}', "");
Expect(0, 95, '\p{^Is_General_Category=pc}', "");
Expect(0, 95, '\P{Is_General_Category=pc}', "");
Expect(1, 95, '\P{^Is_General_Category=pc}', "");
Expect(0, 94, '\p{Is_General_Category=pc}', "");
Expect(1, 94, '\p{^Is_General_Category=pc}', "");
Expect(1, 94, '\P{Is_General_Category=pc}', "");
Expect(0, 94, '\P{^Is_General_Category=pc}', "");
Expect(1, 95, '\p{Is_General_Category=		pc}', "");
Expect(0, 95, '\p{^Is_General_Category=		pc}', "");
Expect(0, 95, '\P{Is_General_Category=		pc}', "");
Expect(1, 95, '\P{^Is_General_Category=		pc}', "");
Expect(0, 94, '\p{Is_General_Category=		pc}', "");
Expect(1, 94, '\p{^Is_General_Category=		pc}', "");
Expect(1, 94, '\P{Is_General_Category=		pc}', "");
Expect(0, 94, '\P{^Is_General_Category=		pc}', "");
Error('\p{Is_Gc=	 connector punctuation:=}');
Error('\P{Is_Gc=	 connector punctuation:=}');
Expect(1, 95, '\p{Is_Gc=connectorpunctuation}', "");
Expect(0, 95, '\p{^Is_Gc=connectorpunctuation}', "");
Expect(0, 95, '\P{Is_Gc=connectorpunctuation}', "");
Expect(1, 95, '\P{^Is_Gc=connectorpunctuation}', "");
Expect(0, 94, '\p{Is_Gc=connectorpunctuation}', "");
Expect(1, 94, '\p{^Is_Gc=connectorpunctuation}', "");
Expect(1, 94, '\P{Is_Gc=connectorpunctuation}', "");
Expect(0, 94, '\P{^Is_Gc=connectorpunctuation}', "");
Expect(1, 95, '\p{Is_Gc=-CONNECTOR Punctuation}', "");
Expect(0, 95, '\p{^Is_Gc=-CONNECTOR Punctuation}', "");
Expect(0, 95, '\P{Is_Gc=-CONNECTOR Punctuation}', "");
Expect(1, 95, '\P{^Is_Gc=-CONNECTOR Punctuation}', "");
Expect(0, 94, '\p{Is_Gc=-CONNECTOR Punctuation}', "");
Expect(1, 94, '\p{^Is_Gc=-CONNECTOR Punctuation}', "");
Expect(1, 94, '\P{Is_Gc=-CONNECTOR Punctuation}', "");
Expect(0, 94, '\P{^Is_Gc=-CONNECTOR Punctuation}', "");
Error('\p{Is_Category=:= Pc}');
Error('\P{Is_Category=:= Pc}');
Expect(1, 95, '\p{Is_Category=pc}', "");
Expect(0, 95, '\p{^Is_Category=pc}', "");
Expect(0, 95, '\P{Is_Category=pc}', "");
Expect(1, 95, '\P{^Is_Category=pc}', "");
Expect(0, 94, '\p{Is_Category=pc}', "");
Expect(1, 94, '\p{^Is_Category=pc}', "");
Expect(1, 94, '\P{Is_Category=pc}', "");
Expect(0, 94, '\P{^Is_Category=pc}', "");
Expect(1, 95, '\p{Is_Category=_PC}', "");
Expect(0, 95, '\p{^Is_Category=_PC}', "");
Expect(0, 95, '\P{Is_Category=_PC}', "");
Expect(1, 95, '\P{^Is_Category=_PC}', "");
Expect(0, 94, '\p{Is_Category=_PC}', "");
Expect(1, 94, '\p{^Is_Category=_PC}', "");
Expect(1, 94, '\P{Is_Category=_PC}', "");
Expect(0, 94, '\P{^Is_Category=_PC}', "");
Error('\p{General_Category=-SURROGATE:=}');
Error('\P{General_Category=-SURROGATE:=}');
Expect(0, 55295, '\p{General_Category=surrogate}', "");
Expect(1, 55295, '\p{^General_Category=surrogate}', "");
Expect(1, 55295, '\P{General_Category=surrogate}', "");
Expect(0, 55295, '\P{^General_Category=surrogate}', "");
Expect(0, 55295, '\p{General_Category=-	surrogate}', "");
Expect(1, 55295, '\p{^General_Category=-	surrogate}', "");
Expect(1, 55295, '\P{General_Category=-	surrogate}', "");
Expect(0, 55295, '\P{^General_Category=-	surrogate}', "");
Error('\p{Gc:-Cs:=}');
Error('\P{Gc:-Cs:=}');
Expect(0, 55295, '\p{Gc=cs}', "");
Expect(1, 55295, '\p{^Gc=cs}', "");
Expect(1, 55295, '\P{Gc=cs}', "");
Expect(0, 55295, '\P{^Gc=cs}', "");
Expect(0, 55295, '\p{Gc=- cs}', "");
Expect(1, 55295, '\p{^Gc=- cs}', "");
Expect(1, 55295, '\P{Gc=- cs}', "");
Expect(0, 55295, '\P{^Gc=- cs}', "");
Error('\p{Category: -Surrogate/a/}');
Error('\P{Category: -Surrogate/a/}');
Expect(0, 55295, '\p{Category=surrogate}', "");
Expect(1, 55295, '\p{^Category=surrogate}', "");
Expect(1, 55295, '\P{Category=surrogate}', "");
Expect(0, 55295, '\P{^Category=surrogate}', "");
Expect(0, 55295, '\p{Category= _Surrogate}', "");
Expect(1, 55295, '\p{^Category= _Surrogate}', "");
Expect(1, 55295, '\P{Category= _Surrogate}', "");
Expect(0, 55295, '\P{^Category= _Surrogate}', "");
Error('\p{Is_General_Category=:=--Cs}');
Error('\P{Is_General_Category=:=--Cs}');
Expect(0, 55295, '\p{Is_General_Category=cs}', "");
Expect(1, 55295, '\p{^Is_General_Category=cs}', "");
Expect(1, 55295, '\P{Is_General_Category=cs}', "");
Expect(0, 55295, '\P{^Is_General_Category=cs}', "");
Expect(0, 55295, '\p{Is_General_Category=_	cs}', "");
Expect(1, 55295, '\p{^Is_General_Category=_	cs}', "");
Expect(1, 55295, '\P{Is_General_Category=_	cs}', "");
Expect(0, 55295, '\P{^Is_General_Category=_	cs}', "");
Error('\p{Is_Gc=-SURROGATE/a/}');
Error('\P{Is_Gc=-SURROGATE/a/}');
Expect(0, 55295, '\p{Is_Gc=surrogate}', "");
Expect(1, 55295, '\p{^Is_Gc=surrogate}', "");
Expect(1, 55295, '\P{Is_Gc=surrogate}', "");
Expect(0, 55295, '\P{^Is_Gc=surrogate}', "");
Expect(0, 55295, '\p{Is_Gc=_Surrogate}', "");
Expect(1, 55295, '\p{^Is_Gc=_Surrogate}', "");
Expect(1, 55295, '\P{Is_Gc=_Surrogate}', "");
Expect(0, 55295, '\P{^Is_Gc=_Surrogate}', "");
Error('\p{Is_Category= :=cs}');
Error('\P{Is_Category= :=cs}');
Expect(0, 55295, '\p{Is_Category=cs}', "");
Expect(1, 55295, '\p{^Is_Category=cs}', "");
Expect(1, 55295, '\P{Is_Category=cs}', "");
Expect(0, 55295, '\P{^Is_Category=cs}', "");
Expect(0, 55295, '\p{Is_Category=__cs}', "");
Expect(1, 55295, '\p{^Is_Category=__cs}', "");
Expect(1, 55295, '\P{Is_Category=__cs}', "");
Expect(0, 55295, '\P{^Is_Category=__cs}', "");
Error('\p{General_Category=	_PRIVATE_USE:=}');
Error('\P{General_Category=	_PRIVATE_USE:=}');
Expect(1, 63743, '\p{General_Category=privateuse}', "");
Expect(0, 63743, '\p{^General_Category=privateuse}', "");
Expect(0, 63743, '\P{General_Category=privateuse}', "");
Expect(1, 63743, '\P{^General_Category=privateuse}', "");
Expect(0, 1, '\p{General_Category=privateuse}', "");
Expect(1, 1, '\p{^General_Category=privateuse}', "");
Expect(1, 1, '\P{General_Category=privateuse}', "");
Expect(0, 1, '\P{^General_Category=privateuse}', "");
Expect(1, 63743, '\p{General_Category=	-private Use}', "");
Expect(0, 63743, '\p{^General_Category=	-private Use}', "");
Expect(0, 63743, '\P{General_Category=	-private Use}', "");
Expect(1, 63743, '\P{^General_Category=	-private Use}', "");
Expect(0, 1, '\p{General_Category=	-private Use}', "");
Expect(1, 1, '\p{^General_Category=	-private Use}', "");
Expect(1, 1, '\P{General_Category=	-private Use}', "");
Expect(0, 1, '\P{^General_Category=	-private Use}', "");
Error('\p{Gc=:=		CO}');
Error('\P{Gc=:=		CO}');
Expect(1, 63743, '\p{Gc=co}', "");
Expect(0, 63743, '\p{^Gc=co}', "");
Expect(0, 63743, '\P{Gc=co}', "");
Expect(1, 63743, '\P{^Gc=co}', "");
Expect(0, 1, '\p{Gc=co}', "");
Expect(1, 1, '\p{^Gc=co}', "");
Expect(1, 1, '\P{Gc=co}', "");
Expect(0, 1, '\P{^Gc=co}', "");
Expect(1, 63743, '\p{Gc:   -Co}', "");
Expect(0, 63743, '\p{^Gc:   -Co}', "");
Expect(0, 63743, '\P{Gc:   -Co}', "");
Expect(1, 63743, '\P{^Gc:   -Co}', "");
Expect(0, 1, '\p{Gc:   -Co}', "");
Expect(1, 1, '\p{^Gc:   -Co}', "");
Expect(1, 1, '\P{Gc:   -Co}', "");
Expect(0, 1, '\P{^Gc:   -Co}', "");
Error('\p{Category=:= 	Private	USE}');
Error('\P{Category=:= 	Private	USE}');
Expect(1, 63743, '\p{Category=privateuse}', "");
Expect(0, 63743, '\p{^Category=privateuse}', "");
Expect(0, 63743, '\P{Category=privateuse}', "");
Expect(1, 63743, '\P{^Category=privateuse}', "");
Expect(0, 1, '\p{Category=privateuse}', "");
Expect(1, 1, '\p{^Category=privateuse}', "");
Expect(1, 1, '\P{Category=privateuse}', "");
Expect(0, 1, '\P{^Category=privateuse}', "");
Expect(1, 63743, '\p{Category=		private Use}', "");
Expect(0, 63743, '\p{^Category=		private Use}', "");
Expect(0, 63743, '\P{Category=		private Use}', "");
Expect(1, 63743, '\P{^Category=		private Use}', "");
Expect(0, 1, '\p{Category=		private Use}', "");
Expect(1, 1, '\p{^Category=		private Use}', "");
Expect(1, 1, '\P{Category=		private Use}', "");
Expect(0, 1, '\P{^Category=		private Use}', "");
Error('\p{Is_General_Category=-CO:=}');
Error('\P{Is_General_Category=-CO:=}');
Expect(1, 63743, '\p{Is_General_Category=co}', "");
Expect(0, 63743, '\p{^Is_General_Category=co}', "");
Expect(0, 63743, '\P{Is_General_Category=co}', "");
Expect(1, 63743, '\P{^Is_General_Category=co}', "");
Expect(0, 1, '\p{Is_General_Category=co}', "");
Expect(1, 1, '\p{^Is_General_Category=co}', "");
Expect(1, 1, '\P{Is_General_Category=co}', "");
Expect(0, 1, '\P{^Is_General_Category=co}', "");
Error('\p{Is_Gc=:=-PRIVATE_Use}');
Error('\P{Is_Gc=:=-PRIVATE_Use}');
Expect(1, 63743, '\p{Is_Gc=privateuse}', "");
Expect(0, 63743, '\p{^Is_Gc=privateuse}', "");
Expect(0, 63743, '\P{Is_Gc=privateuse}', "");
Expect(1, 63743, '\P{^Is_Gc=privateuse}', "");
Expect(0, 1, '\p{Is_Gc=privateuse}', "");
Expect(1, 1, '\p{^Is_Gc=privateuse}', "");
Expect(1, 1, '\P{Is_Gc=privateuse}', "");
Expect(0, 1, '\P{^Is_Gc=privateuse}', "");
Expect(1, 63743, '\p{Is_Gc=		PrivateUSE}', "");
Expect(0, 63743, '\p{^Is_Gc=		PrivateUSE}', "");
Expect(0, 63743, '\P{Is_Gc=		PrivateUSE}', "");
Expect(1, 63743, '\P{^Is_Gc=		PrivateUSE}', "");
Expect(0, 1, '\p{Is_Gc=		PrivateUSE}', "");
Expect(1, 1, '\p{^Is_Gc=		PrivateUSE}', "");
Expect(1, 1, '\P{Is_Gc=		PrivateUSE}', "");
Expect(0, 1, '\P{^Is_Gc=		PrivateUSE}', "");
Error('\p{Is_Category= :=Co}');
Error('\P{Is_Category= :=Co}');
Expect(1, 63743, '\p{Is_Category=co}', "");
Expect(0, 63743, '\p{^Is_Category=co}', "");
Expect(0, 63743, '\P{Is_Category=co}', "");
Expect(1, 63743, '\P{^Is_Category=co}', "");
Expect(0, 1, '\p{Is_Category=co}', "");
Expect(1, 1, '\p{^Is_Category=co}', "");
Expect(1, 1, '\P{Is_Category=co}', "");
Expect(0, 1, '\P{^Is_Category=co}', "");
Expect(1, 63743, '\p{Is_Category= Co}', "");
Expect(0, 63743, '\p{^Is_Category= Co}', "");
Expect(0, 63743, '\P{Is_Category= Co}', "");
Expect(1, 63743, '\P{^Is_Category= Co}', "");
Expect(0, 1, '\p{Is_Category= Co}', "");
Expect(1, 1, '\p{^Is_Category= Co}', "");
Expect(1, 1, '\P{Is_Category= Co}', "");
Expect(0, 1, '\P{^Is_Category= Co}', "");
Error('\p{General_Category=/a/-_Lowercase	letter}');
Error('\P{General_Category=/a/-_Lowercase	letter}');
Expect(1, 122, '\p{General_Category=lowercaseletter}', "");
Expect(0, 122, '\p{^General_Category=lowercaseletter}', "");
Expect(0, 122, '\P{General_Category=lowercaseletter}', "");
Expect(1, 122, '\P{^General_Category=lowercaseletter}', "");
Expect(0, 96, '\p{General_Category=lowercaseletter}', "");
Expect(1, 96, '\p{^General_Category=lowercaseletter}', "");
Expect(1, 96, '\P{General_Category=lowercaseletter}', "");
Expect(0, 96, '\P{^General_Category=lowercaseletter}', "");
Expect(1, 122, '\p{General_Category=  lowercase Letter}', "");
Expect(0, 122, '\p{^General_Category=  lowercase Letter}', "");
Expect(0, 122, '\P{General_Category=  lowercase Letter}', "");
Expect(1, 122, '\P{^General_Category=  lowercase Letter}', "");
Expect(0, 96, '\p{General_Category=  lowercase Letter}', "");
Expect(1, 96, '\p{^General_Category=  lowercase Letter}', "");
Expect(1, 96, '\P{General_Category=  lowercase Letter}', "");
Expect(0, 96, '\P{^General_Category=  lowercase Letter}', "");
Error('\p{Gc=:=-	Ll}');
Error('\P{Gc=:=-	Ll}');
Expect(1, 122, '\p{Gc=ll}', "");
Expect(0, 122, '\p{^Gc=ll}', "");
Expect(0, 122, '\P{Gc=ll}', "");
Expect(1, 122, '\P{^Gc=ll}', "");
Expect(0, 96, '\p{Gc=ll}', "");
Expect(1, 96, '\p{^Gc=ll}', "");
Expect(1, 96, '\P{Gc=ll}', "");
Expect(0, 96, '\P{^Gc=ll}', "");
Expect(1, 122, '\p{Gc= -LL}', "");
Expect(0, 122, '\p{^Gc= -LL}', "");
Expect(0, 122, '\P{Gc= -LL}', "");
Expect(1, 122, '\P{^Gc= -LL}', "");
Expect(0, 96, '\p{Gc= -LL}', "");
Expect(1, 96, '\p{^Gc= -LL}', "");
Expect(1, 96, '\P{Gc= -LL}', "");
Expect(0, 96, '\P{^Gc= -LL}', "");
Error('\p{Category=-Lowercase	Letter:=}');
Error('\P{Category=-Lowercase	Letter:=}');
Expect(1, 122, '\p{Category=lowercaseletter}', "");
Expect(0, 122, '\p{^Category=lowercaseletter}', "");
Expect(0, 122, '\P{Category=lowercaseletter}', "");
Expect(1, 122, '\P{^Category=lowercaseletter}', "");
Expect(0, 96, '\p{Category=lowercaseletter}', "");
Expect(1, 96, '\p{^Category=lowercaseletter}', "");
Expect(1, 96, '\P{Category=lowercaseletter}', "");
Expect(0, 96, '\P{^Category=lowercaseletter}', "");
Expect(1, 122, '\p{Category=-	LOWERCASE	LETTER}', "");
Expect(0, 122, '\p{^Category=-	LOWERCASE	LETTER}', "");
Expect(0, 122, '\P{Category=-	LOWERCASE	LETTER}', "");
Expect(1, 122, '\P{^Category=-	LOWERCASE	LETTER}', "");
Expect(0, 96, '\p{Category=-	LOWERCASE	LETTER}', "");
Expect(1, 96, '\p{^Category=-	LOWERCASE	LETTER}', "");
Expect(1, 96, '\P{Category=-	LOWERCASE	LETTER}', "");
Expect(0, 96, '\P{^Category=-	LOWERCASE	LETTER}', "");
Error('\p{Is_General_Category=	_Ll:=}');
Error('\P{Is_General_Category=	_Ll:=}');
Expect(1, 122, '\p{Is_General_Category=ll}', "");
Expect(0, 122, '\p{^Is_General_Category=ll}', "");
Expect(0, 122, '\P{Is_General_Category=ll}', "");
Expect(1, 122, '\P{^Is_General_Category=ll}', "");
Expect(0, 96, '\p{Is_General_Category=ll}', "");
Expect(1, 96, '\p{^Is_General_Category=ll}', "");
Expect(1, 96, '\P{Is_General_Category=ll}', "");
Expect(0, 96, '\P{^Is_General_Category=ll}', "");
Expect(1, 122, '\p{Is_General_Category= -Ll}', "");
Expect(0, 122, '\p{^Is_General_Category= -Ll}', "");
Expect(0, 122, '\P{Is_General_Category= -Ll}', "");
Expect(1, 122, '\P{^Is_General_Category= -Ll}', "");
Expect(0, 96, '\p{Is_General_Category= -Ll}', "");
Expect(1, 96, '\p{^Is_General_Category= -Ll}', "");
Expect(1, 96, '\P{Is_General_Category= -Ll}', "");
Expect(0, 96, '\P{^Is_General_Category= -Ll}', "");
Error('\p{Is_Gc=/a/  LOWERCASELetter}');
Error('\P{Is_Gc=/a/  LOWERCASELetter}');
Expect(1, 122, '\p{Is_Gc=lowercaseletter}', "");
Expect(0, 122, '\p{^Is_Gc=lowercaseletter}', "");
Expect(0, 122, '\P{Is_Gc=lowercaseletter}', "");
Expect(1, 122, '\P{^Is_Gc=lowercaseletter}', "");
Expect(0, 96, '\p{Is_Gc=lowercaseletter}', "");
Expect(1, 96, '\p{^Is_Gc=lowercaseletter}', "");
Expect(1, 96, '\P{Is_Gc=lowercaseletter}', "");
Expect(0, 96, '\P{^Is_Gc=lowercaseletter}', "");
Expect(1, 122, '\p{Is_Gc=  Lowercase_Letter}', "");
Expect(0, 122, '\p{^Is_Gc=  Lowercase_Letter}', "");
Expect(0, 122, '\P{Is_Gc=  Lowercase_Letter}', "");
Expect(1, 122, '\P{^Is_Gc=  Lowercase_Letter}', "");
Expect(0, 96, '\p{Is_Gc=  Lowercase_Letter}', "");
Expect(1, 96, '\p{^Is_Gc=  Lowercase_Letter}', "");
Expect(1, 96, '\P{Is_Gc=  Lowercase_Letter}', "");
Expect(0, 96, '\P{^Is_Gc=  Lowercase_Letter}', "");
Error('\p{Is_Category=	/a/Ll}');
Error('\P{Is_Category=	/a/Ll}');
Expect(1, 122, '\p{Is_Category=ll}', "");
Expect(0, 122, '\p{^Is_Category=ll}', "");
Expect(0, 122, '\P{Is_Category=ll}', "");
Expect(1, 122, '\P{^Is_Category=ll}', "");
Expect(0, 96, '\p{Is_Category=ll}', "");
Expect(1, 96, '\p{^Is_Category=ll}', "");
Expect(1, 96, '\P{Is_Category=ll}', "");
Expect(0, 96, '\P{^Is_Category=ll}', "");
Expect(1, 122, '\p{Is_Category=_ll}', "");
Expect(0, 122, '\p{^Is_Category=_ll}', "");
Expect(0, 122, '\P{Is_Category=_ll}', "");
Expect(1, 122, '\P{^Is_Category=_ll}', "");
Expect(0, 96, '\p{Is_Category=_ll}', "");
Expect(1, 96, '\p{^Is_Category=_ll}', "");
Expect(1, 96, '\P{Is_Category=_ll}', "");
Expect(0, 96, '\P{^Is_Category=_ll}', "");
Error('\p{General_Category=:=		Close PUNCTUATION}');
Error('\P{General_Category=:=		Close PUNCTUATION}');
Expect(1, 41, '\p{General_Category=closepunctuation}', "");
Expect(0, 41, '\p{^General_Category=closepunctuation}', "");
Expect(0, 41, '\P{General_Category=closepunctuation}', "");
Expect(1, 41, '\P{^General_Category=closepunctuation}', "");
Expect(0, 40, '\p{General_Category=closepunctuation}', "");
Expect(1, 40, '\p{^General_Category=closepunctuation}', "");
Expect(1, 40, '\P{General_Category=closepunctuation}', "");
Expect(0, 40, '\P{^General_Category=closepunctuation}', "");
Expect(1, 41, '\p{General_Category: -close-punctuation}', "");
Expect(0, 41, '\p{^General_Category: -close-punctuation}', "");
Expect(0, 41, '\P{General_Category: -close-punctuation}', "");
Expect(1, 41, '\P{^General_Category: -close-punctuation}', "");
Expect(0, 40, '\p{General_Category: -close-punctuation}', "");
Expect(1, 40, '\p{^General_Category: -close-punctuation}', "");
Expect(1, 40, '\P{General_Category: -close-punctuation}', "");
Expect(0, 40, '\P{^General_Category: -close-punctuation}', "");
Error('\p{Gc=/a/Pe}');
Error('\P{Gc=/a/Pe}');
Expect(1, 41, '\p{Gc: pe}', "");
Expect(0, 41, '\p{^Gc: pe}', "");
Expect(0, 41, '\P{Gc: pe}', "");
Expect(1, 41, '\P{^Gc: pe}', "");
Expect(0, 40, '\p{Gc: pe}', "");
Expect(1, 40, '\p{^Gc: pe}', "");
Expect(1, 40, '\P{Gc: pe}', "");
Expect(0, 40, '\P{^Gc: pe}', "");
Expect(1, 41, '\p{Gc=_Pe}', "");
Expect(0, 41, '\p{^Gc=_Pe}', "");
Expect(0, 41, '\P{Gc=_Pe}', "");
Expect(1, 41, '\P{^Gc=_Pe}', "");
Expect(0, 40, '\p{Gc=_Pe}', "");
Expect(1, 40, '\p{^Gc=_Pe}', "");
Expect(1, 40, '\P{Gc=_Pe}', "");
Expect(0, 40, '\P{^Gc=_Pe}', "");
Error('\p{Category=-CLOSE/a/punctuation}');
Error('\P{Category=-CLOSE/a/punctuation}');
Expect(1, 41, '\p{Category=closepunctuation}', "");
Expect(0, 41, '\p{^Category=closepunctuation}', "");
Expect(0, 41, '\P{Category=closepunctuation}', "");
Expect(1, 41, '\P{^Category=closepunctuation}', "");
Expect(0, 40, '\p{Category=closepunctuation}', "");
Expect(1, 40, '\p{^Category=closepunctuation}', "");
Expect(1, 40, '\P{Category=closepunctuation}', "");
Expect(0, 40, '\P{^Category=closepunctuation}', "");
Expect(1, 41, '\p{Category=	_CLOSEPUNCTUATION}', "");
Expect(0, 41, '\p{^Category=	_CLOSEPUNCTUATION}', "");
Expect(0, 41, '\P{Category=	_CLOSEPUNCTUATION}', "");
Expect(1, 41, '\P{^Category=	_CLOSEPUNCTUATION}', "");
Expect(0, 40, '\p{Category=	_CLOSEPUNCTUATION}', "");
Expect(1, 40, '\p{^Category=	_CLOSEPUNCTUATION}', "");
Expect(1, 40, '\P{Category=	_CLOSEPUNCTUATION}', "");
Expect(0, 40, '\P{^Category=	_CLOSEPUNCTUATION}', "");
Error('\p{Is_General_Category=	/a/pe}');
Error('\P{Is_General_Category=	/a/pe}');
Expect(1, 41, '\p{Is_General_Category: pe}', "");
Expect(0, 41, '\p{^Is_General_Category: pe}', "");
Expect(0, 41, '\P{Is_General_Category: pe}', "");
Expect(1, 41, '\P{^Is_General_Category: pe}', "");
Expect(0, 40, '\p{Is_General_Category: pe}', "");
Expect(1, 40, '\p{^Is_General_Category: pe}', "");
Expect(1, 40, '\P{Is_General_Category: pe}', "");
Expect(0, 40, '\P{^Is_General_Category: pe}', "");
Expect(1, 41, '\p{Is_General_Category: _pe}', "");
Expect(0, 41, '\p{^Is_General_Category: _pe}', "");
Expect(0, 41, '\P{Is_General_Category: _pe}', "");
Expect(1, 41, '\P{^Is_General_Category: _pe}', "");
Expect(0, 40, '\p{Is_General_Category: _pe}', "");
Expect(1, 40, '\p{^Is_General_Category: _pe}', "");
Expect(1, 40, '\P{Is_General_Category: _pe}', "");
Expect(0, 40, '\P{^Is_General_Category: _pe}', "");
Error('\p{Is_Gc=- ClosePunctuation/a/}');
Error('\P{Is_Gc=- ClosePunctuation/a/}');
Expect(1, 41, '\p{Is_Gc=closepunctuation}', "");
Expect(0, 41, '\p{^Is_Gc=closepunctuation}', "");
Expect(0, 41, '\P{Is_Gc=closepunctuation}', "");
Expect(1, 41, '\P{^Is_Gc=closepunctuation}', "");
Expect(0, 40, '\p{Is_Gc=closepunctuation}', "");
Expect(1, 40, '\p{^Is_Gc=closepunctuation}', "");
Expect(1, 40, '\P{Is_Gc=closepunctuation}', "");
Expect(0, 40, '\P{^Is_Gc=closepunctuation}', "");
Expect(1, 41, '\p{Is_Gc:- closePUNCTUATION}', "");
Expect(0, 41, '\p{^Is_Gc:- closePUNCTUATION}', "");
Expect(0, 41, '\P{Is_Gc:- closePUNCTUATION}', "");
Expect(1, 41, '\P{^Is_Gc:- closePUNCTUATION}', "");
Expect(0, 40, '\p{Is_Gc:- closePUNCTUATION}', "");
Expect(1, 40, '\p{^Is_Gc:- closePUNCTUATION}', "");
Expect(1, 40, '\P{Is_Gc:- closePUNCTUATION}', "");
Expect(0, 40, '\P{^Is_Gc:- closePUNCTUATION}', "");
Error('\p{Is_Category= PE/a/}');
Error('\P{Is_Category= PE/a/}');
Expect(1, 41, '\p{Is_Category=pe}', "");
Expect(0, 41, '\p{^Is_Category=pe}', "");
Expect(0, 41, '\P{Is_Category=pe}', "");
Expect(1, 41, '\P{^Is_Category=pe}', "");
Expect(0, 40, '\p{Is_Category=pe}', "");
Expect(1, 40, '\p{^Is_Category=pe}', "");
Expect(1, 40, '\P{Is_Category=pe}', "");
Expect(0, 40, '\P{^Is_Category=pe}', "");
Expect(1, 41, '\p{Is_Category=- Pe}', "");
Expect(0, 41, '\p{^Is_Category=- Pe}', "");
Expect(0, 41, '\P{Is_Category=- Pe}', "");
Expect(1, 41, '\P{^Is_Category=- Pe}', "");
Expect(0, 40, '\p{Is_Category=- Pe}', "");
Expect(1, 40, '\p{^Is_Category=- Pe}', "");
Expect(1, 40, '\P{Is_Category=- Pe}', "");
Expect(0, 40, '\P{^Is_Category=- Pe}', "");
Error('\p{General_Category=/a/Letter}');
Error('\P{General_Category=/a/Letter}');
Expect(1, 90, '\p{General_Category=letter}', "");
Expect(0, 90, '\p{^General_Category=letter}', "");
Expect(0, 90, '\P{General_Category=letter}', "");
Expect(1, 90, '\P{^General_Category=letter}', "");
Expect(0, 64, '\p{General_Category=letter}', "");
Expect(1, 64, '\p{^General_Category=letter}', "");
Expect(1, 64, '\P{General_Category=letter}', "");
Expect(0, 64, '\P{^General_Category=letter}', "");
Expect(1, 90, '\p{General_Category=		Letter}', "");
Expect(0, 90, '\p{^General_Category=		Letter}', "");
Expect(0, 90, '\P{General_Category=		Letter}', "");
Expect(1, 90, '\P{^General_Category=		Letter}', "");
Expect(0, 64, '\p{General_Category=		Letter}', "");
Expect(1, 64, '\p{^General_Category=		Letter}', "");
Expect(1, 64, '\P{General_Category=		Letter}', "");
Expect(0, 64, '\P{^General_Category=		Letter}', "");
Error('\p{Gc=_/a/L}');
Error('\P{Gc=_/a/L}');
Expect(1, 90, '\p{Gc:	l}', "");
Expect(0, 90, '\p{^Gc:	l}', "");
Expect(0, 90, '\P{Gc:	l}', "");
Expect(1, 90, '\P{^Gc:	l}', "");
Expect(0, 64, '\p{Gc:	l}', "");
Expect(1, 64, '\p{^Gc:	l}', "");
Expect(1, 64, '\P{Gc:	l}', "");
Expect(0, 64, '\P{^Gc:	l}', "");
Expect(1, 90, '\p{Gc=- L}', "");
Expect(0, 90, '\p{^Gc=- L}', "");
Expect(0, 90, '\P{Gc=- L}', "");
Expect(1, 90, '\P{^Gc=- L}', "");
Expect(0, 64, '\p{Gc=- L}', "");
Expect(1, 64, '\p{^Gc=- L}', "");
Expect(1, 64, '\P{Gc=- L}', "");
Expect(0, 64, '\P{^Gc=- L}', "");
Error('\p{Category=	/a/Letter}');
Error('\P{Category=	/a/Letter}');
Expect(1, 90, '\p{Category: letter}', "");
Expect(0, 90, '\p{^Category: letter}', "");
Expect(0, 90, '\P{Category: letter}', "");
Expect(1, 90, '\P{^Category: letter}', "");
Expect(0, 64, '\p{Category: letter}', "");
Expect(1, 64, '\p{^Category: letter}', "");
Expect(1, 64, '\P{Category: letter}', "");
Expect(0, 64, '\P{^Category: letter}', "");
Expect(1, 90, '\p{Category= Letter}', "");
Expect(0, 90, '\p{^Category= Letter}', "");
Expect(0, 90, '\P{Category= Letter}', "");
Expect(1, 90, '\P{^Category= Letter}', "");
Expect(0, 64, '\p{Category= Letter}', "");
Expect(1, 64, '\p{^Category= Letter}', "");
Expect(1, 64, '\P{Category= Letter}', "");
Expect(0, 64, '\P{^Category= Letter}', "");
Error('\p{Is_General_Category:		L:=}');
Error('\P{Is_General_Category:		L:=}');
Expect(1, 90, '\p{Is_General_Category:	l}', "");
Expect(0, 90, '\p{^Is_General_Category:	l}', "");
Expect(0, 90, '\P{Is_General_Category:	l}', "");
Expect(1, 90, '\P{^Is_General_Category:	l}', "");
Expect(0, 64, '\p{Is_General_Category:	l}', "");
Expect(1, 64, '\p{^Is_General_Category:	l}', "");
Expect(1, 64, '\P{Is_General_Category:	l}', "");
Expect(0, 64, '\P{^Is_General_Category:	l}', "");
Expect(1, 90, '\p{Is_General_Category=_L}', "");
Expect(0, 90, '\p{^Is_General_Category=_L}', "");
Expect(0, 90, '\P{Is_General_Category=_L}', "");
Expect(1, 90, '\P{^Is_General_Category=_L}', "");
Expect(0, 64, '\p{Is_General_Category=_L}', "");
Expect(1, 64, '\p{^Is_General_Category=_L}', "");
Expect(1, 64, '\P{Is_General_Category=_L}', "");
Expect(0, 64, '\P{^Is_General_Category=_L}', "");
Error('\p{Is_Gc:/a/ letter}');
Error('\P{Is_Gc:/a/ letter}');
Expect(1, 90, '\p{Is_Gc=letter}', "");
Expect(0, 90, '\p{^Is_Gc=letter}', "");
Expect(0, 90, '\P{Is_Gc=letter}', "");
Expect(1, 90, '\P{^Is_Gc=letter}', "");
Expect(0, 64, '\p{Is_Gc=letter}', "");
Expect(1, 64, '\p{^Is_Gc=letter}', "");
Expect(1, 64, '\P{Is_Gc=letter}', "");
Expect(0, 64, '\P{^Is_Gc=letter}', "");
Expect(1, 90, '\p{Is_Gc= _Letter}', "");
Expect(0, 90, '\p{^Is_Gc= _Letter}', "");
Expect(0, 90, '\P{Is_Gc= _Letter}', "");
Expect(1, 90, '\P{^Is_Gc= _Letter}', "");
Expect(0, 64, '\p{Is_Gc= _Letter}', "");
Expect(1, 64, '\p{^Is_Gc= _Letter}', "");
Expect(1, 64, '\P{Is_Gc= _Letter}', "");
Expect(0, 64, '\P{^Is_Gc= _Letter}', "");
Error('\p{Is_Category=_/a/L}');
Error('\P{Is_Category=_/a/L}');
Expect(1, 90, '\p{Is_Category=l}', "");
Expect(0, 90, '\p{^Is_Category=l}', "");
Expect(0, 90, '\P{Is_Category=l}', "");
Expect(1, 90, '\P{^Is_Category=l}', "");
Expect(0, 64, '\p{Is_Category=l}', "");
Expect(1, 64, '\p{^Is_Category=l}', "");
Expect(1, 64, '\P{Is_Category=l}', "");
Expect(0, 64, '\P{^Is_Category=l}', "");
Expect(1, 90, '\p{Is_Category=  L}', "");
Expect(0, 90, '\p{^Is_Category=  L}', "");
Expect(0, 90, '\P{Is_Category=  L}', "");
Expect(1, 90, '\P{^Is_Category=  L}', "");
Expect(0, 64, '\p{Is_Category=  L}', "");
Expect(1, 64, '\p{^Is_Category=  L}', "");
Expect(1, 64, '\P{Is_Category=  L}', "");
Expect(0, 64, '\P{^Is_Category=  L}', "");
Error('\p{General_Category:	 :=Modifier Symbol}');
Error('\P{General_Category:	 :=Modifier Symbol}');
Expect(1, 94, '\p{General_Category=modifiersymbol}', "");
Expect(0, 94, '\p{^General_Category=modifiersymbol}', "");
Expect(0, 94, '\P{General_Category=modifiersymbol}', "");
Expect(1, 94, '\P{^General_Category=modifiersymbol}', "");
Expect(0, 93, '\p{General_Category=modifiersymbol}', "");
Expect(1, 93, '\p{^General_Category=modifiersymbol}', "");
Expect(1, 93, '\P{General_Category=modifiersymbol}', "");
Expect(0, 93, '\P{^General_Category=modifiersymbol}', "");
Expect(1, 94, '\p{General_Category= _MODIFIERSymbol}', "");
Expect(0, 94, '\p{^General_Category= _MODIFIERSymbol}', "");
Expect(0, 94, '\P{General_Category= _MODIFIERSymbol}', "");
Expect(1, 94, '\P{^General_Category= _MODIFIERSymbol}', "");
Expect(0, 93, '\p{General_Category= _MODIFIERSymbol}', "");
Expect(1, 93, '\p{^General_Category= _MODIFIERSymbol}', "");
Expect(1, 93, '\P{General_Category= _MODIFIERSymbol}', "");
Expect(0, 93, '\P{^General_Category= _MODIFIERSymbol}', "");
Error('\p{Gc=/a/ _SK}');
Error('\P{Gc=/a/ _SK}');
Expect(1, 94, '\p{Gc=sk}', "");
Expect(0, 94, '\p{^Gc=sk}', "");
Expect(0, 94, '\P{Gc=sk}', "");
Expect(1, 94, '\P{^Gc=sk}', "");
Expect(0, 93, '\p{Gc=sk}', "");
Expect(1, 93, '\p{^Gc=sk}', "");
Expect(1, 93, '\P{Gc=sk}', "");
Expect(0, 93, '\P{^Gc=sk}', "");
Expect(1, 94, '\p{Gc=_-Sk}', "");
Expect(0, 94, '\p{^Gc=_-Sk}', "");
Expect(0, 94, '\P{Gc=_-Sk}', "");
Expect(1, 94, '\P{^Gc=_-Sk}', "");
Expect(0, 93, '\p{Gc=_-Sk}', "");
Expect(1, 93, '\p{^Gc=_-Sk}', "");
Expect(1, 93, '\P{Gc=_-Sk}', "");
Expect(0, 93, '\P{^Gc=_-Sk}', "");
Error('\p{Category= 	Modifier/a/Symbol}');
Error('\P{Category= 	Modifier/a/Symbol}');
Expect(1, 94, '\p{Category=modifiersymbol}', "");
Expect(0, 94, '\p{^Category=modifiersymbol}', "");
Expect(0, 94, '\P{Category=modifiersymbol}', "");
Expect(1, 94, '\P{^Category=modifiersymbol}', "");
Expect(0, 93, '\p{Category=modifiersymbol}', "");
Expect(1, 93, '\p{^Category=modifiersymbol}', "");
Expect(1, 93, '\P{Category=modifiersymbol}', "");
Expect(0, 93, '\P{^Category=modifiersymbol}', "");
Expect(1, 94, '\p{Category=_ Modifier	SYMBOL}', "");
Expect(0, 94, '\p{^Category=_ Modifier	SYMBOL}', "");
Expect(0, 94, '\P{Category=_ Modifier	SYMBOL}', "");
Expect(1, 94, '\P{^Category=_ Modifier	SYMBOL}', "");
Expect(0, 93, '\p{Category=_ Modifier	SYMBOL}', "");
Expect(1, 93, '\p{^Category=_ Modifier	SYMBOL}', "");
Expect(1, 93, '\P{Category=_ Modifier	SYMBOL}', "");
Expect(0, 93, '\P{^Category=_ Modifier	SYMBOL}', "");
Error('\p{Is_General_Category:sk/a/}');
Error('\P{Is_General_Category:sk/a/}');
Expect(1, 94, '\p{Is_General_Category=sk}', "");
Expect(0, 94, '\p{^Is_General_Category=sk}', "");
Expect(0, 94, '\P{Is_General_Category=sk}', "");
Expect(1, 94, '\P{^Is_General_Category=sk}', "");
Expect(0, 93, '\p{Is_General_Category=sk}', "");
Expect(1, 93, '\p{^Is_General_Category=sk}', "");
Expect(1, 93, '\P{Is_General_Category=sk}', "");
Expect(0, 93, '\P{^Is_General_Category=sk}', "");
Expect(1, 94, '\p{Is_General_Category= SK}', "");
Expect(0, 94, '\p{^Is_General_Category= SK}', "");
Expect(0, 94, '\P{Is_General_Category= SK}', "");
Expect(1, 94, '\P{^Is_General_Category= SK}', "");
Expect(0, 93, '\p{Is_General_Category= SK}', "");
Expect(1, 93, '\p{^Is_General_Category= SK}', "");
Expect(1, 93, '\P{Is_General_Category= SK}', "");
Expect(0, 93, '\P{^Is_General_Category= SK}', "");
Error('\p{Is_Gc:	Modifier:=Symbol}');
Error('\P{Is_Gc:	Modifier:=Symbol}');
Expect(1, 94, '\p{Is_Gc=modifiersymbol}', "");
Expect(0, 94, '\p{^Is_Gc=modifiersymbol}', "");
Expect(0, 94, '\P{Is_Gc=modifiersymbol}', "");
Expect(1, 94, '\P{^Is_Gc=modifiersymbol}', "");
Expect(0, 93, '\p{Is_Gc=modifiersymbol}', "");
Expect(1, 93, '\p{^Is_Gc=modifiersymbol}', "");
Expect(1, 93, '\P{Is_Gc=modifiersymbol}', "");
Expect(0, 93, '\P{^Is_Gc=modifiersymbol}', "");
Expect(1, 94, '\p{Is_Gc=Modifier Symbol}', "");
Expect(0, 94, '\p{^Is_Gc=Modifier Symbol}', "");
Expect(0, 94, '\P{Is_Gc=Modifier Symbol}', "");
Expect(1, 94, '\P{^Is_Gc=Modifier Symbol}', "");
Expect(0, 93, '\p{Is_Gc=Modifier Symbol}', "");
Expect(1, 93, '\p{^Is_Gc=Modifier Symbol}', "");
Expect(1, 93, '\P{Is_Gc=Modifier Symbol}', "");
Expect(0, 93, '\P{^Is_Gc=Modifier Symbol}', "");
Error('\p{Is_Category=-:=sk}');
Error('\P{Is_Category=-:=sk}');
Expect(1, 94, '\p{Is_Category=sk}', "");
Expect(0, 94, '\p{^Is_Category=sk}', "");
Expect(0, 94, '\P{Is_Category=sk}', "");
Expect(1, 94, '\P{^Is_Category=sk}', "");
Expect(0, 93, '\p{Is_Category=sk}', "");
Expect(1, 93, '\p{^Is_Category=sk}', "");
Expect(1, 93, '\P{Is_Category=sk}', "");
Expect(0, 93, '\P{^Is_Category=sk}', "");
Expect(1, 94, '\p{Is_Category=_Sk}', "");
Expect(0, 94, '\p{^Is_Category=_Sk}', "");
Expect(0, 94, '\P{Is_Category=_Sk}', "");
Expect(1, 94, '\P{^Is_Category=_Sk}', "");
Expect(0, 93, '\p{Is_Category=_Sk}', "");
Expect(1, 93, '\p{^Is_Category=_Sk}', "");
Expect(1, 93, '\P{Is_Category=_Sk}', "");
Expect(0, 93, '\P{^Is_Category=_Sk}', "");
Error('\p{General_Category=:=- Control}');
Error('\P{General_Category=:=- Control}');
Expect(1, 31, '\p{General_Category=control}', "");
Expect(0, 31, '\p{^General_Category=control}', "");
Expect(0, 31, '\P{General_Category=control}', "");
Expect(1, 31, '\P{^General_Category=control}', "");
Expect(0, 126, '\p{General_Category=control}', "");
Expect(1, 126, '\p{^General_Category=control}', "");
Expect(1, 126, '\P{General_Category=control}', "");
Expect(0, 126, '\P{^General_Category=control}', "");
Expect(1, 31, '\p{General_Category=_-CONTROL}', "");
Expect(0, 31, '\p{^General_Category=_-CONTROL}', "");
Expect(0, 31, '\P{General_Category=_-CONTROL}', "");
Expect(1, 31, '\P{^General_Category=_-CONTROL}', "");
Expect(0, 126, '\p{General_Category=_-CONTROL}', "");
Expect(1, 126, '\p{^General_Category=_-CONTROL}', "");
Expect(1, 126, '\P{General_Category=_-CONTROL}', "");
Expect(0, 126, '\P{^General_Category=_-CONTROL}', "");
Error('\p{Gc=	-cc/a/}');
Error('\P{Gc=	-cc/a/}');
Expect(1, 31, '\p{Gc=cc}', "");
Expect(0, 31, '\p{^Gc=cc}', "");
Expect(0, 31, '\P{Gc=cc}', "");
Expect(1, 31, '\P{^Gc=cc}', "");
Expect(0, 126, '\p{Gc=cc}', "");
Expect(1, 126, '\p{^Gc=cc}', "");
Expect(1, 126, '\P{Gc=cc}', "");
Expect(0, 126, '\P{^Gc=cc}', "");
Expect(1, 31, '\p{Gc=-cc}', "");
Expect(0, 31, '\p{^Gc=-cc}', "");
Expect(0, 31, '\P{Gc=-cc}', "");
Expect(1, 31, '\P{^Gc=-cc}', "");
Expect(0, 126, '\p{Gc=-cc}', "");
Expect(1, 126, '\p{^Gc=-cc}', "");
Expect(1, 126, '\P{Gc=-cc}', "");
Expect(0, 126, '\P{^Gc=-cc}', "");
Error('\p{Category=_:=Cntrl}');
Error('\P{Category=_:=Cntrl}');
Expect(1, 31, '\p{Category=cntrl}', "");
Expect(0, 31, '\p{^Category=cntrl}', "");
Expect(0, 31, '\P{Category=cntrl}', "");
Expect(1, 31, '\P{^Category=cntrl}', "");
Expect(0, 126, '\p{Category=cntrl}', "");
Expect(1, 126, '\p{^Category=cntrl}', "");
Expect(1, 126, '\P{Category=cntrl}', "");
Expect(0, 126, '\P{^Category=cntrl}', "");
Expect(1, 31, '\p{Category=_Cntrl}', "");
Expect(0, 31, '\p{^Category=_Cntrl}', "");
Expect(0, 31, '\P{Category=_Cntrl}', "");
Expect(1, 31, '\P{^Category=_Cntrl}', "");
Expect(0, 126, '\p{Category=_Cntrl}', "");
Expect(1, 126, '\p{^Category=_Cntrl}', "");
Expect(1, 126, '\P{Category=_Cntrl}', "");
Expect(0, 126, '\P{^Category=_Cntrl}', "");
Error('\p{Is_General_Category=-CONTROL/a/}');
Error('\P{Is_General_Category=-CONTROL/a/}');
Expect(1, 31, '\p{Is_General_Category=control}', "");
Expect(0, 31, '\p{^Is_General_Category=control}', "");
Expect(0, 31, '\P{Is_General_Category=control}', "");
Expect(1, 31, '\P{^Is_General_Category=control}', "");
Expect(0, 126, '\p{Is_General_Category=control}', "");
Expect(1, 126, '\p{^Is_General_Category=control}', "");
Expect(1, 126, '\P{Is_General_Category=control}', "");
Expect(0, 126, '\P{^Is_General_Category=control}', "");
Expect(1, 31, '\p{Is_General_Category=		Control}', "");
Expect(0, 31, '\p{^Is_General_Category=		Control}', "");
Expect(0, 31, '\P{Is_General_Category=		Control}', "");
Expect(1, 31, '\P{^Is_General_Category=		Control}', "");
Expect(0, 126, '\p{Is_General_Category=		Control}', "");
Expect(1, 126, '\p{^Is_General_Category=		Control}', "");
Expect(1, 126, '\P{Is_General_Category=		Control}', "");
Expect(0, 126, '\P{^Is_General_Category=		Control}', "");
Error('\p{Is_Gc=:= cc}');
Error('\P{Is_Gc=:= cc}');
Expect(1, 31, '\p{Is_Gc=cc}', "");
Expect(0, 31, '\p{^Is_Gc=cc}', "");
Expect(0, 31, '\P{Is_Gc=cc}', "");
Expect(1, 31, '\P{^Is_Gc=cc}', "");
Expect(0, 126, '\p{Is_Gc=cc}', "");
Expect(1, 126, '\p{^Is_Gc=cc}', "");
Expect(1, 126, '\P{Is_Gc=cc}', "");
Expect(0, 126, '\P{^Is_Gc=cc}', "");
Expect(1, 31, '\p{Is_Gc: _-Cc}', "");
Expect(0, 31, '\p{^Is_Gc: _-Cc}', "");
Expect(0, 31, '\P{Is_Gc: _-Cc}', "");
Expect(1, 31, '\P{^Is_Gc: _-Cc}', "");
Expect(0, 126, '\p{Is_Gc: _-Cc}', "");
Expect(1, 126, '\p{^Is_Gc: _-Cc}', "");
Expect(1, 126, '\P{Is_Gc: _-Cc}', "");
Expect(0, 126, '\P{^Is_Gc: _-Cc}', "");
Error('\p{Is_Category=:=Cntrl}');
Error('\P{Is_Category=:=Cntrl}');
Expect(1, 31, '\p{Is_Category=cntrl}', "");
Expect(0, 31, '\p{^Is_Category=cntrl}', "");
Expect(0, 31, '\P{Is_Category=cntrl}', "");
Expect(1, 31, '\P{^Is_Category=cntrl}', "");
Expect(0, 126, '\p{Is_Category=cntrl}', "");
Expect(1, 126, '\p{^Is_Category=cntrl}', "");
Expect(1, 126, '\P{Is_Category=cntrl}', "");
Expect(0, 126, '\P{^Is_Category=cntrl}', "");
Expect(1, 31, '\p{Is_Category=		Cntrl}', "");
Expect(0, 31, '\p{^Is_Category=		Cntrl}', "");
Expect(0, 31, '\P{Is_Category=		Cntrl}', "");
Expect(1, 31, '\P{^Is_Category=		Cntrl}', "");
Expect(0, 126, '\p{Is_Category=		Cntrl}', "");
Expect(1, 126, '\p{^Is_Category=		Cntrl}', "");
Expect(1, 126, '\P{Is_Category=		Cntrl}', "");
Expect(0, 126, '\P{^Is_Category=		Cntrl}', "");
Error('\p{General_Category=/a/	Line_Separator}');
Error('\P{General_Category=/a/	Line_Separator}');
Expect(1, 8232, '\p{General_Category=lineseparator}', "");
Expect(0, 8232, '\p{^General_Category=lineseparator}', "");
Expect(0, 8232, '\P{General_Category=lineseparator}', "");
Expect(1, 8232, '\P{^General_Category=lineseparator}', "");
Expect(0, 8231, '\p{General_Category=lineseparator}', "");
Expect(1, 8231, '\p{^General_Category=lineseparator}', "");
Expect(1, 8231, '\P{General_Category=lineseparator}', "");
Expect(0, 8231, '\P{^General_Category=lineseparator}', "");
Expect(1, 8232, '\p{General_Category:-_Line-separator}', "");
Expect(0, 8232, '\p{^General_Category:-_Line-separator}', "");
Expect(0, 8232, '\P{General_Category:-_Line-separator}', "");
Expect(1, 8232, '\P{^General_Category:-_Line-separator}', "");
Expect(0, 8231, '\p{General_Category:-_Line-separator}', "");
Expect(1, 8231, '\p{^General_Category:-_Line-separator}', "");
Expect(1, 8231, '\P{General_Category:-_Line-separator}', "");
Expect(0, 8231, '\P{^General_Category:-_Line-separator}', "");
Error('\p{Gc=/a/- Zl}');
Error('\P{Gc=/a/- Zl}');
Expect(1, 8232, '\p{Gc=zl}', "");
Expect(0, 8232, '\p{^Gc=zl}', "");
Expect(0, 8232, '\P{Gc=zl}', "");
Expect(1, 8232, '\P{^Gc=zl}', "");
Expect(0, 8231, '\p{Gc=zl}', "");
Expect(1, 8231, '\p{^Gc=zl}', "");
Expect(1, 8231, '\P{Gc=zl}', "");
Expect(0, 8231, '\P{^Gc=zl}', "");
Expect(1, 8232, '\p{Gc=--zl}', "");
Expect(0, 8232, '\p{^Gc=--zl}', "");
Expect(0, 8232, '\P{Gc=--zl}', "");
Expect(1, 8232, '\P{^Gc=--zl}', "");
Expect(0, 8231, '\p{Gc=--zl}', "");
Expect(1, 8231, '\p{^Gc=--zl}', "");
Expect(1, 8231, '\P{Gc=--zl}', "");
Expect(0, 8231, '\P{^Gc=--zl}', "");
Error('\p{Category=-LINE/a/Separator}');
Error('\P{Category=-LINE/a/Separator}');
Expect(1, 8232, '\p{Category=lineseparator}', "");
Expect(0, 8232, '\p{^Category=lineseparator}', "");
Expect(0, 8232, '\P{Category=lineseparator}', "");
Expect(1, 8232, '\P{^Category=lineseparator}', "");
Expect(0, 8231, '\p{Category=lineseparator}', "");
Expect(1, 8231, '\p{^Category=lineseparator}', "");
Expect(1, 8231, '\P{Category=lineseparator}', "");
Expect(0, 8231, '\P{^Category=lineseparator}', "");
Expect(1, 8232, '\p{Category=_	LINE	Separator}', "");
Expect(0, 8232, '\p{^Category=_	LINE	Separator}', "");
Expect(0, 8232, '\P{Category=_	LINE	Separator}', "");
Expect(1, 8232, '\P{^Category=_	LINE	Separator}', "");
Expect(0, 8231, '\p{Category=_	LINE	Separator}', "");
Expect(1, 8231, '\p{^Category=_	LINE	Separator}', "");
Expect(1, 8231, '\P{Category=_	LINE	Separator}', "");
Expect(0, 8231, '\P{^Category=_	LINE	Separator}', "");
Error('\p{Is_General_Category: --Zl/a/}');
Error('\P{Is_General_Category: --Zl/a/}');
Expect(1, 8232, '\p{Is_General_Category: zl}', "");
Expect(0, 8232, '\p{^Is_General_Category: zl}', "");
Expect(0, 8232, '\P{Is_General_Category: zl}', "");
Expect(1, 8232, '\P{^Is_General_Category: zl}', "");
Expect(0, 8231, '\p{Is_General_Category: zl}', "");
Expect(1, 8231, '\p{^Is_General_Category: zl}', "");
Expect(1, 8231, '\P{Is_General_Category: zl}', "");
Expect(0, 8231, '\P{^Is_General_Category: zl}', "");
Expect(1, 8232, '\p{Is_General_Category:   Zl}', "");
Expect(0, 8232, '\p{^Is_General_Category:   Zl}', "");
Expect(0, 8232, '\P{Is_General_Category:   Zl}', "");
Expect(1, 8232, '\P{^Is_General_Category:   Zl}', "");
Expect(0, 8231, '\p{Is_General_Category:   Zl}', "");
Expect(1, 8231, '\p{^Is_General_Category:   Zl}', "");
Expect(1, 8231, '\P{Is_General_Category:   Zl}', "");
Expect(0, 8231, '\P{^Is_General_Category:   Zl}', "");
Error('\p{Is_Gc=-	line	Separator/a/}');
Error('\P{Is_Gc=-	line	Separator/a/}');
Expect(1, 8232, '\p{Is_Gc=lineseparator}', "");
Expect(0, 8232, '\p{^Is_Gc=lineseparator}', "");
Expect(0, 8232, '\P{Is_Gc=lineseparator}', "");
Expect(1, 8232, '\P{^Is_Gc=lineseparator}', "");
Expect(0, 8231, '\p{Is_Gc=lineseparator}', "");
Expect(1, 8231, '\p{^Is_Gc=lineseparator}', "");
Expect(1, 8231, '\P{Is_Gc=lineseparator}', "");
Expect(0, 8231, '\P{^Is_Gc=lineseparator}', "");
Expect(1, 8232, '\p{Is_Gc=-LineSEPARATOR}', "");
Expect(0, 8232, '\p{^Is_Gc=-LineSEPARATOR}', "");
Expect(0, 8232, '\P{Is_Gc=-LineSEPARATOR}', "");
Expect(1, 8232, '\P{^Is_Gc=-LineSEPARATOR}', "");
Expect(0, 8231, '\p{Is_Gc=-LineSEPARATOR}', "");
Expect(1, 8231, '\p{^Is_Gc=-LineSEPARATOR}', "");
Expect(1, 8231, '\P{Is_Gc=-LineSEPARATOR}', "");
Expect(0, 8231, '\P{^Is_Gc=-LineSEPARATOR}', "");
Error('\p{Is_Category: /a/-zl}');
Error('\P{Is_Category: /a/-zl}');
Expect(1, 8232, '\p{Is_Category=zl}', "");
Expect(0, 8232, '\p{^Is_Category=zl}', "");
Expect(0, 8232, '\P{Is_Category=zl}', "");
Expect(1, 8232, '\P{^Is_Category=zl}', "");
Expect(0, 8231, '\p{Is_Category=zl}', "");
Expect(1, 8231, '\p{^Is_Category=zl}', "");
Expect(1, 8231, '\P{Is_Category=zl}', "");
Expect(0, 8231, '\P{^Is_Category=zl}', "");
Expect(1, 8232, '\p{Is_Category=-_Zl}', "");
Expect(0, 8232, '\p{^Is_Category=-_Zl}', "");
Expect(0, 8232, '\P{Is_Category=-_Zl}', "");
Expect(1, 8232, '\P{^Is_Category=-_Zl}', "");
Expect(0, 8231, '\p{Is_Category=-_Zl}', "");
Expect(1, 8231, '\p{^Is_Category=-_Zl}', "");
Expect(1, 8231, '\P{Is_Category=-_Zl}', "");
Expect(0, 8231, '\P{^Is_Category=-_Zl}', "");
Error('\p{General_Category= Open-Punctuation:=}');
Error('\P{General_Category= Open-Punctuation:=}');
Expect(1, 40, '\p{General_Category=openpunctuation}', "");
Expect(0, 40, '\p{^General_Category=openpunctuation}', "");
Expect(0, 40, '\P{General_Category=openpunctuation}', "");
Expect(1, 40, '\P{^General_Category=openpunctuation}', "");
Expect(0, 39, '\p{General_Category=openpunctuation}', "");
Expect(1, 39, '\p{^General_Category=openpunctuation}', "");
Expect(1, 39, '\P{General_Category=openpunctuation}', "");
Expect(0, 39, '\P{^General_Category=openpunctuation}', "");
Expect(1, 40, '\p{General_Category=_OPEN_punctuation}', "");
Expect(0, 40, '\p{^General_Category=_OPEN_punctuation}', "");
Expect(0, 40, '\P{General_Category=_OPEN_punctuation}', "");
Expect(1, 40, '\P{^General_Category=_OPEN_punctuation}', "");
Expect(0, 39, '\p{General_Category=_OPEN_punctuation}', "");
Expect(1, 39, '\p{^General_Category=_OPEN_punctuation}', "");
Expect(1, 39, '\P{General_Category=_OPEN_punctuation}', "");
Expect(0, 39, '\P{^General_Category=_OPEN_punctuation}', "");
Error('\p{Gc=-_Ps/a/}');
Error('\P{Gc=-_Ps/a/}');
Expect(1, 40, '\p{Gc=ps}', "");
Expect(0, 40, '\p{^Gc=ps}', "");
Expect(0, 40, '\P{Gc=ps}', "");
Expect(1, 40, '\P{^Gc=ps}', "");
Expect(0, 39, '\p{Gc=ps}', "");
Expect(1, 39, '\p{^Gc=ps}', "");
Expect(1, 39, '\P{Gc=ps}', "");
Expect(0, 39, '\P{^Gc=ps}', "");
Expect(1, 40, '\p{Gc=		ps}', "");
Expect(0, 40, '\p{^Gc=		ps}', "");
Expect(0, 40, '\P{Gc=		ps}', "");
Expect(1, 40, '\P{^Gc=		ps}', "");
Expect(0, 39, '\p{Gc=		ps}', "");
Expect(1, 39, '\p{^Gc=		ps}', "");
Expect(1, 39, '\P{Gc=		ps}', "");
Expect(0, 39, '\P{^Gc=		ps}', "");
Error('\p{Category= /a/open_Punctuation}');
Error('\P{Category= /a/open_Punctuation}');
Expect(1, 40, '\p{Category=openpunctuation}', "");
Expect(0, 40, '\p{^Category=openpunctuation}', "");
Expect(0, 40, '\P{Category=openpunctuation}', "");
Expect(1, 40, '\P{^Category=openpunctuation}', "");
Expect(0, 39, '\p{Category=openpunctuation}', "");
Expect(1, 39, '\p{^Category=openpunctuation}', "");
Expect(1, 39, '\P{Category=openpunctuation}', "");
Expect(0, 39, '\P{^Category=openpunctuation}', "");
Expect(1, 40, '\p{Category= 	OPEN-Punctuation}', "");
Expect(0, 40, '\p{^Category= 	OPEN-Punctuation}', "");
Expect(0, 40, '\P{Category= 	OPEN-Punctuation}', "");
Expect(1, 40, '\P{^Category= 	OPEN-Punctuation}', "");
Expect(0, 39, '\p{Category= 	OPEN-Punctuation}', "");
Expect(1, 39, '\p{^Category= 	OPEN-Punctuation}', "");
Expect(1, 39, '\P{Category= 	OPEN-Punctuation}', "");
Expect(0, 39, '\P{^Category= 	OPEN-Punctuation}', "");
Error('\p{Is_General_Category=:=Ps}');
Error('\P{Is_General_Category=:=Ps}');
Expect(1, 40, '\p{Is_General_Category=ps}', "");
Expect(0, 40, '\p{^Is_General_Category=ps}', "");
Expect(0, 40, '\P{Is_General_Category=ps}', "");
Expect(1, 40, '\P{^Is_General_Category=ps}', "");
Expect(0, 39, '\p{Is_General_Category=ps}', "");
Expect(1, 39, '\p{^Is_General_Category=ps}', "");
Expect(1, 39, '\P{Is_General_Category=ps}', "");
Expect(0, 39, '\P{^Is_General_Category=ps}', "");
Expect(1, 40, '\p{Is_General_Category= PS}', "");
Expect(0, 40, '\p{^Is_General_Category= PS}', "");
Expect(0, 40, '\P{Is_General_Category= PS}', "");
Expect(1, 40, '\P{^Is_General_Category= PS}', "");
Expect(0, 39, '\p{Is_General_Category= PS}', "");
Expect(1, 39, '\p{^Is_General_Category= PS}', "");
Expect(1, 39, '\P{Is_General_Category= PS}', "");
Expect(0, 39, '\P{^Is_General_Category= PS}', "");
Error('\p{Is_Gc=/a/	-OPEN	Punctuation}');
Error('\P{Is_Gc=/a/	-OPEN	Punctuation}');
Expect(1, 40, '\p{Is_Gc=openpunctuation}', "");
Expect(0, 40, '\p{^Is_Gc=openpunctuation}', "");
Expect(0, 40, '\P{Is_Gc=openpunctuation}', "");
Expect(1, 40, '\P{^Is_Gc=openpunctuation}', "");
Expect(0, 39, '\p{Is_Gc=openpunctuation}', "");
Expect(1, 39, '\p{^Is_Gc=openpunctuation}', "");
Expect(1, 39, '\P{Is_Gc=openpunctuation}', "");
Expect(0, 39, '\P{^Is_Gc=openpunctuation}', "");
Expect(1, 40, '\p{Is_Gc= open	Punctuation}', "");
Expect(0, 40, '\p{^Is_Gc= open	Punctuation}', "");
Expect(0, 40, '\P{Is_Gc= open	Punctuation}', "");
Expect(1, 40, '\P{^Is_Gc= open	Punctuation}', "");
Expect(0, 39, '\p{Is_Gc= open	Punctuation}', "");
Expect(1, 39, '\p{^Is_Gc= open	Punctuation}', "");
Expect(1, 39, '\P{Is_Gc= open	Punctuation}', "");
Expect(0, 39, '\P{^Is_Gc= open	Punctuation}', "");
Error('\p{Is_Category= /a/ps}');
Error('\P{Is_Category= /a/ps}');
Expect(1, 40, '\p{Is_Category=ps}', "");
Expect(0, 40, '\p{^Is_Category=ps}', "");
Expect(0, 40, '\P{Is_Category=ps}', "");
Expect(1, 40, '\P{^Is_Category=ps}', "");
Expect(0, 39, '\p{Is_Category=ps}', "");
Expect(1, 39, '\p{^Is_Category=ps}', "");
Expect(1, 39, '\P{Is_Category=ps}', "");
Expect(0, 39, '\P{^Is_Category=ps}', "");
Expect(1, 40, '\p{Is_Category=		PS}', "");
Expect(0, 40, '\p{^Is_Category=		PS}', "");
Expect(0, 40, '\P{Is_Category=		PS}', "");
Expect(1, 40, '\P{^Is_Category=		PS}', "");
Expect(0, 39, '\p{Is_Category=		PS}', "");
Expect(1, 39, '\p{^Is_Category=		PS}', "");
Expect(1, 39, '\P{Is_Category=		PS}', "");
Expect(0, 39, '\P{^Is_Category=		PS}', "");
Error('\p{General_Category=  Math-Symbol:=}');
Error('\P{General_Category=  Math-Symbol:=}');
Expect(1, 43, '\p{General_Category=mathsymbol}', "");
Expect(0, 43, '\p{^General_Category=mathsymbol}', "");
Expect(0, 43, '\P{General_Category=mathsymbol}', "");
Expect(1, 43, '\P{^General_Category=mathsymbol}', "");
Expect(0, 42, '\p{General_Category=mathsymbol}', "");
Expect(1, 42, '\p{^General_Category=mathsymbol}', "");
Expect(1, 42, '\P{General_Category=mathsymbol}', "");
Expect(0, 42, '\P{^General_Category=mathsymbol}', "");
Expect(1, 43, '\p{General_Category: _ MATHSymbol}', "");
Expect(0, 43, '\p{^General_Category: _ MATHSymbol}', "");
Expect(0, 43, '\P{General_Category: _ MATHSymbol}', "");
Expect(1, 43, '\P{^General_Category: _ MATHSymbol}', "");
Expect(0, 42, '\p{General_Category: _ MATHSymbol}', "");
Expect(1, 42, '\p{^General_Category: _ MATHSymbol}', "");
Expect(1, 42, '\P{General_Category: _ MATHSymbol}', "");
Expect(0, 42, '\P{^General_Category: _ MATHSymbol}', "");
Error('\p{Gc=/a/_SM}');
Error('\P{Gc=/a/_SM}');
Expect(1, 43, '\p{Gc=sm}', "");
Expect(0, 43, '\p{^Gc=sm}', "");
Expect(0, 43, '\P{Gc=sm}', "");
Expect(1, 43, '\P{^Gc=sm}', "");
Expect(0, 42, '\p{Gc=sm}', "");
Expect(1, 42, '\p{^Gc=sm}', "");
Expect(1, 42, '\P{Gc=sm}', "");
Expect(0, 42, '\P{^Gc=sm}', "");
Expect(1, 43, '\p{Gc=	Sm}', "");
Expect(0, 43, '\p{^Gc=	Sm}', "");
Expect(0, 43, '\P{Gc=	Sm}', "");
Expect(1, 43, '\P{^Gc=	Sm}', "");
Expect(0, 42, '\p{Gc=	Sm}', "");
Expect(1, 42, '\p{^Gc=	Sm}', "");
Expect(1, 42, '\P{Gc=	Sm}', "");
Expect(0, 42, '\P{^Gc=	Sm}', "");
Error('\p{Category=/a/_Math symbol}');
Error('\P{Category=/a/_Math symbol}');
Expect(1, 43, '\p{Category=mathsymbol}', "");
Expect(0, 43, '\p{^Category=mathsymbol}', "");
Expect(0, 43, '\P{Category=mathsymbol}', "");
Expect(1, 43, '\P{^Category=mathsymbol}', "");
Expect(0, 42, '\p{Category=mathsymbol}', "");
Expect(1, 42, '\p{^Category=mathsymbol}', "");
Expect(1, 42, '\P{Category=mathsymbol}', "");
Expect(0, 42, '\P{^Category=mathsymbol}', "");
Expect(1, 43, '\p{Category=	MathSymbol}', "");
Expect(0, 43, '\p{^Category=	MathSymbol}', "");
Expect(0, 43, '\P{Category=	MathSymbol}', "");
Expect(1, 43, '\P{^Category=	MathSymbol}', "");
Expect(0, 42, '\p{Category=	MathSymbol}', "");
Expect(1, 42, '\p{^Category=	MathSymbol}', "");
Expect(1, 42, '\P{Category=	MathSymbol}', "");
Expect(0, 42, '\P{^Category=	MathSymbol}', "");
Error('\p{Is_General_Category:  :=Sm}');
Error('\P{Is_General_Category:  :=Sm}');
Expect(1, 43, '\p{Is_General_Category=sm}', "");
Expect(0, 43, '\p{^Is_General_Category=sm}', "");
Expect(0, 43, '\P{Is_General_Category=sm}', "");
Expect(1, 43, '\P{^Is_General_Category=sm}', "");
Expect(0, 42, '\p{Is_General_Category=sm}', "");
Expect(1, 42, '\p{^Is_General_Category=sm}', "");
Expect(1, 42, '\P{Is_General_Category=sm}', "");
Expect(0, 42, '\P{^Is_General_Category=sm}', "");
Expect(1, 43, '\p{Is_General_Category= 	SM}', "");
Expect(0, 43, '\p{^Is_General_Category= 	SM}', "");
Expect(0, 43, '\P{Is_General_Category= 	SM}', "");
Expect(1, 43, '\P{^Is_General_Category= 	SM}', "");
Expect(0, 42, '\p{Is_General_Category= 	SM}', "");
Expect(1, 42, '\p{^Is_General_Category= 	SM}', "");
Expect(1, 42, '\P{Is_General_Category= 	SM}', "");
Expect(0, 42, '\P{^Is_General_Category= 	SM}', "");
Error('\p{Is_Gc: /a/Math-Symbol}');
Error('\P{Is_Gc: /a/Math-Symbol}');
Expect(1, 43, '\p{Is_Gc=mathsymbol}', "");
Expect(0, 43, '\p{^Is_Gc=mathsymbol}', "");
Expect(0, 43, '\P{Is_Gc=mathsymbol}', "");
Expect(1, 43, '\P{^Is_Gc=mathsymbol}', "");
Expect(0, 42, '\p{Is_Gc=mathsymbol}', "");
Expect(1, 42, '\p{^Is_Gc=mathsymbol}', "");
Expect(1, 42, '\P{Is_Gc=mathsymbol}', "");
Expect(0, 42, '\P{^Is_Gc=mathsymbol}', "");
Expect(1, 43, '\p{Is_Gc=  math	Symbol}', "");
Expect(0, 43, '\p{^Is_Gc=  math	Symbol}', "");
Expect(0, 43, '\P{Is_Gc=  math	Symbol}', "");
Expect(1, 43, '\P{^Is_Gc=  math	Symbol}', "");
Expect(0, 42, '\p{Is_Gc=  math	Symbol}', "");
Expect(1, 42, '\p{^Is_Gc=  math	Symbol}', "");
Expect(1, 42, '\P{Is_Gc=  math	Symbol}', "");
Expect(0, 42, '\P{^Is_Gc=  math	Symbol}', "");
Error('\p{Is_Category= /a/Sm}');
Error('\P{Is_Category= /a/Sm}');
Expect(1, 43, '\p{Is_Category=sm}', "");
Expect(0, 43, '\p{^Is_Category=sm}', "");
Expect(0, 43, '\P{Is_Category=sm}', "");
Expect(1, 43, '\P{^Is_Category=sm}', "");
Expect(0, 42, '\p{Is_Category=sm}', "");
Expect(1, 42, '\p{^Is_Category=sm}', "");
Expect(1, 42, '\P{Is_Category=sm}', "");
Expect(0, 42, '\P{^Is_Category=sm}', "");
Expect(1, 43, '\p{Is_Category=		sm}', "");
Expect(0, 43, '\p{^Is_Category=		sm}', "");
Expect(0, 43, '\P{Is_Category=		sm}', "");
Expect(1, 43, '\P{^Is_Category=		sm}', "");
Expect(0, 42, '\p{Is_Category=		sm}', "");
Expect(1, 42, '\p{^Is_Category=		sm}', "");
Expect(1, 42, '\P{Is_Category=		sm}', "");
Expect(0, 42, '\P{^Is_Category=		sm}', "");
Error('\p{General_Category=:= otherLetter}');
Error('\P{General_Category=:= otherLetter}');
Expect(1, 443, '\p{General_Category=otherletter}', "");
Expect(0, 443, '\p{^General_Category=otherletter}', "");
Expect(0, 443, '\P{General_Category=otherletter}', "");
Expect(1, 443, '\P{^General_Category=otherletter}', "");
Expect(0, 442, '\p{General_Category=otherletter}', "");
Expect(1, 442, '\p{^General_Category=otherletter}', "");
Expect(1, 442, '\P{General_Category=otherletter}', "");
Expect(0, 442, '\P{^General_Category=otherletter}', "");
Expect(1, 443, '\p{General_Category=_-Other_Letter}', "");
Expect(0, 443, '\p{^General_Category=_-Other_Letter}', "");
Expect(0, 443, '\P{General_Category=_-Other_Letter}', "");
Expect(1, 443, '\P{^General_Category=_-Other_Letter}', "");
Expect(0, 442, '\p{General_Category=_-Other_Letter}', "");
Expect(1, 442, '\p{^General_Category=_-Other_Letter}', "");
Expect(1, 442, '\P{General_Category=_-Other_Letter}', "");
Expect(0, 442, '\P{^General_Category=_-Other_Letter}', "");
Error('\p{Gc=_:=LO}');
Error('\P{Gc=_:=LO}');
Expect(1, 443, '\p{Gc=lo}', "");
Expect(0, 443, '\p{^Gc=lo}', "");
Expect(0, 443, '\P{Gc=lo}', "");
Expect(1, 443, '\P{^Gc=lo}', "");
Expect(0, 442, '\p{Gc=lo}', "");
Expect(1, 442, '\p{^Gc=lo}', "");
Expect(1, 442, '\P{Gc=lo}', "");
Expect(0, 442, '\P{^Gc=lo}', "");
Expect(1, 443, '\p{Gc=_	LO}', "");
Expect(0, 443, '\p{^Gc=_	LO}', "");
Expect(0, 443, '\P{Gc=_	LO}', "");
Expect(1, 443, '\P{^Gc=_	LO}', "");
Expect(0, 442, '\p{Gc=_	LO}', "");
Expect(1, 442, '\p{^Gc=_	LO}', "");
Expect(1, 442, '\P{Gc=_	LO}', "");
Expect(0, 442, '\P{^Gc=_	LO}', "");
Error('\p{Category= :=Other letter}');
Error('\P{Category= :=Other letter}');
Expect(1, 443, '\p{Category=otherletter}', "");
Expect(0, 443, '\p{^Category=otherletter}', "");
Expect(0, 443, '\P{Category=otherletter}', "");
Expect(1, 443, '\P{^Category=otherletter}', "");
Expect(0, 442, '\p{Category=otherletter}', "");
Expect(1, 442, '\p{^Category=otherletter}', "");
Expect(1, 442, '\P{Category=otherletter}', "");
Expect(0, 442, '\P{^Category=otherletter}', "");
Expect(1, 443, '\p{Category=-OTHER letter}', "");
Expect(0, 443, '\p{^Category=-OTHER letter}', "");
Expect(0, 443, '\P{Category=-OTHER letter}', "");
Expect(1, 443, '\P{^Category=-OTHER letter}', "");
Expect(0, 442, '\p{Category=-OTHER letter}', "");
Expect(1, 442, '\p{^Category=-OTHER letter}', "");
Expect(1, 442, '\P{Category=-OTHER letter}', "");
Expect(0, 442, '\P{^Category=-OTHER letter}', "");
Error('\p{Is_General_Category=_-Lo/a/}');
Error('\P{Is_General_Category=_-Lo/a/}');
Expect(1, 443, '\p{Is_General_Category=lo}', "");
Expect(0, 443, '\p{^Is_General_Category=lo}', "");
Expect(0, 443, '\P{Is_General_Category=lo}', "");
Expect(1, 443, '\P{^Is_General_Category=lo}', "");
Expect(0, 442, '\p{Is_General_Category=lo}', "");
Expect(1, 442, '\p{^Is_General_Category=lo}', "");
Expect(1, 442, '\P{Is_General_Category=lo}', "");
Expect(0, 442, '\P{^Is_General_Category=lo}', "");
Expect(1, 443, '\p{Is_General_Category=--lo}', "");
Expect(0, 443, '\p{^Is_General_Category=--lo}', "");
Expect(0, 443, '\P{Is_General_Category=--lo}', "");
Expect(1, 443, '\P{^Is_General_Category=--lo}', "");
Expect(0, 442, '\p{Is_General_Category=--lo}', "");
Expect(1, 442, '\p{^Is_General_Category=--lo}', "");
Expect(1, 442, '\P{Is_General_Category=--lo}', "");
Expect(0, 442, '\P{^Is_General_Category=--lo}', "");
Error('\p{Is_Gc=		otherLetter:=}');
Error('\P{Is_Gc=		otherLetter:=}');
Expect(1, 443, '\p{Is_Gc=otherletter}', "");
Expect(0, 443, '\p{^Is_Gc=otherletter}', "");
Expect(0, 443, '\P{Is_Gc=otherletter}', "");
Expect(1, 443, '\P{^Is_Gc=otherletter}', "");
Expect(0, 442, '\p{Is_Gc=otherletter}', "");
Expect(1, 442, '\p{^Is_Gc=otherletter}', "");
Expect(1, 442, '\P{Is_Gc=otherletter}', "");
Expect(0, 442, '\P{^Is_Gc=otherletter}', "");
Expect(1, 443, '\p{Is_Gc=Other LETTER}', "");
Expect(0, 443, '\p{^Is_Gc=Other LETTER}', "");
Expect(0, 443, '\P{Is_Gc=Other LETTER}', "");
Expect(1, 443, '\P{^Is_Gc=Other LETTER}', "");
Expect(0, 442, '\p{Is_Gc=Other LETTER}', "");
Expect(1, 442, '\p{^Is_Gc=Other LETTER}', "");
Expect(1, 442, '\P{Is_Gc=Other LETTER}', "");
Expect(0, 442, '\P{^Is_Gc=Other LETTER}', "");
Error('\p{Is_Category=:=		Lo}');
Error('\P{Is_Category=:=		Lo}');
Expect(1, 443, '\p{Is_Category=lo}', "");
Expect(0, 443, '\p{^Is_Category=lo}', "");
Expect(0, 443, '\P{Is_Category=lo}', "");
Expect(1, 443, '\P{^Is_Category=lo}', "");
Expect(0, 442, '\p{Is_Category=lo}', "");
Expect(1, 442, '\p{^Is_Category=lo}', "");
Expect(1, 442, '\P{Is_Category=lo}', "");
Expect(0, 442, '\P{^Is_Category=lo}', "");
Expect(1, 443, '\p{Is_Category=	LO}', "");
Expect(0, 443, '\p{^Is_Category=	LO}', "");
Expect(0, 443, '\P{Is_Category=	LO}', "");
Expect(1, 443, '\P{^Is_Category=	LO}', "");
Expect(0, 442, '\p{Is_Category=	LO}', "");
Expect(1, 442, '\p{^Is_Category=	LO}', "");
Expect(1, 442, '\P{Is_Category=	LO}', "");
Expect(0, 442, '\P{^Is_Category=	LO}', "");
Error('\p{General_Category= Separator/a/}');
Error('\P{General_Category= Separator/a/}');
Expect(1, 32, '\p{General_Category=separator}', "");
Expect(0, 32, '\p{^General_Category=separator}', "");
Expect(0, 32, '\P{General_Category=separator}', "");
Expect(1, 32, '\P{^General_Category=separator}', "");
Expect(0, 31, '\p{General_Category=separator}', "");
Expect(1, 31, '\p{^General_Category=separator}', "");
Expect(1, 31, '\P{General_Category=separator}', "");
Expect(0, 31, '\P{^General_Category=separator}', "");
Expect(1, 32, '\p{General_Category:   _	Separator}', "");
Expect(0, 32, '\p{^General_Category:   _	Separator}', "");
Expect(0, 32, '\P{General_Category:   _	Separator}', "");
Expect(1, 32, '\P{^General_Category:   _	Separator}', "");
Expect(0, 31, '\p{General_Category:   _	Separator}', "");
Expect(1, 31, '\p{^General_Category:   _	Separator}', "");
Expect(1, 31, '\P{General_Category:   _	Separator}', "");
Expect(0, 31, '\P{^General_Category:   _	Separator}', "");
Error('\p{Gc=-	Z/a/}');
Error('\P{Gc=-	Z/a/}');
Expect(1, 32, '\p{Gc=z}', "");
Expect(0, 32, '\p{^Gc=z}', "");
Expect(0, 32, '\P{Gc=z}', "");
Expect(1, 32, '\P{^Gc=z}', "");
Expect(0, 31, '\p{Gc=z}', "");
Expect(1, 31, '\p{^Gc=z}', "");
Expect(1, 31, '\P{Gc=z}', "");
Expect(0, 31, '\P{^Gc=z}', "");
Expect(1, 32, '\p{Gc=		z}', "");
Expect(0, 32, '\p{^Gc=		z}', "");
Expect(0, 32, '\P{Gc=		z}', "");
Expect(1, 32, '\P{^Gc=		z}', "");
Expect(0, 31, '\p{Gc=		z}', "");
Expect(1, 31, '\p{^Gc=		z}', "");
Expect(1, 31, '\P{Gc=		z}', "");
Expect(0, 31, '\P{^Gc=		z}', "");
Error('\p{Category=/a/	-separator}');
Error('\P{Category=/a/	-separator}');
Expect(1, 32, '\p{Category=separator}', "");
Expect(0, 32, '\p{^Category=separator}', "");
Expect(0, 32, '\P{Category=separator}', "");
Expect(1, 32, '\P{^Category=separator}', "");
Expect(0, 31, '\p{Category=separator}', "");
Expect(1, 31, '\p{^Category=separator}', "");
Expect(1, 31, '\P{Category=separator}', "");
Expect(0, 31, '\P{^Category=separator}', "");
Expect(1, 32, '\p{Category= Separator}', "");
Expect(0, 32, '\p{^Category= Separator}', "");
Expect(0, 32, '\P{Category= Separator}', "");
Expect(1, 32, '\P{^Category= Separator}', "");
Expect(0, 31, '\p{Category= Separator}', "");
Expect(1, 31, '\p{^Category= Separator}', "");
Expect(1, 31, '\P{Category= Separator}', "");
Expect(0, 31, '\P{^Category= Separator}', "");
Error('\p{Is_General_Category:   	Z:=}');
Error('\P{Is_General_Category:   	Z:=}');
Expect(1, 32, '\p{Is_General_Category=z}', "");
Expect(0, 32, '\p{^Is_General_Category=z}', "");
Expect(0, 32, '\P{Is_General_Category=z}', "");
Expect(1, 32, '\P{^Is_General_Category=z}', "");
Expect(0, 31, '\p{Is_General_Category=z}', "");
Expect(1, 31, '\p{^Is_General_Category=z}', "");
Expect(1, 31, '\P{Is_General_Category=z}', "");
Expect(0, 31, '\P{^Is_General_Category=z}', "");
Expect(1, 32, '\p{Is_General_Category= 	Z}', "");
Expect(0, 32, '\p{^Is_General_Category= 	Z}', "");
Expect(0, 32, '\P{Is_General_Category= 	Z}', "");
Expect(1, 32, '\P{^Is_General_Category= 	Z}', "");
Expect(0, 31, '\p{Is_General_Category= 	Z}', "");
Expect(1, 31, '\p{^Is_General_Category= 	Z}', "");
Expect(1, 31, '\P{Is_General_Category= 	Z}', "");
Expect(0, 31, '\P{^Is_General_Category= 	Z}', "");
Error('\p{Is_Gc=	:=separator}');
Error('\P{Is_Gc=	:=separator}');
Expect(1, 32, '\p{Is_Gc=separator}', "");
Expect(0, 32, '\p{^Is_Gc=separator}', "");
Expect(0, 32, '\P{Is_Gc=separator}', "");
Expect(1, 32, '\P{^Is_Gc=separator}', "");
Expect(0, 31, '\p{Is_Gc=separator}', "");
Expect(1, 31, '\p{^Is_Gc=separator}', "");
Expect(1, 31, '\P{Is_Gc=separator}', "");
Expect(0, 31, '\P{^Is_Gc=separator}', "");
Expect(1, 32, '\p{Is_Gc= _Separator}', "");
Expect(0, 32, '\p{^Is_Gc= _Separator}', "");
Expect(0, 32, '\P{Is_Gc= _Separator}', "");
Expect(1, 32, '\P{^Is_Gc= _Separator}', "");
Expect(0, 31, '\p{Is_Gc= _Separator}', "");
Expect(1, 31, '\p{^Is_Gc= _Separator}', "");
Expect(1, 31, '\P{Is_Gc= _Separator}', "");
Expect(0, 31, '\P{^Is_Gc= _Separator}', "");
Error('\p{Is_Category=	_Z:=}');
Error('\P{Is_Category=	_Z:=}');
Expect(1, 32, '\p{Is_Category=z}', "");
Expect(0, 32, '\p{^Is_Category=z}', "");
Expect(0, 32, '\P{Is_Category=z}', "");
Expect(1, 32, '\P{^Is_Category=z}', "");
Expect(0, 31, '\p{Is_Category=z}', "");
Expect(1, 31, '\p{^Is_Category=z}', "");
Expect(1, 31, '\P{Is_Category=z}', "");
Expect(0, 31, '\P{^Is_Category=z}', "");
Expect(1, 32, '\p{Is_Category:     Z}', "");
Expect(0, 32, '\p{^Is_Category:     Z}', "");
Expect(0, 32, '\P{Is_Category:     Z}', "");
Expect(1, 32, '\P{^Is_Category:     Z}', "");
Expect(0, 31, '\p{Is_Category:     Z}', "");
Expect(1, 31, '\p{^Is_Category:     Z}', "");
Expect(1, 31, '\P{Is_Category:     Z}', "");
Expect(0, 31, '\P{^Is_Category:     Z}', "");
Error('\p{General_Category= Other PUNCTUATION/a/}');
Error('\P{General_Category= Other PUNCTUATION/a/}');
Expect(1, 35, '\p{General_Category=otherpunctuation}', "");
Expect(0, 35, '\p{^General_Category=otherpunctuation}', "");
Expect(0, 35, '\P{General_Category=otherpunctuation}', "");
Expect(1, 35, '\P{^General_Category=otherpunctuation}', "");
Expect(0, 32, '\p{General_Category=otherpunctuation}', "");
Expect(1, 32, '\p{^General_Category=otherpunctuation}', "");
Expect(1, 32, '\P{General_Category=otherpunctuation}', "");
Expect(0, 32, '\P{^General_Category=otherpunctuation}', "");
Expect(1, 35, '\p{General_Category=	-Other	Punctuation}', "");
Expect(0, 35, '\p{^General_Category=	-Other	Punctuation}', "");
Expect(0, 35, '\P{General_Category=	-Other	Punctuation}', "");
Expect(1, 35, '\P{^General_Category=	-Other	Punctuation}', "");
Expect(0, 32, '\p{General_Category=	-Other	Punctuation}', "");
Expect(1, 32, '\p{^General_Category=	-Other	Punctuation}', "");
Expect(1, 32, '\P{General_Category=	-Other	Punctuation}', "");
Expect(0, 32, '\P{^General_Category=	-Other	Punctuation}', "");
Error('\p{Gc=-/a/po}');
Error('\P{Gc=-/a/po}');
Expect(1, 35, '\p{Gc=po}', "");
Expect(0, 35, '\p{^Gc=po}', "");
Expect(0, 35, '\P{Gc=po}', "");
Expect(1, 35, '\P{^Gc=po}', "");
Expect(0, 32, '\p{Gc=po}', "");
Expect(1, 32, '\p{^Gc=po}', "");
Expect(1, 32, '\P{Gc=po}', "");
Expect(0, 32, '\P{^Gc=po}', "");
Expect(1, 35, '\p{Gc=_ PO}', "");
Expect(0, 35, '\p{^Gc=_ PO}', "");
Expect(0, 35, '\P{Gc=_ PO}', "");
Expect(1, 35, '\P{^Gc=_ PO}', "");
Expect(0, 32, '\p{Gc=_ PO}', "");
Expect(1, 32, '\p{^Gc=_ PO}', "");
Expect(1, 32, '\P{Gc=_ PO}', "");
Expect(0, 32, '\P{^Gc=_ PO}', "");
Error('\p{Category::=--other Punctuation}');
Error('\P{Category::=--other Punctuation}');
Expect(1, 35, '\p{Category=otherpunctuation}', "");
Expect(0, 35, '\p{^Category=otherpunctuation}', "");
Expect(0, 35, '\P{Category=otherpunctuation}', "");
Expect(1, 35, '\P{^Category=otherpunctuation}', "");
Expect(0, 32, '\p{Category=otherpunctuation}', "");
Expect(1, 32, '\p{^Category=otherpunctuation}', "");
Expect(1, 32, '\P{Category=otherpunctuation}', "");
Expect(0, 32, '\P{^Category=otherpunctuation}', "");
Expect(1, 35, '\p{Category= OTHERPunctuation}', "");
Expect(0, 35, '\p{^Category= OTHERPunctuation}', "");
Expect(0, 35, '\P{Category= OTHERPunctuation}', "");
Expect(1, 35, '\P{^Category= OTHERPunctuation}', "");
Expect(0, 32, '\p{Category= OTHERPunctuation}', "");
Expect(1, 32, '\p{^Category= OTHERPunctuation}', "");
Expect(1, 32, '\P{Category= OTHERPunctuation}', "");
Expect(0, 32, '\P{^Category= OTHERPunctuation}', "");
Error('\p{Is_General_Category:		Po/a/}');
Error('\P{Is_General_Category:		Po/a/}');
Expect(1, 35, '\p{Is_General_Category=po}', "");
Expect(0, 35, '\p{^Is_General_Category=po}', "");
Expect(0, 35, '\P{Is_General_Category=po}', "");
Expect(1, 35, '\P{^Is_General_Category=po}', "");
Expect(0, 32, '\p{Is_General_Category=po}', "");
Expect(1, 32, '\p{^Is_General_Category=po}', "");
Expect(1, 32, '\P{Is_General_Category=po}', "");
Expect(0, 32, '\P{^Is_General_Category=po}', "");
Expect(1, 35, '\p{Is_General_Category=  Po}', "");
Expect(0, 35, '\p{^Is_General_Category=  Po}', "");
Expect(0, 35, '\P{Is_General_Category=  Po}', "");
Expect(1, 35, '\P{^Is_General_Category=  Po}', "");
Expect(0, 32, '\p{Is_General_Category=  Po}', "");
Expect(1, 32, '\p{^Is_General_Category=  Po}', "");
Expect(1, 32, '\P{Is_General_Category=  Po}', "");
Expect(0, 32, '\P{^Is_General_Category=  Po}', "");
Error('\p{Is_Gc= :=Other	Punctuation}');
Error('\P{Is_Gc= :=Other	Punctuation}');
Expect(1, 35, '\p{Is_Gc=otherpunctuation}', "");
Expect(0, 35, '\p{^Is_Gc=otherpunctuation}', "");
Expect(0, 35, '\P{Is_Gc=otherpunctuation}', "");
Expect(1, 35, '\P{^Is_Gc=otherpunctuation}', "");
Expect(0, 32, '\p{Is_Gc=otherpunctuation}', "");
Expect(1, 32, '\p{^Is_Gc=otherpunctuation}', "");
Expect(1, 32, '\P{Is_Gc=otherpunctuation}', "");
Expect(0, 32, '\P{^Is_Gc=otherpunctuation}', "");
Expect(1, 35, '\p{Is_Gc=-	Other Punctuation}', "");
Expect(0, 35, '\p{^Is_Gc=-	Other Punctuation}', "");
Expect(0, 35, '\P{Is_Gc=-	Other Punctuation}', "");
Expect(1, 35, '\P{^Is_Gc=-	Other Punctuation}', "");
Expect(0, 32, '\p{Is_Gc=-	Other Punctuation}', "");
Expect(1, 32, '\p{^Is_Gc=-	Other Punctuation}', "");
Expect(1, 32, '\P{Is_Gc=-	Other Punctuation}', "");
Expect(0, 32, '\P{^Is_Gc=-	Other Punctuation}', "");
Error('\p{Is_Category=:=__Po}');
Error('\P{Is_Category=:=__Po}');
Expect(1, 35, '\p{Is_Category=po}', "");
Expect(0, 35, '\p{^Is_Category=po}', "");
Expect(0, 35, '\P{Is_Category=po}', "");
Expect(1, 35, '\P{^Is_Category=po}', "");
Expect(0, 32, '\p{Is_Category=po}', "");
Expect(1, 32, '\p{^Is_Category=po}', "");
Expect(1, 32, '\P{Is_Category=po}', "");
Expect(0, 32, '\P{^Is_Category=po}', "");
Expect(1, 35, '\p{Is_Category=__PO}', "");
Expect(0, 35, '\p{^Is_Category=__PO}', "");
Expect(0, 35, '\P{Is_Category=__PO}', "");
Expect(1, 35, '\P{^Is_Category=__PO}', "");
Expect(0, 32, '\p{Is_Category=__PO}', "");
Expect(1, 32, '\p{^Is_Category=__PO}', "");
Expect(1, 32, '\P{Is_Category=__PO}', "");
Expect(0, 32, '\P{^Is_Category=__PO}', "");
Error('\p{General_Category=:=_ Space Separator}');
Error('\P{General_Category=:=_ Space Separator}');
Expect(1, 32, '\p{General_Category=spaceseparator}', "");
Expect(0, 32, '\p{^General_Category=spaceseparator}', "");
Expect(0, 32, '\P{General_Category=spaceseparator}', "");
Expect(1, 32, '\P{^General_Category=spaceseparator}', "");
Expect(0, 31, '\p{General_Category=spaceseparator}', "");
Expect(1, 31, '\p{^General_Category=spaceseparator}', "");
Expect(1, 31, '\P{General_Category=spaceseparator}', "");
Expect(0, 31, '\P{^General_Category=spaceseparator}', "");
Expect(1, 32, '\p{General_Category= 	Space separator}', "");
Expect(0, 32, '\p{^General_Category= 	Space separator}', "");
Expect(0, 32, '\P{General_Category= 	Space separator}', "");
Expect(1, 32, '\P{^General_Category= 	Space separator}', "");
Expect(0, 31, '\p{General_Category= 	Space separator}', "");
Expect(1, 31, '\p{^General_Category= 	Space separator}', "");
Expect(1, 31, '\P{General_Category= 	Space separator}', "");
Expect(0, 31, '\P{^General_Category= 	Space separator}', "");
Error('\p{Gc=_:=Zs}');
Error('\P{Gc=_:=Zs}');
Expect(1, 32, '\p{Gc=zs}', "");
Expect(0, 32, '\p{^Gc=zs}', "");
Expect(0, 32, '\P{Gc=zs}', "");
Expect(1, 32, '\P{^Gc=zs}', "");
Expect(0, 31, '\p{Gc=zs}', "");
Expect(1, 31, '\p{^Gc=zs}', "");
Expect(1, 31, '\P{Gc=zs}', "");
Expect(0, 31, '\P{^Gc=zs}', "");
Expect(1, 32, '\p{Gc=- Zs}', "");
Expect(0, 32, '\p{^Gc=- Zs}', "");
Expect(0, 32, '\P{Gc=- Zs}', "");
Expect(1, 32, '\P{^Gc=- Zs}', "");
Expect(0, 31, '\p{Gc=- Zs}', "");
Expect(1, 31, '\p{^Gc=- Zs}', "");
Expect(1, 31, '\P{Gc=- Zs}', "");
Expect(0, 31, '\P{^Gc=- Zs}', "");
Error('\p{Category= /a/SPACE Separator}');
Error('\P{Category= /a/SPACE Separator}');
Expect(1, 32, '\p{Category=spaceseparator}', "");
Expect(0, 32, '\p{^Category=spaceseparator}', "");
Expect(0, 32, '\P{Category=spaceseparator}', "");
Expect(1, 32, '\P{^Category=spaceseparator}', "");
Expect(0, 31, '\p{Category=spaceseparator}', "");
Expect(1, 31, '\p{^Category=spaceseparator}', "");
Expect(1, 31, '\P{Category=spaceseparator}', "");
Expect(0, 31, '\P{^Category=spaceseparator}', "");
Expect(1, 32, '\p{Category: --Space separator}', "");
Expect(0, 32, '\p{^Category: --Space separator}', "");
Expect(0, 32, '\P{Category: --Space separator}', "");
Expect(1, 32, '\P{^Category: --Space separator}', "");
Expect(0, 31, '\p{Category: --Space separator}', "");
Expect(1, 31, '\p{^Category: --Space separator}', "");
Expect(1, 31, '\P{Category: --Space separator}', "");
Expect(0, 31, '\P{^Category: --Space separator}', "");
Error('\p{Is_General_Category= Zs/a/}');
Error('\P{Is_General_Category= Zs/a/}');
Expect(1, 32, '\p{Is_General_Category=zs}', "");
Expect(0, 32, '\p{^Is_General_Category=zs}', "");
Expect(0, 32, '\P{Is_General_Category=zs}', "");
Expect(1, 32, '\P{^Is_General_Category=zs}', "");
Expect(0, 31, '\p{Is_General_Category=zs}', "");
Expect(1, 31, '\p{^Is_General_Category=zs}', "");
Expect(1, 31, '\P{Is_General_Category=zs}', "");
Expect(0, 31, '\P{^Is_General_Category=zs}', "");
Expect(1, 32, '\p{Is_General_Category=-	Zs}', "");
Expect(0, 32, '\p{^Is_General_Category=-	Zs}', "");
Expect(0, 32, '\P{Is_General_Category=-	Zs}', "");
Expect(1, 32, '\P{^Is_General_Category=-	Zs}', "");
Expect(0, 31, '\p{Is_General_Category=-	Zs}', "");
Expect(1, 31, '\p{^Is_General_Category=-	Zs}', "");
Expect(1, 31, '\P{Is_General_Category=-	Zs}', "");
Expect(0, 31, '\P{^Is_General_Category=-	Zs}', "");
Error('\p{Is_Gc=/a/__space_Separator}');
Error('\P{Is_Gc=/a/__space_Separator}');
Expect(1, 32, '\p{Is_Gc=spaceseparator}', "");
Expect(0, 32, '\p{^Is_Gc=spaceseparator}', "");
Expect(0, 32, '\P{Is_Gc=spaceseparator}', "");
Expect(1, 32, '\P{^Is_Gc=spaceseparator}', "");
Expect(0, 31, '\p{Is_Gc=spaceseparator}', "");
Expect(1, 31, '\p{^Is_Gc=spaceseparator}', "");
Expect(1, 31, '\P{Is_Gc=spaceseparator}', "");
Expect(0, 31, '\P{^Is_Gc=spaceseparator}', "");
Expect(1, 32, '\p{Is_Gc=- space-SEPARATOR}', "");
Expect(0, 32, '\p{^Is_Gc=- space-SEPARATOR}', "");
Expect(0, 32, '\P{Is_Gc=- space-SEPARATOR}', "");
Expect(1, 32, '\P{^Is_Gc=- space-SEPARATOR}', "");
Expect(0, 31, '\p{Is_Gc=- space-SEPARATOR}', "");
Expect(1, 31, '\p{^Is_Gc=- space-SEPARATOR}', "");
Expect(1, 31, '\P{Is_Gc=- space-SEPARATOR}', "");
Expect(0, 31, '\P{^Is_Gc=- space-SEPARATOR}', "");
Error('\p{Is_Category=	Zs/a/}');
Error('\P{Is_Category=	Zs/a/}');
Expect(1, 32, '\p{Is_Category=zs}', "");
Expect(0, 32, '\p{^Is_Category=zs}', "");
Expect(0, 32, '\P{Is_Category=zs}', "");
Expect(1, 32, '\P{^Is_Category=zs}', "");
Expect(0, 31, '\p{Is_Category=zs}', "");
Expect(1, 31, '\p{^Is_Category=zs}', "");
Expect(1, 31, '\P{Is_Category=zs}', "");
Expect(0, 31, '\P{^Is_Category=zs}', "");
Expect(1, 32, '\p{Is_Category= -Zs}', "");
Expect(0, 32, '\p{^Is_Category= -Zs}', "");
Expect(0, 32, '\P{Is_Category= -Zs}', "");
Expect(1, 32, '\P{^Is_Category= -Zs}', "");
Expect(0, 31, '\p{Is_Category= -Zs}', "");
Expect(1, 31, '\p{^Is_Category= -Zs}', "");
Expect(1, 31, '\P{Is_Category= -Zs}', "");
Expect(0, 31, '\P{^Is_Category= -Zs}', "");
Error('\p{General_Category=:=_other Number}');
Error('\P{General_Category=:=_other Number}');
Expect(1, 179, '\p{General_Category=othernumber}', "");
Expect(0, 179, '\p{^General_Category=othernumber}', "");
Expect(0, 179, '\P{General_Category=othernumber}', "");
Expect(1, 179, '\P{^General_Category=othernumber}', "");
Expect(0, 177, '\p{General_Category=othernumber}', "");
Expect(1, 177, '\p{^General_Category=othernumber}', "");
Expect(1, 177, '\P{General_Category=othernumber}', "");
Expect(0, 177, '\P{^General_Category=othernumber}', "");
Expect(1, 179, '\p{General_Category=_	other-Number}', "");
Expect(0, 179, '\p{^General_Category=_	other-Number}', "");
Expect(0, 179, '\P{General_Category=_	other-Number}', "");
Expect(1, 179, '\P{^General_Category=_	other-Number}', "");
Expect(0, 177, '\p{General_Category=_	other-Number}', "");
Expect(1, 177, '\p{^General_Category=_	other-Number}', "");
Expect(1, 177, '\P{General_Category=_	other-Number}', "");
Expect(0, 177, '\P{^General_Category=_	other-Number}', "");
Error('\p{Gc= :=No}');
Error('\P{Gc= :=No}');
Expect(1, 179, '\p{Gc=no}', "");
Expect(0, 179, '\p{^Gc=no}', "");
Expect(0, 179, '\P{Gc=no}', "");
Expect(1, 179, '\P{^Gc=no}', "");
Expect(0, 177, '\p{Gc=no}', "");
Expect(1, 177, '\p{^Gc=no}', "");
Expect(1, 177, '\P{Gc=no}', "");
Expect(0, 177, '\P{^Gc=no}', "");
Expect(1, 179, '\p{Gc= -NO}', "");
Expect(0, 179, '\p{^Gc= -NO}', "");
Expect(0, 179, '\P{Gc= -NO}', "");
Expect(1, 179, '\P{^Gc= -NO}', "");
Expect(0, 177, '\p{Gc= -NO}', "");
Expect(1, 177, '\p{^Gc= -NO}', "");
Expect(1, 177, '\P{Gc= -NO}', "");
Expect(0, 177, '\P{^Gc= -NO}', "");
Error('\p{Category= :=OTHER Number}');
Error('\P{Category= :=OTHER Number}');
Expect(1, 179, '\p{Category=othernumber}', "");
Expect(0, 179, '\p{^Category=othernumber}', "");
Expect(0, 179, '\P{Category=othernumber}', "");
Expect(1, 179, '\P{^Category=othernumber}', "");
Expect(0, 177, '\p{Category=othernumber}', "");
Expect(1, 177, '\p{^Category=othernumber}', "");
Expect(1, 177, '\P{Category=othernumber}', "");
Expect(0, 177, '\P{^Category=othernumber}', "");
Expect(1, 179, '\p{Category=_-OTHER_Number}', "");
Expect(0, 179, '\p{^Category=_-OTHER_Number}', "");
Expect(0, 179, '\P{Category=_-OTHER_Number}', "");
Expect(1, 179, '\P{^Category=_-OTHER_Number}', "");
Expect(0, 177, '\p{Category=_-OTHER_Number}', "");
Expect(1, 177, '\p{^Category=_-OTHER_Number}', "");
Expect(1, 177, '\P{Category=_-OTHER_Number}', "");
Expect(0, 177, '\P{^Category=_-OTHER_Number}', "");
Error('\p{Is_General_Category=:=-_no}');
Error('\P{Is_General_Category=:=-_no}');
Expect(1, 179, '\p{Is_General_Category=no}', "");
Expect(0, 179, '\p{^Is_General_Category=no}', "");
Expect(0, 179, '\P{Is_General_Category=no}', "");
Expect(1, 179, '\P{^Is_General_Category=no}', "");
Expect(0, 177, '\p{Is_General_Category=no}', "");
Expect(1, 177, '\p{^Is_General_Category=no}', "");
Expect(1, 177, '\P{Is_General_Category=no}', "");
Expect(0, 177, '\P{^Is_General_Category=no}', "");
Expect(1, 179, '\p{Is_General_Category=	-no}', "");
Expect(0, 179, '\p{^Is_General_Category=	-no}', "");
Expect(0, 179, '\P{Is_General_Category=	-no}', "");
Expect(1, 179, '\P{^Is_General_Category=	-no}', "");
Expect(0, 177, '\p{Is_General_Category=	-no}', "");
Expect(1, 177, '\p{^Is_General_Category=	-no}', "");
Expect(1, 177, '\P{Is_General_Category=	-no}', "");
Expect(0, 177, '\P{^Is_General_Category=	-no}', "");
Error('\p{Is_Gc=-_OTHER/a/Number}');
Error('\P{Is_Gc=-_OTHER/a/Number}');
Expect(1, 179, '\p{Is_Gc=othernumber}', "");
Expect(0, 179, '\p{^Is_Gc=othernumber}', "");
Expect(0, 179, '\P{Is_Gc=othernumber}', "");
Expect(1, 179, '\P{^Is_Gc=othernumber}', "");
Expect(0, 177, '\p{Is_Gc=othernumber}', "");
Expect(1, 177, '\p{^Is_Gc=othernumber}', "");
Expect(1, 177, '\P{Is_Gc=othernumber}', "");
Expect(0, 177, '\P{^Is_Gc=othernumber}', "");
Expect(1, 179, '\p{Is_Gc=	-OTHER-number}', "");
Expect(0, 179, '\p{^Is_Gc=	-OTHER-number}', "");
Expect(0, 179, '\P{Is_Gc=	-OTHER-number}', "");
Expect(1, 179, '\P{^Is_Gc=	-OTHER-number}', "");
Expect(0, 177, '\p{Is_Gc=	-OTHER-number}', "");
Expect(1, 177, '\p{^Is_Gc=	-OTHER-number}', "");
Expect(1, 177, '\P{Is_Gc=	-OTHER-number}', "");
Expect(0, 177, '\P{^Is_Gc=	-OTHER-number}', "");
Error('\p{Is_Category=-:=No}');
Error('\P{Is_Category=-:=No}');
Expect(1, 179, '\p{Is_Category=no}', "");
Expect(0, 179, '\p{^Is_Category=no}', "");
Expect(0, 179, '\P{Is_Category=no}', "");
Expect(1, 179, '\P{^Is_Category=no}', "");
Expect(0, 177, '\p{Is_Category=no}', "");
Expect(1, 177, '\p{^Is_Category=no}', "");
Expect(1, 177, '\P{Is_Category=no}', "");
Expect(0, 177, '\P{^Is_Category=no}', "");
Expect(1, 179, '\p{Is_Category=	No}', "");
Expect(0, 179, '\p{^Is_Category=	No}', "");
Expect(0, 179, '\P{Is_Category=	No}', "");
Expect(1, 179, '\P{^Is_Category=	No}', "");
Expect(0, 177, '\p{Is_Category=	No}', "");
Expect(1, 177, '\p{^Is_Category=	No}', "");
Expect(1, 177, '\P{Is_Category=	No}', "");
Expect(0, 177, '\P{^Is_Category=	No}', "");
Error('\p{General_Category=	-Mark:=}');
Error('\P{General_Category=	-Mark:=}');
Expect(1, 879, '\p{General_Category:mark}', "");
Expect(0, 879, '\p{^General_Category:mark}', "");
Expect(0, 879, '\P{General_Category:mark}', "");
Expect(1, 879, '\P{^General_Category:mark}', "");
Expect(0, 767, '\p{General_Category:mark}', "");
Expect(1, 767, '\p{^General_Category:mark}', "");
Expect(1, 767, '\P{General_Category:mark}', "");
Expect(0, 767, '\P{^General_Category:mark}', "");
Expect(1, 879, '\p{General_Category=Mark}', "");
Expect(0, 879, '\p{^General_Category=Mark}', "");
Expect(0, 879, '\P{General_Category=Mark}', "");
Expect(1, 879, '\P{^General_Category=Mark}', "");
Expect(0, 767, '\p{General_Category=Mark}', "");
Expect(1, 767, '\p{^General_Category=Mark}', "");
Expect(1, 767, '\P{General_Category=Mark}', "");
Expect(0, 767, '\P{^General_Category=Mark}', "");
Error('\p{Gc=/a/ -M}');
Error('\P{Gc=/a/ -M}');
Expect(1, 879, '\p{Gc:   m}', "");
Expect(0, 879, '\p{^Gc:   m}', "");
Expect(0, 879, '\P{Gc:   m}', "");
Expect(1, 879, '\P{^Gc:   m}', "");
Expect(0, 767, '\p{Gc:   m}', "");
Expect(1, 767, '\p{^Gc:   m}', "");
Expect(1, 767, '\P{Gc:   m}', "");
Expect(0, 767, '\P{^Gc:   m}', "");
Expect(1, 879, '\p{Gc=- M}', "");
Expect(0, 879, '\p{^Gc=- M}', "");
Expect(0, 879, '\P{Gc=- M}', "");
Expect(1, 879, '\P{^Gc=- M}', "");
Expect(0, 767, '\p{Gc=- M}', "");
Expect(1, 767, '\p{^Gc=- M}', "");
Expect(1, 767, '\P{Gc=- M}', "");
Expect(0, 767, '\P{^Gc=- M}', "");
Error('\p{Category= mark:=}');
Error('\P{Category= mark:=}');
Expect(1, 879, '\p{Category=mark}', "");
Expect(0, 879, '\p{^Category=mark}', "");
Expect(0, 879, '\P{Category=mark}', "");
Expect(1, 879, '\P{^Category=mark}', "");
Expect(0, 767, '\p{Category=mark}', "");
Expect(1, 767, '\p{^Category=mark}', "");
Expect(1, 767, '\P{Category=mark}', "");
Expect(0, 767, '\P{^Category=mark}', "");
Expect(1, 879, '\p{Category=		MARK}', "");
Expect(0, 879, '\p{^Category=		MARK}', "");
Expect(0, 879, '\P{Category=		MARK}', "");
Expect(1, 879, '\P{^Category=		MARK}', "");
Expect(0, 767, '\p{Category=		MARK}', "");
Expect(1, 767, '\p{^Category=		MARK}', "");
Expect(1, 767, '\P{Category=		MARK}', "");
Expect(0, 767, '\P{^Category=		MARK}', "");
Error('\p{Is_General_Category: _ m:=}');
Error('\P{Is_General_Category: _ m:=}');
Expect(1, 879, '\p{Is_General_Category=m}', "");
Expect(0, 879, '\p{^Is_General_Category=m}', "");
Expect(0, 879, '\P{Is_General_Category=m}', "");
Expect(1, 879, '\P{^Is_General_Category=m}', "");
Expect(0, 767, '\p{Is_General_Category=m}', "");
Expect(1, 767, '\p{^Is_General_Category=m}', "");
Expect(1, 767, '\P{Is_General_Category=m}', "");
Expect(0, 767, '\P{^Is_General_Category=m}', "");
Expect(1, 879, '\p{Is_General_Category= _M}', "");
Expect(0, 879, '\p{^Is_General_Category= _M}', "");
Expect(0, 879, '\P{Is_General_Category= _M}', "");
Expect(1, 879, '\P{^Is_General_Category= _M}', "");
Expect(0, 767, '\p{Is_General_Category= _M}', "");
Expect(1, 767, '\p{^Is_General_Category= _M}', "");
Expect(1, 767, '\P{Is_General_Category= _M}', "");
Expect(0, 767, '\P{^Is_General_Category= _M}', "");
Error('\p{Is_Gc=/a/	_mark}');
Error('\P{Is_Gc=/a/	_mark}');
Expect(1, 879, '\p{Is_Gc=mark}', "");
Expect(0, 879, '\p{^Is_Gc=mark}', "");
Expect(0, 879, '\P{Is_Gc=mark}', "");
Expect(1, 879, '\P{^Is_Gc=mark}', "");
Expect(0, 767, '\p{Is_Gc=mark}', "");
Expect(1, 767, '\p{^Is_Gc=mark}', "");
Expect(1, 767, '\P{Is_Gc=mark}', "");
Expect(0, 767, '\P{^Is_Gc=mark}', "");
Expect(1, 879, '\p{Is_Gc= 	Mark}', "");
Expect(0, 879, '\p{^Is_Gc= 	Mark}', "");
Expect(0, 879, '\P{Is_Gc= 	Mark}', "");
Expect(1, 879, '\P{^Is_Gc= 	Mark}', "");
Expect(0, 767, '\p{Is_Gc= 	Mark}', "");
Expect(1, 767, '\p{^Is_Gc= 	Mark}', "");
Expect(1, 767, '\P{Is_Gc= 	Mark}', "");
Expect(0, 767, '\P{^Is_Gc= 	Mark}', "");
Error('\p{Is_Category= M/a/}');
Error('\P{Is_Category= M/a/}');
Expect(1, 879, '\p{Is_Category=m}', "");
Expect(0, 879, '\p{^Is_Category=m}', "");
Expect(0, 879, '\P{Is_Category=m}', "");
Expect(1, 879, '\P{^Is_Category=m}', "");
Expect(0, 767, '\p{Is_Category=m}', "");
Expect(1, 767, '\p{^Is_Category=m}', "");
Expect(1, 767, '\P{Is_Category=m}', "");
Expect(0, 767, '\P{^Is_Category=m}', "");
Expect(1, 879, '\p{Is_Category=_	M}', "");
Expect(0, 879, '\p{^Is_Category=_	M}', "");
Expect(0, 879, '\P{Is_Category=_	M}', "");
Expect(1, 879, '\P{^Is_Category=_	M}', "");
Expect(0, 767, '\p{Is_Category=_	M}', "");
Expect(1, 767, '\p{^Is_Category=_	M}', "");
Expect(1, 767, '\P{Is_Category=_	M}', "");
Expect(0, 767, '\P{^Is_Category=_	M}', "");
Error('\p{General_Category=_-Other:=}');
Error('\P{General_Category=_-Other:=}');
Expect(1, 31, '\p{General_Category=other}', "");
Expect(0, 31, '\p{^General_Category=other}', "");
Expect(0, 31, '\P{General_Category=other}', "");
Expect(1, 31, '\P{^General_Category=other}', "");
Expect(0, 126, '\p{General_Category=other}', "");
Expect(1, 126, '\p{^General_Category=other}', "");
Expect(1, 126, '\P{General_Category=other}', "");
Expect(0, 126, '\P{^General_Category=other}', "");
Expect(1, 31, '\p{General_Category=_	Other}', "");
Expect(0, 31, '\p{^General_Category=_	Other}', "");
Expect(0, 31, '\P{General_Category=_	Other}', "");
Expect(1, 31, '\P{^General_Category=_	Other}', "");
Expect(0, 126, '\p{General_Category=_	Other}', "");
Expect(1, 126, '\p{^General_Category=_	Other}', "");
Expect(1, 126, '\P{General_Category=_	Other}', "");
Expect(0, 126, '\P{^General_Category=_	Other}', "");
Error('\p{Gc=	c:=}');
Error('\P{Gc=	c:=}');
Expect(1, 31, '\p{Gc=c}', "");
Expect(0, 31, '\p{^Gc=c}', "");
Expect(0, 31, '\P{Gc=c}', "");
Expect(1, 31, '\P{^Gc=c}', "");
Expect(0, 126, '\p{Gc=c}', "");
Expect(1, 126, '\p{^Gc=c}', "");
Expect(1, 126, '\P{Gc=c}', "");
Expect(0, 126, '\P{^Gc=c}', "");
Expect(1, 31, '\p{Gc:   		C}', "");
Expect(0, 31, '\p{^Gc:   		C}', "");
Expect(0, 31, '\P{Gc:   		C}', "");
Expect(1, 31, '\P{^Gc:   		C}', "");
Expect(0, 126, '\p{Gc:   		C}', "");
Expect(1, 126, '\p{^Gc:   		C}', "");
Expect(1, 126, '\P{Gc:   		C}', "");
Expect(0, 126, '\P{^Gc:   		C}', "");
Error('\p{Category=:=Other}');
Error('\P{Category=:=Other}');
Expect(1, 31, '\p{Category=other}', "");
Expect(0, 31, '\p{^Category=other}', "");
Expect(0, 31, '\P{Category=other}', "");
Expect(1, 31, '\P{^Category=other}', "");
Expect(0, 126, '\p{Category=other}', "");
Expect(1, 126, '\p{^Category=other}', "");
Expect(1, 126, '\P{Category=other}', "");
Expect(0, 126, '\P{^Category=other}', "");
Expect(1, 31, '\p{Category=_other}', "");
Expect(0, 31, '\p{^Category=_other}', "");
Expect(0, 31, '\P{Category=_other}', "");
Expect(1, 31, '\P{^Category=_other}', "");
Expect(0, 126, '\p{Category=_other}', "");
Expect(1, 126, '\p{^Category=_other}', "");
Expect(1, 126, '\P{Category=_other}', "");
Expect(0, 126, '\P{^Category=_other}', "");
Error('\p{Is_General_Category=:=c}');
Error('\P{Is_General_Category=:=c}');
Expect(1, 31, '\p{Is_General_Category=c}', "");
Expect(0, 31, '\p{^Is_General_Category=c}', "");
Expect(0, 31, '\P{Is_General_Category=c}', "");
Expect(1, 31, '\P{^Is_General_Category=c}', "");
Expect(0, 126, '\p{Is_General_Category=c}', "");
Expect(1, 126, '\p{^Is_General_Category=c}', "");
Expect(1, 126, '\P{Is_General_Category=c}', "");
Expect(0, 126, '\P{^Is_General_Category=c}', "");
Expect(1, 31, '\p{Is_General_Category= _c}', "");
Expect(0, 31, '\p{^Is_General_Category= _c}', "");
Expect(0, 31, '\P{Is_General_Category= _c}', "");
Expect(1, 31, '\P{^Is_General_Category= _c}', "");
Expect(0, 126, '\p{Is_General_Category= _c}', "");
Expect(1, 126, '\p{^Is_General_Category= _c}', "");
Expect(1, 126, '\P{Is_General_Category= _c}', "");
Expect(0, 126, '\P{^Is_General_Category= _c}', "");
Error('\p{Is_Gc=-/a/Other}');
Error('\P{Is_Gc=-/a/Other}');
Expect(1, 31, '\p{Is_Gc=other}', "");
Expect(0, 31, '\p{^Is_Gc=other}', "");
Expect(0, 31, '\P{Is_Gc=other}', "");
Expect(1, 31, '\P{^Is_Gc=other}', "");
Expect(0, 126, '\p{Is_Gc=other}', "");
Expect(1, 126, '\p{^Is_Gc=other}', "");
Expect(1, 126, '\P{Is_Gc=other}', "");
Expect(0, 126, '\P{^Is_Gc=other}', "");
Expect(1, 31, '\p{Is_Gc=--Other}', "");
Expect(0, 31, '\p{^Is_Gc=--Other}', "");
Expect(0, 31, '\P{Is_Gc=--Other}', "");
Expect(1, 31, '\P{^Is_Gc=--Other}', "");
Expect(0, 126, '\p{Is_Gc=--Other}', "");
Expect(1, 126, '\p{^Is_Gc=--Other}', "");
Expect(1, 126, '\P{Is_Gc=--Other}', "");
Expect(0, 126, '\P{^Is_Gc=--Other}', "");
Error('\p{Is_Category:   	:=C}');
Error('\P{Is_Category:   	:=C}');
Expect(1, 31, '\p{Is_Category=c}', "");
Expect(0, 31, '\p{^Is_Category=c}', "");
Expect(0, 31, '\P{Is_Category=c}', "");
Expect(1, 31, '\P{^Is_Category=c}', "");
Expect(0, 126, '\p{Is_Category=c}', "");
Expect(1, 126, '\p{^Is_Category=c}', "");
Expect(1, 126, '\P{Is_Category=c}', "");
Expect(0, 126, '\P{^Is_Category=c}', "");
Expect(1, 31, '\p{Is_Category=_C}', "");
Expect(0, 31, '\p{^Is_Category=_C}', "");
Expect(0, 31, '\P{Is_Category=_C}', "");
Expect(1, 31, '\P{^Is_Category=_C}', "");
Expect(0, 126, '\p{Is_Category=_C}', "");
Expect(1, 126, '\p{^Is_Category=_C}', "");
Expect(1, 126, '\P{Is_Category=_C}', "");
Expect(0, 126, '\P{^Is_Category=_C}', "");
Error('\p{General_Category=:=__enclosing_Mark}');
Error('\P{General_Category=:=__enclosing_Mark}');
Expect(1, 1161, '\p{General_Category=enclosingmark}', "");
Expect(0, 1161, '\p{^General_Category=enclosingmark}', "");
Expect(0, 1161, '\P{General_Category=enclosingmark}', "");
Expect(1, 1161, '\P{^General_Category=enclosingmark}', "");
Expect(0, 1159, '\p{General_Category=enclosingmark}', "");
Expect(1, 1159, '\p{^General_Category=enclosingmark}', "");
Expect(1, 1159, '\P{General_Category=enclosingmark}', "");
Expect(0, 1159, '\P{^General_Category=enclosingmark}', "");
Expect(1, 1161, '\p{General_Category=--ENCLOSINGMARK}', "");
Expect(0, 1161, '\p{^General_Category=--ENCLOSINGMARK}', "");
Expect(0, 1161, '\P{General_Category=--ENCLOSINGMARK}', "");
Expect(1, 1161, '\P{^General_Category=--ENCLOSINGMARK}', "");
Expect(0, 1159, '\p{General_Category=--ENCLOSINGMARK}', "");
Expect(1, 1159, '\p{^General_Category=--ENCLOSINGMARK}', "");
Expect(1, 1159, '\P{General_Category=--ENCLOSINGMARK}', "");
Expect(0, 1159, '\P{^General_Category=--ENCLOSINGMARK}', "");
Error('\p{Gc=_/a/Me}');
Error('\P{Gc=_/a/Me}');
Expect(1, 1161, '\p{Gc=me}', "");
Expect(0, 1161, '\p{^Gc=me}', "");
Expect(0, 1161, '\P{Gc=me}', "");
Expect(1, 1161, '\P{^Gc=me}', "");
Expect(0, 1159, '\p{Gc=me}', "");
Expect(1, 1159, '\p{^Gc=me}', "");
Expect(1, 1159, '\P{Gc=me}', "");
Expect(0, 1159, '\P{^Gc=me}', "");
Expect(1, 1161, '\p{Gc=_Me}', "");
Expect(0, 1161, '\p{^Gc=_Me}', "");
Expect(0, 1161, '\P{Gc=_Me}', "");
Expect(1, 1161, '\P{^Gc=_Me}', "");
Expect(0, 1159, '\p{Gc=_Me}', "");
Expect(1, 1159, '\p{^Gc=_Me}', "");
Expect(1, 1159, '\P{Gc=_Me}', "");
Expect(0, 1159, '\P{^Gc=_Me}', "");
Error('\p{Category=:=Enclosing Mark}');
Error('\P{Category=:=Enclosing Mark}');
Expect(1, 1161, '\p{Category=enclosingmark}', "");
Expect(0, 1161, '\p{^Category=enclosingmark}', "");
Expect(0, 1161, '\P{Category=enclosingmark}', "");
Expect(1, 1161, '\P{^Category=enclosingmark}', "");
Expect(0, 1159, '\p{Category=enclosingmark}', "");
Expect(1, 1159, '\p{^Category=enclosingmark}', "");
Expect(1, 1159, '\P{Category=enclosingmark}', "");
Expect(0, 1159, '\P{^Category=enclosingmark}', "");
Expect(1, 1161, '\p{Category=_enclosing_MARK}', "");
Expect(0, 1161, '\p{^Category=_enclosing_MARK}', "");
Expect(0, 1161, '\P{Category=_enclosing_MARK}', "");
Expect(1, 1161, '\P{^Category=_enclosing_MARK}', "");
Expect(0, 1159, '\p{Category=_enclosing_MARK}', "");
Expect(1, 1159, '\p{^Category=_enclosing_MARK}', "");
Expect(1, 1159, '\P{Category=_enclosing_MARK}', "");
Expect(0, 1159, '\P{^Category=_enclosing_MARK}', "");
Error('\p{Is_General_Category=_:=Me}');
Error('\P{Is_General_Category=_:=Me}');
Expect(1, 1161, '\p{Is_General_Category=me}', "");
Expect(0, 1161, '\p{^Is_General_Category=me}', "");
Expect(0, 1161, '\P{Is_General_Category=me}', "");
Expect(1, 1161, '\P{^Is_General_Category=me}', "");
Expect(0, 1159, '\p{Is_General_Category=me}', "");
Expect(1, 1159, '\p{^Is_General_Category=me}', "");
Expect(1, 1159, '\P{Is_General_Category=me}', "");
Expect(0, 1159, '\P{^Is_General_Category=me}', "");
Expect(1, 1161, '\p{Is_General_Category:   	Me}', "");
Expect(0, 1161, '\p{^Is_General_Category:   	Me}', "");
Expect(0, 1161, '\P{Is_General_Category:   	Me}', "");
Expect(1, 1161, '\P{^Is_General_Category:   	Me}', "");
Expect(0, 1159, '\p{Is_General_Category:   	Me}', "");
Expect(1, 1159, '\p{^Is_General_Category:   	Me}', "");
Expect(1, 1159, '\P{Is_General_Category:   	Me}', "");
Expect(0, 1159, '\P{^Is_General_Category:   	Me}', "");
Error('\p{Is_Gc=/a/ENCLOSING	mark}');
Error('\P{Is_Gc=/a/ENCLOSING	mark}');
Expect(1, 1161, '\p{Is_Gc=enclosingmark}', "");
Expect(0, 1161, '\p{^Is_Gc=enclosingmark}', "");
Expect(0, 1161, '\P{Is_Gc=enclosingmark}', "");
Expect(1, 1161, '\P{^Is_Gc=enclosingmark}', "");
Expect(0, 1159, '\p{Is_Gc=enclosingmark}', "");
Expect(1, 1159, '\p{^Is_Gc=enclosingmark}', "");
Expect(1, 1159, '\P{Is_Gc=enclosingmark}', "");
Expect(0, 1159, '\P{^Is_Gc=enclosingmark}', "");
Expect(1, 1161, '\p{Is_Gc=-Enclosing	mark}', "");
Expect(0, 1161, '\p{^Is_Gc=-Enclosing	mark}', "");
Expect(0, 1161, '\P{Is_Gc=-Enclosing	mark}', "");
Expect(1, 1161, '\P{^Is_Gc=-Enclosing	mark}', "");
Expect(0, 1159, '\p{Is_Gc=-Enclosing	mark}', "");
Expect(1, 1159, '\p{^Is_Gc=-Enclosing	mark}', "");
Expect(1, 1159, '\P{Is_Gc=-Enclosing	mark}', "");
Expect(0, 1159, '\P{^Is_Gc=-Enclosing	mark}', "");
Error('\p{Is_Category=	-me:=}');
Error('\P{Is_Category=	-me:=}');
Expect(1, 1161, '\p{Is_Category=me}', "");
Expect(0, 1161, '\p{^Is_Category=me}', "");
Expect(0, 1161, '\P{Is_Category=me}', "");
Expect(1, 1161, '\P{^Is_Category=me}', "");
Expect(0, 1159, '\p{Is_Category=me}', "");
Expect(1, 1159, '\p{^Is_Category=me}', "");
Expect(1, 1159, '\P{Is_Category=me}', "");
Expect(0, 1159, '\P{^Is_Category=me}', "");
Expect(1, 1161, '\p{Is_Category= me}', "");
Expect(0, 1161, '\p{^Is_Category= me}', "");
Expect(0, 1161, '\P{Is_Category= me}', "");
Expect(1, 1161, '\P{^Is_Category= me}', "");
Expect(0, 1159, '\p{Is_Category= me}', "");
Expect(1, 1159, '\p{^Is_Category= me}', "");
Expect(1, 1159, '\P{Is_Category= me}', "");
Expect(0, 1159, '\P{^Is_Category= me}', "");
Error('\p{General_Category:/a/_ Titlecase	Letter}');
Error('\P{General_Category:/a/_ Titlecase	Letter}');
Expect(1, 453, '\p{General_Category=titlecaseletter}', "");
Expect(0, 453, '\p{^General_Category=titlecaseletter}', "");
Expect(0, 453, '\P{General_Category=titlecaseletter}', "");
Expect(1, 453, '\P{^General_Category=titlecaseletter}', "");
Expect(0, 452, '\p{General_Category=titlecaseletter}', "");
Expect(1, 452, '\p{^General_Category=titlecaseletter}', "");
Expect(1, 452, '\P{General_Category=titlecaseletter}', "");
Expect(0, 452, '\P{^General_Category=titlecaseletter}', "");
Expect(1, 453, '\p{General_Category=		titlecase-letter}', "");
Expect(0, 453, '\p{^General_Category=		titlecase-letter}', "");
Expect(0, 453, '\P{General_Category=		titlecase-letter}', "");
Expect(1, 453, '\P{^General_Category=		titlecase-letter}', "");
Expect(0, 452, '\p{General_Category=		titlecase-letter}', "");
Expect(1, 452, '\p{^General_Category=		titlecase-letter}', "");
Expect(1, 452, '\P{General_Category=		titlecase-letter}', "");
Expect(0, 452, '\P{^General_Category=		titlecase-letter}', "");
Error('\p{Gc=_:=Lt}');
Error('\P{Gc=_:=Lt}');
Expect(1, 453, '\p{Gc=lt}', "");
Expect(0, 453, '\p{^Gc=lt}', "");
Expect(0, 453, '\P{Gc=lt}', "");
Expect(1, 453, '\P{^Gc=lt}', "");
Expect(0, 452, '\p{Gc=lt}', "");
Expect(1, 452, '\p{^Gc=lt}', "");
Expect(1, 452, '\P{Gc=lt}', "");
Expect(0, 452, '\P{^Gc=lt}', "");
Expect(1, 453, '\p{Gc=	-lt}', "");
Expect(0, 453, '\p{^Gc=	-lt}', "");
Expect(0, 453, '\P{Gc=	-lt}', "");
Expect(1, 453, '\P{^Gc=	-lt}', "");
Expect(0, 452, '\p{Gc=	-lt}', "");
Expect(1, 452, '\p{^Gc=	-lt}', "");
Expect(1, 452, '\P{Gc=	-lt}', "");
Expect(0, 452, '\P{^Gc=	-lt}', "");
Error('\p{Category: 	Titlecase-Letter/a/}');
Error('\P{Category: 	Titlecase-Letter/a/}');
Expect(1, 453, '\p{Category=titlecaseletter}', "");
Expect(0, 453, '\p{^Category=titlecaseletter}', "");
Expect(0, 453, '\P{Category=titlecaseletter}', "");
Expect(1, 453, '\P{^Category=titlecaseletter}', "");
Expect(0, 452, '\p{Category=titlecaseletter}', "");
Expect(1, 452, '\p{^Category=titlecaseletter}', "");
Expect(1, 452, '\P{Category=titlecaseletter}', "");
Expect(0, 452, '\P{^Category=titlecaseletter}', "");
Expect(1, 453, '\p{Category=	_TITLECASE	Letter}', "");
Expect(0, 453, '\p{^Category=	_TITLECASE	Letter}', "");
Expect(0, 453, '\P{Category=	_TITLECASE	Letter}', "");
Expect(1, 453, '\P{^Category=	_TITLECASE	Letter}', "");
Expect(0, 452, '\p{Category=	_TITLECASE	Letter}', "");
Expect(1, 452, '\p{^Category=	_TITLECASE	Letter}', "");
Expect(1, 452, '\P{Category=	_TITLECASE	Letter}', "");
Expect(0, 452, '\P{^Category=	_TITLECASE	Letter}', "");
Error('\p{Is_General_Category= LT/a/}');
Error('\P{Is_General_Category= LT/a/}');
Expect(1, 453, '\p{Is_General_Category=lt}', "");
Expect(0, 453, '\p{^Is_General_Category=lt}', "");
Expect(0, 453, '\P{Is_General_Category=lt}', "");
Expect(1, 453, '\P{^Is_General_Category=lt}', "");
Expect(0, 452, '\p{Is_General_Category=lt}', "");
Expect(1, 452, '\p{^Is_General_Category=lt}', "");
Expect(1, 452, '\P{Is_General_Category=lt}', "");
Expect(0, 452, '\P{^Is_General_Category=lt}', "");
Expect(1, 453, '\p{Is_General_Category=	 Lt}', "");
Expect(0, 453, '\p{^Is_General_Category=	 Lt}', "");
Expect(0, 453, '\P{Is_General_Category=	 Lt}', "");
Expect(1, 453, '\P{^Is_General_Category=	 Lt}', "");
Expect(0, 452, '\p{Is_General_Category=	 Lt}', "");
Expect(1, 452, '\p{^Is_General_Category=	 Lt}', "");
Expect(1, 452, '\P{Is_General_Category=	 Lt}', "");
Expect(0, 452, '\P{^Is_General_Category=	 Lt}', "");
Error('\p{Is_Gc=/a/ Titlecase	LETTER}');
Error('\P{Is_Gc=/a/ Titlecase	LETTER}');
Expect(1, 453, '\p{Is_Gc=titlecaseletter}', "");
Expect(0, 453, '\p{^Is_Gc=titlecaseletter}', "");
Expect(0, 453, '\P{Is_Gc=titlecaseletter}', "");
Expect(1, 453, '\P{^Is_Gc=titlecaseletter}', "");
Expect(0, 452, '\p{Is_Gc=titlecaseletter}', "");
Expect(1, 452, '\p{^Is_Gc=titlecaseletter}', "");
Expect(1, 452, '\P{Is_Gc=titlecaseletter}', "");
Expect(0, 452, '\P{^Is_Gc=titlecaseletter}', "");
Expect(1, 453, '\p{Is_Gc=- Titlecase-LETTER}', "");
Expect(0, 453, '\p{^Is_Gc=- Titlecase-LETTER}', "");
Expect(0, 453, '\P{Is_Gc=- Titlecase-LETTER}', "");
Expect(1, 453, '\P{^Is_Gc=- Titlecase-LETTER}', "");
Expect(0, 452, '\p{Is_Gc=- Titlecase-LETTER}', "");
Expect(1, 452, '\p{^Is_Gc=- Titlecase-LETTER}', "");
Expect(1, 452, '\P{Is_Gc=- Titlecase-LETTER}', "");
Expect(0, 452, '\P{^Is_Gc=- Titlecase-LETTER}', "");
Error('\p{Is_Category=/a/	Lt}');
Error('\P{Is_Category=/a/	Lt}');
Expect(1, 453, '\p{Is_Category=lt}', "");
Expect(0, 453, '\p{^Is_Category=lt}', "");
Expect(0, 453, '\P{Is_Category=lt}', "");
Expect(1, 453, '\P{^Is_Category=lt}', "");
Expect(0, 452, '\p{Is_Category=lt}', "");
Expect(1, 452, '\p{^Is_Category=lt}', "");
Expect(1, 452, '\P{Is_Category=lt}', "");
Expect(0, 452, '\P{^Is_Category=lt}', "");
Expect(1, 453, '\p{Is_Category=  Lt}', "");
Expect(0, 453, '\p{^Is_Category=  Lt}', "");
Expect(0, 453, '\P{Is_Category=  Lt}', "");
Expect(1, 453, '\P{^Is_Category=  Lt}', "");
Expect(0, 452, '\p{Is_Category=  Lt}', "");
Expect(1, 452, '\p{^Is_Category=  Lt}', "");
Expect(1, 452, '\P{Is_Category=  Lt}', "");
Expect(0, 452, '\P{^Is_Category=  Lt}', "");
Error('\p{General_Category=-Punctuation:=}');
Error('\P{General_Category=-Punctuation:=}');
Expect(1, 35, '\p{General_Category=punctuation}', "");
Expect(0, 35, '\p{^General_Category=punctuation}', "");
Expect(0, 35, '\P{General_Category=punctuation}', "");
Expect(1, 35, '\P{^General_Category=punctuation}', "");
Expect(0, 32, '\p{General_Category=punctuation}', "");
Expect(1, 32, '\p{^General_Category=punctuation}', "");
Expect(1, 32, '\P{General_Category=punctuation}', "");
Expect(0, 32, '\P{^General_Category=punctuation}', "");
Expect(1, 35, '\p{General_Category=	 PUNCTUATION}', "");
Expect(0, 35, '\p{^General_Category=	 PUNCTUATION}', "");
Expect(0, 35, '\P{General_Category=	 PUNCTUATION}', "");
Expect(1, 35, '\P{^General_Category=	 PUNCTUATION}', "");
Expect(0, 32, '\p{General_Category=	 PUNCTUATION}', "");
Expect(1, 32, '\p{^General_Category=	 PUNCTUATION}', "");
Expect(1, 32, '\P{General_Category=	 PUNCTUATION}', "");
Expect(0, 32, '\P{^General_Category=	 PUNCTUATION}', "");
Error('\p{Gc=/a/-p}');
Error('\P{Gc=/a/-p}');
Expect(1, 35, '\p{Gc:	p}', "");
Expect(0, 35, '\p{^Gc:	p}', "");
Expect(0, 35, '\P{Gc:	p}', "");
Expect(1, 35, '\P{^Gc:	p}', "");
Expect(0, 32, '\p{Gc:	p}', "");
Expect(1, 32, '\p{^Gc:	p}', "");
Expect(1, 32, '\P{Gc:	p}', "");
Expect(0, 32, '\P{^Gc:	p}', "");
Expect(1, 35, '\p{Gc=_P}', "");
Expect(0, 35, '\p{^Gc=_P}', "");
Expect(0, 35, '\P{Gc=_P}', "");
Expect(1, 35, '\P{^Gc=_P}', "");
Expect(0, 32, '\p{Gc=_P}', "");
Expect(1, 32, '\p{^Gc=_P}', "");
Expect(1, 32, '\P{Gc=_P}', "");
Expect(0, 32, '\P{^Gc=_P}', "");
Error('\p{Category=_/a/Punct}');
Error('\P{Category=_/a/Punct}');
Expect(1, 35, '\p{Category=punct}', "");
Expect(0, 35, '\p{^Category=punct}', "");
Expect(0, 35, '\P{Category=punct}', "");
Expect(1, 35, '\P{^Category=punct}', "");
Expect(0, 32, '\p{Category=punct}', "");
Expect(1, 32, '\p{^Category=punct}', "");
Expect(1, 32, '\P{Category=punct}', "");
Expect(0, 32, '\P{^Category=punct}', "");
Expect(1, 35, '\p{Category= _Punct}', "");
Expect(0, 35, '\p{^Category= _Punct}', "");
Expect(0, 35, '\P{Category= _Punct}', "");
Expect(1, 35, '\P{^Category= _Punct}', "");
Expect(0, 32, '\p{Category= _Punct}', "");
Expect(1, 32, '\p{^Category= _Punct}', "");
Expect(1, 32, '\P{Category= _Punct}', "");
Expect(0, 32, '\P{^Category= _Punct}', "");
Error('\p{Is_General_Category: _/a/PUNCTUATION}');
Error('\P{Is_General_Category: _/a/PUNCTUATION}');
Expect(1, 35, '\p{Is_General_Category=punctuation}', "");
Expect(0, 35, '\p{^Is_General_Category=punctuation}', "");
Expect(0, 35, '\P{Is_General_Category=punctuation}', "");
Expect(1, 35, '\P{^Is_General_Category=punctuation}', "");
Expect(0, 32, '\p{Is_General_Category=punctuation}', "");
Expect(1, 32, '\p{^Is_General_Category=punctuation}', "");
Expect(1, 32, '\P{Is_General_Category=punctuation}', "");
Expect(0, 32, '\P{^Is_General_Category=punctuation}', "");
Expect(1, 35, '\p{Is_General_Category=-PUNCTUATION}', "");
Expect(0, 35, '\p{^Is_General_Category=-PUNCTUATION}', "");
Expect(0, 35, '\P{Is_General_Category=-PUNCTUATION}', "");
Expect(1, 35, '\P{^Is_General_Category=-PUNCTUATION}', "");
Expect(0, 32, '\p{Is_General_Category=-PUNCTUATION}', "");
Expect(1, 32, '\p{^Is_General_Category=-PUNCTUATION}', "");
Expect(1, 32, '\P{Is_General_Category=-PUNCTUATION}', "");
Expect(0, 32, '\P{^Is_General_Category=-PUNCTUATION}', "");
Error('\p{Is_Gc=:= 	p}');
Error('\P{Is_Gc=:= 	p}');
Expect(1, 35, '\p{Is_Gc=p}', "");
Expect(0, 35, '\p{^Is_Gc=p}', "");
Expect(0, 35, '\P{Is_Gc=p}', "");
Expect(1, 35, '\P{^Is_Gc=p}', "");
Expect(0, 32, '\p{Is_Gc=p}', "");
Expect(1, 32, '\p{^Is_Gc=p}', "");
Expect(1, 32, '\P{Is_Gc=p}', "");
Expect(0, 32, '\P{^Is_Gc=p}', "");
Expect(1, 35, '\p{Is_Gc= P}', "");
Expect(0, 35, '\p{^Is_Gc= P}', "");
Expect(0, 35, '\P{Is_Gc= P}', "");
Expect(1, 35, '\P{^Is_Gc= P}', "");
Expect(0, 32, '\p{Is_Gc= P}', "");
Expect(1, 32, '\p{^Is_Gc= P}', "");
Expect(1, 32, '\P{Is_Gc= P}', "");
Expect(0, 32, '\P{^Is_Gc= P}', "");
Error('\p{Is_Category=/a/ PUNCT}');
Error('\P{Is_Category=/a/ PUNCT}');
Expect(1, 35, '\p{Is_Category=punct}', "");
Expect(0, 35, '\p{^Is_Category=punct}', "");
Expect(0, 35, '\P{Is_Category=punct}', "");
Expect(1, 35, '\P{^Is_Category=punct}', "");
Expect(0, 32, '\p{Is_Category=punct}', "");
Expect(1, 32, '\p{^Is_Category=punct}', "");
Expect(1, 32, '\P{Is_Category=punct}', "");
Expect(0, 32, '\P{^Is_Category=punct}', "");
Expect(1, 35, '\p{Is_Category=		Punct}', "");
Expect(0, 35, '\p{^Is_Category=		Punct}', "");
Expect(0, 35, '\P{Is_Category=		Punct}', "");
Expect(1, 35, '\P{^Is_Category=		Punct}', "");
Expect(0, 32, '\p{Is_Category=		Punct}', "");
Expect(1, 32, '\p{^Is_Category=		Punct}', "");
Expect(1, 32, '\P{Is_Category=		Punct}', "");
Expect(0, 32, '\P{^Is_Category=		Punct}', "");
Error('\p{General_Category=:= UPPERCASE_letter}');
Error('\P{General_Category=:= UPPERCASE_letter}');
Expect(1, 90, '\p{General_Category:   uppercaseletter}', "");
Expect(0, 90, '\p{^General_Category:   uppercaseletter}', "");
Expect(0, 90, '\P{General_Category:   uppercaseletter}', "");
Expect(1, 90, '\P{^General_Category:   uppercaseletter}', "");
Expect(0, 64, '\p{General_Category:   uppercaseletter}', "");
Expect(1, 64, '\p{^General_Category:   uppercaseletter}', "");
Expect(1, 64, '\P{General_Category:   uppercaseletter}', "");
Expect(0, 64, '\P{^General_Category:   uppercaseletter}', "");
Expect(1, 90, '\p{General_Category=--UPPERCASE-LETTER}', "");
Expect(0, 90, '\p{^General_Category=--UPPERCASE-LETTER}', "");
Expect(0, 90, '\P{General_Category=--UPPERCASE-LETTER}', "");
Expect(1, 90, '\P{^General_Category=--UPPERCASE-LETTER}', "");
Expect(0, 64, '\p{General_Category=--UPPERCASE-LETTER}', "");
Expect(1, 64, '\p{^General_Category=--UPPERCASE-LETTER}', "");
Expect(1, 64, '\P{General_Category=--UPPERCASE-LETTER}', "");
Expect(0, 64, '\P{^General_Category=--UPPERCASE-LETTER}', "");
Error('\p{Gc:   _/a/Lu}');
Error('\P{Gc:   _/a/Lu}');
Expect(1, 90, '\p{Gc=lu}', "");
Expect(0, 90, '\p{^Gc=lu}', "");
Expect(0, 90, '\P{Gc=lu}', "");
Expect(1, 90, '\P{^Gc=lu}', "");
Expect(0, 64, '\p{Gc=lu}', "");
Expect(1, 64, '\p{^Gc=lu}', "");
Expect(1, 64, '\P{Gc=lu}', "");
Expect(0, 64, '\P{^Gc=lu}', "");
Expect(1, 90, '\p{Gc=	_lu}', "");
Expect(0, 90, '\p{^Gc=	_lu}', "");
Expect(0, 90, '\P{Gc=	_lu}', "");
Expect(1, 90, '\P{^Gc=	_lu}', "");
Expect(0, 64, '\p{Gc=	_lu}', "");
Expect(1, 64, '\p{^Gc=	_lu}', "");
Expect(1, 64, '\P{Gc=	_lu}', "");
Expect(0, 64, '\P{^Gc=	_lu}', "");
Error('\p{Category=_uppercase_LETTER/a/}');
Error('\P{Category=_uppercase_LETTER/a/}');
Expect(1, 90, '\p{Category=uppercaseletter}', "");
Expect(0, 90, '\p{^Category=uppercaseletter}', "");
Expect(0, 90, '\P{Category=uppercaseletter}', "");
Expect(1, 90, '\P{^Category=uppercaseletter}', "");
Expect(0, 64, '\p{Category=uppercaseletter}', "");
Expect(1, 64, '\p{^Category=uppercaseletter}', "");
Expect(1, 64, '\P{Category=uppercaseletter}', "");
Expect(0, 64, '\P{^Category=uppercaseletter}', "");
Expect(1, 90, '\p{Category=-Uppercase-Letter}', "");
Expect(0, 90, '\p{^Category=-Uppercase-Letter}', "");
Expect(0, 90, '\P{Category=-Uppercase-Letter}', "");
Expect(1, 90, '\P{^Category=-Uppercase-Letter}', "");
Expect(0, 64, '\p{Category=-Uppercase-Letter}', "");
Expect(1, 64, '\p{^Category=-Uppercase-Letter}', "");
Expect(1, 64, '\P{Category=-Uppercase-Letter}', "");
Expect(0, 64, '\P{^Category=-Uppercase-Letter}', "");
Error('\p{Is_General_Category=	LU/a/}');
Error('\P{Is_General_Category=	LU/a/}');
Expect(1, 90, '\p{Is_General_Category=lu}', "");
Expect(0, 90, '\p{^Is_General_Category=lu}', "");
Expect(0, 90, '\P{Is_General_Category=lu}', "");
Expect(1, 90, '\P{^Is_General_Category=lu}', "");
Expect(0, 64, '\p{Is_General_Category=lu}', "");
Expect(1, 64, '\p{^Is_General_Category=lu}', "");
Expect(1, 64, '\P{Is_General_Category=lu}', "");
Expect(0, 64, '\P{^Is_General_Category=lu}', "");
Expect(1, 90, '\p{Is_General_Category:    LU}', "");
Expect(0, 90, '\p{^Is_General_Category:    LU}', "");
Expect(0, 90, '\P{Is_General_Category:    LU}', "");
Expect(1, 90, '\P{^Is_General_Category:    LU}', "");
Expect(0, 64, '\p{Is_General_Category:    LU}', "");
Expect(1, 64, '\p{^Is_General_Category:    LU}', "");
Expect(1, 64, '\P{Is_General_Category:    LU}', "");
Expect(0, 64, '\P{^Is_General_Category:    LU}', "");
Error('\p{Is_Gc=	/a/Uppercase	LETTER}');
Error('\P{Is_Gc=	/a/Uppercase	LETTER}');
Expect(1, 90, '\p{Is_Gc=uppercaseletter}', "");
Expect(0, 90, '\p{^Is_Gc=uppercaseletter}', "");
Expect(0, 90, '\P{Is_Gc=uppercaseletter}', "");
Expect(1, 90, '\P{^Is_Gc=uppercaseletter}', "");
Expect(0, 64, '\p{Is_Gc=uppercaseletter}', "");
Expect(1, 64, '\p{^Is_Gc=uppercaseletter}', "");
Expect(1, 64, '\P{Is_Gc=uppercaseletter}', "");
Expect(0, 64, '\P{^Is_Gc=uppercaseletter}', "");
Expect(1, 90, '\p{Is_Gc=_UPPERCASE Letter}', "");
Expect(0, 90, '\p{^Is_Gc=_UPPERCASE Letter}', "");
Expect(0, 90, '\P{Is_Gc=_UPPERCASE Letter}', "");
Expect(1, 90, '\P{^Is_Gc=_UPPERCASE Letter}', "");
Expect(0, 64, '\p{Is_Gc=_UPPERCASE Letter}', "");
Expect(1, 64, '\p{^Is_Gc=_UPPERCASE Letter}', "");
Expect(1, 64, '\P{Is_Gc=_UPPERCASE Letter}', "");
Expect(0, 64, '\P{^Is_Gc=_UPPERCASE Letter}', "");
Error('\p{Is_Category:   _ Lu/a/}');
Error('\P{Is_Category:   _ Lu/a/}');
Expect(1, 90, '\p{Is_Category=lu}', "");
Expect(0, 90, '\p{^Is_Category=lu}', "");
Expect(0, 90, '\P{Is_Category=lu}', "");
Expect(1, 90, '\P{^Is_Category=lu}', "");
Expect(0, 64, '\p{Is_Category=lu}', "");
Expect(1, 64, '\p{^Is_Category=lu}', "");
Expect(1, 64, '\P{Is_Category=lu}', "");
Expect(0, 64, '\P{^Is_Category=lu}', "");
Expect(1, 90, '\p{Is_Category= -Lu}', "");
Expect(0, 90, '\p{^Is_Category= -Lu}', "");
Expect(0, 90, '\P{Is_Category= -Lu}', "");
Expect(1, 90, '\P{^Is_Category= -Lu}', "");
Expect(0, 64, '\p{Is_Category= -Lu}', "");
Expect(1, 64, '\p{^Is_Category= -Lu}', "");
Expect(1, 64, '\P{Is_Category= -Lu}', "");
Expect(0, 64, '\P{^Is_Category= -Lu}', "");
Error('\p{General_Category=:=	NUMBER}');
Error('\P{General_Category=:=	NUMBER}');
Expect(1, 57, '\p{General_Category=number}', "");
Expect(0, 57, '\p{^General_Category=number}', "");
Expect(0, 57, '\P{General_Category=number}', "");
Expect(1, 57, '\P{^General_Category=number}', "");
Expect(0, 47, '\p{General_Category=number}', "");
Expect(1, 47, '\p{^General_Category=number}', "");
Expect(1, 47, '\P{General_Category=number}', "");
Expect(0, 47, '\P{^General_Category=number}', "");
Expect(1, 57, '\p{General_Category=	NUMBER}', "");
Expect(0, 57, '\p{^General_Category=	NUMBER}', "");
Expect(0, 57, '\P{General_Category=	NUMBER}', "");
Expect(1, 57, '\P{^General_Category=	NUMBER}', "");
Expect(0, 47, '\p{General_Category=	NUMBER}', "");
Expect(1, 47, '\p{^General_Category=	NUMBER}', "");
Expect(1, 47, '\P{General_Category=	NUMBER}', "");
Expect(0, 47, '\P{^General_Category=	NUMBER}', "");
Error('\p{Gc=-N:=}');
Error('\P{Gc=-N:=}');
Expect(1, 57, '\p{Gc=n}', "");
Expect(0, 57, '\p{^Gc=n}', "");
Expect(0, 57, '\P{Gc=n}', "");
Expect(1, 57, '\P{^Gc=n}', "");
Expect(0, 47, '\p{Gc=n}', "");
Expect(1, 47, '\p{^Gc=n}', "");
Expect(1, 47, '\P{Gc=n}', "");
Expect(0, 47, '\P{^Gc=n}', "");
Expect(1, 57, '\p{Gc=_	N}', "");
Expect(0, 57, '\p{^Gc=_	N}', "");
Expect(0, 57, '\P{Gc=_	N}', "");
Expect(1, 57, '\P{^Gc=_	N}', "");
Expect(0, 47, '\p{Gc=_	N}', "");
Expect(1, 47, '\p{^Gc=_	N}', "");
Expect(1, 47, '\P{Gc=_	N}', "");
Expect(0, 47, '\P{^Gc=_	N}', "");
Error('\p{Category=/a/ -NUMBER}');
Error('\P{Category=/a/ -NUMBER}');
Expect(1, 57, '\p{Category=number}', "");
Expect(0, 57, '\p{^Category=number}', "");
Expect(0, 57, '\P{Category=number}', "");
Expect(1, 57, '\P{^Category=number}', "");
Expect(0, 47, '\p{Category=number}', "");
Expect(1, 47, '\p{^Category=number}', "");
Expect(1, 47, '\P{Category=number}', "");
Expect(0, 47, '\P{^Category=number}', "");
Expect(1, 57, '\p{Category=		number}', "");
Expect(0, 57, '\p{^Category=		number}', "");
Expect(0, 57, '\P{Category=		number}', "");
Expect(1, 57, '\P{^Category=		number}', "");
Expect(0, 47, '\p{Category=		number}', "");
Expect(1, 47, '\p{^Category=		number}', "");
Expect(1, 47, '\P{Category=		number}', "");
Expect(0, 47, '\P{^Category=		number}', "");
Error('\p{Is_General_Category=/a/_N}');
Error('\P{Is_General_Category=/a/_N}');
Expect(1, 57, '\p{Is_General_Category:n}', "");
Expect(0, 57, '\p{^Is_General_Category:n}', "");
Expect(0, 57, '\P{Is_General_Category:n}', "");
Expect(1, 57, '\P{^Is_General_Category:n}', "");
Expect(0, 47, '\p{Is_General_Category:n}', "");
Expect(1, 47, '\p{^Is_General_Category:n}', "");
Expect(1, 47, '\P{Is_General_Category:n}', "");
Expect(0, 47, '\P{^Is_General_Category:n}', "");
Expect(1, 57, '\p{Is_General_Category= -n}', "");
Expect(0, 57, '\p{^Is_General_Category= -n}', "");
Expect(0, 57, '\P{Is_General_Category= -n}', "");
Expect(1, 57, '\P{^Is_General_Category= -n}', "");
Expect(0, 47, '\p{Is_General_Category= -n}', "");
Expect(1, 47, '\p{^Is_General_Category= -n}', "");
Expect(1, 47, '\P{Is_General_Category= -n}', "");
Expect(0, 47, '\P{^Is_General_Category= -n}', "");
Error('\p{Is_Gc=_:=number}');
Error('\P{Is_Gc=_:=number}');
Expect(1, 57, '\p{Is_Gc=number}', "");
Expect(0, 57, '\p{^Is_Gc=number}', "");
Expect(0, 57, '\P{Is_Gc=number}', "");
Expect(1, 57, '\P{^Is_Gc=number}', "");
Expect(0, 47, '\p{Is_Gc=number}', "");
Expect(1, 47, '\p{^Is_Gc=number}', "");
Expect(1, 47, '\P{Is_Gc=number}', "");
Expect(0, 47, '\P{^Is_Gc=number}', "");
Expect(1, 57, '\p{Is_Gc=_ Number}', "");
Expect(0, 57, '\p{^Is_Gc=_ Number}', "");
Expect(0, 57, '\P{Is_Gc=_ Number}', "");
Expect(1, 57, '\P{^Is_Gc=_ Number}', "");
Expect(0, 47, '\p{Is_Gc=_ Number}', "");
Expect(1, 47, '\p{^Is_Gc=_ Number}', "");
Expect(1, 47, '\P{Is_Gc=_ Number}', "");
Expect(0, 47, '\P{^Is_Gc=_ Number}', "");
Error('\p{Is_Category:  /a/N}');
Error('\P{Is_Category:  /a/N}');
Expect(1, 57, '\p{Is_Category=n}', "");
Expect(0, 57, '\p{^Is_Category=n}', "");
Expect(0, 57, '\P{Is_Category=n}', "");
Expect(1, 57, '\P{^Is_Category=n}', "");
Expect(0, 47, '\p{Is_Category=n}', "");
Expect(1, 47, '\p{^Is_Category=n}', "");
Expect(1, 47, '\P{Is_Category=n}', "");
Expect(0, 47, '\P{^Is_Category=n}', "");
Expect(1, 57, '\p{Is_Category=-N}', "");
Expect(0, 57, '\p{^Is_Category=-N}', "");
Expect(0, 57, '\P{Is_Category=-N}', "");
Expect(1, 57, '\P{^Is_Category=-N}', "");
Expect(0, 47, '\p{Is_Category=-N}', "");
Expect(1, 47, '\p{^Is_Category=-N}', "");
Expect(1, 47, '\P{Is_Category=-N}', "");
Expect(0, 47, '\P{^Is_Category=-N}', "");
Error('\p{General_Category= FINAL-punctuation/a/}');
Error('\P{General_Category= FINAL-punctuation/a/}');
Expect(1, 187, '\p{General_Category=finalpunctuation}', "");
Expect(0, 187, '\p{^General_Category=finalpunctuation}', "");
Expect(0, 187, '\P{General_Category=finalpunctuation}', "");
Expect(1, 187, '\P{^General_Category=finalpunctuation}', "");
Expect(0, 186, '\p{General_Category=finalpunctuation}', "");
Expect(1, 186, '\p{^General_Category=finalpunctuation}', "");
Expect(1, 186, '\P{General_Category=finalpunctuation}', "");
Expect(0, 186, '\P{^General_Category=finalpunctuation}', "");
Expect(1, 187, '\p{General_Category:_-Final Punctuation}', "");
Expect(0, 187, '\p{^General_Category:_-Final Punctuation}', "");
Expect(0, 187, '\P{General_Category:_-Final Punctuation}', "");
Expect(1, 187, '\P{^General_Category:_-Final Punctuation}', "");
Expect(0, 186, '\p{General_Category:_-Final Punctuation}', "");
Expect(1, 186, '\p{^General_Category:_-Final Punctuation}', "");
Expect(1, 186, '\P{General_Category:_-Final Punctuation}', "");
Expect(0, 186, '\P{^General_Category:_-Final Punctuation}', "");
Error('\p{Gc:_:=PF}');
Error('\P{Gc:_:=PF}');
Expect(1, 187, '\p{Gc=pf}', "");
Expect(0, 187, '\p{^Gc=pf}', "");
Expect(0, 187, '\P{Gc=pf}', "");
Expect(1, 187, '\P{^Gc=pf}', "");
Expect(0, 186, '\p{Gc=pf}', "");
Expect(1, 186, '\p{^Gc=pf}', "");
Expect(1, 186, '\P{Gc=pf}', "");
Expect(0, 186, '\P{^Gc=pf}', "");
Expect(1, 187, '\p{Gc= pf}', "");
Expect(0, 187, '\p{^Gc= pf}', "");
Expect(0, 187, '\P{Gc= pf}', "");
Expect(1, 187, '\P{^Gc= pf}', "");
Expect(0, 186, '\p{Gc= pf}', "");
Expect(1, 186, '\p{^Gc= pf}', "");
Expect(1, 186, '\P{Gc= pf}', "");
Expect(0, 186, '\P{^Gc= pf}', "");
Error('\p{Category=-FINAL/a/Punctuation}');
Error('\P{Category=-FINAL/a/Punctuation}');
Expect(1, 187, '\p{Category=finalpunctuation}', "");
Expect(0, 187, '\p{^Category=finalpunctuation}', "");
Expect(0, 187, '\P{Category=finalpunctuation}', "");
Expect(1, 187, '\P{^Category=finalpunctuation}', "");
Expect(0, 186, '\p{Category=finalpunctuation}', "");
Expect(1, 186, '\p{^Category=finalpunctuation}', "");
Expect(1, 186, '\P{Category=finalpunctuation}', "");
Expect(0, 186, '\P{^Category=finalpunctuation}', "");
Expect(1, 187, '\p{Category=_-final_Punctuation}', "");
Expect(0, 187, '\p{^Category=_-final_Punctuation}', "");
Expect(0, 187, '\P{Category=_-final_Punctuation}', "");
Expect(1, 187, '\P{^Category=_-final_Punctuation}', "");
Expect(0, 186, '\p{Category=_-final_Punctuation}', "");
Expect(1, 186, '\p{^Category=_-final_Punctuation}', "");
Expect(1, 186, '\P{Category=_-final_Punctuation}', "");
Expect(0, 186, '\P{^Category=_-final_Punctuation}', "");
Error('\p{Is_General_Category=	:=Pf}');
Error('\P{Is_General_Category=	:=Pf}');
Expect(1, 187, '\p{Is_General_Category=pf}', "");
Expect(0, 187, '\p{^Is_General_Category=pf}', "");
Expect(0, 187, '\P{Is_General_Category=pf}', "");
Expect(1, 187, '\P{^Is_General_Category=pf}', "");
Expect(0, 186, '\p{Is_General_Category=pf}', "");
Expect(1, 186, '\p{^Is_General_Category=pf}', "");
Expect(1, 186, '\P{Is_General_Category=pf}', "");
Expect(0, 186, '\P{^Is_General_Category=pf}', "");
Expect(1, 187, '\p{Is_General_Category= 	pf}', "");
Expect(0, 187, '\p{^Is_General_Category= 	pf}', "");
Expect(0, 187, '\P{Is_General_Category= 	pf}', "");
Expect(1, 187, '\P{^Is_General_Category= 	pf}', "");
Expect(0, 186, '\p{Is_General_Category= 	pf}', "");
Expect(1, 186, '\p{^Is_General_Category= 	pf}', "");
Expect(1, 186, '\P{Is_General_Category= 	pf}', "");
Expect(0, 186, '\P{^Is_General_Category= 	pf}', "");
Error('\p{Is_Gc=_/a/Final_Punctuation}');
Error('\P{Is_Gc=_/a/Final_Punctuation}');
Expect(1, 187, '\p{Is_Gc=finalpunctuation}', "");
Expect(0, 187, '\p{^Is_Gc=finalpunctuation}', "");
Expect(0, 187, '\P{Is_Gc=finalpunctuation}', "");
Expect(1, 187, '\P{^Is_Gc=finalpunctuation}', "");
Expect(0, 186, '\p{Is_Gc=finalpunctuation}', "");
Expect(1, 186, '\p{^Is_Gc=finalpunctuation}', "");
Expect(1, 186, '\P{Is_Gc=finalpunctuation}', "");
Expect(0, 186, '\P{^Is_Gc=finalpunctuation}', "");
Expect(1, 187, '\p{Is_Gc=	-FINAL_punctuation}', "");
Expect(0, 187, '\p{^Is_Gc=	-FINAL_punctuation}', "");
Expect(0, 187, '\P{Is_Gc=	-FINAL_punctuation}', "");
Expect(1, 187, '\P{^Is_Gc=	-FINAL_punctuation}', "");
Expect(0, 186, '\p{Is_Gc=	-FINAL_punctuation}', "");
Expect(1, 186, '\p{^Is_Gc=	-FINAL_punctuation}', "");
Expect(1, 186, '\P{Is_Gc=	-FINAL_punctuation}', "");
Expect(0, 186, '\P{^Is_Gc=	-FINAL_punctuation}', "");
Error('\p{Is_Category=-:=pf}');
Error('\P{Is_Category=-:=pf}');
Expect(1, 187, '\p{Is_Category=pf}', "");
Expect(0, 187, '\p{^Is_Category=pf}', "");
Expect(0, 187, '\P{Is_Category=pf}', "");
Expect(1, 187, '\P{^Is_Category=pf}', "");
Expect(0, 186, '\p{Is_Category=pf}', "");
Expect(1, 186, '\p{^Is_Category=pf}', "");
Expect(1, 186, '\P{Is_Category=pf}', "");
Expect(0, 186, '\P{^Is_Category=pf}', "");
Expect(1, 187, '\p{Is_Category= Pf}', "");
Expect(0, 187, '\p{^Is_Category= Pf}', "");
Expect(0, 187, '\P{Is_Category= Pf}', "");
Expect(1, 187, '\P{^Is_Category= Pf}', "");
Expect(0, 186, '\p{Is_Category= Pf}', "");
Expect(1, 186, '\p{^Is_Category= Pf}', "");
Expect(1, 186, '\P{Is_Category= Pf}', "");
Expect(0, 186, '\P{^Is_Category= Pf}', "");
Error('\p{General_Category:	/a/- Unassigned}');
Error('\P{General_Category:	/a/- Unassigned}');
Expect(1, 889, '\p{General_Category=unassigned}', "");
Expect(0, 889, '\p{^General_Category=unassigned}', "");
Expect(0, 889, '\P{General_Category=unassigned}', "");
Expect(1, 889, '\P{^General_Category=unassigned}', "");
Expect(0, 887, '\p{General_Category=unassigned}', "");
Expect(1, 887, '\p{^General_Category=unassigned}', "");
Expect(1, 887, '\P{General_Category=unassigned}', "");
Expect(0, 887, '\P{^General_Category=unassigned}', "");
Expect(1, 889, '\p{General_Category= UNASSIGNED}', "");
Expect(0, 889, '\p{^General_Category= UNASSIGNED}', "");
Expect(0, 889, '\P{General_Category= UNASSIGNED}', "");
Expect(1, 889, '\P{^General_Category= UNASSIGNED}', "");
Expect(0, 887, '\p{General_Category= UNASSIGNED}', "");
Expect(1, 887, '\p{^General_Category= UNASSIGNED}', "");
Expect(1, 887, '\P{General_Category= UNASSIGNED}', "");
Expect(0, 887, '\P{^General_Category= UNASSIGNED}', "");
Error('\p{Gc=:=--Cn}');
Error('\P{Gc=:=--Cn}');
Expect(1, 889, '\p{Gc:	cn}', "");
Expect(0, 889, '\p{^Gc:	cn}', "");
Expect(0, 889, '\P{Gc:	cn}', "");
Expect(1, 889, '\P{^Gc:	cn}', "");
Expect(0, 887, '\p{Gc:	cn}', "");
Expect(1, 887, '\p{^Gc:	cn}', "");
Expect(1, 887, '\P{Gc:	cn}', "");
Expect(0, 887, '\P{^Gc:	cn}', "");
Expect(1, 889, '\p{Gc=--Cn}', "");
Expect(0, 889, '\p{^Gc=--Cn}', "");
Expect(0, 889, '\P{Gc=--Cn}', "");
Expect(1, 889, '\P{^Gc=--Cn}', "");
Expect(0, 887, '\p{Gc=--Cn}', "");
Expect(1, 887, '\p{^Gc=--Cn}', "");
Expect(1, 887, '\P{Gc=--Cn}', "");
Expect(0, 887, '\P{^Gc=--Cn}', "");
Error('\p{Category=:= Unassigned}');
Error('\P{Category=:= Unassigned}');
Expect(1, 889, '\p{Category:unassigned}', "");
Expect(0, 889, '\p{^Category:unassigned}', "");
Expect(0, 889, '\P{Category:unassigned}', "");
Expect(1, 889, '\P{^Category:unassigned}', "");
Expect(0, 887, '\p{Category:unassigned}', "");
Expect(1, 887, '\p{^Category:unassigned}', "");
Expect(1, 887, '\P{Category:unassigned}', "");
Expect(0, 887, '\P{^Category:unassigned}', "");
Expect(1, 889, '\p{Category= Unassigned}', "");
Expect(0, 889, '\p{^Category= Unassigned}', "");
Expect(0, 889, '\P{Category= Unassigned}', "");
Expect(1, 889, '\P{^Category= Unassigned}', "");
Expect(0, 887, '\p{Category= Unassigned}', "");
Expect(1, 887, '\p{^Category= Unassigned}', "");
Expect(1, 887, '\P{Category= Unassigned}', "");
Expect(0, 887, '\P{^Category= Unassigned}', "");
Error('\p{Is_General_Category=:= _Cn}');
Error('\P{Is_General_Category=:= _Cn}');
Expect(1, 889, '\p{Is_General_Category=cn}', "");
Expect(0, 889, '\p{^Is_General_Category=cn}', "");
Expect(0, 889, '\P{Is_General_Category=cn}', "");
Expect(1, 889, '\P{^Is_General_Category=cn}', "");
Expect(0, 887, '\p{Is_General_Category=cn}', "");
Expect(1, 887, '\p{^Is_General_Category=cn}', "");
Expect(1, 887, '\P{Is_General_Category=cn}', "");
Expect(0, 887, '\P{^Is_General_Category=cn}', "");
Expect(1, 889, '\p{Is_General_Category:   		Cn}', "");
Expect(0, 889, '\p{^Is_General_Category:   		Cn}', "");
Expect(0, 889, '\P{Is_General_Category:   		Cn}', "");
Expect(1, 889, '\P{^Is_General_Category:   		Cn}', "");
Expect(0, 887, '\p{Is_General_Category:   		Cn}', "");
Expect(1, 887, '\p{^Is_General_Category:   		Cn}', "");
Expect(1, 887, '\P{Is_General_Category:   		Cn}', "");
Expect(0, 887, '\P{^Is_General_Category:   		Cn}', "");
Error('\p{Is_Gc:   	Unassigned/a/}');
Error('\P{Is_Gc:   	Unassigned/a/}');
Expect(1, 889, '\p{Is_Gc=unassigned}', "");
Expect(0, 889, '\p{^Is_Gc=unassigned}', "");
Expect(0, 889, '\P{Is_Gc=unassigned}', "");
Expect(1, 889, '\P{^Is_Gc=unassigned}', "");
Expect(0, 887, '\p{Is_Gc=unassigned}', "");
Expect(1, 887, '\p{^Is_Gc=unassigned}', "");
Expect(1, 887, '\P{Is_Gc=unassigned}', "");
Expect(0, 887, '\P{^Is_Gc=unassigned}', "");
Expect(1, 889, '\p{Is_Gc=	UNASSIGNED}', "");
Expect(0, 889, '\p{^Is_Gc=	UNASSIGNED}', "");
Expect(0, 889, '\P{Is_Gc=	UNASSIGNED}', "");
Expect(1, 889, '\P{^Is_Gc=	UNASSIGNED}', "");
Expect(0, 887, '\p{Is_Gc=	UNASSIGNED}', "");
Expect(1, 887, '\p{^Is_Gc=	UNASSIGNED}', "");
Expect(1, 887, '\P{Is_Gc=	UNASSIGNED}', "");
Expect(0, 887, '\P{^Is_Gc=	UNASSIGNED}', "");
Error('\p{Is_Category=	:=Cn}');
Error('\P{Is_Category=	:=Cn}');
Expect(1, 889, '\p{Is_Category=cn}', "");
Expect(0, 889, '\p{^Is_Category=cn}', "");
Expect(0, 889, '\P{Is_Category=cn}', "");
Expect(1, 889, '\P{^Is_Category=cn}', "");
Expect(0, 887, '\p{Is_Category=cn}', "");
Expect(1, 887, '\p{^Is_Category=cn}', "");
Expect(1, 887, '\P{Is_Category=cn}', "");
Expect(0, 887, '\P{^Is_Category=cn}', "");
Expect(1, 889, '\p{Is_Category:_ cn}', "");
Expect(0, 889, '\p{^Is_Category:_ cn}', "");
Expect(0, 889, '\P{Is_Category:_ cn}', "");
Expect(1, 889, '\P{^Is_Category:_ cn}', "");
Expect(0, 887, '\p{Is_Category:_ cn}', "");
Expect(1, 887, '\p{^Is_Category:_ cn}', "");
Expect(1, 887, '\P{Is_Category:_ cn}', "");
Expect(0, 887, '\P{^Is_Category:_ cn}', "");
Error('\p{General_Category=-:=DECIMAL NUMBER}');
Error('\P{General_Category=-:=DECIMAL NUMBER}');
Expect(1, 57, '\p{General_Category=decimalnumber}', "");
Expect(0, 57, '\p{^General_Category=decimalnumber}', "");
Expect(0, 57, '\P{General_Category=decimalnumber}', "");
Expect(1, 57, '\P{^General_Category=decimalnumber}', "");
Expect(0, 47, '\p{General_Category=decimalnumber}', "");
Expect(1, 47, '\p{^General_Category=decimalnumber}', "");
Expect(1, 47, '\P{General_Category=decimalnumber}', "");
Expect(0, 47, '\P{^General_Category=decimalnumber}', "");
Expect(1, 57, '\p{General_Category=-_Decimal	Number}', "");
Expect(0, 57, '\p{^General_Category=-_Decimal	Number}', "");
Expect(0, 57, '\P{General_Category=-_Decimal	Number}', "");
Expect(1, 57, '\P{^General_Category=-_Decimal	Number}', "");
Expect(0, 47, '\p{General_Category=-_Decimal	Number}', "");
Expect(1, 47, '\p{^General_Category=-_Decimal	Number}', "");
Expect(1, 47, '\P{General_Category=-_Decimal	Number}', "");
Expect(0, 47, '\P{^General_Category=-_Decimal	Number}', "");
Error('\p{Gc=/a/	_ND}');
Error('\P{Gc=/a/	_ND}');
Expect(1, 57, '\p{Gc=nd}', "");
Expect(0, 57, '\p{^Gc=nd}', "");
Expect(0, 57, '\P{Gc=nd}', "");
Expect(1, 57, '\P{^Gc=nd}', "");
Expect(0, 47, '\p{Gc=nd}', "");
Expect(1, 47, '\p{^Gc=nd}', "");
Expect(1, 47, '\P{Gc=nd}', "");
Expect(0, 47, '\P{^Gc=nd}', "");
Expect(1, 57, '\p{Gc=_nd}', "");
Expect(0, 57, '\p{^Gc=_nd}', "");
Expect(0, 57, '\P{Gc=_nd}', "");
Expect(1, 57, '\P{^Gc=_nd}', "");
Expect(0, 47, '\p{Gc=_nd}', "");
Expect(1, 47, '\p{^Gc=_nd}', "");
Expect(1, 47, '\P{Gc=_nd}', "");
Expect(0, 47, '\P{^Gc=_nd}', "");
Error('\p{Category=:= Digit}');
Error('\P{Category=:= Digit}');
Expect(1, 57, '\p{Category=digit}', "");
Expect(0, 57, '\p{^Category=digit}', "");
Expect(0, 57, '\P{Category=digit}', "");
Expect(1, 57, '\P{^Category=digit}', "");
Expect(0, 47, '\p{Category=digit}', "");
Expect(1, 47, '\p{^Category=digit}', "");
Expect(1, 47, '\P{Category=digit}', "");
Expect(0, 47, '\P{^Category=digit}', "");
Expect(1, 57, '\p{Category=_Digit}', "");
Expect(0, 57, '\p{^Category=_Digit}', "");
Expect(0, 57, '\P{Category=_Digit}', "");
Expect(1, 57, '\P{^Category=_Digit}', "");
Expect(0, 47, '\p{Category=_Digit}', "");
Expect(1, 47, '\p{^Category=_Digit}', "");
Expect(1, 47, '\P{Category=_Digit}', "");
Expect(0, 47, '\P{^Category=_Digit}', "");
Error('\p{Is_General_Category=-	Decimal:=number}');
Error('\P{Is_General_Category=-	Decimal:=number}');
Expect(1, 57, '\p{Is_General_Category=decimalnumber}', "");
Expect(0, 57, '\p{^Is_General_Category=decimalnumber}', "");
Expect(0, 57, '\P{Is_General_Category=decimalnumber}', "");
Expect(1, 57, '\P{^Is_General_Category=decimalnumber}', "");
Expect(0, 47, '\p{Is_General_Category=decimalnumber}', "");
Expect(1, 47, '\p{^Is_General_Category=decimalnumber}', "");
Expect(1, 47, '\P{Is_General_Category=decimalnumber}', "");
Expect(0, 47, '\P{^Is_General_Category=decimalnumber}', "");
Expect(1, 57, '\p{Is_General_Category=_-decimal-NUMBER}', "");
Expect(0, 57, '\p{^Is_General_Category=_-decimal-NUMBER}', "");
Expect(0, 57, '\P{Is_General_Category=_-decimal-NUMBER}', "");
Expect(1, 57, '\P{^Is_General_Category=_-decimal-NUMBER}', "");
Expect(0, 47, '\p{Is_General_Category=_-decimal-NUMBER}', "");
Expect(1, 47, '\p{^Is_General_Category=_-decimal-NUMBER}', "");
Expect(1, 47, '\P{Is_General_Category=_-decimal-NUMBER}', "");
Expect(0, 47, '\P{^Is_General_Category=_-decimal-NUMBER}', "");
Error('\p{Is_Gc=	:=Nd}');
Error('\P{Is_Gc=	:=Nd}');
Expect(1, 57, '\p{Is_Gc=nd}', "");
Expect(0, 57, '\p{^Is_Gc=nd}', "");
Expect(0, 57, '\P{Is_Gc=nd}', "");
Expect(1, 57, '\P{^Is_Gc=nd}', "");
Expect(0, 47, '\p{Is_Gc=nd}', "");
Expect(1, 47, '\p{^Is_Gc=nd}', "");
Expect(1, 47, '\P{Is_Gc=nd}', "");
Expect(0, 47, '\P{^Is_Gc=nd}', "");
Expect(1, 57, '\p{Is_Gc: 	 ND}', "");
Expect(0, 57, '\p{^Is_Gc: 	 ND}', "");
Expect(0, 57, '\P{Is_Gc: 	 ND}', "");
Expect(1, 57, '\P{^Is_Gc: 	 ND}', "");
Expect(0, 47, '\p{Is_Gc: 	 ND}', "");
Expect(1, 47, '\p{^Is_Gc: 	 ND}', "");
Expect(1, 47, '\P{Is_Gc: 	 ND}', "");
Expect(0, 47, '\P{^Is_Gc: 	 ND}', "");
Error('\p{Is_Category=-:=DIGIT}');
Error('\P{Is_Category=-:=DIGIT}');
Expect(1, 57, '\p{Is_Category:	digit}', "");
Expect(0, 57, '\p{^Is_Category:	digit}', "");
Expect(0, 57, '\P{Is_Category:	digit}', "");
Expect(1, 57, '\P{^Is_Category:	digit}', "");
Expect(0, 47, '\p{Is_Category:	digit}', "");
Expect(1, 47, '\p{^Is_Category:	digit}', "");
Expect(1, 47, '\P{Is_Category:	digit}', "");
Expect(0, 47, '\P{^Is_Category:	digit}', "");
Expect(1, 57, '\p{Is_Category= -DIGIT}', "");
Expect(0, 57, '\p{^Is_Category= -DIGIT}', "");
Expect(0, 57, '\P{Is_Category= -DIGIT}', "");
Expect(1, 57, '\P{^Is_Category= -DIGIT}', "");
Expect(0, 47, '\p{Is_Category= -DIGIT}', "");
Expect(1, 47, '\p{^Is_Category= -DIGIT}', "");
Expect(1, 47, '\P{Is_Category= -DIGIT}', "");
Expect(0, 47, '\P{^Is_Category= -DIGIT}', "");
Error('\p{General_Category=	_paragraph:=SEPARATOR}');
Error('\P{General_Category=	_paragraph:=SEPARATOR}');
Expect(1, 8233, '\p{General_Category=paragraphseparator}', "");
Expect(0, 8233, '\p{^General_Category=paragraphseparator}', "");
Expect(0, 8233, '\P{General_Category=paragraphseparator}', "");
Expect(1, 8233, '\P{^General_Category=paragraphseparator}', "");
Expect(0, 8232, '\p{General_Category=paragraphseparator}', "");
Expect(1, 8232, '\p{^General_Category=paragraphseparator}', "");
Expect(1, 8232, '\P{General_Category=paragraphseparator}', "");
Expect(0, 8232, '\P{^General_Category=paragraphseparator}', "");
Expect(1, 8233, '\p{General_Category=__paragraphSeparator}', "");
Expect(0, 8233, '\p{^General_Category=__paragraphSeparator}', "");
Expect(0, 8233, '\P{General_Category=__paragraphSeparator}', "");
Expect(1, 8233, '\P{^General_Category=__paragraphSeparator}', "");
Expect(0, 8232, '\p{General_Category=__paragraphSeparator}', "");
Expect(1, 8232, '\p{^General_Category=__paragraphSeparator}', "");
Expect(1, 8232, '\P{General_Category=__paragraphSeparator}', "");
Expect(0, 8232, '\P{^General_Category=__paragraphSeparator}', "");
Error('\p{Gc: _-ZP/a/}');
Error('\P{Gc: _-ZP/a/}');
Expect(1, 8233, '\p{Gc:	zp}', "");
Expect(0, 8233, '\p{^Gc:	zp}', "");
Expect(0, 8233, '\P{Gc:	zp}', "");
Expect(1, 8233, '\P{^Gc:	zp}', "");
Expect(0, 8232, '\p{Gc:	zp}', "");
Expect(1, 8232, '\p{^Gc:	zp}', "");
Expect(1, 8232, '\P{Gc:	zp}', "");
Expect(0, 8232, '\P{^Gc:	zp}', "");
Expect(1, 8233, '\p{Gc=ZP}', "");
Expect(0, 8233, '\p{^Gc=ZP}', "");
Expect(0, 8233, '\P{Gc=ZP}', "");
Expect(1, 8233, '\P{^Gc=ZP}', "");
Expect(0, 8232, '\p{Gc=ZP}', "");
Expect(1, 8232, '\p{^Gc=ZP}', "");
Expect(1, 8232, '\P{Gc=ZP}', "");
Expect(0, 8232, '\P{^Gc=ZP}', "");
Error('\p{Category=	-ParagraphSeparator/a/}');
Error('\P{Category=	-ParagraphSeparator/a/}');
Expect(1, 8233, '\p{Category=paragraphseparator}', "");
Expect(0, 8233, '\p{^Category=paragraphseparator}', "");
Expect(0, 8233, '\P{Category=paragraphseparator}', "");
Expect(1, 8233, '\P{^Category=paragraphseparator}', "");
Expect(0, 8232, '\p{Category=paragraphseparator}', "");
Expect(1, 8232, '\p{^Category=paragraphseparator}', "");
Expect(1, 8232, '\P{Category=paragraphseparator}', "");
Expect(0, 8232, '\P{^Category=paragraphseparator}', "");
Expect(1, 8233, '\p{Category=-_Paragraph-SEPARATOR}', "");
Expect(0, 8233, '\p{^Category=-_Paragraph-SEPARATOR}', "");
Expect(0, 8233, '\P{Category=-_Paragraph-SEPARATOR}', "");
Expect(1, 8233, '\P{^Category=-_Paragraph-SEPARATOR}', "");
Expect(0, 8232, '\p{Category=-_Paragraph-SEPARATOR}', "");
Expect(1, 8232, '\p{^Category=-_Paragraph-SEPARATOR}', "");
Expect(1, 8232, '\P{Category=-_Paragraph-SEPARATOR}', "");
Expect(0, 8232, '\P{^Category=-_Paragraph-SEPARATOR}', "");
Error('\p{Is_General_Category=/a/	 Zp}');
Error('\P{Is_General_Category=/a/	 Zp}');
Expect(1, 8233, '\p{Is_General_Category=zp}', "");
Expect(0, 8233, '\p{^Is_General_Category=zp}', "");
Expect(0, 8233, '\P{Is_General_Category=zp}', "");
Expect(1, 8233, '\P{^Is_General_Category=zp}', "");
Expect(0, 8232, '\p{Is_General_Category=zp}', "");
Expect(1, 8232, '\p{^Is_General_Category=zp}', "");
Expect(1, 8232, '\P{Is_General_Category=zp}', "");
Expect(0, 8232, '\P{^Is_General_Category=zp}', "");
Expect(1, 8233, '\p{Is_General_Category=-	Zp}', "");
Expect(0, 8233, '\p{^Is_General_Category=-	Zp}', "");
Expect(0, 8233, '\P{Is_General_Category=-	Zp}', "");
Expect(1, 8233, '\P{^Is_General_Category=-	Zp}', "");
Expect(0, 8232, '\p{Is_General_Category=-	Zp}', "");
Expect(1, 8232, '\p{^Is_General_Category=-	Zp}', "");
Expect(1, 8232, '\P{Is_General_Category=-	Zp}', "");
Expect(0, 8232, '\P{^Is_General_Category=-	Zp}', "");
Error('\p{Is_Gc=_	Paragraph:=separator}');
Error('\P{Is_Gc=_	Paragraph:=separator}');
Expect(1, 8233, '\p{Is_Gc=paragraphseparator}', "");
Expect(0, 8233, '\p{^Is_Gc=paragraphseparator}', "");
Expect(0, 8233, '\P{Is_Gc=paragraphseparator}', "");
Expect(1, 8233, '\P{^Is_Gc=paragraphseparator}', "");
Expect(0, 8232, '\p{Is_Gc=paragraphseparator}', "");
Expect(1, 8232, '\p{^Is_Gc=paragraphseparator}', "");
Expect(1, 8232, '\P{Is_Gc=paragraphseparator}', "");
Expect(0, 8232, '\P{^Is_Gc=paragraphseparator}', "");
Expect(1, 8233, '\p{Is_Gc=- paragraph	separator}', "");
Expect(0, 8233, '\p{^Is_Gc=- paragraph	separator}', "");
Expect(0, 8233, '\P{Is_Gc=- paragraph	separator}', "");
Expect(1, 8233, '\P{^Is_Gc=- paragraph	separator}', "");
Expect(0, 8232, '\p{Is_Gc=- paragraph	separator}', "");
Expect(1, 8232, '\p{^Is_Gc=- paragraph	separator}', "");
Expect(1, 8232, '\P{Is_Gc=- paragraph	separator}', "");
Expect(0, 8232, '\P{^Is_Gc=- paragraph	separator}', "");
Error('\p{Is_Category=:=_Zp}');
Error('\P{Is_Category=:=_Zp}');
Expect(1, 8233, '\p{Is_Category=zp}', "");
Expect(0, 8233, '\p{^Is_Category=zp}', "");
Expect(0, 8233, '\P{Is_Category=zp}', "");
Expect(1, 8233, '\P{^Is_Category=zp}', "");
Expect(0, 8232, '\p{Is_Category=zp}', "");
Expect(1, 8232, '\p{^Is_Category=zp}', "");
Expect(1, 8232, '\P{Is_Category=zp}', "");
Expect(0, 8232, '\P{^Is_Category=zp}', "");
Expect(1, 8233, '\p{Is_Category=_ZP}', "");
Expect(0, 8233, '\p{^Is_Category=_ZP}', "");
Expect(0, 8233, '\P{Is_Category=_ZP}', "");
Expect(1, 8233, '\P{^Is_Category=_ZP}', "");
Expect(0, 8232, '\p{Is_Category=_ZP}', "");
Expect(1, 8232, '\p{^Is_Category=_ZP}', "");
Expect(1, 8232, '\P{Is_Category=_ZP}', "");
Expect(0, 8232, '\P{^Is_Category=_ZP}', "");
Error('\p{General_Category=-_Modifier_LETTER:=}');
Error('\P{General_Category=-_Modifier_LETTER:=}');
Expect(1, 705, '\p{General_Category=modifierletter}', "");
Expect(0, 705, '\p{^General_Category=modifierletter}', "");
Expect(0, 705, '\P{General_Category=modifierletter}', "");
Expect(1, 705, '\P{^General_Category=modifierletter}', "");
Expect(0, 687, '\p{General_Category=modifierletter}', "");
Expect(1, 687, '\p{^General_Category=modifierletter}', "");
Expect(1, 687, '\P{General_Category=modifierletter}', "");
Expect(0, 687, '\P{^General_Category=modifierletter}', "");
Expect(1, 705, '\p{General_Category=- MODIFIERLetter}', "");
Expect(0, 705, '\p{^General_Category=- MODIFIERLetter}', "");
Expect(0, 705, '\P{General_Category=- MODIFIERLetter}', "");
Expect(1, 705, '\P{^General_Category=- MODIFIERLetter}', "");
Expect(0, 687, '\p{General_Category=- MODIFIERLetter}', "");
Expect(1, 687, '\p{^General_Category=- MODIFIERLetter}', "");
Expect(1, 687, '\P{General_Category=- MODIFIERLetter}', "");
Expect(0, 687, '\P{^General_Category=- MODIFIERLetter}', "");
Error('\p{Gc=_	lm/a/}');
Error('\P{Gc=_	lm/a/}');
Expect(1, 705, '\p{Gc=lm}', "");
Expect(0, 705, '\p{^Gc=lm}', "");
Expect(0, 705, '\P{Gc=lm}', "");
Expect(1, 705, '\P{^Gc=lm}', "");
Expect(0, 687, '\p{Gc=lm}', "");
Expect(1, 687, '\p{^Gc=lm}', "");
Expect(1, 687, '\P{Gc=lm}', "");
Expect(0, 687, '\P{^Gc=lm}', "");
Expect(1, 705, '\p{Gc=-Lm}', "");
Expect(0, 705, '\p{^Gc=-Lm}', "");
Expect(0, 705, '\P{Gc=-Lm}', "");
Expect(1, 705, '\P{^Gc=-Lm}', "");
Expect(0, 687, '\p{Gc=-Lm}', "");
Expect(1, 687, '\p{^Gc=-Lm}', "");
Expect(1, 687, '\P{Gc=-Lm}', "");
Expect(0, 687, '\P{^Gc=-Lm}', "");
Error('\p{Category=-/a/Modifier Letter}');
Error('\P{Category=-/a/Modifier Letter}');
Expect(1, 705, '\p{Category=modifierletter}', "");
Expect(0, 705, '\p{^Category=modifierletter}', "");
Expect(0, 705, '\P{Category=modifierletter}', "");
Expect(1, 705, '\P{^Category=modifierletter}', "");
Expect(0, 687, '\p{Category=modifierletter}', "");
Expect(1, 687, '\p{^Category=modifierletter}', "");
Expect(1, 687, '\P{Category=modifierletter}', "");
Expect(0, 687, '\P{^Category=modifierletter}', "");
Expect(1, 705, '\p{Category= 	modifier LETTER}', "");
Expect(0, 705, '\p{^Category= 	modifier LETTER}', "");
Expect(0, 705, '\P{Category= 	modifier LETTER}', "");
Expect(1, 705, '\P{^Category= 	modifier LETTER}', "");
Expect(0, 687, '\p{Category= 	modifier LETTER}', "");
Expect(1, 687, '\p{^Category= 	modifier LETTER}', "");
Expect(1, 687, '\P{Category= 	modifier LETTER}', "");
Expect(0, 687, '\P{^Category= 	modifier LETTER}', "");
Error('\p{Is_General_Category= :=lm}');
Error('\P{Is_General_Category= :=lm}');
Expect(1, 705, '\p{Is_General_Category=lm}', "");
Expect(0, 705, '\p{^Is_General_Category=lm}', "");
Expect(0, 705, '\P{Is_General_Category=lm}', "");
Expect(1, 705, '\P{^Is_General_Category=lm}', "");
Expect(0, 687, '\p{Is_General_Category=lm}', "");
Expect(1, 687, '\p{^Is_General_Category=lm}', "");
Expect(1, 687, '\P{Is_General_Category=lm}', "");
Expect(0, 687, '\P{^Is_General_Category=lm}', "");
Expect(1, 705, '\p{Is_General_Category=	 LM}', "");
Expect(0, 705, '\p{^Is_General_Category=	 LM}', "");
Expect(0, 705, '\P{Is_General_Category=	 LM}', "");
Expect(1, 705, '\P{^Is_General_Category=	 LM}', "");
Expect(0, 687, '\p{Is_General_Category=	 LM}', "");
Expect(1, 687, '\p{^Is_General_Category=	 LM}', "");
Expect(1, 687, '\P{Is_General_Category=	 LM}', "");
Expect(0, 687, '\P{^Is_General_Category=	 LM}', "");
Error('\p{Is_Gc=Modifier LETTER:=}');
Error('\P{Is_Gc=Modifier LETTER:=}');
Expect(1, 705, '\p{Is_Gc=modifierletter}', "");
Expect(0, 705, '\p{^Is_Gc=modifierletter}', "");
Expect(0, 705, '\P{Is_Gc=modifierletter}', "");
Expect(1, 705, '\P{^Is_Gc=modifierletter}', "");
Expect(0, 687, '\p{Is_Gc=modifierletter}', "");
Expect(1, 687, '\p{^Is_Gc=modifierletter}', "");
Expect(1, 687, '\P{Is_Gc=modifierletter}', "");
Expect(0, 687, '\P{^Is_Gc=modifierletter}', "");
Expect(1, 705, '\p{Is_Gc= 	Modifier_Letter}', "");
Expect(0, 705, '\p{^Is_Gc= 	Modifier_Letter}', "");
Expect(0, 705, '\P{Is_Gc= 	Modifier_Letter}', "");
Expect(1, 705, '\P{^Is_Gc= 	Modifier_Letter}', "");
Expect(0, 687, '\p{Is_Gc= 	Modifier_Letter}', "");
Expect(1, 687, '\p{^Is_Gc= 	Modifier_Letter}', "");
Expect(1, 687, '\P{Is_Gc= 	Modifier_Letter}', "");
Expect(0, 687, '\P{^Is_Gc= 	Modifier_Letter}', "");
Error('\p{Is_Category=_lm/a/}');
Error('\P{Is_Category=_lm/a/}');
Expect(1, 705, '\p{Is_Category:	lm}', "");
Expect(0, 705, '\p{^Is_Category:	lm}', "");
Expect(0, 705, '\P{Is_Category:	lm}', "");
Expect(1, 705, '\P{^Is_Category:	lm}', "");
Expect(0, 687, '\p{Is_Category:	lm}', "");
Expect(1, 687, '\p{^Is_Category:	lm}', "");
Expect(1, 687, '\P{Is_Category:	lm}', "");
Expect(0, 687, '\P{^Is_Category:	lm}', "");
Expect(1, 705, '\p{Is_Category=Lm}', "");
Expect(0, 705, '\p{^Is_Category=Lm}', "");
Expect(0, 705, '\P{Is_Category=Lm}', "");
Expect(1, 705, '\P{^Is_Category=Lm}', "");
Expect(0, 687, '\p{Is_Category=Lm}', "");
Expect(1, 687, '\p{^Is_Category=Lm}', "");
Expect(1, 687, '\P{Is_Category=Lm}', "");
Expect(0, 687, '\P{^Is_Category=Lm}', "");
Error('\p{General_Category:   _Other/a/symbol}');
Error('\P{General_Category:   _Other/a/symbol}');
Expect(1, 167, '\p{General_Category=othersymbol}', "");
Expect(0, 167, '\p{^General_Category=othersymbol}', "");
Expect(0, 167, '\P{General_Category=othersymbol}', "");
Expect(1, 167, '\P{^General_Category=othersymbol}', "");
Expect(0, 165, '\p{General_Category=othersymbol}', "");
Expect(1, 165, '\p{^General_Category=othersymbol}', "");
Expect(1, 165, '\P{General_Category=othersymbol}', "");
Expect(0, 165, '\P{^General_Category=othersymbol}', "");
Expect(1, 167, '\p{General_Category=	-Other	SYMBOL}', "");
Expect(0, 167, '\p{^General_Category=	-Other	SYMBOL}', "");
Expect(0, 167, '\P{General_Category=	-Other	SYMBOL}', "");
Expect(1, 167, '\P{^General_Category=	-Other	SYMBOL}', "");
Expect(0, 165, '\p{General_Category=	-Other	SYMBOL}', "");
Expect(1, 165, '\p{^General_Category=	-Other	SYMBOL}', "");
Expect(1, 165, '\P{General_Category=	-Other	SYMBOL}', "");
Expect(0, 165, '\P{^General_Category=	-Other	SYMBOL}', "");
Error('\p{Gc=:=	so}');
Error('\P{Gc=:=	so}');
Expect(1, 167, '\p{Gc:	so}', "");
Expect(0, 167, '\p{^Gc:	so}', "");
Expect(0, 167, '\P{Gc:	so}', "");
Expect(1, 167, '\P{^Gc:	so}', "");
Expect(0, 165, '\p{Gc:	so}', "");
Expect(1, 165, '\p{^Gc:	so}', "");
Expect(1, 165, '\P{Gc:	so}', "");
Expect(0, 165, '\P{^Gc:	so}', "");
Expect(1, 167, '\p{Gc= _So}', "");
Expect(0, 167, '\p{^Gc= _So}', "");
Expect(0, 167, '\P{Gc= _So}', "");
Expect(1, 167, '\P{^Gc= _So}', "");
Expect(0, 165, '\p{Gc= _So}', "");
Expect(1, 165, '\p{^Gc= _So}', "");
Expect(1, 165, '\P{Gc= _So}', "");
Expect(0, 165, '\P{^Gc= _So}', "");
Error('\p{Category=	_Other	symbol:=}');
Error('\P{Category=	_Other	symbol:=}');
Expect(1, 167, '\p{Category=othersymbol}', "");
Expect(0, 167, '\p{^Category=othersymbol}', "");
Expect(0, 167, '\P{Category=othersymbol}', "");
Expect(1, 167, '\P{^Category=othersymbol}', "");
Expect(0, 165, '\p{Category=othersymbol}', "");
Expect(1, 165, '\p{^Category=othersymbol}', "");
Expect(1, 165, '\P{Category=othersymbol}', "");
Expect(0, 165, '\P{^Category=othersymbol}', "");
Expect(1, 167, '\p{Category:	_-Other SYMBOL}', "");
Expect(0, 167, '\p{^Category:	_-Other SYMBOL}', "");
Expect(0, 167, '\P{Category:	_-Other SYMBOL}', "");
Expect(1, 167, '\P{^Category:	_-Other SYMBOL}', "");
Expect(0, 165, '\p{Category:	_-Other SYMBOL}', "");
Expect(1, 165, '\p{^Category:	_-Other SYMBOL}', "");
Expect(1, 165, '\P{Category:	_-Other SYMBOL}', "");
Expect(0, 165, '\P{^Category:	_-Other SYMBOL}', "");
Error('\p{Is_General_Category=-SO:=}');
Error('\P{Is_General_Category=-SO:=}');
Expect(1, 167, '\p{Is_General_Category=so}', "");
Expect(0, 167, '\p{^Is_General_Category=so}', "");
Expect(0, 167, '\P{Is_General_Category=so}', "");
Expect(1, 167, '\P{^Is_General_Category=so}', "");
Expect(0, 165, '\p{Is_General_Category=so}', "");
Expect(1, 165, '\p{^Is_General_Category=so}', "");
Expect(1, 165, '\P{Is_General_Category=so}', "");
Expect(0, 165, '\P{^Is_General_Category=so}', "");
Expect(1, 167, '\p{Is_General_Category=_	So}', "");
Expect(0, 167, '\p{^Is_General_Category=_	So}', "");
Expect(0, 167, '\P{Is_General_Category=_	So}', "");
Expect(1, 167, '\P{^Is_General_Category=_	So}', "");
Expect(0, 165, '\p{Is_General_Category=_	So}', "");
Expect(1, 165, '\p{^Is_General_Category=_	So}', "");
Expect(1, 165, '\P{Is_General_Category=_	So}', "");
Expect(0, 165, '\P{^Is_General_Category=_	So}', "");
Error('\p{Is_Gc=-:=Other Symbol}');
Error('\P{Is_Gc=-:=Other Symbol}');
Expect(1, 167, '\p{Is_Gc=othersymbol}', "");
Expect(0, 167, '\p{^Is_Gc=othersymbol}', "");
Expect(0, 167, '\P{Is_Gc=othersymbol}', "");
Expect(1, 167, '\P{^Is_Gc=othersymbol}', "");
Expect(0, 165, '\p{Is_Gc=othersymbol}', "");
Expect(1, 165, '\p{^Is_Gc=othersymbol}', "");
Expect(1, 165, '\P{Is_Gc=othersymbol}', "");
Expect(0, 165, '\P{^Is_Gc=othersymbol}', "");
Expect(1, 167, '\p{Is_Gc=-Other symbol}', "");
Expect(0, 167, '\p{^Is_Gc=-Other symbol}', "");
Expect(0, 167, '\P{Is_Gc=-Other symbol}', "");
Expect(1, 167, '\P{^Is_Gc=-Other symbol}', "");
Expect(0, 165, '\p{Is_Gc=-Other symbol}', "");
Expect(1, 165, '\p{^Is_Gc=-Other symbol}', "");
Expect(1, 165, '\P{Is_Gc=-Other symbol}', "");
Expect(0, 165, '\P{^Is_Gc=-Other symbol}', "");
Error('\p{Is_Category=/a/ 	So}');
Error('\P{Is_Category=/a/ 	So}');
Expect(1, 167, '\p{Is_Category=so}', "");
Expect(0, 167, '\p{^Is_Category=so}', "");
Expect(0, 167, '\P{Is_Category=so}', "");
Expect(1, 167, '\P{^Is_Category=so}', "");
Expect(0, 165, '\p{Is_Category=so}', "");
Expect(1, 165, '\p{^Is_Category=so}', "");
Expect(1, 165, '\P{Is_Category=so}', "");
Expect(0, 165, '\P{^Is_Category=so}', "");
Expect(1, 167, '\p{Is_Category=	_SO}', "");
Expect(0, 167, '\p{^Is_Category=	_SO}', "");
Expect(0, 167, '\P{Is_Category=	_SO}', "");
Expect(1, 167, '\P{^Is_Category=	_SO}', "");
Expect(0, 165, '\p{Is_Category=	_SO}', "");
Expect(1, 165, '\p{^Is_Category=	_SO}', "");
Expect(1, 165, '\P{Is_Category=	_SO}', "");
Expect(0, 165, '\P{^Is_Category=	_SO}', "");
Error('\p{General_Category=-Nonspacing_Mark:=}');
Error('\P{General_Category=-Nonspacing_Mark:=}');
Expect(1, 879, '\p{General_Category=nonspacingmark}', "");
Expect(0, 879, '\p{^General_Category=nonspacingmark}', "");
Expect(0, 879, '\P{General_Category=nonspacingmark}', "");
Expect(1, 879, '\P{^General_Category=nonspacingmark}', "");
Expect(0, 767, '\p{General_Category=nonspacingmark}', "");
Expect(1, 767, '\p{^General_Category=nonspacingmark}', "");
Expect(1, 767, '\P{General_Category=nonspacingmark}', "");
Expect(0, 767, '\P{^General_Category=nonspacingmark}', "");
Expect(1, 879, '\p{General_Category=--Nonspacing MARK}', "");
Expect(0, 879, '\p{^General_Category=--Nonspacing MARK}', "");
Expect(0, 879, '\P{General_Category=--Nonspacing MARK}', "");
Expect(1, 879, '\P{^General_Category=--Nonspacing MARK}', "");
Expect(0, 767, '\p{General_Category=--Nonspacing MARK}', "");
Expect(1, 767, '\p{^General_Category=--Nonspacing MARK}', "");
Expect(1, 767, '\P{General_Category=--Nonspacing MARK}', "");
Expect(0, 767, '\P{^General_Category=--Nonspacing MARK}', "");
Error('\p{Gc=_	mn/a/}');
Error('\P{Gc=_	mn/a/}');
Expect(1, 879, '\p{Gc=mn}', "");
Expect(0, 879, '\p{^Gc=mn}', "");
Expect(0, 879, '\P{Gc=mn}', "");
Expect(1, 879, '\P{^Gc=mn}', "");
Expect(0, 767, '\p{Gc=mn}', "");
Expect(1, 767, '\p{^Gc=mn}', "");
Expect(1, 767, '\P{Gc=mn}', "");
Expect(0, 767, '\P{^Gc=mn}', "");
Expect(1, 879, '\p{Gc=	 Mn}', "");
Expect(0, 879, '\p{^Gc=	 Mn}', "");
Expect(0, 879, '\P{Gc=	 Mn}', "");
Expect(1, 879, '\P{^Gc=	 Mn}', "");
Expect(0, 767, '\p{Gc=	 Mn}', "");
Expect(1, 767, '\p{^Gc=	 Mn}', "");
Expect(1, 767, '\P{Gc=	 Mn}', "");
Expect(0, 767, '\P{^Gc=	 Mn}', "");
Error('\p{Category=	:=nonspacing_mark}');
Error('\P{Category=	:=nonspacing_mark}');
Expect(1, 879, '\p{Category=nonspacingmark}', "");
Expect(0, 879, '\p{^Category=nonspacingmark}', "");
Expect(0, 879, '\P{Category=nonspacingmark}', "");
Expect(1, 879, '\P{^Category=nonspacingmark}', "");
Expect(0, 767, '\p{Category=nonspacingmark}', "");
Expect(1, 767, '\p{^Category=nonspacingmark}', "");
Expect(1, 767, '\P{Category=nonspacingmark}', "");
Expect(0, 767, '\P{^Category=nonspacingmark}', "");
Expect(1, 879, '\p{Category=-	nonspacingMARK}', "");
Expect(0, 879, '\p{^Category=-	nonspacingMARK}', "");
Expect(0, 879, '\P{Category=-	nonspacingMARK}', "");
Expect(1, 879, '\P{^Category=-	nonspacingMARK}', "");
Expect(0, 767, '\p{Category=-	nonspacingMARK}', "");
Expect(1, 767, '\p{^Category=-	nonspacingMARK}', "");
Expect(1, 767, '\P{Category=-	nonspacingMARK}', "");
Expect(0, 767, '\P{^Category=-	nonspacingMARK}', "");
Error('\p{Is_General_Category=_:=Mn}');
Error('\P{Is_General_Category=_:=Mn}');
Expect(1, 879, '\p{Is_General_Category=mn}', "");
Expect(0, 879, '\p{^Is_General_Category=mn}', "");
Expect(0, 879, '\P{Is_General_Category=mn}', "");
Expect(1, 879, '\P{^Is_General_Category=mn}', "");
Expect(0, 767, '\p{Is_General_Category=mn}', "");
Expect(1, 767, '\p{^Is_General_Category=mn}', "");
Expect(1, 767, '\P{Is_General_Category=mn}', "");
Expect(0, 767, '\P{^Is_General_Category=mn}', "");
Expect(1, 879, '\p{Is_General_Category=-	Mn}', "");
Expect(0, 879, '\p{^Is_General_Category=-	Mn}', "");
Expect(0, 879, '\P{Is_General_Category=-	Mn}', "");
Expect(1, 879, '\P{^Is_General_Category=-	Mn}', "");
Expect(0, 767, '\p{Is_General_Category=-	Mn}', "");
Expect(1, 767, '\p{^Is_General_Category=-	Mn}', "");
Expect(1, 767, '\P{Is_General_Category=-	Mn}', "");
Expect(0, 767, '\P{^Is_General_Category=-	Mn}', "");
Error('\p{Is_Gc= :=Nonspacing-MARK}');
Error('\P{Is_Gc= :=Nonspacing-MARK}');
Expect(1, 879, '\p{Is_Gc=nonspacingmark}', "");
Expect(0, 879, '\p{^Is_Gc=nonspacingmark}', "");
Expect(0, 879, '\P{Is_Gc=nonspacingmark}', "");
Expect(1, 879, '\P{^Is_Gc=nonspacingmark}', "");
Expect(0, 767, '\p{Is_Gc=nonspacingmark}', "");
Expect(1, 767, '\p{^Is_Gc=nonspacingmark}', "");
Expect(1, 767, '\P{Is_Gc=nonspacingmark}', "");
Expect(0, 767, '\P{^Is_Gc=nonspacingmark}', "");
Expect(1, 879, '\p{Is_Gc=_Nonspacing	MARK}', "");
Expect(0, 879, '\p{^Is_Gc=_Nonspacing	MARK}', "");
Expect(0, 879, '\P{Is_Gc=_Nonspacing	MARK}', "");
Expect(1, 879, '\P{^Is_Gc=_Nonspacing	MARK}', "");
Expect(0, 767, '\p{Is_Gc=_Nonspacing	MARK}', "");
Expect(1, 767, '\p{^Is_Gc=_Nonspacing	MARK}', "");
Expect(1, 767, '\P{Is_Gc=_Nonspacing	MARK}', "");
Expect(0, 767, '\P{^Is_Gc=_Nonspacing	MARK}', "");
Error('\p{Is_Category=		Mn:=}');
Error('\P{Is_Category=		Mn:=}');
Expect(1, 879, '\p{Is_Category=mn}', "");
Expect(0, 879, '\p{^Is_Category=mn}', "");
Expect(0, 879, '\P{Is_Category=mn}', "");
Expect(1, 879, '\P{^Is_Category=mn}', "");
Expect(0, 767, '\p{Is_Category=mn}', "");
Expect(1, 767, '\p{^Is_Category=mn}', "");
Expect(1, 767, '\P{Is_Category=mn}', "");
Expect(0, 767, '\P{^Is_Category=mn}', "");
Expect(1, 879, '\p{Is_Category=-Mn}', "");
Expect(0, 879, '\p{^Is_Category=-Mn}', "");
Expect(0, 879, '\P{Is_Category=-Mn}', "");
Expect(1, 879, '\P{^Is_Category=-Mn}', "");
Expect(0, 767, '\p{Is_Category=-Mn}', "");
Expect(1, 767, '\p{^Is_Category=-Mn}', "");
Expect(1, 767, '\P{Is_Category=-Mn}', "");
Expect(0, 767, '\P{^Is_Category=-Mn}', "");
Error('\p{General_Category: _DASH_Punctuation/a/}');
Error('\P{General_Category: _DASH_Punctuation/a/}');
Expect(1, 45, '\p{General_Category=dashpunctuation}', "");
Expect(0, 45, '\p{^General_Category=dashpunctuation}', "");
Expect(0, 45, '\P{General_Category=dashpunctuation}', "");
Expect(1, 45, '\P{^General_Category=dashpunctuation}', "");
Expect(0, 44, '\p{General_Category=dashpunctuation}', "");
Expect(1, 44, '\p{^General_Category=dashpunctuation}', "");
Expect(1, 44, '\P{General_Category=dashpunctuation}', "");
Expect(0, 44, '\P{^General_Category=dashpunctuation}', "");
Expect(1, 45, '\p{General_Category=_dash punctuation}', "");
Expect(0, 45, '\p{^General_Category=_dash punctuation}', "");
Expect(0, 45, '\P{General_Category=_dash punctuation}', "");
Expect(1, 45, '\P{^General_Category=_dash punctuation}', "");
Expect(0, 44, '\p{General_Category=_dash punctuation}', "");
Expect(1, 44, '\p{^General_Category=_dash punctuation}', "");
Expect(1, 44, '\P{General_Category=_dash punctuation}', "");
Expect(0, 44, '\P{^General_Category=_dash punctuation}', "");
Error('\p{Gc=	/a/Pd}');
Error('\P{Gc=	/a/Pd}');
Expect(1, 45, '\p{Gc: pd}', "");
Expect(0, 45, '\p{^Gc: pd}', "");
Expect(0, 45, '\P{Gc: pd}', "");
Expect(1, 45, '\P{^Gc: pd}', "");
Expect(0, 44, '\p{Gc: pd}', "");
Expect(1, 44, '\p{^Gc: pd}', "");
Expect(1, 44, '\P{Gc: pd}', "");
Expect(0, 44, '\P{^Gc: pd}', "");
Expect(1, 45, '\p{Gc=_	PD}', "");
Expect(0, 45, '\p{^Gc=_	PD}', "");
Expect(0, 45, '\P{Gc=_	PD}', "");
Expect(1, 45, '\P{^Gc=_	PD}', "");
Expect(0, 44, '\p{Gc=_	PD}', "");
Expect(1, 44, '\p{^Gc=_	PD}', "");
Expect(1, 44, '\P{Gc=_	PD}', "");
Expect(0, 44, '\P{^Gc=_	PD}', "");
Error('\p{Category=-/a/Dash punctuation}');
Error('\P{Category=-/a/Dash punctuation}');
Expect(1, 45, '\p{Category=dashpunctuation}', "");
Expect(0, 45, '\p{^Category=dashpunctuation}', "");
Expect(0, 45, '\P{Category=dashpunctuation}', "");
Expect(1, 45, '\P{^Category=dashpunctuation}', "");
Expect(0, 44, '\p{Category=dashpunctuation}', "");
Expect(1, 44, '\p{^Category=dashpunctuation}', "");
Expect(1, 44, '\P{Category=dashpunctuation}', "");
Expect(0, 44, '\P{^Category=dashpunctuation}', "");
Expect(1, 45, '\p{Category=-	Dash	punctuation}', "");
Expect(0, 45, '\p{^Category=-	Dash	punctuation}', "");
Expect(0, 45, '\P{Category=-	Dash	punctuation}', "");
Expect(1, 45, '\P{^Category=-	Dash	punctuation}', "");
Expect(0, 44, '\p{Category=-	Dash	punctuation}', "");
Expect(1, 44, '\p{^Category=-	Dash	punctuation}', "");
Expect(1, 44, '\P{Category=-	Dash	punctuation}', "");
Expect(0, 44, '\P{^Category=-	Dash	punctuation}', "");
Error('\p{Is_General_Category=__Pd:=}');
Error('\P{Is_General_Category=__Pd:=}');
Expect(1, 45, '\p{Is_General_Category=pd}', "");
Expect(0, 45, '\p{^Is_General_Category=pd}', "");
Expect(0, 45, '\P{Is_General_Category=pd}', "");
Expect(1, 45, '\P{^Is_General_Category=pd}', "");
Expect(0, 44, '\p{Is_General_Category=pd}', "");
Expect(1, 44, '\p{^Is_General_Category=pd}', "");
Expect(1, 44, '\P{Is_General_Category=pd}', "");
Expect(0, 44, '\P{^Is_General_Category=pd}', "");
Expect(1, 45, '\p{Is_General_Category=	_pd}', "");
Expect(0, 45, '\p{^Is_General_Category=	_pd}', "");
Expect(0, 45, '\P{Is_General_Category=	_pd}', "");
Expect(1, 45, '\P{^Is_General_Category=	_pd}', "");
Expect(0, 44, '\p{Is_General_Category=	_pd}', "");
Expect(1, 44, '\p{^Is_General_Category=	_pd}', "");
Expect(1, 44, '\P{Is_General_Category=	_pd}', "");
Expect(0, 44, '\P{^Is_General_Category=	_pd}', "");
Error('\p{Is_Gc=-Dash_punctuation:=}');
Error('\P{Is_Gc=-Dash_punctuation:=}');
Expect(1, 45, '\p{Is_Gc=dashpunctuation}', "");
Expect(0, 45, '\p{^Is_Gc=dashpunctuation}', "");
Expect(0, 45, '\P{Is_Gc=dashpunctuation}', "");
Expect(1, 45, '\P{^Is_Gc=dashpunctuation}', "");
Expect(0, 44, '\p{Is_Gc=dashpunctuation}', "");
Expect(1, 44, '\p{^Is_Gc=dashpunctuation}', "");
Expect(1, 44, '\P{Is_Gc=dashpunctuation}', "");
Expect(0, 44, '\P{^Is_Gc=dashpunctuation}', "");
Expect(1, 45, '\p{Is_Gc= dash-punctuation}', "");
Expect(0, 45, '\p{^Is_Gc= dash-punctuation}', "");
Expect(0, 45, '\P{Is_Gc= dash-punctuation}', "");
Expect(1, 45, '\P{^Is_Gc= dash-punctuation}', "");
Expect(0, 44, '\p{Is_Gc= dash-punctuation}', "");
Expect(1, 44, '\p{^Is_Gc= dash-punctuation}', "");
Expect(1, 44, '\P{Is_Gc= dash-punctuation}', "");
Expect(0, 44, '\P{^Is_Gc= dash-punctuation}', "");
Error('\p{Is_Category= :=PD}');
Error('\P{Is_Category= :=PD}');
Expect(1, 45, '\p{Is_Category=pd}', "");
Expect(0, 45, '\p{^Is_Category=pd}', "");
Expect(0, 45, '\P{Is_Category=pd}', "");
Expect(1, 45, '\P{^Is_Category=pd}', "");
Expect(0, 44, '\p{Is_Category=pd}', "");
Expect(1, 44, '\p{^Is_Category=pd}', "");
Expect(1, 44, '\P{Is_Category=pd}', "");
Expect(0, 44, '\P{^Is_Category=pd}', "");
Expect(1, 45, '\p{Is_Category=	Pd}', "");
Expect(0, 45, '\p{^Is_Category=	Pd}', "");
Expect(0, 45, '\P{Is_Category=	Pd}', "");
Expect(1, 45, '\P{^Is_Category=	Pd}', "");
Expect(0, 44, '\p{Is_Category=	Pd}', "");
Expect(1, 44, '\p{^Is_Category=	Pd}', "");
Expect(1, 44, '\P{Is_Category=	Pd}', "");
Expect(0, 44, '\P{^Is_Category=	Pd}', "");
Error('\p{General_Category=	/a/letter	NUMBER}');
Error('\P{General_Category=	/a/letter	NUMBER}');
Expect(1, 5872, '\p{General_Category=letternumber}', "");
Expect(0, 5872, '\p{^General_Category=letternumber}', "");
Expect(0, 5872, '\P{General_Category=letternumber}', "");
Expect(1, 5872, '\P{^General_Category=letternumber}', "");
Expect(0, 5869, '\p{General_Category=letternumber}', "");
Expect(1, 5869, '\p{^General_Category=letternumber}', "");
Expect(1, 5869, '\P{General_Category=letternumber}', "");
Expect(0, 5869, '\P{^General_Category=letternumber}', "");
Expect(1, 5872, '\p{General_Category=_-LETTERNUMBER}', "");
Expect(0, 5872, '\p{^General_Category=_-LETTERNUMBER}', "");
Expect(0, 5872, '\P{General_Category=_-LETTERNUMBER}', "");
Expect(1, 5872, '\P{^General_Category=_-LETTERNUMBER}', "");
Expect(0, 5869, '\p{General_Category=_-LETTERNUMBER}', "");
Expect(1, 5869, '\p{^General_Category=_-LETTERNUMBER}', "");
Expect(1, 5869, '\P{General_Category=_-LETTERNUMBER}', "");
Expect(0, 5869, '\P{^General_Category=_-LETTERNUMBER}', "");
Error('\p{Gc=:=NL}');
Error('\P{Gc=:=NL}');
Expect(1, 5872, '\p{Gc=nl}', "");
Expect(0, 5872, '\p{^Gc=nl}', "");
Expect(0, 5872, '\P{Gc=nl}', "");
Expect(1, 5872, '\P{^Gc=nl}', "");
Expect(0, 5869, '\p{Gc=nl}', "");
Expect(1, 5869, '\p{^Gc=nl}', "");
Expect(1, 5869, '\P{Gc=nl}', "");
Expect(0, 5869, '\P{^Gc=nl}', "");
Expect(1, 5872, '\p{Gc:   _-NL}', "");
Expect(0, 5872, '\p{^Gc:   _-NL}', "");
Expect(0, 5872, '\P{Gc:   _-NL}', "");
Expect(1, 5872, '\P{^Gc:   _-NL}', "");
Expect(0, 5869, '\p{Gc:   _-NL}', "");
Expect(1, 5869, '\p{^Gc:   _-NL}', "");
Expect(1, 5869, '\P{Gc:   _-NL}', "");
Expect(0, 5869, '\P{^Gc:   _-NL}', "");
Error('\p{Category=	/a/letter-Number}');
Error('\P{Category=	/a/letter-Number}');
Expect(1, 5872, '\p{Category=letternumber}', "");
Expect(0, 5872, '\p{^Category=letternumber}', "");
Expect(0, 5872, '\P{Category=letternumber}', "");
Expect(1, 5872, '\P{^Category=letternumber}', "");
Expect(0, 5869, '\p{Category=letternumber}', "");
Expect(1, 5869, '\p{^Category=letternumber}', "");
Expect(1, 5869, '\P{Category=letternumber}', "");
Expect(0, 5869, '\P{^Category=letternumber}', "");
Expect(1, 5872, '\p{Category=-	Letter	Number}', "");
Expect(0, 5872, '\p{^Category=-	Letter	Number}', "");
Expect(0, 5872, '\P{Category=-	Letter	Number}', "");
Expect(1, 5872, '\P{^Category=-	Letter	Number}', "");
Expect(0, 5869, '\p{Category=-	Letter	Number}', "");
Expect(1, 5869, '\p{^Category=-	Letter	Number}', "");
Expect(1, 5869, '\P{Category=-	Letter	Number}', "");
Expect(0, 5869, '\P{^Category=-	Letter	Number}', "");
Error('\p{Is_General_Category=_:=nl}');
Error('\P{Is_General_Category=_:=nl}');
Expect(1, 5872, '\p{Is_General_Category=nl}', "");
Expect(0, 5872, '\p{^Is_General_Category=nl}', "");
Expect(0, 5872, '\P{Is_General_Category=nl}', "");
Expect(1, 5872, '\P{^Is_General_Category=nl}', "");
Expect(0, 5869, '\p{Is_General_Category=nl}', "");
Expect(1, 5869, '\p{^Is_General_Category=nl}', "");
Expect(1, 5869, '\P{Is_General_Category=nl}', "");
Expect(0, 5869, '\P{^Is_General_Category=nl}', "");
Expect(1, 5872, '\p{Is_General_Category=_-nl}', "");
Expect(0, 5872, '\p{^Is_General_Category=_-nl}', "");
Expect(0, 5872, '\P{Is_General_Category=_-nl}', "");
Expect(1, 5872, '\P{^Is_General_Category=_-nl}', "");
Expect(0, 5869, '\p{Is_General_Category=_-nl}', "");
Expect(1, 5869, '\p{^Is_General_Category=_-nl}', "");
Expect(1, 5869, '\P{Is_General_Category=_-nl}', "");
Expect(0, 5869, '\P{^Is_General_Category=_-nl}', "");
Error('\p{Is_Gc=_/a/LetterNumber}');
Error('\P{Is_Gc=_/a/LetterNumber}');
Expect(1, 5872, '\p{Is_Gc=letternumber}', "");
Expect(0, 5872, '\p{^Is_Gc=letternumber}', "");
Expect(0, 5872, '\P{Is_Gc=letternumber}', "");
Expect(1, 5872, '\P{^Is_Gc=letternumber}', "");
Expect(0, 5869, '\p{Is_Gc=letternumber}', "");
Expect(1, 5869, '\p{^Is_Gc=letternumber}', "");
Expect(1, 5869, '\P{Is_Gc=letternumber}', "");
Expect(0, 5869, '\P{^Is_Gc=letternumber}', "");
Expect(1, 5872, '\p{Is_Gc= letter_Number}', "");
Expect(0, 5872, '\p{^Is_Gc= letter_Number}', "");
Expect(0, 5872, '\P{Is_Gc= letter_Number}', "");
Expect(1, 5872, '\P{^Is_Gc= letter_Number}', "");
Expect(0, 5869, '\p{Is_Gc= letter_Number}', "");
Expect(1, 5869, '\p{^Is_Gc= letter_Number}', "");
Expect(1, 5869, '\P{Is_Gc= letter_Number}', "");
Expect(0, 5869, '\P{^Is_Gc= letter_Number}', "");
Error('\p{Is_Category=-Nl/a/}');
Error('\P{Is_Category=-Nl/a/}');
Expect(1, 5872, '\p{Is_Category=nl}', "");
Expect(0, 5872, '\p{^Is_Category=nl}', "");
Expect(0, 5872, '\P{Is_Category=nl}', "");
Expect(1, 5872, '\P{^Is_Category=nl}', "");
Expect(0, 5869, '\p{Is_Category=nl}', "");
Expect(1, 5869, '\p{^Is_Category=nl}', "");
Expect(1, 5869, '\P{Is_Category=nl}', "");
Expect(0, 5869, '\P{^Is_Category=nl}', "");
Expect(1, 5872, '\p{Is_Category=		Nl}', "");
Expect(0, 5872, '\p{^Is_Category=		Nl}', "");
Expect(0, 5872, '\P{Is_Category=		Nl}', "");
Expect(1, 5872, '\P{^Is_Category=		Nl}', "");
Expect(0, 5869, '\p{Is_Category=		Nl}', "");
Expect(1, 5869, '\p{^Is_Category=		Nl}', "");
Expect(1, 5869, '\P{Is_Category=		Nl}', "");
Expect(0, 5869, '\P{^Is_Category=		Nl}', "");
Error('\p{General_Category= /a/Initial_Punctuation}');
Error('\P{General_Category= /a/Initial_Punctuation}');
Expect(1, 171, '\p{General_Category=initialpunctuation}', "");
Expect(0, 171, '\p{^General_Category=initialpunctuation}', "");
Expect(0, 171, '\P{General_Category=initialpunctuation}', "");
Expect(1, 171, '\P{^General_Category=initialpunctuation}', "");
Expect(0, 170, '\p{General_Category=initialpunctuation}', "");
Expect(1, 170, '\p{^General_Category=initialpunctuation}', "");
Expect(1, 170, '\P{General_Category=initialpunctuation}', "");
Expect(0, 170, '\P{^General_Category=initialpunctuation}', "");
Expect(1, 171, '\p{General_Category= -Initial-Punctuation}', "");
Expect(0, 171, '\p{^General_Category= -Initial-Punctuation}', "");
Expect(0, 171, '\P{General_Category= -Initial-Punctuation}', "");
Expect(1, 171, '\P{^General_Category= -Initial-Punctuation}', "");
Expect(0, 170, '\p{General_Category= -Initial-Punctuation}', "");
Expect(1, 170, '\p{^General_Category= -Initial-Punctuation}', "");
Expect(1, 170, '\P{General_Category= -Initial-Punctuation}', "");
Expect(0, 170, '\P{^General_Category= -Initial-Punctuation}', "");
Error('\p{Gc=/a/-Pi}');
Error('\P{Gc=/a/-Pi}');
Expect(1, 171, '\p{Gc=pi}', "");
Expect(0, 171, '\p{^Gc=pi}', "");
Expect(0, 171, '\P{Gc=pi}', "");
Expect(1, 171, '\P{^Gc=pi}', "");
Expect(0, 170, '\p{Gc=pi}', "");
Expect(1, 170, '\p{^Gc=pi}', "");
Expect(1, 170, '\P{Gc=pi}', "");
Expect(0, 170, '\P{^Gc=pi}', "");
Expect(1, 171, '\p{Gc=_ Pi}', "");
Expect(0, 171, '\p{^Gc=_ Pi}', "");
Expect(0, 171, '\P{Gc=_ Pi}', "");
Expect(1, 171, '\P{^Gc=_ Pi}', "");
Expect(0, 170, '\p{Gc=_ Pi}', "");
Expect(1, 170, '\p{^Gc=_ Pi}', "");
Expect(1, 170, '\P{Gc=_ Pi}', "");
Expect(0, 170, '\P{^Gc=_ Pi}', "");
Error('\p{Category=/a/ _Initial Punctuation}');
Error('\P{Category=/a/ _Initial Punctuation}');
Expect(1, 171, '\p{Category=initialpunctuation}', "");
Expect(0, 171, '\p{^Category=initialpunctuation}', "");
Expect(0, 171, '\P{Category=initialpunctuation}', "");
Expect(1, 171, '\P{^Category=initialpunctuation}', "");
Expect(0, 170, '\p{Category=initialpunctuation}', "");
Expect(1, 170, '\p{^Category=initialpunctuation}', "");
Expect(1, 170, '\P{Category=initialpunctuation}', "");
Expect(0, 170, '\P{^Category=initialpunctuation}', "");
Expect(1, 171, '\p{Category=Initial PUNCTUATION}', "");
Expect(0, 171, '\p{^Category=Initial PUNCTUATION}', "");
Expect(0, 171, '\P{Category=Initial PUNCTUATION}', "");
Expect(1, 171, '\P{^Category=Initial PUNCTUATION}', "");
Expect(0, 170, '\p{Category=Initial PUNCTUATION}', "");
Expect(1, 170, '\p{^Category=Initial PUNCTUATION}', "");
Expect(1, 170, '\P{Category=Initial PUNCTUATION}', "");
Expect(0, 170, '\P{^Category=Initial PUNCTUATION}', "");
Error('\p{Is_General_Category=/a/ -Pi}');
Error('\P{Is_General_Category=/a/ -Pi}');
Expect(1, 171, '\p{Is_General_Category=pi}', "");
Expect(0, 171, '\p{^Is_General_Category=pi}', "");
Expect(0, 171, '\P{Is_General_Category=pi}', "");
Expect(1, 171, '\P{^Is_General_Category=pi}', "");
Expect(0, 170, '\p{Is_General_Category=pi}', "");
Expect(1, 170, '\p{^Is_General_Category=pi}', "");
Expect(1, 170, '\P{Is_General_Category=pi}', "");
Expect(0, 170, '\P{^Is_General_Category=pi}', "");
Expect(1, 171, '\p{Is_General_Category:   _-Pi}', "");
Expect(0, 171, '\p{^Is_General_Category:   _-Pi}', "");
Expect(0, 171, '\P{Is_General_Category:   _-Pi}', "");
Expect(1, 171, '\P{^Is_General_Category:   _-Pi}', "");
Expect(0, 170, '\p{Is_General_Category:   _-Pi}', "");
Expect(1, 170, '\p{^Is_General_Category:   _-Pi}', "");
Expect(1, 170, '\P{Is_General_Category:   _-Pi}', "");
Expect(0, 170, '\P{^Is_General_Category:   _-Pi}', "");
Error('\p{Is_Gc: -:=Initial Punctuation}');
Error('\P{Is_Gc: -:=Initial Punctuation}');
Expect(1, 171, '\p{Is_Gc=initialpunctuation}', "");
Expect(0, 171, '\p{^Is_Gc=initialpunctuation}', "");
Expect(0, 171, '\P{Is_Gc=initialpunctuation}', "");
Expect(1, 171, '\P{^Is_Gc=initialpunctuation}', "");
Expect(0, 170, '\p{Is_Gc=initialpunctuation}', "");
Expect(1, 170, '\p{^Is_Gc=initialpunctuation}', "");
Expect(1, 170, '\P{Is_Gc=initialpunctuation}', "");
Expect(0, 170, '\P{^Is_Gc=initialpunctuation}', "");
Expect(1, 171, '\p{Is_Gc=-Initialpunctuation}', "");
Expect(0, 171, '\p{^Is_Gc=-Initialpunctuation}', "");
Expect(0, 171, '\P{Is_Gc=-Initialpunctuation}', "");
Expect(1, 171, '\P{^Is_Gc=-Initialpunctuation}', "");
Expect(0, 170, '\p{Is_Gc=-Initialpunctuation}', "");
Expect(1, 170, '\p{^Is_Gc=-Initialpunctuation}', "");
Expect(1, 170, '\P{Is_Gc=-Initialpunctuation}', "");
Expect(0, 170, '\P{^Is_Gc=-Initialpunctuation}', "");
Error('\p{Is_Category=_/a/pi}');
Error('\P{Is_Category=_/a/pi}');
Expect(1, 171, '\p{Is_Category=pi}', "");
Expect(0, 171, '\p{^Is_Category=pi}', "");
Expect(0, 171, '\P{Is_Category=pi}', "");
Expect(1, 171, '\P{^Is_Category=pi}', "");
Expect(0, 170, '\p{Is_Category=pi}', "");
Expect(1, 170, '\p{^Is_Category=pi}', "");
Expect(1, 170, '\P{Is_Category=pi}', "");
Expect(0, 170, '\P{^Is_Category=pi}', "");
Expect(1, 171, '\p{Is_Category=_-pi}', "");
Expect(0, 171, '\p{^Is_Category=_-pi}', "");
Expect(0, 171, '\P{Is_Category=_-pi}', "");
Expect(1, 171, '\P{^Is_Category=_-pi}', "");
Expect(0, 170, '\p{Is_Category=_-pi}', "");
Expect(1, 170, '\p{^Is_Category=_-pi}', "");
Expect(1, 170, '\P{Is_Category=_-pi}', "");
Expect(0, 170, '\P{^Is_Category=_-pi}', "");
Error('\p{General_Category=_	CurrencySYMBOL:=}');
Error('\P{General_Category=_	CurrencySYMBOL:=}');
Expect(1, 36, '\p{General_Category=currencysymbol}', "");
Expect(0, 36, '\p{^General_Category=currencysymbol}', "");
Expect(0, 36, '\P{General_Category=currencysymbol}', "");
Expect(1, 36, '\P{^General_Category=currencysymbol}', "");
Expect(0, 35, '\p{General_Category=currencysymbol}', "");
Expect(1, 35, '\p{^General_Category=currencysymbol}', "");
Expect(1, 35, '\P{General_Category=currencysymbol}', "");
Expect(0, 35, '\P{^General_Category=currencysymbol}', "");
Expect(1, 36, '\p{General_Category=	_Currency Symbol}', "");
Expect(0, 36, '\p{^General_Category=	_Currency Symbol}', "");
Expect(0, 36, '\P{General_Category=	_Currency Symbol}', "");
Expect(1, 36, '\P{^General_Category=	_Currency Symbol}', "");
Expect(0, 35, '\p{General_Category=	_Currency Symbol}', "");
Expect(1, 35, '\p{^General_Category=	_Currency Symbol}', "");
Expect(1, 35, '\P{General_Category=	_Currency Symbol}', "");
Expect(0, 35, '\P{^General_Category=	_Currency Symbol}', "");
Error('\p{Gc: :=  Sc}');
Error('\P{Gc: :=  Sc}');
Expect(1, 36, '\p{Gc: sc}', "");
Expect(0, 36, '\p{^Gc: sc}', "");
Expect(0, 36, '\P{Gc: sc}', "");
Expect(1, 36, '\P{^Gc: sc}', "");
Expect(0, 35, '\p{Gc: sc}', "");
Expect(1, 35, '\p{^Gc: sc}', "");
Expect(1, 35, '\P{Gc: sc}', "");
Expect(0, 35, '\P{^Gc: sc}', "");
Expect(1, 36, '\p{Gc=	_Sc}', "");
Expect(0, 36, '\p{^Gc=	_Sc}', "");
Expect(0, 36, '\P{Gc=	_Sc}', "");
Expect(1, 36, '\P{^Gc=	_Sc}', "");
Expect(0, 35, '\p{Gc=	_Sc}', "");
Expect(1, 35, '\p{^Gc=	_Sc}', "");
Expect(1, 35, '\P{Gc=	_Sc}', "");
Expect(0, 35, '\P{^Gc=	_Sc}', "");
Error('\p{Category=:=CURRENCYSYMBOL}');
Error('\P{Category=:=CURRENCYSYMBOL}');
Expect(1, 36, '\p{Category=currencysymbol}', "");
Expect(0, 36, '\p{^Category=currencysymbol}', "");
Expect(0, 36, '\P{Category=currencysymbol}', "");
Expect(1, 36, '\P{^Category=currencysymbol}', "");
Expect(0, 35, '\p{Category=currencysymbol}', "");
Expect(1, 35, '\p{^Category=currencysymbol}', "");
Expect(1, 35, '\P{Category=currencysymbol}', "");
Expect(0, 35, '\P{^Category=currencysymbol}', "");
Expect(1, 36, '\p{Category=	 CURRENCY Symbol}', "");
Expect(0, 36, '\p{^Category=	 CURRENCY Symbol}', "");
Expect(0, 36, '\P{Category=	 CURRENCY Symbol}', "");
Expect(1, 36, '\P{^Category=	 CURRENCY Symbol}', "");
Expect(0, 35, '\p{Category=	 CURRENCY Symbol}', "");
Expect(1, 35, '\p{^Category=	 CURRENCY Symbol}', "");
Expect(1, 35, '\P{Category=	 CURRENCY Symbol}', "");
Expect(0, 35, '\P{^Category=	 CURRENCY Symbol}', "");
Error('\p{Is_General_Category=/a/_-sc}');
Error('\P{Is_General_Category=/a/_-sc}');
Expect(1, 36, '\p{Is_General_Category:	sc}', "");
Expect(0, 36, '\p{^Is_General_Category:	sc}', "");
Expect(0, 36, '\P{Is_General_Category:	sc}', "");
Expect(1, 36, '\P{^Is_General_Category:	sc}', "");
Expect(0, 35, '\p{Is_General_Category:	sc}', "");
Expect(1, 35, '\p{^Is_General_Category:	sc}', "");
Expect(1, 35, '\P{Is_General_Category:	sc}', "");
Expect(0, 35, '\P{^Is_General_Category:	sc}', "");
Expect(1, 36, '\p{Is_General_Category=	-Sc}', "");
Expect(0, 36, '\p{^Is_General_Category=	-Sc}', "");
Expect(0, 36, '\P{Is_General_Category=	-Sc}', "");
Expect(1, 36, '\P{^Is_General_Category=	-Sc}', "");
Expect(0, 35, '\p{Is_General_Category=	-Sc}', "");
Expect(1, 35, '\p{^Is_General_Category=	-Sc}', "");
Expect(1, 35, '\P{Is_General_Category=	-Sc}', "");
Expect(0, 35, '\P{^Is_General_Category=	-Sc}', "");
Error('\p{Is_Gc=-:=CURRENCYSymbol}');
Error('\P{Is_Gc=-:=CURRENCYSymbol}');
Expect(1, 36, '\p{Is_Gc: currencysymbol}', "");
Expect(0, 36, '\p{^Is_Gc: currencysymbol}', "");
Expect(0, 36, '\P{Is_Gc: currencysymbol}', "");
Expect(1, 36, '\P{^Is_Gc: currencysymbol}', "");
Expect(0, 35, '\p{Is_Gc: currencysymbol}', "");
Expect(1, 35, '\p{^Is_Gc: currencysymbol}', "");
Expect(1, 35, '\P{Is_Gc: currencysymbol}', "");
Expect(0, 35, '\P{^Is_Gc: currencysymbol}', "");
Expect(1, 36, '\p{Is_Gc: --currency-symbol}', "");
Expect(0, 36, '\p{^Is_Gc: --currency-symbol}', "");
Expect(0, 36, '\P{Is_Gc: --currency-symbol}', "");
Expect(1, 36, '\P{^Is_Gc: --currency-symbol}', "");
Expect(0, 35, '\p{Is_Gc: --currency-symbol}', "");
Expect(1, 35, '\p{^Is_Gc: --currency-symbol}', "");
Expect(1, 35, '\P{Is_Gc: --currency-symbol}', "");
Expect(0, 35, '\P{^Is_Gc: --currency-symbol}', "");
Error('\p{Is_Category=/a/sc}');
Error('\P{Is_Category=/a/sc}');
Expect(1, 36, '\p{Is_Category=sc}', "");
Expect(0, 36, '\p{^Is_Category=sc}', "");
Expect(0, 36, '\P{Is_Category=sc}', "");
Expect(1, 36, '\P{^Is_Category=sc}', "");
Expect(0, 35, '\p{Is_Category=sc}', "");
Expect(1, 35, '\p{^Is_Category=sc}', "");
Expect(1, 35, '\P{Is_Category=sc}', "");
Expect(0, 35, '\P{^Is_Category=sc}', "");
Expect(1, 36, '\p{Is_Category=_Sc}', "");
Expect(0, 36, '\p{^Is_Category=_Sc}', "");
Expect(0, 36, '\P{Is_Category=_Sc}', "");
Expect(1, 36, '\P{^Is_Category=_Sc}', "");
Expect(0, 35, '\p{Is_Category=_Sc}', "");
Expect(1, 35, '\p{^Is_Category=_Sc}', "");
Expect(1, 35, '\P{Is_Category=_Sc}', "");
Expect(0, 35, '\P{^Is_Category=_Sc}', "");
Error('\p{General_Category=:=-Format}');
Error('\P{General_Category=:=-Format}');
Expect(1, 173, '\p{General_Category=format}', "");
Expect(0, 173, '\p{^General_Category=format}', "");
Expect(0, 173, '\P{General_Category=format}', "");
Expect(1, 173, '\P{^General_Category=format}', "");
Expect(0, 172, '\p{General_Category=format}', "");
Expect(1, 172, '\p{^General_Category=format}', "");
Expect(1, 172, '\P{General_Category=format}', "");
Expect(0, 172, '\P{^General_Category=format}', "");
Expect(1, 173, '\p{General_Category=  FORMAT}', "");
Expect(0, 173, '\p{^General_Category=  FORMAT}', "");
Expect(0, 173, '\P{General_Category=  FORMAT}', "");
Expect(1, 173, '\P{^General_Category=  FORMAT}', "");
Expect(0, 172, '\p{General_Category=  FORMAT}', "");
Expect(1, 172, '\p{^General_Category=  FORMAT}', "");
Expect(1, 172, '\P{General_Category=  FORMAT}', "");
Expect(0, 172, '\P{^General_Category=  FORMAT}', "");
Error('\p{Gc=/a/		Cf}');
Error('\P{Gc=/a/		Cf}');
Expect(1, 173, '\p{Gc=cf}', "");
Expect(0, 173, '\p{^Gc=cf}', "");
Expect(0, 173, '\P{Gc=cf}', "");
Expect(1, 173, '\P{^Gc=cf}', "");
Expect(0, 172, '\p{Gc=cf}', "");
Expect(1, 172, '\p{^Gc=cf}', "");
Expect(1, 172, '\P{Gc=cf}', "");
Expect(0, 172, '\P{^Gc=cf}', "");
Expect(1, 173, '\p{Gc=Cf}', "");
Expect(0, 173, '\p{^Gc=Cf}', "");
Expect(0, 173, '\P{Gc=Cf}', "");
Expect(1, 173, '\P{^Gc=Cf}', "");
Expect(0, 172, '\p{Gc=Cf}', "");
Expect(1, 172, '\p{^Gc=Cf}', "");
Expect(1, 172, '\P{Gc=Cf}', "");
Expect(0, 172, '\P{^Gc=Cf}', "");
Error('\p{Category=:=-Format}');
Error('\P{Category=:=-Format}');
Expect(1, 173, '\p{Category=format}', "");
Expect(0, 173, '\p{^Category=format}', "");
Expect(0, 173, '\P{Category=format}', "");
Expect(1, 173, '\P{^Category=format}', "");
Expect(0, 172, '\p{Category=format}', "");
Expect(1, 172, '\p{^Category=format}', "");
Expect(1, 172, '\P{Category=format}', "");
Expect(0, 172, '\P{^Category=format}', "");
Expect(1, 173, '\p{Category=-FORMAT}', "");
Expect(0, 173, '\p{^Category=-FORMAT}', "");
Expect(0, 173, '\P{Category=-FORMAT}', "");
Expect(1, 173, '\P{^Category=-FORMAT}', "");
Expect(0, 172, '\p{Category=-FORMAT}', "");
Expect(1, 172, '\p{^Category=-FORMAT}', "");
Expect(1, 172, '\P{Category=-FORMAT}', "");
Expect(0, 172, '\P{^Category=-FORMAT}', "");
Error('\p{Is_General_Category=:=-_cf}');
Error('\P{Is_General_Category=:=-_cf}');
Expect(1, 173, '\p{Is_General_Category=cf}', "");
Expect(0, 173, '\p{^Is_General_Category=cf}', "");
Expect(0, 173, '\P{Is_General_Category=cf}', "");
Expect(1, 173, '\P{^Is_General_Category=cf}', "");
Expect(0, 172, '\p{Is_General_Category=cf}', "");
Expect(1, 172, '\p{^Is_General_Category=cf}', "");
Expect(1, 172, '\P{Is_General_Category=cf}', "");
Expect(0, 172, '\P{^Is_General_Category=cf}', "");
Expect(1, 173, '\p{Is_General_Category:--CF}', "");
Expect(0, 173, '\p{^Is_General_Category:--CF}', "");
Expect(0, 173, '\P{Is_General_Category:--CF}', "");
Expect(1, 173, '\P{^Is_General_Category:--CF}', "");
Expect(0, 172, '\p{Is_General_Category:--CF}', "");
Expect(1, 172, '\p{^Is_General_Category:--CF}', "");
Expect(1, 172, '\P{Is_General_Category:--CF}', "");
Expect(0, 172, '\P{^Is_General_Category:--CF}', "");
Error('\p{Is_Gc=:=	-FORMAT}');
Error('\P{Is_Gc=:=	-FORMAT}');
Expect(1, 173, '\p{Is_Gc=format}', "");
Expect(0, 173, '\p{^Is_Gc=format}', "");
Expect(0, 173, '\P{Is_Gc=format}', "");
Expect(1, 173, '\P{^Is_Gc=format}', "");
Expect(0, 172, '\p{Is_Gc=format}', "");
Expect(1, 172, '\p{^Is_Gc=format}', "");
Expect(1, 172, '\P{Is_Gc=format}', "");
Expect(0, 172, '\P{^Is_Gc=format}', "");
Expect(1, 173, '\p{Is_Gc:	FORMAT}', "");
Expect(0, 173, '\p{^Is_Gc:	FORMAT}', "");
Expect(0, 173, '\P{Is_Gc:	FORMAT}', "");
Expect(1, 173, '\P{^Is_Gc:	FORMAT}', "");
Expect(0, 172, '\p{Is_Gc:	FORMAT}', "");
Expect(1, 172, '\p{^Is_Gc:	FORMAT}', "");
Expect(1, 172, '\P{Is_Gc:	FORMAT}', "");
Expect(0, 172, '\P{^Is_Gc:	FORMAT}', "");
Error('\p{Is_Category=/a/--CF}');
Error('\P{Is_Category=/a/--CF}');
Expect(1, 173, '\p{Is_Category=cf}', "");
Expect(0, 173, '\p{^Is_Category=cf}', "");
Expect(0, 173, '\P{Is_Category=cf}', "");
Expect(1, 173, '\P{^Is_Category=cf}', "");
Expect(0, 172, '\p{Is_Category=cf}', "");
Expect(1, 172, '\p{^Is_Category=cf}', "");
Expect(1, 172, '\P{Is_Category=cf}', "");
Expect(0, 172, '\P{^Is_Category=cf}', "");
Expect(1, 173, '\p{Is_Category=-cf}', "");
Expect(0, 173, '\p{^Is_Category=-cf}', "");
Expect(0, 173, '\P{Is_Category=-cf}', "");
Expect(1, 173, '\P{^Is_Category=-cf}', "");
Expect(0, 172, '\p{Is_Category=-cf}', "");
Expect(1, 172, '\p{^Is_Category=-cf}', "");
Expect(1, 172, '\P{Is_Category=-cf}', "");
Expect(0, 172, '\P{^Is_Category=-cf}', "");
Error('\p{Default_Ignorable_Code_Point=/a/yes}');
Error('\P{Default_Ignorable_Code_Point=/a/yes}');
Expect(1, 173, '\p{Default_Ignorable_Code_Point=yes}', "");
Expect(0, 173, '\p{^Default_Ignorable_Code_Point=yes}', "");
Expect(0, 173, '\P{Default_Ignorable_Code_Point=yes}', "");
Expect(1, 173, '\P{^Default_Ignorable_Code_Point=yes}', "");
Expect(0, 172, '\p{Default_Ignorable_Code_Point=yes}', "");
Expect(1, 172, '\p{^Default_Ignorable_Code_Point=yes}', "");
Expect(1, 172, '\P{Default_Ignorable_Code_Point=yes}', "");
Expect(0, 172, '\P{^Default_Ignorable_Code_Point=yes}', "");
Expect(1, 173, '\p{Default_Ignorable_Code_Point=	YES}', "");
Expect(0, 173, '\p{^Default_Ignorable_Code_Point=	YES}', "");
Expect(0, 173, '\P{Default_Ignorable_Code_Point=	YES}', "");
Expect(1, 173, '\P{^Default_Ignorable_Code_Point=	YES}', "");
Expect(0, 172, '\p{Default_Ignorable_Code_Point=	YES}', "");
Expect(1, 172, '\p{^Default_Ignorable_Code_Point=	YES}', "");
Expect(1, 172, '\P{Default_Ignorable_Code_Point=	YES}', "");
Expect(0, 172, '\P{^Default_Ignorable_Code_Point=	YES}', "");
Error('\p{DI=-	Y/a/}');
Error('\P{DI=-	Y/a/}');
Expect(1, 173, '\p{DI:y}', "");
Expect(0, 173, '\p{^DI:y}', "");
Expect(0, 173, '\P{DI:y}', "");
Expect(1, 173, '\P{^DI:y}', "");
Expect(0, 172, '\p{DI:y}', "");
Expect(1, 172, '\p{^DI:y}', "");
Expect(1, 172, '\P{DI:y}', "");
Expect(0, 172, '\P{^DI:y}', "");
Expect(1, 173, '\p{DI:   _Y}', "");
Expect(0, 173, '\p{^DI:   _Y}', "");
Expect(0, 173, '\P{DI:   _Y}', "");
Expect(1, 173, '\P{^DI:   _Y}', "");
Expect(0, 172, '\p{DI:   _Y}', "");
Expect(1, 172, '\p{^DI:   _Y}', "");
Expect(1, 172, '\P{DI:   _Y}', "");
Expect(0, 172, '\P{^DI:   _Y}', "");
Error('\p{Is_Default_Ignorable_Code_Point=/a/_T}');
Error('\P{Is_Default_Ignorable_Code_Point=/a/_T}');
Expect(1, 173, '\p{Is_Default_Ignorable_Code_Point:t}', "");
Expect(0, 173, '\p{^Is_Default_Ignorable_Code_Point:t}', "");
Expect(0, 173, '\P{Is_Default_Ignorable_Code_Point:t}', "");
Expect(1, 173, '\P{^Is_Default_Ignorable_Code_Point:t}', "");
Expect(0, 172, '\p{Is_Default_Ignorable_Code_Point:t}', "");
Expect(1, 172, '\p{^Is_Default_Ignorable_Code_Point:t}', "");
Expect(1, 172, '\P{Is_Default_Ignorable_Code_Point:t}', "");
Expect(0, 172, '\P{^Is_Default_Ignorable_Code_Point:t}', "");
Expect(1, 173, '\p{Is_Default_Ignorable_Code_Point=- t}', "");
Expect(0, 173, '\p{^Is_Default_Ignorable_Code_Point=- t}', "");
Expect(0, 173, '\P{Is_Default_Ignorable_Code_Point=- t}', "");
Expect(1, 173, '\P{^Is_Default_Ignorable_Code_Point=- t}', "");
Expect(0, 172, '\p{Is_Default_Ignorable_Code_Point=- t}', "");
Expect(1, 172, '\p{^Is_Default_Ignorable_Code_Point=- t}', "");
Expect(1, 172, '\P{Is_Default_Ignorable_Code_Point=- t}', "");
Expect(0, 172, '\P{^Is_Default_Ignorable_Code_Point=- t}', "");
Error('\p{Is_DI=:=True}');
Error('\P{Is_DI=:=True}');
Expect(1, 173, '\p{Is_DI=true}', "");
Expect(0, 173, '\p{^Is_DI=true}', "");
Expect(0, 173, '\P{Is_DI=true}', "");
Expect(1, 173, '\P{^Is_DI=true}', "");
Expect(0, 172, '\p{Is_DI=true}', "");
Expect(1, 172, '\p{^Is_DI=true}', "");
Expect(1, 172, '\P{Is_DI=true}', "");
Expect(0, 172, '\P{^Is_DI=true}', "");
Expect(1, 173, '\p{Is_DI=	-True}', "");
Expect(0, 173, '\p{^Is_DI=	-True}', "");
Expect(0, 173, '\P{Is_DI=	-True}', "");
Expect(1, 173, '\P{^Is_DI=	-True}', "");
Expect(0, 172, '\p{Is_DI=	-True}', "");
Expect(1, 172, '\p{^Is_DI=	-True}', "");
Expect(1, 172, '\P{Is_DI=	-True}', "");
Expect(0, 172, '\P{^Is_DI=	-True}', "");
Error('\p{Default_Ignorable_Code_Point=/a/  NO}');
Error('\P{Default_Ignorable_Code_Point=/a/  NO}');
Expect(1, 172, '\p{Default_Ignorable_Code_Point:no}', "");
Expect(0, 172, '\p{^Default_Ignorable_Code_Point:no}', "");
Expect(0, 172, '\P{Default_Ignorable_Code_Point:no}', "");
Expect(1, 172, '\P{^Default_Ignorable_Code_Point:no}', "");
Expect(0, 173, '\p{Default_Ignorable_Code_Point:no}', "");
Expect(1, 173, '\p{^Default_Ignorable_Code_Point:no}', "");
Expect(1, 173, '\P{Default_Ignorable_Code_Point:no}', "");
Expect(0, 173, '\P{^Default_Ignorable_Code_Point:no}', "");
Expect(1, 172, '\p{Default_Ignorable_Code_Point:	 	No}', "");
Expect(0, 172, '\p{^Default_Ignorable_Code_Point:	 	No}', "");
Expect(0, 172, '\P{Default_Ignorable_Code_Point:	 	No}', "");
Expect(1, 172, '\P{^Default_Ignorable_Code_Point:	 	No}', "");
Expect(0, 173, '\p{Default_Ignorable_Code_Point:	 	No}', "");
Expect(1, 173, '\p{^Default_Ignorable_Code_Point:	 	No}', "");
Expect(1, 173, '\P{Default_Ignorable_Code_Point:	 	No}', "");
Expect(0, 173, '\P{^Default_Ignorable_Code_Point:	 	No}', "");
Error('\p{DI=-:=n}');
Error('\P{DI=-:=n}');
Expect(1, 172, '\p{DI=n}', "");
Expect(0, 172, '\p{^DI=n}', "");
Expect(0, 172, '\P{DI=n}', "");
Expect(1, 172, '\P{^DI=n}', "");
Expect(0, 173, '\p{DI=n}', "");
Expect(1, 173, '\p{^DI=n}', "");
Expect(1, 173, '\P{DI=n}', "");
Expect(0, 173, '\P{^DI=n}', "");
Expect(1, 172, '\p{DI=  N}', "");
Expect(0, 172, '\p{^DI=  N}', "");
Expect(0, 172, '\P{DI=  N}', "");
Expect(1, 172, '\P{^DI=  N}', "");
Expect(0, 173, '\p{DI=  N}', "");
Expect(1, 173, '\p{^DI=  N}', "");
Expect(1, 173, '\P{DI=  N}', "");
Expect(0, 173, '\P{^DI=  N}', "");
Error('\p{Is_Default_Ignorable_Code_Point=	:=f}');
Error('\P{Is_Default_Ignorable_Code_Point=	:=f}');
Expect(1, 172, '\p{Is_Default_Ignorable_Code_Point=f}', "");
Expect(0, 172, '\p{^Is_Default_Ignorable_Code_Point=f}', "");
Expect(0, 172, '\P{Is_Default_Ignorable_Code_Point=f}', "");
Expect(1, 172, '\P{^Is_Default_Ignorable_Code_Point=f}', "");
Expect(0, 173, '\p{Is_Default_Ignorable_Code_Point=f}', "");
Expect(1, 173, '\p{^Is_Default_Ignorable_Code_Point=f}', "");
Expect(1, 173, '\P{Is_Default_Ignorable_Code_Point=f}', "");
Expect(0, 173, '\P{^Is_Default_Ignorable_Code_Point=f}', "");
Expect(1, 172, '\p{Is_Default_Ignorable_Code_Point= 	f}', "");
Expect(0, 172, '\p{^Is_Default_Ignorable_Code_Point= 	f}', "");
Expect(0, 172, '\P{Is_Default_Ignorable_Code_Point= 	f}', "");
Expect(1, 172, '\P{^Is_Default_Ignorable_Code_Point= 	f}', "");
Expect(0, 173, '\p{Is_Default_Ignorable_Code_Point= 	f}', "");
Expect(1, 173, '\p{^Is_Default_Ignorable_Code_Point= 	f}', "");
Expect(1, 173, '\P{Is_Default_Ignorable_Code_Point= 	f}', "");
Expect(0, 173, '\P{^Is_Default_Ignorable_Code_Point= 	f}', "");
Error('\p{Is_DI:	/a/-FALSE}');
Error('\P{Is_DI:	/a/-FALSE}');
Expect(1, 172, '\p{Is_DI=false}', "");
Expect(0, 172, '\p{^Is_DI=false}', "");
Expect(0, 172, '\P{Is_DI=false}', "");
Expect(1, 172, '\P{^Is_DI=false}', "");
Expect(0, 173, '\p{Is_DI=false}', "");
Expect(1, 173, '\p{^Is_DI=false}', "");
Expect(1, 173, '\P{Is_DI=false}', "");
Expect(0, 173, '\P{^Is_DI=false}', "");
Expect(1, 172, '\p{Is_DI=	false}', "");
Expect(0, 172, '\p{^Is_DI=	false}', "");
Expect(0, 172, '\P{Is_DI=	false}', "");
Expect(1, 172, '\P{^Is_DI=	false}', "");
Expect(0, 173, '\p{Is_DI=	false}', "");
Expect(1, 173, '\p{^Is_DI=	false}', "");
Expect(1, 173, '\P{Is_DI=	false}', "");
Expect(0, 173, '\P{^Is_DI=	false}', "");
Error('\p{Terminal_Punctuation=_Yes/a/}');
Error('\P{Terminal_Punctuation=_Yes/a/}');
Expect(1, 33, '\p{Terminal_Punctuation=yes}', "");
Expect(0, 33, '\p{^Terminal_Punctuation=yes}', "");
Expect(0, 33, '\P{Terminal_Punctuation=yes}', "");
Expect(1, 33, '\P{^Terminal_Punctuation=yes}', "");
Expect(0, 32, '\p{Terminal_Punctuation=yes}', "");
Expect(1, 32, '\p{^Terminal_Punctuation=yes}', "");
Expect(1, 32, '\P{Terminal_Punctuation=yes}', "");
Expect(0, 32, '\P{^Terminal_Punctuation=yes}', "");
Expect(1, 33, '\p{Terminal_Punctuation=	_Yes}', "");
Expect(0, 33, '\p{^Terminal_Punctuation=	_Yes}', "");
Expect(0, 33, '\P{Terminal_Punctuation=	_Yes}', "");
Expect(1, 33, '\P{^Terminal_Punctuation=	_Yes}', "");
Expect(0, 32, '\p{Terminal_Punctuation=	_Yes}', "");
Expect(1, 32, '\p{^Terminal_Punctuation=	_Yes}', "");
Expect(1, 32, '\P{Terminal_Punctuation=	_Yes}', "");
Expect(0, 32, '\P{^Terminal_Punctuation=	_Yes}', "");
Error('\p{Term=:=- y}');
Error('\P{Term=:=- y}');
Expect(1, 33, '\p{Term=y}', "");
Expect(0, 33, '\p{^Term=y}', "");
Expect(0, 33, '\P{Term=y}', "");
Expect(1, 33, '\P{^Term=y}', "");
Expect(0, 32, '\p{Term=y}', "");
Expect(1, 32, '\p{^Term=y}', "");
Expect(1, 32, '\P{Term=y}', "");
Expect(0, 32, '\P{^Term=y}', "");
Expect(1, 33, '\p{Term:		 y}', "");
Expect(0, 33, '\p{^Term:		 y}', "");
Expect(0, 33, '\P{Term:		 y}', "");
Expect(1, 33, '\P{^Term:		 y}', "");
Expect(0, 32, '\p{Term:		 y}', "");
Expect(1, 32, '\p{^Term:		 y}', "");
Expect(1, 32, '\P{Term:		 y}', "");
Expect(0, 32, '\P{^Term:		 y}', "");
Error('\p{Is_Terminal_Punctuation=/a/t}');
Error('\P{Is_Terminal_Punctuation=/a/t}');
Expect(1, 33, '\p{Is_Terminal_Punctuation=t}', "");
Expect(0, 33, '\p{^Is_Terminal_Punctuation=t}', "");
Expect(0, 33, '\P{Is_Terminal_Punctuation=t}', "");
Expect(1, 33, '\P{^Is_Terminal_Punctuation=t}', "");
Expect(0, 32, '\p{Is_Terminal_Punctuation=t}', "");
Expect(1, 32, '\p{^Is_Terminal_Punctuation=t}', "");
Expect(1, 32, '\P{Is_Terminal_Punctuation=t}', "");
Expect(0, 32, '\P{^Is_Terminal_Punctuation=t}', "");
Expect(1, 33, '\p{Is_Terminal_Punctuation:	_T}', "");
Expect(0, 33, '\p{^Is_Terminal_Punctuation:	_T}', "");
Expect(0, 33, '\P{Is_Terminal_Punctuation:	_T}', "");
Expect(1, 33, '\P{^Is_Terminal_Punctuation:	_T}', "");
Expect(0, 32, '\p{Is_Terminal_Punctuation:	_T}', "");
Expect(1, 32, '\p{^Is_Terminal_Punctuation:	_T}', "");
Expect(1, 32, '\P{Is_Terminal_Punctuation:	_T}', "");
Expect(0, 32, '\P{^Is_Terminal_Punctuation:	_T}', "");
Error('\p{Is_Term=/a/	True}');
Error('\P{Is_Term=/a/	True}');
Expect(1, 33, '\p{Is_Term=true}', "");
Expect(0, 33, '\p{^Is_Term=true}', "");
Expect(0, 33, '\P{Is_Term=true}', "");
Expect(1, 33, '\P{^Is_Term=true}', "");
Expect(0, 32, '\p{Is_Term=true}', "");
Expect(1, 32, '\p{^Is_Term=true}', "");
Expect(1, 32, '\P{Is_Term=true}', "");
Expect(0, 32, '\P{^Is_Term=true}', "");
Expect(1, 33, '\p{Is_Term=	TRUE}', "");
Expect(0, 33, '\p{^Is_Term=	TRUE}', "");
Expect(0, 33, '\P{Is_Term=	TRUE}', "");
Expect(1, 33, '\P{^Is_Term=	TRUE}', "");
Expect(0, 32, '\p{Is_Term=	TRUE}', "");
Expect(1, 32, '\p{^Is_Term=	TRUE}', "");
Expect(1, 32, '\P{Is_Term=	TRUE}', "");
Expect(0, 32, '\P{^Is_Term=	TRUE}', "");
Error('\p{Terminal_Punctuation=	 no:=}');
Error('\P{Terminal_Punctuation=	 no:=}');
Expect(1, 32, '\p{Terminal_Punctuation=no}', "");
Expect(0, 32, '\p{^Terminal_Punctuation=no}', "");
Expect(0, 32, '\P{Terminal_Punctuation=no}', "");
Expect(1, 32, '\P{^Terminal_Punctuation=no}', "");
Expect(0, 33, '\p{Terminal_Punctuation=no}', "");
Expect(1, 33, '\p{^Terminal_Punctuation=no}', "");
Expect(1, 33, '\P{Terminal_Punctuation=no}', "");
Expect(0, 33, '\P{^Terminal_Punctuation=no}', "");
Expect(1, 32, '\p{Terminal_Punctuation=-_No}', "");
Expect(0, 32, '\p{^Terminal_Punctuation=-_No}', "");
Expect(0, 32, '\P{Terminal_Punctuation=-_No}', "");
Expect(1, 32, '\P{^Terminal_Punctuation=-_No}', "");
Expect(0, 33, '\p{Terminal_Punctuation=-_No}', "");
Expect(1, 33, '\p{^Terminal_Punctuation=-_No}', "");
Expect(1, 33, '\P{Terminal_Punctuation=-_No}', "");
Expect(0, 33, '\P{^Terminal_Punctuation=-_No}', "");
Error('\p{Term=	_N/a/}');
Error('\P{Term=	_N/a/}');
Expect(1, 32, '\p{Term=n}', "");
Expect(0, 32, '\p{^Term=n}', "");
Expect(0, 32, '\P{Term=n}', "");
Expect(1, 32, '\P{^Term=n}', "");
Expect(0, 33, '\p{Term=n}', "");
Expect(1, 33, '\p{^Term=n}', "");
Expect(1, 33, '\P{Term=n}', "");
Expect(0, 33, '\P{^Term=n}', "");
Expect(1, 32, '\p{Term=	N}', "");
Expect(0, 32, '\p{^Term=	N}', "");
Expect(0, 32, '\P{Term=	N}', "");
Expect(1, 32, '\P{^Term=	N}', "");
Expect(0, 33, '\p{Term=	N}', "");
Expect(1, 33, '\p{^Term=	N}', "");
Expect(1, 33, '\P{Term=	N}', "");
Expect(0, 33, '\P{^Term=	N}', "");
Error('\p{Is_Terminal_Punctuation=:=_-F}');
Error('\P{Is_Terminal_Punctuation=:=_-F}');
Expect(1, 32, '\p{Is_Terminal_Punctuation=f}', "");
Expect(0, 32, '\p{^Is_Terminal_Punctuation=f}', "");
Expect(0, 32, '\P{Is_Terminal_Punctuation=f}', "");
Expect(1, 32, '\P{^Is_Terminal_Punctuation=f}', "");
Expect(0, 33, '\p{Is_Terminal_Punctuation=f}', "");
Expect(1, 33, '\p{^Is_Terminal_Punctuation=f}', "");
Expect(1, 33, '\P{Is_Terminal_Punctuation=f}', "");
Expect(0, 33, '\P{^Is_Terminal_Punctuation=f}', "");
Expect(1, 32, '\p{Is_Terminal_Punctuation= -F}', "");
Expect(0, 32, '\p{^Is_Terminal_Punctuation= -F}', "");
Expect(0, 32, '\P{Is_Terminal_Punctuation= -F}', "");
Expect(1, 32, '\P{^Is_Terminal_Punctuation= -F}', "");
Expect(0, 33, '\p{Is_Terminal_Punctuation= -F}', "");
Expect(1, 33, '\p{^Is_Terminal_Punctuation= -F}', "");
Expect(1, 33, '\P{Is_Terminal_Punctuation= -F}', "");
Expect(0, 33, '\P{^Is_Terminal_Punctuation= -F}', "");
Error('\p{Is_Term=/a/_FALSE}');
Error('\P{Is_Term=/a/_FALSE}');
Expect(1, 32, '\p{Is_Term=false}', "");
Expect(0, 32, '\p{^Is_Term=false}', "");
Expect(0, 32, '\P{Is_Term=false}', "");
Expect(1, 32, '\P{^Is_Term=false}', "");
Expect(0, 33, '\p{Is_Term=false}', "");
Expect(1, 33, '\p{^Is_Term=false}', "");
Expect(1, 33, '\P{Is_Term=false}', "");
Expect(0, 33, '\P{^Is_Term=false}', "");
Expect(1, 32, '\p{Is_Term=	_False}', "");
Expect(0, 32, '\p{^Is_Term=	_False}', "");
Expect(0, 32, '\P{Is_Term=	_False}', "");
Expect(1, 32, '\P{^Is_Term=	_False}', "");
Expect(0, 33, '\p{Is_Term=	_False}', "");
Expect(1, 33, '\p{^Is_Term=	_False}', "");
Expect(1, 33, '\P{Is_Term=	_False}', "");
Expect(0, 33, '\P{^Is_Term=	_False}', "");
Test_X('÷ 0020 ÷ 0020 ÷');
Test_X('÷ 0020 × 0308 ÷ 0020 ÷');
Test_X('÷ 0020 ÷ 000D ÷');
Test_X('÷ 0020 × 0308 ÷ 000D ÷');
Test_X('÷ 0020 ÷ 000A ÷');
Test_X('÷ 0020 × 0308 ÷ 000A ÷');
Test_X('÷ 0020 ÷ 0001 ÷');
Test_X('÷ 0020 × 0308 ÷ 0001 ÷');
Test_X('÷ 0020 × 0300 ÷');
Test_X('÷ 0020 × 0308 × 0300 ÷');
Test_X('÷ 0020 ÷ 0E40 ÷');
Test_X('÷ 0020 × 0308 ÷ 0E40 ÷');
Test_X('÷ 0020 × 0903 ÷');
Test_X('÷ 0020 × 0308 × 0903 ÷');
Test_X('÷ 0020 ÷ 1100 ÷');
Test_X('÷ 0020 × 0308 ÷ 1100 ÷');
Test_X('÷ 0020 ÷ 1160 ÷');
Test_X('÷ 0020 × 0308 ÷ 1160 ÷');
Test_X('÷ 0020 ÷ 11A8 ÷');
Test_X('÷ 0020 × 0308 ÷ 11A8 ÷');
Test_X('÷ 0020 ÷ AC00 ÷');
Test_X('÷ 0020 × 0308 ÷ AC00 ÷');
Test_X('÷ 0020 ÷ AC01 ÷');
Test_X('÷ 0020 × 0308 ÷ AC01 ÷');
Test_X('÷ 000D ÷ 0020 ÷');
Test_X('÷ 000D ÷ 0308 ÷ 0020 ÷');
Test_X('÷ 000D ÷ 000D ÷');
Test_X('÷ 000D ÷ 0308 ÷ 000D ÷');
Test_X('÷ 000D × 000A ÷');
Test_X('÷ 000D ÷ 0308 ÷ 000A ÷');
Test_X('÷ 000D ÷ 0001 ÷');
Test_X('÷ 000D ÷ 0308 ÷ 0001 ÷');
Test_X('÷ 000D ÷ 0300 ÷');
Test_X('÷ 000D ÷ 0308 × 0300 ÷');
Test_X('÷ 000D ÷ 0E40 ÷');
Test_X('÷ 000D ÷ 0308 ÷ 0E40 ÷');
Test_X('÷ 000D ÷ 0903 ÷');
Test_X('÷ 000D ÷ 0308 × 0903 ÷');
Test_X('÷ 000D ÷ 1100 ÷');
Test_X('÷ 000D ÷ 0308 ÷ 1100 ÷');
Test_X('÷ 000D ÷ 1160 ÷');
Test_X('÷ 000D ÷ 0308 ÷ 1160 ÷');
Test_X('÷ 000D ÷ 11A8 ÷');
Test_X('÷ 000D ÷ 0308 ÷ 11A8 ÷');
Test_X('÷ 000D ÷ AC00 ÷');
Test_X('÷ 000D ÷ 0308 ÷ AC00 ÷');
Test_X('÷ 000D ÷ AC01 ÷');
Test_X('÷ 000D ÷ 0308 ÷ AC01 ÷');
Test_X('÷ 000A ÷ 0020 ÷');
Test_X('÷ 000A ÷ 0308 ÷ 0020 ÷');
Test_X('÷ 000A ÷ 000D ÷');
Test_X('÷ 000A ÷ 0308 ÷ 000D ÷');
Test_X('÷ 000A ÷ 000A ÷');
Test_X('÷ 000A ÷ 0308 ÷ 000A ÷');
Test_X('÷ 000A ÷ 0001 ÷');
Test_X('÷ 000A ÷ 0308 ÷ 0001 ÷');
Test_X('÷ 000A ÷ 0300 ÷');
Test_X('÷ 000A ÷ 0308 × 0300 ÷');
Test_X('÷ 000A ÷ 0E40 ÷');
Test_X('÷ 000A ÷ 0308 ÷ 0E40 ÷');
Test_X('÷ 000A ÷ 0903 ÷');
Test_X('÷ 000A ÷ 0308 × 0903 ÷');
Test_X('÷ 000A ÷ 1100 ÷');
Test_X('÷ 000A ÷ 0308 ÷ 1100 ÷');
Test_X('÷ 000A ÷ 1160 ÷');
Test_X('÷ 000A ÷ 0308 ÷ 1160 ÷');
Test_X('÷ 000A ÷ 11A8 ÷');
Test_X('÷ 000A ÷ 0308 ÷ 11A8 ÷');
Test_X('÷ 000A ÷ AC00 ÷');
Test_X('÷ 000A ÷ 0308 ÷ AC00 ÷');
Test_X('÷ 000A ÷ AC01 ÷');
Test_X('÷ 000A ÷ 0308 ÷ AC01 ÷');
Test_X('÷ 0001 ÷ 0020 ÷');
Test_X('÷ 0001 ÷ 0308 ÷ 0020 ÷');
Test_X('÷ 0001 ÷ 000D ÷');
Test_X('÷ 0001 ÷ 0308 ÷ 000D ÷');
Test_X('÷ 0001 ÷ 000A ÷');
Test_X('÷ 0001 ÷ 0308 ÷ 000A ÷');
Test_X('÷ 0001 ÷ 0001 ÷');
Test_X('÷ 0001 ÷ 0308 ÷ 0001 ÷');
Test_X('÷ 0001 ÷ 0300 ÷');
Test_X('÷ 0001 ÷ 0308 × 0300 ÷');
Test_X('÷ 0001 ÷ 0E40 ÷');
Test_X('÷ 0001 ÷ 0308 ÷ 0E40 ÷');
Test_X('÷ 0001 ÷ 0903 ÷');
Test_X('÷ 0001 ÷ 0308 × 0903 ÷');
Test_X('÷ 0001 ÷ 1100 ÷');
Test_X('÷ 0001 ÷ 0308 ÷ 1100 ÷');
Test_X('÷ 0001 ÷ 1160 ÷');
Test_X('÷ 0001 ÷ 0308 ÷ 1160 ÷');
Test_X('÷ 0001 ÷ 11A8 ÷');
Test_X('÷ 0001 ÷ 0308 ÷ 11A8 ÷');
Test_X('÷ 0001 ÷ AC00 ÷');
Test_X('÷ 0001 ÷ 0308 ÷ AC00 ÷');
Test_X('÷ 0001 ÷ AC01 ÷');
Test_X('÷ 0001 ÷ 0308 ÷ AC01 ÷');
Test_X('÷ 0300 ÷ 0020 ÷');
Test_X('÷ 0300 × 0308 ÷ 0020 ÷');
Test_X('÷ 0300 ÷ 000D ÷');
Test_X('÷ 0300 × 0308 ÷ 000D ÷');
Test_X('÷ 0300 ÷ 000A ÷');
Test_X('÷ 0300 × 0308 ÷ 000A ÷');
Test_X('÷ 0300 ÷ 0001 ÷');
Test_X('÷ 0300 × 0308 ÷ 0001 ÷');
Test_X('÷ 0300 × 0300 ÷');
Test_X('÷ 0300 × 0308 × 0300 ÷');
Test_X('÷ 0300 ÷ 0E40 ÷');
Test_X('÷ 0300 × 0308 ÷ 0E40 ÷');
Test_X('÷ 0300 × 0903 ÷');
Test_X('÷ 0300 × 0308 × 0903 ÷');
Test_X('÷ 0300 ÷ 1100 ÷');
Test_X('÷ 0300 × 0308 ÷ 1100 ÷');
Test_X('÷ 0300 ÷ 1160 ÷');
Test_X('÷ 0300 × 0308 ÷ 1160 ÷');
Test_X('÷ 0300 ÷ 11A8 ÷');
Test_X('÷ 0300 × 0308 ÷ 11A8 ÷');
Test_X('÷ 0300 ÷ AC00 ÷');
Test_X('÷ 0300 × 0308 ÷ AC00 ÷');
Test_X('÷ 0300 ÷ AC01 ÷');
Test_X('÷ 0300 × 0308 ÷ AC01 ÷');
Test_X('÷ 0E40 × 0020 ÷');
Test_X('÷ 0E40 × 0308 ÷ 0020 ÷');
Test_X('÷ 0E40 ÷ 000D ÷');
Test_X('÷ 0E40 × 0308 ÷ 000D ÷');
Test_X('÷ 0E40 ÷ 000A ÷');
Test_X('÷ 0E40 × 0308 ÷ 000A ÷');
Test_X('÷ 0E40 ÷ 0001 ÷');
Test_X('÷ 0E40 × 0308 ÷ 0001 ÷');
Test_X('÷ 0E40 × 0300 ÷');
Test_X('÷ 0E40 × 0308 × 0300 ÷');
Test_X('÷ 0E40 × 0E40 ÷');
Test_X('÷ 0E40 × 0308 ÷ 0E40 ÷');
Test_X('÷ 0E40 × 0903 ÷');
Test_X('÷ 0E40 × 0308 × 0903 ÷');
Test_X('÷ 0E40 × 1100 ÷');
Test_X('÷ 0E40 × 0308 ÷ 1100 ÷');
Test_X('÷ 0E40 × 1160 ÷');
Test_X('÷ 0E40 × 0308 ÷ 1160 ÷');
Test_X('÷ 0E40 × 11A8 ÷');
Test_X('÷ 0E40 × 0308 ÷ 11A8 ÷');
Test_X('÷ 0E40 × AC00 ÷');
Test_X('÷ 0E40 × 0308 ÷ AC00 ÷');
Test_X('÷ 0E40 × AC01 ÷');
Test_X('÷ 0E40 × 0308 ÷ AC01 ÷');
Test_X('÷ 0903 ÷ 0020 ÷');
Test_X('÷ 0903 × 0308 ÷ 0020 ÷');
Test_X('÷ 0903 ÷ 000D ÷');
Test_X('÷ 0903 × 0308 ÷ 000D ÷');
Test_X('÷ 0903 ÷ 000A ÷');
Test_X('÷ 0903 × 0308 ÷ 000A ÷');
Test_X('÷ 0903 ÷ 0001 ÷');
Test_X('÷ 0903 × 0308 ÷ 0001 ÷');
Test_X('÷ 0903 × 0300 ÷');
Test_X('÷ 0903 × 0308 × 0300 ÷');
Test_X('÷ 0903 ÷ 0E40 ÷');
Test_X('÷ 0903 × 0308 ÷ 0E40 ÷');
Test_X('÷ 0903 × 0903 ÷');
Test_X('÷ 0903 × 0308 × 0903 ÷');
Test_X('÷ 0903 ÷ 1100 ÷');
Test_X('÷ 0903 × 0308 ÷ 1100 ÷');
Test_X('÷ 0903 ÷ 1160 ÷');
Test_X('÷ 0903 × 0308 ÷ 1160 ÷');
Test_X('÷ 0903 ÷ 11A8 ÷');
Test_X('÷ 0903 × 0308 ÷ 11A8 ÷');
Test_X('÷ 0903 ÷ AC00 ÷');
Test_X('÷ 0903 × 0308 ÷ AC00 ÷');
Test_X('÷ 0903 ÷ AC01 ÷');
Test_X('÷ 0903 × 0308 ÷ AC01 ÷');
Test_X('÷ 1100 ÷ 0020 ÷');
Test_X('÷ 1100 × 0308 ÷ 0020 ÷');
Test_X('÷ 1100 ÷ 000D ÷');
Test_X('÷ 1100 × 0308 ÷ 000D ÷');
Test_X('÷ 1100 ÷ 000A ÷');
Test_X('÷ 1100 × 0308 ÷ 000A ÷');
Test_X('÷ 1100 ÷ 0001 ÷');
Test_X('÷ 1100 × 0308 ÷ 0001 ÷');
Test_X('÷ 1100 × 0300 ÷');
Test_X('÷ 1100 × 0308 × 0300 ÷');
Test_X('÷ 1100 ÷ 0E40 ÷');
Test_X('÷ 1100 × 0308 ÷ 0E40 ÷');
Test_X('÷ 1100 × 0903 ÷');
Test_X('÷ 1100 × 0308 × 0903 ÷');
Test_X('÷ 1100 × 1100 ÷');
Test_X('÷ 1100 × 0308 ÷ 1100 ÷');
Test_X('÷ 1100 × 1160 ÷');
Test_X('÷ 1100 × 0308 ÷ 1160 ÷');
Test_X('÷ 1100 ÷ 11A8 ÷');
Test_X('÷ 1100 × 0308 ÷ 11A8 ÷');
Test_X('÷ 1100 × AC00 ÷');
Test_X('÷ 1100 × 0308 ÷ AC00 ÷');
Test_X('÷ 1100 × AC01 ÷');
Test_X('÷ 1100 × 0308 ÷ AC01 ÷');
Test_X('÷ 1160 ÷ 0020 ÷');
Test_X('÷ 1160 × 0308 ÷ 0020 ÷');
Test_X('÷ 1160 ÷ 000D ÷');
Test_X('÷ 1160 × 0308 ÷ 000D ÷');
Test_X('÷ 1160 ÷ 000A ÷');
Test_X('÷ 1160 × 0308 ÷ 000A ÷');
Test_X('÷ 1160 ÷ 0001 ÷');
Test_X('÷ 1160 × 0308 ÷ 0001 ÷');
Test_X('÷ 1160 × 0300 ÷');
Test_X('÷ 1160 × 0308 × 0300 ÷');
Test_X('÷ 1160 ÷ 0E40 ÷');
Test_X('÷ 1160 × 0308 ÷ 0E40 ÷');
Test_X('÷ 1160 × 0903 ÷');
Test_X('÷ 1160 × 0308 × 0903 ÷');
Test_X('÷ 1160 ÷ 1100 ÷');
Test_X('÷ 1160 × 0308 ÷ 1100 ÷');
Test_X('÷ 1160 × 1160 ÷');
Test_X('÷ 1160 × 0308 ÷ 1160 ÷');
Test_X('÷ 1160 × 11A8 ÷');
Test_X('÷ 1160 × 0308 ÷ 11A8 ÷');
Test_X('÷ 1160 ÷ AC00 ÷');
Test_X('÷ 1160 × 0308 ÷ AC00 ÷');
Test_X('÷ 1160 ÷ AC01 ÷');
Test_X('÷ 1160 × 0308 ÷ AC01 ÷');
Test_X('÷ 11A8 ÷ 0020 ÷');
Test_X('÷ 11A8 × 0308 ÷ 0020 ÷');
Test_X('÷ 11A8 ÷ 000D ÷');
Test_X('÷ 11A8 × 0308 ÷ 000D ÷');
Test_X('÷ 11A8 ÷ 000A ÷');
Test_X('÷ 11A8 × 0308 ÷ 000A ÷');
Test_X('÷ 11A8 ÷ 0001 ÷');
Test_X('÷ 11A8 × 0308 ÷ 0001 ÷');
Test_X('÷ 11A8 × 0300 ÷');
Test_X('÷ 11A8 × 0308 × 0300 ÷');
Test_X('÷ 11A8 ÷ 0E40 ÷');
Test_X('÷ 11A8 × 0308 ÷ 0E40 ÷');
Test_X('÷ 11A8 × 0903 ÷');
Test_X('÷ 11A8 × 0308 × 0903 ÷');
Test_X('÷ 11A8 ÷ 1100 ÷');
Test_X('÷ 11A8 × 0308 ÷ 1100 ÷');
Test_X('÷ 11A8 ÷ 1160 ÷');
Test_X('÷ 11A8 × 0308 ÷ 1160 ÷');
Test_X('÷ 11A8 × 11A8 ÷');
Test_X('÷ 11A8 × 0308 ÷ 11A8 ÷');
Test_X('÷ 11A8 ÷ AC00 ÷');
Test_X('÷ 11A8 × 0308 ÷ AC00 ÷');
Test_X('÷ 11A8 ÷ AC01 ÷');
Test_X('÷ 11A8 × 0308 ÷ AC01 ÷');
Test_X('÷ AC00 ÷ 0020 ÷');
Test_X('÷ AC00 × 0308 ÷ 0020 ÷');
Test_X('÷ AC00 ÷ 000D ÷');
Test_X('÷ AC00 × 0308 ÷ 000D ÷');
Test_X('÷ AC00 ÷ 000A ÷');
Test_X('÷ AC00 × 0308 ÷ 000A ÷');
Test_X('÷ AC00 ÷ 0001 ÷');
Test_X('÷ AC00 × 0308 ÷ 0001 ÷');
Test_X('÷ AC00 × 0300 ÷');
Test_X('÷ AC00 × 0308 × 0300 ÷');
Test_X('÷ AC00 ÷ 0E40 ÷');
Test_X('÷ AC00 × 0308 ÷ 0E40 ÷');
Test_X('÷ AC00 × 0903 ÷');
Test_X('÷ AC00 × 0308 × 0903 ÷');
Test_X('÷ AC00 ÷ 1100 ÷');
Test_X('÷ AC00 × 0308 ÷ 1100 ÷');
Test_X('÷ AC00 × 1160 ÷');
Test_X('÷ AC00 × 0308 ÷ 1160 ÷');
Test_X('÷ AC00 × 11A8 ÷');
Test_X('÷ AC00 × 0308 ÷ 11A8 ÷');
Test_X('÷ AC00 ÷ AC00 ÷');
Test_X('÷ AC00 × 0308 ÷ AC00 ÷');
Test_X('÷ AC00 ÷ AC01 ÷');
Test_X('÷ AC00 × 0308 ÷ AC01 ÷');
Test_X('÷ AC01 ÷ 0020 ÷');
Test_X('÷ AC01 × 0308 ÷ 0020 ÷');
Test_X('÷ AC01 ÷ 000D ÷');
Test_X('÷ AC01 × 0308 ÷ 000D ÷');
Test_X('÷ AC01 ÷ 000A ÷');
Test_X('÷ AC01 × 0308 ÷ 000A ÷');
Test_X('÷ AC01 ÷ 0001 ÷');
Test_X('÷ AC01 × 0308 ÷ 0001 ÷');
Test_X('÷ AC01 × 0300 ÷');
Test_X('÷ AC01 × 0308 × 0300 ÷');
Test_X('÷ AC01 ÷ 0E40 ÷');
Test_X('÷ AC01 × 0308 ÷ 0E40 ÷');
Test_X('÷ AC01 × 0903 ÷');
Test_X('÷ AC01 × 0308 × 0903 ÷');
Test_X('÷ AC01 ÷ 1100 ÷');
Test_X('÷ AC01 × 0308 ÷ 1100 ÷');
Test_X('÷ AC01 ÷ 1160 ÷');
Test_X('÷ AC01 × 0308 ÷ 1160 ÷');
Test_X('÷ AC01 × 11A8 ÷');
Test_X('÷ AC01 × 0308 ÷ 11A8 ÷');
Test_X('÷ AC01 ÷ AC00 ÷');
Test_X('÷ AC01 × 0308 ÷ AC00 ÷');
Test_X('÷ AC01 ÷ AC01 ÷');
Test_X('÷ AC01 × 0308 ÷ AC01 ÷');
Finished();
